Welcome to Deltek Open Plan 3.x

Deltek Open Plan is an enterprise-wide project management software system that substantially improves a company’s ability to manage and complete multiple projects on time and within budget. Unlike less sophisticated products, Open Plan is a highly integrated, comprehensive system that users can customize to fit their specific requirements. It is the most technically advanced project management system on the market.

While Open Plan can certainly be used in a stand-alone environment, most corporate users need to share project information across multiple departments and locations. For this reason, Open Plan stores its data within a database that can be accessed by many users.

If you are new to Open Plan, the following three tools will help you get up and running very quickly:

  • Getting Started chapter in the Deltek Open Plan User's Guide

  • Demonstration projects

  • Procedures

If you have used an earlier version of Open Plan, you will be interested in learning about the exciting new features of this release.

The manner in which Open Plan 3.x stores its data is different from the way in which it was stored in previous versions. For this reason, in order for Open Plan 3.x to work with a project that was created in an earlier version you must first migrate your data using the Open Plan Migration Utility. For information on using this utility, refer to the Using the Open Plan Migration Utility document.

Related Topics and Procedures


What's New in Deltek Open Plan 3.x

In addition to supporting all the main features of earlier versions of the software, Deltek Open Plan 3.x also includes a number of exciting new features:

  • Open Plan Explorer Interface

  • Briefcasing

  • Common Security Model

  • View Formatting

This version of Open Plan also features major improvements in the following areas:

Client/Server Enhancements

  • No Dependency on DOS-based Files

  • Data Migration

  • User Defined Fields

Multi-Project Enhancements

  • Shared Access

  • Baselines in Multi-Projects

  • Live Foreign Activities

  • Full Access to External Subproject Information

Resource Enhancements

  • New Cost Categories

  • Codes on Resources

  • Attaching a Calendar File

Cost and Earned Value Enhancements

  • New Cost by Resource Category

  • Additional Rates Locked and Stored

  • Resource Assignment Cost Classes

  • Resource Physical Percent Complete

Baseline Enhancements

  • Multiple Baselines

  • Performance Measurement Baseline

  • Multi-project Baselines

  • Copy Baseline Option

  • Baseline Security

In addition, improvements have been made in many other areas of the software. For a brief list of some of these improvements, click here.

Related Topics and Procedures


Assigning Auxiliary Files to a Project

When you create a project using the New File Wizard you have the option of assigning auxiliary files during the procedure. On the other hand, if you create the project using Open Plan defaults only the <Default> calendar is assigned.

Open Plan provides two ways to assign auxiliary files to an existing project (or change previously assigned files):

Editing the Project Properties dialog box

You can assign auxiliary files to an open project by using the Files tab of the Project Properties dialog box to assign calendar, resource definition, and code files.

The Files tab features an ellipsis button next to each auxiliary file field. You can click this ellipsis to display a Select dialog box that you can use to specify the file to be assigned. If the auxiliary file you want to assign does not yet exist, you can click New on the Select dialog box to create it.

Using Drag and Drop in the Open Plan Explorer

Dragging an auxiliary file from the appropriate folder of the Open Plan Library and dropping it onto a project folder automatically assigns the file to the project.

Only one calendar file and one resource definition file can be assigned to a project at one time. If you drag a calendar or resource definition file from the Open Plan Library to a project that already contains a file of the same type, Open Plan asks whether you would like to replace the existing file.

When a resource definition file is assigned to a project, a link to the file is displayed in a project subfolder that has the same name as the resource file.

When one or more code files are assigned to a project, links to these files are displayed in a project subfolder named Codes.

When a calendar file is assigned to a project, a link to that file is displayed in the project’s root folder.

Related Topics and Procedures


Assigning Views to a Project

Open Plan displays data in views. These views are stored in the Views folder of the Open Plan Library. There are two ways to assign views to a project:

  • By using the Open Plan Explorer

  • By using the Choose a Project dialog box

Assigning a View Using Drag and Drop

You can assign a view to a project simply by dragging its icon from the Views folder of the Open Plan Library onto the appropriate project.

A project does not need to be open if you use the drag and drop method of assigning the view.

Assigning a View by Double Clicking

If you have at least one project open, double-clicking the view icon displays the Choose a Project dialog box. This dialog box displays a list of all the projects that you have open and provides you with the following options:

  • You can select a view to display the project data without creating a permanent link to the project.

  • You can select a view and select the Make a Permanent Link to Project option to create a permanent link.

If no project is open when you double-click the icon, Open Plan advises you to drag the view icon to the project folder to create a link.

Related Topics and Procedures


Using the New File Wizard

Using the New File Wizard, you can easily specify many attributes of the new project or auxiliary file.

Open Plan displays the following information about the file at the top of each page of the New File Wizard.

  • Name

  • Owner

  • Description

Depending on the type of file that you are creating, the New File Wizard displays a selection from the following pages:

  • Create

  • Project Templates

  • Summary

  • Files

  • External Subprojects

  • Preferences

  • Status Information

  • Code Structure

  • Notes

  • Access Control

The following chart identifies the pages of the New File Wizard that are displayed for each type of file you can create:

Wizard Page | Project | Multiproject | Calendar | Resource | Code | Project Template
Create | X | X | X | X | X | X
Template Projects | X | X |  |  |  | X
Summary | X | X |  |  |  | X
Files | X | X |  | X |  | X
External Subproject |  | X |  |  |  |
Preferences | X | X |  |  |  | X
Status Information | X | X |  |  |  | X
Code Structure |  |  |  |  | X |
Notes | X | X |  | X | X | X

Location

Related Topics and Procedures


Getting Started (From Contents)

Getting Started

Welcome to Open Plan.

Open Plan project management software represents a comprehensive solution to project planning, scheduling, and resource management in the Windows environment.

Open Plan provides three tools to help you get up and running very quickly:

  • Getting Started chapter in the Deltek Open Plan User's Guide

  • Demonstration projects

  • Procedures

To use Procedures to help you create your first project, click See Also, and select a task from the list.

Related Topics and Procedures


Closing Files

The operation performed when you issue a Close command depends on what method you use and the context in which you issue the command:

Clicking Close on the File menu

  • In an activity data view, such as a barchart or spreadsheet view, clicking the Close command on the File menu closes the project.

  • Selecting an open auxiliary file and clicking the Close command on the File menu closes the auxiliary file.

  • Selecting an open project in the hierarchy pane of the Open Plan Explorer and clicking the Close command on the File menu closes the project

Clicking Close on a context menu

  • Right-clicking an open project and clicking Close on the shortcut menu closes the project.

  • Right-clicking an open auxiliary file and clicking Close on the shortcut menu closes the auxiliary file.

Clicking the Close Button

  • Clicking the Close button in the upper-right corner of a view closes that view but leaves the project open.

  • Clicking the Close button for the Open Plan Explorer closes the Explorer but does not close any open projects.

Clicking Close on the Control Menu

  • Clicking Close on the Control Menu for the Open Plan Explorer closes the Explorer but does not close any open projects.

  • Clicking Close on the Control Menu for Open Plan closes the program.

Using the F4 Key

  • Pressing Alt+F4 closes Open Plan.

  • Pressing Ctrl+F4 from a view closes that view but leaves the project open.

  • Pressing Ctrl+F4 from the Open Plan Explorer closes the Explorer but does not close any open project.

If you accidentally close the Open Plan Explorer, you can redisplay it by clicking Open Plan Explorer on the View menu.

Related Topics and Procedures


Deleting Projects, Auxiliary Files, and Views

There are two ways to delete a project or auxiliary file from the Open Plan Explorer:

  • Select the file and press the Delete key.

  • Use the Select File to Delete dialog box. (This dialog box is accessed by displaying Manage Files from either the File menu or the context menu and clicking Delete File.)

There are also two ways to delete a view:

  • Select the view and press the Delete key.

  • Right-click the view and click Delete on the context menu.

You cannot delete a file that is open, referenced by another file, or to which you do not have the appropriate rights.

Depending on where the file is located in the hierarchical view, Open Plan interprets the deletion as follows:

  • My Folder — If you delete a project, auxiliary file, or view from within this folder, Open Plan only deletes the links you created to these files. No actual data is deleted from the data source.

  • Projects — If you delete a project from within this folder, the project data is deleted from the data source, but only the links to the calendar, resource definition, code, and view files are deleted.

  • Open Plan Library — If you delete a calendar, resource definition, code, or view file from within this folder, the file is deleted from the data source, and any links to the file are also deleted.

Related Topics and Procedures


Opening a Project or Auxiliary File

When you open a project, all auxiliary files associated with the project are also opened. It is also possible to open an auxiliary file or view without first having to open the project.

There are two ways to open a project or auxiliary file:

  • By using the File Open dialog box

  • By right-clicking a project or auxiliary file and using the Open command on the shortcut menu.

Open Plan always attempts to open a project’s auxiliary files in the mode specified on the Preferences tab of its Project Properties dialog box. This setting overrides the default access mode for the auxiliary file as set on its own Properties dialog box.

If it is not possible to open a file in the specified mode because another user has the same file open, Open Plan allows you to cancel the operation or to open the file in another mode. For example, if you attempt to open a file in shared mode that another user already has open in exclusive mode, Open Plan allows you to either open the file in read only mode or to cancel the operation.

You can also open a project by selecting it in the Open Plan Explorer and then either opening a view from the project’s Views folder or selecting a view from the View Selection toolbar.

Related Topics and Procedures


Reviewing a Demonstration Project (Quick Start)

Reviewing a Demonstration Project

If the demonstration data does not exist, check with your system administrator. It is possible that the system administrator has removed the demonstration data from the data source.

To review a demonstration project:

  1. From the left pane of the Open Plan Explorer, expand the Projects folder.

    2. Each item in the Projects folder is a subfolder that contains all the files for a demonstration project.

  2. Expand a project folder.

    3. You can also open a demonstration project from the File Open dialog box that is accessed from the File menu.

  3. From the expanded project in the right pane of the Open Plan Explorer, double-click the Views folder.

  4. Double-click one of the views in the list.

  5. Make any changes you wish in the displayed view and then open a different view to see how your changes are reflected there.

  6. If the project you opened has associated resource, calendar, or code files, open these views as well.

  7. When finished reviewing a demonstration project, do one of the following:

    • To save your data to a file with a new name, click Save As on the File menu.

    • To close the project, click Close on the File menu.

Related Topics and Procedures


Saving a Project or Auxiliary File

Open Plan allows you to save a file with its current name using the Save command or under a different name using the Save As command. These commands are available as follows:

  • If you opened the file in Exclusive mode, you can use the Save or Save As command at any time.

  • If you open a file in Shared mode, the Save command is not available. Open Plan saves your changes to projects, codes, calendars, and codes as you make them.

    • The Shared mode is available only in the Professional edition of Open Plan.

  • If you opened the file in the Read Only mode, the Save command is not available. You must use the Save As command before you can make any changes to the file.

You cannot perform Save As on a file if there is another file open which refers to it. For example, if you open project CLEAN and then try to perform a Save As on the calendar file CLEANCAL, you are given the following warning: "Cannot perform Save As on Calendar File CLEANCAL because there are open objects referring to it." Since CLEAN refers to CLEANCAL, you need to close the project before you can perform Save As on CLEANCAL.

Related Topics and Procedures


Using the Choose a Project Dialog Box

This dialog box features the following controls that allow you to choose a project for which the view should display information:

  • Open Projects — This list box displays a list of projects that you have open. Selecting a project from this list and clicking OK displays information from that project in the view.

  • Make a Permanent Link to Project — Selecting this option creates a permanent link to the selected project.

Location

Related Topics and Procedures


Using the Open Plan Login Dialog Box

The information you provide in this dialog box allows Open Plan to check whether you are an authorized user of the active data source to which you are trying to connect.

This dialog box contains the following controls:

  • User ID — The ID that your system administrator has set up for your use.

    • Open Plan remembers the user ID from the last time Open Plan was used and automatically enters that user ID in this field. If this user ID is not the one you wish to use, simply delete it, and enter the proper one.

  • Password — The password associated with your user ID.

  • Using Briefcasing Data Source — If you select this option, Open Plan opens your briefcasing data source instead of your main data source.

If, after you click Login, Open Plan issues a message that your login information is invalid, reenter your user ID and password, and click Login again. If Open Plan still does not start, check with your system administrator. There are several possible causes for this situation including:

  • There may be an interruption of network services.

  • You may not be properly registered as a valid user of the active data source.

  • You may have entered an incorrect password.

Your system administrator will be able to determine the cause of the problem and take steps to correct it.

You can change the active data source before logging in. To do so, hold down the Ctrl key while clicking Login. This will display the Data Sources dialog box that you can use to select a different data source for this session.

Location

Related Topics and Procedures


Assigning a View to a Project (Procedure)

Assigning a View to a Project

To assign a view to a project using drag-and-drop:

From the Views folder in the Open Plan Library, drag the view you want to use onto either a project folder or the project’s Views folder.

To assign a view to a project using copy-and-paste:

  1. In the Views folder in the Open Plan Library, copy the view that you want to assign to a project.

  2. Paste the view into either a project folder or its Views folder.

To assign a view to a project using the Choose a Project dialog box:

Open Plan displays the Choose a Project dialog box only when multiple projects are open.

  1. In the Open Plan Library, double-click click the view that you want to assign to a project.

  2. From the list of open projects, select the one to which you want to assign the view.

  3. Select the Make Permanent Link to Project option.

  4. Click OK.

If you place the view in the project folder, Open Plan automatically moves it into the project’s Views folder.

Related Topics and Procedures


Creating a Calendar File (Procedure)

Creating a Calendar File

To create a new calendar file:

  1. Display the New File dialog box.

  2. From the File Type list, select Calendar.

  3. Enter a name and description for the calendar file.

  4. Take one of the following actions:

    • To create a basic calendar file using Open Plan default settings, click Finish.

    • To enter detailed information about the calendar file using the New File Wizard, click Next.

    You can always enter this detailed information at a later time using the Calendar Properties dialog box.

  5. On the first page of the New File Wizard, set the following options:

    • From the list, select the default access mode for the calendar file.

    • Select whether to create an original new calendar file or create a calendar file as a copy of an existing one.

    If you are creating the new calendar file as a copy of an existing one, you must also select the calendar file that you want to use as a template.

  6. Click Next.

  7. On the Access Control page of the wizard, complete the information to specify the permissions that groups or users with a given role have to the calendar file.

    8. Context-sensitive help is available for each page of the wizard. Press F1 or click the Help button on each page.

  8. Click Finish.

Related Topics and Procedures


Creating a Code File (Procedure)

Creating a Code File

To create a code file:

  1. Display the New File dialog box.

  2. From the File Type field, select Code.

  3. Enter a name and description for the code file.

  4. Take one of the following actions:

    • To create a basic code file using Open Plan default settings, click Finish.

    • To enter detailed information about the code file using the New File Wizard, click Next.

    You can always enter this detailed information at a later time using the Code File Properties dialog box.

  5. On the first page of the New File Wizard, set the following options:

    • From the list, select the default access mode for the code file.

    • Select whether to create an original new code file or create a code file as a copy of an existing one.

      • If you are creating the new code file as a copy of an existing one, you must also select the code file that you want to use as a template.

    • Select a startup view.

    • Enter the default prompt text that is automatically used on the Code File Prompt dialog box that displays when you attach a code file to a project or resource file.

  6. Click Next.

  7. Complete the remaining pages of the wizard.

    8. Context-sensitive information is available for each page of the wizard. Press F1 or click the Help button on each page.

Related Topics and Procedures


Creating a New Project (Quick Start)

Creating a New Project

To create a new project:

  1. Display the New File dialog box

  2. Ensure that Project is selected in the File Type field.

  3. Enter a name and description for your project.

  4. Do one of the following:

    • To create a basic project using Open Plan default settings, click Finish.

    • To use the New File Wizard to enter detailed information about your project, click Next.

    You can always enter this detailed information at a later time using the Project Information dialog box.

  5. On the first page of the New File Wizard, set the following options:

    • From the list, select the default access mode for the project.

    • Choose whether to create an original new project or create a project as a copy of an existing one.

    If you are creating the new project as a copy of an existing one, you must also select the project that you want to use as a template.

  6. Click Next.

  7. Complete the remaining pages of the wizard.

    8. Context-sensitive information is available for each page of the wizard. Press F1 or click the Help button on each page.

  8. Once you have created a project, you can begin creating activities in any of the standard views.

Related Topics and Procedures


Using the Open Plan Explorer to Assign a Calendar File (Procedure)

Using the Open Plan Explorer to Assign a Calendar File

To assign a calendar file to a project using drag-and-drop:

  1. Select a calendar file from the Calendars folder in the Open Plan Library.

  2. Drag the calendar file onto the target project folder.

If a calendar file is already assigned to the project, Open Plan asks whether or not you want to replace the currently assigned calendar file with the new one.

Related Topics and Procedures


Using the Open Plan Explorer to Assign a Code File (Procedure)

Using the Open Plan Explorer to Assign a Code File

To assign a code file to a project or resource file using drag-and-drop:

If the project or resource file is not open when you assign a code file, Open Plans opens it automatically in exclusive mode.

  1. Select a code file from the Codes folder in the Open Plan Library.

  2. Drag the code file onto the target project or resource file.

  3. When the Assign Code dialog box is displayed, select the code file and the code field to which it should be assigned.

  4. Click Assign.

  5. In the Code File Prompt dialog box, enter a label for the code file.

  6. Click OK.

    7. If adding a particular code file would replace one currently assigned to the specified code field, Open Plan asks you to confirm your action.

  7. When the Assign Code dialog box is redisplayed, click OK again.

Related Topics and Procedures


Using the Open Plan Explorer to Assign a Resource File to a Project (Procedure)

Using the Open Plan Explorer to Assign a Resource File to a Project

To assign a resource file to a project using drag-and-drop:

From the Resources folder in the Open Plan Library, drag the icon representing the resource file you want to use onto a project folder.

To assign a resource file to a project using copy-and-paste:

  1. In the Resources folder in the Open Plan Library, copy the resource file that you want to assign to a project.

  2. Paste the icon representing the resource file onto a project folder.

If a resource definition file is already assigned to the project, Open Plan asks whether you want to replace the currently assigned resource definition file with the new one.

Related Topics and Procedures


Using Project Properties to Assign a Calendar File (Procedure)

Using Project Properties to Assign a Calendar File

To assign a calendar file to a project using the Project Properties dialog box:

  1. Open the project to which you want to assign a calendar file.

  2. Right-click the project folder, and click Properties on the shortcut menu.

  3. Click the Files tab.

  4. At the right edge of the Calendar File edit box, click the ellipsis button.

  5. When the Select dialog box is displayed, select the calendar file that you want to assign to the project.

  6. Click OK.

  7. When the Project Properties dialog box is redisplayed, click OK again.

Related Topics and Procedures


Using Project Properties to Assign a Code File (Procedure)

Using Project Properties to Assign a Code File

To assign a code file to a project using the Project Properties dialog box:

  1. Open the project to which you want to assign a code file.

  2. Take one of the following actions:

    • Right-click the project folder, and click Properties on the shortcut menu.

    • On the Project menu, click Properties.

  3. Click the Files tab.

  4. Click the ellipsis button at the right edge of the Code Files text box.

  5. From the column on the left of the Assign Code dialog box, select the code file that you want to assign to the project.

  6. From the column on the right side, select the code field to which you want to assign the code file.

  7. Click Assign.

  8. In the Code File Prompt dialog box, enter a label for the code file.

  9. Click OK.

    10. If adding a particular code file would replace one currently assigned to the specified code field, Open Plan asks you to confirm your action.

  10. When the Assign Code dialog box is redisplayed, click OK again.

Related Topics and Procedures


Using Project Properties to Assign a Resource File (Procedure)

Using Project Properties to Assign a Resource File

To assign a resource file to a project using the Project Properties dialog box:

  1. Open the project to which you want to assign a resource definition file.

  2. Right-click the project folder, and click Properties on the shortcut menu.

  3. Click the Files tab.

  4. At the right edge of the Resource Definition File edit box, click the ellipsis button.

  5. When the Select dialog box is displayed, select the resource definition file that you want to assign to the project.

  6. Click OK.

  7. When Open Plan asks that you confirm the resource definition file association, click Yes.

  8. When the Project Properties dialog box is redisplayed, click OK again.

Related Topics and Procedures


Creating a Resource File (Procedure)

Creating a Resource File

To create a new resource file:

  1. Display the New File dialog box.

  2. From the File Type list, select Resource.

  3. Enter a name and description for the resource file.

  4. Do one of the following:

    • To create a basic resource file using Open Plan default settings, click Finish.

    • To enter detailed information about the resource file using the New File Wizard, click Next.

    You can always enter this detailed information at a later time using the Resource File Properties dialog box.

  5. On the first page of the New File Wizard, set the following options:

    • From the list, select the default access mode for the resource file.

    • Choose whether to create an original new resource file or create a resource file as a copy of an existing one.

    If you are creating the new resource file as a copy of an existing one, you must also select the resource file that you want to use as a template.

  6. Click Next.

  7. Complete the remaining pages of the wizard.

Context-sensitive information is available for each page of the wizard. Press F1 or click the Help button on each page.

Related Topics and Procedures


Basic Skills

While offering the performance, functionality, and capacity of a high-end project management system, Open Plan features a graphical user interface that is based on recognized Windows standards. Many commands and toolbar buttons (for example, the File/New, File/Open, and File/Save commands) are standard to Windows applications. Other commands, unique to Open Plan, have been designed to conform to Windows standards.

Therefore, if you are an experienced Windows user, you will find the way in which you work with Open Plan familiar. If you are new to Windows, you will find the Open Plan interface easy to learn.

The Open Plan interface features the following elements:

  • Open Plan Explorer

  • Commands

  • Menu bar

  • Toolbars

  • View Selection Toolbar

  • Dialog boxes

  • Tabbed dialog boxes

  • Edit boxes

  • Status Bar

  • Navigation controls

Throughout Open Plan, context-sensitive help is always available. You can access Help at any time simply by clicking the Help button or by pressing the F1 key.

Related Topics and Procedures


Customizing the Details Display in the Open Plan Explorer

When the Details format is selected, you can customize the columns that are displayed in the contents pane of the Open Plan Explorer. Right-clicking a heading on the header bar displays a context menu containing the following items:

  • Sort Ascending

  • Sort Descending

  • Group by Type

  • Ungroup

If the contents pane contains like objects (for example, all views, all projects, and so on), the context menu also contains the following items:

  • Column List

  • Customize Columns

  • Remove Column

  • Rename Column

  • Group

  • Ungroup

  • Best Fit

Related Topics and Procedures


Understanding the Security Administrator Login Lockout Function

Using the Security Administrator, a user with system administrator access can prevent users from logging into Open Plan. When users try to log into Open Plan, they receive a message stating that the system administrator has disabled logins to the data source. Clearing the message returns the users to the Open Plan Login dialog box, where they can cancel the login attempt completely or use Ctrl+Login to select another data source.

This function would be useful, for example, if maintenance needed to be performed on the database. If even one user was logged in, the maintenance could not be performed.

Related Topics and Procedures


Understanding the Security Administrator Login Message Function

Using the Security Administrator, a user with system administrator access can specify a message that is displayed to all users when they log into Open Plan. This function would be useful, for example, to warn users of scheduled downtime for upcoming database maintenance.

Related Topics and Procedures


Understanding the Security Administrator Session Termination Function

Using the Security Administrator, a user with system administrator access can remotely terminate the Open Plan session for any user logged into the program. When a user’s session is terminated, the user receives a warning that Open Plan has been terminated by the system administrator and will automatically close in 10 seconds.

Please note that any unsaved changes to Open Plan are lost when the program is remotely terminated by the system administrator. Once the termination message is displayed, users cannot perform any actions in Open Plan. Hopefully, the system administrator sent a message to the users informing them to save their information before issuing the session termination.

Related Topics and Procedures


Understanding the Security Administrator User Notification Function

Using the Security Administrator, a user with system administrator access can send a message to any user logged into Open Plan. Messages can be sent to individual users or several users at once.

This function is similar to the Send Message command on the Open Plan File menu.

This function would be useful, for example, if the system administrator needed to inform all users to log out so that database maintenance could be performed.

Related Topics and Procedures


Using Clipboard Operations

Open Plan allows you to use the Copy, Cut, and Paste operations in any view. When you cut or copy an activity, Open Plan places it on the Windows clipboard where it is then available for pasting.

Within Open Plan, cutting or moving an activity or group of activities also affects relationships in the following ways:

  • When you cut or copy an activity or group of activities within a single view, the attached relationships remain.

  • When you copy an activity or group of activities within a single view, the attached relationships are copied as well.

  • When you cut a single activity from a view, you also delete the attached relationships.

  • When you cut a group of activities from a view, only the relationships within the group remain. Any relationships between the activities in the group and other activities in the project are deleted.

Related Topics and Procedures


Using Keyboard Shortcuts

Open Plan features a number of keyboard shortcuts that facilitate operations within the system. In most cases, Open Plan performs the selected operation using the settings currently in effect and does not display the related dialog box.

Command | Keyboard Shortcut
New | Ctrl+N
Open | Ctrl+O
Save | Ctrl+S
Print | Ctrl+P
Cut | Ctrl+X
Copy | Ctrl+C
Paste | Ctrl+V
Find | Ctrl+F
Find Next | Shift+F4
Display Next Window | Ctrl+Tab
Help | F1
Add Activity (Activity views) | Ctrl+A
Add Resource (Resource file) | Ctrl+A
Delete Item (Open Plan Explorer) | Delete
Delete Activity (Activity views) | Delete
Display Activity Information (Activity views) | F5
Time Analysis (Activity views) | Ctrl+T
Resource Scheduling (Activity views) | Ctrl+R
Risk Analysis (Activity views) | Ctrl+K
Display Time Analysis dialog box (Activity views) | Shift+F9
Placements (Network view) | Shift+P
Open Selected Item (Open Plan Explorer) | Enter
Properties (Open Plan Explorer) | Alt+Enter
Define Work Hours (Calendar file) | Ctrl+Spacebar
Previous Year (Calendar file) | Page Up
Next Year (Calendar file) | Page Down

Related Topics and Procedures


Using the Contents Pane of the Open Plan Explorer

The right pane of the Open Plan Explorer displays the contents of a folder selected in the hierarchical pane. These contents may be displayed in any of three formats:

  • Details — In addition to identifying the object by its name, the Details format also displays additional information about each object such as description, open mode, user ID, and so on. The type of information displayed in the Details format can be controlled by customizing the folder headings.

  • Small Icons — In this format, Open Plan displays a small icon for each object together with its name.

  • Large Icons — In this format, Open Plan displays a large icon for each object together with its name.

Double-clicking an object can perform the following operations:

  • If the object is a folder, double-clicking expands it.

  • If the object is a view or a calendar, double-clicking opens it.

  • If the object is an application shortcut, double-clicking launches the application.

Right-clicking an empty area in this pane displays a context menu with the following items:

  • Find — Clicking this menu item displays the Find dialog box.

  • Filter — Clicking this menu item displays the Filter Settings dialog box.

  • New Folder — Clicking this menu item allows you to create a new folder. This item is enabled only when My Folder or an individual project, code, or resource is selected.

  • New — Clicking this menu item displays the New File dialog box.

  • Paste — Clicking this item allows you to paste an item that is currently on your clipboard providing that it would be appropriate to the folder that is open. For example, you can paste a shortcut in your My Folder. You can also paste a resource, code, or calendar file into an open project. (This assigns the auxiliary file to the project.)

Related Topics and Procedures


Using the Open Plan Explorer

Like the Windows Explorer on which it was modeled, the Open Plan Explorer provides a graphical and intuitive means of working with your Open Plan projects. Rather than forcing you to work in any particular manner, the Open Plan Explorer allows you to work in the way that you find most convenient.

The Open Plan Explorer features two panes separated by a moveable splitter bar:

  • The pane on the left contains a hierarchical list of folders and subfolders. In Open Plan, data is stored in a database. The items displayed in these folders are references to this data. As shipped by Deltek, the default folders are:

    • My Folder

    • Projects

    • Open Plan Library

    • Users

    • Briefcase

    • Startup

    You can also create custom folders both within your My Folder and within individual project, code, or resource folders.

    Only you have access to the custom folders that you create.

  • The pane on the right displays the contents of the currently selected folder. Depending on the option you choose in the Display Format list box, the contents of this pane may be shown in the following ways:

    • A multi-column list that provides information about the contents of the currently selected folder.

    • Large icons

    • Small icons

You can change the amount of space allocated to each of these panes simply by dragging the bar to the left or to the right.

Related Topics and Procedures


Using Toolbar Shortcuts

Open Plan features a toolbar that facilitates many of the operations within the system. In most cases, Open Plan performs the selected operation using the settings currently in effect and does not display the related dialog box.

A dimmed button on the toolbar indicates that the command is not available at this time. The following commands are available on the toolbar:

New | Resource Scheduling
Open | Risk Analysis
Save | Calculate Costs
Cut | Calculate Progress
Copy | Expand
Paste | Collapse
Print | Expand All
Print Preview | Collapse All
Create, Edit, Delete, or Apply a Filter | Drill Down / Next Year
Add to Filter | Drill Up / Previous Year
Remove from Filter | Outdent
Clear Filter | Indent
Toggle Filter | Relationship Mode
Edit Filter | Bar Data Mode
Refresh | Zoom In
About Open Plan | Zoom Out
Time Analysis | Snapshot

Related Topics and Procedures


Using the Customize Columns Dialog Box

When the Details display format is selected, each column of the contents pane contains data that is stored in a specific field of a data table. The Customize Columns dialog box allows you to specify the fields that are included and the order in which their columns are displayed.

The Available fields list on the left displays the fields that can be added to the Details displayed in the contents pane of the Open Plan Explorer. The Display these fields: list on the right displays the fields that are currently displayed there.

Double-clicking a field in either list moves its entry to the other list. In addition, you can use the following buttons to move fields in this dialog box:

Selecting a field in the list of Available fields and clicking this button moves the field to the bottom of the Display these fields list.

Selecting a field in the Display these fields list and clicking this button moves the field to its correct alphabetical location in the Available fields list.

Selecting a field in the Display these fields list and clicking this button moves the field one position up in the list.

Selecting a field in the Display these fields list and clicking this button moves the field one position down in the list.

You can also move fields in this dialog box simply by dragging them into a new location.

Selecting a field in the Display these fields list and clicking Heading displays the Change Column Heading dialog box that you can use to specify the column heading that Open Plan should use for the field.

Location

Related Topics and Procedures


Using the File Open Dialog Box

This dialog box allows you to select an Open Plan file to open. You can control the list of files to be displayed in the File Name list by selecting the type of file you want to display from the List Files of Type field.

The following information is displayed for each file:

  • Name

  • Description

  • Owner

  • Last Update

You can choose between these access modes:

  • Default

  • Exclusive

  • Shared

  • Read Only

If the file you want to open is already open by another user, Open Plan enables or disables the four access modes as appropriate depending on the mode in which the file is already open. For example, if the file you want to open is already open by another user in Exclusive mode, Open Plan will disable the first three modes and only allow you to choose Read Only.

You can also select multiple files to open at one time by either Shift+clicking or Ctrl+clicking the desired files. Open Plan will attempt to open the files in the mode you specify. If a file cannot be opened in the specified mode, it will be opened in the highest mode available. For example, assume you select three projects to open in exclusive mode and one of the projects is already open in shared mode by another user. Open Plan will open two projects in exclusive mode and the third in shared mode since that is the highest mode available for that project.

You can also open a project by right-clicking the project folder, clicking Open on the context menu, and then selecting the mode in which to open the project.

Location

Related Topics and Procedures


Using the Filter Settings Dialog Box

The Filter Settings dialog box helps you locate a specific item in the contents pane by allowing you to filter the items that are displayed.

The Filter Settings dialog box features the following controls:

  • Enable Filtering — This field controls whether the defined filter is put into effect when you click OK.

  • Field Name — You can base the filter on any field in this list.

  • Operator — This field allows you to specify how Open Plan should evaluate the filter expression. You can select from the following operators:

    • Contains

    • Equals

    • Greater or Equals

    • Greater Than

    • Is Empty

    • Less than or Equals

    • Less Than

    • Not Contains

    • Not Empty

    • Not Equals

The Contains operator is case-sensitive. Criteria entered using this expression must be typed in the same case as the original value. If the same case is not used, no results will be displayed.

  • Criteria — You can enter any value that you want in this field.

For example, assume that the Projects folder is displayed in the contents pane and that you want to limit the list to display only the project CLEAN. You would enter the following values in this dialog box:

Field Name

Operator

Criteria

Name

Equal to

CLEAN

To cancel the filter so that all items are displayed, display the Filter Settings dialog box and clear the Enable Filtering option.

Location

Related Topics and Procedures


— Clicking this button initiates the search with the parameters you enter in the Find dialog box.

— Clicking this button closes or dismisses the Find dialog box without searching.

— Clicking this button terminates the search. Results that were retrieved before Stop was selected will be displayed.

— Clicking this button clears the Named and Where fields and updates the Look in field to reflect the folder that is selected in either the List or Contents pane.

— Clicking this button displays this Help topic.

Using the Find Dialog Box

The Find dialog box allows you to find an item in any subfolder of the folder that is currently selected in Explorer view. You can search for an item based on its name or on any field that is available on the item. Because this dialog box is modeless, you can keep it open while you initiate any number of searches.

The Find dialog box features the following controls:

  • Search For

  • Named

  • Where

  • Look In

  • Include Subfolders

The following buttons are located along the right edge of the dialog box:

  • Find Now

  • Cancel

  • Stop

  • New Search

  • Help

Location

Related Topics and Procedures


Using the Logged-In User Dialog Box

The Logged In User dialog box allows you to view what files each logged-in user has open.

The User ID field contains a list of all the users currently logged into your Open Plan data source. Regardless of the user whose record is displayed, you can always display information for any user on the list.

The Logged-In User dialog box features a grid with the following columns:

  • Opened File — The name of the open file

  • File Type — The type of file open file (project, calendar, resource, or code)

  • Machine ID — The computer from which the file was opened

  • Opened On — The date and time the file was opened

  • Open Mode — The mode (exclusive, shared, or read only) in which the file is open

Location

Related Topics and Procedures


Adding a Column to the Contents Pane (Procedure)

Adding a Column to the Contents Pane

To add a column to the contents pane:

In order to customize the columns in the contents pane, the folder that is displayed must contain only like objects. For example, the objects must be all views, all projects, and so on.

  1. From the Display Format list on the Open Plan Explorer, select Details.

  2. Take one of the following actions to display the Customize Field Display dialog box:

    • Double-click the header bar.

    • Right-click the header bar, and click Customize Columns on the shortcut menu.

  3. For each column that you want to add, select the appropriate field from the Available fields list and click the > button.

    4. This moves the selected field to the Display these fields list.

  4. When finished adding columns, click OK.

Related Topics and Procedures


Changing the Center Setting for the Display (Procedure)

Changing the Center Setting for the Display

To enable a centered setting of the resource or code file display:

  1. Right-click an empty area of the workspace, and click Preferences on the context menu.

  2. On the Options tab of the Preferences dialog box, select Centered.

To disable a centered setting of the resource or code file display:

  1. Right-click an empty area of the workspace, and click Preferences on the context menu.

  2. On the Options tab of the Preferences dialog box, clear Centered.

Related Topics and Procedures


Changing the Display of Resource and Code IDs (Procedure)

Changing the Display of Resource and Code IDs

To enable the display of full IDs for resources and codes:

  1. Right-click an empty area of the workspace, and click Preferences on the context menu.

  2. On the Options tab of the Preferences dialog box, select Show Full ID.

To limit the display of resource and code IDs to the local portion:

  1. Right-click an empty area of the workspace, and click Preferences on the context menu.

  2. On the Options tab of the Preferences dialog box, clear Show Full ID.

Related Topics and Procedures


Changing the Hierarchy Display Layout Settings (Procedure)

Changing the Hierarchy Display Layout Settings

To enable the spread layout on resource and code hierarchy displays:

  1. Right-click an empty area of the workspace, and click Preferences on the context menu.

  2. On the Options tab of the Preferences dialog box, click Spread.

To enable the ladder layout on resource and code hierarchy displays:

  1. Right-click an empty area of the workspace, and click Preferences on the context menu.

  2. On the Options tab of the Preferences dialog box, click Ladder.

Related Topics and Procedures


Changing the Orientation of the Display (Procedure)

Orientation of the Display

To enable a sideways orientation of the resource or code file display:

  1. Right-click an empty area of the workspace, and click Preferences on the context menu.

  2. On the Options tab of the Preferences dialog box, select Sideways.

To enable a vertical orientation of the resource or code file display:

  1. Right-click an empty area of the workspace, and click Preferences on the context menu.

  2. On the Options tab of the Preferences dialog box, clear Sideways.

Related Topics and Procedures


Changing the Properties of a View (Procedure)

Changing the Properties of a View

To change view properties:

  1. To display the Properties dialog box, right-click the view file for which you want to change properties, and click Properties on the context menu.

  2. In the Properties dialog box, make the appropriate changes.

  3. Click OK.

Related Topics and Procedures


Changing Your Login Password (Procedure)

Changing Your Login Password

To change your login password:

  1. On the File menu, click Change Password.

  2. In the Old Password field, enter your old password.

  3. In the New Password field, enter your new password.

  4. In the Re-enter New Password field, re-enter your new password for confirmation.

  5. Click OK.

Related Topics and Procedures


Choosing a Command From a Menu (Procedure)

Choosing a Command From a Menu

To choose a command from a menu, take one of the following actions:

  • Click the name of the command.

  • Type the underlined letter in the command name.

Related Topics and Procedures


Choosing a Command From the Toolbar (Procedure)

Choosing a Command From the Toolbar

To choose a command from the toolbar:

Click the button representing the command. Dimmed buttons on the toolbar indicate that the command is not available at this time. The following commands are available from the toolbar:

Related Topics and Procedures


Creating a User Folder (Procedure)

Creating a User Folder

To create a user folder:

  1. In the hierarchy pane of the Open Plan Explorer, right-click the folder in which you want to create the new folder.

    2. User folders must be created as a subfolder of an existing folder. You can create user folders within any folder in the hierarchy.

  2. On the shortcut menu, click New Folder.

  3. Enter a name for the folder, and press Enter.

Related Topics and Procedures


Defining a Title Block (Procedure)

Defining a Title Block

To define a title block:

  1. Display the view for which you want to define a title block.

  2. On the Tools menu, click Title Blocks.

  3. On the Title Blocks dialog box, select the location where the title block should appear on the report.

  4. Enter an appropriate Divider Line setting to define the area of the header or footer to be used for the title block.

  5. For each line in the title block that you want to define, take one of the following actions:

    • Enter the text that you want to display on the title block line.

    • Click Variables, and select a variable to display on the title block line.

    • Enter a combination of text and variables on the title block line.

    • Click Logo and select a graphic to display on the title block line.

    For each line in the title block that you define, you may click Font to display the Font dialog box where you can select a typeface and its attributes.

  6. When you have finished entering information for the title block, click OK.

Related Topics and Procedures


Disabling Start Up Procedures (Procedure)

Disabling Start Up Procedures

To disable the startup Procedures that display when an empty view is opened:

  1. On the Tools menu, click Options.

  2. On the General tab of the Options dialog box, clear the Show Start Up Procedures option.

  3. Click OK.

Related Topics and Procedures


Displaying a Menu (Procedure)

Displaying a Menu

To display the contents of a menu, take one of the following actions:

  • Click the name of the menu.

  • Press the Alt key in combination with the first letter of the menu name.

Related Topics and Procedures


Granting File Access Rights (Procedure)

Granting File Access Rights

To grant file access rights to a user group:

You can grant access rights to a file only if you are either the owner of the file or the system administrator.

  1. Right-click the file for which you want to grant access rights.

  2. On the shortcut menu, click Properties.

  3. On the Properties dialog box, click the Access Control tab.

  4. On the Access Control tab, specify the user groups their roles, and their level of access to the file.

  5. When the information is correct, click OK.

Related Topics and Procedures


Modifying the List of Default Views (Procedure)

Modifying the List of Default Views

To modify the list of default views available for new projects:

  1. On the Tools menu, click Options.

  2. On the Views tab of the Options dialog box, click Views.

  3. Click the Views button.

  4. Take one of the following actions:

    • To add a view to the standard list of views, select it from the Available Views list, click choose Add.

    • To remove a view from the standard list of views, select it from the Standard Views list, and click Remove.

  5. When you have finished modifying the list of standard views, click OK.

Related Topics and Procedures


Opening Last File on Startup (Procedure)

Opening Last File on Startup

To set Open Plan to automatically open the last file accessed in the previous session:

  1. On the Tools menu, click Options.

  2. On the General tab of the Options dialog box, click the Open Last File on Startup option.

  3. Click OK.

Related Topics and Procedures


Printing Notes With a Report (Procedure)

Printing Notes With a Report

To print notes with a report:

  1. Display the view that you want to print.

  2. On the File menu, click Print Options.

  3. On the General tab of the Print Options dialog box, select the appropriate note options.

  4. Click OK.

Related Topics and Procedures


Rearranging Column Order in the Contents Pane (Procedure)

Rearranging Column Order in the Contents Pane

To rearrange the order in which headings are displayed:

In order to customize the columns in the contents pane, the folder that is displayed must contain only like objects. For example, the objects must be all views, all projects, and so on.

  1. From the Display Format list on the Open Plan Explorer, select Details.

  2. Take one of the following actions to display the Customize Field Display dialog box:

    • Double-click the header bar.

    • Right-click the header bar, and click Customize Columns on the shortcut menu.

  3. In the Display these fields list, select a field to move.

  4. Use the up or down arrow buttons to reposition the selected field.

  5. When finished, click OK.

Related Topics and Procedures


Removing a Column from the Contents Pane (Procedure)

Removing a Column from the Contents Pane

In order to customize the columns in the contents pane, the folder that is displayed must contain only like objects. For example, the objects must be all views, all projects, and so on.

To remove a column using a context menu, take one of the following actions:

  • Right-click the column to remove, and click Remove Column on the shortcut menu.

  • Right-click the header bar, and clear the check mark from the column you want to remove.

To remove a column using the Customize Field Display dialog box:

  1. From the Display Format list on the Open Plan Explorer, select Details.

  2. Take one of the following actions to display the Customize Field Display dialog box:

    • Double-click the header bar.

    • Right-click the header bar, and click Customize Columns on the shortcut menu.

  3. For each column that you want to remove, select the appropriate field from the Display these fields list, and click the < button.

    4. This moves the selected field to the Available fields list.

  4. When finished removing columns, click OK.

Related Topics and Procedures


Renaming a Column in the Contents Pane (Procedure)

Renaming a Column in the Contents Pane

In order to customize the columns in the contents pane, the folder that is displayed must contain only like objects. For example, the objects must be all views, all projects, and so on.

To rename a column using a context menu:

  1. Right-click the column to rename.

  2. On the shortcut menu, click Rename Column.

  3. In the Change Column Heading dialog box, enter a new name for the column.

  4. Click OK.

To rename a column using the Customize Field Display dialog box:

  1. From the Display Format list on the Open Plan Explorer, select Details.

  2. Take one of the following actions to display the Customize Field Display dialog box:

    • Double-click the header bar.

    • Right-click the header bar, and click Customize Columns on the shortcut menu.

  3. In the Display these fields list, select the appropriate field.

  4. Click Heading.

  5. In the Change Column Heading dialog box, enter a new name for the column.

  6. Click OK.

Related Topics and Procedures


Resizing a Column in the Contents Pane (Procedure)

Resizing a Column in the Contents Pane

To resize the width of a column in the contents pane manually:

  1. Place the cursor at either edge of a column’s header.

  2. When the cursor changes shape to [image], drag the edge to the desired column width.

To resize the width of a column to accommodate its contents:

  1. Right-click the heading of the column to be resized.

  2. On the shortcut menu, click Best Fit.

Related Topics and Procedures


Sorting the Data in the Contents Pane (Procedure)

Sorting the Data in the Contents Pane

To sort the data in the contents pane:

  1. Right-click the heading of the column on which you want to base the sort.

  2. On the shortcut menu, take one of the following actions:

    • Click Sort Ascending.

    • Click Sort Descending.

Related Topics and Procedures


Setting Print Margins (Procedure)

Setting Print Margins

To set print margins for Open Plan reports:

  1. On the File menu, click Print Options. (This command is available from most project views.)

  2. On the General tab of the Print Options dialog box, set your desired print margins in hundredths of an inch.

    3. The values you enter in this dialog box are added to any hardware or printer driver default values. The print margins you set apply to all Open Plan reports, regardless of the project that is open or the view that is displayed.

  3. Click OK.

Related Topics and Procedures


Setting System Preferences (Procedure)

Setting System Preferences

To set system preferences:

  1. On the Tools menu, click Options.

  2. In the Options dialog box, make any appropriate changes to the settings that are displayed.

  3. Click OK.

Related Topics and Procedures


Setting the Default Project (Procedure)

Setting the Default Project

To set the default project to use when creating a new project:

  1. On the Tools menu, click Options.

  2. On the Project tab of the Options dialog box, select the Create New Projects Using Default Project option.

  3. Click the arrow at the right of the Default Project field to display a list of available projects.

  4. Select the project you want to use as the default.

  5. Click OK.

Related Topics and Procedures


Setting Up a Printe (Procedure)

Setting Up a Printer

To set up a printer:

  1. Take one of the following actions to display the Print Setup dialog box:

    • On the Print dialog box, click Setup.

    • On the File menu, click Print Setup.

  2. Select the printer that you want to use.

    3. You can select a printer to be used as either the default printer or as a specific printer to be used only for the current print job.

  3. Select an orientation for your print output.

  4. From the Paper Size list, select the size of the paper you want to use.

  5. From the Source list, select the paper tray that contains the paper to be used.

  6. Click OK.

Related Topics and Procedures


Showing Summary Dates on Subprojects (Procedure)

Showing Summary Dates on Subprojects

To set Open Plan to display summary dates on subprojects:

  1. On the Project menu, click Time Analysis.

  2. On the Options tab of the Time Analysis dialog box, click the Show Summary Dates in Subprojects option.

  3. Click OK.

Related Topics and Procedures


Turning Off the Status Bar Display (Procedure)

Turning Off the Status Bar Display

To turn off the status bar display:

On the View menu, click Status Bar.

This command is a toggle. The check mark beside the command name indicates when it is in effect.

Related Topics and Procedures


Turning Off the Toolbar Display (Procedure)

Turning Off the Toolbar Display

To turn off the toolbar display:

On the View menu, click Toolbar.

This command is a toggle. The checkmark beside the command name indicates when it is in effect.

Related Topics and Procedures


Using the Zoom Out Command (Procedure)

Using the Zoom Out Command

To use the Zoom Out command, take one of the following actions:

  • On the View menu, click Zoom Out.

  • Right-click an empty area of the workspace, and click Zoom Out on the shortcut menu.

Related Topics and Procedures


Using the Zoom In Command (Procedure)

Using the Zoom In Command

To use the Zoom In command, take one of the following actions:

  • On the View menu, click Zoom In.

  • Right-click an empty area of the workspace, and click Zoom In on the shortcut menu.

Related Topics and Procedures


Backing Up and Restoring Open Plan Data

The Backup and Restore features of Open Plan allow you to backup data in a file with the extension of .bk3 that you can then use to restore the data. The data that you can back up and restore include:

  • Projects

  • Resources

  • Calendars

  • Code files

  • Views

  • Calculated fields

  • Filters

  • Sorts

  • Global edits

  • Email Advisory Definitions

When you create a backup file, you can include as many of these items that you want. For example, if you back up a project, you can include all its auxiliary data, views, and user data in the .bk3 file.

When you restore data, Open Plan prompts you to locate the .bk3 file and then offers to include both views and auxiliary files. If you have not made any changes to these objects, you can save time by not restoring them.

Related Topics and Procedures


Open Plan Data Sources

This dialog box displays a list of data sources to which you can connect. When you select a data source, the application to which you are establishing a connection displays a dialog box that allows you to enter additional information.

Location

Related Topics and Procedures


Saving and Copying Open Plan Files

You can use either of two commands to save Open Plan files.

  • Save As — Allows you to specify a new file name for the file. Use this command to copy a file.

    • Depending on the circumstances under which you perform the Save As, the following rules apply:

    • When you create a copy of a project, the new project maintains the same auxiliary file attachments as in the original project.

    • When you create a copy of an auxiliary file, if you want a project to use the new file, you must attach it to the project by either dragging it from the Open Plan Library and dropping it on the project or by using the Files tab of the Project Properties dialog box.

    You cannot perform Save As on a file if there is another file open which refers to it. For example, if you open project CLEAN and then try to perform a Save As on the calendar file CLEANCAL, you are given the following warning: "Cannot perform Save As on Calendar File CLEANCAL because there are open objects referring to it." Since CLEAN refers to CLEANCAL, you need to close the project before you can perform Save As on CLEANCAL.

  • Save — Saves the file with its current name. This command is also issued when you click the Save [image] button the toolbar.

You can access both Save As and Save on the File menu.

If you have opened a file in Read Only mode or if you have created a project using the default project, the Save command is disabled since you must provide a new name for the file under these circumstances.

Related Topics and Procedures


Sending a File

If your installation of Windows contains a MAPI compliant mail system such as Microsoft Outlook, you can issue the Send command by clicking Send on the File menu.

This command performs the following functions:

  • Displays the Backup Items to Send dialog box so that you can create a backup file containing the data to send.

  • Opens your default Internet email system

  • Creates a blank message with the backed-up file as an attachment.

The person to whom you are sending the file needs to have Open Plan 3.0 installed in order to restore the file.

Related Topics and Procedures


Understanding the Open Plan Briefcasing Feature

The briefcasing feature of Open Plan allows you to check out a project, work on it, and then check it back in. Checking out a project is similar to opening a project in Exclusive mode in that while you have the project checked out, you are the only person who can save changes to it. There is, however, a difference:

  • A project that is open in Exclusive mode is automatically closed when you exit Open Plan. At that time, other users with the appropriate rights can open the project in Exclusive or Shared mode, make changes and save their changes.

  • A project that is checked out cannot be modified by other users until you check it back in. Checking out a project is, therefore, especially useful when you need to maintain exclusive rights to the project over a longer period of time.

In order to check out a project, you must be able to open it in Exclusive mode. This means that in addition to having the appropriate rights to the project, no other user can have it open in either Exclusive or Shared mode at the time you want to check it out.

Open Plan allows you to check out a project in two ways:

  • In the Main Data Source — When a project is checked out in the Main data source it is locked so that it cannot be modified by other users. When you later check in the project, Open Plan removes the lock.

  • To the Briefcase Data Source — When a project is checked out to the Briefcase data source, Open Plan copies the project and all its auxiliary files to your Briefcase data source. You also have the option of copying the views used by the project. Checking out a project in this manner allows you to work on your project on another computer.

You cannot modify or delete external subprojects, foreign subprojects, or foreign activities that a briefcased project may contain, nor can you create these items.

Related Topics and Procedures


Using a Briefcase Data Source

Your briefcase data source must be called BRIEFCASING.

If you have checked out a project to your Briefcase data source, the copy of the project that remains in the Main data source is locked so that it cannot be modified by other users. However, the auxiliary files and views may be needed by users working on other projects and are, therefore, not locked. For this reason, you can open the auxiliary files and views in your Briefcase data source only in Read Only mode.

When you later check in the project, Open Plan copies the project back to the Main data source, removes the lock on the project, and deletes the copy in the Briefcase data source.

Related Topics and Procedures


Using Print Preview

You can display the Print Preview dialog box by displaying the view or data file that you want to print and taking one of the following actions:

  • Clicking Print Preview on the File menu

  • Clicking the Print Preview [image] button on the toolbar.

Print preview shows entire pages at a reduced size so that you can view one or more pages at a time and check page breaks. You cannot, however, make any changes to the report while in print preview.

The print preview window provides the following controls to display your report:

  • Next Page — Displays the next page in the report.

  • Prev Page — Displays the previous page in the report.

  • Two Page — Displays two pages of the report on the screen at one time.

  • Zoom In — Increases the magnification one level.

  • Zoom Out — Decreases the magnification one level.

  • SnapShot — Saves the active view in the .jpg format.

The Zoom In and Zoom Out buttons provide three levels of magnification.

In addition, the Print button allows you to print your report directly from the preview, and the Close button returns to the normal view.

Related Topics and Procedures


Working with Open Plan Data

In Open Plan 3.0, data is stored in an SQL data repository. Because all the data and most configuration information are stored in the database, you can log into Open Plan from any terminal on your network and have the same environment that you have on your own computer.

In the strictest sense of the word, Open Plan data is stored in tables in the data source rather than in files. However, in order to make explanations of the software easier to understand, dialog boxes, menus, and the Open Plan documentation refer to Open Plan data as "files." This allows us to describe such operations as opening a file, saving a file, closing a file, and so on.

When working with Open Plan data, you can perform the following operations:

  • Create new files

  • Open existing files

  • Save files

  • Copy files

  • Close files

  • Back up files

  • Restore files

  • Delete files

  • Change the access mode

Related Topics and Procedures


Using the Backup Dialog Box

This dialog box allows you to back up calendar, code, project, resource, system library, and view data in a file with the extension of bk3.

When you create a backup file, you can include as many different items as you want. For example, if you back up a project, you can include all its auxiliary data, views, and user data in the bk3 file.

The large area on this dialog box displays the names of all items to which you have access. These items are grouped under the following headings:

  • Calendars

  • Codes

  • Projects

  • Resources

  • System Library

  • Views

To view the items in any of these groups, click the + sign at the left edge of the group heading.

To include an item from these lists in the backup file, simply select its option box.

A row of buttons is located along the right edge of the Backup dialog box:

  • OK

  • Cancel

  • Select All

  • Clear All

  • Expand All

  • Help

Once you have created a backup file, you can use any commercially available data compression utility to compress the set.

Location

Related Topics and Procedures


Using the Backup Items to Send Dialog Box

This dialog box allows you to create a file with a .bk3 extension that contains the data to include as an email attachment.

you can include as many different items that you want. For example, if you back up a project, you can include all its auxiliary data, views, and user data in the .bk3 file.

The large area on this dialog box displays the names of all items to which you have access. These items are grouped under the following headings:

  • Calendars

  • Codes

  • Projects

  • Resources

  • Views

To view the items in any of these groups, click the + sign at the left edge of the group heading.

To include an item from these lists in the backup file, simply select its option box.

A row of buttons is located along the right edge of the Backup dialog box:

  • OK

  • Cancel

  • Select All

  • Clear All

  • Expand All

  • Help

Once you have created a backup file, you can use any commercially available data compression utility to compress the set.

Location

Related Topics and Procedures


Using the Change Access Mode Dialog Box

This dialog box allows you to change the access mode of a file that you have open.

The following controls allow you to select the file for which you can change the access mode:

  • A list at the top of the dialog box allows you to choose the type of file to be displayed in the list of open files:

    • Project

    • Project Templates

    • Calendar

    • Resource

    • Code

  • When you select a file type, the list box displays the names of all the files of that type that you have open.

When you select a file from the list, Open Plan displays the following information in a grid located at the bottom of the dialog box:

  • User ID — This column displays the ID of all the users who currently have the file open.

  • Machine ID — This column displays the ID of all the computers on which the file is currently open.

  • Open Mode — This column displays the access mode in which each file is open.

  • Opened On — This column displays the date and time on which each file was opened.

You can change the mode in which you have a file open by selecting the entry in the Open Mode column for your User ID, selecting a different Access Mode option, and clicking the Change button.

If the file is currently open by another user, the mode in which that user has the file open may impact the changes that you can make. For example, if using the Professional edition of Open Plan both you and another user have a file open in shared mode, you can change the mode in which you have it open to read-only. You cannot, however, change your access mode to exclusive.

Location

Related Topics and Procedures


Using the Change Access Rights Dialog Box

This dialog box allows you to change the access control information for the selected object or objects.

The Delete From Access Lists section allows you to choose either a group or user to remove from the access control lists for all selected objects. When you select either a group or user from the list and click Delete, it is removed from the selected objects’ access control lists.

The Selected Objects Access Control grid displays the groups and/or users that have access to the selected object or objects. This grid is similar to what is displayed on the Access Control tab of an object’s Properties dialog box. You can use this grid to define the access rights that groups or users with a specific role have to the object.

The grid contains the following columns:

  • Group

  • Role

  • User ID

  • Read Only

The grid is automatically updated if you deleted a group or user using the Delete From Access Lists function. You can also delete an entry directly from the grid by clicking the selection button at the left of the entry’s row to highlight the row and then pressing the Delete key.

When you select the Replace Access Lists option and then click the Update Access Control button, the entries you made in the grid replace the entries in the object’s access control list, causing the previous access control entries to be removed.

When you select the Add to Access Lists option and then click the Update Access Control button, the entries you made in the grid are added to the object’s access control list, leaving any existing access control entries intact.

Location

Related Topics and Procedures


Using the Change Owner Dialog Box

This dialog box allows you to change the owner for a selected object or objects.

The New Owner field contains a list of all the users defined using the Security Administrator. Simply select a user from the list and click OK to change the owner of the object to that user.

Location

Related Topics and Procedures


Using the Change Ownership and Access Rights Dialog Box

If you are the owner of an object or you have system administrator rights, you can use this dialog box to change the object’s owner and access controls. Objects include:

  • All Objects

  • Bar Sets

  • Batch Global Edits

  • Calculated Fields

  • Calendar Files

  • Code Files

  • Crosstable Export Definitions

  • Email Advisors

  • Filters

  • Global Edits

  • Projects

  • Project Templates

  • Reporting Calendars

  • Resource Files

  • Rollups

  • Sorts

  • Spread Curves

  • Title Blocks

  • Views

The grid on this dialog box displays the following information for all the objects you own:

  • Name

  • Object Type

  • Description

You can filter the objects displayed by selecting an object type from the Objects list. The default is All Objects.

When you select an object from the list, the following buttons are enabled:

  • Change Owner — Clicking this button displays a dialog box that allows a user with System Administrator privileges to change the owner of the selected object(s).

  • Change Access Rights — Clicking this button displays a dialog box that allows a user with System Administrator privileges to change the access rights for the selected object(s).

You can select more than one object at a time by using either Ctr+click or Shift+click. To select all the objects displayed, use the Select All button.

Location

Related Topics and Procedures


Using the Check In Dialog Box

This dialog box allows you to check in a project that you currently have checked out either in the Main data source or in your Briefcase data source.

The Include Projects in Briefcase Data Source option controls the list of projects that Open Plan displays in the list:

  • If this option is selected, Open Plan displays the name and description of projects that you have checked out in the Briefcase data source in addition to those that you have checked out in the Main data source. Also, the projects that have been created in the Briefcase data source are also listed.

  • If this option is cleared, Open Plan displays the name and description of only those projects that you have checked out in the Main data source.

The following buttons are located along the right edge of the dialog box:

  • Check In — Clicking this button checks the project back in the Main data source. The manner in which this is done depends on how the project was checked out:

    • If the project was checked out to the Briefcase data source, Open Plan copies the project files back in to the Main data source, removes the lock on the project, and deletes the copy in the Briefcase data source.

      • If a project is created in the Briefcase data source and shares the same name as a project in the Main data source, you will not be able to check that project in.

    • If the project was checked out in the Main data source, Open Plan removes the lock on the project but does not copy any files since the most recent update is already stored in the Main data source.

  • Close — Clicking this button cancels the check in operation.

  • Help — Clicking this button displays this Help topic.

  • Details — Clicking this button displays the Checked Out Projects dialog box that provides information about the projects that are currently checked out.

At the bottom of the dialog box, Open Plan features the Undo Check Out button that is enabled only for projects checked out to the Briefcase data source. Clicking this button removes the lock on the project, but does not copy the project data.

Location

Related Topics and Procedures


Using the Check Out Dialog Box

This dialog box allows you to check out a project.

The list box displays the name and description of all the projects that are available to be checked out. You can check out as many projects as you wish by selecting them and clicking Check Out.

The Check Out dialog box also features the following controls that allow you to specify the way the projects are to be checked out:

  • Check Out in Main Data Source — If this option is selected, the project in the Main data source is locked so that it cannot be modified by other users until you check it back in.

  • Check out to Briefcase Data Source — If this option is selected, Open Plan copies the project and all its auxiliary files to your Briefcase data source. Checking out a project in this manner allows you to work on your project on another computer.

    • If the project was previously checked out to your Briefcase data source, checking it out again overwrites the data in the Briefcase. (You can prevent this from occurring by clicking No or No to All to the alert that asks whether you want to overwrite the data in the Briefcase data source. This cancels the check out procedure for the duplicated data.)

    The copy of the project that remains in the main data source is locked so that it cannot be modified by other users. When you later check in the project, Open Plan copies the project back to the main data source and removes the lock.

  • Check Out Views with Project — This option is enabled only when you select the Check out to Briefcase Data Source option. The first time you check out a project, you should check out the views with the project. Once the views are stored in your Briefcase data source, you can use them again the next time you check the project out.

The following buttons are located along the right edge of the dialog box:

  • Check Out — Clicking this button performs the check out operation.

  • Cancel — Clicking this button cancels the check out operation.

  • Help — Clicking this button displays this Help topic.

Location

Related Topics and Procedures


Using the Checked Out Projects Dialog Box

This dialog box identifies the people who have a project checked out. The Checked Out Projects dialog box features a grid with the following columns:

  • Project — This column displays the project name of each project you selected in the Check In dialog box.

  • User ID — For each project, this column displays the User ID of the person who has the project checked out.

  • Machine ID — For each project, this column displays the ID of the computer that the user was using when he or she checked out the project.

  • Checkout Date — This column displays the date on which the project was checked out.

  • Data Source — This column identifies the manner in which the project was checked out:

    • Main — This entry indicates that the project files are locked in the Main data source, but that they have not been copied to a Briefcase data source.

    • Briefcased — This entry indicates that in addition to locking the project in the Main data source, Open Plan has copied the project files to a Briefcase data source.

Location

Related Topics and Procedures


Using the Data Tool Dialog Box

The Open Plan Data Tool dialog box allows you to initialize a data source for use with Open Plan with two types of data:

  • Default Data — Default data includes the data dictionary, security data, system library, explorer folders, spread curves, views, title blocks, bar sets, and symbols. Some of the default data is common to both the Professional and Desktop editions of Open Plan. Other default data is product specific.

  • Demonstration Data — Demonstration data includes projects and all their associated files that you can use to explore the features of Open Plan.

The Target DSN field at the top of the dialog box allows you to select a target data source from a list of those that have been set up. You can also click the ellipsis to display the Data Sources dialog box that you can use to manage the list of available data sources.

The Options General section of the dialog box contains three tabs:

  • Initialize Data Source — While initializing a data source needs to be performed only once, you can repeat the procedure as often as necessary. When the procedure is repeated, Open Plan refreshes the data types you select on this tab, leaving other data types untouched. The Initialize Data Source tab provides the following controls that allow you to initialize the selected target data source:

    • Install Default Data

    • Remove Existing Data

    • Install Demonstration Data

  • Add Products — This tab allows you to add an installed product to the selected target data source:

    • Choose Product

    • Install Default User Account

    • Delete All Existing Users

The following buttons are located across the bottom of the dialog box:

  • Create Data — When you click this button, the DataTool populates the Target DSN according to your instructions.

  • Password — Clicking this button displays a Change Password dialog box that you can use to change the password you use to log into the Open Plan DataTool.

  • Close — Clicking this button closes the dialog box.

  • Help — Clicking this button displays this Help topic.

Location

Related Topics and Procedures


Using the Delete Activity Dialog Box

When you delete a single activity from a project, you can use this dialog box to instruct Open Plan to take one of the following actions:

  • Delete the activity and its relationships

  • Delete the activity and reconnect its predecessors to its successor using Finish to Start relationships

Location

Related Topics and Procedures


Using the Edit Data Source Dialog Box

This dialog box features the following controls that allow you to modify a data source that you selected on the Data Sources dialog box, or to define one to be used as your Briefcasing data source:

  • Name — The name of the currently selected data source is displayed in this field.

  • Database Name (Schema) — Use of this field is optional. If you wish, you can enter the schema name of the selected database in this field.

    • If you do not enter a schema name in this field, the Datasources.dat file must identify an Initial Catalog for the database.

  • Database is Unicode — Select this option only if the database is in unicode. MS Access databases are always in Unicode. Additionally, this option is used for double-byte languages such as Chinese, Russian, and Hebrew.

  • Data Link Properties — Clicking this button displays the Windows Data Link Properties dialog box that you can use to specify how to link to the server where the database is stored.

Location

Related Topics and Procedures


Using the Font Dialog Box

The Font dialog box uses the following settings to control the way in which Open Plan displays text:

  • Font — Open Plan lists the fonts available with the current printer driver and additional fonts installed in your system. If your project reports will be printed on a number of different printers, select a commonly available font such as one of the TrueType fonts.

  • Font Style — You can choose from the following options: Regular, Italic, Bold, and Bold Italic. To use the default type style for a given font, select Regular.

  • Size — The sizes available depend on the printer and the selected font. If the size you indicate is not available on the current printer, Windows chooses the closest available size.

    • The Size option is not available if this dialog box is accessed from either the Scaling Specifications or the Zone Attributes dialog box.

  • Sample — The Sample window shows the effects of the formatting you specify before you apply it.

  • Script — Lists the available language scripts for the specified font. For example, Western is available for the Arial font, while Symbol is available for the Wingdings font.

Location

Related Topics and Procedures


Using the New File Dialog Box

The New File dialog box features the following controls that allows you to create a new Open Plan file:

  • File Type — You can choose from the following file types:

  • Project — Open Plan creates a project file and adds it to the list of projects in the Open Plan Explorer.

  • Calendar — Open Plan creates a calendar file and displays the default calendar. You can make whatever modifications to the calendar that you wish.

  • Resource — Open Plan creates a resource file and allows you to enter resource information.

  • Code — Open Plan creates a code file and allows you to enter code information.

  • Project Template — Open Plan creates a project template and adds it to the list of project templates in the Open Plan Explorer.

  • Name — The name of the file.

  • Description — The description of the file.

  • Use previous settings as default — This option is enabled when you select either Project or Resource from the File Type list. If you select this option, Open Plan uses the last settings you entered in the New File Wizard as defaults for the file you are creating.

You can change any of these defaults by clicking Next and making the appropriate change on the relevant page in the New File Wizard.

The following buttons are located across the bottom of the dialog box:

  • Next

  • Finish

  • Cancel

  • Help

Location

Related Topics and Procedures


Using the New File Wizard Access Control Page

New File Wizard is displayed regardless of whether you are creating a project, calendar file, code file, or a resource file.

Open Plan displays the following information about the new file at the top of each page of the wizard.

  • Name

  • Owner

  • Description

The remaining fields on this page of the wizard allow you to define the access rights that users who are members of a group with a specified role have to the project.

For each group that you want to provide with access rights to the project, you must also specify a role. It is the combination of group and role that is given access to the project.

A grid on this page contains the following columns:

  • Group

  • User ID

  • Role

  • Read Only

The Group and User ID settings are mutually exclusive. This means that you cannot specify a group and an individual user on the same row of the grid. You can, however, give access rights to a group on one row and then give access rights to an individual on a separate row.

Location

Related Topics and Procedures


Using the New File Wizard Code Structure Page

The Code Structure page of the New File Wizard allows you to define the structure for the new code file. This page is displayed only when you are creating a code file.

Open Plan displays the following information about the new code file at the top of each page of the wizard.

  • Name

  • Owner

  • Description

The remaining controls on this page of the wizard allow you to define the structure of the new code file:

  • Code Type

  • Fixed Level Length

  • Pad Character

Location

Related Topics and Procedures


Using the New File Wizard Create Page

The Create page of the New File Wizard is displayed for all types of files.

Open Plan displays the following information about the new file at the top of each page of the wizard.

  • Name

  • Owner

  • Description

The remaining fields allow you to specify the parameters for the new file.

The fields that are displayed depend on the type of file (project, calendar, resource, code, or project template) you are creating.

  • Default access mode

  • Auxiliary Files

  • Create a new file

  • Create a new file as a copy of an existing file

  • Create a new file from project templates

  • Create a new file from default project

  • Startup View

  • Prompt Text

Location

Related Topics and Procedures


Using the New File Wizard External Subprojects Page

The External Subprojects page of the New File Wizard is displayed only when you are creating a multiproject.

Open Plan displays the following information about the new project at the top of each page of the wizard.

  • Name

  • Owner

  • Description

The Select External Subprojects to Include in New Project text box displays a list of all the projects currently stored in the database. By default, the project(s) that were selected when you displayed the context menu are preselected in this list. You can, however, add or remove selections in this list simply by clicking them. The selected projects become external subprojects in the multiproject that is created when you click Finish.

Location

Related Topics and Procedures


Using the New File Wizard Files Page

The Files page of the New File Wizard is displayed when you are creating either a project or a resource file. This page allows you to assign auxiliary files to the file you are creating.

Open Plan displays the following information about the new file at the top of each page of the wizard.

  • Name

  • Owner

  • Description

The remaining fields that are displayed on this page depend on the type of file you are creating:

  • Calendar File

  • Resource Definition File

  • Code Files

It is not necessary to assign these auxiliary files at this time. You can make the selections later through the appropriate project or auxiliary file Information dialog box.

Location

Related Topics and Procedures


Using the New File Wizard Notes Page

The Notes page of the New File Wizard allows you to define a note to be attached to a new project, resource file, and code file.

Open Plan displays the following information about the new file at the top of each page of the wizard.

  • Name

  • Owner

  • Description

The Category field controls the category of the note. You can select a category from the list of categories set up in the database.

Although you can attach multiple notes to a project, you can attach only one note per category.

The text box can contain up to 29 KB of text about the file. You can enter the text by typing directly in this field or by using the Paste command to insert text copied from another Windows application such as a word processor or spreadsheet.

The following spell check button allows you to check the spelling in the note:

You can enter links to files, web pages, and email addresses by entering the information in one of the following formats:

  • File links must be entered in the format of: file://c:\document.doc

    • If the file link you enter contains spaces, you must enclose the link with angle brackets ( < > ) in order for the link to work properly:
    <    file://C:\Documents and Settings\All Users\Desktop\test.txt>

  • Universal Resource Locators (URLs) must be entered in the format of: http://www.deltek.com

  • Email addresses must be entered in the format of: mailto:contactus@deltek.com

While you can use drag and drop functionality to create links in the Note field, the Cut (Ctrl+X), Copy (Ctrl+C), and Paste (Ctrl+V) commands are not available for links.

Location

Related Topics and Procedures


Using the New File Wizard Preferences Page

The Preferences page of the New File Wizard is displayed only when you are creating a project.

Open Plan displays the following information about the new project at the top of each page of the wizard.

  • Name

  • Owner

  • Description

The remaining fields on the Preferences page of the New File Wizard allow you to specify the following project settings:

  • Default Date Format

  • Default Activity Type

  • Default Activity Calendar

  • Default Res. Curve

  • Startup View

  • Default Relationship Calendar

  • Default Res. Level

  • Conversions

  • Default Duration Units

  • Minimum Calculated Duration

  • Default Access Modes

Location

Related Topics and Procedures


Using the New File Wizard Status Information Page

The Status Information page of the New File Wizard is displayed only when you are creating a project.

Open Plan displays the following information about the new project at the top of each page of the wizard.

  • Name

  • Owner

  • Description

The remaining fields on the Status Information page of the New File Wizard allow you to specify the following status settings for the project:

  • Project Start

  • Time Now

  • Auto Time Analysis

  • Finish Type

  • Target Finish

  • Target Cost

Location

Related Topics and Procedures


Using the New File Wizard Summary Page

The Summary page of the New File Wizard is displayed only when you are creating a project or multiproject. This page allows you to enter summary information about the project.

Open Plan displays the following information about the new file at the top of each page of the wizard.

  • Name

  • Owner

  • Description

The remaining fields on this page allow you to enter the following information about the new project:

  • Project Manager

  • Project Manager Email Address

  • Company

  • Client

  • Project Priority

  • Create Summary Usage Upon Saving Project

  • Create Summary Usage Based On

Location

Related Topics and Procedures


Using the New File Wizard Project Templates Page

The Project Templates page of the New File Wizard displays when a new project, multiproject, or project template is created and the Create a new file from project templates option is selected on the Create page.

Open Plan displays the following information about the new file at the top of each page of the wizard.

  • Name

  • Owner

  • Description

The templates that have been assigned to the new project are listed in the Project Templates to Include in New Project table. This table displays the following information for each template:

  • Project Template

  • Mode

  • Subproject Name

  • Project Name

  • Prefix

  • Suffix

The following buttons help you manage the templates for the new project:

  • Select Templates

  • Delete Templates

  • Change Settings

Location

Related Topics and Procedures


Using the Print Dialog Box

The Print dialog box controls how your report is printed using the following Print Range settings:

  • All — Prints all pages of a view or report. If the view is too large to be displayed on one page, Open Plan divides it into pages and prints all the pages.

  • Selection — This option is not supported in Open Plan.

  • Pages — Prints a range of pages you select.

Depending on your installation of Windows and your default printer, this dialog box may also feature additional controls such as the following:

  • A Print Quality field that controls the print resolution to be used

  • A Copies field that controls the number of copies of the view Open Plan should print

  • A Collate option that controls whether Open Plan should collate the reports being printed

  • A Setup button that displays a dialog box where you can specify the printer you want to use as well as any options that are specific to your printer driver

Location

Related Topics and Procedures


Using the Print Options Dialog Box

Open Plan uses a tabbed dialog box to control the many options available for printing a report. The Print Options dialog box always displays the following tab:

  • General

For barchart, resource histogram, and risk histogram views, Open Plan also displays the following additional tab:

  • View

A row of buttons across the bottom of the dialog box apply to all Print Options tabs:

  • OK

  • Cancel

  • Apply

  • Preview

  • Help

Location

Related Topics and Procedures


Using the Print Setup Dialog Box

This dialog box displays the currently defined default printer and allows you to specify a printer to be used for the current print job.

In addition, the following options control how your job is printed:

  • Orientation — Controls whether the output should be in portrait or landscape orientation. (A graphic illustrates each of these options.)

    • If you change the orientation in this dialog box, Open Plan automatically reflects this in the settings of the Print Options dialog box.

  • Paper Size — Controls the size of paper to be used.

  • Source — Controls the paper tray containing the paper to be used for the print job.

An Options button displays a dialog box where you can also set options that are specific to your printer driver.

Location

Related Topics and Procedures


Using the Restore Process Dialog Box

This dialog box features the following controls that allow you to instruct Open Plan on the action to take when the restore operation has been interrupted:

  • Cancel Restore Process

  • Re-select Files to be Restored

Location

Related Topics and Procedures


Using the Restore Required Dialog Box

This dialog box lists the auxiliary files that must be included in the restoration process or else the project will not be restored.

Clicking Restore instructs Open Plan to restore the auxiliary files in the list.

Clicking Cancel cancels the entire restoration process.

Location

Related Topics and Procedures


Using the Restore Target Exists Dialog Box

In most cases, the file that you are restoring differs from the version of the file that is stored on the database.

This dialog box features the following options that allow you to specify whether you want the copy on the database to be overwritten:

  • Skip restore of file

  • Overwrite existing file

  • Rename and restore

The following buttons are located along the right edge of the dialog box:

  • Yes

  • Yes All

  • Cancel

  • Help

Location

Related Topics and Procedures


Using the Restore – Write Access Denied Dialog Box

This dialog box appears if you are trying to restore a file that already exist and is open by you or another user. Because the file is open, you cannot overwrite it.

You can choose one of the following actions:

  • Skip restore of file

  • Rename and restore

The following buttons are located along the right edge of the dialog box:

  • Yes

  • Yes All

  • Cancel

  • Help

Location

Related Topics and Procedures


Using the Restore Wizard

The Restore Wizard allows you to restore a backup set.

The top list box displays the names of the files in the backup set. While you can select the items that you want to restore individually, the settings in the Include section of this dialog box can be used to simplify this task.

The following options control the categories of items in the hierarchy that Open Plan should select for the restore operation:

  • Views — This option instructs Open Plan to select all the views associated with any item that will be restored.

  • Auxiliary data — This option instructs Open Plan to select the Calendar, Resource, and Code items associated with the items to be restored.

  • External Subprojects — This option instructs Open Plan to select external subprojects associated with the project to be restored.

  • System Library Data — This option instructs Open Plan to select the system library data (such as global edits, filters, sorts, and calculated fields) associated with the project to be restored. By default, this option is not selected. Open Plan handles the restoring of system library data as follows:

    • If the system library data does not exist in the target data source (for example, it has been deleted), the data will automatically be restored.

    • If the data already exists in the target data source, it will be listed on the Details page of the Restore Wizard. This gives you the option to overwrite the existing data on a one-to-one basis. For example, if you have modified filters in the target data source, you may not want to overwrite them during the restore process.

You can clear any specific items that you do not want to restore.

If you are trying to restore a file to which you do not have access control rights, that file will appear in the Files that cannot be restored due to your Access Rights list box. For example, assume that a backup file set contains three files: two projects and a resource file not associated with either project. Also assume that you only have access rights to one project and not to the other project and resource file. The file you have access rights to will appear in the top list box and the two files you do not have rights to will appear in the bottom list box.

If you click Next, Open Plan displays the Details page of the wizard.

Files in the Files that cannot be restored due to your Access Rights list will not appear on the Details page of the wizard.

If you click Finish, Open Plan checks for any differences between the backup set and the files that will be modified by the restore operation:

  • If no differences are found, Open Plan restores the data.

  • If any differences are found, Open Plan displays additional dialog boxes where you can instruct Open Plan how to proceed.

Location

Related Topics and Procedures


Using the Save As Dialog Box

This dialog box allows you to save projects, calendars, codes, and resources with a new name. This dialog box features the following controls:

  • New Name — The new name to be associated with the file.

  • Description — The new description to be associated with the file.

  • Create Project Template — Selecting this option instructs Open Plan to save the file as a project template.

When you click OK, Open Plan copies the current data into the appropriate tables using the new name.

You cannot perform Save As on a file if another file is open which refers to it. In such case, Save As is disabled.

Location

Related Topics and Procedures


Using the Save Changes Dialog Box

This dialog box allows you to save changes to a file that is open in exclusive mode. (If the file is open in read-only mode, Open Plan discards your changes when closing the file.)

This dialog box contains the following buttons:

  • Yes — Saves the file before closing it.

  • No — Closes the file without saving your changes.

  • Cancel — Closes the dialog box, leaving the file open.

Location

Related Topics and Procedures


Using the Save Current View As Dialog Box

This dialog box allows you to perform the following functions:

  • Make a copy of a view

  • Save modifications that you have made to a view either by updating the current view or by creating a new one.

The Save Current View As dialog box features the following controls:

  • Name — The name of the view. When this dialog box is displayed, the Name field contains the current name of the view.

    • To create a new view that contains your modifications, enter a new name in this field.

    • To save your modifications in the current view, do not change the name that is displayed.

  • Description — The description of the view. When this dialog box is displayed, this field contains the current description associated with the view. While changing the information in this field is optional, you will most probably want to enter a new description when you enter a new name for the view.

When you click OK, Open Plan performs one of the following actions:

  • If you have entered a new name for the view, Open Plan creates the new view, lists it in the Open Plan Library, and creates a link to it in your open project.

  • If you have not entered a new name for the view, Open Plan updates the current view with your modifications.

Location

Related Topics and Procedures


Using the Select Baselines to Save Dialog Box

If you perform a Save As on a project that contains at least one baseline, Open Plan automatically displays this dialog box. You can use this dialog box to select the baselines to save when you make a copy of the project.

To select multiple baselines, you can either Shift+click or Ctrl+click the desired baselines.

To cancel the copy project with baseline operation, click Cancel.

Related Topics and Procedures


Using the Select File to Delete Dialog Box

This dialog box allows you to select a file to delete. You can control the list of files to be displayed by selecting the type of file you want to display. You can select from the following types of files:

  • Project

  • Calendar

  • Resource

  • Code

  • View

  • Project Template

The following information is displayed for each file:

  • Name

  • Description

  • Owner

  • Last Update

You can select multiple files to delete at one time by either Ctrl+clicking or Shift+clicking the desired files.

When you click OK, Open Plan checks whether you have sufficient rights to the file and then asks you to confirm the deletion.

Location

Related Topics and Procedures


Using the Select Standard Views Dialog Box

The Select Standard Views dialog box controls the views that Open Plan automatically makes available to new projects.

The dialog box contains two lists:

  • The Available Views list displays a list of views found in the system directory.

  • The Standard Views list displays a list of views that are assigned to new projects.

Buttons located between the two lists allow you to add or remove views from the Standard Views list.

As shipped, the Standard Views list is empty, and new projects are created with the following standard views:

  • Barchart View

  • Network View

  • Spreadsheet View

If you add one or more views to the Standard Views list, new projects are created with only the views in the list.

Location

Related Topics and Procedures


Backing Up Open Plan Data

To back up Open Plan data:

  1. On the File menu, point to Manage Files.

  2. On the Manage Files submenu, click Backup File.

  3. From the Backup dialog box, select the file(s) to backup.

  4. Click OK.

  5. On the Save As dialog box, provide a name and location for the backup file set.

  6. Click Save.

If you are backing up a project, Open Plan automatically includes any associated auxiliary files, views, and external subprojects in the backup file.

Related Topics and Procedures


Changing the Access Mode of a File

To change the access mode of a file:

  1. On the File menu, point to Manage Files, and click Change Mode.

  2. In the Change Access Mode dialog box, select the open file whose access mode you want to change.

  3. From the Change Mode to: list, select a new access mode for the file.

  4. Click Change.

Related Topics and Procedures


Changing the Default Access Mode of a File (Procedure)

Changing the Default Access Mode of a File

To change the default access mode of a file:

  1. Open the file for which you want to change the default access mode in Exclusive or Shared mode.

    2. The Shared mode is available only in the Professional edition of Open Plan.

  2. Right-click the file.

  3. On the shortcut menu, click Properties.

  4. On the Properties dialog box, click the Preferences tab.

  5. From the Default Access Mode list boxes, select default access modes of your choice.

  6. Click OK.

Related Topics and Procedures


Changing the Owner of an Object

To change the owner of an object:

  1. From the File menu, point to Manage Files.

  2. Click Change Owner and Access Rights.

  3. Select the object or objects for which you want to change the owner.

    4. To select more than one object, use Ctrl+click or Shift+click. To select all the objects displayed, click Select All.

  4. Click Change Owner.

  5. From the New Owner list on the Change Owner dialog box, select a new owner.

  6. Click OK.

  7. Click Close.

Related Topics and Procedures


Checking In a Project

To check in a project:

  1. On the File menu, point to Manage Files, and click Check In.

  2. On the Check In dialog box, select the appropriate project.

    3. If you have checked out the project to your Briefcase Data Source, click the Include Projects in Briefcase Data Source option.

  3. Click OK.

Related Topics and Procedures


Checking Out a Project

To check out a project:

  1. Ensure that you can open the project in Exclusive mode.

    2. If you plan to check out a project to your Briefcasing data source, you must also ensure that the data source is accessible.

  2. On the File menu, point to Manage Files, and click Check Out.

  3. In the Check Out dialog box, select the project(s) that you want to check out.

  4. Select the appropriate check out method:

    • Check Out in Main Data Source

    • Check Out to Briefcase Data Source

  5. If you have selected the Check Out to Briefcase Data Source option, you can select the option to Check Out Views with Project.

  6. Click Check Out.

Related Topics and Procedures


Closing an Open Plan File (Procedure)

Closing an Open Plan File

To close a project file:

  1. Display any project view for the project.

  2. On the File menu, click Close.

To close a data file:

  1. Display a window containing information for the file that you want to close.

  2. On the File menu, click Close.

You cannot close auxiliary files in use by an open project unless you close the project.

To close Open Plan:

On the File menu, click Exit.

Related Topics and Procedures


Copying a View

To copy a view:

  1. Open the view that you want to copy.

  2. On the File menu, click Save View.

  3. In the Name field on the Save Current View As dialog box, enter a new name for the view to be created.

  4. In the Description field, enter a new description for the view. While this step is not really required, in most cases, it is a good idea to have unique descriptions for views.

  5. Click OK.

The new view is displayed in the Open Plan Library and a link is made to it in your open project.

Related Topics and Procedures


Copying an Open Plan File (Procedure)

Copying an Open Plan File

To copy an Open Plan file, take one of the following actions:

  • Open the file that you want to copy, click Save As on the File menu, and assign a name to the file.

  • Use the Create a new file as a copy of an existing file option on the Create page of the new File Wizard.

Related Topics and Procedures


Creating an Open Plan File (Procedure)

Creating an Open Plan File

To create an Open Plan file:

  1. Take one of the following actions:

    • On the File menu, click New.

    • Press the Ctrl+N keys.

    • On the toolbar, click the New [image] button.

  2. From the File Type list on the New File dialog box, select the type of file that you want to create (Project, Calendar, Resource, or Code).

  3. In the Name field, enter a name for the new file.

  4. In the Description field, enter a description for the file.

  5. Click Next.

  6. On the first page of the New File Wizard, select a default access mode for the project.

  7. Decide whether you want to create an original new file or create the file as a copy of an existing one and click the appropriate option.

    8. If you are creating the new file as a copy of an existing file, Open Plan allows you to select the file that you want to use as a template.

  8. Click Next.

  9. Complete the remaining pages of the wizard clicking Next to advance from page to page.

  10. On the last page of the wizard, click Finish.

When you have finished creating the file, you can display the Properties dialog box to review your settings and make any necessary changes.

Related Topics and Procedures


Deleting an Open Plan File (Procedure)

Deleting an Open Plan File

To delete an Open Plan file:

You cannot delete a data file that is referenced by another file. For example, you cannot delete a resource file if any project still uses it.

  1. On the Open Plan Explorer, right-click the icon representing the file that you want to delete.

  2. On the shortcut menu, click Delete.

  3. When Open Plan asks you to confirm the deletion, click Yes.

The effect of performing a deletion in this manner depends on where the file reference is located in the hierarchy pane of the Open Plan Explorer. For more information, click here.

- or -

  1. On the File menu, point to Manage Files, and click Delete File.

  2. In the Select File to Delete dialog box, select the file you want to delete.

  3. Click OK.

  4. When Open Plan asks you to confirm the deletion, click Yes.

When you use this method, the data is deleted from the data source regardless of where the file reference is located in the hierarchy pane of the Open Plan Explorer.

Related Topics and Procedures


Opening a File in a Specified Mode (Procedure)

Opening a File in a Specified Mode

To open a file in a specified mode from the Open Plan Explorer:

  1. Right-click the icon representing the file you want to open.

  2. On the shortcut menu, point to Open.

  3. On the submenu, click the mode in which you want to open the file.

The Shared mode is available only in the Professional edition of Open Plan.

To open a file in a specified mode from a dialog box:

  1. On the File menu, click Open.

  2. In the File Open dialog box, select the file that you want to open.

  3. Click the mode in which to open the file.

    4. The Shared mode is available only in the Professional edition of Open Plan.

  4. Click OK.

Open Plan always attempts to open a project’s auxiliary files in the mode specified on the Preferences tab of its Project Properties dialog box. If an auxiliary file cannot be opened in the specified mode because of the mode in which another user has it open, the file is opened in the next most restrictive mode.

Related Topics and Procedures


Opening an Open Plan File (Procedure)

Opening an Open Plan File

To open an Open Plan file:

  1. Take one of the following actions:

    • On the File menu, click Open.

    • Press Ctrl+O.

    • On the toolbar, click the Open [image] button.

  2. In the File Open dialog box, select the type of file you want to open from the List Files of Type list.

  3. Select the file you want to open.

  4. Select the mode (Exclusive, Shared, Read Only) in which you want to open the file.

    5. When you open a project, Open Plan attempts to open its auxiliary files in the mode specified on the Preferences tab of its Project Properties dialog box. This setting overrides the default access mode for the auxiliary file as set on its own Properties dialog box.

  5. Click OK.

You can select multiple files to open at once by either Shift+clicking or Ctrl+clicking the desired files and then clicking OK.

Related Topics and Procedures


Previewing a Report Before Printing (Procedure)

Previewing a Report Before Printing

To preview a report before printing:

  1. Display the view that you want to print as a report:

  2. Take one of the following actions:

    • On the File menu, click Print Preview.

    • On the toolbar, click the Print Preview [image] button.

  3. On the Print Preview dialog box, take one of the following actions:

    • To display the next page in the report, click Next Page.

    • To display the previous page in the report, click Prev Page.

    • To display two pages of the report at one time, click Two Page.

    • To increase the magnification of the display, click Zoom In.

    • To decrease the magnification of the display, click Zoom Out.

    You can display your report at three levels of magnification.

  4. Take one of the following actions:

    • To print the report, click Print.

    • To make changes to the view before printing, click Close.

Related Topics and Procedures


Printing a Report (Procedure)

Printing a Report

To print a report:

  1. Display the view for which you want to print a report.

    2. You can set print options for the report by clicking Print Options on the File menu and entering the information in the dialog box that is displayed.

  2. On the File menu, click Print.

    3. You can preview the report before printing it by clicking Print Preview on the File menu. And, you can print the report by clicking Print on the Print Preview dialog box.

  3. In the Print dialog box, check that the appropriate printer is displayed. (If the correct printer is not displayed, click Setup to access the dialog box where you can specify another printer driver.)

  4. Enter the information about how the report should be printed.

  5. Click OK.

Related Topics and Procedures


Restoring Data From a Backup File

Restoring Data From a Backup

To restore data from a backup:

  1. On the File menu, point to Manage Files.

  2. On the Manage Files submenu, click Restore File.

  3. In the Open dialog box, select the backup file that you want to restore.

  4. Click Open.

  5. On the first page of the Restore wizard, select the files to restore and the items that you want included.

  6. Click Next.

  7. In the Restore – Details page, expand the hierarchy to view which files are selected for the restoration process

  8. Select or clear any items as appropriate.

  9. Click Finish.

    10. For each item to be restored, Open Plan checks whether the item exists on the target database and takes one of the following actions:

    • If the item does not exist on the target database, Open Plan restores the item.

    • If the item exists on the target database, Open Plan displays the Restore Target Exists dialog box.

  10. For each Restore Target Exists dialog box that is displayed, select the appropriate option and click Yes:

    • Skip restore of file

    • Overwrite existing file

    • Rename and restore

    If you plan to take the same action for all the items, select the appropriate action, and click Yes All.

Related Topics and Procedures


Saving A View

To save a view:

  1. Open the view that you want to save and make any modifications that you wish.

  2. On the File menu, click Save View.

  3. On the Save Current View As dialog box, click OK.

Related Topics and Procedures


Saving an Open Plan File (Procedure)

Saving an Open Plan File

To save an Open Plan file:

  1. Open the file you want to save.

  2. Take one of the following actions:

    • On the File menu, click Save.

    • Press the Ctrl+S keys.

    • On the toolbar, click the Save [image] button.

The Save command is available only if you opened the file in exclusive mode. You can also save the file with a different name, location, or file type by clicking Save As on the File menu at any time.

You must also use the Save As command the first time you save a project created using the default project.

Related Topics and Procedures


Sending an Open Plan File as an Email Attachment (Procedure)

Sending an Open Plan File as an Email Attachment

To send an Open Plan file as an email attachment:

  1. Open the file that you want to send.

  2. On the File menu, click Send.

    3. This command is available only when Open Plan detects a MAPI-compliant mail system in your Windows configuration.

  3. In the Backup Items To Send dialog box, select the items to include in the email attachment.

  4. Click OK.

  5. In the Save As dialog box, enter a name and a location for the backup file.

  6. When your default email program opens, complete the address and subject lines, and enter a message.

  7. Send the email.

Related Topics and Procedures


Undoing a Project Checkout

To undo a project checkout from the Check In dialog box:

  1. On the File menu, point to Manage Files, and click Check In.

  2. On the Check In dialog box, select the appropriate project.

    3. If you have checked out the project to your Briefcase data source, click the Include Projects in Briefcase Data Source option.

  3. Click Undo Check Out.

Related Topics and Procedures


Viewing the Checked Out Status of a Project

To view the checked out status of a PROJECT from the Open Plan Explorer:

In the Hierarchy (Left) pane, select the Briefcase folder.

To view the checked out status of a project from the Checked Out Projects dialog box:

  1. On the File menu, point to Manage Files, and click Check In.

  2. On the Check In dialog box, click Details.

Related Topics and Procedures


Changing an Activity Type to Effort Driven

When you change an activity type to Effort Driven, Open Plan displays a message notifying you of the following effects of this change:

  • The R/S Type on the Advanced tab is changed to Reprofilable. (You can override this setting if you wish.)

  • Offsets and periods are ignored.

  • All resource assignments for the activity are treated as totals.

  • The duration of the activity is recalculated using the following formula:

    • The effort factor is defined on the Resource Details dialog box and represents the maximum quantity of the resource that can be assumed to be available for any one activity.

Effort factor does not indicate efficiency.

Related Topics and Procedures


Characteristics of Internal Subproject Activities

Activities that you designate as internal subprojects are identical to standard activities with the following exceptions:

  • The duration of the subproject is calculated from the durations of its child activities during time analysis.

  • The progress information of the subproject is based on the progress of its child activities.

  • Resource requirements assigned to a subproject do not delay the subproject during resource scheduling calculations.

  • Once you have designated an activity as a subproject, you cannot change the activity type unless you remove all of its child activities.

  • When you copy a subproject, you copy all of its child activities.

  • When you delete a subproject, you delete all of its child activities.

Related Topics and Procedures


Creating and Editing Activities

Open Plan allows you to create and edit an activity from any of the following views: network, barchart, and spreadsheet views. When you create or edit an activity, Open Plan displays the Activity Details dialog box. This dialog box contains the following tabs:

  • General

  • Relationships

  • Resources

  • Codes

  • Advanced

  • Risk

  • User Fields

  • Notes

The information you enter using these tabs combine to form an activity definition.

In order for the Resources and Codes tabs to be enabled, the appropriate auxiliary files must first be assigned to the project.

The Activity Details dialog box remains open when performing other operations. For example, you can open the Activity Details dialog box from a network view and view the detailed information for specific activities by clicking them in the view without closing and re-opening the dialog box each time. You can also keep both the Activity Details dialog box and the Activity Progress dialog box open at the same time, updating the information in either dialog box as appropriate.

The dialog box has the following buttons that apply to all tabs:

  • Close

  • Undo

  • Apply

  • New

  • Progress

  • Help

In addition, a set of navigation buttons allows you to select another activity. You can also use the following keys on your keyboard to navigate to another activity:

  • Ctrl+Home — Displays the first activity.

  • Page Up — Displays the previous activity.

  • Page Down — Displays the next activity.

  • Ctrl+End — Displays the last activity.

Related Topics and Procedures


Defining Resource Profiles

The use of assignment offsets and periods, combined with the ability to specify more than one assignment for the same resource, allows you to define a resource profile for an activity.

Using offsets and periods, for example, you can construct the following profile by defining a resource assignment for an activity with a duration of 5 days:

Resource | Curve | Level | Offset | Period
TUBING | (blank) | 50 | 0 (or blank) | 5d (or blank)
TUBING | (blank) | 25 | 2d | 3d
TUBING | (blank) | 100 | 3d | 1d

This would result in the following resource profile:

Related Topics and Procedures


Effort-Driven Activities

With effort-driven activities, you can have Open Plan calculate the activity duration based on the activity's resource assignments. Typically, you might enter resource assignments at an early stage of the planning process and then use this feature to generate durations for activities automatically.

To calculate an effort-driven duration, Open Plan determines the longest span implied by any assignment for the activity by dividing the amount of the assignment by the resource effort factor. The result of the calculation is expressed in the default duration units used by the project.

The availability or non-availability of the resource does not affect the results of this calculation.

For example, assume the activity has a single resource assignment based on the following information:

  • Resource assignment — 10 units

  • Resource effort factor — 0.5

  • Default duration unit for project — days

Open Plan would calculate the effort-driven duration as 20 days (10/0.5). To perform this calculation, Open Plan interprets any assignment level as a total requirement and ignores any assignment offsets and periods.

Defining an activity as effort-driven also affects the behavior of the activity during subsequent resource scheduling sessions.

Related Topics and Procedures


Hammocks in Open Plan

A hammock is an activity that does not influence the time analysis of a project but provides a means for reporting on the start and finish of a group of related activities. Open Plan calculates the duration of a hammock based on the start of the earliest activity serving as the hammock start and the finish of the latest activity serving as the hammock finish.

Open Plan allows multiple starts and finishes to a hammock, and some or all of these can themselves be hammock activities. You cannot, however, define a hammock as a predecessor to a non-hammock. This restriction means that hammocks can never have any impact on the schedules of non-hammock activities.

Although hammocks have many flexible features, their use is limited by the fact that it may be difficult to determine exactly which activities are included in the given hammock. Codes and hierarchical projects are other features of Open Plan that can be used to summarize information without the restrictions imposed by hammocks.

Related Topics and Procedures


Interproject Relationships

A user of the Professional edition of Open Plan can create relationships between activities in different projects. While you cannot create or modify these relationships in the Desktop edition of Open Plan, you can display them using either edition.

A project that contains a relationship to an activity in an unopened external subproject has a "foreign" activity that represents the other end of the inter-project relationship. When both projects are opened together, foreign activities are replaced by the original activities.

Open Plan allows you to create any of the following types of inter-project relationships:

  • Relationships between activities in two projects

  • Relationships between activities in a master project and an external subproject

  • Relationships between activities in two different external subprojects

While both projects must be open at the time the relationship is created, they do not need to remain open.

In all cases, the relationships may be any of the standard types: Finish-to-Start, Start-to-Start, Start-to-Finish, or Finish-to-Finish.

Related Topics and Procedures


Target Dates

Target dates are constraints that you can impose on an activity. The target dates affect the dates that the program calculates for activities when performing time analysis or resource scheduling.

The default target date type is None. This gives Open Plan maximum flexibility in its time calculations.

Open Plan allows you to specify four additional types of target dates for activity start and finish dates:

  • Not Earlier Than

  • Not Later Than

  • On Target

  • Fixed Target

Use target dates sparingly, particularly in the early stages of the planning process. Extensive use of target dates often artificially distorts the patterns of float within a project, making analysis of the network more difficult. Instead, allow Open Plan as much flexibility as possible to produce the most efficient set of project dates during your initial calculation. Then, you can assign the necessary target dates and see how they affect the network schedule as a whole.

Related Topics and Procedures


Viewing Activity Information

The Activity Information dialog box provides a summary of information about a selected activity. You can display this dialog box in either of the following ways:

  • By right-clicking the activity and clicking Activity Information on the shortcut menu

  • By selecting an activity and clicking Activity Information on the Edit menu

When you create or edit an activity, Open Plan automatically updates the Activity Information dialog box. This dialog box contains the following tabs:

  • Schedule — Provides an overview of schedule information about the activity including general, float, and date information.

  • Cost — Provides budget and cost information about the activity.

The Activity Information dialog box is modeless. This means that you can leave this dialog box open when performing other operations. This allows you, for example, to open the Activity Information dialog box from a network view and then view the information for specific activities simply by clicking them in the view without having to close and re-open the dialog box each time.

The dialog box has the following buttons that apply to both tabs:

  • Close

  • Help

In addition, a set of navigation controls allows you to select another activity. You can also use the following keys on your keyboard to navigate to another activity:

  • Ctrl+Home — Displays the first activity.

  • Page Up — Displays the previous activity.

  • Page Down — Displays the next activity.

  • Ctrl+End — Displays the last activity.

Related Topics and Procedures


Working With Hierarchical Projects

Many planners prefer to break large projects into one or more subprojects, which can serve as high-level summaries for lower-level activities. Open Plan allows you to designate any activity as a subproject, to which you can assign "child" activities. Any child of a subproject can, in turn, represent another subproject.

In order to perform multi-project processing, a user of the Professional edition of Open Plan can also create an activity that represents an entire project. The project that is represented by the activity is called an external subproject. Any activity within the external subproject can, in turn, represent still another external subproject.

While you cannot create, modify, or expand an external subproject in the Desktop edition of Open Plan, you can display summary information about the subproject it represents using either edition of Open Plan.

A hierarchical project that contains external subprojects is called a master project.

Periods in the activity ID indicate the hierarchical relationships between activities. For example, the subproject SUB1 might have child activities named SUB1.01 and SUB1.02. The subproject SUB1.01 might, in turn, have child activities named SUB1.01.01 and SUB1.01.02. Depending on the context, you may have to identify an activity by its complete ID, or you may need to enter only the local portion of the code.

When you save a master project, Open Plan also saves results back to all open external subprojects.

In the Professional edition of Open Plan, if you save a master project with a new name, Open Plan converts all open external subprojects to expanded internal subprojects and saves them as part of the master project. External subprojects that are not open remain as external subprojects in the new project.

If you save a master project with a new name, Open Plan preserves references to unopened external subprojects and maintains the interproject relationships.

Related Topics and Procedures


Activity Details Advanced Tab

This tab provides advanced controls for the manner in which Open Plan treats activities during resource scheduling. These controls allow you to provide flexible treatment of activity durations during resource scheduling or to require that an activity start on its earliest feasible date regardless of the effect on resource loading.

The Advanced tab identifies the selected activity in the following two fields:

  • ID — The identifier of the selected activity

  • Description — A label associated with the selected activity ID

In addition, this dialog box also features the following fields:

  • Status

  • Duration

  • Total Float

Open Plan provides advanced controls for the treatment of the activity using the following settings:

  • Type – Five activity types are available:

    • Normal

    • Splittable

    • Stretchable

    • Reprofilable

    • Immediate

  • Min Duration

  • Max Splits

  • Max Duration

  • Priority

  • Separate Resources

  • Suppress Requirements

  • Earned Value

  • Start %

The Activity Details dialog box has the following buttons that apply to all tabs:

  • Close

  • Undo

  • Apply

  • New

  • Help

In addition, a set of navigation controls allows you to select another activity. You can also use the following keys on your keyboard to navigate to another activity:

  • Ctrl+Home — Displays the first activity.

  • Page Up — Displays the previous activity.

  • Page Down — Displays the next activity.

  • Ctrl+End — Displays the last activity.

Location

Related Topics and Procedures


Activity Details Codes Tab

This tab controls the codes assigned to the activity. Activity codes are designed to summarize or manage an entire group of activities. Codes can be predefined, then assigned to activities within the project. The ability to create custom reports based on user-defined coding structures provides virtually unlimited reporting possibilities.

The Codes tab identifies the selected activity in the following two fields:

  • ID — The identifier of the selected activity

  • Description — A label associated with the selected activity ID

In addition, this dialog box also features the following fields:

  • Status

  • Duration

Open Plan controls code assignments for the selected activity using the following settings.

  • Code — The code field in the activity table to which a code file is assigned. For example, many organizations use WBS and OBS code files.

  • Value — The specific code within the code file. Clicking the ellipsis at the right edge of the input field displays the Select Code dialog box that you can use to select a code from a hierarchical code structure.

The Activity Details dialog box has the following buttons that apply to all tabs:

  • Close

  • Undo

  • Apply

  • New

  • Help

In addition, a set of navigation controls allows you to select another activity. You can also use the following keys on your keyboard to navigate to another activity:

  • Ctrl+Home — Displays the first activity.

  • Page Up — Displays the previous activity.

  • Page Down — Displays the next activity.

  • Ctrl+End — Displays the last activity.

Location

Related Topics and Procedures


Activity Details General Tab

The activity is the primary building block of an Open Plan project. While Open Plan supports almost any activity numbering system, most organizations use activity IDs that have some significance built in, such as a prefix that refers to the project.

The Activity Details General tab defines the basic information about the activity using the following settings:

  • ID

  • Duration

  • Target Start

  • Desc.

  • Calendar

  • Target Finish

  • Status

  • Type

  • Subproject

In order for the Resources and Codes tabs to be enabled, the appropriate auxiliary files must first be assigned to the project.

The Activity Details dialog box has the following buttons that apply to all tabs:

  • Close

  • Undo

  • Apply

  • New

  • Help

In addition, a set of navigation controls allows you to select another activity. You can also use the following keys on your keyboard to navigate to another activity:

  • Ctrl+Home — Displays the first activity.

  • Page Up — Displays the previous activity.

  • Page Down — Displays the next activity.

  • Ctrl+End — Displays the last activity.

Location

Related Topics and Procedures


Activity Details Notes Tab

This tab allows you to create, edit, or delete a note attached to the activity.

The selected activity is identified in the following two fields:

  • ID — The identifier of the selected activity

  • Description — A label associated with the selected activity ID

The following spell check button allows you to check the spelling in the note:

The Category field controls the category of the note. If you are creating a new note, you can select a category from the list of categories set up in the database.

Although you can attach multiple notes to an activity, you can attach only one note per category.

The text box can contain up to 29 KB of text about the selected activity. You can enter the text by typing directly in this field, or by using the Cut, Copy, and Paste commands to insert text entered in another Windows application such as a word processor or spreadsheet.

When the note is attached to an activity, a triangle symbol is added to the activity in spreadsheet, barchart, and network views of the project.

You can enter links to files, web pages and email addresses by entering the information in one of the following formats:

  • File links must be entered in the format of: file://c:\document.doc

    • If the file link you enter contains spaces, you must enclose the link with angle brackets ( < > ) in order for the link to work properly:
    <    file://C:\Documents and Settings\All Users\Desktop\test.txt>

  • Universal Resource Locators (URLs) must be entered in the format of: http://www.deltek.com

  • Email addresses must be entered in the format of: mailto:contactus@deltek.com

A note attached to an activity may also be viewed on the Notes tab of the Activity Progress dialog box.

The Activity Details dialog box has the following buttons that apply to all tabs:

  • Close

  • Undo

  • Apply

  • New

  • Help

In addition, a set of navigation controls allows you to select another activity. You can also use the following keys on your keyboard to navigate to another activity:

  • Ctrl+Home — Displays the first activity.

  • Page Up — Displays the previous activity.

  • Page Down — Displays the next activity.

  • Ctrl+End — Displays the last activity.

Location

Related Topics and Procedures


Activity Details Relationships Tab

This tab controls the relationships between the selected activity and other activities in the project.

The selected activity is identified in the following two fields:

  • ID — The identifier of the selected activity

  • Desc. — A label associated with the selected activity ID

In addition, this dialog box also features the following fields:

  • Status

  • Duration

Open Plan uses the following settings to display and control the relationships between activities:

  • Predecessor

  • Type

  • Successor

  • Lag

  • Calendar

  • Probability

  • TF

  • FF

Controlling relationships (that is, relationships that determine the early dates of an activity) display an asterisk in the selection button.

Each relationship occupies a separate line in the entry grid. You cannot specify both a predecessor and a successor for the same relationship. To delete a relationship, you must first select the row by clicking the selection button located at the left of the row.

In addition, by selecting a predecessor or successor on the grid and clicking Goto, you can go directly to that activity.

The Activity Details dialog box has the following buttons that apply to all tabs:

  • Close

  • Undo

  • Apply

  • New

  • Help

In addition, a set of navigation controls allows you to select another activity. You can also use the following keys on your keyboard to navigate to another activity:

  • Ctrl+Home — Displays the first activity.

  • Page Up — Displays the previous activity.

  • Page Down — Displays the next activity.

  • Ctrl+End — Displays the last activity.

Location

Related Topics and Procedures


Activity Details Resources Tab

This tab controls resource assignments for a selected activity. The selected activity is identified in the following two fields:

  • ID — The identifier of the selected activity

  • Description — A label associated with the selected activity ID

In addition, this dialog box features the following fields:

  • Status

  • Duration

Open Plan lets you enter resource information in either of the following two modes:

  • Normal

  • Time Phase

There are two ways to select resource assignments:

  • Select a resource from a list of choices from the resource file assigned to the project. This list may contain pools and skills as well as individual resources.

  • Click the ellipsis at the right edge of the selection list to display the Select Resource dialog box.

To delete a resource assignment, you must first select the row by clicking the selection button located at the left of the row.

The Activity Details dialog box has the following buttons that apply to all tabs:

  • Close

  • Undo

  • Apply

  • New

  • Progress

  • Help

In addition, a set of navigation controls allows you to select another activity. You can also use the following keys on your keyboard to navigate to another activity:

  • Ctrl+Home — Displays the first activity.

  • Page Up — Displays the previous activity.

  • Page Down — Displays the next activity.

  • Ctrl+End — Displays the last activity.

Location

Related Topics and Procedures


Activity Details Risk Tab

Example

This tab allows you to specify the probability distribution information about the duration of an activity. This information is used in risk analysis calculations.

The selected activity is identified in the following two fields:

  • ID — The identifier of the selected activity

  • Description — A label associated with the selected activity ID

In addition, this dialog box also features the following fields:

  • Status

  • Duration — This value corresponds to the mode for the probability distribution of the duration.

Open Plan provides the following controls for defining the probable range of durations for the activity:

  • Shape

  • Optimistic

  • Pessimistic

  • Key Activity

  • Probability of Occurrence

You cannot enter probability information for any type of activity that uses a calculated duration – subprojects, external subprojects, and hammocks.

The Activity Details dialog box has the following buttons that apply to all tabs:

  • Close

  • Undo

  • Apply

  • New

  • Help

In addition, a set of navigation controls allows you to select another activity. You can also use the following keys on your keyboard to navigate to another activity:

  • Ctrl+Home — Displays the first activity.

  • Page Up — Displays the previous activity.

  • Page Down — Displays the next activity.

  • Ctrl+End — Displays the last activity.

Location

Related Topics and Procedures


Activity Details User Fields Tab

This tab allows you to assign user defined fields to the activity.

The selected activity is identified in the following two fields:

  • ID — The identifier of the selected activity

  • Description — A label associated with the selected activity ID

User-defined fields are created outside of an open project and may be used by any project stored in the database. In order to use a user-defined field for the activity, you must specify a value for it on this tab.

The User Fields tab features a grid containing two columns:

  • Field — This column displays a list of all the user-defined fields that have been defined.

  • Value — For each user-defined field that you want to use, you should enter an appropriate value.

The Activity Details dialog box has the following buttons that apply to all tabs:

  • Close

  • Undo

  • Apply

  • New

  • Help

In addition, a set of navigation controls allows you to select another activity. You can also use the following keys on your keyboard to navigate to another activity:

  • Ctrl+Home — Displays the first activity.

  • Page Up — Displays the previous activity.

  • Page Down — Displays the next activity.

  • Ctrl+End — Displays the last activity.

Location

Related Topics and Procedures


Activity Information Cost Tab

This tab displays summary information about the costs associated with an activity. At the top of the tab, Open Plan displays the following information:

  • ID

  • Description

  • Original Duration

  • Remaining Duration

The grid on this tab displays the following cost information about the activity:

  • Labor Quantity

  • Labor Cost

  • Material Cost

  • ODC (Other Direct Costs)

  • Subcontract Cost

  • Total Cost

A set of navigation controls located at the bottom of the dialog box allows you to select another activity. You can also use the following keys on your keyboard to navigate to another activity:

  • Ctrl+Home — Displays the first activity.

  • Page Up — Displays the previous activity.

  • Page Down — Displays the next activity.

  • Ctrl+End — Displays the last activity.

Location

Related Topics and Procedures


Activity Information Schedule Tab

This tab displays summary information about an activity’s schedule. At the top of the tab, Open Plan displays the following information:

  • ID

  • Description

The grid on this tab provides the following schedule information about the activity:

  • Early Start

  • Late Start

  • Scheduled Start

  • Baseline Start

  • Target Start

  • Target Start Type

  • Actual Start

  • Early Finish

  • Late Finish

  • Scheduled Finish

  • Baseline Finish

  • Target Finish

  • Target Finish Type

  • Actual Finish

The column on the right side of the dialog box provides the following additional schedule information about the activity:

  • Status

  • Original Duration

  • Remaining Duration

  • Total Float

  • Free Float

  • Critical Flag

  • Type

A set of navigation controls at the bottom of the tab allows you to display activity schedule information for another activity. You can also use the following keys on your keyboard to navigate to another activity:

  • Ctrl+Home — Displays the first activity.

  • Page Up — Displays the previous activity.

  • Page Down — Displays the next activity.

  • Ctrl+End — Displays the last activity.

Location

Related Topics and Procedures


Using the Add Relationship Dialog Box

Relationship information defines the logical relationship between activities in your project.

This dialog box allows you to create a relationship between activities using the following settings:

  • Predecessor — The ID of the activity that logically precedes the relationship.

  • Successor — The ID of the activity that logically succeeds the relationship.

  • Type — There are four types of relationships: finish-to-start, finish-to-finish, start-to-start, and start-to-finish. The default for the relationship type is finish-to-start.

  • Lag — The time delay associated with the relationship. Lag can be either positive or negative. Negative lag is sometimes called "lead." The default for the relationship lag is zero. If you enter a numeric value without a unit identifier, Open Plan assumes the default units specified for the project. If, on a start-to-start relationship, you enter a numeric value followed by %, Open Plan assumes the value to be a percentage of the predecessor's duration.

  • Calendar — The calendar upon which Open Plan bases calculations for any lag in the relationship. If you do not enter a calendar, Open Plan uses the default relationship calendar.

You can use a finish-to-start relationship with negative lag to model a start-to-start relationship. This has the advantage of keeping the predecessor and successor activities in parallel even if work on the predecessor activity is halted for some reason.

Location

Related Topics and Procedures


Using the Assign Multiple Resources to Multiple Activities Dialog Box

This dialog box allows you to assign multiple resources to any number of activities at one time. The following fields identify the activities to which you are assigning resources:

  • From ID — This field identifies the first activity in the activity hierarchy to which you are assigning resources.

  • To ID — This field identifies the last activity in the activity hierarchy to which you are assigning resources.

The information in these fields do not imply that you are assigning resources to all the activities in the range. For example, if you have selected activities such as the following:

1.03.01
1.03.04
1.03.06

Open Plan would show 1.03.01 in the From ID field and 1.03.06 in the To ID field.

Open Plan controls resource assignments for the selected activities using the following settings.

  • Resource

  • Curve

  • Level

  • Offset

  • Period

  • Cost Class

The following buttons are located along the right edge of the dialog box:

  • OK

  • Cancel

  • Help

Location

Related Topics and Procedures


Using the Edit Relationship Dialog Box

This dialog box allows you to edit a relationship between activities.

The Edit Relationship dialog box defines the relationships between activities using the following settings:

  • Predecessor — The ID of the activity that logically precedes the relationship.

  • Successor — The ID of the activity that logically succeeds the relationship.

  • Type — There are four types of relationships: finish-to-start, finish-to-finish, start-to-start, and start-to-finish. The default for the relationship type is finish-to-start.

  • Lag — The time delay associated with the relationship. Lag can be either positive or negative. Negative lag is sometimes called "lead." The default for the relationship lag is zero. If you enter a numeric value without a unit identifier, Open Plan assumes the default units specified for the project. If, on a start-to-start relationship, you enter a numeric value followed by %, Open Plan assumes the value to be a percentage of the predecessor's duration.

  • Calendar — The calendar upon which Open Plan bases calculations for any lag in the relationship. If you do not enter a calendar, Open Plan uses the calendar of the activity’s successor by default.

You can use a finish-to-start relationship with negative lag to model a start-to-start relationship. This has the advantage of keeping the predecessor and successor activities in parallel even if work on the predecessor activity is halted for some reason.

Location

Related Topics and Procedures


Using the Edit Spread Curve Dialog Box

This dialog box displays the Name of the selected spread curve and allows you to modify the following settings:

  • Description

  • Cumulative

  • Incremental

The Cumulative and Incremental rows work together, and you can enter percentage values in either or both rows. The total in the Cumulative row is displayed in column 10. This value must equal 100%.

If you click the Reconcile button, Open Plan ensures that the value in column 10 of the Cumulative row equals 100%. If necessary, Open Plan redistributes the values in the remaining cells in such a manner as to honor your inputs to the extent that it is possible.

Clicking the Access Control button displays the Access Control dialog box, which lets you share this item with other users as needed.

Location

Related Topics and Procedures


Using the Find Code Dialog Box

This dialog box features an input box and the following options that you can use to specify the manner in which Open Plan should conduct a search for the code:

  • Find in ID

  • Find in Description

  • Match Case

  • Find Whole Word

The following buttons are located along the right edge of the dialog box:

  • Find

  • Cancel

  • Help

Location

Related Topics and Procedures


Using the New Spread Curve Dialog Box

This dialog box allows you to name the spread curve using the following controls:

  • Name

  • Description

At the bottom of the dialog box, Open Plan features a grid that allows you to define the percentage of the resource to be specified for each of 10 periods. This grid contains two rows:

  • Cumulative

  • Incremental

These two rows work together, and you can enter percentage values in either or both rows. The total in the Cumulative row is displayed in column 10. This value must equal 100%.

If you click Reconcile, Open Plan ensures that the value in column 10 of the Cumulative row equals 100%. If necessary, Open Plan redistributes the values in the remaining cells in such a manner as to honor your inputs to the extent that it is possible.

Location

Related Topics and Procedures


Using the Select Code Dialog Box

This dialog box works with the values on the Codes tab of the following dialog boxes:

  • Activity Details

  • Project Properties

When you select a code from the grid on the Codes tab and click the ellipsis, the Select Code dialog box displays the codes stored in the relevant code field in a hierarchical structure.

When you select a code from the displayed hierarchy on the Select Code dialog box and click OK, the code is displayed as a value for the appropriate code on the Codes tab.

  • OK

  • Cancel

  • Find

  • Find Next

  • Expand All

  • Help

Location

Related Topics and Procedures


Using the Select Resource Dialog Box

This dialog box features the following controls that allow you to select a resource to assign to the activity:

  • Resources

  • Skill Filter

  • Resource Category Filter

  • Hide Unreferenced Resources

  • Display Only Available Resources

  • Code

  • Code Filter

Once you have chosen the filter(s) to use for the resource display, click Apply to put them into effect. Clicking Clear removes all the filter choices you made.

Open Plan also displays the Early Start and Early Finish dates of the activity. This information is useful in the event that no suitable resource is available during the specified date range.

For example, assume that the early dates for the activity are as follows:

Early Start — 02Feb02

Early Finish —15Feb02

Assume, too, that a resource with the required skills is not available until February 23. Under these circumstances, you might want to change either the skills required for the activity or the logic of the project so that the early start date for the activity coincides with the dates when the resource is available.

The following buttons are located along the right edge of the dialog box:

  • OK

  • Cancel

  • Find

  • Find Next

  • Expand All

  • Select All

  • Clear All

  • Help

Location

Related Topics and Procedures


Using the Spread Curve Dialog Box

This dialog box displays a list of spread curves that you can use when assigning resources to an activity. As shipped from Deltek, this list includes the following:

  • B - Back Load

  • D - Double Peak

  • E - Early Peak

  • F - Front Load

  • L - Late Peak

  • N - Normal (Bell)

  • T - Linear

The following buttons located across the bottom of the dialog box allow you to add new spread curves to the list, and to delete, and modify those that have been defined:

  • New

  • Delete

  • Edit

Location

Related Topics and Procedures


Assigning Activity Resource Requirements (Procedure)

Assigning Activity Resource Requirements

To assign resource requirements to an activity in any view:

  1. Take one of the following actions:

    • Double-click the appropriate activity.

    • Right-click the appropriate activity, and click Edit Activity on the shortcut menu.

    • Select the appropriate activity, and click Edit Activity on the Edit menu.

  2. On the Activity Details dialog box, click the Resources tab.

  3. In the dialog box, select a blank line.

  4. Enter the information about the resource requirement.

  5. When you have finished entering resource requirements for the activity, click Apply.

You can enter as many resource requirements for the activity as you need. You can also assign resource requirements for the activity in terms of the skills that the resource must possess and allow Open Plan to suggest an appropriate resource during resource scheduling.

Related Topics and Procedures


Assigning a Calendar to an Activity (Procedure)

Assigning a Calendar to an Activity

To assign a calendar to an activity:

  1. Take one of the following actions to display the Activity Details dialog box:

    • Double-click the appropriate activity.

    • Right-click the appropriate activity and click Edit Activity on the shortcut menu.

    • Select the appropriate activity, and click Edit Activity on the Edit menu.

  2. From the Calendar list on the General tab, select the calendar you want to assign to the activity.

  3. Click Apply.

Related Topics and Procedures


Assigning a Calendar to a Relationship (Procedure)

Assigning a Calendar to a Relationship Lag

To assign a calendar to a relationship lag:

  1. In a network view or the relationship mode of a barchart view, right-click the relationship line.

  2. On the shortcut menu, click Edit Relationship.

  3. From the Calendar list, select the calendar you want to assign to the lag associated with the relationship.

  4. Click OK.

- or -

  1. Take one of the following actions to display the Activity Details dialog box for either the predecessor or the successor activity:

    • Double-click the activity.

    • Right-click the activity, and click Edit Activity on the shortcut menu.

    • Select the activity, and click Edit Activity on the Edit menu.

  2. On the Activity Details dialog box, click the Relationships tab.

  3. Select the relationship to which you want to assign a calendar.

  4. From the Calendar column, select the calendar you want to assign to the lag associated with the relationship.

  5. Click Apply.

Related Topics and Procedures


Assigning a Priority to an Activity (Procedure)

Assigning a Priority to an Activity

To assign an activity priority to be used as a tie-breaker during resource scheduling:

  1. Do one of the following:

    • Double-click the appropriate activity.

    • Right-click the appropriate activity, and click Edit Activity on the shortcut menu.

    • Select the appropriate activity ,and click Edit Activity on the Edit menu.

  2. On the Activity Details dialog box, click the Advanced tab.

  3. In the Priority field, enter a 3-digit priority number for the activity. (Lower numbers have a higher priority than higher numbers.)

  4. Click Apply.

Related Topics and Procedures


Assigning Codes to an Activity (Procedure)

Assigning Codes to an Activity

To assign codes to an activity:

  1. Do one of the following:

    • Double-click the appropriate activity.

    • Right-click the appropriate activity, and click Edit Activity on the shortcut menu.

    • Select the appropriate activity, and click Edit Activity on the Edit menu.

  2. On the Activity Details dialog box, click the Codes tab.

  3. In the Code Field column, select a code file from those associated with the project.

  4. In the Code Value column, select a code to assign to the activity.

  5. Click Apply.

Related Topics and Procedures


Assigning Costs to an Activity (Procedure)

Assigning Costs to an Activity

To assign costs to an activity:

  1. Define cost resources in a resource file.

  2. Assign the resource file to the project.

  3. Select the activity to which you want to assign costs.

  4. On the Resources tab of the Activity Details dialog box, assign the cost resources to the activity.

  5. Click Apply.

Related Topics and Procedures


Assigning Immediate to an Activity (Procedure)

Assigning Immediate to an Activity

To assign the Immediate attribute to an activity:

  1. Do one of the following:

    • Double-click the appropriate activity.

    • Right-click the appropriate activity, and click Edit Activity on the shortcut menu.

    • Select the appropriate activity, and click Edit Activity on the Edit menu.

  2. On the Activity Details dialog box, click the Advanced tab.

  3. From the Type list, select Immediate.

  4. Click Apply.

Related Topics and Procedures


Assigning Multiple Resources to Multiple Activities (Procedure)

Assigning Multiple Resources to Multiple Activities

To assign multiple resources to multiple activities:

  1. Display one of the following views:

    • Activity Barchart View

    • Activity Spreadsheet View

    • Network View

  2. Select the activities to which you want to assign resources.

  3. On the Edit menu, click Edit Activity.

  4. On the Resources tab of the Activity Details dialog box, select a Resource field.

  5. Click the ellipsis next to the input box.

  6. From the Select Resource dialog box, select the appropriate resources.

  7. Click OK.

  8. On the Assign Multiple Resources to Multiple Activities, enter the information for each of the listed resources.

  9. Click OK.

Related Topics and Procedures


Attaching a Note to an Activity (Procedure)

Attaching a Note to an Activity

To attach a note to an activity:

  1. Display either the Activity Details or the Activity Progress dialog box for the activity to which you want to attach a note.

  2. Click the Notes tab.

  3. From the Category list, select a category for the note that you want to attach.

    4. While you may attach multiple notes to an activity, you can attach only one note per category.

  4. In the text box, enter any information you wish about the activity.

  5. Click Apply.

Related Topics and Procedures


Changing an Effort-Driven Activity to One with a Fixed Duration (Procedure)

Changing an Effort-Driven Activity

To change an effort-driven activity to one with a fixed duration:

  1. Do one of the following to display the Activity Details dialog box:

    • Double-click the appropriate activity.

    • Right-click the appropriate activity, and click Edit Activity on the shortcut menu.

    • Select the appropriate activity, and click Edit Activity on the Edit menu.

  2. On the General tab, take one of the following actions:

    • Change the activity type to one of the other types.

    • Overwrite the calculated duration manually.

If you enter a fixed duration but keep the activity type set to Effort Driven, Open Plan automatically recalculates the duration the next time you enter or change resource assignment information.

Related Topics and Procedures


Changing the Duration of an Activity (Procedure)

Changing the Duration of an Activity

To change the duration of an activity in a barchart view:

  1. On the toolbar, click the Bar Data Mode [image] button.

  2. Place the cursor at the right edge of the activity bar for which you want to change the duration. (The cursor changes to a [image] symbol.)

  3. Drag the cursor in the appropriate direction as follows:

    • To decrease the duration, drag the right end of the bar to the left.

    • To increase the duration, drag the right end of the bar to the right.

      • While you drag the end of the bar, a pop-up display indicates the duration. (To cancel the new duration, press Esc.)

The length of the bar always represents the duration relative to the date scale. Therefore, if the date scale is non-linear, the bars may change length as they are moved to different parts of the barchart.

To change the duration of an activity in any view:

  1. Right-click the activity for which you want to change the duration.

  2. On the shortcut menu, click Edit Activity.

  3. On the General tab of the Activity Details dialog box, enter the new duration.

  4. Click Apply.

Related Topics and Procedures


Creating a New Spread Curve (Procedure)

Creating a New Spread Curve

To create a new spread curve:

  1. On the Tools menu, click Spread Curve.

  2. On the Spread Curve dialog box, click New.

  3. In the Name field of the New Spread Curve dialog box, enter a single character to serve as the name.

  4. In the Description field, enter a longer description for the spread curve.

  5. In the grid at the bottom of the dialog box, enter the appropriate values in any combination of cells in the Cumulative and Incremental rows.

    6. The total in the Cumulative row is displayed in column 10. This value must equal 100%.

  6. Click Reconcile to ensure that the values in each column of the Cumulative row are correct.

  7. Click Apply.

Related Topics and Procedures


Defining an Activity as Effort-Driven (Procedure)

Defining an Activity as Effort-Driven

To define an activity as effort-driven:

  1. Do one of the following to display the Activity Details dialog box:

    • Double-click the appropriate activity.

    • Right-click the appropriate activity, and click Edit Activity on the shortcut menu.

    • Select the appropriate activity, and click Edit Activity on the Edit menu.

  2. From the Type list on the General tab, select Effort Driven.

  3. Click Apply.

  4. When Open Plan asks you to confirm the operation, click OK.

Related Topics and Procedures


Defining Probability Distributions for an Activity Duration (Procedure)

Defining Probability Distributions for an Activity Duration

To define probability distributions for an activity duration:

  1. Display the Activity Details dialog box for the activity for which you want to define duration probability distributions.

  2. Click the Risk tab.

  3. In the Optimistic field, enter the minimum estimated probable duration for the activity.

  4. In the Pessimistic field, enter maximum estimated probable duration for the activity.

  5. Review the value in the Original Duration field. This field should reflect the most likely duration for the activity.

    6. For symmetrical distribution shapes, this field is ignored during risk analysis.

  6. If necessary, change the value in the Original Duration field.

  7. In the Shape field, enter a shape for the probability distribution.

  8. If appropriate, select the Key Activity field.

Related Topics and Procedures


Deleting a Spread Curve (Procedure)

Deleting a Spread Curve

To delete a spread curve:

  1. On the Tools menu, click Spread Curve.

  2. On the Spread Curve dialog box, select the spread curve that you want to delete.

  3. Click Delete.

  4. When Open Plan asks that you confirm the deletion, click Yes.

Be aware that deleting a spread curve that is in use by another project will affect the project the next time resource scheduling is performed or a baseline is updated.

Related Topics and Procedures


Deleting an Activity Note (Procedure)

Deleting an Activity Note

To delete an activity note:

  1. Display either the Activity Details or the Activity Progress dialog box for the activity from which you want to delete a note.

  2. Click the Notes tab.

  3. In the text box, delete all the information that is displayed.

  4. Click Apply.

Related Topics and Procedures


Editing an Activity Note (Procedure)

Editing an Activity Note

To edit an activity note:

  1. Display either the Activity Details or the Activity Progress dialog box for the activity on which you want to edit a note.

  2. Click the Notes tab.

  3. In the text box, type over the information that is displayed.

  4. Click Apply.

Related Topics and Procedures


Entering Actual Activity Costs (Procedure)

Entering Actual Activity Costs

To enter actual activity costs without reference to resources:

  1. Open the project for which you want to enter actual activity costs.

  2. Ensure that a resource file containing at least one resource has been assigned to the project.

  3. Select the appropriate activity and click Progress on the Edit menu.

  4. Select the Resources tab.

  5. In the Start Date and End Date fields, define the period covered by the actual cost.

  6. In the Actual Cost field, enter the actual cost for the activity.

  7. Click Apply.

Related Topics and Procedures


Modifying a Spread Curve (Procedure)

Modifying a Spread Curve

To modify a spread curve:

  1. On the Tools menu, click Spread Curve.

  2. On the Spread Curve dialog box, select the spread curve that you want to modify and click Edit.

  3. Verify that the Name field of the Edit Spread Curve dialog box displays the correct name.

  4. If you want to modify the description of the spread curve, enter new information in the Description field.

  5. In the grid at the bottom of the dialog box, enter the appropriate values in any combination of cells in the Cumulative and Incremental rows.

    6. The total in the Cumulative row is displayed in column 10. This value must equal 100%.

  6. Click Reconcile to ensure that the values in each column of the Cumulative row are correct.

  7. Click Apply.

Be aware that modifying a spread curve that is in use by another project will affect the project the next time resource scheduling is performed or a baseline is updated.

Related Topics and Procedures


Reprofiling an Activity Duration (Procedure)

Reprofiling an Activity Duration

To allow an activity duration to be reprofiled during resource scheduling:

  1. Do one of the following:

    • Double-click the appropriate activity.

    • Right-click the appropriate activity, and click Edit Activity on the shortcut menu.

    • Select the appropriate activity, and click Edit Activity on the Edit menu.

  2. On the Activity Details dialog box, click the Advanced tab.

  3. In the Max Duration field, enter the maximum time period for the activity duration if it is reprofiled.

  4. Click Apply.

Open Plan reprofiles an activity duration only if doing so allows an activity to be scheduled that would otherwise be delayed due to insufficient resource availabilities.

Related Topics and Procedures


Setting a Target Finish Date (Procedure)

Setting a Target Finish Date

To set a target finish date in any view:

  1. Right-click the activity for which you want to set a target finish date.

  2. On the shortcut menu, click Edit Activity.

  3. On the General tab of the Activity Details dialog box, enter the information for a target finish date.

  4. Click Apply.

Related Topics and Procedures


Setting a Target Start Date (Procedure)

Setting a Target Start Date

To set a target start date in a barchart view:

  1. On the toolbar, click the Bar Data Mode [image] button.

  2. Place the cursor anywhere within the activity bar for which you want to set a target start date. (The cursor changes to a [image] symbol.)

  3. Drag the activity bar to a new date. While you drag a bar, a pop-up display indicates the date represented by the cursor position.

The length of the bar always represents the duration relative to the date scale. Therefore, if the date scale is non-linear, the bars may change length as they are moved to different parts of the barchart.

To set a target start date in any view:

  1. Right-click the activity for which you want to set a target start date.

  2. On the shortcut menu, click Edit Activity.

  3. On the General tab of the Activity Details dialog box, enter the information for a target start date.

  4. Click Apply.

Related Topics and Procedures


Setting Up a Hammock (Procedure)

Setting Up a Hammock

To set up a hammock:

  1. Create an activity and display the Activity Details dialog box.

  2. On the General tab, enter the following information for the activity:

    • Description (optional)

    • Duration – zero

    • Type – Hammock

  3. Click the Relationships tab.

  4. Create a start-to-start relationship with the activity that represents the start of the hammock as a predecessor.

  5. Create a finish-to-finish relationship with the activity that represents the finish of the hammock as a predecessor.

  6. Click Apply.

Related Topics and Procedures


Splitting an Activity Duration (Procedure)

Splitting an Activity Duration

To allow an activity duration to be split during resource scheduling:

  1. Do one of the following:

    • Double-click the appropriate activity.

    • Right-click the appropriate activity, and click Edit Activity on the shortcut menu.

    • Select the appropriate activity, and click Edit Activity on the Edit menu.

  2. On the Activity Details dialog box, click the Advanced tab.

  3. In the Min Duration field, enter the minimum number of time units for any piece of the activity duration.

  4. In the Max Split field, enter the maximum number of pieces into which the activity duration may be split during resource scheduling.

  5. Click Apply.

Open Plan splits an activity duration only if doing so allows an activity to be scheduled that would otherwise be delayed due to insufficient resource availabilities.

Related Topics and Procedures


Stretching an Activity Duration (Procedure)

Stretching an Activity Duration

To allow an activity duration to be stretched during resource scheduling:

  1. Do one of the following:

    • Double-click the appropriate activity.

    • Right-click the appropriate activity, and click Edit Activity on the shortcut menu.

    • Select the appropriate activity, and click Edit Activity on the Edit menu.

  2. On the Activity Details dialog box, click the Advanced tab.

  3. In the Max Duration field, enter the maximum time period for the activity duration if it is stretched.

  4. Click Apply.

Open Plan stretches an activity duration only if doing so allows an activity to be scheduled that would otherwise be delayed due to insufficient resource availabilities.

Related Topics and Procedures


Adding and Removing Auxiliary Files from a Master Project

When adding or removing an auxiliary file from a master project, all external subprojects must be in the same open/close state. That is, either all external subprojects must be open, or they must all be closed.

The Professional edition of Open Plan is required in order to open an external subproject.

If an auxiliary file is added or removed from the master project while the external subprojects are open, their project directories are updated to reflect the change. This means that when the external subproject is later opened separately, it will have the correct auxiliary file associations.

Related Topics and Procedures


Adding Multiple External Subprojects to a Master Project (Procedure)

Adding Multiple External Subprojects to a Master Project

To add multiple external subprojects to a master project:

  1. Create the project that will become the master project.

  2. Save the master project.

  3. If they do not already exist, create and save the projects that will become the external subprojects.

  4. On the Edit menu, click Insert Subprojects.

  5. From the Subproject Selection dialog box, select the files to be the external subprojects.

    6. If the master project does not already contain a particular type of auxiliary file, Open Plan adds it to the master project automatically. It does not, however, add the file in cases where there is already another auxiliary file in that position on the master project. (For example, you cannot have two resource files or two code files for the same code position.)

  6. Click OK.

Related Topics and Procedures


Characteristics of External Subproject Activities

Activities that you designate as external subprojects are identical to standard activities with the following exceptions:

  • The duration of an external subproject activity is calculated from the durations of the individual activities in the external subproject during time analysis.

  • The progress information of an external subproject is based on the progress of the individual activities in the external subproject.

  • Once you have designated an activity as an external subproject, you cannot change the activity type while the external subproject is open.

  • The effect of deleting an external subproject activity depends on whether the external subproject is open:

    • If the external subproject is open, Open Plan closes the external subproject and deletes the external subproject activity.

    • If the external subproject is not open, deleting the external subproject activity has no effect on the external subproject.

  • When you expand an external subproject activity, Open Plan offers to open the external subproject.

    • If you open the external subproject, it behaves in the same way as an internal subproject, allowing you to edit, delete, cut, or copy activities. You can also drill down into the external subproject to create additional activities and move existing activities to new locations.

    • If a project contains a relationship to an activity in an unopened external subproject, Open Plan creates a temporary activity to represent the other end of the interproject relationship. These temporary activities are called foreign activities. Open Plan also creates foreign projects where needed to validate the ID of the foreign activity.

  • Saving a master project with a new name converts all open external subprojects to expanded internal subprojects and saves them as part of the master project. This results in Open Plan converting the associated external subproject activities to internal subproject activities.

  • When saving external subprojects from within a master project, Open Plan checks for the existence of a foreign subproject or foreign activity. If none exists, Open Plan sets a target project finish date for the external subproject. If necessary, Open Plan also sets a project target start to create a relationship with the external subproject activity.

The project start date that is created could overwrite a target start date previously set in the master project.

Related Topics and Procedures


Saving a Master Project with a New Name

If you save a master project with a new name in the Professional edition of Open Plan, the way in which each external subproject is treated depends on whether it is open at the time:

  • Open Plan converts all open external subprojects to expanded internal subprojects and saves them as part of the master project.

  • Open Plan preserves references to any unopened external subprojects and maintains the inter-project relationships.

Related Topics and Procedures


Using Auxiliary Files with External Subprojects

In many cases, an external subproject has an auxiliary (resource, calendar, or code) file assigned to it. If so, the master project must also have the same file assigned. (That is, if the external subproject has an assigned resource file, the master project must also have an assigned resource file.)

Related Topics and Procedures


Using External Subprojects (Procedure)

Using External Subprojects

To use external subprojects in a hierarchy:

  1. Create the project that will become the master project.

  2. Save the master project.

  3. If they do not already exist, create and save the projects that will become the external subprojects.

  4. In the master project, double-click an activity that will be used to represent an external subproject.

  5. On the Activity Details General tab, change the activity type to External Subproject.

  6. Click the ellipsis to the right of the External Subproject edit box.

  7. In the Subproject Selection dialog box, select the file to be the external subproject.

  8. Click OK to close the dialog box.

  9. When the Activity Details dialog box is redisplayed, click Apply.

Related Topics and Procedures


Planning

Although Open Plan allows you to plan your project as you go along, you will frequently find that by planning your project at the outset, you gain a clearer perspective of the project as a whole.

Open Plan allows you to create three types of auxiliary files that you can assign to a project:

  • Calendar files — These files can contain any number of individual calendars that you can assign to activities, relationship lags, and resources. Only one calendar file can be assigned to a project at any one time.

  • Resource files — These files contain all the information about resources, their availabilities, and their costs. Only one resource file can be assigned to a project at any one time.

  • Code files — These files allow for the collecting and reporting of project information in a variety of formats ranging from high-level summaries to activity-level detail. With the appropriate coding system in place, even the largest networks can provide clear, concise pictures of vital project information. You can assign up to 90 code files to each project.

While you can wait to enter information on auxiliary data files until after the project is set up, you may prefer to set up the auxiliary files first. This allows Open Plan to verify whether resource codes and calendars are valid when you enter activity information. It is particularly useful to have your calendars set up at an early stage of project development since Open Plan refers to this information when performing time analysis and resource scheduling.

While not providing the extensive cost control and reporting features of Cobra (Deltek's sophisticated cost management software), Open Plan allows you to use your resource tracking system for capturing cost information about your project.

You can also attach notes to projects, activities, resources, and codes. These notes can be included in reports based on many of the standard project views.

Related Topics and Procedures


Using the Properties Dialog Box

The Properties dialog box controls the properties associated with an auxiliary file or view.

The Properties dialog box features the following tabs:

  • General

  • Command-Line Info

  • Structure

  • Preferences

  • Statistics

  • Files

  • Access Control

  • Open Status

  • References

  • Notes

  • User Fields

The actual tabs that are displayed depend on the type of file that is selected:

Tab | Calendar File | Code File | Resource File | View | Browser View
General | X | X | X | X | X
Command-Line Info |  |  |  |  | X
Structure |  | X |  |  |
Preferences |  |  |  | X |
Statistics |  |  | X |  |
Files |  |  | X |  |
Access Control | X | X | X | X | X
Open Status | X | X | X |  |
References | X | X | X |  |
Notes |  | X | X |  |
User Fields |  | X | X |  |

Location

Related Topics and Procedures


Adding Resources to a Resource File

When you create a new resource file, Open Plan displays a window containing an empty workspace. To add a resource to the file, click the Add Resource command on the Edit menu, or simply double-click an empty area in the workspace.

Although you can define a resource file as a "flat" structure in which all resources occupy the top hierarchical level, a more common practice is to develop a tree-like breakdown structure that can be used to summarize pools for reporting purposes.

Related Topics and Procedures


Adding Skills to a Resource File

The skills feature of Open Plan allows you to schedule a resource that can perform different jobs. It also allows you to specify a certain skill as a requirement for an activity. For example:

Assume that JANE is a drafter, MARY is a mechanical engineer who can also draft, and FRED is an electrical engineer who can also draft. If a certain activity requires a skill of drafting, either JANE, MARY, or FRED could be assigned to that activity.

Like the resources themselves, skills are also stored in a resource file. Before you can assign skills to a resource, these skills must first exist in the resource file.

Related Topics and Procedures


Customizing a Resource Window

You can customize how a resource window displays information by using the Resource Display Preferences dialog box. You can display this dialog box by opening a resource file and clicking Preferences on the Tools menu.

The Resource Preferences Options tab controls the box color and shape, hierarchy display options, whether or not the box contents should show the full resource ID, and whether or not any skills that the resource may have should also be displayed.

The Professional edition of Open Plan also features a Box Layout tab that controls the data fields displayed in the resource boxes.

Three buttons are located across the bottom of the dialog box. The OK button accepts your input and closes the dialog box. The Cancel button cancels your input and closes the dialog box. The Help button provides access to help information.

Related Topics and Procedures


How a Resource View Displays Information

Open Plan displays resources in a structural display in one of two orientations:

  • Sideways

  • Vertical

For each of these orientations, Open Plan can also display the resources in one of two manners:

  • Centered

  • Offset

You can customize the information detail that is displayed in resource boxes in many ways:

  • You can choose to show the full ID of the resource.

  • You can show skills that a resource may have.

  • You can choose both a style and a color for the resource box.

In the Professional edition of Open Plan, you can also customize the layout of information that is displayed within the resource box.

Open Plan makes it easy to work with resource hierarchies. For example, you can assign an entire group of resources to a different pool simply by dragging the resource boxes to a different position in the resource hierarchy. You can also expand and collapse individual resource pools in order to display the appropriate level of detail. When you collapse a resource pool, it is displayed as a stacked series of resource boxes.

In addition, you can display the resource hierarchy in a compressed mode in which individual resources belonging to one pool can be displayed beneath another pool.

The maximum number of levels that can be displayed in a resource hierarchy file is limited only by the total characters in a row, which is limited to 59.

A Zoom Out command allows you to view resource structures that cannot be displayed on a single screen. If you select Zoom Out from the normal display mode, Open Plan applies a reduced display mode to the window. In this display mode, the resource boxes are reduced so that all the resources in the structure are visible. You can continue to work with the resources just as though you were in the normal display mode.

If the entire resource structure can be displayed at once, the Zoom Out command is not available.

A Zoom In command reverses the action of the Zoom Out command.

Location

Related Topics and Procedures


Planning Costs

For planners who want to use their resource tracking system for capturing budgeted and actual costs, Open Plan provides a number of features for working with cost information.

  • You can define base and escalated costs for resources, resource pools, and skills.

  • You can define the assignment using a profile spread curve. This allows you, for example, to enter budgets that are front- or back-loaded over the duration of the activity.

  • You can enter actual costs for unbudgeted resources.

  • You can have Open Plan generate actual costs from resource progress.

  • You can report on high-level summaries of resource costs based on the hierarchy of a resource breakdown structure.

Open Plan also allows you to set up special-purpose cost resources that you can define and assign to activities just as you can define and assign standard resources.

Related Topics and Procedures


Ramifications of Zero Availability

For any particular resource, there will be certain periods in which the availability is zero. The way in which you enter these periods on the Availability tab of the Resource Details dialog box has ramifications during resource scheduling.

Open Plan defines two types of zero availability:

  • Soft zeros — The availability can be exceeded when necessary during time-limited resource scheduling. Open Plan treats an availability that you specifically enter as zero for a period as a soft zero.

  • Hard zeros — A zero availability is treated as an absolute, indicating that the resource is not available during that period under any circumstances.

In Open Plan, a gap between specified availability dates can be treated as either a soft zero or a hard zero depending on whether the hard zero processing option is in effect during resource scheduling.

Related Topics and Procedures


Reserving Resources for Use by a Specified Project

Open Plan allows you to reserve all or part of the resource hierarchy for use by a specified project. This can be done at any level in the resource hierarchy. For example, you could reserve a whole department or a single resource.

In the case of a single resource, you can further define how much of the resource’s availability is reserved to the project in either of the following ways:

  • You can specify the period of time during which the resource is reserved.

  • You can specify the quantity of the resource's availability that is reserved.

By combining these methods of defining the reservation, you can specify, for example, that a specific resource has 50% of his time reserved during a specific 6-month period.

Related Topics and Procedures


Resource Details Availability Tab

This tab defines the periods during which a resource is available and in what quantity.

The selected resource is identified in the following two fields:

  • ID — The identifier of the selected resource.

  • Description — A label associated with the selected resource ID.

Since pools derive their availability information from the availabilities of their members, you can enter availability information only for individual resources.

Open Plan uses the following settings to define resource availabilities:

  • Availability

  • From Date

  • To Date

  • Calendar

  • Project

You can define multiple availabilities for a single resource. This allows you to create a detailed profile of availability that defines times when the resource is available, as well as periods of zero availability.

When you create a new availability for a resource, Open Plan automatically sorts the records in From Date order. This new order is displayed the next time the Availability tab is displayed for the resource.

Open Plan does not consider the To Date when sorting availability records. This is true even if multiple availability records have the same From Date.

The way in which Open Plan treats availability information depends on the resource type:

  • Normal

  • Perishable

  • Consumable

  • Resource Pool

The Resource Details dialog box is modeless. This means that you can leave this dialog box open when performing other operations. In addition, a set of navigation controls allows you to select another resource. You can also use the following keys on your keyboard to navigate to another resource:

  • Ctrl+Home — Displays the first resource.

  • Page Up — Displays the previous resource.

  • Page Down — Displays the next resource.

  • Ctrl+End — Displays the last resource.

Location

Related Topics and Procedures


Resource Details Code Tab

This tab controls the codes assigned to the resource. Resource codes are designed to summarize or manage an entire group of resources. Codes can be predefined, then assigned to resources within the resource file. The ability to create custom reports based on user-defined coding structures provides virtually unlimited reporting possibilities.

The selected resource is identified in the following two fields:

  • ID — The identifier of the selected resource.

  • Description — A label associated with the selected resource ID.

Open Plan controls code assignments for the selected resource using the following settings.

  • Code — The code field in the resource table to which a code file is assigned. For example, many organizations use WBS and OBS code files.

  • Value — The specific code within the code file. Clicking the ellipsis at the right edge of the input field displays the Select Code dialog box that you can use to select a code from a hierarchical code structure.

The Resource Details dialog box is modeless. This means that you can leave this dialog box open when performing other operations. In addition, a set of navigation controls allows you to select another resource. You can also use the following keys on your keyboard to navigate to another resource:

  • Ctrl+Home — Displays the first resource.

  • Page Up — Displays the previous resource.

  • Page Down — Displays the next resource.

  • Ctrl+End — Displays the last resource.

Location

Related Topics and Procedures


Resource Details Escalation Tab

This tab controls new unit costs for a resource and when they will take effect.

The selected resource is identified in the following two fields:

  • ID — The identifier of the selected resource.

  • Description — A label associated with the selected resource ID.

The Escalation tab controls escalations using the following settings:

  • Date — The date on which the cost escalation is to take effect.

  • Cost — The new unit cost.

The Resource Details dialog box is modeless. This means that you can leave this dialog box open when performing other operations. In addition, a set of navigation controls allows you to select another resource. You can also use the following keys on your keyboard to navigate to another resource:

  • Ctrl+Home — Displays the first resource.

  • Page Up — Displays the previous resource.

  • Page Down — Displays the next resource.

  • Ctrl+End — Displays the last resource.

Location

Related Topics and Procedures


Resource Details General Tab

This tab defines the basic information about the resource using the following settings:

  • ID

  • Desc.

  • Type

  • Category

  • Unit

  • Effort Factor

  • Unit Cost

  • Employee ID

  • Threshold

  • Project

  • Email Address

  • Suppress in Lists

  • Suppress for Scheduling

  • Roll Up for Scheduling

  • Progress Based on Activity Progress

  • Actual Cost Based on Progressed Quantity

  • Consider in Cost Calculations

The Resource Details dialog box is modeless. This means that you can leave this dialog box open when performing other operations. In addition, a set of navigation controls allows you to select another resource. You can also use the following keys on your keyboard to navigate to another resource:

  • Ctrl+Home — Displays the first resource.

  • Page Up — Displays the previous resource.

  • Page Down — Displays the next resource.

  • Ctrl+End — Displays the last resource.

Location

Related Topics and Procedures


Resource Details Notes Tab

This tab allows you to create, edit, or delete a note attached to the resource.

The selected resource is identified in the following two fields:

  • ID — The identifier of the selected resource.

  • Description — A label associated with the selected resource ID.

The following spell check button allows you to check the spelling in the note:

The Category field controls the category of the note. If you are creating a new note, you can select a category from the list of categories set up in the database.

Although you can attach multiple notes to a resource, you can attach only one note per category.

The text box can contain up to 29 KB of text about the selected resource. You can enter the text by typing directly in this field, or by using the Cut, Copy, and Paste commands to insert text entered in another Windows application such as a word processor or spreadsheet.

You can enter links to files, web pages and email addresses by entering the information in one of the following formats:

  • File links must be entered in the format of: file://c:\document.doc

    • If the file link you enter contains spaces, you must enclose the link with angle brackets ( < > ) in order for the link to work properly:
    <    file://C:\Documents and Settings\All Users\Desktop\test.txt>

  • Universal Resource Locators (URLs) must be entered in the format of: http://www.deltek.com

  • Email addresses must be entered in the format of: mailto:contactus@deltek.com

When you click OK, the note is saved with the resource, and a triangle symbol is added to the resource in all resource file views.

The Resource Details dialog box is modeless. This means that you can leave this dialog box open when performing other operations. In addition, a set of navigation controls allows you to select another resource. You can also use the following keys on your keyboard to navigate to another resource:

  • Ctrl+Home — Displays the first resource.

  • Page Up — Displays the previous resource.

  • Page Down — Displays the next resource.

  • Ctrl+End — Displays the last resource.

Location

Related Topics and Procedures


Resource Details Skills Tab

This tab controls the skills assigned to a resource. Once a skill has been assigned to a resource, resource scheduling may suggest that resource for activities requiring that skill.

You can assign skills only to an individual resource. Resource pools cannot have assigned skills.

The selected resource is identified in the following two fields:

  • ID — The identifier of the selected resource.

  • Description — A label associated with the selected resource ID.

The Skills tab controls the assigned skills using the following settings:

  • Skill — The skill assigned to the resource.

    • Before you can assign a skill to a resource, that skill must first exist on the resource file.

  • Proficiency — Enter a user-defined proficiency rating for the listed skill. The scale of the rating is determined by the end-user organization, and is used in no calculations in Open Plan.

The Resource Details dialog box is modeless. This means that you can leave this dialog box open when performing other operations. In addition, a set of navigation controls allows you to select another resource. You can also use the following keys on your keyboard to navigate to another resource:

  • Ctrl+Home — Displays the first resource.

  • Page Up — Displays the previous resource.

  • Page Down — Displays the next resource.

  • Ctrl+End — Displays the last resource.

Location

Related Topics and Procedures


Resource Display Preferences Options Tab

This tab specifies how a resource view displays information using the following settings:

  • Box Color

  • Box Style

  • Box Contents

    • Show Full ID

    • Show Skills

  • Box Size

    • Minimum Height

    • Minimum Width

  • Layout

  • Compression

  • General Orientation

Location

Related Topics and Procedures


Resource Structures in Open Plan

Resources in Open Plan use a self-defining coding structure in which periods within the resource codes are used to distinguish between different hierarchical levels. (This convention is sometimes referred to as a "punctuated significant coding system.") Resources at a higher level in the hierarchy are referred to as "resource pools" in Open Plan.

With resource pools, you can roll up resource availabilities, assignments, and usage for reporting purposes. However, information entered at the pool level (for example, unit costs) are not inherited by the members of that pool.

If the Full ID option is selected from the View menu (or from the context menu when you click the workspace), you can tell just by inspecting a resource where it should appear in the structure.

The following figure shows an example of part of a resource file. In this example, BCI.RSH.PEB is a child of BCI.RSH, which is a child of BCI.

In the Enterprise edition of Open Plan, you can view the multiple resource hierarchies by scrolling the resource view.

Related Topics and Procedures


Using Resource Files

In Open Plan, information about resources is stored in a resource file. Resource files can be project-specific, or they can be shared among multiple projects. However, you can assign only one resource file to a project at any given time.

If you make changes to the information in a resource file, the changes affect all of the projects to which the resource file is assigned. To make changes in a resource file that affect a single project only, make sure that the file is not assigned to other projects.

You can assign a resource file to a project simply by dragging the resource file from Open Plan Library to the project.

You can reserve resources for a specific project. This can be done at any level in the resource hierarchy. For example, you can reserve all the resources stored in the resource file to a project, or you can reserve a single department or individual resource to the project.

Related Topics and Procedures


Using Resources in Open Plan

Resources are people, facilities, or anything else that is needed to perform the work of a project. Although entering resources is not required in Open Plan, many project managers have found that successful planning, management, and control of project resources are crucial to the overall success of a project.

In Open Plan, features related to resource management fall into three broad categories:

  • Defining resource availabilities

  • Assigning resources to activities

  • Performing resource scheduling

Resources and the skills they may possess are stored in resource files that can be used with more than one project. Open Plan does not require you to define resources that are project-specific. Instead, you can define a resource file that is independent of any project and then associate it with projects as needed.

You can assign a resource file to a project using the Files tab of the Project Properties dialog box.

At any one time, a project may have only one resource file assigned.

Once a resource file has been assigned to a project, you can assign individual resources to an activity using the Activity Details dialog box.

Related Topics and Procedures


Using Skills in Open Plan

The skills feature of Open Plan allows you to schedule a resource that can perform different jobs. It also allows you to specify a certain skill as a requirement for an activity. For example, JANE is a drafter, MARY is a mechanical engineer who can also draft, and FRED is an electrical engineer who can also draft. If a certain activity requires a skill of drafting, either JANE, MARY, or FRED could be assigned to that activity.

There are two steps to using the skills feature:

Step 1 — Build the list of skills you plan to assign to resources.

Step 2 — Assign the skills to a resource.

Although you can add skills to the skills list at any time, you cannot define a resource as having a particular skill that is not already on the skills list.

Related Topics and Procedures


Using the Add Skill Dialog Box

This dialog box controls the following information about a skill:

  • Skill ID

  • Description

  • Unit Cost

Location

Related Topics and Procedures


Using the Edit Skill Dialog Box

This dialog box controls the following information about a skill:

  • Skill ID

  • Description

  • Cost

Location

Related Topics and Procedures


Using the Manage Skills Dialog Box

This dialog box displays a list of skills already included in the resource file. Buttons across the bottom of the dialog box allow you to add new skills to the list, edit existing skills, or delete skills from the list.

Location

Related Topics and Procedures


Using the Resource Details Dialog Box

This dialog box contains the following tabs:

  • General

  • Code

  • Availability

  • Escalation

  • Skills

  • User Fields

  • Notes

The information you enter using these tabs combine to form a resource definition.

The dialog box has five buttons across the bottom that apply to all seven tabs. In addition, a navigation bar allows you to display information about other resources in the file without having to close and reopen the dialog box.

Location

Related Topics and Procedures


Using the Resource Details User Fields Tab

Resource Details User Fields Tab

In addition to allowing you to modify the resource description, this tab allows you to specify the values that Open Plan should include for user-defined fields on the resource table.

User-defined fields are created outside of an open resource and may be used by any resource file stored in the database. In order to use a user-defined field for your resource, you must specify a value for it on this tab.

The User Fields tab features a grid containing two columns:

  • Field — This column displays a list of all the user-defined fields that have been defined.

  • Value — For each user-defined field that you want to use, you should enter an appropriate value.

The Resource Details dialog box is modeless. This means that you can leave this dialog box open when performing other operations. In addition, a set of navigation controls allows you to select another resource. You can also use the following keys on your keyboard to navigate to another resource:

  • Ctrl+Home — Displays the first resource.

  • Page Up — Displays the previous resource.

  • Page Down — Displays the next resource.

  • Ctrl+End — Displays the last resource.

Location

Related Topics and Procedures


Adding Resources to a Resource File (Procedure)

Adding Resources to a Resource File

To add resources to a resource file:

  1. Display the resource view, and do one of the following:

    • On the Edit menu, click Add Resource.

    • Double-click an empty area of the workspace.

    • Right-click an empty area of the workspace, and click Add Node on the shortcut menu.

  2. In the Resource Details dialog box, enter the information about the resource.

  3. When the information is complete, click Close.

Related Topics and Procedures


Adding a Child Resource (Procedure)

Adding a Child Resource

To add a child resource:

  1. Do one of the following:

    • Right-click the resource pool to which you want to add a child, and click Add Child on the shortcut menu.

    • Double-click the resource pool while holding down the Shift key.

    If you add a child to a normal resource, Open Plan automatically converts the resource to a resource pool.

  2. In the Resource Details dialog box, enter the information for the resource.

  3. When the information is complete, click Close.

Related Topics and Procedures


Assigning Skills to a Resource (Procedure)

Assigning Skills to a Resource

To assign skills to a resource:

  1. Display the Resource Details dialog box for the resource to which you want to assign skills.

  2. Click the Skills tab.

  3. From the list, select the first skill you want to assign to the resource.

    4. The list contains only those skills already added to the resource file.

  4. Continue assigning skills to the resource.

  5. When you have finished assigning skills to the resource, click Close.

Related Topics and Procedures


Adding Skills to a Resource File (Procedure)

Adding Skills to a Resource File

To add skills to a resource file:

  1. Display the resource view.

  2. On the Tools menu, click Manage Skills.

  3. Click New.

  4. In the Add Skill dialog box, enter an ID, description, and cost for the skill.

  5. Click OK.

Related Topics and Procedures


Attaching a Note to a Resource (Procedure)

Attaching a Note to a Resource

To attach a note to a resource:

  1. Display the Resource Details dialog box for the resource to which you want to attach a note.

  2. On the Resource Details dialog box, click the Notes tab.

  3. From the Category list, select a category for the note that you want to attach.

    4. Although you can attach multiple notes to a resource, you can attach only one note per category.

  4. In the text box, enter any information you wish about the resource.

  5. Click Close.

Related Topics and Procedures


Changing the Font on a Resource View (Procedure)

Changing the Font on a Resource View

To change the font on a resource view:

  1. On the Tools menu, click Font.

  2. In the Font dialog box, select a font and its attributes.

  3. Click OK.

Related Topics and Procedures


Collapsing a Pool (Procedure)

Collapsing a Pool

To collapse a pool:

  1. Select the pool that you want to collapse.

  2. Do one of the following:

    • On the View menu, click Collapse.

    • Right-click the pool, and click Collapse on the context menu.

    • On the toolbar, click the Collapse [image] button.

Related Topics and Procedures


Copying a Resource File (Procedure)

Copying a Resource File

To copy a resource file:

  1. Open the resource file that you want to copy.

  2. On the File menu, click Save As.

  3. In the Save As dialog box, enter the name for the copy of the file.

  4. Click OK.

Related Topics and Procedures


Opening a Resource File (Procedure)

Opening a Resource File

To open a resource file:

Do one of the following:

  • Right-click the resource file folder, point to Open on the context menu, and select the mode in which to open the file.

  • On the File menu, click Open, and select the file you want to open from the File Open dialog box.

  • On the toolbar, click the Open File [image] button, and select the file you want to open from the File Open dialog box.

Related Topics and Procedures


Defining Cost Resources (Procedure)

Defining Cost Resources

To define a cost resource:

  1. Create a resource.

  2. On the General tab of the Resource Details dialog box, change the setting for the resource class to Cost.

  3. In the Unit field, enter a measurement unit. (For some types of projects, you might set up all your costs using dollar units; for other projects, it may be more appropriate to use larger units such as millions of dollars.)

  4. In the Unit Cost field, enter the base cost per unit of the resource.

  5. On the Escalation tab, enter a set of escalations for the cost resource, if needed.

  6. Click Close.

Related Topics and Procedures


Deleting a Resource (Procedure)

Deleting a Resource

To delete a resource, follow one of these procedures:

If you are deleting a pool, Open Plan warns you that all child resources in the pool will be deleted along with the pool.

  1. Select the resource that you want to delete.

  2. Do one of the following:

    • Press the Delete key.

    • On the Edit menu, click Delete Resource.

- or -

  1. Right-click the resource that you want to delete.

  2. Click Delete on the shortcut menu.

Related Topics and Procedures


Deleting a Resource File (Procedure)

Deleting a Resource File

To delete a resource file:

You cannot delete a resource if any project still uses it.

Follow one of these procedures:

  1. In the Open Plan Explorer, select the resource file you want to delete.

  2. Press the Delete key.

  3. When Open Plan asks that you confirm the deletion, click Yes.

– or –

  1. On the File menu, point to Manage Files.

  2. On the Manage Files submenu, click Delete File.

  3. In the Delete File dialog box, select the resource file you want to delete.

  4. Click Delete.

  5. When Open Plan asks that you confirm the deletion, click Yes.

Related Topics and Procedures


Deleting a Resource Note (Procedure)

Deleting a Resource Note

To delete a resource note:

  1. Display the Resource Details dialog box for the resource from which you want to delete a note.

  2. On the Resource Details dialog box, click the Notes tab.

  3. In the text box, delete all the information that is displayed.

  4. Click Close.

Related Topics and Procedures


Deleting Skills From a Resource File (Procedure)

Deleting Skills From a Resource File

To delete skills from a resource file:

  1. Display the resource view.

  2. On the Tools menu, click Manage Skills.

  3. In the Manage Skills dialog box, select the skill that you want to delete.

  4. Click Delete.

  5. When Open Plan asks you to confirm the deletion, click Yes.

Related Topics and Procedures


Displaying Full Resource IDs (Procedure)

Displaying Full Resource IDs

To display full resource IDs in the resource boxes:

  1. Do one of the following:

    • On the Tools menu, click Preferences.

    • Right-click an empty area of the workspace, and click Preferences on the shortcut menu.

  2. On the Options tab of the Resource Display Preferences dialog box, click Show Full ID.

Related Topics and Procedures


Editing a Resource (Procedure)

Editing a Resource

To edit a resource:

  1. Do one of the following:

    • Select the resource you want to edit, and click Edit Resource on the Edit menu.

    • Double-click the resource you want to edit.

    • Right-click the resource you want to edit, and click Edit on the shortcut menu.

  2. In the Resource Details dialog box, enter the information for the resource.

  3. When the information is complete, click Close.

Related Topics and Procedures


Editing a Resource Note (Procedure)

Editing a Resource Note

To edit a resource note:

  1. Display the Resource Details dialog box for the resource for which you want to edit a note.

  2. On the Resource Details dialog box, click the Notes tab.

  3. In the text box, type over the information that is displayed.

  4. Click Close.

Related Topics and Procedures


Editing Skills in a Resource File (Procedure)

Editing Skills in a Resource File

To edit skills in a resource file:

  1. Display the resource view.

  2. On the Tools menu, click Manage Skills.

  3. In the Manage Skills dialog box, select the skill that you want to edit.

  4. Click Edit.

  5. In the Edit Skill dialog box, change the appropriate information.

  6. Click OK.

Related Topics and Procedures


Reserving a Resource Pool for a Project (Procedure)

Reserving a Resource Pool for a Project

To reserve a resource pool for a project:

  1. Open the resource file that is assigned to the project for which you want to reserve a resource.

  2. Double-click the resource pool that you want to reserve.

    3. Lower-level reservations override those that are made at a higher level in the resource hierarchy. Thus, it is possible to reserve an entire resource file for one project and reserve a specific department or an individual resource within the file for a different project.

  3. From the Project field on the General tab of the Resource Details dialog box, select the project for which you want to reserve the resource pool.

  4. Click Apply.

Related Topics and Procedures


Reserving an Individual Resource for One or More Projects (Procedure)

Reserving an Individual Resource for One or More Projects

To reserve an individual resource for one or more projects:

  1. Open the resource file containing the resource that you want to reserve for a project.

  2. Double-click the resource that you want to reserve.

  3. Do one of the following:

    • From the Project field on the General tab of the Resource Details dialog box, select the project for which you want to reserve the resource.

    • Use the scroll bar on the Availability tab of the Resource Details dialog box to display the Project column, and specify the project for each availability period. (If you do not specify a project for a particular period on this tab, Open Plan reserves the resource for that period to the project specified on the General tab.)

  4. Click Apply.

Related Topics and Procedures


Removing Summary Resource Usage Information for Projects (Procedure)

Removing Summary Resource Usage Information for Projects

To release PSU information for a single project:

  1. Open the appropriate project.

  2. Display the Scheduling tab of the Project Properties dialog box.

  3. Click Delete.

To release PSU information from multiple projects:

While this procedure can be used to release PSU information for a single project, it is most useful for releasing PSU information for multiple projects.

  1. Open the resource file for which summary usage data has been stored.

  2. On the Tools menu, click Manage Summary Usage.

  3. On the Manage Summary Usage dialog box, select each project for which you want to remove summary resource usage information.

  4. Click Delete.

Related Topics and Procedures


Expanding All Pools (Procedure)

Expanding All Pools

To expand all pools, take one of the following actions:

  • On the View menu, click Expand All.

  • On the toolbar, click the Expand All [image] button.

Related Topics and Procedures


Expanding a Pool (Procedure)

Expanding a Pool

To expand a pool:

  1. Select the pool that you want to expand.

  2. Do one of the following:

    • On the View menu, click Expand.

    • Right-click the pool, and deselect Collapse on the context menu.

    • On the toolbar, click the Expand [image] button.

Related Topics and Procedures


Finding a Resource (Procedure)

Finding a Resource

To find a resource:

  1. Display the resource view and do one of the following:

    • On the Edit menu, click Find.

    • Press the Ctrl+f keys.

    • Right-click an empty area of the workspace, and click Find on the shortcut menu.

  2. In the Find Node dialog box, enter the ID of the resource you want to find.

  3. Click OK.

Related Topics and Procedures


Moving a Resource in the Hierarchy

To move a resource in the hierarchy:

Drag the resource box to the desired position in the resource hierarchy.

When you move a resource, Open Plan also moves assignments for projects that are open. However, projects that are closed when you move a resource are not affected.

To move a resource to the top level of the hierarchy:

Drag the resource box to the top of the workspace.

If you move a pool, all child resources of the pool are moved as well. When you move a resource (or group of resources) to a different position in the resource hierarchy, Open Plan automatically renumbers the resource IDs of the moved resources. If this renumbering potentially duplicates existing resource IDs, Open Plan allows you to renumber the resources yourself.

To move a skill in the hierarchy:

Drag the skill box to another resource in the hierarchy.

You can move a skill only to another individual resource. You cannot move a skill to a pool or to the top level of the hierarchy.

Related Topics and Procedures


Saving a Resource File (Procedure)

Saving a Resource File

To save a resource file:

  1. Open the resource file you want to save.

  2. Do one of the following:

    • On the File menu, click Save.

    • Press the Ctrl+S keys.

    • On the toolbar, click the Save [image] button.

The first time you save a resource file, Open Plan places the data icon for the file in the Resources folder of the Open Plan Library.

You can also save the resource file with a different name by clicking Save As on the File menu.

Related Topics and Procedures


Resource Display Preferences Box Layout Tab

This tab controls both the selection and the display of data fields within a resource box:

  • The Field column specifies the field in the resource file to be displayed.

  • The Line column specifies the line in the box on which the field is displayed. Boxes can contain up to 20 lines, and each line can display one or more fields. If you assign multiple fields to a single line, the order in which the fields are listed on this tab determines the order in which they are displayed in the resource box.

    • To add space to any resource box, leave out some lines. For example, you might specify fields for lines 1 and 8. This would leave space in the resource box that could be used for handwritten notes in a turn-around report.

  • Change Order buttons allow you to change the order of fields displayed on the same line.

  • The Format column specifies the number of lines that the field may use to display data. You can allow the field to wrap up to four lines. Open Plan sets the line depth to accommodate the highest wrap value given to fields on the line. For example, if two fields on a line are given wrap values of 2 and 4, Open Plan sets the line depth to accommodate a wrap value of 4.

To delete a row, select the field to be deleted and press the Delete key.

You can also choose to suppress the lines within a resource box. This option has no effect on the outer lines of the resource box that comprise its style.

  • A Preview window allows you to see an approximate representation of the layout of the resource box. (Note that this representation may differ slightly in size and aspect ratio from the actual display of boxes in the view.)

Location

Related Topics and Procedures


Displaying Resource Descriptions (Procedure)

Displaying Resource Descriptions

To display resource descriptions in the resource boxes:

  1. Do one of the following:

    • On the Tools menu, click Preferences.

    • Right-click an empty area of the workspace, and click Preferences on the shortcut menu.

  2. On the Box Layout tab of the Preferences dialog box, ensure that one of the lines in the Field column displays Resource Description.

Related Topics and Procedures


Setting Resource Box Layout Options (Procedure)

Setting Resource Box Layout Options

To set your options for the resource box layout:

  1. Do one of the following:

    • On the Tools menu, click Preferences.

    • Right-click an empty area of the workspace, and click Preferences on the shortcut menu.

  2. On the Resource Display Preferences dialog box, click the Box Layout tab.

  3. In the Field column, click a blank line, and select a field from the list that is displayed.

  4. In the Line column, enter a line number to indicate where the field should display within the resource box.

    5. If you enter the same line number for more than one field, Open Plan displays the fields in the order shown in the list on the dialog box. You can use the change order buttons to move a data field to a higher or lower position in the list.

  5. In the Format column, select the number of lines that the field may wrap.

  6. Continue entering fields until you have fully defined the contents of the resource box.

  7. Click OK.

Related Topics and Procedures


Adding Codes to a Code File

Once you have defined the structure of a code file using the New Code Structure dialog box, Open Plan displays a window containing an empty workspace. To add a code to the file, click Add Code on the Edit menu or simply double-click an empty area in the workspace.

Although you can define a code file as a "flat" structure in which all codes occupy the top hierarchical level, a more common practice is to develop a tree-like breakdown structure that can be used to summarize groups of related codes for reporting purposes.

Related Topics and Procedures


Code Details Code Tab

This dialog box allows you to create or edit a code on the code file using the following settings:

  • Code

  • Description

This information may be entered or modified on any of the tabs on the Code Details dialog box.

The Code Details dialog box is modeless. This means that you can leave this dialog box open when performing other operations. In addition, a set of navigation controls allows you to select another code. You can also use the following keys on your keyboard to navigate to another code:

  • Ctrl+Home — Displays the first code.

  • Page Up — Displays the previous code.

  • Page Down — Displays the next code.

  • Ctrl+End — Displays the last code.

Location

Related Topics and Procedures


Code Details Notes Tab

This tab allows you to create, edit, or delete a note attached to the code.

The selected code is identified in the following two fields:

  • Code

  • Desc

The following spell check button allows you to check the spelling in the note:

The Category field controls the category of the note. If you are creating a new note, you can select a category from the list of categories set up in the database.

Although you can attach multiple notes to a resource, you can attach only one note per category.

The text box can contain up to 29 KB of text about the selected resource. You can enter the text by typing directly in this field, or by using the Cut, Copy, and Paste commands to insert text entered in another Windows application such as a word processor or spreadsheet.

You can enter links to files, web pages and email addresses by entering the information in one of the following formats:

  • File links must be entered in the format of: file://c:\document.doc

    • If the file link you enter contains spaces, you must enclose the link with angle brackets ( < > ) in order for the link to work properly:
    <    file://C:\Documents and Settings\All Users\Desktop\test.txt>

  • Universal Resource Locators (URLs) must be entered in the format of: http://www.deltek.com

  • Email addresses must be entered in the format of: mailto:contactus@deltek.com

When you click OK, the note is saved with the code, and a triangle symbol is added to the code in all resource file views.

The Code Details dialog box is modeless. This means that you can leave this dialog box open when performing other operations. In addition, a set of navigation controls allows you to select another code. You can also use the following keys on your keyboard to navigate to another code:

  • Ctrl+Home — Displays the first resource.

  • Page Up — Displays the previous resource.

  • Page Down — Displays the next resource.

  • Ctrl+End — Displays the last resource.

Location

Related Topics and Procedures


Code Details User Fields Tab

In addition to allowing you to modify the code ID and description, this tab allows you to specify the values that Open Plan should include for user-defined fields on the code.

User-defined fields are created outside of an open code and may be used by any code file stored in the database. In order to use a user-defined field for your code, you must specify a value for it on this tab.

The User Fields tab features a grid containing two columns:

  • Field — This column displays a list of all the user-defined fields that have been defined.

  • Value — For each user-defined field that you want to use, you should enter an appropriate value.

The Code Details dialog box is modeless. This means that you can leave this dialog box open when performing other operations. In addition, a set of navigation controls allows you to select another code. You can also use the following keys on your keyboard to navigate to another code:

  • Ctrl+Home — Displays the first code.

  • Page Up — Displays the previous code.

  • Page Down — Displays the next code.

  • Ctrl+End — Displays the last code.

Location

Related Topics and Procedures


Code Display Preferences Options Tab

This tab specifies how a code window displays information using the following settings:

  • Box Color

  • Box Style

  • Box Size

  • Show Full ID

  • Layout

  • Compression

  • General

Location

Related Topics and Procedures


Coding Structures in Open Plan

Open Plan permits two types of coding systems that distinguish between different hierarchical levels:

  • Punctuated Significant

  • Fixed Format Significant

In both types of coding systems, higher-level codes are referred to as "parent" codes. All lower-level codes that are directly or indirectly connected to a particular parent may be called descendants or "children" of that code. When a report is produced at a particular level, all data associated with that code itself or with any of its descendants are summarized, or "rolled up," into a single set of data.

If the Full ID option is selected on the Options tab of the Code Display Preferences dialog box, you can tell just by inspecting a code where it should appear in the structure.

Related Topics and Procedures


Customizing a Code Window

You can customize how a code window displays information by using the Code Display Preferences dialog box. You can display this dialog box in either of the following ways:

  • By opening a code file and clicking Preferences on the Tools menu.

  • By right-clicking an open code view and clicking Preferences on the shortcut menu.

The Options tab of the Code Display Preferences dialog box controls the box color, box shape, hierarchy display options, and whether the box contents should show the full code ID.

The Professional edition of Open Plan also features a Box Layout tab that controls the data fields displayed in the code boxes.

Three buttons are located across the bottom of the dialog box. The OK button accepts your input and closes the dialog box. The Cancel button cancels your input and closes the dialog box. The Help button provides access to help information.

Related Topics and Procedures


How a Code Window Displays Information

Open Plan displays codes in a structural display in one of two orientations:

  • Vertical

  • Sideways

For each of these orientations, Open Plan can also display the codes in one of two manners:

  • Centered

  • Offset

You can customize the information detail that is displayed in code boxes in many ways:

  • You can choose to show the full ID of the code.

  • You can choose both a style and a color for the code box.

In the Professional edition of Open Plan, you can also customize the layout of information that is displayed within the code box.

Open Plan makes it easy to work with code hierarchies. For example, you can assign an entire group of codes to a different parent code simply by dragging the code boxes to a different position in the code hierarchy. You can also expand and collapse individual parent codes in order to display the appropriate level of detail. When you collapse a parent code, it is displayed as a stacked series of code boxes.

In addition, you can display the code hierarchy in a compressed mode in which individual codes belonging to one parent code can be displayed beneath another parent code.

A Zoom Out command allows you to view code structures that cannot be displayed on a single screen. If you choose Zoom Out from the normal display mode, Open Plan applies a reduced display mode to the window. In this display mode, the code boxes are reduced so that all the codes in the structure are visible. You can continue to work with the codes just as though you were in the normal display mode.

If the entire code structure can be displayed at once, the Zoom Out command is not available.

Related Topics and Procedures


Using Code Files

In Open Plan, information about a coding structure is stored in a code file. Code files can be project-specific, or they can be shared by multiple projects. You can assign up to 90 code files to the same project.

If you make changes to the information in a code file, the changes will affect all the projects to which the code file is assigned. To make changes in a code file that affect a single project only, make sure that the code file is not assigned to other projects.

You can assign a code file to a project using the Files tab of the Project Properties dialog box or by simply dragging the code file from the Open Plan Library onto the project.

Related Topics and Procedures


Using Codes in Open Plan

Codes allow you to collect and report project and resource information in a variety of formats ranging from high-level summaries to activity- or resource-level detail. With the appropriate coding system in place, even the largest networks can provide clear, concise pictures of vital information. Open Plan allows you to assign up to 90 codes files to a project or resource file.

While Open Plan does not require the code files to be hierarchical, they typically are. The type of hierarchies that can be represented by coding structures can be work breakdown structures or any other classification that can be represented by a hierarchy. By assigning codes based on breakdown structures to activities, you can summarize project data to appropriate levels for specific reporting requirements. Similarly, by assigning codes on breakdown structures to resources, you can summarize resource data to appropriate levels as well.

A particular breakdown structure can be used with more than one project or resource file. As a result, Open Plan does not force you to define coding systems that are specific to a particular project or resource file. Instead, you can define a code file that is independent of any project or resource file and then associate it as necessary at a later time.

Related Topics and Procedures


Using the Assign Code Dialog Box

This dialog box allows you to assign a code file to one of 90 code fields in the project or resource file.

Once you have assigned a code file to a project code field, you can assign an individual code to a project using the Codes tab of the Project Properties dialog box, and you can assign a code to an activity using the Codes tab of the Activity Details dialog box.

Once you have assigned a code file to a code field in a resource file, you can assign an individual code to an resource using the Codes tab of the Resource Details dialog box.

If you assign a code file to a code field that already has a code file assigned, Open Plan asks whether you want to replace the currently assigned code.

The Prompt button allows you to change the prompt text for a code file that has already been assigned to a code field.

Location

Related Topics and Procedures


Using the Code Details Dialog Box

This dialog box features the following tabs that you can use to create or edit a code on the code file:

  • Code — This tab allows you to enter a code and a description for the code.

  • User Fields — This tab allows you to specify the values that Open Plan should include for user-defined fields for the code.

  • Notes — This tab allows you to create and attach a note to the code.

The Code Details dialog box is modeless. This means that you can leave this dialog box open when performing other operations. In addition, a set of navigation controls allows you to select another code. You can also use the following keys on your keyboard to navigate to another code:

  • Ctrl+Home — Displays the first code.

  • Page Up — Displays the previous code.

  • Page Down — Displays the next code.

  • Ctrl+End — Displays the last code.

Location

Related Topics and Procedures


Using the New Code Structure Dialog Box

This dialog box controls the format of the new code file using the following settings:

  • Code Type

  • Fixed Level Length

  • Pad Character

Location

Related Topics and Procedures


Adding a Child Code (Procedure)

Adding a Child Code

To add a child code to a code file, follow one of these procedures:

  1. Display the code view.

  2. Right-click the code to which you want to add a child.

  3. On the shortcut menu, click Add Child.

  4. In the Code Details dialog box, enter the information for the code.

  5. Click Close, Apply, or New.

- or -

  1. Display the code view.

  2. Double-click the code while holding down the Shift key.

  3. In the Code Details dialog box, enter the information for the code.

  4. Click Close, Apply, or New.

Related Topics and Procedures


Adding Codes to a Code File (Procedure)

Adding Codes to a Code File

To add a code to a code file:

  1. Display the code view, and take one of the following actions:

    • On the Edit menu, click Add Code.

    • Double-click an empty area of the workspace.

    • Right-click an empty area of the workspace, and click Add Node on the shortcut menu.

  2. In the Code Details dialog box, enter the information for the code.

  3. When the information is complete, click Close, Apply, or New.

Related Topics and Procedures


Attaching a Note to a Code (Procedure)

Attaching a Note to a Code

To attach a note to a code:

  1. Display the code view.

  2. Take one of the following actions:

    • Double-click the code.

    • Select the code to which you want to attach a note, and click Edit Code on the Edit menu.

    • Right-click the code, and click Edit on the context menu.

  3. Click the Notes tab.

  4. From the Category list, select a category for your note.

    5. Although you can attach multiple notes to a code, you can attach only one note per category.

  5. In the Note text box, enter any information you wish about the code.

  6. Click Close or Apply.

Related Topics and Procedures


Changing the Font on a Code View (Procedure)

Changing the Font on a Code View

To change the font on a code view:

  1. On the Tools menu, click Font.

  2. In the Font dialog box, select a font and its attributes

  3. Click OK.

Related Topics and Procedures


Collapsing a Parent Code (Procedure)

Collapsing a Parent Code

To collapse a parent code:

  1. Select the parent code that you want to collapse.

  2. Take one of the following actions:

    • On the View menu, click Collapse.

    • Right-click the code, and click Collapse on the context menu.

    • On the toolbar, click the Collapse [image] button.

Related Topics and Procedures


Copying a Code File (Procedure)

Copying a Code File

To copy a code file:

  1. Open the code file.

  2. On the File menu, click Save As.

  3. In the Save Code As dialog box, enter the name for the copy of the file.

  4. Click OK.

Related Topics and Procedures


Deleting a Code (Procedure)

Deleting a Code

To delete a code:

If you are deleting a parent code, Open Plan warns you that all child codes will be deleted along with the parent.

  1. Display the code view.

  2. Select the code that you want to delete.

  3. Take one of the following actions:

    • Press the Delete key.

    • Right-click the code, and click Delete on the context menu.

    • On the Edit menu, click Delete Code.

Related Topics and Procedures


Deleting a Code File (Procedure)

Deleting a Code File

To delete a code file:

You cannot delete a code file that is referred to by another file. For example, you cannot delete a code file if any project or resource still uses it.

  1. On the File menu, point to Manage Files.

  2. On the Manage Files submenu, click Delete File.

  3. In the Select File to Delete dialog box, select the code file you want to delete.

  4. Click OK.

Related Topics and Procedures


Deleting a Code Note (Procedure)

Deleting a Code Note

To delete a code note:

  1. Display the code view.

  2. Take one of the following actions:

    • Double-click the code.

    • Select the code from which you want to delete a note, and click Edit Code on the Edit menu.

    • Right-click the code, and click Edit on the context menu.

  3. Click the Notes tab.

  4. In the Note text box, delete all the information that is displayed.

  5. Click Close or Apply.

Related Topics and Procedures


Displaying Full Code IDs (Procedure)

Displaying Full Code IDs

To display full code IDs in the code boxes:

  1. Take one of the following actions:

    • On the Tools menu, click Preferences.

    • Right-click an empty area of the workspace, and click Preferences on the shortcut menu.

  2. On the Options tab of the Code Display Preferences dialog box, select Show Full ID.

Related Topics and Procedures


Editing a Code (Procedure)

Editing a Code

To edit a code:

  1. Display the code view.

  2. Take one of the following actions:

    • Double-click the code.

    • Select the code you want to update, and click Edit Code on the Edit menu.

    • Right-click the code, and click Edit from the context menu.

  3. In the Code Details dialog box, enter the information for the code.

  4. When the information is complete, click Close or Apply.

Related Topics and Procedures


Editing a Code Note (Procedure)

Editing a Code Note

To edit a code note:

  1. Display the code view.

  2. Take one of the following actions:

    • Double-click the code.

    • Select the code for which you want to edit a note, and click Edit Code on the Edit menu.

    • Right-click the code, and click Edit on the context menu.

  3. Click the Notes tab.

  4. In the Note text box, type over the information that is displayed.

  5. Click Close or Apply.

Related Topics and Procedures


Expanding a Parent Code (Procedure)

Expanding a Parent Code

To expand a parent code:

  1. Select the code that you want to expand.

  2. Take one of the following actions:

    • On the View menu, click Expand.

    • Right-click the code and deselect Collapse from the context menu.

    • On the toolbar, click the Expand [image] button.

Related Topics and Procedures


Expanding All Parent Codes (Procedure)

Expanding All Parent Codes

To expand all parent codes, take one of the following actions:

  • On the View menu, click Expand All.

  • On the toolbar, click the Expand All [image] button.

Related Topics and Procedures


Finding a Code (Procedure)

Finding a Code

To find a code:

  1. Display the code view, and take one of the following actions:

    • On the Edit menu, click Find.

    • Right-click an empty area of the workspace, and click Find on the shortcut menu.

  2. In the Find Node dialog box, enter the ID of the code you want to find.

  3. Click OK.

Related Topics and Procedures


Moving a Code in the Hierarchy (Procedure)

Moving a Code in the Hierarchy

To move a code in the hierarchy:

Drag the code to the desired position in the code hierarchy.

When you move a code, Open Plan also moves assignments for projects that are open. However, projects that are closed when you move a code are not affected.

To move a code to the top level of the hierarchy:

Drag the code to the top of the workspace.

If you move a parent, all child codes of the parent are moved as well. When you move a code (or group of codes) to a different position in the code hierarchy, Open Plan automatically renumbers the code IDs of the moved codes. If this renumbering potentially duplicates existing code IDs, Open Plan allows you to renumber the codes yourself.

Related Topics and Procedures


Opening a Code File (Procedure)

Opening a Code File

To open a code file, take one of the following actions:

  • Select the code file, and click Open on the File menu.

  • Right-click the file, point to Open, and click the desired mode in which to open the code file.

Related Topics and Procedures


Saving a Code File (Procedure)

Saving a Code File

To save a code file:

  1. Open the code file you want to save.

  2. Take one of the following actions:

    • On the File menu, click Save.

    • Press the Ctrl+S keys.

    • On the toolbar, click the Save [image] button.

The first time you save a code file, Open Plan places it in the Codes folder of the Open Plan Library.

You can also save the code file with a different name by using the Save As command on the File menu.

Related Topics and Procedures


Code Display Preferences Box Layout Tab

This tab controls both the selection and the display of data fields within a code box:

  • The Field column specifies the field in the code file to be displayed.

  • The Line column specifies the line in the box on which the field is displayed. Each line can display one or more fields. If you assign multiple fields to a single line, the order in which the fields are listed on this tab determines the order in which they are displayed in the code box.

    • To add space to any code box, leave out some lines. For example, you might specify fields for lines 1 and 8. This would leave space in the code box that could be used for handwritten notes in a turn-around report.

    Buttons located at the bottom of the tab allow you to change the order of fields displayed on the same line.

  • The Format column specifies the number of lines that the field may use to display data. You can allow the field to wrap up to four lines. Open Plan sets the line depth to accommodate the highest wrap value given to fields on the line. For example, if two fields on a line are given wrap values of 2 and 4, Open Plan sets the line depth to accommodate a wrap value of 4.

To delete a row, select the field to be deleted, and press Delete.

You can also choose to suppress the lines within a code box. This option has no effect on the outer lines of the code box that comprise its style.

A preview window allows you to see an approximate representation of the layout of the code box. (Note that this representation may differ slightly in size and aspect ratio from the actual display of boxes in the view.)

Location

Related Topics and Procedures


Displaying Code Descriptions (Procedure)

Displaying Code Descriptions

To display code descriptions in the code boxes:

  1. Take one of the following actions:

    • On the Tools menu, click Preferences.

    • Right-click an empty area of the workspace, and click Preferences on the shortcut menu.

  2. On the Box Layout tab of the Preferences dialog box, ensure that one of the lines in the Field column displays Code Description.

Related Topics and Procedures


Setting Code Box Layout Options (Procedure)

Setting Code Box Layout Options

To set your options for the code box layout:

  1. Take one of the following actions:

    • On the Tools menu, click Preferences.

    • Right-click an empty area of the workspace, and click Preferences on the shortcut menu.

  2. On the Code Display Preferences dialog box, click the Box Layout tab.

  3. In the Field column, select a blank line, and select a field from the list box at the top of the tab.

  4. In the Line column, enter a line number to indicate where the field should display within the activity box.

    5. If you enter the same line number for more than one field, Open Plan displays the fields in the order shown in the grid on the dialog box. You can use the change order buttons to move a data field to a higher or lower position in the grid.

  5. In the Format column, select the number of lines that the field may wrap.

  6. Continue entering fields until you have fully defined the contents of the code box.

  7. Click OK.

Related Topics and Procedures


Calendar Preferences Color Tab

This tab controls both the color and fill pattern for each of the following types of work status in a calendar:

  • Working day

  • Non-working day

  • Extra work day

  • Holiday

For each work status, you can select the following options:

  • Color — Clicking the down arrow displays a Color dialog box that you can use to select a color. The Color dialog box offers a choice of 48 standard colors and up to 16 additional custom colors.

    • You can define custom colors using an enhanced version of the Color dialog box accessed from the Color tab of the Options dialog box.

  • Fill Pattern — Clicking the down arrow displays 6 fill patterns from which you can select. These fill patterns can be used to differentiate between the different types of work status on a monochrome monitor or printer.

The settings that you make on this tab apply to the Calendar view and are reflected on all the calendars.

Location

Related Topics and Procedures


Calendar Preferences Layout Tab

This tab allows you to specify both a starting day of the week and a starting month of the year.

The Start Day of Week option is frequently used in parts of the world where the work week is not normally Monday through Friday.

The Start Month of Year option is frequently used to define a fiscal calendar.

The settings that you make on this tab apply to the Calendar view and are reflected on all the calendars.

Location

Related Topics and Procedures


How the Calendar Displays Information

The calendar display provides an overview of an entire year at a glance. By default, Open Plan identifies four types of working status for any day on a calendar.

  • Working Day

  • Non-Working Day

  • Holiday

  • Extra Work Day

You can change the working status of any day simply by selecting it and pressing the spacebar. Or, you can double-click the day and change both the work status and the working hours in the Define Work Hours dialog box. Changing the work status of a working day changes it to a holiday. Changing the work status of a non-working day changes it to an extra work day.

You can make these different types of working status easy to identify by defining a display color and a fill type for each. In addition, you can customize a calendar to start a year with any month you choose and a week with any day of the week.

Open Plan displays a legend beneath each calendar that identifies the name of the calendar, the calendar file of which it is a part, and the current settings for each of the four types of working status.

Any holidays entered in the Manage Holidays dialog box are automatically reflected in the calendar.

You can move the selected date on the calendar using the arrow keys. In addition, the Ctrl+Left arrow key moves the selection to the same day of the previous month; and the Ctrl+Right arrow key moves the selection to the same day of the following month.

You can display the year previous to the one displayed in any of the following ways:

  • By clicking the up arrow [image] on the toolbar

  • By pressing the PgUp key

  • By right-clicking the calendar and clicking Previous Year on the shortcut menu

You can display the year following the one displayed in any of the following ways:

  • By clicking the down arrow [image] on the toolbar

  • By pressing the PgDn key

  • By right-clicking the calendar and clicking Next Year on the shortcut menu

Related Topics and Procedures


Understanding Hierarchical Calendars

Open Plan supports hierarchical calendars. This means that calendars can have both a parent and any number of children.

Child calendars inherit from their parents. This means that if a given date is defined as a non-working day or a holiday in a parent calendar, it will have the same status in all its child calendars unless overridden in the child calendar.

While you can change the status of any day on a calendar, be aware that if you change the status of a day on a parent calendar, the status of that day is also changed on all of its child calendars.

Related Topics and Procedures


Using Calendars

Open Plan contains a powerful calendar function that allows you to use any number of calendars to control when work can be performed. In addition to the default project calendar, you can also have specific calendars for activities, relationships, and resources that require exceptions to the default calendar.

For example, while the default calendar for a project may specify a 5-day work week, a part-time resource on the project may work only 3 days a week. This resource would need a specific calendar to reflect that schedule.

When you first create a calendar file, Open Plan provides a default calendar that assumes Monday through Friday to be working days with an 8-hour work day. You then have the opportunity to modify these defaults and define non-working days as well as holidays and extra work days.

Calendars in Open Plan are hierarchical. This means that calendars can have both a parent and any number of children. Child calendars inherit from their parents dynamically.

You can create calendars either as a copy or as a child of any calendar. All calendars inherit the defaults of the calendar from which they were copied. New calendars that are not copied from another calendar inherit the settings of the default calendar.

For example, assume that you enter all company holidays for 2007 on a company calendar. All calendars created either as a copy or a child of the company calendar will inherit the same set of holidays.

If you modify the default calendar after creating additional calendars, your changes affect only calendars created in the future. Changes to the default calendar have no effect on other calendars already created. In contrast, if you make a change to a parent calendar, the change is reflected in all its child calendars.

You can use the same calendar file for any number of projects. If you do not assign a calendar file to a project, Open Plan performs all calculations based on a 5-day work week with no holidays, and an 8-hour work day.

For more information on calendars, refer to the Deltek Open Plan User's Guide.

Related Topics and Procedures


Using the Add Calendar Dialog Box

This dialog box contains a single text box where you can enter a name for the calendar.

Location

Related Topics and Procedures


Using the Add Child Calendar Dialog Box

This dialog box allows you to add a new calendar as a child of the calendar you selected in the Manage Calendars dialog box. The Calendar text box displays the selected calendar followed by a period. To create the child calendar, simply add the local part of the name after the period.

The calendar you create with this dialog box inherits the work days and holidays from its parent. This means that if a given date is defined as a non-working day in its parent calendar, this date will also be a non-working day on the new calendar you create unless overridden in the child calendar.

Location

Related Topics and Procedures


Using the Calendar Preferences Dialog Box

You can customize how a calendar displays information by setting your preferences using the Calendar Preferences dialog box. You can display this dialog box by opening a calendar file and clicking Preferences on the Tools menu. The Calendar Preferences dialog box contains two tabs:

  • The Layout tab allows you to set the start day of the week and the start month of the year.

  • The Color tab allows you to set the color and fill pattern used to identify working days, non-working days, extra work days, and holidays on the selected calendar.

Any options you set using the Calendar Preferences dialog box affect the display of all calendars in your installation of Open Plan.

Related Topics and Procedures


Using the Copy Calendar Dialog Box

This dialog box allows you to create a new calendar as a copy of the one you selected. The name of the selected calendar is displayed in the box and highlighted. Any characters you type replace the name that is displayed.

You cannot have two calendars with the same name in the calendar file. Therefore, if you click OK without changing the name, Open Plan displays an error message.

If you are working with hierarchical calendars, notice that you can change only the local portion of the name.

Location

Related Topics and Procedures


Using the Define Work Hours Dialog Box

Open Plan displays the currently selected date at the top of the dialog box.

The Start Time and Stop Time boxes display the working hours for that day.

You can change the working hours of the selected date by editing the displayed hours. You can also add a work period by selecting an empty cell at the bottom of the list and entering both a start time and a stop time for the work period. While Open Plan recognizes a number of commonly used time formats, time is always displayed in military format. You can have up to 10 work periods per day.

Open Plan displays as an extra work day, any day with work hours that have been changed from those defined in the standard work week.

The Reset button allows you to restore the working hours for the selected date to those defined in the standard work week for that calendar.

Child calendars inherit from their parents. This means that if you change the work hours for a given day in a parent calendar, they will also be changed for all of its children.

Location

Related Topics and Procedures


Using the Define Work Week Dialog Box

When Open Plan displays this dialog box, days that have been defined as working days on the calendar are identified with an asterisk. For each selected working day, Open Plan displays the default working hours in the Start Time and Stop Time boxes.

Open Plan does not display information in the Start Time and Stop Time boxes when more than one day is selected.

You can change the working status of one or more days by selecting them and then clicking either the Working or Non-Working option.

You can change the working hours of any working day by editing the hours displayed in the Start Time and Stop Time boxes. You can also add a work period by selecting an empty cell at the bottom of the list and entering both a start time and a stop time for the work period. While Open Plan recognizes a number of commonly used time formats, time is always displayed in military format. You can have up to 10 work periods per day.

Open Plan displays any work day with changed work hours as an extra work day.

Child calendars inherit from their parents. This means that when you define the work week for a parent calendar, the settings you enter apply also to all the child calendars.

Location

Related Topics and Procedures


Using the Go to Date Dialog Box (Calendar)

This dialog box allows you to select any date on the displayed calendar. Typically, you would use this dialog box to select a date on a year or month that is not currently displayed on the calendar.

This dialog box contains a single edit box where you can enter the date you want to select. An ellipsis is located at the right edge of this edit box. Clicking this ellipsis displays the Select Date pop-up calendar that you can use to select a date.

Location

Related Topics and Procedures


Using the Manage Calendars Dialog Box

The Manage Calendars dialog box contains a list of calendars currently defined in the calendar file. The following buttons allow you to manage the calendars in the calendar file:

  • New — Allows you to add a new calendar to the file.

  • Add Child — Allows you to add a new calendar as a child of the selected calendar.

  • Copy — Creates a new calendar as a copy of the one you selected.

  • Rename — Renames a selected calendar to a new name.

  • Delete — Deletes the selected calendar from the calendar file.

Child calendars inherit from their parents. This means that if a given date is defined as a non-working day in a parent calendar, it will also be a non-working day for all of its children unless overridden by the child calendar.

You can, of course, change the status of any day on a calendar. If you change the status of a day on a parent calendar, the status of that day is changed not only on that calendar, but also on all of its child calendars.

Location

Related Topics and Procedures


Using the Manage Holidays Dialog Box

The calendar box displays a list of calendars for which you can define holidays.

You can enter any number of holidays for the selected calendar. You can also specify whether the holiday should be repeated every year. Open Plan recognizes a number of commonly used date formats.

Any entries you make in this dialog box are automatically displayed in the calendar when the dialog box is closed.

You can enter a holiday on a non-working day only if the holiday is repeated yearly. If the holiday is not repeated yearly, Open Plan continues to display the day as a non-working day.

If a given date is defined as a holiday in a parent calendar, it is marked with the holiday color in all its child calendars. However, the date is not identified as a holiday on the Manage Holidays dialog box displayed from the child calendar since that dialog box shows only those holidays defined for the specific calendar from which it is accessed.

Location

Related Topics and Procedures


Using the Rename Calendar Dialog Box

This dialog box contains a single text box where you can enter the new name for the calendar.

The current name of the calendar is displayed in the box and highlighted. Any characters you type replace the name that is displayed.

When working with hierarchical calendars, be aware of the following ramifications of renaming a calendar:

  • If you change the name of a parent calendar, Open Plan automatically changes the name of its child calendars.

  • If you are working with a child calendar, notice that you can change only the local portion of the calendar name.

If you change your mind about renaming the calendar, click Cancel.

Location

Related Topics and Procedures


Using the Print Calendar Dialog Box

This dialog box allows you to print calendars for any range of years you specify. You can also set the resolution for your print job.

The Copies field controls the number of copies of the calendar Open Plan should print.

In addition, the Collate option controls whether Open Plan should collate the calendars being printed.

The Setup button displays a dialog box where you can specify the printer you want to use as well as any options that are specific to your printer driver.

Location

Related Topics and Procedures


Changing the Font on a Calendar (Procedure)

Changing the Font on a Calendar

To change the font on a calendar:

  1. On the Tools menu, click Font.

  2. In the Font dialog box, select a font and its attributes.

  3. Click OK.

Related Topics and Procedures


Changing the Displayed Year (Procedure)

Changing the Displayed Year

To display the year previous to the one displayed, take one of the following actions:

  • On the toolbar, click the Previous Year [image] arrow.

  • Press the PgUp key.

  • Right-click the calendar, and click Previous Year on the context menu.

To display the year following the one displayed, take one of the following actions:

  • On the toolbar, click the Next Year [image] arrow.

  • Press the PgDn key.

  • Right-click the calendar. and click Next Year on the context menu.

Related Topics and Procedures


Changing the Work Status of a Day (Procedure)

Changing the Work Status of a Day

To change the work status of a day, take one of the following actions:

  • Select the day you want to change, and press the spacebar.

  • Right-click the day you want to change, and select either Working or Non-Working from the context menu.

If you change the work status of a day on a parent calendar, it will also be changed on all of its child calendars.

Changing the work status of a day has the following effects:

Status Before Change | Status After Change
Working day | Holiday
Non-Working day | Extra Work Day
Holiday | Working day
Extra Work Day | Non-Working day

Related Topics and Procedures


Copying a Calendar File (Procedure)

Copying a Calendar File

To copy a calendar file:

  1. Open the calendar file you want to copy.

  2. On the File menu, click Save As.

  3. Enter a new name for the calendar file, and click OK.

Related Topics and Procedures


Creating a New Calendar (Procedure)

Creating a New Calendar

To create a new calendar:

  1. Open a calendar file.

  2. Do one of the following:

    • On the Edit menu, click Manage Calendars.

    • Right-click an empty area of the calendar, and click Manage Calendars on the shortcut menu.

  3. On the Manage Calendars dialog box, click New.

  4. In the Add Calendar dialog box, enter a name for the new calendar.

  5. Click OK.

Related Topics and Procedures


Adding a Child Calendar (Procedure)

Adding a Child Calendar

To add a child calendar:

  1. Open a calendar file.

  2. Do one of the following:

    • On the Edit menu, click Manage Calendars.

    • Right-click an empty area of the calendar, and click Manage Calendars on the shortcut menu.

  3. On the Manage Calendars dialog box, select the calendar to which you want to add a child.

  4. Click Add Child.

  5. In the Add Child Calendar dialog box, add the local part of the calendar name to the name that is displayed in the text box.

  6. Click OK.

Related Topics and Procedures


Copying a Calendar (Procedure)

Copying a Calendar

To copy a calendar:

  1. Open a calendar file.

  2. Take one of the following actions:

    • On the Edit menu, click Manage Calendars.

    • Right-click an empty area of the calendar, and click Manage Calendars on the shortcut menu.

  3. From the Manage Calendars dialog box, select the calendar that you want to copy.

  4. Click Copy.

  5. In the Copy Calendar dialog box, enter a name for the new calendar.

  6. Click OK.

Related Topics and Procedures


Deleting a Calendar (Procedure)

Deleting a Calendar

To delete a calendar:

Deleting a parent calendar also deletes all of its child calendars automatically.

  1. Open a calendar file.

  2. Do one of the following:

    • On the Edit menu, click Manage Calendars.

    • Right-click an empty area of the calendar, and click Manage Calendars on the shortcut menu.

  3. From the Manage Calendars dialog box, select the calendar that you want to delete.

  4. Click Delete.

  5. When Open Plan asks you to confirm that you want to delete the calendar, click OK.

Related Topics and Procedures


Deleting a Calendar File (Procedure)

Deleting a Calendar File

To delete a calendar file:

You cannot delete a calendar file that is referred to by another file. For example, you cannot delete a calendar file if any project still uses it.

  1. On the File menu, point to Manage Files.

  2. On the Manage Files submenu, click Delete File.

  3. In the Delete File dialog box, select the calendar file you want to delete.

  4. Click Delete.

If you delete a calendar file that has been assigned to a project and you do not assign a new calendar file, Open Plan will perform all future calculations based on the default calendar. Existing calculated dates are not affected until you perform time analysis, risk analysis, or resource scheduling.

You can select multiple files to delete at one time by Ctrl+clicking or Shift+clicking the desired files.

Related Topics and Procedures


Defining the Work Hours for a Day (Procedure)

Defining the Work Hours for a Day

To define the work hours for a day:

When you define the work hours for a day on a parent calendar, all of its child calendars inherit the same settings.

  1. Open a calendar file.

  2. Select a calendar for which you want to define work hours.

  3. Do one of the following:

    • Double-click a date

    • Select a day, and click Define Work Hours on the Edit menu

    • Right-click a day, and click Define Work Hours on the shortcut menu

  4. In the Define Work Hours dialog box, enter up to 10 work periods in the Start Time and Stop Time boxes using the standard time formats. Both start and stop times must be filled in for the row to be valid. The start time of each row cannot be earlier than the stop time of the previous row.

    5. After changing the work hours for any day, you can always click Reset to return to the work hours defined in the standard workweek.

  5. Click OK.

Related Topics and Procedures


Defining the Standard Work Week (Procedure)

Defining the Standard Work Week

To set the default working days and hours:

When you define the standard workweek for a parent calendar, all of its child calendars inherit the same settings.

  1. Open a calendar file.

  2. Do one of the following:

    • On the Edit menu, click Define Work Week

    • Right-click the calendar, and click Define Work Week on the shortcut menu

  3. From the list on the Define Work Week dialog box, select the calendar for which you want to define the workweek.

  4. Select one or more days of the week, and click Working or Non-Working, as appropriate.

  5. For each working day, enter up to 10 work periods in the Start Time and Stop Time boxes using the standard time formats. Both start and stop times must be filled in for the row to be valid.

  6. Click OK.

Related Topics and Procedures


Entering a Holiday (Procedure)

Entering a Holiday

To enter a holiday:

  1. Display the calendar on which you want to enter a holiday.

    2. If you enter a holiday on a parent calendar, it will also be entered on all of its child calendars.

  2. Do one of the following:

    • Select a workday, and press the spacebar.

    • Double-click a workday, and change the working status in the Define Work Hours dialog box.

    • Right-click a workday, and select Non-Working from the context menu.

Related Topics and Procedures


Entering an Extra Work Day (Procedure)

Entering an Extra Work Day

To enter an extra work day:

  1. Display the calendar on which you want to enter an extra workday.

    2. If you enter an extra workday on a parent calendar, it will also be entered on all of its child calendars.

  2. Do one of the following:

    • Select a non-work day, and press the spacebar.

    • Double-click a non-work day, and change the working status in the Define Work Hours dialog box.

    • Right-click a non-work day, and select Working from the context menu.

To change an extra workday back to a non-working day, take one of the following actions:

  • Select the extra workday, and press the spacebar.

  • Right-click the extra workday, and select Non-Working from the context menu.

Related Topics and Procedures


Entering Company Holidays (Procedure)

Entering Company Holidays

To enter holidays on a company calendar:

  1. Open a calendar file.

  2. Do one of the following:

    • On the Edit menu, click Manage Holidays

    • Right-click the calendar, and click Manage Holidays on the shortcut menu

  3. Select a calendar to be used as the company calendar.

  4. Enter your company holidays for the current year and several years into the future.

  5. Create all remaining calendars as children of the company calendar.

Related Topics and Procedures


Entering Multiple Holidays (Procedure)

Entering Multiple Holidays

To enter multiple holidays in a calendar:

  1. Display a calendar.

  2. Do one of the following:

    • On the Edit menu, click Manage Holidays

    • Right-click the calendar, and click Manage Holidays on the shortcut menu

  3. Select a calendar from the Calendar list.

    4. If you enter holidays on a parent calendar, they will also be entered on all of its child calendars.

  4. Enter the date for the holiday, and specify whether you want the holiday to be repeated yearly.

  5. Continue entering as many holidays as you need.

  6. Click OK.

Related Topics and Procedures


Opening a Calendar File (Procedure)

Opening a Calendar File

To open a calendar file, take one of the following actions:

  • Select the calendar file, and click Open on the File menu.

  • Right-click the file, point to Open, and select the mode in which to open the calendar.

Related Topics and Procedures


Printing a Calendar (Procedure)

Printing a Calendar

To print a calendar:

  1. Display the calendar you want to print.

  2. Do one of the following:

    • On the File menu, click Print.

    • On the toolbar, click the Print [image] button.

    You can preview the calendar before printing it by clicking Print Preview on the File menu or by clicking the Print Preview [image] button on the toolbar. And, you can print the calendar by clicking Print on the Print Preview dialog box.

  3. Check that the appropriate printer is displayed at the top of the dialog box. (If the correct printer is not displayed, click Setup to access the dialog box where you can specify another printer driver.)

  4. Choose the appropriate print options.

  5. Click OK.

Related Topics and Procedures


Renaming a Calendar (Procedure)

Renaming a Calendar

To rename a calendar:

  1. Open a calendar file.

  2. Do one of the following:

    • On the Edit menu, click Manage Calendars.

    • Right-click an empty area of the calendar, and click Manage Calendars on the shortcut menu.

  3. From the Manage Calendars dialog box, select the calendar that you want to rename.

  4. Click Rename.

  5. In the Rename Calendar dialog box, enter a new name for the calendar.

    6. When working with hierarchical calendars, be aware of the following ramifications of renaming a calendar:

    • If you change the name of a parent calendar, Open Plan automatically changes the name of its child calendars.

    • If you are working with a child calendar, notice that you can change only the local portion of the calendar name.

  6. Click OK.

Related Topics and Procedures


Saving a Calendar File (Procedure)

Saving a Calendar File

To save a calendar file:

  1. Open the calendar file you want to save.

  2. Do one of the following:

    • On the File menu, click Save.

    • Press the Ctrl+S keys.

    • On the toolbar, click the Save [image] button.

The first time you save a calendar file, Open Plan places the file in the Calendars folder of the Open Plan Library.

You can also save the calendar file with a different name by using the Save As command on the File menu.

Related Topics and Procedures


Setting Calendar Color Preferences (Procedure)

Setting Calendar Color Preferences

To set the colors and fill patterns for different types of work status days:

  1. Open the calendar file for which you want to set color preferences.

  2. Do one of the following:

    • On the Tools menu, click Preferences

    • Right-click the calendar, and click Preferences on the shortcut menu

  3. On the Calendar Preferences dialog box, click the Color tab.

  4. On the Color tab, select a color for each type of work status.

  5. Select a fill pattern for each type of work status.

  6. Click OK.

Related Topics and Procedures


Setting Calendar Options (Procedure)

Setting Calendar Options

To set the starting day of the week and starting month of the year:

  1. Open the calendar file for which you want to set starting options.

  2. Do one of the following:

    • On the Tools menu, click Preferences

    • Right-click the calendar, and click Preferences on the shortcut menu

  3. On the Calendar Preferences dialog box, click the Layout tab.

  4. From the Start Day of Week list, select a starting day of the week.

  5. From the Start Month of Year list, select a starting month of the year.

  6. Click OK.

Related Topics and Procedures


Selecting Dates on the Calendar (Procedure)

Selecting Dates on the Calendar

To select a day using the Go To Date dialog box:

  1. Do one of the following:

    • On the View menu, click Go to Date.

    • Right-click the calendar, and click Go to Date on the shortcut menu.

  2. In the Go To Date dialog box, enter the date you want to select.

  3. Click OK.

To select a day using the arrow keys:

Use the four arrow keys to move to any other date on the displayed calendar year.

Related Topics and Procedures


Automatic Numbering

Open Plan can number activity IDs, codes, and resource IDs automatically. If you leave the ID field blank when creating a new activity, code, or resource, Open Plan generates an ID for the new item automatically based on the default sort order according to the following rules:

  • If the previous ID at a given level is all alphabetic, Open Plan adds the new ID in alphabetic order. For example:

    • If the last ID were "D," Open Plan would assign the ID "E" to the new element.

    • If the last ID were "Z," Open Plan would assign the ID "ZA" to the new element.

    • If the last ID were "ZD," Open Plan would assign the ID "ZE," to the new element.

  • If the previous ID at a given level is composed of a mixture of alphabetic and numeric characters, Open Plan increments the numeric part. For example:

    • If the last ID were "A10", Open Plan would assign the ID "A11" to the new element.

  • If there is no previous ID, Open Plan uses a numeric ID. Therefore, the first ID in the file would be numbered "1."

Automatic numbering is not always possible for fixed-format code structures. For example, if the structure allows only two characters at a given level, there can be no entries after ZZ.

Related Topics and Procedures


Cost Reporting

To facilitate the reporting of cost information, Open Plan provides a number of standard calculated fields related to costs at the activity level. These fields are available for display in any view:

  • BACcum

  • Planned Baseline Progress

  • BCWPcum

  • EAC

  • BCWScum

  • CPI

  • ACWPcum

  • ETC

  • CV

  • VAC

  • SPI

  • SV

Related Topics and Procedures


Customizing a Date Scale

This dialog box contains three tabs that control the way in which Open Plan displays the date scale on the barchart and histogram views:

  • Options

  • Manual Scale

  • Reporting Calendar

The dialog box has three buttons that apply to all three tabs:

  • The OK button accepts your input and closes the dialog box.

  • The Cancel button cancels your input and closes the dialog box.

  • The Help button provides access to help about the specific tab that is displayed.

Location

Related Topics and Procedures


Date Scale Preferences Manual Tab

Examples

This tab controls the way in which Open Plan displays the date scale on the barchart and histogram views using the following settings:

  • # of Axes

  • Reference Date

  • Autoscaling

For each axis on the date scale, you can specify the following information:

  • Axis Number

  • Time Unit

  • Count

  • Format

  • Position

  • Full Scale

  • Line Width

  • Axis Height

A Font button displays the Font dialog box where you can choose a typeface and size for the font used on the date scale.

A preview window displays the format of the date scale.

Location

Related Topics and Procedures


Date Scale Preferences Options Tab

This tab controls the scaling tab of the dialog box that is enabled:

  • Manual Scale

  • Reporting Calendar

The Options tab also controls the colors that Open Plan displays for both the text and the background of the date scale. For both these options, clicking the down arrow displays a Color dialog box that you can use to select a color. The Color dialog box offers a choice of 48 standard colors and up to 16 additional custom colors.

You can define custom colors using an enhanced version of the Color dialog box accessed from the Color tab of the Options dialog box.

Location

Related Topics and Procedures


Understanding Indented IDs

The indent feature of Open Plan allows you to renumber hierarchical IDs. When you use this feature, Open Plan renumbers the relevant ID according to the rules for automatic numbering.

The indent feature is not available when subsectioning is in effect, or in multi-table views.

Indenting an activity may cause loops in the network logic. You can identify these loops by running time analysis and inspecting the log that is generated by the operation.

Related Topics and Procedures


Understanding Outdented IDs

The outdent feature of Open Plan allows you to promote an activity, resource, or code in a hierarchy to the level of its parent. In assigning an ID to the outdented element, Open Plan follows the rules for automatic numbering. For example, assume a project with the following activity hierarchy:

A10

A10.1

A30

A40

A50

If activity A10.1 were to be outdented, Open Plan would assign it ID A11. Notice that although the remaining IDs in the hierarchy are numbered in 10-number increments, Open Plan assigns the outdented activity the first available ID number.

The outdent feature is not available when subsectioning is in effect, or in multi-table views.

Related Topics and Procedures


Using the Automatic Scaling Dialog Box

This dialog box uses the following options to control the range of dates Open Plan should display on a single screen:

  • Options — This field displays a list of scaling ranges as follows:

    • One Week

    • Two Weeks

    • One Month

    • Three Months

    • Entire Project

    • Custom

  • Custom — If you choose Custom from the list, Open Plan enables the From and To fields where you can define the custom range to be displayed.

Open Plan uses the settings you specify to calculate an appropriate time scale for the view. It then overwrites the settings on the Manual tab of the Date Scale Preferences with the calculated time scale.

Location

Related Topics and Procedures


Using the Date Formats Dialog Box

Examples

The Date Formats dialog box displays a list of date formats that Open Plan can use. If the date format you choose is a character string, you can also choose from the following capitalization options:

  • Upper Case — For example, "TUESDAY"

  • Mixed Case — For example, "Tuesday"

  • Lower Case — For example, "tuesday"

For most numeric date formats, an option is enabled that allows you to use relative dates. If selected, this option inserts %R into the format.

Open Plan inserts your format selection into the Format edit box on the Date Scale dialog box.

Location

Related Topics and Procedures


Using the Find Dialog Box

Depending on the view that is active, this dialog box allows you to find an activity, resource, or code.

Regardless of how the dialog box is displayed, you can specify one of the following:

  • Find in ID

  • Find in Description

In addition, if the Find dialog box is displayed by right-clicking the header of a spreadsheet column, you can also find the item by specifying the content of that field. For example, if you right-click the Duration heading in an Activity Spreadsheet, you can find an activity by specifying a duration.

If you select the Find in Description option, you can also limit the elements that Open Plan finds by specifying the following options:

  • Match case

  • Find Whole Word

Location

Related Topics and Procedures


Using the Find Node Dialog Box

This dialog box allows you to locate a code or resource simply by entering the name of the node and clicking OK. Open Plan scrolls the display to an appropriate area (if necessary), and selects the requested node.

Location

Related Topics and Procedures


Using the Find Record Dialog Box

This dialog box features the following controls that allow you to find an activity in a Spreadsheet or Network view:

  • Find in ID

  • Find in Description

In addition, if the Find dialog box is displayed by right-clicking the header of a spreadsheet column, you can also find the item by specifying the content of that field. For example, if you right-click the Duration heading in an Activity Spreadsheet, you can find an activity by specifying a duration.

If you select the Find in Description option, you can also limit the elements that Open Plan finds by specifying the following options:

  • Match case

  • Find Whole Word

Location

Related Topics and Procedures


Using the Go To Date Dialog Box

The Go To Date dialog box contains four buttons:

  • Project Start — scrolls to make the project start visible.

  • Project Finish — scrolls to make the project finish visible.

  • Time Now — scrolls to make Time Now visible.

  • Specific Date — allows you to enter a date. Open Plan then scrolls the view to make your specified date visible.

Location

Related Topics and Procedures


Using the Confirm Paste Dialog Box

This option has three states: checked, unchecked, and indeterminate. The default state is indeterminate.

  • Checked

  • Unchecked

  • Indeterminate

— When the current insertion context is a parent row, Paste row(s) as children of the currently selected row is treated as checked. The user may uncheck this option, which will cause the pasted rows to be pasted at the same level as the selected row.

— When the current insertion point is not a parent row, Paste row(s) as children of the currently selected row is treated as unchecked. The user may check this option, which will cause the pasted rows to be pasted as children of the selected row and cause the selected row to become a parent row.

— When the check box is in the indeterminate state, Open Plan will apply the default behavior based on the current insertion context. This allows the user to let Open Plan choose the appropriate default behavior based on the insertion context when he saves the dialog box preferences and/or choose Only show the dialog on Paste Special.

When this option is selected, the prefix and suffix windows are enabled to allow the user to enter both a prefix and suffix value to be added to the ID values being pasted. Specify a Prefix and/or a Suffix for the IDs being pasted is unchecked by default. The maximum allowable text length for the prefix and suffix fields is the length of the appropriate ID field of the table being pasted into (59 characters by default).

Users may select one of the following options:

  • Generate new IDs based on the row(s) being pasted

  • Generate new IDs based on where the row(s) are being pasted

  • Generate a suffix for the row(s) being pasted

  • Do not paste duplicate row(s)

— If the IDs in the data being pasted already exist, the IDs being pasted will be used as the seed value for generating new IDs. This is the default renumbering option.

— If the IDs in the data being pasted already exist, new IDs will be generated based on the IDs of the paste insertion point.

— If this option is chosen, rows that are being pasted that have the same ID value as an existing row are renumbered by adding a suffix to the ID.

— If this option is chosen, rows that are being pasted that have the same ID value as an existing row will not be pasted.

When this option is selected, all of the options chosen in the dialog box will be retained as a user preference and will be used to initialize the dialog box during subsequent paste operations. When the Do not show this dialog again option is chosen, the saved preferences will be applied automatically during a paste operation without showing the dialog box.

When this option is selected, the dialog box will not be displayed when the user performs a normal paste operation.

When the user performs a normal paste and the Paste Special option is enabled, the paste operation will use the preferences specified with the Save the choices as the default option or the standard defaults if the user has not chosen the Save the choices as the default option.

Using the Paste Edit Menu

Using Clipboard Operations

Using the Confirm Paste Dialog Box

The Confirm Paste dialog box is displayed when the Paste and Paste Special commands are invoked in the Activity Details, Code Details or Resource Details tables. These are the only tables in Open Plan that support IDs and, thus, the ID renumbering options.

The following options are available:

  • Paste row(s) as children of the currently selected row

  • Specify a Prefix and/or Suffix for the IDs being pasted

  • How should Open Plan renumber duplicate row(s)?

  • Save the choices as the default

  • Only show the dialog when Paste Special is chosen

This dialog box is only displayed when pasting data copied from Open Plan. It does not apply to pasting data that has been copied from Excel or other applications.

Related Topics and Procedures


Views and Reports

Views are the means through which you can add, update, and display information about a project in Open Plan. Although you can create as many custom views as you wish, all Open Plan views fall into one of the following four types:

  • Barcharts

  • Networks

  • Spreadsheets

  • Histograms

All views to which you have access are listed in the Views folder of the Open Plan Library. Any view in Open Plan can also be printed as a report.

In most cases, you can access your data through a number of different views. For example, you can display information about project activities in both a network view, and in a barchart view.

On the other hand, some views display a certain type of information in a way that no other view can. For example, a histogram is particularly well-suited for displaying resource usage over time.

There are a number of actions that you can perform on a view. You can create, copy, combine, and delete views. While these actions certainly affect the way the project is displayed, they do not affect the project itself. For example, deleting a view does not delete the project itself.

In addition, you can customize any view to display information in a way that is meaningful to your organization. And, you can determine the information that is displayed in a view by using sorts, filters, and calculated fields. After customizing a view, you can save it with a new name so that it can be made available to other users.

Related Topics and Procedures


Applying a Filter to a View (Procedure)

Applying a Filter to a View

To apply a filter to a view:

  1. Display the view to which you want to apply a filter.

  2. On the Tools menu, click Filter.

  3. In the Filters dialog box, select the filter you want to apply to the view.

  4. Click OK.

You can also reapply the current filter and refresh the display simply by clicking the Refresh [image] button on the toolbar.

Related Topics and Procedures


Applying a Global Edit to a Project or Resource File (Procedure)

Applying a Global Edit to a Project or Resource File

To apply a global edit to a project or resource file:

  1. Open the project or resource file in exclusive mode.

  2. On the Tools menu, click Global Edit.

  3. In the Global Edits dialog box, select a global edit that you want to apply.

    4. Unless you are absolutely certain the global edit you selected is the one you want to apply, click Edit or Display to review the definition before proceeding.

  4. Click Apply.

Related Topics and Procedures


Copying a Filter (Procedure)

Copying a Filter

To create a filter as a copy of another filter:

  1. On the Tools menu, click Filters.

  2. In the Filters dialog box, select the filter you want to copy.

  3. Click Copy.

  4. In the Filter Expression dialog box, enter a new name for the filter you are creating.

  5. Make any needed modifications to the filter expression.

  6. Click OK.

Related Topics and Procedures


Copying a Sort Criterion (Procedure)

Copying a Sort Criterion

To create a sort as a copy of another sort:

  1. On the Tools menu, click Sorts.

  2. In the Sorts dialog box, select the sort you want to copy.

  3. Click Copy.

  4. In the Sort Expression dialog box, enter a new name for the sort you are creating.

  5. Make any needed modifications to the sort expression.

  6. Click OK.

Related Topics and Procedures


Copying an Activity (Procedure)

Copying an Activity

To copy an activity in any view, follow one of these procedures:

  1. Right-click the activity you want to copy.

  2. Click Copy Activities.

- or -

  1. Select the activity you want to copy.

  2. Do one of the following:

    • On the toolbar, click the Copy [image] button.

    • On the Edit menu, click Copy.

The copied activity is placed on the clipboard where it is available for pasting.

Related Topics and Procedures


Creating a New Filter (Procedure)

Creating a New Filter

To create a new filter:

  1. On the Tools menu, click Filters.

  2. On the Filters dialog box, click New to display the New Filter dialog box.

  3. In the Name field, enter a name for the new filter.

  4. On the Applies to Table list, select a table to which the filter will apply.

  5. Click OK.

  6. In the Filter Expression dialog box, enter the information for the filter.

  7. When you finish entering the filter expression, click OK.

Related Topics and Procedures


Creating a New Sort Criterion (Procedure)

Creating a New Sort Criterion

To create a new sort criterion:

  1. On the Tools menu, click Sorts.

  2. In the Sorts dialog box, click New to display the New Sort dialog box.

  3. In the Name field, enter a name for the new sort.

  4. From the Applies to Table list, select a table to which the sort will apply.

  5. Click OK.

  6. In the Sort Expression dialog box, enter the sort expression using the Field and Order columns.

  7. When you finish entering the sort expression, click OK.

Related Topics and Procedures


Creating a Temporary Filter (Procedure)

Creating a Temporary Filter

To create a temporary filter:

The temporary filter created by this procedure can be applied only to a primary table. To apply a temporary filter to a secondary table, use the Define Link tab of the Spreadsheet Preferences dialog box.

  1. Display the view to which you want to apply the temporary filter.

  2. On the Tools menu, click Filters.

  3. From the Filters dialog box, select <Temporary Filter>.

  4. Click Edit.

  5. In the Filter Expression dialog box, enter the expression for the temporary filter.

    6. For example, assume that you want to display a list of activities scheduled to start today. Open Plan requires that you define "today" as a specific date and time range. Therefore, if "today" were May 4, 2002, you would enter one of the following expressions in the Filter Expression dialog box:

    • ESDATE>{03MAY02 23:59} AND ESDATE<{05MAY02 00}

    • ESDATE BETWEEN({03MAY02 23:59},{05MAY02 00})

    While you can simply type the filter expression in the text box, you can also use the Fields and Functions buttons to display dialog boxes that you can use as an aid in building the filter expression.

  6. Click OK.

Related Topics and Procedures


Creating a Temporary Sort (Procedure)

Creating a Temporary Sort

To create a temporary sort:

The temporary sort created by this procedure can be applied only to a primary table. To apply a temporary sort to a secondary table, use the Define Link tab of the Spreadsheet Preferences dialog box.

  1. Display the view to which you want to apply the temporary sort.

  2. On the Tools menu, click Sorts.

  3. From the Sorts dialog box, elect <Temporary Sort>.

  4. Click Edit.

  5. In the Temporary Sort Expression dialog box, enter the expression for the temporary sort.

    6. While you can simply type the sort expression in the text box, you can also use the Fields and Functions buttons to display dialog boxes that you can use as an aid in building the sort expression.

  6. Click OK.

Related Topics and Procedures


Cutting an Activity (Procedure)

Cutting an Activity

To cut an activity while in any view, follow one of these procedures:

  1. Right-click the activity you want to cut.

  2. Click Cut Activities.

- or -

  1. Select the activity you want to cut.

  2. Do one of the following:

    • On the toolbar, click the Cut [image] button.

    • On the Edit menu, click Cut.

The cut activity is placed on the clipboard where it is available for pasting.

Related Topics and Procedures


Deleting a Filter (Procedure)

Deleting a Filter

To delete a filter:

  1. On the Tools menu, click Filters.

  2. In the Filters dialog box, select the filter you want to delete.

  3. Click Delete.

  4. When Open Plan asks you to confirm the deletion, click Yes.

Related Topics and Procedures


Deleting a Sort Criterion (Procedure)

Deleting a Sort Criterion

To delete a sort criterion:

  1. On the Tools menu, click Sorts.

  2. In the Sorts dialog box, select the sort criterion you want to delete.

  3. Click Delete.

  4. When Open Plan asks you to confirm the deletion, click Yes.

Related Topics and Procedures


Deleting a View (Procedure)

Deleting a View

To delete a view:

  1. Select the view that you want to delete.

  2. Press the Delete key.

  3. When Open Plan asks that you confirm the deletion, click OK.

Deleting a view that you have dragged into your project folder from the Open Plan Library does not delete the actual view. This action deletes only the link to the view that is stored in the Open Plan Library.

Related Topics and Procedures


Deleting an Activity (Procedure)

Deleting an Activity

To delete an activity from any view, follow one of these procedures:

  1. Right-click the activity you want to delete.

  2. Click Delete Activities from the context menu.

  3. When Open Plan asks you to confirm the deletion, click Yes.

- or -

  1. Select the activity you want to delete.

  2. Do one of the following:

    • Press the Delete key.

    • On the Edit menu, click Delete Activity.

  3. When Open Plan asks you to confirm the deletion, click Yes.

Related Topics and Procedures


Editing a Filter (Procedure)

Editing a Filter

To edit a filter:

  1. On the Tools menu, click Filters.

  2. In the Filters dialog box, select the filter you want to edit.

  3. Click Edit.

  4. In the Filter Expression dialog box, edit the information you want to change.

  5. When you finish editing the filter, click OK.

Related Topics and Procedures


Editing a Sort Criterion (Procedure)

Editing a Sort Criterion

To edit a sort criterion:

  1. On the Tools menu, click Sorts.

  2. In the Sorts dialog box, select the sort you want to edit.

  3. Click Edit.

  4. In the Sort Expression dialog box, edit the information you want to change.

  5. When you finish editing the sort expression, click OK.

Related Topics and Procedures


Editing an Activity (Procedure)

Editing an Activity

To edit an activity from any view using a mouse:

  1. Display the Activity Details dialog box for the activity you want to edit by taking one of the following actions:

    • Double-click the activity.

    • Right-click the activity and click Edit Activity from the context menu.

    • Select the activity and click Edit Activity on the Edit menu.

  2. In the Activity Details dialog box, edit the information about the activity.

  3. When you have entered as much information about the activity as you wish, click Apply.

Related Topics and Procedures


Filtering a Multi-Table View on a Secondary Table (Procedure)

Filtering a Multi-Table View on a Secondary Table

To filter a multi table view on a secondary table:

When using a multi-table barchart, perform the following procedure in the spreadsheet pane of the view. The filter you apply is reflected in both panes of the view.

Do one of the following:

  • Click the appropriate Filter field on the Define Link tab of the Spreadsheet Preferences dialog box and select a pre-defined filter expression from the drop-down list.

  • Click the appropriate Filter field on the Define Link tab of the Spreadsheet Preferences dialog box and enter a filter expression in the text box. This creates a temporary filter expression.

Related Topics and Procedures


Filtering Data in a Network View (Procedure)

Filtering Data in a Network View

To filter data in a network view:

  1. Display the appropriate network view.

  2. Do one of the following:

    • Press Shift+P.

    • Right-click the workspace, and click Placements on the shortcut menu.

    • On the View menu, click Placements.

  3. On the Placements dialog box, click Automatic.

  4. Click Filters.

  5. In the Filters dialog box, select the filter that you want to use, and click OK.

  6. When the Placements dialog box is redisplayed, click Filter Project.

  7. Click OK to enable your settings.

Related Topics and Procedures


Filtering Data on a Calculated Field (Procedure)

Filtering Data on a Calculated Field

To filter data on a calculated field:

This Procedure uses a calculated field that calculates the accomplished duration of an activity. The procedure would be similar for any other calculated field.

  1. On the Tools menu, click Filters.

  2. Create a new filter for the Activity table using the following input values:

    • Field Name — Accomplished Duration

    • Operator — Greater Than

    Note that depending on the data you want to display, you could also select one of the following operators: Greater Than, Greater or Equals, Less Than, or Less or Equals.

    • Value 1 — <value>

    Note that you can enter any value you want in this field. For example, if you want to filter your data on activities that have an accomplished duration greater than 5 days, you would enter a 5D in this field.

  3. In the Filters dialog box, select the filter you have just created.

  4. Click OK.

Related Topics and Procedures


Filtering Data on a Code Level (Procedure)

Filtering Data on a Code Level

To filter data on a code level:

This Procedure assumes that a code C1 is attached to the project and that you will filter data based on a C1 level. It also assumes that a calculated field named WBS_Level has been made available to your project and that this calculated field returns the level of the code in C1.

  1. On the Tools menu, click Filters.

  2. Create a new filter using the following input values:

    • Field Name — WBS_Level

    • Operator — Equals

    Note that depending on the data you want to display, you could also select one of the following operators: Greater Than, Greater or Equals, Less Than, or Less or Equals.

    • Value 1 — <value>

    Note that you can enter any value you want in this field. For example, if you want to filter your data on level 2 of the WBS structure, enter 2 in this field.

  3. In the Filters dialog box, select the filter you have just created.

  4. Click OK.

Related Topics and Procedures


Finding an Activity (Procedure)

Finding an Activity

To find an activity in any view:

  1. Display an activity view of your project and do either of the following:

    • On the Edit menu, click Find.

    • Right-click an empty area of the view and choose Find Activity.

  2. In the Find Activity dialog box, enter the appropriate search criteria.

  3. Click OK.

Related Topics and Procedures


Finding Another Activity (Procedure)

Finding Another Activity

To find another activity with the selection criteria defined:

  1. Display an activity view of your project.

  2. Do one of the following:

    • Press the F3 key

    • On the Edit menu, click Find Next.

Related Topics and Procedures


Finding the Predecessor of an Activity (Procedure)

Finding the Predecessor of an Activity

To find the predecessor of an activity:

  1. Right-click the relationship line in a barchart or network view.

  2. On the shortcut menu, click Go to Predecessor.

Related Topics and Procedures


Finding the Successor of an Activity (Procedure)

Finding the Successor of an Activity

To find the successor of an activity:

  1. Right-click the relationship line in a barchart or network view.

  2. On the shortcut menu, click Go to Successor.

Related Topics and Procedures


Indenting an Activity, Resource, or Code ID (Procedure)

Indenting an Activity, Resource, or Code ID

To indent an activity, resource, or code ID:

  1. Display a spreadsheet containing the ID that you want to indent. For example, you might display one of the following views:

    • Activity spreadsheet

    • Resource assignment spreadsheet

    • Code assignment spreadsheet

  2. Select the ID that you want to indent.

  3. On the Edit menu, click Indent.

Related Topics and Procedures


Opening a View (Procedure)

Opening a View

To open a view:

  1. Open the project containing the view that you want to display.

  2. Do one of the following:

    • Double-click the view icon.

    • Right-click the view icon and click Open on the context menu.

Related Topics and Procedures


Outdenting an Activity, Resource, or Code ID (Procedure)

Outdenting an Activity, Resource, or Code ID

To outdent an activity, resource, or code ID:

  1. Display a spreadsheet containing the ID that you want to outdent. For example, you might display one of the following views:

    • Activity spreadsheet

    • Resource assignment spreadsheet

    • Code assignment spreadsheet

  2. Select the ID that you want to outdent.

  3. On the Edit menu, click Outdent.

Related Topics and Procedures


Pasting an Activity (Procedure)

Pasting an Activity

To paste an activity from the clipboard in a network view:

  1. Do one of the following:

  2. On the toolbar, click the Paste [image] button.

  3. On the Edit menu, click Paste.

  4. Move the Paste cursor to the location where you want to paste the activity and click.

To paste an activity from the clipboard in a barchart or spreadsheet view, follow one of these procedures:

  1. On the spreadsheet (or spreadsheet portion of the barchart), select a row.

  2. Do one of the following:

  3. On the toolbar, click the Paste [image] button.

  4. On the Edit menu, click Paste Record(s).

- or -

  1. Right-click the row where you want to paste the activity.

  2. On the shortcut menu, click Paste Records.

When pasting a copied activity, Open Plan automatically assigns a unique ID if the existing ID would produce a duplicate.

Related Topics and Procedures


Sending an Email Advisory (Procedure)

Sending an Email Advisory

To send an email advisory:

  1. Open the project about which you want to send an email advisory.

  2. On the Tools menu, click Email Advisor.

  3. From the Advisory Definitions dialog box, select the advisory you want to send.

  4. Click Test to view the advisory that will be sent.

  5. Click OK to return to the Advisory Definitions dialog box.

  6. Click Send.

Related Topics and Procedures


Sorting a Multi-Table View on a Secondary Table (Procedure)

Sorting a Multi-Table View on a Secondary Table

To sort a multi table view on a secondary table:

When using a multi-table barchart, perform the following procedure in the spreadsheet pane of the view. The sort you apply is reflected in both panes of the view.

In any edition of Open Plan, do one of the following:

  • To apply a sort based on a single field, with the Click to Sort option enabled, click the heading of the secondary table column on which you want to sort. This creates a temporary sort expression that you can view in the Define Link tab of the Spreadsheet Preferences dialog box.

  • To apply a sort based on multiple fields in the secondary table, with the Click to Sort option enabled, hold down the Ctrl key while clicking the headings of the secondary table columns. Each field is added to the sort expression in the order in which it was clicked. This creates a temporary sort expression that you can view in the Define Link tab of the Spreadsheet Preferences dialog box.

In the Professional edition of Open Plan, do one of the following:

  • Click the appropriate Sort field on the Define Link tab of the Spreadsheet Preferences dialog box, and select a pre-defined sort expression from the list.

  • Click the appropriate Sort field on the Define Link tab of the Spreadsheet Preferences dialog box and enter a sort expression in the text box. This creates a temporary sort expression.

Related Topics and Procedures


Sorting Data in a View (Procedure)

Sorting Data in a View

To sort data in a view:

  1. On the Tools menu, click Sorts.

  2. In the Sorts dialog box, select a sort criterion that you want to apply to the view.

    3. If outlining is on, the activities are sorted within the outline.

  3. Click OK.

You can also reapply the current sort and refresh the display simply by clicking the Refresh [image] button on the toolbar.

Related Topics and Procedures


Sorting Data on a Calculated Field (Procedure)

Sorting Data on a Calculated Field

To sort data on a calculated field:

This Procedure uses a calculated field that calculates the accomplished duration of an activity. The procedure would be similar for any other calculated field.

  1. On the Tools menu, click Sorts.

  2. Create a new sort named Accomplished Duration using the following input values.

    • Field Name — Accomplished_Duration

    • Order — Ascending

  3. In the Sorts dialog box, select the Accomplished Duration sort you have created.

  4. Click OK.

Related Topics and Procedures


Copying a Calculated Field (Procedure)

Copying a Calculated Field

To create a calculated field as a copy of another calculated field:

  1. Display a view of the project or resource file for which you want to copy a calculated field.

  2. On the Tools menu, click Calculated Fields.

  3. In the Calculated Fields dialog box, select the calculated field you want to copy.

  4. Click Copy.

  5. In the Calculated Field Expression dialog box, enter a new name for the calculated field that you are creating.

  6. Make any needed modifications to the calculated field expression.

  7. Click OK.

Related Topics and Procedures


Copying a Global Edit Definition (Procedure)

Copying a Global Edit Definition

To create a global edit definition as a copy of another global edit:

  1. Display a view of the project or resource file for which you want to copy a global edit definition.

  2. On the Tools menu, click Global Edit.

  3. In the Global Edits dialog box, select the global edit definition you want to copy.

  4. Click Copy.

  5. In the Global Edit Definition dialog box, enter a new name for the global edit definition that you are creating.

  6. Make any needed modifications to the global edit expression.

  7. Do one of the following:

    • To save and apply the new global edit and close the dialog box, click OK.

    • To apply the new global edit without saving it, click Apply.

Related Topics and Procedures


Copying a Reporting Calendar (Procedure)

Copying a Reporting Calendar

To create a reporting calendar as a copy of an existing one:

  1. On the Tools menu, click Reporting Calendars.

  2. In the Manage Reporting Calendars dialog box, select the reporting calendar that you want to copy.

  3. Click Copy.

  4. In the Copy Reporting Calendar dialog box, enter a name for the new reporting calendar, and click OK.

  5. In the Edit Reporting Calendar dialog box, make any needed changes to the reporting calendar.

  6. Click OK.

Related Topics and Procedures


Creating a New Calculated Field (Procedure)

Creating a New Calculated Field

To create a new calculated field:

  1. On the Tools menu, click Calculated Fields.

  2. From the Display For field of the Calculated Fields dialog box, select the table for which you want to create a calculated field.

  3. Click New.

  4. In the New Calculated Field dialog box, take the following actions:

    • In the Name field, enter a name for the new calculated field.

    • From the Applies to Table list, select a table to which the calculated field should be added.

    • From the Data Type list, select the type of data to be returned by the calculated field.

  5. Click OK to continue.

  6. In the Calculated Field Expression dialog box, enter the expression for the calculated field.

    7. The Fields and Functions buttons display dialog boxes that provide standard lists of fields and functions you can use to help you build the expression.

  7. When you have finished entering the calculated field expression, click OK.

  8. When the Calculated Fields dialog box is redisplayed, click Close.

Related Topics and Procedures


Creating a New Global Edit Definition (Procedure)

Creating a New Global Edit Definition

To create a new global edit definition:

  1. Display a view of the project or resource file for which you want to create a global edit definition.

  2. On the Tools menu, click Global Edit.

  3. On the Global Edits dialog box, click New.

  4. In the Global Edit Definition dialog box, take the following actions:

    • In the Name field, enter a name for the new global edit definition.

    The default name for a global edit definition is <temporary>. By leaving this default value, you can create global edits without saving them.

    • From the Applies to Table list, select a table to which the global edit should be applied.

    • From the Replace Values In list, select the field for which the global edit will replace values.

  5. In the With Expression field, enter the expression for the global edit.

    6. The Fields and Functions buttons display dialog boxes that provide standard lists of fields and functions you can use to help you build the expression.

  6. When you have finished entering the global edit expression, do one of the following:

    • To save and apply the global edit and close the dialog box, click OK.

    • To save the global edit and leave the dialog box open, click Save. You can then close the dialog box without applying the global edit.

    • To apply the global edit without saving it, click Apply.

    In order to save a global edit, you must change the default <temporary> value to a different name.

Related Topics and Procedures


Creating a New Reporting Calendar (Procedure)

Creating a New Reporting Calendar

To create a new reporting calendar:

  1. On the Tools menu, click Reporting Calendars.

  2. On the Manage Reporting Calendars dialog box, click New.

  3. In the Add Reporting Calendar dialog box, enter a name for the reporting calendar and click OK.

  4. In the Edit Reporting Calendar dialog box, enter the information for the new reporting calendar.

  5. Click OK.

Related Topics and Procedures


Deleting a Calculated Field (Procedure)

Deleting a Calculated Field

To delete a calculated field:

  1. On the Tools menu, click Calculated Fields.

  2. In the Calculated Fields dialog box, select the calculated field you want to delete.

    3. You cannot delete a calculated field that has been used in the definition of another permanent calculated field.

  3. Click Delete.

  4. When Open Plan asks you to confirm the deletion, click Yes.

Related Topics and Procedures


Deleting a Calculated Field on Which a Temporary Calculated Field is Based (Procedure)

Deleting a Calculated Field on which a Temporary Field is Based

To delete a calculated field on which a temporary calculated field is based:

  1. Close the project that uses the temporary calculated field.

  2. Reopen the project.

  3. On the Tools menu, click Calculated Fields.

  4. From the Calculated Fields dialog box, select the calculated field that you want to delete.

  5. Click Delete.

  6. When Open Plan asks you to confirm the deletion, click Yes.

Related Topics and Procedures


Deleting a Global Edit Definition (Procedure)

Deleting a Global Edit Definition

To delete a global edit definition:

  1. Display a view of the project or resource file for which the global edit was defined.

  2. On the Tools menu, click Global Edit.

  3. In the Global Edits dialog box, select the global edit definition you want to delete.

  4. Click Delete.

  5. When Open Plan asks you to confirm the deletion, click Yes.

Related Topics and Procedures


Deleting a Reporting Calendar (Procedure)

Deleting a Reporting Calendar

To delete a reporting calendar:

  1. On the Tools menu, click Reporting Calendars.

  2. In the Manage Reporting Calendars dialog box, select the reporting calendar that you want to delete.

  3. Click Delete.

  4. When Open Plan asks you to confirm the deletion, click Yes.

Related Topics and Procedures


Editing a Calculated Field (Procedure)

Editing a Calculated Field

To edit a calculated field:

  1. Display a view of the project or resource file for which you want to edit a calculated field.

  2. On the Tools menu, click Calculated Fields.

  3. In the Calculated Fields dialog box, select the calculated field you want to edit.

  4. To display the Calculated Field Expression dialog box, click Edit.

  5. Use the standard list of fields, functions, and operators to edit the expression in the Expression text box.

  6. Click OK.

Related Topics and Procedures


Editing a Reporting Calendar (Procedure)

Editing a Reporting Calendar

To edit a reporting calendar:

  1. On the Tools menu, click Reporting Calendars.

  2. In the Manage Reporting Calendars dialog box, select the reporting calendar that you want to edit.

  3. Click Edit.

  4. In the Edit Reporting Calendar dialog box, edit the information you want to change.

  5. When you finish editing the reporting calendar, click OK.

Related Topics and Procedures


Editing an Existing Global Edit Definition (Procedure)

Editing an Existing Global Edit Definition

To edit a global edit definition:

  1. Display a view of the project or resource file for which the global edit was defined.

  2. On the Tools menu, click Global Edit.

  3. In the Global Edits dialog box, select the global edit definition you want to edit.

  4. To display the Global Edit Definition dialog box, click Edit.

  5. Use the standard list of fields, functions, and operators to edit the expression in the Expression text box.

  6. Do one of the following:

    • To save and apply the revised global edit and close the dialog box, click OK.

    • To apply the revised global edit without saving it, click Apply.

Related Topics and Procedures


Using the Calculated Fields Dialog Box

The Calculated Fields dialog box displays a list of currently available calculated fields.

By default, Open Plan lists only those calculated fields that apply to the view. You can, however, select an option that causes Open Plan to include calculated fields that are not applicable to the view. This option is useful if you need to select a calculated field in order to edit it.

The Display For field contains a list that segregates the calculated fields by type of data. For example, if you select Activity from the list, the calculated fields that are displayed are activity-related.

Location

Related Topics and Procedures


Using the Global Edit Definition Dialog Box

Verifies and saves the global edit and closes the dialog box.

This feature is available only in the Professional edition of Open Plan.

Cancels the global edit and closes the dialog box.

Applies the global edit, leaving the dialog box open.

Clicking this button displays the Access Control dialog box, which allows the owner of a global edit to define the groups and users that have access to the global edit.

Displays the References dialog box, which has a list of items that use the global edit. This list of items includes the file type, name of the project or file, description, and owner.

Clicking this button displays the Help system.

Displays a dialog box where you can select a field to include in the expression.

This feature is available only in the Professional edition of Open Plan.

Displays a list of available functions.

This feature is available only in the Professional edition of Open Plan.

Displays the Select a Value dialog box that you can use to select a value to include in the global edit.

This button is available only when an enumerated field value (such as Target Start Type) is being replaced.

Using the Global Edit Definition Dialog Box

This dialog box defines the global edit using the following settings:

  • Name

  • Applies to Table

  • Replace Values In

  • Of Type

  • With Expression

  • Matching Filter

The following buttons are located along the right edge of the dialog box:

  • OK

  • Cancel

  • Apply

  • Access Control

  • References

  • Help

  • Fields

  • Functions

  • Values

Location

Related Topics and Procedures


Using the Global Edits Dialog Box

This dialog box allows you to modify multiple activities or resources with a single operation by applying previously created global edits to your project.

The Global Edits dialog box displays a list of currently available global edits. Since they change all instances of the data, global edits may be applied regardless of whether or not any specific view is open.

The Display For field contains a list that segregates the global edits by type of data. For example, if you select Project from the list, the global edits that are displayed are project related.

In the Desktop edition of Open Plan, a Display button provides access to a dialog box where you can view the global edit definition.

The following buttons are displayed along the right edge of the dialog box:

  • Close

  • Apply

  • Help

The following buttons are displayed along the bottom of the dialog box:

  • New

  • Copy

  • Edit

  • Delete

Location

Related Topics and Procedures


Using the Add Reporting Calendar Dialog Box

This dialog box contains a single text box where you can enter a name for the new reporting calendar.

When you click OK, the Edit Reporting Calendar dialog box is displayed automatically.

Location

Related Topics and Procedures


Using the Copy Reporting Calendar Dialog Box

This dialog box contains a single text box that displays the name of the reporting calendar you are copying. To copy the reporting calendar, you must replace the name that is displayed with a name for the new reporting calendar you want to create.

When you click OK, the Edit Reporting Calendar dialog box is displayed automatically.

Location

Related Topics and Procedures


— Clicking this button stores changes to the reporting calendar and closes the Edit Reporting Calendar dialog box.

— Clicking this button closes the Edit Reporting Calendar dialog box without saving any changes.

— Clicking this button displays the Access Control dialog box, which allows the owner of a reporting calendar to define the groups and users that have access to the reporting calendar.

— Clicking this button displays the References dialog box, which has a list of items that use the reporting calendar. This list of items includes the file type, name of the project or file, description, and owner.

— Clicking this button displays the Help system.

Using the Edit Reporting Calendar Dialog Box

The Edit Reporting Calendar dialog box controls the reporting periods in the selected reporting calendar. When you display a barchart or resource histogram view that uses a reporting calendar date scale, Open Plan aggregates resource availabilities and assignments for each reporting period.

The dialog box uses the following settings:

  • Date

  • Label

The following buttons are located along the right edge of the dialog box:

  • OK

  • Cancel

  • Access Control

  • References

  • Help

Location

Related Topics and Procedures


Using the Functions Dialog Box

This dialog box displays a list of the following functions that you can use when building a sort, filter, calculated field, or global edit expression:

ABS() | GET NOTE() | MONTH()
BASELINE_FIELD() | GET PREDS() | NEWLINE()
CDOW() | GET_RELATED() | NUMBER_FORMAT()
CMONTH() | GET RISKS() | OCCURS()
CTOD() | GET SUCCS() | PARENT()
DATE() | GET USAGES() | RECORD_NUMBER()
DATEADD() | GOMONTH() | RIGHT()
DATEDIFFERENCE() | HAS NOTE() | ROUND()
DATEFORMAT() | IIF() | SPACE()
DAY() | INLIST() | SQRT()
DOW() | INSTR() | STR()
DURATION() | LEFT() | STRTRAN()
EVAL() | LEN() | STUFF()
FAIL_EVALUATE() | LEVEL() | SUBSTR()
FORMAT_HEADING_ITEM() | LOCAL() | TIMENOW()
GET ASSGNS() | LOWER() | TRIM()
GET_CHILDREN() | LTRIM() | UPPER()
GET COSTS() | MAX() | USER_ID()
GET_FIELD() | MID() | VAL()
GET_FIRST_RECORD_IN_SUMMARY() | MIN() | YEAR()

The DATEFORMAT function uses the Open Plan standard date formats.

Location

Related Topics and Procedures


Using the Fields Dialog Box

The Fields dialog box allows you to select a field to include in a sort, filter, calculated field, global edit expression, email advisory, multi-table spreadsheet view subsection, or title block definition. This dialog box displays data in two columns:

  • Table — This column lists the Open Plan data tables.

  • Field — This column displays the fields in a selected table. For example, if you select Activity in the Table column, the Field column displays a list of all the fields in the Activity table, including previously defined filters and calculated fields.

    • Some field names are followed by a chevron symbol ( [image]). These fields can be used as a link to other data tables.

When you select a field, Open Plan places the actual field name in the expression builder portion of the dialog box from which you accessed the Fields dialog box.

For example, if you select Early Start from the Activity table, Open Plan inserts ESDATE in the expression builder portion of the dialog box.

Location

Related Topics and Procedures


Using the Manage Reporting Calendars Dialog Box

This dialog box displays a list of reporting calendars already included in your installation of Open Plan.

A set of buttons across the bottom of the dialog box provides access to dialog boxes where you can create, copy, or edit a reporting calendar.

In addition, you can delete an existing reporting calendar simply by selecting it and clicking Delete.

Location

Related Topics and Procedures


Baseline Issues

A common issue in many reports showing baseline information is that the set of activities in the baseline no longer matches the set currently defined in the project.

For example, the baseline can include records of activities that were deleted from the project after the baseline was created. It is also possible to have activities in the project that were added since the last time the baseline was updated.

In spreadsheet, barchart, and network views, baseline data appears only in cases where an activity exists in both the baseline and the current project.

In resource histogram views, the resource and cost totals are based on all activities stored in the baseline, even if they no longer exist in the current project.

Related Topics and Procedures


Using Baseline Information in Resource Histogram Views

You can display baseline resource assignments in histogram views. Depending on which dates were used to create the baseline, these assignments are based on either early, late, or scheduled dates.

If you are displaying the results of earned value calculations, the calculations of BCWP and BCWS are based on the BSDATE and BFDATE fields stored with the baseline.

Related Topics and Procedures


Using Project Baselines

Open Plan allows you to store multiple project baselines for a single project. For some planners, a single baseline is sufficient for determining subsequent project performance. Other planners prefer to create new baselines in order to maintain a historical record of changes over the life of the project.

You can create a project baseline at any time. Typically, you might create a baseline after the initial plans are complete but before you begin entering progress information. You might then create additional baselines each time a major replanning of the project occurs or when you progress the project.

You can select up to three active baselines for reporting, and you can display all selected baselines in multi-table views, barcharts, and spreadsheets.

Once you have loaded baselines for a project, you can access baseline fields just as though they were part of the standard project database.

You can also use baseline fields in filters, sorts, global edits, and calculated field expressions. Be aware, however, that the values of baseline fields depend on which baseline is currently loaded for a project.

When selecting fields to display in a view, note that the Baseline Start and Baseline Finish fields from the Activity table contain information from the baseline identified as Baseline 1.

Open Plan also features a Performance Measurement Baseline (PMB) that is used for cost calculations. If a PMB exists, it is used even if it is not one of the selected baselines. By always using the PMB when it is available, Open Plan provides consistency and reliability.

If there is no baseline named PMB, Open Plan uses the currently selected baseline, or, in the case of multiple selected baselines, the baseline identified as Baseline 1 for the project.

Related Topics and Procedures


Using the Advisory Definitions Dialog Box

This dialog box displays a list of previously defined advisory definitions that you can test and send. You can also use this dialog box to perform the following functions:

  • Delete a previously created advisory definition

  • Display the Edit Advisor Emails dialog box that you can use to create or edit an advisory definition.

The following buttons are displayed along the right edge of the dialog box:

  • Close

  • Send

  • Test

  • Help

The following buttons are displayed along the bottom of the dialog box:

  • New

  • Copy

  • Edit

  • Delete

Location

Related Topics and Procedures


Using the Baseline Date Range Dialog Box

This dialog box is used to change an activity's baseline dates. The following options are available:

  • Start Date

  • End Date

Location

Related Topics and Procedures


Using the Baselines Dialog Box

This dialog box displays a list of baselines already included in the project file. Up to three baselines can be selected and used for reporting purposes at one time. Using this dialog box, you can change the currently selected baselines at any time.

Buttons across the bottom of the dialog box allow you to add new baselines to the list, and to copy, update, and delete baselines. In addition, you can define access control settings for a selected baseline.

The Select button allows you to select the currently highlighted baseline.

The Close button closes the dialog box without changing the active baseline.

If you are not interested in having access to baseline information, select <No Baseline>.

Selecting <No Baseline> has the effect of reducing the memory requirements of a project and thus has the potential of improving performance, especially for very large projects.

You can also select up to three baselines by double-clicking <Multiple Baselines> and specifying the baselines that you want to use on the Multiple Baselines dialog box.

Location

Related Topics and Procedures


Using the Calendar and Resource File Conflicts Dialog Box

If a project template you are trying to add to a project uses a different calendar and/or resource file than the project, the Calendar and Resource File Conflicts dialog box is displayed. Open Plan cannot continue with the operation unless the conflicts are resolved.

If the conflict is with the calendar file, you can use the following options to resolve it:

  • Project Calendar

  • Merge template calendars into project calendar

  • Replace unresolved calendar assignments with Default

If the conflict is with the resource file, you can use the following options to resolve it:

  • Project Resource File

  • Merge template resources into project resource file

  • Remove unresolved resource assignments

If there is also a conflict with the associated code files, the Next button is displayed at the bottom of the dialog box. Clicking it takes you to the Code Conflicts dialog box that you can use to resolve the conflict. If there is no code file conflict, the Finish button is displayed.

Location

Related Topics and Procedures


Using the Code Conflicts Dialog Box

Using the Code File Conflicts Dialog Box

The code file assignments associated with the project take precedence over the ones associated with the project templates. For example, if the project has a code file assigned to Code 1 and the project template has a different code file assigned to Code 1, the project code file is used and the project template code file is removed.

A conflict occurs when the project template contains additional code file assignments that the project does not have. Using the previous example, assume the project template file has an additional code file assigned to Code 2. When trying to add the project template to the project, Open Plan will display the Code Conflicts dialog box that you can use to resolve the conflict.

The Code Conflicts dialog box gives you the option to add the additional code file assignment to the project. The grid in the dialog box lists the code file assignments that are contained in the project template. When you select an assignment number (C1, C2, etc.), you can use the list at the top of the grid to select the code file to assign.

Also, if you are assigning more than one template to the project, all of the additional code file assignments are contained in the list. For example, assume you are assigning three project templates to a project and the project has only one code file assignment (Code 1). Also assume that along with a Code 1 assignment, each template has an additional but different code file assigned to Code 2. When you select assignment C2 on the Code Conflicts dialog box, the list at the top of the grid allows you to choose from the three different code files from the three templates.

When you have made your selections for the code file assignments and clicked Finish, the selected code files are assigned to the project. The code files you did not select are ignored.

Location

Related Topics and Procedures


Using the Create Project Template Dialog Box

The Create Project Template dialog box allows you to create a project template from a selected project using the following buttons:

  • Move — Clicking this button instructs Open Plan to move the project from the Projects folder to the Project Templates folder, thereby converting it into a project template.

  • Copy — Clicking this button displays the Save As dialog box that you can use to provide a name for the project template you are creating as a copy of the selected project.

External subprojects can be copied but cannot be moved when creating new project templates.

The default access mode for the template is set to Read Only when moving or copying from a project.

Location

Related Topics and Procedures


Using the Edit Advisor Emails Dialog Box

This dialog box allows you to create or edit a previously defined advisory definition.

The Edit Advisor Emails dialog box has the following fields:

  • Name

  • Subject

  • Header

  • Message

  • Footer

  • Address field

  • Address format

  • Send one email per address combining all activities

  • For activities matching filter

The following buttons are located along the right edge of the dialog box:

  • Save

  • Cancel

  • Send

  • Test

  • Fields

  • abc

  • Access Control

  • Help

Location

Related Topics and Procedures


Using the Email Advisor

The Email Advisor allows you to send messages automatically from within Open Plan. While an email advisory can contain any information and can be sent to any person with a valid email address, it is typically used to convey information to team members and to facilitate communication between departments and project managers.

Using the Email Advisor, you can specify the following conditions:

  • Recipients — You can specify either a single email address or a list of addresses to which the advisory will be sent.

  • Subject — In addition to being able to enter both text and any field from the activity table in the subject line of the advisory, you can also enter a calculated field based on the activity table.

  • Message — As in the case of the subject line, the message can include both text and any field from the activity table as well as calculated fields based on the activity table.

  • Filter — You can select a pre-defined filter to specify the activities that can generate an email advisory.

You also have the option of combining all the messages generated by the advisory into a single email that is sent to each addressee.

Related Topics and Procedures


Using the Insert Project Template Dialog Box

The Insert Project Templates dialog box lists the project templates to insert into the currently open project. The Project Templates to Include in New Project table displays the following information for each template:

  • Project Template

  • Mode

  • Subproject Name

  • Project Name

  • Prefix

  • Suffix

The following buttons help you manage the templates for the new project:

  • Select Templates

  • Delete Templates

  • Change Settings

Location

Related Topics and Procedures


Using the Insert Subproject Dialog Box

The Insert Subproject dialog box allows you to select one or more projects or project templates to be inserted as a subproject in the currently open project.

When you select Project from the list at the top of the dialog box, the projects available to you are displayed in a table with the following information:

  • Name

  • Description

  • Owner

  • Last Update

Selecting a project and clicking OK inserts it as an external subproject.

When you select Project Template from the list, the available project templates are displayed in the table. Also, the following options are enabled at the bottom of the dialog box:

  • Insert into project

  • Add as or To Subproject

  • Insert as External Subproject

  • Number of times to add selected template to project

When you select one ore more project templates and then click OK, the Insert Project Templates dialog box is displayed. You can use this dialog to modify the settings for the project template(s) you are inserting.

For both Projects and Project Templates, you can select multiple items to insert at one time. Use Ctrl+click or Shift+click to select the items to insert.

Location

Related Topics and Procedures


Using the Project Properties Dialog Box

— Provides information about the project name, description, project manager, company, client, and summary information about the activities, relationships, and resource assignments.

— Controls such project defaults as date formats, working hour conversion factors, durations, and the default access mode.

— Controls the calendar, resource definition, and code files associated with the project.

— Provides an overview of the current status of a project.

— Provides an overview of the budgeted and actual costs associated with the project.

— Allows you to create, edit, or delete a note attached to the project.

— Allows you to specify both the project's priority and the type of dates that should be used when calculating the resource usage summary.

— Allows you to specify the values that Open Plan should include for user-defined fields on the project table.

— Provides information about the access rights that users with a given group and role assignment have to the project.

— Provides such information about the open status of the project as the ID of each person who has the project open, the computers on which it is open, the mode in which each user has it open, as well as the date and time when it was last updated.

— Controls the project-level codes that are assigned to the project.

— Displays master projects that include this project as an external project.

— The name of the project is established when the project is created. You cannot edit the name of the project.

— Providing a project description is optional when the project is created. You can enter or modify the project description on any tab of the Project Properties dialog box.

Using the Project Properties Dialog Box

Project-level information is stored using the Project Properties Dialog box.

When accessed from a project that is either unopened or opened in either Exclusive or Shared mode, you can use the Project Properties dialog box to modify the information it displays. If the project is open in Read Only mode, you can view (but not modify) any of the information on this dialog box.

The Project Properties dialog box contains the following tabs:

  • Summary

  • Preferences

  • Files

  • Status

  • Cost

  • Notes

  • Scheduling

  • User Fields

  • Access Control

  • Open Status

  • Codes

  • References

The first two text boxes on each tab contain the following information:

  • Project Name

  • Description

Location

Related Topics and Procedures


Using the Project Template Selection Dialog Box

The Project Template Selection dialog box is used to select the project templates to add to a project. When you select a template or templates and click OK, the Project Template Setup dialog box displays. On this dialog you can specify the mode in which the templates are added to the project by selecting one of the following options:

  • Insert into project

  • Insert Under New or Existing Subproject

  • Insert as External Subproject

Also, the project templates can be added multiple times by specifying a number in the Number of times to add selected template to project field. Each instance of a project template that is added is given a unique subproject name so as not to cause conflicts. For example, assume you are adding the project template Sample to a project five times. The subprojects will automatically be named Sample1, Sample2, Sample3, etc.

Location

Related Topics


Using the Project Template Setup Dialog Box

The Project Template Setup dialog box allows you to modify the settings for the project templates you are adding to a project. The Project Template field at the top of the dialog box identifies template you are modifying.

You can modify the settings for the selected project template using the following options:

  • Use Current Activity ID’s

  • Apply Prefix and/or Suffix to Activity ID's

  • Insert into project

  • Insert Under New or Existing Project Subproject

  • Insert as External Subproject

Location

Related Topics


Attaching a Note to a Project (Procedure)

Attaching a Note to a Project

To attach a note to a project:

  1. Open the project for which you want to attach a note.

  2. Right-click the project folder.

  3. On the shortcut menu, click Properties.

  4. On the Project Properties dialog box, click the Notes tab.

  5. From the Category list, select a category for the note that you want to attach.

    6. While you may attach multiple notes to a project, you can attach only one note per category.

  6. In the text box, enter any information you wish about the project.

  7. Click OK.

Related Topics and Procedures


Copying an Email Advisory (Procedure)

Copying an Email Advisory

To copy an email advisory:

  1. Open the project containing the email advisory that you want to copy.

  2. On the Tools menu, click Email Advisor.

  3. From the Advisory Definitions dialog box, select the advisory that you want to copy.

  4. Click Copy.

  5. In the Name field of the Edit Advisor Emails dialog box, verify the default name given the new email advisory. You may change this name if you wish.

  6. Click Save.

Related Topics and Procedures


Creating a New Baseline (Procedure)

Creating a New Baseline

To create a new baseline:

  1. On the Project menu, click Baselines.

  2. On the Baselines dialog box, click New.

  3. In the Add Baseline dialog box, enter a name and a description for the baseline.

  4. From the Based On list, select whether you want to use early, late, or scheduled dates for storing information related to resources and costs.

  5. Click the appropriate options for progressed activities.

  6. Click OK to return to the view.

Related Topics and Procedures


Creating a New Email Advisory (Procedure)

Creating a New Email Advisory

To create a new email advisory:

  1. Open the project about which you want to create an email advisory.

  2. Set up the address list that you want to use for the advisory.

  3. On the Tools menu, click Email Advisor.

  4. On the Advisory Definitions dialog box, click New.

  5. In the Edit Advisor Emails dialog box, enter the information for the advisory.

  6. Click Test to view the advisory that will be sent.

  7. Click OK to return to the Edit Advisor Emails dialog box.

  8. Click Save.

  9. If you want to send the email advisory at this time, click Send.

Related Topics and Procedures


Creating a New Project Manually (Procedure)

Creating a New Project Manually

To create a new project manually:

  1. Take one of the following actions:

    • On the File menu, click New.

    • Press the Ctrl+N keys.

    • On the toolbar, click the New [image] button.

  2. From the File Type list on the New File dialog box, select Project.

  3. In the Name field, enter a name for the new project.

  4. In the Description field, enter a description for the project.

  5. Click Finish.

If the Create New Projects Using Default Project option has been selected on the Project tab of the Options dialog box, Open Plan opens the default project. You can then make any changes you want to the project. When you save the project, Open Plan requires that you give the project a new name using the Save As dialog box.

If the Create New Projects Using Default Project option has not been selected or if the default project cannot be opened for any reason, Open Plan creates a new empty project. (Open Plan cannot open the default project if it cannot be found or if you do not have rights to access it.) When you save the project, you can use either the Save or the Save As command.

When you save the project file, Open Plan places the folder icon for the project in the both in the Projects folder and in your My Folder.

Related Topics and Procedures


Creating a Project Using the New Project Wizard (Procedure)

Creating a Project Using the New Project Wizard

To create a project using the New Project Wizard:

  1. Take one of the following actions:

    • On the File menu, click New.

    • Press the Ctrl+N keys.

    • On the toolbar, click the New [image] button.

  2. From the File Type list on the New File dialog box, select Project.

  3. In the Name field, enter a name for the new project.

  4. In the Description field, enter a description for the project.

  5. Click Next.

  6. On the Create page of the New File Wizard, select a default access mode for the project.

  7. Decide whether you want to create an original new project or create the project as a copy of an existing one, and click the appropriate option.

    8. If you are creating the new project as a copy of an existing project, Open Plan allows you to select the project that you want to use as a template.

  8. Click Next.

  9. Complete the remaining pages of the wizard, clicking Next to advance from page to page.

  10. On the last page of the wizard, click Finish.

When you have finished creating the project, you can display the Project Properties dialog box to review your settings and make any necessary changes.

Related Topics and Procedures


Deleting a Baseline (Procedure)

Deleting a Baseline

To delete a baseline:

  1. On the Project menu, click Baselines.

  2. On the Baselines dialog box, select the baseline that you want to delete.

  3. Click Delete.

  4. When Open Plan asks you to confirm the deletion, click Yes.

Related Topics and Procedures


Deleting a Project Note (Procedure)

Deleting a Project Note

To delete a project note:

  1. Do one of the following:

    • Right-click the project, and click Properties on the shortcut menu.

    • Select the project, and click Properties on the Project menu.

  2. On the Project Properties dialog box, click the Notes tab.

  3. In the text box, delete all the information that is displayed.

  4. Click OK.

Related Topics and Procedures


Deleting an Email Advisory (Procedure)

Deleting an Email Advisory

To delete an email advisory:

  1. Open the project containing the email advisory that you want to delete.

  2. On the Tools menu, click Email Advisor.

  3. From the Advisory Definitions dialog box, select the advisory that you want to delete.

  4. Click Delete.

  5. When Open Plan asks you to confirm the deletion, click Yes.

Related Topics and Procedures


Editing a Project Note (Procedure)

Editing a Project Note

To edit a project note:

  1. Do one of the following:

    • Right-click the project, and click Properties on the shortcut menu.

    • Select the project, and click Properties on the Project menu.

  2. On the Project Properties dialog box, click the Notes tab.

  3. In the text box, type over the information that is displayed.

  4. Click OK.

Related Topics and Procedures


Editing an Email Advisory (Procedure)

Editing an Email Advisory

To edit an email advisory:

  1. Open the project containing the email advisory that you want to edit.

  2. On the Tools menu, click Email Advisor.

  3. From the Advisory Definitions dialog box, select the advisory that you want to edit.

  4. Click Edit.

  5. In the Edit Advisor Emails dialog box, change any information that you want.

  6. Click Save.

Related Topics and Procedures


Entering a Project Start Date (Procedure)

Entering a Project Start Date

To enter a project start date:

  1. Do one of the following:

    • Right-click the project, and click Properties on the shortcut menu.

    • Select the project, and click Properties on the Project menu.

  2. On the Project Properties dialog box, click the Status tab.

  3. In the Project Start field, enter the date that the project starts.

    4. Clicking the ellipsis button at the right edge of the Project Start field displays a calendar you can use to quickly enter the date.

  4. Click OK.

Related Topics and Procedures


Entering Project Summary Information (Procedure)

Entering Project Summary Information

To enter project summary information:

  1. Do one of the following:

    • Right-click the project, and click Properties on the shortcut menu.

    • Select the project, and click Properties on the Project menu.

  2. On the Project Properties dialog box, click the Summary tab.

  3. Enter the summary information for the project.

  4. When the information is complete, click OK.

Related Topics and Procedures


Exporting Data to Another Application (Procedure)

Exporting Data to Another Application

To export data to another application:

  1. Open the project you want to export.

  2. On the File menu, point to Export.

  3. On the Export submenu, click Export General.

  4. In the Export dialog box, select the export specification to use.

  5. Click OK.

  6. In the Save As dialog box, enter the name and location for the destination file.

  7. Click OK.

Related Topics and Procedures


Importing a P3 File (Procedure)

Importing a P3 File

To import an P3 file:

  1. Click File » Import » Import Primavera File » P3 File.

  2. From the Open dialog box, select the P3 file to import.

  3. Click OK.

    4. Open Plan prompts you for a name for the imported project and for each auxiliary file that it converts.

  4. In each dialog box, enter a name for the file, and click OK.

Related Topics and Procedures


Importing Data From Another Application (Procedure)

Importing Data From Another Application

To import data from another application:

  1. On the File menu, point to Import.

  2. On the Import submenu, click Import General.

  3. In the Import dialog box, select the import specification to use.

    4. You can also indicate whether or not Open Plan should update the selected open project with the imported data.

  4. Click OK.

  5. From the Open dialog box, select the source file for the operation.

  6. Click OK.

If you are not updating the current project with the imported data, Open Plan asks that you enter a name for the new project. If the project includes references to auxiliary data files, you are prompted to name these files as well.

Related Topics and Procedures


Reviewing Project Status (Procedure)

Reviewing Project Status

To review project status:

  1. Do one of the following:

    • Right-click the project, and click Properties on the shortcut menu.

    • Select the project, and click Properties on the Project menu.

  2. On the Project Properties dialog box, click the Status tab.

    3. You can also perform the following functions from this tab:

    • Enter a start date for the project

    • Change Time Now

    • Set a project target start date

    • Set a project target finish date

  3. When you have finished reviewing the project status, click OK.

Related Topics and Procedures


Selecting a Baseline (Procedure)

Selecting a Baseline

To select a baseline:

  1. On the Project menu, click Baselines.

  2. In the Baselines dialog box, highlight the baseline that you want to serve as the current baseline.

    3. If you do not want to load a baseline with the project at this time, select <No Baseline> from the list.

  3. Click Select to return to the view.

Related Topics and Procedures


Setting a Project Priority (Procedure)

Setting a Project Priority

To set a project's priority:

  1. Do one of the following:

    • Right-click the project, and click Properties on the shortcut menu.

    • Select the project, and click Properties on the Project menu.

  2. On the Project Properties dialog box, click the Scheduling tab.

  3. In the Project Priority field, enter a priority number.

  4. Click OK.

Related Topics and Procedures


Setting a Project Target Finish Date (Procedure)

Setting a Project Target Finish Date

To set a project target finish date:

  1. Do one of the following:

    • Right-click the project, and click Properties on the shortcut menu.

    • Select the project, and click Properties on the Project menu.

  2. On the Project Properties dialog box, click the Status tab.

  3. From the Finish Type list, select from the following target types:

    • Not Earlier Than — Do not schedule the project finish earlier than this target date. This target type affects only early finish dates.

    • Not Later Than — Do not schedule the project finish later than this target date. This target type affects only late finish dates. This is the default setting for target finish dates.

    • On Target — This target combines the effects of the Not Earlier Than and the Not Later Than target dates and affects both early and late finish dates.

    To remove a previously set target finish date, select None.

  4. In the Target Finish field, enter a date for the target finish of the project.

    5. This field is enabled when you select a Finish Type other than None.

    Clicking the ellipsis button at the right edge of the Target Finish field displays a calendar you can use to quickly enter the date.

  5. When the information is complete, click OK.

Related Topics and Procedures


Setting a Project Target Start Date (Procedure)

Setting a Project Target Start Date

To set a project target start date:

  1. Do one of the following:

    • Right-click the project, and click Properties on the shortcut menu.

    • Select the project, and click Properties on the Project menu.

  2. On the Project Properties dialog box, click the Status tab.

  3. In the Target Start field, enter a date for the target start of the project.

    4. Clicking the ellipsis button at the right edge of the Target Start field displays a calendar you can use to quickly enter the date.

  4. When the information is complete, click OK.

Related Topics and Procedures


Setting a Target Cost for the Project (Procedure)

Setting a Target Cost for the Project

To set a target cost for the project:

  1. Do one of the following:

    • Right-click the project, and click Properties on the shortcut menu.

    • Select the project, and click Properties on the Project menu.

  2. On the Project Properties dialog box, click the Cost tab.

  3. In the Target field, enter a target cost.

  4. Click OK.

Related Topics and Procedures


Setting Project Preferences (Procedure)

Setting Project Preferences

To set project preferences:

  1. Do one of the following:

    • Right-click the project, and click Properties on the shortcut menu.

    • Select the project, and click Properties on the Project menu.

  2. On the Project Properties dialog box, click the Preferences tab.

  3. Enter the project preferences settings.

  4. When the information is complete, click OK.

Related Topics and Procedures


Setting Project References(Procedure)

Setting Project References

To set project references:

  1. Do one of the following:

    • Right-click the project, and click Properties on the shortcut menu.

    • Select the project, and click Properties on the Project menu.

  2. On the Project Properties dialog box, click the R eferences tab.

  3. Enter the project references settings.

  4. When the information is complete, click OK.

Related Topics and Procedures


Setting Up an Email Advisory Address List (Procedure)

Setting Up an Email Advisory Address List

To set up an email advisory address list:

  1. Open the project for which you want to set up an email advisory address list.

  2. Display the appropriate view to display the field you want to use for the address. For example, if you want to use the Code Description field of a particular code for the address, open the code file that contains the code. Similarly, if you want to use a user character field, display an activity view.

    3. For a list of fields you can use to contain the address, display the Edit Advisor Emails dialog box, and click the down arrow at the right of the Address field.

  3. Open the element you want to use to contain the address list. For example, if you plan to use the Code Description field of a particular code, open that code for editing.

    4. Create a separate code file to hold the addresses, and assign this file to the project.

  4. Enter the address in the field of your choice according to one of the following formats:

    • For an embedded address: [mailto:<email address>]

      • Use this option when combining address and non-address information in the same field.

    • For an address that is listed in a field, enter the email addresses separated by semicolons (;).When using lists, do not include any non-address information in the field.

Related Topics and Procedures


Updating a Baseline (Procedure)

Updating a Baseline

To update a baseline:

  1. On the Project menu, click Baselines.

  2. On the Baselines dialog box, select the baseline for which you want to update information.

  3. Click Update.

  4. In the Update Baseline dialog box, you may change the description for the baseline.

  5. If you want to update baseline information for activities currently in the baseline, click the Update Activities Already in Baseline option.

  6. Click the appropriate options for progressed activities.

  7. Click OK to return to the view.

Related Topics and Procedures


Interproject Calculations

When performing interproject calculations, Open Plan takes into account only the information that is available. Therefore, the way in which Open Plan performs calculations on projects containing external subprojects depends on whether or not the external subprojects are open at the time the calculations are performed:

  • If the external subproject is open, Open Plan performs calculations on all activities in the hierarchical project. When the project is saved, the results of the calculations are saved to the open external subproject.

  • If the external subproject is not open, Open Plan performs time analysis by treating the early and late dates stored for the external subproject as though they were On Target dates and does not write new target start and finish dates back to the subproject when the processing is complete.

Open Plan uses the following conventions when calculating dates for projects containing foreign activities:

  • During the forward pass, Open Plan treats an early date from a foreign activity as though it were a Not Earlier Than target date.

  • During the backward pass, Open Plan treats a late date from a foreign activity as though it were a Not Later Than target date.

The dates on the foreign activities themselves are not affected by time analysis.

If no dates exist for a foreign activity, Open Plan treats the activity as any other activity and stores a message to that effect in the session log.

Related Topics and Procedures


Project Analysis

Open Plan provides several tools that are designed to facilitate project analysis. These are:

  • Time Analysis — The process of calculating the early and late dates for each activity on a project, based on the Time Now date, the duration of the activities, and the logical relations between them. In addition to using this tool on a regular basis to check the status of the project and to change the Time Now date, many project planners also use time analysis in order to determine whether they will be able to meet the project deadlines.

  • Risk Analysis — The powerful risk analysis feature of Open Plan allows you to define and analyze the factors of uncertainty or risk associated with a project. When using this feature, you enter three durations (optimistic, pessimistic, and most likely) for activities. During the risk analysis process, Open Plan uses random durations within the defined range and distribution profile and runs time analysis multiple times. (The actual number of times that time analysis is performed is a user-defined value.) This process generates statistical outcomes for your project completion date. This feature is frequently used for high-risk projects.

  • Resource Scheduling — The process of calculating a set of scheduled dates that takes into account the resource requirements of each activity and the availability of these resources. Open Plan offers two types of resource scheduling algorithms:

    • Time Limited Resource Scheduling

    • Resource Limited Resource Scheduling

    Using advanced resource management techniques such as splitting, stretching, and reprofiling activities, you can refine the ways in which an activity is scheduled. Using these and other techniques, you can maximize the use of resources that may be in short supply.

  • Cost Calculations — The process of summarizing resource hours and costs to the activity and subproject level. This feature is useful for determining the cost at all levels of the project and for calculating earned value. In order to ensure that baseline cost values are correct, this process should be run before setting a baseline.

  • Progress Calculations — The progressing function calculates status information about both activities and resources in a project that is underway. Automatic progress calculations are run for several reasons. Some of these are:

    • To automatically enter activity status information

    • To update the physical percent complete for BCWP calculations

    • To update resource progress based on activity status

  • Baselines — Baselines provide a "snapshot" of a project by storing a set of project data for a specific point in time. By comparing baseline schedules and costs with current information, you can see the areas of the project that are deviating from the original plan.

Related Topics and Procedures


How Time Analysis Works

Time analysis performs all calculations based on Time Now and consists of three separate functions:

  • Forward pass — Open Plan calculates the early start and early finish dates in the forward pass by starting at the Time Now date and moving forward through the project as determined by the relationships between activities. As it moves through the project, Open Plan adds the durations of the individual activities and considers any lags between them.

  • Backward pass — Open Plan calculates the late start and late finish dates in the backward pass by starting at the project finish date and moving backward through the project as determined by the relationships between activities. As it moves through the project, Open Plan subtracts the durations of the individual activities and considers any lags between them.

  • Float calculations — Open Plan calculates two principal float values during time analysis: total float and free float.

In general, factors that affect time analysis are specified when entering or modifying activity data and when progressing a project. These factors are:

  • Target dates

  • Activity types

  • Relationship types

  • Lags

  • Calendars

  • Activity progress

For a more detailed explanation of how time analysis works, refer to the Deltek Open Plan User's Guide and the Deltek Open Plan Developer’s Guide.

Related Topics and Procedures


Time Analysis Session Log

Provided that automatic time analysis is not enabled, Open Plan creates a session log each time you perform time analysis. This session log includes the following information:

  • A list of all start activities in the project

  • A list of all end activities in the project

  • All system or error messages generated during time analysis

Use the Log Viewer on the View menu to view the log.

Related Topics and Procedures


Using the Time Analysis Advanced Tab

This tab allows you to set the following time analysis processing options:

  • Multiple Ends

  • Out of Sequence Options

You can also perform time analysis in Batch Mode. This allows you to run time analysis for multiple projects at one time. To run time analysis in Batch Mode, select more than one project from the Details pane of the Open Plan Explorer, and click the Time Analysis button. The Time Analysis [Batch Mode] dialog box will be displayed. Set your options, and click OK.

If a project is closed, Open Plan will open it in Exclusive mode, perform the process, save the changes, and then close the project. If a project cannot be opened in Exclusive mode (because another user has it open in Exclusive or Shared mode), it will be skipped.

If you have a project open when the batch process is run, time analysis will be performed on the project, but the changes will not be saved and the project will remain open. You must manually save the changes yourself.

Open Plan creates one time analysis session log, listing the project results in the order in which the projects were processed in the batch.

Location

Related Topics and Procedures


Using the Time Analysis Options Tab

Time analysis is the process of calculating the early dates, late dates, and float for each activity on a project. This is also used to calculate the critical status of each activity. This is based on the Time Now date, the duration of the activities, the logical relationships, the activity types, any targets that may be set, and the calendar on the activity.

The Options tab of the Time Analysis dialog box controls the way in which Open Plan calculates time analysis using the following settings:

  • Time Now

  • Target Type

  • Target Finish

  • Analyze Each Time Data Changes

  • Actual Date Option

  • Show Summary Dates in Subprojects

If you perform time analysis without selecting the Analyze Each Time Data Changes option, Open Plan creates a time analysis session log.

If the project being calculated by time analysis contains unopened external subprojects, Open Plan treats foreign activities as if all calculated dates are On Targets.

You can also perform time analysis in Batch Mode. This allows you to run time analysis for multiple projects at one time. To run time analysis in Batch Mode, select more than one project from the Details pane of the Open Plan Explorer, and click the Time Analysis button. The Time Analysis [Batch Mode] dialog box will be displayed. Set your options, and click OK.

If a project is closed, Open Plan will open it in Exclusive mode, perform the process, save the changes, and then close the project. If a project cannot be opened in Exclusive mode (because another user has it open in Exclusive or Shared mode), it will be skipped.

If you have a project open when the batch process is run, time analysis will be performed on the project, but the changes will not be saved and the project will remain open. You must manually save the changes yourself.

Open Plan creates one time analysis session log, listing the project results in the order in which the projects were processed in the batch.

Location

Related Topics and Procedures


Using Time Analysis

Time analysis is the process of determining the overall schedule of a project by calculating start and finish dates for each activity in the project. The calculations performed by time analysis are based solely on the Time Now date, the duration of the activities, the logical relations between them, and activity progress. Time analysis does not take into consideration the availability of the resources required by each activity.

In determining the overall schedule, time analysis calculates the following data for the project:

  • Early dates

  • Float

  • Subproject information

  • Late dates

  • Project information

  • Activity information

If no calendar file is assigned to the project, time analysis assumes an 8-hour day, 5 days per week with no holidays. If this is not what your project needs, you must add a calendar.

When you perform time analysis, you can set an option that performs time analysis automatically whenever you change the logic of the project or make any time-related change to an activity.

If you do not select the option to perform automatic time analysis, you can perform time analysis whenever you want by clicking the Time Analysis [image] button on the toolbar.

Related Topics and Procedures


When to Perform Time Analysis

If you have selected the option to perform time analysis whenever data changes, you do not need to specifically perform time analysis, as Open Plan performs this calculation automatically.

If you have not selected the automatic time analysis feature, you can perform time analysis at any time. Typically, you will want to perform this calculation in the following situations:

  • When you have entered all the activities for the project

  • Each time you change a calendar file used by the project

  • Each time you change Time Now

  • Each time you enter progress information about an activity

  • Each time you specify a target date

Related Topics and Procedures


Disabling Automatic Time Analysis (Procedure)

Disabling Automatic Time Analysis

To disable automatic time analysis:

  1. Open the project.

  2. On the Project menu, click Time Analysis.

  3. On the Options tab of the Time Analysis dialog box, clear the Analyze Each Time Data Changes option.

Related Topics and Procedures


Enabling Automatic Time Analysis (Procedure)

Enabling Automatic Time Analysis

To enable automatic time analysis:

  1. Open the project.

  2. On the Project menu, click Time Analysis.

  3. On the Options tab of the Time Analysis dialog box, select Analyze Each Time Data Changes.

If automatic time analysis is enabled, Open Plan performs time analysis whenever you change the logic of the project by cutting, pasting, adding, or deleting an activity or relationship. It also performs time analysis whenever you change Time Now or make any time-related change to an activity.

Related Topics and Procedures


Performing Time Analysis (Procedure)

Performing Time Analysis

To perform time analysis:

  1. Open the project.

  2. On the Project menu, click Time Analysis.

  3. On the Options tab of the Time Analysis dialog box, enter the new Time Now date.

  4. To enable the option to automatically calculate time analysis each time the data changes, select the Analyze Each Time Data Changes option.

  5. To have Open Plan display the calculated early and late dates regardless of activity status, clear the Actual Date Option. (By default, Open Plan displays actual dates of in-progress and complete activities instead of the calculated early and late dates.) Clear this option to see also the planned restart of any out of sequence activities.

  6. Click OK.

You can also perform time analysis without displaying the Time Analysis dialog box by clicking the Time Analysis [image] button on the toolbar.

If an error occurs during time analysis, Open Plan displays a message when the calculation ends. From the View menu, select Log Viewer to display the Time Analysis log file.

Related Topics and Procedures


Setting Time Analysis Preferences (Procedure)

Setting Time Analysis Preferences

To set time analysis preferences:

  1. Open the project.

  2. On the Project menu, click Time Analysis.

  3. On the Options tab of the Time Analysis dialog box, select the appropriate options.

Related Topics and Procedures


Setting Time Now (Procedure)

Setting Time Now

To set Time Now and perform time analysis:

  1. Open the project.

  2. On the Project menu, click Time Analysis.

  3. In the Time Now field on the Options tab of the Time Analysis dialog box, enter the new status date.

You can also set Time Now and perform time analysis when using the Resource Scheduling Options dialog box to perform resource scheduling.

To set Time Now without performing time analysis:

  1. Open the project.

  2. Right-click the project folder.

  3. On the shortcut menu, click Properties.

  4. On the Project Properties dialog box, click the Status tab.

  5. In the Time Now field, enter the new status date.

Related Topics and Procedures


Viewing a Time Analysis Session Log (Procedure)

Viewing a Time Analysis Session Log

To view the time analysis session log:

  1. On the View menu, click Log Viewer.

  2. On the Open Plan Log Viewer, click the Time Analysis tab.

Related Topics and Procedures


How Risk Analysis Calculates Finish Dates

Open Plan does not generate the mean and standard deviation values of the finish dates for each activity directly during risk analysis. Instead, these dates are calculated analytically, using the sampled mean and standard deviation of the start dates and the theoretical mean and standard deviation of the specified duration distribution.

Finish dates are calculated in this manner to save both space and processing time. An unintended result, however, is the possibility of slight inconsistencies between the results reported for the finish of one activity and the start of its successor. These differences are not significant relative to the sampling error implicit in the Monte Carlo approach and should disappear if a large enough number of simulations is performed.

Background

Related Topics and Procedures


How Risk Analysis Interprets Durations

Examples

In general, risk analysis interprets the value in the Original Duration field as the mode (most likely) value.

The way in which risk analysis interprets the value in the Original Duration field is determined by the distribution shape:

  • For a uniform distribution, Open Plan ignores the value in the Original Duration field. Because a uniform distribution means that each possible value is equally likely, the concept of a mode value does not apply.

  • For a normal distribution, Open Plan ignores the value in the Original Duration field for the purposes of risk analysis. Instead, Open Plan calculates the mode of the duration based on the values for optimistic and pessimistic durations.

  • For triangular and beta distributions, Open Plan interprets the input value in the Original Duration field as the mode of the duration.

If you do not assign a probability distribution shape to an activity, Open Plan assumes that the duration of that activity is constant. Open Plan reads the value in the Original Duration field, ignores any values in the optimistic and pessimistic duration fields, and processes the activity during risk analysis the same as it would be processed during time analysis.

Background

Related Topics and Procedures


How Risk Analysis Works

In many ways, the risk analysis function is similar to the time analysis process. Activities are sorted according to project logic and subjected to a forward and backward pass in order to establish the earliest and latest dates for each activity.

In risk analysis, however, the process of calculating the early and late dates for each activity is based on a sampling of the probable durations. This sampling is repeated many times in order to build up a statistical picture of the probable outcomes of the project based on the combinations of the individual durations of the activities.

Unlike time analysis, the resulting dates and values for early dates, late dates, and activity floats are not calculated as single deterministic values. Instead, statistical means and standard deviations are used to express these values.

Another statistical measure calculated for each activity during risk analysis is a criticality index. This index represents the percentage of simulation trials which resulted in the activity being placed on the critical path.

When running risk analysis (a feature available only in the Professional edition of Open Plan), you can specify the number of iterations to be performed. Generally speaking, the more iterations performed, the more accurate the results of risk analysis.

Background

Related Topics and Procedures


Probability in Durations

Example

Open Plan allows you to define a probability distribution for durations for any activity for which uncertainty exists by means of the following information:

  • Pessimistic duration

  • Optimistic duration

  • Duration

You can also define the shape of the distribution as follows:

  • Uniform — Each outcome is equally likely

  • Normal — Probable outcomes cluster symmetrically around the center of the distribution

  • Triangular — Probable outcomes cluster around the mode value of the distribution. Outcomes close to minimum and maximum values of the distribution still possess a significant probability.

  • Beta — Probable outcomes cluster around the mode value of the distribution. Outcomes at the extreme values of the distribution are very unlikely.

The ability to enter these parameters allows Open Plan to define very precisely the duration of some or all the activities in the project.

Background

Related Topics and Procedures


Progress and Duration Probability

By conducting risk analysis on projects that have already recorded progress, you can accurately gauge the reliability of the remainder of the project schedule. How Open Plan treats the effect of project progress on duration probability depends on the project status:

  • For unprogressed projects, Open Plan applies the specified distribution probability information for activity duration (that is, the distribution shape and parameters) to the original duration.

  • Once progress has been recorded, risk analysis processing is applied only to the remaining duration of the activity. Open Plan calculates this remaining duration from information entered on the Activity Progress dialog box as follows:

    • If the activity is complete

    • If remaining duration is entered

    • If percent complete is entered

    • If elapsed duration is entered

    • If only an actual start date is entered

Background

Related Topics and Procedures


Risk Analysis Output Files

The results of an Open Plan risk analysis are potentially extensive, requiring some method to summarize this information for later use. Open Plan organizes and stores the results of risk analysis in two output files:

  • Activity file — Open Plan updates the activity file with the following statistical information about each activity:

    • Mean and standard deviation of:

      • Early start dates

      • Late start dates

      • Early finish dates

      • Late finish dates

    • Mean and standard deviation of:

      • Total float

      • Free float

    • Criticality index

  • Key activity file — A key activity is an activity designated by the user for which the program stores a record of the dates and floats for each simulation during risk analysis. This file allows for the production of very specific and detailed reports such as probability histograms depicting early dates for these activities.

Background

Related Topics and Procedures


The Concept of Sampling Error

Example

Because the mean and standard deviation of a probability distribution are based on the sampling of Monte Carlo simulations, they are only estimates and, therefore, have a possible error. (Obviously, the more simulations Open Plan performs, the more likely the estimated mean and standard deviation would approach the theoretically correct values for that distribution.)

However, it is possible to estimate the likely error in the estimate of a mean. To estimate the sampling error of a mean value arrived at by multiple simulations, it is necessary only to divide the standard deviation by the square root of the number of simulations performed to calculate the standard error of the mean.

Just as one standard deviation on either side of a mean defines a 68% probability of occurrence of an outcome within that range, one standard error on either side of the mean defines a 68% probability that the theoretical value of the mean will fall in this range. Similar confidence levels of 95% based on two standard errors and 99% based on three standard errors can also be calculated in this way.

Background

Related Topics and Procedures


The Effect of Risk Analysis on Start Dates

In general, the early start dates calculated by risk analysis will be later than those in a project using standard time analysis. This is because in simulating a project with parallel paths of activities, it is always the latest of the early start dates that controls the scheduling of the remainder of the project.

This tendency of the latest early dates to control the subsequent early dates also tends to skew the shape of the probability distribution of all early start dates to the "right." This skewedness undercuts the reliability of using the calculated mean date and standard deviation to estimate confidence intervals. In many cases, for example, it may turn out that adding three standard deviations to the "right" of the mean early start results in a value outside the range of the curve, thus rendering confidence levels based on standard deviations inaccurate.

While many users are not concerned with late start dates, you may want to use this information to avoid starting expensive activities with lots of float much earlier than absolutely necessary by assigning that activity a target start date. Assuming that you want these target start dates to pose a minimal risk for delaying the project completion date, you would want to select a date at a very low confidence level (for example 1% to 5%). Selecting a later start date (in other words, a date with a higher probability of actually occurring) increases the likelihood of causing further delays in the completion of the project.

Placing an effective target start date on an activity alters the early date's distribution curve and increases the probability that the activity will be critical and, thus, affect subsequent activities. This effect can be minimized by limiting the number of activities with target start dates and by specifying dates with very low probability.

Background

Related Topics and Procedures


Using Risk Analysis

Using the tools of modern risk analysis, Open Plan allows you to quantify the uncertainties associated with project durations. When using this feature, you enter three durations (optimistic, pessimistic, and most likely) for activities. During the risk analysis process, Open Plan estimates the duration for these activities using random numbers and runs time analysis a large number of times. By precisely defining the probable range of the durations of each activity, Open Plan provides you with the means to model the impact of these uncertainties on such critical areas as:

  • The project completion date

  • The feasibility of achieving specific target dates

Briefly stated, Open Plan risk analysis works by:

  • Allowing you to enter three durations (optimistic, pessimistic, and most likely) for key activities

  • Allowing you to enter probability distributions for duration for some or all of the activities in a project

  • Performing a risk analysis using Monte Carlo simulation to establish estimates of the effects of these parameters on project dates

  • Producing views and reports that can be used in analyzing the impact of uncertainties on the performance of the project

Background

Related Topics and Procedures


Viewing the Results of Risk Analysis

Open Plan provides a number of views that you can use to display the results of risk analysis. You can use the risk spreadsheet, activity risk barchart, or risk analysis histogram to view the mean and standard deviation of the following dates for each activity:

  • Early start dates

  • Late start dates

  • Early finish dates

  • Late finish dates

In addition, you can use either the Risk Spreadsheet or the Activity Risk Barchart to display the following additional statistical information about each activity:

  • Mean and standard deviation of:

    • Total float

    • Free float

  • Criticality index

Related Topics and Procedures


Confidence Intervals

Example

The fact that the standard deviation measures the degree of variation without regard for the direction is not a problem in symmetrical distributions. However, if the distribution is not symmetrical, there may be a significantly greater chance of a variation in one direction rather than the other.

Another way of establishing confidence for a probability distribution is to estimate confidence intervals directly, using a statistical sampling. Establishing a confidence interval directly means determining a pair of values within which we have some confidence that the outcome will fall. The interval needs to be qualified by the degree of confidence required.

For example, a 90% confidence interval would be a pair of values between which the outcome in question has a 90% chance of falling.

It is normally implicit that the interval should be symmetrical, in the sense that there would be an equal probability that the outcome would fall outside the confidence interval in either direction.

Because the distribution itself may be skewed, this means that the confidence interval is not in general symmetrically placed with respect to the mean value.

In general, confidence intervals calculated in this manner are to be preferred to those based on standard deviations since the skew in the underlying distribution is indicated.

In some cases, however, standard deviations are more reliable indicators of confidence. This is particularly true for relatively small samples since standard deviations are based on all outcomes instead of a few extreme values.

Related Topics and Procedures


Measures of Central Tendency

Examples

Although the mean is perhaps the most common measure of central tendency of a distribution by virtue of its stability, it is not the only one. Other measures of central tendency can also be useful, particularly in cases of asymmetrical distributions. Two of the most common of these are:

  • Mode

  • Median

For symmetrical probability distributions arrived at theoretically, calculations of the mean, mode, and median values produce identical results.

Related Topics and Procedures


More About Standard Deviation

Example

The standard deviation is the square root of the average of the squares of the individual deviations from the mean value:

For this reason, the standard deviation is sometimes referred to as the root mean square (RMS) deviation. Notice that one result of this squaring is that the standard deviation measures the degree of variation without regard for the direction in which the variation occurs.

Still, the standard deviation of a probability distribution is a very useful value to know. Roughly speaking, there is about a 68% chance of any particular outcome falling within one standard deviation of the mean value and about a 99% chance of the outcome falling within three standard deviations of the mean. This variation can occur in either direction from the mean and is usually referred to as a 99% confidence interval.

Related Topics and Procedures


Overview of Probability

Probability provides the means to analyze the possible outcomes of a given process. Specifically, probability is concerned with defining the frequency of each possible outcome in relation to the range and distribution of all possible outcomes.

The range and distribution of all possible outcomes for a process is referred to as the probability distribution of that process. The following are discussions of commonly seen distribution types:

  • Uniform distribution

  • Triangular distribution

  • Normal distribution

  • Beta distribution

Related Topics and Procedures


Sampled Distributions

Example

Because plotting all the outcomes of a process on a graph would be very time consuming, we usually sample the outcomes of an experiment. It then becomes convenient to use a statistical representation of the summary to describe the sampled distribution. The most common of these summary statistics are:

  • The mean value of the distribution

  • The standard deviation of the distribution

If we know the mean and the standard deviation, we can completely describe a normal distribution mathematically.

However, since not all distributions are symmetrical, there may also be a need to measure the extent to which variations from the mean in one direction are more likely than the other in order to describe the distribution mathematically.

Related Topics and Procedures


Displaying a Risk Histogram View (Procedure)

Displaying a Risk Histogram View

To display a risk histogram view:

  1. Open a project.

  2. If necessary, assign the Risk Analysis view to the project.

    3. If the Risk Analysis view has not been selected as a standard view in your installation of Open Plan, you will need to assign it to your project in order to display a risk analysis view for the first time.

  3. In the Views folder of your project, double-click the risk analysis view file.

  4. If the risk analysis view is blank, take the following actions:

    • On the View menu, click Select Activity.

    • Right-click within the view, and click Select Activity on the shortcut menu.

  5. In the Key Activity Selection dialog box, select the key activity to display on the risk analysis view.

    6. In order for Open Plan to display key activities in the Key Activity Selection dialog box, both of the following conditions must be met:

    • At least one activity must be identified as a key activity on the Risk tab of the Activity Details dialog box.

    • Risk analysis must have been performed on the project.

  6. Click OK.

Related Topics and Procedures


Selecting a Key Activity to Display on a Risk Histogram View (Procedure)

Selecting a Key Activity to Display on a Risk Histogram View

To select a key activity to display:

  1. Take one of the following actions:

    • On the View menu, click Select Activity.

    • Right-click an empty area of the view, and click Select Activity on the shortcut menu.

  2. In the Key Activity Selection dialog box, select the key activity to display on the risk analysis view.

    3. In order for Open Plan to display key activities in the Key Activity Selection dialog box, both of the following conditions must be met:

    • At least one activity must be identified as a key activity on the Risk tab of the Activity Details dialog box.

    • Risk analysis must have been performed on the project.

  3. Click OK.

Related Topics and Procedures


Performing Risk Analysis (Procedure)

Performing Risk Analysis

To perform risk analysis:

  1. Open the project.

  2. On the Project menu, click Risk Analysis.

  3. In the Number of Simulations field of the Risk Analysis Options tab, enter the number of times you want Open Plan to simulate the project.

    4. The more trials Open Plan performs, the more accurate the results of the analysis are likely to be. Depending on the number of activities in a project and the kind of information you are seeking, between 100 and 1000 iterations are usually appropriate. However, the first time you process a project you may want to specify as few as 10 or 20 iterations in order to verify the validity of the project data.

  4. If you want to change the date Open Plan uses for Time Now, enter the new Time Now date.

  5. Click OK.

Related Topics and Procedures


Using the Risk Analysis Advanced Tab

This tab allows you to set the following risk analysis processing options:

  • Multiple Ends

  • Out of Sequence Options

You can also perform risk analysis in Batch Mode. This allows you to run risk analysis for multiple projects at one time. To run risk analysis in Batch Mode, select more than one project from the Details pane of the Open Plan Explorer, and click the Risk Analysis button. The Risk Analysis [Batch Mode] dialog box will be displayed. Set your options, and click OK.

If a project is closed, Open Plan will open it in Exclusive mode, perform the process, save the changes, and then close the project. If a project cannot be opened in Exclusive mode (because another user has it open in Exclusive or Shared mode), it will be skipped.

If you have a project open when the batch process is run, risk analysis will be performed on the project, but the changes will not be saved and the project will remain open. You must manually save the changes yourself.

Open Plan creates one risk analysis session log, listing the project results in the order in which the projects were processed in the batch.

Location

Related Topics and Procedures


Using the Risk Analysis Options Tab

This tab controls how risk analysis is performed using the following settings:

  • Number of Simulations

  • Use Fixed Seed Point

  • Use Activity Calendar When Calculating Std. Deviations

  • Time Analyze before Risk Analysis

You can change the Time Now setting for the project from this tab.

You can also perform risk analysis in Batch Mode. This allows you to run risk analysis for multiple projects at one time. To run risk analysis in Batch Mode, select more than one project from the Details pane of the Open Plan Explorer, and click the Risk Analysis button. The Risk Analysis [Batch Mode] dialog box will be displayed. Set your options, and click OK.

If a project is closed, Open Plan will open it in Exclusive mode, perform the process, save the changes, and then close the project. If a project cannot be opened in Exclusive mode (because another user has it open in Exclusive or Shared mode), it will be skipped.

If you have a project open when the batch process is run, risk analysis will be performed on the project, but the changes will not be saved and the project will remain open. You must manually save the changes yourself.

Open Plan creates one risk analysis session log, listing the project results in the order in which the projects were processed in the batch.

Location

Related Topics and Procedures


Effect of Reservations on Resource Scheduling

The effect of reservations on resource scheduling depends on the type of resource scheduling that is performed and the options that have been set.

Resource-Limited Resource Scheduling

In general, resource-limited resource scheduling restricts resource usage to availabilities that have not been reserved for another project. However, exceptions are made to this rule under the following circumstances:

  • In the case of external subprojects, Open Plan may use resources that have been reserved for the master project or any higher-level subprojects in the hierarchy.

  • If a threshold has been set on the resource record, Open Plan may use the reserved resource availability to the extent permitted by the threshold.

Time-Limited Resource Scheduling

When performing time-limited resource scheduling, Open Plan may use any resource availability even though it may have been totally reserved to another project. An exception to this rule applies when the hard zero option is set. Under this circumstance, Open Plan may not use the reserved resource availability.

Related Topics and Procedures


Hard Zeros Processing Option

This option exempts any resource availability of zero from being incremented through the use of thresholds or during time-limited resource scheduling. For example, assume that a resource availability has been defined as the following:

Availability | From Date | To Date
5 | 01/Jan/07 | 10/Jan/07
5 | 01/Jan/07 | 31/Jan/07

Since there is no entry for the dates between 11/Jan/07 and 19/Jan/07, there is an implied availability of zero for this resource during that period. In normal time-limited scheduling (or in resource-limited scheduling when thresholds are used), the availability of the resource between those dates could be increased from its implied level of zero, if necessary, to prevent a delay in the project. Open Plan would issue a message and continue to perform resource scheduling.

By contrast, with hard zeros option in effect, the availability of the resource during that period would never be increased under any circumstances.

Related Topics and Procedures


Multiple Project Resource Scheduling

Open Plan offers two methods of performing resource scheduling on multiple projects:

  • Using a shared resource pool with reserved resources — Using this method involves the following steps:

    • A priority is placed on each project sharing the resource pool.

    • Resource availabilities, or portions of resource availabilities, may be reserved for specific projects.

    • Resource scheduling is performed with the option to consider usage on other projects selected.

    Using this method, Open Plan schedules each project using resource availabilities that are neither reserved by other projects, nor in use by projects that have a higher priority. When determining resource availabilities that may not be used by the current project, Open Plan adheres to the following rules:

    • If a quantity is reserved for a project that has a higher priority than the current project and a different quantity is actually used by that same project, Open Plan identifies only the larger of the two quantities as unavailable.

    For example, if 3 units are reserved for a project with a higher priority and 4 units are actually used by that project, Open Plan identifies 4 units as unavailable.

    • If, on the other hand, a quantity is reserved for one project and another quantity is used by a different project that has a higher priority than the current project, Open Plan identifies the total of the two quantities as unavailable.

    For example, if Project A has 3 units reserved, and Project B (with a higher priority than the current project) uses 4 units, Open Plan identifies 7 units as unavailable.

  • Using a master project and external subprojects — Using this method, Open Plan schedules the activities using one of the following methods:

    • The order in which activities are scheduled is determined by the project logic regardless of the subproject to which it belongs. The resource is allocated to the first project that requires it.

    • The order in which activities are scheduled is determined by both the hierarchical priority field of the project and the priority field of the activity.

Related Topics and Procedures


Reporting on Resource Scheduling

Although it is possible to display any data calculated by resource scheduling in a tabular format, Open Plan also provides a number of views that display resource scheduling results graphically.

For example, to show the potential effects of resource constraints on activity schedules, open the standard resource barchart view after you have performed resource scheduling.

In this view, Open Plan displays bars for both early and scheduled dates. If the scheduled start date is later than the earliest feasible start date for an activity (that is, if a resource assigned to the activity is causing it to be delayed beyond its earliest possible start), Open Plan changes the color of the bar, displays an arrow indicating the earliest feasible start date, and displays the name of the resource causing the delay.

By enlarging the histogram portion of the view, you can compare availability and assignment information for specific resources:

This type of view makes it easy to focus on the resource problems that have a direct impact on schedule performance.

Related Topics and Procedures


Resource Scheduling Flexibility

By assigning scheduling attributes to an activity, you can increase or decrease the flexibility with which Open Plan performs resource scheduling.

Activity splitting, stretching, and reprofiling are three techniques that can be used to add flexibility to the treatment of an activity during resource scheduling. Each of these techniques can be regarded as a way to improve the performance of a project by relaxing the rules of resource scheduling in a particular way.

It is also possible to assign the Immediate attribute to an activity. The Immediate attribute removes flexibility from resource scheduling calculations by forcing Open Plan to schedule an activity at the earliest possible date.

You can assign scheduling attributes to an activity by using the Advanced tab of the Activity Details dialog box.

Related Topics and Procedures


Resource Scheduling Processing Options

Each time you perform resource scheduling, Open Plan allows you to specify the following processing options:

  • In-progress Priority Processing

  • Hard Zeros Processing

  • Resource Smoothing Processing

  • Priorities

  • Scheduling Interval

  • Resource Selection

Once you have specified a set of resource scheduling options for a particular project, these options remain the defaults for that project each time it is scheduled.

Related Topics and Procedures


Resource Scheduling Rules

Open Plan follows a number of general rules when performing resource scheduling:

  • Open Plan uses a serial method of resource scheduling. Once an activity is scheduled, it is not reconsidered based on the needs of subsequent activities. The order in which activities are scheduled is determined by the project logic and can be modified only in a limited way by defining the priority fields used by the calculation.

  • Resource scheduling does not violate project logic. Therefore, activities are available to be scheduled only after all their logical predecessors have been scheduled.

    • While the order in which activities are scheduled is determined by the project logic, you can control the order to some extent by setting the activity priorities at run time.

  • Open Plan does not schedule an activity before Time Now.

  • Open Plan does not schedule an activity before its early start date.

  • Activity durations are never shortened but may be lengthened due to stretching, splitting, or reprofiling. If lengthened in any of these ways, the new duration becomes the scheduled duration.

    • You can tell if an activity is split, stretched, or reprofiled by viewing the Scheduled Actions field in the activity table.

  • After resource-limited resource scheduling, an activity's resource requirements (on the scheduled dates) will not exceed availability except when using immediate activities, thresholds, or when scheduling is suppressed.

  • Time-limited resource scheduling schedules within the late finish date of the project if there is no negative float. If negative float is present, Open Plan schedules on the early finish date of activities with negative float.

    • If an activity is delayed, you can identify the first resource to delay this activity by viewing the Delaying Resource field in the activity table.

  • Time-limited resource scheduling schedules critical activities first, as they cannot be delayed.

Related Topics and Procedures


Resource Smoothing Processing Option

The smoothing option attempts to even out or "smooth" the way in which resources are assigned to activities in the following circumstances:

  • During time-limited resource scheduling

  • During resource-limited resource scheduling when thresholds are in use

Without the smoothing option, Open Plan assumes that if the availability of a resource has been exceeded once, the amount of the overload should be used again in preference to using float.

With the smoothing option, Open Plan assumes that even though a resource availability has been exceeded on a preceding activity, available float should be used in preference to overloading the resource again.

The following guidelines may help you decide whether to turn the smoothing option on or off:

  • Turn smoothing on if only a few activities have a large resource overload, but the rest of the project does not.

  • Turn smoothing on for projects that do not have many relationships. These activities typically have more float. Because these activities do not have many relationships, using the float does not impact many activities.

  • Turn smoothing off if the project as a whole has a large resource overload. This has the effect of scheduling activities close to their early dates where possible, minimizing the possibility of causing an unnecessary overload later.

To determine the best way to set the smoothing option for your situation, compare the results of resource scheduling with smoothing turned on and with smoothing turned off.

Note that in certain situations, the smoothing option may result in an increase in the total resource requirements for the project. Therefore, do not use smoothing if it is important to minimize the extent to which resources may be overloaded.

Related Topics and Procedures


Using Resource Scheduling

The purpose of resource scheduling is to calculate a project schedule that takes into account the limited availabilities of resources as well as the durations, logical relationships, and target dates of the activities. Open Plan offers two types of resource scheduling algorithms:

  • Time-limited resource scheduling

  • Resource-limited resource scheduling

Using advanced resource management techniques such as splitting, stretching, and reprofiling activities, you can refine the ways in which an activity is scheduled. Using these and other techniques, you can maximize the use of resources that may be in short supply. During resource scheduling, Open Plan calculates the following for each activity:

  • Scheduled start

  • Scheduled finish

  • Earliest feasible date

  • Scheduled duration

  • Scheduled float

  • Scheduled Actions

  • Delaying resource

To perform resource scheduling, the following conditions must be met:

  • The project must have an assigned resource definition file.

  • The resource definition file must contain at least one resource with availabilities entered.

  • The project must contain at least one activity with resource requirements.

Related Topics and Procedures


Using the Manage Summary Usage Dialog Box

This dialog box allows you to delete project summary usage data from the PSU table.

The Manage Summary Usage dialog box displays a list of all the projects that have stored resource usage data for the open resource file. When you select a project from the list and click Delete, Open Plan frees the resources used by that project so that they can be made available to other projects.

You can select multiple projects by holding down the Ctrl or Shift key while making a selection.

Location

Related Topics and Procedures


Using the Resource Scheduling Advanced Tab

This tab of the Resource Scheduling dialog box allows you to set the following advanced controls:

  • Processing Options — You can enable any of the following processing options:

    • In-Progress Priority

    • Hard Zeros

    • Smoothing

  • You can set up to three priority levels that Open Plan can use as tie-breakers during resource scheduling. While most of these tie-breakers are based on fields, Open Plan also provides two special-purpose priority level options:

    • <Hierarchical Priority Field>

    • <Remaining Float>

  • You can enter the scheduling interval that Open Plan should use in its calculations.

  • You can click Change to change the resources selected for the resource scheduling operation.

  • Force Overloaded Activities to Late Dates

  • Try Alternate Resource to Avoid Delay

  • Limit Reprofiling to Original Level

You can also perform resource scheduling without displaying the Resource Scheduling dialog box by clicking the Resource Scheduling [image] button on the toolbar.

You can also perform resource scheduling in Batch Mode. This allows you to run resource scheduling for multiple projects at one time. To run resource scheduling in Batch Mode, select more than one project from the Details pane of the Open Plan Explorer, and click the Resource Scheduling button. The Resource Scheduling [Batch Mode] dialog box will be displayed. Set your options, and click OK.

If a project is closed, Open Plan will open it in Exclusive mode, perform the process, save the changes, and then close the project. If a project cannot be opened in Exclusive mode (because another user has it open in Exclusive or Shared mode), it will be skipped.

If you have a project open when the batch process is run, resource scheduling will be performed on the project, but the changes will not be saved and the project will remain open. You must manually save the changes yourself.

Open Plan creates one resource scheduling session log, listing the project results in the order in which the projects were processed in the batch.

Location

Related Topics and Procedures


Using the Resource Scheduling Options Tab

The purpose of resource scheduling is to calculate a project schedule that takes into account the limited availabilities of resources.

This tab of the Resource Scheduling dialog box controls the way in which Open Plan calculates resource scheduling using the following settings:

  • Scheduling Method — You can choose either of the following methods:

    • Time Limited

    • Resource Limited

  • Time Analyze before Scheduling

    • When you choose to perform time analysis before scheduling, you can change Time Now and click Options to set the time analysis options.

  • Consider Usage on Higher Priority Projects

  • Ignore Actual Dates

You can also perform resource scheduling in Batch Mode. This allows you to run resource scheduling for multiple projects at one time. To run resource scheduling in Batch Mode, select more than one project from the Details pane of the Open Plan Explorer, and click the Resource Scheduling button. The Resource Scheduling [Batch Mode] dialog box will be displayed. Set your options, and click OK.

If a project is closed, Open Plan will open it in Exclusive mode, perform the process, save the changes, and then close the project. If a project cannot be opened in Exclusive mode (because another user has it open in Exclusive or Shared mode), it will be skipped.

If you have a project open when the batch process is run, resource scheduling will be performed on the project, but the changes will not be saved and the project will remain open. You must manually save the changes yourself.

Open Plan creates one resource scheduling session log, listing the project results in the order in which the projects were processed in the batch.

Location

Related Topics and Procedures


Using the Resource Selection Dialog Box

This dialog box controls the resources that can be assigned on the Activity Spreadsheet view.

A resource categories list allows you to specify the category of resources to be displayed:

  • All Resource categories

  • Labor

  • Material

  • Other Direct Costs

  • Subcontract

  • Skills

The following buttons are located along the right edge of the dialog box:

  • OK

  • Cancel

  • Find

  • Find Next

  • Expand All

  • Help

Location

Related Topics and Procedures


Using the Resource Selection for Scheduling Dialog Box

This dialog box controls the resources that are used by resource scheduling.

A resource categories list allows you to specify the category of resources to be displayed:

  • All Resource categories

  • Labor

  • Material

  • Other Direct Costs

  • Subcontract

  • Skills

By default, all resources in the resource definition file that are required by project activities represent a potential constraint on when activities are scheduled. By clearing some resources, you instruct Open Plan to schedule the project as though an unlimited quantity of those resources were available.

The selections you make on this dialog box are reflected on the resource records. Therefore, if you clear a resource on this dialog box, Open Plan sets a flag for the resource that suppresses it for future resource scheduling sessions. You can, however, always reverse this setting either on the Resource Details dialog box or in a future resource selection session.

The first time you run resource scheduling, you typically want to have all resources selected. However, if you determine that the availability of a particular resource is causing the schedule to be delayed, you may want to run resource scheduling again with that resource deselected. You might also want to see how selecting or clearing various resources would affect the schedule.

The following buttons are located along the right edge of the dialog box:

  • OK

  • Cancel

  • Find

  • Find Next

  • Expand All

  • Select All

  • Clear All

  • Help

Location

Related Topics and Procedures


Creating a Resource-Based Schedule (Procedure)

Creating a Resource- Based Schedule

To create a resource-based schedule:

  1. Perform time analysis, and evaluate the schedule.

  2. If necessary, replan the project.

  3. Perform time-limited or resource-limited resource scheduling, as required.

  4. Display a histogram view of each resource assigned to the project to see where resources are over- or under-utilized.

  5. Make adjustments to the resource usage.

  6. Recalculate the schedule.

  7. Repeat the entire procedure as needed to develop a workable schedule.

Related Topics and Procedures


Performing Resource Scheduling (Procedure)

Performing Resource Scheduling

To perform resource scheduling:

  1. Open the project.

  2. Ensure that a resource definition file containing resource availabilities is assigned to the project.

  3. Ensure that at least one activity in the project has resource requirements.

  4. On the Project menu, click Resource Scheduling.

  5. In the Resource Scheduling dialog box, select the applicable resource scheduling options.

  6. Click OK.

You can also perform resource scheduling without displaying the Resource Scheduling dialog box by clicking the Resource Scheduling [image] button on the toolbar.

If an error occurs during resource scheduling, Open Plan displays a message when the calculation ends. Use the Open Plan Log Viewer to display the Resource Scheduling log file.

You can access the Open Plan Log Viewer from the View menu.

Related Topics and Procedures


Performing Resource Allocation (Procedure)

Performing Resource Allocation

To perform resource allocation:

  1. Perform resource scheduling.

  2. From any view of the project, select the activity on which you want to perform resource allocation.

  3. Take one of the following actions:

    • On the Edit menu, click Allocation.

    • Right-click the activity, and click Allocation on the shortcut menu.

  4. In the Suggested column of the Resource Allocation dialog box, review the resources suggested by Open Plan for the activity.

  5. Select each item for which you want to accept the suggested resource, and click Accept.

  6. Select each item for which you want to lock the requested resource, and click Lock.

    7. Each time you select Accept or Lock, Open Plan displays the results of the action. If you want to leave the dialog box without actually performing the resource allocation, click Cancel.

  7. When the information is correct, click Close.

Related Topics and Procedures


Using Resource Scheduling Information (Procedure)

Using Resource Scheduling Information

To use resource scheduling information:

  1. Perform time analysis, and evaluate the schedule.

  2. If the dates produced by time analysis are later than those acceptable to your organization, replan the project.

    3. If you make any changes to the project at this stage, run time analysis again before proceeding.

  3. Perform Time Limited or Resource Limited resource scheduling, as required, and compare the scheduled dates with the early and late dates calculated by time analysis.

    4. In resource-limited scheduling, a difference between an activity's early start date and its earliest feasible date indicates that resource bottlenecks earlier in the project are producing delays in the schedule.

  4. Display a resource histogram view to identify cases of resource over utilization. (A histogram view compares resource requirements to availabilities.)

  5. Make any needed adjustments to the resource usage in any of the following ways:

    • By substituting under-utilized resources for those that are over-utilized.

    • By permitting Open Plan to split, stretch, or reprofile activities whose durations can be interrupted.

    • By selecting a different processing option and rerunning resource scheduling.

    • Recalculate the schedule.

  6. Repeat the entire procedure as needed to develop a workable schedule.

Related Topics and Procedures


Changing the Attached Resource File (Procedure)

Changing the Attached Resource File

To change the resource definition file using drag and drop:

  1. Drag the new resource file from the Resources folder in the Open Plan Library onto the appropriate project.

    2. If the target project is not already open, Open Plan automatically opens it.

  2. When Open Plan asks you to confirm that you want to replace the existing resource file for this project, click OK.

To change the resource definition file using the Project Properties dialog box:

  1. Open the project for which you want to change the resource definition file.

  2. Right-click the project folder.

  3. On the shortcut menu, click Properties.

  4. On the Project Properties dialog box, click the Files tab.

  5. At the right edge of the Resource Definition File edit box, click the ellipsis button.

  6. From the list in the dialog box that is displayed, select the resource definition file that you want to assign to the project.

  7. Click OK.

WARNING: It is strongly recommended that you do not change the resource file for projects with baselines.

Related Topics and Procedures


Viewing a Resource Scheduling Session Log (Procedure)

Viewing a Resource Scheduling Session Log

To view the resource scheduling session log:

  1. On the View menu, click Log Viewer.

  2. On the Open Plan Log Viewer, click the Resource Scheduling tab.

Related Topics and Procedures


Calculating Resource Progress (Procedure)

Calculating Resource Progress

To calculate resource progress based on activity progress:

  1. On the Project menu, click Progress Calculations.

  2. From the Progress Calculations dialog box, select the option to update resource progress.

  3. Enter a start date and a finish date for the period covered by the actuals.

  4. Click OK.

Related Topics and Procedures


Resource Allocation Guidelines

In general, you should use the following steps when calculating a schedule using pools, skills, or alternate resources:

  • Step 1 — After making your initial resource assignments and performing time analysis on the project, perform resource scheduling.

  • Step 2 — Use the Activity Resource Allocation dialog box to review the suggested resources for each activity and make any necessary changes. (Note that you cannot display this dialog box for activities without resource assignments.)

  • Step 3 — Perform resource scheduling again.

  • Step 4 — To see the effect of your choices in resource allocation on the schedule and resource utilization, display a histogram view showing the resources you are most interested in.

Typically, you would repeat this procedure several times until you are satisfied with the resource assignments for each activity.

Related Topics and Procedures


Resource Scheduling Session Log

Each time you perform resource scheduling, Open Plan records any system or error messages issued during the operation.

Use the Log Viewer on the View menu to view the log.

Related Topics and Procedures


Using Resource Allocation

During resource scheduling, Open Plan suggests a resource for each activity assignment. If you defined the resource assignment for an activity using an alternate resource, this suggested resource may be the requested resource, or it may be the alternate resource you specified. If you defined the resource assignment as either a pool or a resource with a certain skill, Open Plan selects an individual resource that meets the requirement.

After performing resource scheduling, you can review these suggested resources and take an appropriate action on as many of the resource allocations as you wish. The action you take has its effect the next time you perform resource scheduling.

There are two types of actions you can take when using resource allocation:

  • Accept

  • Lock

If you do not take any action, the requested and alternate resources are not modified, and the next time you run resource scheduling, Open Plan may suggest a different resource.

Related Topics and Procedures


Using the Activity Resource Allocation Dialog Box

This dialog box is comprised of two sections. The upper section displays the following information about the selected activity:

  • ID

  • Total Float

  • Free Float

  • Scheduled Duration

  • Description

  • Original Duration

  • Earliest Feasible Date

  • Delaying Resource

The lower section of the dialog box displays the following information for each resource assignment:

  • Skill ID

  • Requested

  • Level

  • Alternate

  • Suggested

  • Used

Two buttons, located at the right edge of the lower portion of the dialog box, apply to the resource allocation items you select:

  • Accept

  • Lock

You can select as many resource allocation items at one time as you wish and accept or lock them at one time.

A set of navigation controls allows you to select another activity. You can also use the following keys on your keyboard to navigate to another activity:

  • Ctrl+Home — Displays the first activity.

  • Page Up — Displays the previous activity.

  • Page Down — Displays the next activity.

  • Ctrl+End — Displays the last activity.

Location

Related Topics and Procedures


Calculating Actual Activity Costs

Once you have entered actual cost information, you can use the Progress Calculations command to have Open Plan roll up these costs to the activity level.

If you indicated that Open Plan should calculate actual costs for resources based on resource progress, the Cost Calculations command also generates these costs at this time.

Related Topics and Procedures


Calculating Budget Costs for Activities

Once you have assigned individual costs and resources to your activities, you can have Open Plan roll up these budgets to the activity level. Using the Cost Calculations dialog box, you can have Open Plan perform the following budget cost calculations:

  • You can base the calculations on early, late, or scheduled dates.

  • You can indicate if Open Plan should use only base resource unit costs for the calculations or consider cost escalations as well.

Related Topics and Procedures


Capturing Actual Costs

In Open Plan, actual costs can be captured in two ways:

  • You can have Open Plan calculate the actual costs based on both progress information and the cost of the assigned resource.

    • The manner in which Open Plan calculates actual costs depends on settings that you make on the General tab of the Resource Details dialog box for each resource assigned to an activity. For example, you can select the Actual Cost Based on Progressed Quantity option to have Open Plan calculate this value. If you then display the Activity Progress dialog box for an activity to which the resource is assigned, you can see that the Actual Cost field is shaded, indicating that you cannot edit the value and that it will be calculated by Open Plan.

  • If you do not select the the Actual Cost Based on Progressed Quantity option on the Resource Details dialog box, you can enter the actual costs information manually at the activity level using the Resources tab of the Activity Progress dialog box. This dialog box allows you to enter actual costs for the following types of resources:

    • Budgeted cost resources

    • Budgeted standard resources

    • Unbudgeted cost resources (that is, cost resources for which no assignments exist)

    • Unbudgeted standard resources (that is, standard resources for which no assignments exist)

    By allowing you to enter costs for both budgeted and unbudgeted resources, Open Plan provides the flexibility required for situations in which costs are planned using one set of resources but are actually performed by a different set.

    It is also possible to enter actual costs directly at the activity level without any reference to either cost or standard resources. For planners who are only interested in tracking actual costs, this feature allows for the capture of actual cost information without requiring the definition of budgets beforehand.

Related Topics and Procedures


Cost and Schedule Variances

Open Plan calculates cost variances by subtracting ACWP from BCWP.

Using this formula, a positive value indicates a "favorable" cost variance because it means that the actual cost of the work performed was less than was budgeted. Similarly, a negative value represents an "unfavorable" cost variance because it means that the actual cost of the work performed was more than was budgeted.

Open Plan calculates schedule variances by subtracting BCWS from BCWP.

As in the case of cost variances, a positive value represents a "favorable" schedule variance, while a negative value indicates an "unfavorable" schedule variance.

The link between the two variances is BCWP, which is used as the starting point for both calculations. Using BCWP in this manner makes it possible to measure schedule variance in terms of cost. For more information on cost and schedule variances, refer to the Deltek Open Plan User's Guide.

Related Topics and Procedures


Cost Control Features in Open Plan

Open Plan allows you to capture all of the elements of cost and schedule required by a typical earned value cost control system:

  • Budgeted costs — Open Plan allows you to enter and store time-phased budgets by any or all of the four categories

  • Actual costs — When entering resource progress, you can enter actual costs both as quantities of resource units and as costs. You can also enter actual cost directly against an activity if you do not track actuals back to the resource.

  • Baseline dates — You can store either early, late, or scheduled dates for activities in a project baseline. You can also create multiple baselines for a project to allow you to base earned value calculations on different stages of project development.

  • Physical percent complete — When entering information about the progress of an activity, you can enter a separate estimate for the physical completion of the activity.

Related Topics and Procedures


Cost Forecasting

By projecting cost variances into the future, you can use earned value calculations to forecast project completion costs.

To calculate cost forecasting, you must first establish a value for the total budgeted cost (that is, a cumulative BCWS) for the project. This value is usually referred to as the Budget at Completion (BACcum).

Once the Budget at Completion is established, an estimated cost at completion (Estimate At Complete or EAC) can be calculated using the following expression:

EAC = ACWPcum + ETC

This forecast of completion projects the current cost variance through the remainder of the project, assuming that all future work will proceed according to plan.

It is also possible to develop forecasts based on the assumption that past performance trends will continue to the end of the project. One way to do this is to define a Cost Performance Index (CPI) that reflects the efficiency with which value is earned, for example:

CPI = BCWP / ACWP

Related Topics and Procedures


Displaying Actual Costs for Activities

Once you have calculated actual costs for activities, you can display this cost information in the following fields from the activity data table:

  • Actual Cost to Date — Actual activity costs from either cost resources or actual costs entered at the activity level.

  • Resource Actual Cost — Actual costs from standard resources.

  • ACWP (Actual Cost of Work Performed) — Total activity actual costs.

It is also possible to display actual costs rolled up to the project level on the Costs tab of the Project Properties dialog box.

Related Topics and Procedures


Displaying Budget Costs for Activities

Once you have calculated budget costs for activities, you can display this cost information from the activity data table:

  • Budget Cost — Activity budget costs from cost resources

  • Resource Budget Cost — Activity budget costs from standard (non-cost) resources

  • BAC (Budget at Completion) — Total activity budget costs

You can also display budgeted costs rolled up to the project level on the Costs tab of the Project Properties dialog box.

Related Topics and Procedures


Displaying Earned Value Information on a Resource Histogram

As an alternative to resource information, you can display the following types of earned value information on a histogram view:

  • Forecast

  • Budgeted Cost of Work Scheduled (BCWS)

  • Actual Cost of Work Performed (ACWP)

  • Budgeted Cost of Work Performed (BCWP)

You can display earned value information in terms of either resource units, resource costs, or escalated resource costs.

You can use a histogram view to display any of these items individually, or you can display all of them at the same time. You can also display them as cumulative S-curves.

To select the resources to be displayed in the histogram, use the Resource Selection dialog box. To define the earned value information appearing in a histogram view, use the Earned Value tab of the Histogram Preferences dialog box.

Related Topics and Procedures


Earned Value Cost Control

The earned value cost control feature of Open Plan allows you evaluate progress as it relates to the cost of work that has been performed.

To establish the systematic accounting of earned value, you must have access to the following information:

  • Baseline dates (original schedule dates)

  • Budgeted costs

  • Physical percent complete (an estimate of the work that has actually been performed as of Time Now)

  • Actual costs to date

With this information, Open Plan can calculate the three principal elements of earned value cost control: BCWS, BCWP, and ACWP.

These three values can then be displayed as cumulative cost curves on a histogram.

Related Topics and Procedures


Understanding Open Plan Cost Calculations

Cost calculations are among the most feature-rich aspects of Open Plan. Using cost calculations, you can calculate current values for both budget and actual costs, compare these values to baseline budget and actual costs, and calculate earned value. The following discussion is provided to give you a general understanding of how Open Plan calculates these values.

In Open Plan, all costs come from the cost of the resources assigned to a project. This means that unless a project uses resources, you cannot use Open Plan to calculate or display costs.

Costs calculations take place at all levels within a project:

  • Resource

  • Activity

  • Subproject

  • Project

Related Topics and Procedures


Using the Cost Calculations Dialog Box

In Open Plan, cost calculations is the process of calculating resource hours and costs at the activity, resource, subproject, and project level. This feature is also used for calculating earned value. Based on the following settings, this dialog box controls the way Open Plan performs cost calculations:

  • Budget Cost

  • Based On Dates

  • Remaining Cost

  • Actual Cost

  • Earned Value (BCWP and BCWS)

  • Use Resource Cost Escalation

  • Include Child Activity Values in Subproject Costs

  • Time Analyze Before Cost Calculation

In order to ensure that baseline cost values are correct, it is important that you calculate costs using this command before you create or save a baseline.

When calculating costs, Open Plan aggregates the resource costs for each activity (including subprojects) and for the project as a whole. These project costs are reflected on the Cost tab of the Project Properties dialog box.

Unless you specify otherwise, resource costs are automatically rolled up to the activities and subprojects to which the resources are assigned. You can, however, prevent selected resources from having their costs rolled up by setting the Roll Cost flag to False for those resources. This feature allows you to maintain alternative pricing information for activities without duplicating costs.

The Cost Calculations command also rolls up budgeted, actual, and remaining labor units to the activity and subproject levels.

In the calculation, Open Plan rolls up physical percent complete. This is accomplished by rolling up the earned value to the parent level, dividing the total by the parent budget value, and then multiplying by 100.

You can also perform cost calculations in Batch Mode. This allows you to run cost calculations for multiple projects at one time. To run cost calculations in Batch Mode, select more than one project from the Details pane of the Open Plan Explorer, and click the Cost Calculations button. The Cost Calculations [Batch Mode] dialog box will be displayed. Set your options, and click OK.

If a project is closed, Open Plan will open it in Exclusive mode, perform the process, save the changes, and then close the project. If a project cannot be opened in Exclusive mode (because another user has it open in Exclusive or Shared mode), it will be skipped.

If you have a project open when the batch process is run, cost calculations will be performed on the project, but the changes will not be saved and the project will remain open. You must manually save the changes yourself.

Open Plan creates one cost calculations session log, listing the project results in the order in which the projects were processed in the batch.

Location

Related Topics and Procedures


Calculating Actual Activity Costs (Procedure)

Calculating Actual Activity Costs

To calculate actual costs for activities:

  1. Open the project for which you want to calculate actual activity costs.

  2. Display the Resource Details dialog box for a resource assigned to the activity whose costs you want to calculate.

  3. Ensure that the appropriate settings are selected or cleared:

    • Progress Based on Activity Progress — Selecting this option instructs Open Plan to calculate progress for the activity using an actual quantity of the cost resource. Clearing this option allows you to enter progress for an activity using an actual quantity of the cost resource.

    • Actual Cost Based on Progressed Quantity — Clearing this option allows you to enter progress for an activity using an actual cost of the cost resource.

  4. Click Apply.

  5. Display the Activity Progress dialog box for the activity whose costs you want to calculate.

  6. Enter the appropriate progress information for the cost resource.

  7. Click Apply.

  8. On the Project menu, click Cost Calculations.

  9. In the Calculate Costs dialog box, select Actual Cost.

  10. Click OK.

  11. To view the actual costs for the activity, display the Cost tab of the Activity Information dialog box.

Related Topics and Procedures


Calculating Actual Resource Costs (Procedure)

Calculating Actual Resource Costs

To calculate resource costs based on resource progress information:

  1. On the General tab of the Resource Details dialog box, select the Actual Cost Based on Progressed Quantity option.

  2. In the Resources tab of the Activity Progress dialog box, enter the actual quantity of the resource used.

  3. Click OK.

  4. On the Project menu, click Cost Calculations.

  5. In the Calculate Costs dialog box, select the Actual Cost option.

  6. If you want Open Plan to use escalated resource costs, select the Use Resource Cost Escalation option.

  7. Click OK.

  8. Display the Activity Information dialog box to view the calculated resource costs for the activity.

Related Topics and Procedures


Calculating Budget Activity Costs (Procedure)

Calculating Budget Activity Costs

To calculate budget costs for activities:

  1. Open the project for which you want to calculate budget costs.

  2. Decide on the type of dates (early, late, or scheduled) on which you will base the budget.

  3. If you plan to use scheduled dates, perform resource scheduling. (This step is optional if you will use either early or late dates.)

  4. On the Project menu, click Cost Calculations.

  5. In the Calculate Costs dialog box, select Budget Cost.

  6. In the Based On field, select the type of dates (early, late, or scheduled) on which you want the budget to be based.

  7. If you want Open Plan to use escalated resource costs, select the Use Resource Cost Escalation option.

  8. Click OK.

  9. Display the Activity Information dialog box to view the calculated budget for the activity.

Related Topics and Procedures


Calculating Project Costs (Procedure)

Calculating Project Costs

To calculate project costs:

  1. Open the project for which you want to calculate project costs.

  2. Perform time analysis, and if appropriate, resource scheduling.

  3. Use the Activity Progress dialog box to enter progress information for all activities that are underway.

  4. On the Project menu, click Cost Calculations.

  5. Enter the cost calculation information.

  6. Click OK.

Related Topics and Procedures


Creating a Project Budget in Open Plan (Procedure)

Creating a Project Budget in Open Plan

To create a project budget in Open Plan:

  1. Create the project activities.

  2. Create the relationships between the activities. (This step is optional. While this step is frequently used, many project planners prefer to omit the project logic at this stage and plan a project using activity target dates.)

  3. Decide how the project will be managed. Will you use early, late, or scheduled dates?

  4. Run time analysis to establish the project schedule.

  5. Assign a resource file to the project. Depending on how you plan to manage budgets and costs, this resource file may have any combination of labor, material, other direct cost, and subcontract resources.

  6. Assign resource requirements to the activities in the project.

  7. If you plan to manage the project using scheduled dates, run resource scheduling. (This step is not necessary if you will manage the project using either early or late dates.)

  8. Run cost calculations using the following settings:

    • Select Budget Cost.

    • Select the type of dates (early, late, or scheduled) on which the budget should be based.

    • Select Use Resource Cost Escalation. (This is optional.)

  9. Display the Project Properties dialog box to view the calculated budget for the project.

  10. If appropriate, make any needed changes. For example, if the resource budget is too high, you might consider using less expensive resources or changing the amount of the resource assignment.

Related Topics and Procedures


Suppressing Resource Cost Calculations(Procedure)

Suppressing Resource Cost Calculations

To suppress cost calculations for a resource during cost calculations:

  1. Display the Resource Details dialog box for the resource to which you want to suppress cost calculations.

  2. Ensure that the Consider in Cost Calculations option is cleared.

  3. Click Apply.

  4. If you wish to suppress cost calculations for other resources, use the navigation controls in the lower left corner of the dialog box to locate the desired resources.

  5. Click Close when done.

Related Topics and Procedures


Entering Progress Information

The progressing function in Open Plan allows you to enter schedule information — actual dates, estimates, and completion status — about activities in a project that is underway. In addition, you can also enter information about resource usage at the activity level.

In Open Plan, you enter activity progress using the tabbed Activity Progress dialog box. You can display this dialog box by displaying an activity and clicking Progress on the Edit menu.

Entering progress information about an activity's resource usage consists of specifying information about the actual, remaining, and forecast usage for the resource and its costs.

You can also enter notes about an activity on the Activity Progress dialog box.

The Activity Progress dialog box is modeless. This allows you to keep it open while performing other operations in Open Plan. You can also keep both the Activity Details dialog box and the Activity Progress dialog box open at the same time, updating the information in either dialog box as appropriate.

Progress can also be calculated automatically using the Progress Calculations command accessed from the Tools menu.

It is important to make sure that all progress information up to Time Now has been entered.

Related Topics and Procedures


How Open Plan Uses Progress Information

Once you have entered progress for a project, you can calculate new dates for the activities using either time analysis or resource scheduling. The following guidelines explain how Open Plan uses the progressing information when it calculates the new schedule.

  • If activity status and progress information imply that the activity is complete (for example, if the elapsed duration of the activity exceeds its total duration), Open Plan assumes that the activity is complete.

  • If an activity has out-of-sequence progress (that is, progress has been reported even though predecessor activities have not been completed), Open Plan accepts the information.

  • Open Plan ignores Actual Start dates later than Time Now.

  • Open Plan calculates progress on a subproject from progress entered at the activity level. Open Plan ignores any progress entered at the subproject level.

  • After evaluating the progress information, Open Plan calculates the early and late dates only for the remaining portion of the activity.

  • If an activity is complete but does not have actual dates, Open Plan calculates the finish date as Time Now.

Related Topics and Procedures


Using the Activity Progress Activity Tab

In general, this tab allows you to specify the following information so that a revised time analysis of the project can be performed:

  • Has the activity started? If so, when?

  • Has the activity ended? If so, when?

  • If the activity has started but not yet ended, how long is the remaining duration?

This tab displays the activity ID, description, original duration, and Time Now and allows you to enter activity progress using the following settings:

  • Baseline Start

  • Actual Start

  • Baseline Finish

  • Actual Finish

  • Expected Finish

  • As Planned

  • Remaining Duration

  • Elapsed Duration

  • Percent Complete

  • Complete

The following buttons at the bottom of the Activity Progress dialog box apply to all tabs:

  • Close

  • Undo

  • Apply

  • Help

In addition, a set of navigation controls allows you to select another activity. You can also use the following keys on your keyboard to navigate to another activity:

  • Ctrl+Home — Displays the first activity.

  • Page Up — Displays the previous activity.

  • Page Down — Displays the next activity.

  • Ctrl+End — Displays the last activity.

Location

Related Topics and Procedures


Using the Activity Progress Notes Tab

This tab allows you to create, edit, or delete a note attached to the activity.

The selected activity is identified in the following two fields:

  • ID — The identifier of the selected activity

  • Description — A label associated with the selected activity ID

The Category field controls the category of the note. If you are creating a new note, you can select a category from the list of categories set up in the database.

Although you can attach multiple notes to an activity, you can attach only one note per category.

The following spell check button allows you to check the spelling in the note:

The text box can contain up to 29 KB of text about the selected activity. You can enter the text by typing directly in this field or by using the Cut, Copy, and Paste commands to insert text entered in another Windows application such as a word processor or spreadsheet.

You can enter links to files, web pages, and email addresses by entering the information in one of the following formats:

  • File links: file://c:\document.doc

    • If the file link you enter contains spaces, you must enclose the link with angle brackets ( < > ) in order for the link to work properly:
    <    file://C:\Documents and Settings\All Users\Desktop\test.txt>

  • Universal Resource Locators (URLs): http://www.deltek.com

  • Email addresses: mailto:contactus@deltek.com

When you click Apply, the note is saved with the activity, and a triangle symbol is added to the activity in spreadsheet, barchart, and network views of the project.

A note attached to an activity may also be viewed on the Notes tab of the Activity Details dialog box.

The following buttons at the bottom of the Activity Progress dialog box apply to all tabs:

  • Close

  • Undo

  • Apply

  • Help

In addition, a set of navigation controls allows you to select another activity. You can also use the following keys on your keyboard to navigate to another activity:

  • Ctrl+Home — Displays the first activity.

  • Page Up — Displays the previous activity.

  • Page Down — Displays the next activity.

  • Ctrl+End — Displays the last activity.

Location

Related Topics and Procedures


Using the Activity Progress Resources Tab

In general, this tab allows you to enter resource progress information for actual and remaining usage at the same time regular activity progress information is entered. Open Plan can use this information when resource scheduling is subsequently performed on the project.

The following controls are located at the top of the Resources tab:

  • ID — This field displays the ID of the activity.

  • Description — This field displays the description of the activity.

  • Activity Physical Percent Complete

  • Start Date

  • End Date

The grid in this tab features the following columns:

  • Resource

  • Phy. %

  • The next column provides heading information for the rest of the grid. For each resource identified on this tab, Open Plan provides both quantity and cost information:

    • Qty — By default, quantity information is displayed against a yellow background.

    • Cost — By default, cost information is displayed against a green background.

      • By default, Open Plan displays two shades of the appropriate color for both quantity and cost information. The lighter shade indicates that you can enter information in the field. The darker shade indicates that information in the field cannot be modified.

      You can change these default colors using the Color tab on the Options dialog box.

  • Actual

  • Remaining

  • Previous

  • Budget

The following buttons at the bottom of the Activity Progress dialog box apply to all tabs:

  • Close

  • Undo

  • Apply

  • Help

In addition, a set of navigation controls allows you to select another activity. You can also use the following keys on your keyboard to navigate to another activity:

  • Ctrl+Home — Displays the first activity.

  • Page Up — Displays the previous activity.

  • Page Down — Displays the next activity.

  • Ctrl+End — Displays the last activity.

Location

Related Topics and Procedures


Using the Progress Calculations Dialog Box

Progress calculations are run for several reasons. Some of these are:

  • To automatically calculate activity status information

  • To update resource progress based on activity status

  • To update the physical percent complete for Earned Value calculations

To automatically enter activity status information, enter a new value for Time Now. Open Plan uses this date when it automatically updates activity status.

If you leave the default Time Now date unchanged, Open Plan does not update activity status unless other options on this dialog box are changed as well. This feature is useful if you want to update only the physical percent complete or resource progress values.

By leaving Time Now unchanged, you can run progress calculations more than once during the same reporting cycle. For example, you might want to rerun progress calculations if you had not selected an option when you first performed the calculation and now want to run progress calculations with that option selected.

For example, assume that the last time you ran time analysis you used a Time Now date of January 1. (This becomes the default Time Now date on the Progress Calculations dialog box.) If you change the Time Now date in this dialog box to February 1, Open Plan assumes that all activities with dates before February 1 actually started or completed on those dates. It, therefore, updates the values in the actual date fields to be the same as the selected date fields.

This dialog box features the following controls:

  • Time Now

  • Matching Filter

  • Activity Progress

  • Resource Progress

  • Earned Value

  • Progress Dates

Because progress calculations use dates that are calculated during time analysis, that function must be run at least once before you can perform progress calculations.

Typically, project managers might use the progress calculations feature to calculate status for large projects and then enter information for any exceptions manually.

You can also perform progress calculations in Batch Mode. This allows you to run progress calculations for multiple projects at one time. To run progress calculations in Batch Mode, select more than one project from the Details pane of the Open Plan Explorer, and click the Progress Calculations button. The Progress Calculations [Batch Mode] dialog box will be displayed. Set your options, and click OK.

If a project is closed, Open Plan will open it in Exclusive mode, perform the process, save the changes, and then close the project. If a project cannot be opened in Exclusive mode (because another user has it open in Exclusive or Shared mode), it will be skipped.

If you have a project open when the batch process is run, progress calculations will be performed on the project, but the changes will not be saved and the project will remain open. You must manually save the changes yourself.

Open Plan creates one progress calculations session log, listing the project results in the order in which the projects were processed in the batch.

Location

Related Topics and Procedures


Entering Activity Progress (Barchart) (Procedure)

Entering Activity Progress (Barchart)

To enter activity progress information in a barchart view:

  1. Assign the Progress Barchart view to your project by dragging the Progress Barchart file from the Views folder in the Open Plan Library onto your project.

  2. Open the Progress Barchart view of your project.

  3. Place the cursor at the left edge of the activity bar for which you want to enter progress. (The cursor changes to a [image] symbol.)

  4. Drag the cursor to the appropriate position.

    5. While you drag the end of the bar, a pop-up display indicates the remaining duration and percent complete represented by the cursor position. (To cancel the new progress information, press Esc.)

The progress represented by dragging the cursor is linear even if the date scale is non-linear.

Related Topics and Procedures


Entering Activity Progress in a Dialog Box (Procedure)

Entering Activity Progress (Dialog Box)

To enter activity progress information in a dialog box:

  1. Select the appropriate activity, and click Progress on the Edit menu.

  2. On the Activity tab of the Activity Progress dialog box, enter the progress information for the activity. For example, you might enter an actual start and actual finish date if the activity is complete, or you might enter an actual start date and an expected finish date if the activity is in progress.

  3. Click Apply.

Related Topics and Procedures


Entering Activity Progress in a Spreadsheet (Procedure)

Entering Activity Progress (Spreadsheet)

To enter activity progress information in a spreadsheet view:

  1. Assign the Progress Spreadsheet view to your project by dragging the Progress Spreadsheet file from the Views folder in the Open Plan Library onto your project.

  2. Open the Progress Spreadsheet view of your project.

  3. For each activity for which you want to enter progress information, enter actuals data using the following columns:

    • Actual Start

    • Actual Finish

    • Progress Type

    • Progress Value

Related Topics and Procedures


Entering Resource Progress Information for an Activity (Procedure)

Entering Resource Progress Information for an Activity

To enter resource progress at the activity level:

  1. Select the appropriate activity, and click Progress on the Edit menu.

  2. On the Activity Progress dialog box, click the Resources tab.

  3. In the Start Date and End Date fields, enter the date range to apply to all resource progress records to be entered during this session.

  4. Take one of the following actions:

    • Enter actuals information for a displayed resource. This action allows you to enter actuals information for a resource budgeted for the activity.

    • Enter a valid resource ID in a blank row, and enter actuals information for that resource. This action allows you to enter actual quantity and cost information for unbudgeted resources.

    • Enter actuals information on a blank row, leaving the Resource field blank. This action allows Open Plan to roll up actuals information directly to the activity.

  5. When you have finished entering resource progress information for the activity, click Apply.

Related Topics and Procedures


Performing Progress Calculations (Procedure)

Performing Progress Calculations

To perform progress calculations:

  1. Select the project for which you want to perform progress calculations.

  2. On the Project menu, click Progress Calculations.

  3. In the Progress Calculations dialog box, select the appropriate options.

  4. Click OK.

Related Topics and Procedures


Viewing a Progress Calculations Session Log (Procedure)

Viewing a Progress Calculations Session Log

To view the progress calculations session log:

  1. On the View menu, click Log Viewer.

  2. On the Open Plan Log Viewer, click the Progress Calculations tab.

Related Topics and Procedures


Barchart View

A barchart view displays activities in rows that appear in two panes. The pane on the left is a spreadsheet that displays information in a tabular format. The pane on the right displays information as bars against a time scale. Information about each activity is displayed on a single row. However, you can have any number of bars on a single row. For example, an activity row might contain one bar that shows early dates, another bar that shows scheduled dates, and still another bar that shows baseline dates.

Open Plan comes with two types of barcharts; each of which is identified with a special icon:

Single-table barcharts — Single-table barcharts display information from a single data table against a time scale.

Multi-table barcharts — Multi-table barcharts can display information from more than one data table against a time scale. For example, you can show information about either the resources or the earned value of an activity as a bar that displays in addition to an activity bar. Provided that you have assigned resources to the project, multi-table barcharts can display resource usage and earned value in a third pane at the bottom of the barchart view. In addition, you can display resource assignment bars on the same row with activity bars.

A user of the Professional edition of Open Plan can define bars for any number of different criteria. Barcharts that use these bars can then be displayed on either edition of Open Plan.

Because bar styles can represent a wide variety of criteria, a barchart view can provide a great deal of information about your project at a glance.

A barchart is sometimes called a Gantt chart.

Location

Related Topics and Procedures


Customizing a Barchart View

In both the Professional and the Desktop edition of Open Plan, you can customize a barchart view using the Barchart Preferences dialog box.

This dialog box allows you to define how Open Plan should display relationship information and how the view identifies Time Now.

In the Professional edition of Open Plan, you can also use the Bar Sets dialog box to specify a bar set to be applied to the barchart view and to change the appearance of any bar.

Related Topics and Procedures


How a Barchart Displays Information

A barchart view displays information about a project in rows drawn across two panes. Each row in an activity or multi-table barchart conveys information about a single activity. In the case of a resource barchart, each row conveys information about a single resource assignment.

The pane on the left provides information in a spreadsheet with two buttons at the left edge of each row. The first button is used to select the row. One of three buttons may appear in the second position:

(Click each button for an explanation of what it represents.)

The pane on the right displays information about each activity as a series of bars drawn against a time scale. Several bars may be used to convey different types of information about the activity For example, one bar on an activity barchart may represent early dates, another may represent late dates, and still another may represent baseline dates. Open Plan organizes these bars into bar sets, any one of which may be applied to the barchart view.

Open Plan displays all the bars that represent a single activity in a single row. In addition, a bar may represent a single activity or a subproject.

Activity bars may be defined so that they roll up (or are displayed) at the subproject level when the subproject is collapsed.

Open Plan displays a milestone on the barchart view as a bar on which the start and finish dates are typically the same (although, they do not have to be the same), using the symbol defined for the right edge of the bar. A barchart legend provides additional information about the data displayed.

If you have assigned resources to the project, a third pane at the bottom of an activity or multi-table barchart may display information about resource usage in a histogram.

You can display the relationships between activities as lines that connect activity bars on different rows. The type of relationship is indicated by where the lines start and end. The left edge of an activity bar represents the start of an activity; the right edge represents the finish. Finish-to-start, start-to-start, finish-to-finish, and start-to-finish relationships can all be shown in a barchart view.

Related Topics and Procedures


Using the Bar Set Preferences Dialog Box

The Bar Set Preferences dialog box allows you to customize the bars that are displayed on a barchart view.

This dialog box has two tabs:

  • The Bar Attributes tab controls the appearance of activity bars based on criteria that you define. This tab also allows you to specify whether or not the bar should be displayed.

  • The Crosstable tab is available only on multi-table barcharts. This tab controls both the type of time-phased data to be displayed on the view and the attributes of the bars used for the display.

Three buttons are located across the bottom of the dialog box. The OK button accepts your input and closes the dialog box. The Cancel button cancels your input and closes the dialog box. The Help button provides access to help about the specific tab that is displayed.

Location

Related Topics and Procedures


Using the Bar Sets Dialog Box

A bar set is a group of activity or resource assignment bars that you can assign to a barchart view. For example, you might have a particular style of bar to show a critical activity and another bar to show an activity that is not critical.

The Bar Sets dialog box allows you to perform the following functions:

  • If a barchart view is open, you can assign a bar set to the view simply by selecting it from the list and clicking either Select or OK.

    • If more than one barchart view is open, Open Plan applies the bar set to the view that is active. Normally, this is the view that appears on top of the other views.

  • You can create, copy, edit, or delete a bar set.

The following buttons are located across the bottom of the dialog box:

  • New

  • Copy

  • Edit

  • Delete

Location

Related Topics and Procedures


Using the Barchart Preferences Dialog Box

This dialog box sets options relating to relationship information.

You can select one of the following relationship options:

  • Do Not Show Relationships

  • Show Relationships

  • Show Whole Relationships Only

If you select either Show Relationships or Show Whole Relationships Only, Open Plan offers the following additional options:

  • Whether a barchart view should highlight controlling relationships. If enabled, controlling relationships are displayed based on the color of the first instance of the key bar.

  • Whether the barchart should display only controlling relationships.

In addition, you can specify the style of the relationship lines: direct or routed.

To print the relationship lines on a barchart, you must select either Show Relationships or Show Whole Relationships Only. While you can still display relationship lines with the Do Not Show Relationships option selected (by clicking the Relationship Mode button on the toolbar), doing so will not print the relationship lines.

If you select Show Time Now, Open Plan allows you to enter information about the following two options:

  • Color — The color with which to display the Time Now line and any label text.

  • Line Thickness — The thickness of the Time Now line measured in pixels. Because pixel size is dependent on monitor resolution, the apparent width of the Time Now line that is displayed on your monitor depends on your resolution settings.

  • Label — The text to be printed next to the Time Now line. You can include both literal text and any project-level field. For example, assuming that your Time Now date is April 19, 2002, you can enter the following:

    • "Time Now- " + str(Statdate)

    to have the Time Now label read Time Now 19 April 2002.

    Literal text must always be entered within quotation marks (""). Statdate is the field name for Time Now.

If you select Shade Non-work, Open Plan enables the following two controls:

  • Color — The color with which to shade non-work periods.

  • Using Calendar — This field allows you to specify the calendar that Open Plan should use when determining whether a particular time period should be shaded. If you do not select a calendar in this field, Open Plan uses the project default activity calendar.

Clicking the down arrow at the right edge of the Color fields displays a Color dialog box that you can use to select a color. The Color dialog box offers a choice of 48 standard colors and up to 16 additional custom colors. You can define custom colors using an enhanced version of the Color dialog box accessed from the Color tab of the Options dialog box.

Location

Related Topics and Procedures


Working with Activities in a Barchart View

Open Plan allows you to perform many editing functions directly from a barchart view. For example, you can:

  • Create, edit, and delete relationships between activities

  • Set target start dates

  • Change durations

  • Enter progress information

You can also delete individual activities or groups of activities. And, you can perform move, cut, copy, and paste operations on either a single activity or groups of activities.

When applied to a group of activities, the copy and paste functions allow you to build the structure of a project very quickly.

Related Topics and Procedures


Adjusting a Date Scale Manually (Procedure)

Adjusting a Date Scale Manually

To adjust a date scale without redefining the various components:

  1. Place the cursor over the date scale area of the view.

  2. When the cursor changes to a double-headed arrow, do one of the following:

    • To compress the date scale, drag the cursor to the left.

    • To expand the date scale, drag the cursor to the right.

Related Topics and Procedures


Changing Splitter Panes in a Barchart (Procedure)

Changing Splitter Panes (Barchart)

To change the split between the spreadsheet and the barchart panes:

  1. Position the cursor over the vertical line that divides the two panes.

  2. When the cursor changes to a double-headed arrow, take one of the following actions:

    • To display more of the spreadsheet window, drag the dividing line to the right.

    • To display more of the barchart window, drag the dividing line to the left.

To change the split between the barchart and the histogram panes:

  1. Position the cursor over the horizontal line that divides the two windows.

  2. When the cursor changes to a double-headed arrow, take one of the following actions:

    • To display more of the barchart window, drag the dividing line down.

    • To display more of the histogram window, drag the dividing line up.

Related Topics and Procedures


Changing the Font on a Bar (Procedure)

Changing the Font on a Bar

To change the font on the text displayed in or around a bar:

  1. On the Tools menu, click Bar Sets.

  2. From the Bar Sets dialog box, select a bar set that contains the bar for which you want to change the text layout font.

  3. Click Edit.

  4. On the Bar Attributes tab of the Barset Preferences dialog box, select the appropriate bar.

  5. Click Text Layout.

  6. In the Text Layout dialog box, select the field for which you want to change the text font.

  7. Use the scroll bar to display the Font column.

  8. Select the appropriate cell in the Font column, and click the ellipsis button at the right edge of the edit box.

  9. In the Font dialog box, select a font and its attributes.

  10. Click OK.

  11. When the Text Layout box redisplays, click OK again.

Related Topics and Procedures


Changing the Font on a Date Scale (Procedure)

Changing the Font on a Date Scale

To change the font on the date scale of a barchart or histogram:

  1. Right-click the date scale of the view.

  2. On the shortcut menu, click Edit Date Scale.

  3. On the Manual tab of the Date Preferences dialog box, select the row of the date scale for which you want to change the font.

    4. You can select the row either by selecting it from the Axis Number list or by clicking the appropriate row in the Preview window.

  4. Click Font.

  5. In the Font dialog box, select a font and its attributes.

  6. Click OK.

  7. When the Manual tab of the Date Scale Preferences dialog box re-displays, click OK again.

Related Topics and Procedures


Creating a Relationship in a Barchart View with a Mouse (Procedure)

Creating a Relationship in a Barchart (Mouse)

To create a relationship between activities using a mouse:

  1. Click the Add Relationship Mode [image] button on the toolbar.

  2. Place the cursor at the appropriate edge of the predecessor activity. (The left edge is used to create start-to-start and start-to-finish relationships. The right edge is used to create finish-to-start and finish-to-finish relationships.)

    3. When the cursor is positioned on the edge of the activity bar, it changes to a [image] shape.

    In the Professional edition of Open Plan, you can also create relationships between activities in different external subprojects of a hierarchical project provided that both external subprojects are open.

  3. Drag the cursor to create one of the following relationships:

    • Finish-to-start

    • Start-to-start

    • Finish-to-finish

    • Start-to-finish

By default, Open Plan creates a relationship with zero lag. Open Plan uses the calendar of the successor activity to calculate any lag in the relationship.

To change either of these settings, right-click the relationship line and click Edit Relationship to display the dialog box where you can edit the relationship information.

You can also create relationships between activities by clicking Add Relationship on the Edit menu.

To shorten the overall duration of a project, identify activities that can be overlapped and define their relationships with lag or lead times.

Related Topics and Procedures


Creating a Relationship in a Barchart View with the Keyboard (Procedure)

Creating a Relationship in a Barchart (Keyboard)

To create a relationship from a barchart view using the keyboard:

  1. On the Edit menu, click Add Relationship.

  2. In the Predecessor field of the Add Relationship dialog box, enter the ID of the activity to be the predecessor by either typing it in the field or selecting it from the list.

  3. In the Successor field, enter the ID of the activity to be the successor by either typing it in the field or selecting it from the list.

    4. In the Professional edition of Open Plan, you can also create relationships between activities in different external subprojects of a hierarchical project provided that both external subprojects are open.

  4. From the Type list, select a relationship type. The options in this field are:

    • Finish-to-start

    • Start-to-start

    • Finish-to-finish

    • Start-to-finish

  5. In the Lag field, enter the relationship lag.

    6. To shorten the overall duration of a project, identify activities that can be overlapped, and define their relationships with lag or lead times.

  6. From the Calendar list, select the name of the calendar to be used for calculating the lag in this relationship.

  7. Click OK.

Related Topics and Procedures


Creating an Activity in a Barchart View (Procedure)

Creating an Activity (Barchart)

To create an activity in a barchart view:

  1. Take one of the following actions:

    • On the Edit menu, click Add Activity.

    • Double-click the selection button at the left edge of a blank row in the spreadsheet pane

  2. In the Activity Details dialog box, enter the information about the activity. Although you do not need to enter all the information at this time, each activity must have a unique ID.

  3. When you have entered as much information as you want, click Close.

Related Topics and Procedures


Customizing a Date Scale (Procedure)

Customizing a Date Scale

To customize the date scale:

  1. Right-click anywhere in the date scale.

  2. On the shortcut menu, click Edit Date Scale.

  3. On the Options tab of the Date Scale Preferences dialog box, select colors for the text and the background of the date scale.

  4. Enable a scaling tab by selecting one of the following options:

    • Manual Scaling

    • Reporting Calendars

  5. Select the tab you have enabled, and make any needed modifications.

  6. When your changes are complete, click OK to return to the view.

Related Topics and Procedures


Deleting a Relationship in a Barchart View (Procedure)

Deleting a Relationship (Barchart)

To delete a relationship in a barchart view:

  1. Ensure that you are in relationship mode.

  2. Position the cursor over relationship line at either end of the line.

  3. When the cursor changes to a crosshair, right-click the relationship line.

  4. On the shortcut menu, click Delete Relationship.

Related Topics and Procedures


Displaying Relationships in a Barchart View (Procedure)

Displaying Relationships (Barchart)

To display the barchart view in relationship mode, take one of the following actions:

  • On the toolbar, click the Add Relationship Mode [image] button.

  • On the View menu, click Relationship Mode.

To display relationships in the barchart view while in Bar Data Mode:

  1. Take one of the following actions:

    • On the Tools menu, click Barchart Preferences.

    • Right-click the barchart, and click Preferences on the shortcut menu.

  2. On the Barchart Preferences dialog box, click Show Relationships.

Related Topics and Procedures


Editing a Relationship in a Barchart View (Procedure)

Editing a Relationship (Barchart)

To edit a relationship from a barchart view:

  1. Ensure that you are in relationship mode.

  2. Position the cursor over relationship line at either end of the line.

  3. When the cursor changes to a crosshair, right-click the relationship line.

  4. On the shortcut menu, click Edit Relationship.

  5. In the Edit Relationship dialog box, enter the new information about the relationship.

  6. Click OK.

Related Topics and Procedures


Highlighting Controlling Relationships in a Barchart View (Procedure)

Highlighting Controlling Relationships (Barchart)

To highlight controlling relationships:

  1. Take one of the following actions:

    • Right-click the barchart portion of the display, and click Preferences on the shortcut menu.

    • On the Tools menu, click Barchart Preferences.

  2. From the Barchart Preferences dialog box, select the Highlight Controlling Relationships option.

    3. This option is enabled when you click Show Relationships or Show Whole Relationships Only.

    The color of the relationship line will be that of the first bar attribute that uses the key bar type.

  3. Click OK.

Related Topics and Procedures


Printing a Barchart (Procedure)

Printing a Barchart

To print a barchart view:

  1. Display the barchart view that you want to print.

  2. On the File menu, click Print Options.

  3. In the Print Options dialog box, select the print options for your report.

  4. To preview your printed report, take one of the following actions:

    • On the File menu, click Preview.

    • On the toolbar, click the Print Preview [image] button.

  5. Take one of the following actions:

    • If you have selected Preview, click Print from the preview screen.

    • If you have not selected Preview, click OK to close the Print Options dialog box. Then click Print on the File menu, or click the Print [image] button on the toolbar.

Related Topics and Procedures


Adding Custom Symbols (Procedure)

Adding Custom Symbols

To add a custom symbol:

  1. On the Manage Symbols dialog box, click Add.

  2. On the Add Symbol dialog box, click Select File.

  3. From the Open dialog box, locate the .wmf or .emf graphic file for the symbol, and click Open.

  4. Enter a description for the new symbol.

  5. Enter a shape category for the new symbol.

    6. Leaving this field blank will place the symbol in the <Uncategorized Shapes> category.

    You can create a new shape category by entering a unique name in the Shape Category field. Otherwise, entering an existing category name places the new symbol in that category.

  6. Click OK.

The Manage Symbols dialog box can also be accessed by clicking the ellipsis button on the Title Block Definition dialog box when you create, copy, or edit a title block.

Related Topics and Procedures


— Clicking this button displays the Bar Types dialog box which allows the owner of a bar set to maintain a list of bar types that can be displayed in barchart views.

— allows you to specify the text that can be displayed in 15 positions in and around a bar.

— Clicking this button displays the Access Control dialog box which allows the owner of a bar set to define the groups and users that have access to the bar set.

— Clicking this button displays the References dialog box, which has a list of items that use the bar set. This list of items includes the file type, name of the project or file, description, and owner.

Bar Set Preferences Bar Attributes Tab

This tab controls the appearance of activity bars based on criteria that you define, allowing you to use attributes such as pattern and color to represent data.

In the case of multi-table barcharts, you can also use the Bar Set Preferences Bar Attributes tab to define resource assignment bars and baseline bars.

The Bar Attributes tab defines the attributes of an activity bar using the following settings:

  • Applies to

  • Bar Type

  • Fill

  • Bar Set

  • Pattern

  • Visibility

  • Criterion

  • Outline

  • Label

In addition, the Bar Attributes tab provides access to the following dialog boxes where you can further define the bars:

  • Bar Types

  • Text Layout

  • Access Control

  • References

To display a bar definition in the Preview window, simply select it anywhere in the grid. If you wish to preview multiple bar definitions, Shift+click or Ctrl+click the selection buttons to the left of the bar definitions.

The Print button allows you to print out the grid so that you may keep a hard copy of the activity bar attributes you defined.

The Change Order buttons allow you to change the position that a bar has in the grid.

Select multiple bars to determine whether the bars you are defining are different enough to convey the required information.

Location

Related Topics and Procedures


Bar Set Preferences Crosstable Tab

This tab controls the following aspects of how Open Plan should display time-phased crosstable data on the barchart and histogram panes of a barchart view:

  • You can specify whether Open Plan should display resource data, earned value data, or none

  • You can specify the appearance of the crosstable bars based on criteria that you define. In this way, you can use attributes such as pattern and color to represent data.

The Bar Set Preferences Crosstable tab defines the following attributes of a crosstable bar:

  • Criterion

  • Outline

  • Visibility

  • Crosstable Type

  • Fill

  • Label

In addition, the Crosstable tab provides access to the following dialog boxes where you can further define the appearance of the bars:

  • Crosstable Types

  • Resource/Cost Details

  • Earned Value Details

To display a bar definition in the Preview window, simply select it anywhere in the grid. If you wish to preview multiple bar definitions, Shift+click or Ctrl+click the selection buttons to the left of the bar definitions.

The Print button allows you to print out the grid so that you may keep a hard copy of the crosstable bar attributes you defined.

The Change Order buttons allow you to change the position that a bar has in the grid.

Selecting the Roll Up Similar Assignments checkbox instructs Open Plan to roll up similar assignments.

Select multiple bars to determine whether the bars you are defining are different enough to convey the required information.

Location

Related Topics and Procedures


Changing a Milestone Symbol in a Barchart (Procedure)

Changing a Milestone Symbol (Barchart)

To change a milestone symbol:

  1. From the Tools menu, click Bar Sets.

  2. On the Bar Sets dialog box, select a bar set that contains the bar for which you want to change a milestone symbol, and click Edit.

  3. On the Bar Attributes tab of the Bar Set Preferences dialog box, click Bar Types.

  4. From the Bar Types dialog box, select the Right field for the Milestone bar type.

    5. Open Plan identifies a milestone by the symbol you select for the Right field. Any symbol you select in the Left field is ignored.

  5. Do one of the following:

    • From the drop-down list, select the appropriate symbol.

    • Click the ellipsis button to display the Manage Symbols dialog box that you can use to select the appropriate symbol.

  6. Click OK to close the Bar Types dialog box.

  7. Click OK again to close the Bar Set Preferences dialog box.

Related Topics and Procedures


Changing Row Height in a Barchart (Procedure)

Changing Row Height (Barchart)

To change the height of a row:

  1. On the Tools menu, click Bar Sets.

  2. On the Bar Sets dialog box, select a bar set that contains the bar for which you want to change the row height.

  3. Click Edit.

  4. On the Bar Set Preferences dialog box, Click Bar Types.

  5. In the Row Height text box on the Bar Types dialog box, enter a height for the row in hundredths of an inch.

    6. In the case of multi-table barcharts, you can also find the Row Height text box on the Crosstable Types dialog box. The effect is the same, regardless of where you enter the row height.

  6. Click OK.

Related Topics and Procedures


Creating a New Bar Type (Procedure)

Creating a New Bar Type

To create a new bar type:

  1. On the Tools menu, click Bar Sets.

  2. On the Bar Sets dialog box, select either Activity Bar Sets or Mutli-table Bar Sets, and click New.

  3. If it is not already selected, click the Bar Attributes tab.

  4. From the Applies To list, select the table to which the new bar will apply.

    5. In you selected Activity Bar Sets on the Bar Sets dialog box, you can define only Activity Bars. In the case of a multi-table barchart, however, you can also choose to define Resource Assignment Bars and Baseline Bars.

  5. Click Bar Types.

  6. In the Bar Types dialog box, select a new row.

  7. In the Bar Type column, enter a name for the new bar type.

  8. In the Start and Finish columns, select fields to be used to control the start and end positions of the bar. (While these would normally be date fields, you could also select calculated fields that evaluate to a date value.)

  9. In the Left and Right columns, select symbols to be used at the left and right ends of the bar. (If you do not want to have symbols at the ends of the bar, you can also leave these fields blank.)

  10. In the Bar column, select one of the following bar shapes:

    You can also select None to define a bar type to be used for a milestone.

  11. In the Drag column, select Yes or No to indicate whether or not the user should be able to edit activity target start and finish dates by dragging the mouse cursor on the bar.

    12. Only one bar can be set to Drag.

  12. In the Height column, enter a height for the activity bar measured in hundredths of an inch.

  13. In the Offset column, enter a value for the bar position in hundredths of an inch as measured from the top of the row.

  14. In the Key column, select Yes or No to indicate whether or not the bar should be used as a key from which relationship lines are drawn.

    15. Only one bar can act as the key.

  15. In the Row Height text box, enter a value for the height of the activity row in hundredths of an inch.

    16. In the case of a multi-table barchart, the height you enter here is also reflected in the Crosstable Types dialog box.

  16. Click OK.

Related Topics and Procedures


Defining Activity Bar Attributes (Procedure)

Defining Activity Bar Attributes

To define the attributes of an activity bar:

  1. On the Tools menu, click Bar Sets.

  2. On the Bar Sets dialog box, select a bar set that will contain the bar that you want to create.

  3. Click Edit.

  4. From the Bar Attributes tab of the Bar Set Preferences dialog box, select a new row.

  5. In the Criterion column, select the filter that will be used to determine whether Open Plan should use this bar to represent an activity.

  6. Define the appearance of the activity bar by selecting the appropriate elements in the Bar Type, Pattern, Outline, Fill, and Visibility columns.

  7. In the Label column, enter a name for the bar.

  8. Click OK.

Related Topics and Procedures


Defining Activity Bar Text Layout (Procedure)

Defining Activity Bar Text Layout

To define the layout of text to be displayed in and around an activity bar:

  1. On the Tools menu, click Bar Sets.

  2. On the Bar Sets dialog box, select a bar set that contains the bar for which you want to define the text layout.

  3. Click Edit.

  4. On the Bar Attributes tab of the Barset Preferences dialog box, select the appropriate bar.

  5. Click Text Layout.

  6. From the Bar Type list in the Text Layout dialog box, select a bar type for which to define text layout.

  7. From the Field column, select a field to display.

  8. From the Position column, select a position in which to display the selected field.

    9. The Bar Type column displays your selected bar type. You can, however, change it by selecting a new bar type from the list while the cursor is in this column.

  9. From the Font column, click the ellipsis [image] button to the right of the text box to select a font and its attributes.

  10. Using the Shift+click or Ctrl+click actions, select other bar types to check that the text layout you are defining does not interfere with the readability of text around other activity bars.

  11. Continue defining text for other positions in and around the activity bar.

  12. If you want the text around the activity bars to hide other objects in the same area of the barchart, select Opaque Text.

  13. When you have finished defining the text layout, click OK.

Related Topics and Procedures


Defining Crosstable Bars (Procedure)

Defining Crosstable Bars

To define crosstable bars for a multi-table barchart:

  1. On the Tools menu, click Bar Sets.

  2. From the list at the top of the Bar Sets dialog box, select Multi-table Bar Sets.

  3. Select the bar set that will contain the crosstable bar you wish to create.

  4. Click Edit.

  5. Click the Crosstable tab.

  6. Select whether to show Resource or Earned Value bars.

  7. Select a new row in the dialog box.

  8. In the Criterion column, select the filter that will be used to determine the circumstances under which Open Plan should display this bar.

  9. Define the appearance of the bar by selecting the appropriate elements in the Crosstable Type, Outline, Fill, and Visibility columns.

  10. In the Label column, enter a name for the bar.

  11. Click OK.

Related Topics and Procedures


Displaying Resource Assignments on a Barchart (Procedure)

Displaying Resource Assignments on a Barchart

To display resource assignments:

  1. On the Tools menu, click Bar Sets.

  2. On the Bar Sets dialog box, select a multi-table barchart.

  3. On the Barset Preferences dialog box, click Bar Attributes.

  4. On the Applies to Table field, click Resource Assignment Bars.

  5. In the Visibility column for the bar type, choose an appropriate visibility option.

  6. Click OK.

Depending on the barchart view, you may need to define a bar in order to display the resource assignments.

Related Topics and Procedures


Using the Bar Types Dialog

Using the Bar Types Dialog Box

The Bar Types dialog box defines a list of activity bar styles using the following settings:

  • Bar Type

  • Start

  • Finish

  • Left

  • Right

  • Bar

  • Drag

  • Height

  • Offset

  • Key

A set of buttons to the left of the bar type definitions allows you to select a bar type to be displayed in the preview window. You can also select multiple bar type definitions to see all the corresponding bar types in the preview window.

The Print button allows you to print out the grid so that you may keep a hard copy of the bar type definitions you created.

In addition, a Row Height text box specifies the height of an activity row.

After you have defined an activity bar type in this dialog box, you must then select the activity bar and define its attributes in the Bar Attributes tab of the Bar Set Preferences dialog box.

On multi-table barcharts, you can use the Bar Types dialog box to create bars for resource assignments and baseline bars.

Location

Related Topics and Procedures


Using the Resource/Cost Details Dialog Box

This dialog box defines the details about the resource/cost that Open Plan should display on the barchart. You can specify the following settings for either Resources or Skills:

Values For

Calculate

  • Average

  • Total

  • Period

  • Quantity

  • Cost

  • Escalated Cost

In addition, the Scale Factor text box allows you to specify the amount by which Open Plan should scale the results.

Location

Related Topics and Procedures


Using the Text Layout Dialog Box

A Bar Type list displays a list of bar types that have been set up. For each bar type, Open Plan uses the following settings to define the text to be displayed in and around the activity bar:

  • Field

  • Position

  • Bar Type

  • Font

  • Text

An Opaque Text option controls whether the area surrounding the text should hide any other text or line on the barchart view.

  • If you select this option, Open Plan places a white box behind the text that hides any other data in that area.

  • If you do not select this option, the box beneath the text is transparent, and any other data in that area is displayed.

To suppress the display of text in and around the bar, select a row that defines text layout, and press Delete.

Location

Related Topics and Procedures


Annotating a Network

The network view contains an annotation feature that allows you to highlight important information about your project.

You can attach the annotation to either the view as a whole or to a specific activity. If you attach the annotation to an activity, the annotation stays with the activity whenever it is moved on the view.

Open Plan displays the annotation only in the view in which it is created.

Open Plan allows you to customize the way the annotation is displayed in a number of different ways. You can:

  • Display the annotation within any of three different borders or without a border

  • Select the font to be used in the annotation

  • Choose the color on which the annotation is displayed

  • Display the annotation behind or in front of other elements on the view

Related Topics and Procedures


Customizing a Network View

In Open Plan, you can customize a network view in many ways. For example, you can define the following aspects of the network view:

  • How relationship information is displayed

  • Whether or not the view should display where page breaks occur in a printed report

  • Whether or not controlling relationships should be highlighted

  • If, and where, a legend should be printed in a report

  • The size and placement of activity boxes in the view

  • Annotations that can be attached to either the view or to a specific activity

In the Professional edition of Open Plan, you can also control the following attributes of the activity boxes:

  • The appearance of the activity boxes based on criteria that you define

  • The data fields displayed in the activity boxes

Related Topics and Procedures


Network Preferences Legend Tab

This tab specifies how Open Plan displays the legend for a network view.

The Legend Options buttons control where Open Plan displays the legend. The options are:

  • None — Prevents the display of the legend.

  • Every Page — Displays the legend on every page.

  • Manual — Displays the legend within a frame that you can drag to any position in the view and resize.

  • Legend Page — Prints the legend on a separate legend page.

Additional options define which of the four edges of a page should display the legend: top, bottom, left edge, or right edge.

The three buttons across the bottom of the Network Preferences dialog box apply to all tabs. The OK button accepts your input and closes the dialog box. The Cancel button cancels your input and closes the dialog box. The Help button provides access to help about the current tab.

Location

Related Topics and Procedures


Network Preferences Options Tab

This tab specifies the following aspects of how a network view displays information:

  • Draft Mode — When selected, this option instructs Open Plan to display the activity boxes in draft mode.

  • Snap Boxes to Grid — When selected, this option instructs Open Plan to align new and moved activity boxes with an invisible grid.

  • Show Page Breaks — When selected, this option instructs Open Plan to show where page breaks would occur when printed using the current printer settings.

  • Highlight Controlling Relationships — When selected, this option instructs Open Plan to highlight controlling relationships. When this option is enabled, controlling relationships are heavier than other relationship lines and are displayed in the color of the successor activity.

  • Smooth Relationship Line Corners — When selected, this option instructs Open Plan to smooth the corners of relationship lines.

  • Show Relationship Type — When selected, this option instructs Open plan to show the relationship type on relationship lines. In addition, the following option is also enabled:

    • Only Non-FS Types — Selecting this option inhibits the display of the relationship type for FS relationships.

  • Show Lags — When selected, this option instructs Open Plan to display the relationship lags between activities. In addition, the following option is also enabled:

    • Only Non-Zero — Selecting this option inhibits the display of lag information for lags with a 0 duration.

  • Relationship Line Options — This option allows you to specify whether the relationship line style should be direct or routed.

The three buttons across the bottom of the Network Preferences dialog box apply to all tabs. The OK button accepts your input and closes the dialog box. The Cancel button cancels your input and closes the dialog box. The Help button provides access to help about the current tab.

Location

Related Topics and Procedures


Network View

A network view is a graphic representation of a project that shows activities as boxes and the relationships between activities as arrows.

The primary purpose of a network view is to show the relationships between activities, and thus, the logic of the project as a whole. In addition, you can create and display an annotation that you can attach to any activity or to the entire project.

In Open Plan, a network view allows you to display multiple levels of a hierarchical project at one time.

You can also create relationships between activities in different subprojects and on different hierarchical levels.

Open Plan allows you to split a network view into two panes. Each pane features a horizontal scroll bar allowing you to adjust the amount of data displayed in each pane.

The split view feature is especially useful when you want to add a relationship between two activities that are not located next to each other in a large network. To create the relationship, display the predecessor in one pane and the successor in the other. Then Alt+drag the cursor from the predecessor to the successor.

In the network view, you can resize an activity box simply by dragging the lower right corner of the box in the appropriate direction. To reset the box size to its previous size and shape, right-click the box and click Reset Box Size on the context menu. You can also have Open Plan set all activity boxes to the size and shape of one that is selected simply by right-clicking the activity box and clicking Set All Box Sizes on the shortcut menu.

You can also align activity boxes based on dates that you specify. With this option, Open Plan places the activity boxes beneath date labels that are displayed across the top of the network.

Open Plan always displays the activity boxes in the order dictated by the project logic. Therefore, a successor activity is never placed to the left of its predecessor even if it has an earlier start date due to negative lag.

Because a network view depicts the logic of a project, it is sometimes called a logic drawing or a logic diagram. Other project management systems may call this view a flowchart or a PERT chart.

In the Professional edition of Open Plan, you can define the shape and color of the activity box ends as well as diagonal lines across the box to convey information about the activity. And, you can customize the areas within the box to display data about the activity.

Location

Related Topics and Procedures


How a Network View Displays a Hierarchy

By default, a network view displays the top level of a hierarchical project. Two Open Plan features allow you to display activities on different levels in the hierarchy:

  • Drill down — In this mode, Open Plan displays only the activities at the selected hierarchical level. When you display an activity at a lower level of the project hierarchy, the window caption indicates the ID of the subproject being displayed, and the Activity Details dialog box displays only the unique portion of the lower level activity ID.

    • To perform any function that could potentially change the size of a subproject, you must first drill down to that subproject in the hierarchy. Therefore, to perform the following functions, you must first go to the subproject:

    • Create an activity

    • Move an activity within the subproject

    • Cut, copy, or paste an activity

    • Expand a subproject activity

    • Add an annotation either to the subproject workspace or to an activity within the subproject

  • Expand — In this mode, Open Plan displays subproject activities at the same time as it displays activities at a higher level. When you display an expanded subproject, you can perform most editing functions on the displayed activities. You can choose whether to display the expanded subproject within a frame that identifies the parent activity by using the Display Subproject Frame command that is available from the right-mouse context menu.

While users of the Desktop edition of Open Plan can display an activity representing an external subproject on the network view, they cannot go to or expand the external subproject. The Professional edition of Open Plan is required in order to perform these functions.

While you can move an expanded subproject to a different location on a network view, Open Plan does not save this information between sessions. If you close a view and reopen it, you must expand and reposition any subprojects you adjusted in the previous session.

The duration of a subproject activity is derived from the durations of its child activities.

Related Topics and Procedures


How a Network View Displays Information

A network view displays information about a project as a series of boxes that represent activities. Various features of the network view such as color, shape, and information displayed within an activity box can display a great deal of information at a glance. A network legend provides information about the data that is displayed.

Activity boxes are connected by lines that represent the relationships between activities. The type of relationship is indicated by where the lines start and end. The left edge of the activity box represents the start of an activity; the right edge represents the finish. Finish-to-start, start-to-start, finish-to-finish, and start-to-finish relationships can all be shown in a network view.

Open Plan network views can display activities from multiple levels of a hierarchical project.

Related Topics and Procedures


Using the Network View Annotation Dialog Box

The Network View Annotation dialog box contains the following fields:

  • Text box

  • Style

  • Color

  • Attach to Activity ID

In addition, a Font button provides access to a dialog box where you can specify the typeface for the text in the annotation.

Location

Related Topics and Procedures


Using the Placements Dialog Box

The Placements dialog box uses the following settings to control how Open Plan places activity boxes in the network view:

  • Automatic

  • Manual

  • Save As Manual

When Automatic is selected, you can specify the following options for calculating automatic placements:

  • Avoid Page Breaks

  • Show All Levels

  • Time Scale Project

  • Zone Project

  • Filter Project

For automatic placements, Open Plan stores your settings for how the placements are calculated. It does not, however, store the actual placements themselves. Placements are recalculated each time the view is opened. If you perform automatic placements and then make adjustments to the activity positions manually, you can preserve your modifications by saving them as manual placements.

Open Plan stores placement settings separately for each network view assigned to a project. This means, for example, you can define one set of placement options for FLOWVW in the project Clean, and another set for DEVFLOW (another network view) in the same project. You can also define different placement settings for these same views when they are opened within a different project.

The Zoning button displays the Zone Attributes dialog box.

The Filters button displays the Filters dialog box, which you can use to select a filter to apply to the view, create new filters, edit existing filters, or delete filters.

The Time Scale button displays the Scaling Specification dialog box, which you can use to specify how the network view should be scaled as well as the date formats to be used on the network view.

Location

Related Topics and Procedures


Using the Scaling Specification Dialog Box

Examples

This dialog box controls the following time scaling parameters that will be used in the network view:

  • Base on Date Field

  • Group Every

  • Date Format

  • Reference Date

Open Plan saves the scaling specifications when the network view is closed. When the view is next opened, Open Plan displays the date labels as specified in the previous session.

A Font button displays the Font dialog box. This dialog box allows you to specify the font attributes that Open Plan should use for the network date labels.

Location

Related Topics and Procedures


Using the Zone Attributes Dialog Box

If you enable the zoning option for automatic placements, you can have Open Plan group activities into horizontal bands based on one or more criteria that you specify. The Zone Attributes dialog box defines how Open Plan should display zones in a network view using the following settings:

  • Criterion — A field used for zoning purposes. Each time the value of this field changes, Open Plan creates a new zone.

  • Heading Field — A field appearing at the beginning of a new zone as a temporary annotation.

  • Font — The font to be used for the heading field. By clicking the ellipsis [image] button, you can display the Font dialog box where you can change the font attributes for the selected zone heading.

  • Color — The color to be used for the text in the heading field. Clicking the down arrow in this field displays a Color dialog box that you can use to select a color. The Color dialog box offers a choice of 48 standard colors and up to 16 additional custom colors.

    • You can define custom colors using an enhanced version of the Color dialog box accessed from the Color tab of the Options dialog box.

Location

Related Topics and Procedures


Working with Activities in a Network View

Open Plan allows you to perform many editing functions directly from a network view. You can add or delete individual activities or groups of activities. You can also perform move, cut, copy, and paste operations on either a single activity or groups of activities.

When you move an activity or group of activities within a single network view, the attached relationships remain with the activities.

When you cut a single activity from a network view, you also delete the attached relationships.

When you cut or copy a group of activities from a network view, only the relationships within the group remain with the cut or copied activities. Open Plan does not copy any relationships between the activities in the group and other activities in the project.

When applied to groups of activities, the copy and paste functions allow you to build a project very quickly.

If you copy a subproject activity to the clipboard, Open Plan also copies all its child activities from all lower levels in the hierarchy.

If you copy a group of activities to the clipboard, all the selected activities must have a common parent.

Related Topics and Procedures


Creating an Activity in a Network View (Procedure)

Creating an Activity (Network)

To create an activity in a network view:

  1. Do one of the following:

    • Double-click the area where you want the activity to be drawn.

    • On the Edit menu, click Add Activity.

    • Draw a relationship arrow from an existing activity box to an empty area in the workspace.

  2. In the Activity Details dialog box, enter the information about the activity. Although you do not need to enter all the information at this time, each activity must have a unique ID.

  3. When you have entered as much information as you wish, click Apply.

You can also create an activity in a network view without having to display the Activity Details dialog box. To do so, select the Suppress Activity Dialog option on the View menu, and then double-click an empty area in the network view to add an activity.

Related Topics and Procedures


Creating Child Activities in a Network (Procedure)

Creating Child Activities (Network)

To create child activities in a network view:

  1. Right-click the activity to which you want to add child activities.

  2. On the shortcut menu, click Add Child.

    3. Open Plan automatically converts the activity to a subproject before allowing you to add a child. This means that Open Plan will ignore the duration for the newly created parent activity for subsequent time analysis calculations.

  3. In the Activity Details dialog box, enter the information for the child activity.

  4. When the information is complete, click Apply.

- or -

  1. Double-click the activity to which you want to add child activities.

  2. On the General tab of the Activity Details dialog box, change the activity type to Subproject.

  3. Click Close.

  4. When the network view is redisplayed, right-click the newly created subproject.

  5. On the shortcut menu, click Go to Subproject.

  6. Create the child activities in the subproject workspace that is displayed.

When entering child activities in a network view, enter only the local portion of the activity ID. Open Plan automatically uses the ID of the parent subproject as a prefix to the local portion of the activity ID.

Related Topics and Procedures


Moving an Activity in a Network (Procedure)

Moving an Activity (Network)

To move an activity to another location on the same view:

  1. Select the activity you want to move.

  2. Drag the activity to a new location.

To move an activity to another project or subproject:

  1. Cut the activity from the active view.

  2. Display a network view of the new project.

  3. Paste the activity into the new project.

    4. Unless the activity being cut is part of a group of activities, Open Plan deletes any relationships attached to the activity. If you cut an activity as part of a group, Open Plan retains the relationships within the group. To retain relationships when moving an activity from one subproject to another, renumber the activity ID.

Open Plan automatically generates new activity IDs for activities being moved to reflect the new hierarchical organization. For example, if subproject X.1 with child activities X.1.1 and X.1.2 is pasted into subproject Z, the activities receive the following IDs: Z.X.1.1 and Z.X.1.2.

You can also move an activity to a different subproject by changing the parent portion of the activity ID. When you move an activity using this technique, Open Plan retains all the relationships for the activity.

Related Topics and Procedures


Selecting Multiple Activities in a Network (Procedure)

Selecting Multiple Activities (Network)

To select activities so that they can be moved, cut, or copied together:

  1. Place the cursor at one corner of the activities to select.

  2. Drag the cursor diagonally to the opposite corner of the selection.

  3. Release the mouse button.

- or -

  1. Click the top left activity in your selection.

  2. Press the Shift key, and click the bottom right activity in your selection.

- or -

  1. Click an activity.

  2. Press the Ctrl key while you click any other activities to include in the selection. (You can use the Ctrl+click actions as a toggle to include or exclude activities in the selection.)

The activities are selected and can be moved, cut, or copied as a unit.

You can use the technique of selecting and copying groups of activities to rapidly build a project network. Open Plan automatically assigns unique IDs to the new activities based on the ID template.

Related Topics and Procedures


Splitting a Network View into Two Panes

To split a network view into two panes, take one of the following actions:

  • On the View menu, click Split View.

  • Double-click the splitter control located at the left edge of the horizontal scrollbar.

  • Point to the splitter control, and use the split view cursor [image] that is displayed to drag the splitter bar to the desired location.

You can drag a relationship between the two split panes by pressing and holding the ALT key while dragging the relationship from one pane to the other.

Related Topics and Procedures


Creating a Relationship in the Network View with a Mouse (Procedure)

Creating a Relationship in a Network (Mouse)

To create a relationship in a network view using a mouse:

  1. Place the cursor at the appropriate edge of the predecessor activity. (Use the left edge to create start-to-start and start-to-finish relationships. Use the right edge to create finish-to-start and finish-to-finish relationships.)

    2. When the cursor is positioned on the edge of the activity box, the cursor changes to a [image] shape.

  2. Drag the cursor to create one of the following relationships:

    • Finish-to-start

    • Start-to-start

    • Finish-to-finish

    • Start-to-finish

    If you accidentally release the mouse button before creating the relationship, Open Plan assumes that you want to create a new activity and displays the Activity Details dialog box.

While a relationship lag can be either positive or negative, the default relationship that Open Plan creates has zero lag. By default, Open Plan uses the calendar of the successor activity to calculate any lag in the relationship.

To change either of these settings, take one of the following actions:

  • Double-click the relationship line, and edit the dialog box that is displayed.

  • Right-click the relationship line, click Edit Relationship on the shortcut menu, and edit the dialog box that is displayed.

In the Professional edition of Open Plan, you can also create relationships between activities in different external subprojects of a hierarchical project provided that both external subprojects are open.

Related Topics and Procedures


Creating a Relationship in the Network View with the Keyboard (Procedure)

Creating a Relationship in a Network (Keyboard)

To create a relationship in a network view using the keyboard:

  1. On the Edit menu, click Add Relationship.

  2. In the Predecessor field of the Add Relationship dialog box, enter the ID of the activity to be the predecessor.

  3. In the Successor field, enter the ID of the activity to be the successor.

  4. From the Type list, select a relationship type. The options in this field are:

    • Finish-to-start

    • Start-to-start

    • Finish-to-finish

    • Start-to-finish

  5. In the Lag field, enter the relationship lag.

    6. While a relationship lag can be either positive or negative, the default relationship that Open Plan creates has zero lag.

    To shorten the overall duration of a project, identify activities that can be overlapped and define their relationships with lag or lead times.

  6. From the Calendar list, select the name of the calendar to be used for calculating the lag in this relationship.

  7. Click OK.

In the Professional edition of Open Plan, you can also create relationships between activities in different external subprojects of a hierarchical project provided that both external subprojects are open.

Related Topics and Procedures


Editing a Relationship in the Network View (Procedure)

Editing a Relationship (Network)

To edit a relationship in a network view:

  1. Display the Edit Relationship dialog box by doing one of the following:

    • Double-click the relationship you want to edit.

    • Right-click the relationship you want to edit, and click Edit Relationship on the shortcut menu.

  2. In the Edit Relationship dialog box, enter the new information about the relationship.

  3. Click OK.

Related Topics and Procedures


Deleting a Relationship in a Network View (Procedure)

Deleting a Relationship (Network)

To delete a relationship:

  1. Double-click the relationship line that you want to delete.

  2. On the Relationship dialog box, click Delete.

- or -

  1. Right-click the relationship line that you want to delete.

  2. On the shortcut menu, click Delete Relationship.

- or -

  1. Position the cursor over the arrowhead of the relationship line.

  2. When the cursor changes to a zigzag ( [image]) shape, drag the arrowhead back to the predecessor activity.

Related Topics and Procedures


Creating a Relationship Using a Split Network View

To create a relationship using a split network view:

  1. Split the network view.

  2. Display the predecessor activity in one pane and the successor activity in the other.

  3. Alt+drag the cursor from the start or finish of the predecessor to the start or finish of the successor.

Related Topics and Procedures


Changing the Size of an Activity Box (Procedure)

Changing the Size of an Activity Box

To change the size of an activity box:

  1. Position the cursor over the lower right corner of the activity box.

  2. When the cursor changes to a double-headed arrow, drag the cursor until the activity box is the size you want.

You cannot change the size of an activity box while placements are set to automatic.

Related Topics and Procedures


Restoring an Activity Box to Its Previous Size (Procedure)

Restoring an Activity Box to Its Previous Size

To restore an activity box to its previous size:

  1. Right-click the activity box whose size you have changed.

    2. You can reset the size of only an activity box whose size you have modified directly. You cannot use this procedure to reset the size of an activity box that has been modified using the Set All Box Sizes command.

  2. On the shortcut menu, click Reset Box Size.

Related Topics and Procedures


Setting a New Default for the Size of the Activity Box (Procedure)

Setting a New Default for the Size of the Activity Box

To set a new default for the size of the activity box:

  1. Modify the size of one activity box to the size you want to use as the new default.

  2. Right-click this activity.

  3. On the shortcut menu, click Set All Box Sizes.

You cannot automatically reset the size of an activity box whose size you have modified using this procedure. You can, however, manually change the size of any activity box by dragging the lower right corner of the box into a new position.

Related Topics and Procedures


Changing the Shape of a Relationship Line (Procedure)

Changing the Shape of a Relationship

To change the shape of a relationship line:

  1. Position the mouse cursor over the relationship line.

  2. When the cursor changes to a crosshair, drag the line to change its shape.

To return the shape of a relationship line to its default position:

  1. Right-click the relationship line.

  2. On the shortcut menu, click Make Straight.

Related Topics and Procedures


Defining the Relationship Line Style (Procedure)

Defining the Relationship Line Style

To define the style of the relationship lines on a network view:

  1. On the Tools menu, click Preferences.

  2. On the Options tab of the Network Preferences dialog box, select either the Direct or the Routed line style.

  3. If you want rounded corners where the relationship lines change directions, click the Smooth Relationship Line Corners option.

  4. Click OK.

Defining the relationship line style changes the line style only for those relationship lines that you have not modified manually. Relationship lines that you have modified by dragging the line into a new shape remain unchanged.

Related Topics and Procedures


Aligning Activity Boxes in a Network View (Procedure)

Aligning Activity Boxes (Network)

To align activity boxes with the invisible grid:

  1. On the Tools menu, click Preferences.

  2. On the Options tab of the Network View Preferences dialog box, select the Snap Boxes to Grid option.

  3. Click OK.

Related Topics and Procedures


Showing Page Breaks on a Network View (Procedure)

Showing Page Breaks (Network)

To show page breaks on a network view:

  1. On the Tools menu, click Preferences.

  2. On the Options tab of the Network View Preferences dialog box, select the Show Page Breaks option.

  3. Click OK.

Related Topics and Procedures


Highlighting Controlling Relationships in a Network View (Procedure)

Highlighting Controlling Relationships (Network)

To highlight controlling relationships:

  1. On the Tools menu, click Preferences.

  2. On the Options tab of the Network View Preferences dialog box, select the Highlight Controlling Relationships option.

  3. Click OK.

Related Topics and Procedures


Setting Network Legend Options (Procedure)

Setting Network Legend Options

To set your options for the network legend:

  1. On the Tools menu, click Preferences.

  2. On the Network View Preferences dialog box, click the Legend tab.

  3. In the Legend Options section, indicate if you want to print the legend on every page, on a separate page, at a manually selected location, or not at all.

  4. If you want to print the legend on every page, select the position on the report page for printing the legend.

  5. Click OK.

Related Topics and Procedures


Moving a Legend (Procedure)

Moving a Legend (Network)

To display the legend on a network view:

  1. Do one of the following:

    • On the Tools menu, click Preferences.

    • Right-click an empty area within the view, and click Preferences from the context menu.

  2. On the Network View Preferences dialog box, click the Legend tab and then click Manual.

  3. Click OK to return to the view.

To position the legend:

  1. Place the cursor anywhere on the frame of the legend box.

  2. When the cursor shape changes to a hand [image], drag the legend to the desired location.

Related Topics and Procedures


Reshaping a Legend (Procedure)

Reshaping a Legend (Network)

To display the legend on a network view:

  1. Do one of the following:

    • On the Tools menu, click Preferences.

    • Right-click an empty area within the view, and click Preferences from the context menu.

  2. On the Network View Preferences dialog box, click the Legend tab and then click Manual.

  3. Click OK to return to the view.

To reshape the legend:

  1. Place the cursor at the lower right edge of the legend box.

  2. Drag the corner of the legend box until the box is the size and shape you want.

Related Topics and Procedures


Displaying a Network at Different Magnifications (Procedure)

Displaying a Network at Different Magnifications

To display a network view at a different magnification, take one of the following actions:

  • On the View menu, click Zoom Out or Zoom In.

  • Click the zoom buttons on the toolbar.

    • Zoom out

    Zoom in

Open Plan can display a network at three zoom levels.

Related Topics and Procedures


Performing Automatic Placements (Procedure)

Performing Automatic Placements

To perform automatic placements on a network view:

  1. Display a network view of the project.

  2. Do one of the following:

    • On the View menu, click Placements.

    • Press Shift+P.

  3. On the Placements dialog box, click Automatic for the placements method.

  4. Select any options for the operation.

  5. Click OK.

Related Topics and Procedures


Turning Automatic Placements Off (Procedure)

Turning Automatic Placements Off

To turn automatic placements off:

  1. Display a network view of the project.

  2. Do one of the following:

    • On the View menu, click Placements.

    • Press Shift+P.

  3. On the Placements dialog box, click Manual for the placements method.

  4. Click OK.

Related Topics and Procedures


Saving Automatic Placements (Procedure)

Saving Automatic Placements

To save automatic placements:

  1. Display a network view of the project.

  2. Perform automatic placements, and remain in the automatic mode.

    3. If you wish, you can modify the placements calculated by Open Plan before saving them.

  3. Do one of the following:

    • On the View menu, click Placements.

    • Press Shift+P.

  4. On the Placements dialog box, click Save As Manual.

  5. Click OK.

Related Topics and Procedures


Displaying a Semi Time-Phased Network View (Procedure)

Displaying a Semi Time-Phased Network View

To display a semi time-phased network view:

  1. Display a network view of the project.

  2. Do one of the following:

    • On the View menu, click Placements.

    • Press Shift+P.

  3. On the Placements dialog box, click Automatic for the placements method.

  4. Select the Time Scale Project option.

  5. Click Time Scale.

  6. In the Scaling Specification dialog box, set the appropriate options for the date scale.

    7. Open Plan always displays the activity boxes in the order dictated by the project logic. Therefore, a successor activity is never placed to the left of its predecessor even if it has an earlier start date due to negative lag.

  7. Click OK to return to the Placements dialog box.

  8. Click OK to display the view.

Related Topics and Procedures


Defining Custom Zoning (Procedure)

Defining Custom Zoning

To define custom zoning:

  1. Display a network view of the project.

  2. Do one of the following:

    • On the View menu, click Placements.

    • Press Shift+P.

  3. On the Placements dialog box, click Automatic.

  4. Click Zoning.

  5. In the Zone Attributes dialog box, enter the information for each attribute.

    6. To delete a zone definition, select any field, and press Delete.

  6. To define the font for a zoning header, click the Font field and then click the ellipsis button next to the edit box.

  7. Click OK to return to the Placements dialog box.

  8. Select the Zone Project option.

  9. To close the Placements dialog box and enable your settings, click OK.

Related Topics and Procedures


Displaying Child Activities in a Network (Procedure)

Displaying Child Activities (Network)

To display child activities:

  1. Right-click the subproject activity.

  2. On the shortcut menu, click Go to Subproject.

- or -

  1. Select a subproject activity.

  2. Do one of the following:

    • Click the Go-to-Subproject [image] button on the toolbar.

    • On the View menu, click Go to Subproject.

Related Topics and Procedures


Expanding a Subproject in a Network (Procedure)

Expanding a Subproject (Network)

In order to expand a network, placements must first be set to Manual on the Placements dialog box.

To expand a subproject in a network view:

  1. Right-click the parent activity of the subproject that you want to expand.

  2. On the shortcut menu, click Expand Subproject.

- or -

  1. Select the parent activity of the subproject that you want to expand.

  2. Do one of the following:

    • On the View menu, click Expand.

    • Click the Expand [image] button on the toolbar.

Related Topics and Procedures


Moving Up the Hierarchy in a Network (Procedure)

Moving Up the Hierarchy (Network)

To go to the parent activity in a hierarchy, take one of the following actions:

  • Right-click the workspace, and click Go to Parent from the context menu.

  • On the View menu, click Go to Parent.

  • Click the Go-to-Parent [image] button on the toolbar.

To go to the top level in the hierarchy, take one of the following actions:

  • Right-click the workspace, and click Go to Top Level on the context menu.

  • On the View menu, click Go to Top Level.

Related Topics and Procedures


Displaying Multiple Levels of a Project in a Network (Procedure)

Displaying Multiple Levels in a Project

To display multiple levels in a hierarchical project, take one of the following actions:

  • On the View menu, click Expand All.

  • Click the Expand All [image] button on the toolbar.

Related Topics and Procedures


Changing the Font on Activity Boxes (Procedure)

Changing the Font on Activity Boxes

To change the font on activity boxes:

  1. Display the network view for which you want to change the font.

  2. Take one of the following actions:

    • Right-click the workspace, and click Font on the context menu.

    • On the Tools menu, click Font.

  3. In the Font dialog box, select a font and its attributes.

  4. Click OK.

Related Topics and Procedures


Creating an Approval Box in a Network (Procedure)

Creating an Approval Box (Network)

To create an approval box on a network:

  1. Display the network view on which you want to create an approval box.

  2. On the Edit menu, click Add Annotation.

  3. In the Network View Annotation dialog box, enter the text you want to appear in the approval box using the following editing functions:

    • To advance to a new line, press Ctrl+Enter.

    • To draw a horizontal line across the box, use the underline key.

  4. From the Style list, select a border for the annotation.

  5. From the Color list, select a background color for the approval box.

  6. Click OK.

To resize the approval box:

  1. Select the approval box.

  2. Place the cursor at the lower right corner of the approval box.

  3. Drag the cursor until the box is the size you want.

To move the approval box on the view:

Place the cursor near the center of the approval box, and drag it to a new location.

Related Topics and Procedures


Entering an Annotation (Procedure)

Entering an Annotation (Network)

To enter an annotation on the network view:

  1. Do one of the following:

    • On the Edit menu, click Add Annotation.

    • Right-click an empty area of the view, and click Annotate from the context menu.

    • Right-click an activity, and click Annotate Activity from the context menu.

  2. In the Network View Annotation dialog box, enter the text you want to display as an annotation.

  3. From the Style list, select a border for the annotation.

  4. From the Color list, select a background color for the annotation.

  5. To change the appearance of the annotation text, click the Font button, and select a font and its attributes.

  6. To attach an annotation to a specific activity, rather than to the view, enter the activity ID in the Attach to Activity ID field. The annotation will then stay with the activity whenever the activity is moved on the view.

    7. Each activity can have only one annotation. Attaching an annotation to an activity that already has one detaches (but does not delete) the old annotation.

  7. Click OK.

Related Topics and Procedures


Changing How an Annotation is Displayed (Procedure)

Changing How an Annotation is Displayed

To move the annotation on the view:

Place the cursor near the center of the annotation, and drag it to a new location.

To place the annotation behind another element on the view:

Right-click the annotation, and click Send to Back from the context menu.

To place the annotation in front of another element on the view:

Click the part of the annotation that is displayed.

To resize an annotation:

  1. Select the annotation.

  2. Place the cursor at the lower right corner of the annotation box.

  3. Drag the cursor until the annotation box is the size you want.

Related Topics and Procedures


Deleting an Annotation (Procedure)

Deleting an Annotation

To delete an annotation:

  1. Right-click the annotation you want to delete.

  2. On the shortcut menu, click Delete.

Related Topics and Procedures


Editing an Annotation (Procedure)

Editing an Annotation

To edit an annotation:

  1. Right-click the annotation, and click Edit from the context menu.

  2. In the Network View Annotation dialog box, enter the text you want to display as an annotation.

  3. From the Style list, select a border style for the annotation.

  4. From the Color list, select a background color for the annotation.

  5. To change the appearance of the annotation text, click the Font button, and select a font and its attributes.

  6. To attach an annotation to a specific activity, rather than to the view, enter the activity ID in the Attach to Activity ID field. The annotation will then stay with the activity whenever the activity is moved on the view.

    7. Each activity can have only one annotation. Attaching an annotation to an activity that already has one detaches (but does not delete) the old annotation.

  7. Click OK.

Related Topics and Procedures


Changing the Font on a Network View (Procedure)

Changing the Font on a Network View

To change the font on a network view:

  1. Display the network view for which you want to change the font.

  2. Do one of the following:

    • Right-click the workspace, and click Font on the context menu.

    • On the Tools menu, click Font.

  3. In the Font dialog box, select a font and its attributes.

  4. Click OK.

Related Topics and Procedures


Changing the Font on an Annotation (Procedure)

Changing the Font on an Annotation

To change the font on an annotation:

  1. Do one of the following:

    • Double-click the annotation whose font you want to change.

    • Right-click the annotation whose font you want to change, and click Edit from the context menu.

  2. On the Network View Annotation dialog box, click Font.

  3. In the Font dialog box, select a font and its attributes.

  4. Click OK.

The font size is controlled by the size of the annotation.

Related Topics and Procedures


Network Preferences Box Attributes Tab

Examples

The Box Attributes tab controls the appearance of the activity boxes based on criteria that you define. In this way, you can use attributes such as box styles or colors to represent activity data. Open Plan uses the following settings to define the attributes of an activity box:

  • Criterion

  • Left Color

  • Left Diag

  • Text Color

  • Right Style

  • Right Diag

  • Left Style

  • Right Color

  • Label

The default activity box has the following attributes: black text color, square ends, and no diagonals.

Sometimes an activity meets the criteria set for more than one set of attributes. To determine how to display that activity, Open Plan uses the order in which the activity box attributes are listed in this dialog box. For each activity, Open Plan starts at the bottom of the list and uses the attributes defined for the first criterion that the activity satisfies. If the activity does not meet any of the defined criteria, Open Plan uses the default activity box.

Initially, Open Plan displays the activity box attributes in the order in which you entered them. However, you can delete an attribute simply by selecting any cell and pressing Delete. And you can change the order in which the box attributes appear by using the selection and change order buttons.

When defining box attributes, it is not necessary to define box attributes for every conceivable situation. Unless you want a particular attribute to be controlled by a particular criterion, use the default setting. Open Plan displays an activity that conforms to more than one criterion by using a combination of the colors and styles defined for those criteria to which it conforms. If more than one of these criteria have non-default settings for the same attribute, Open Plan uses the higher criterion on the list. (This is the only circumstance under which the order of the criteria on the list matters.)

A Preview window shows how Open Plan would display an activity meeting the selected criterion. If you select multiple rows, the Preview window displays how an activity meeting all the criteria would be displayed.

The three buttons across the bottom of the Network Preferences dialog box apply to all tabs. The OK button accepts your input and closes the dialog box. The Cancel button cancels your input and closes the dialog box. The Help button provides access to help about the current tab.

Location

Related Topics and Procedures


Network Preferences Box Layout Tab

This tab controls both the selection and the display of data fields within an activity box:

  • The Field column specifies the field in the activity file to be displayed. This field can be either one of the standard activity fields or a calculated field that you have added to the file.

  • The Line column specifies the line in the box on which the field is displayed. Open Plan can display any number of fields on the same line. These fields appear in the same order as shown on this tab.

    • To add space to any activity box, leave out some lines. For example, you might specify fields for lines 1 and 8. This would leave space in the activity box that could be used for handwritten notes in a turn-around report.

    Buttons located at the bottom of the tab allow you to change the order of fields displayed on the same line.

  • The Format column specifies the number of lines that the field may use to display data. You can allow the field to wrap up to four lines. Open Plan sets the line depth to accommodate the highest wrap value given to fields on the line. For example, if two fields on a line are given wrap values of 2 and 4, Open Plan sets the line depth to accommodate a wrap value of 4.

    • If you select a numeric type in the Field column, you can select Progress Bar as a format. Open Plan interprets this value as a percentage. While an activity box can have any number of progress bars, no other field can be displayed on the same line as a progress bar.

There is no limit to the number of fields Open Plan can display within an activity box. To delete a row, select the field to be deleted, and press Delete.

A preview window allows you to see an approximate representation of the layout of the activity box.

While box layout affects the size and aspect ratio of the boxes in the network view, this is not accurately reflected in the preview window.

The three buttons across the bottom of the Network Preferences dialog box apply to all tabs. The OK button accepts your input and closes the dialog box. The Cancel button cancels your input and closes the dialog box. The Help button provides access to help about the current tab.

Location

Related Topics and Procedures


Creating Interproject Relationships in a Network (Procedure)

Creating Interproject Relationships (Network)

To create an interproject relationship in a network view:

  1. Open the master project.

  2. Open all external subprojects containing activities to be part of an interproject relationship.

  3. Expand the external subproject activities.

  4. Place the cursor at the appropriate edge of the predecessor activity. (Use the left edge to create start-to-start and start-to-finish relationships. Use the right edge to create finish-to-start and finish-to-finish relationships.)

    5. When the cursor is positioned on the edge of the activity box, the cursor changes to a [image] shape.

  5. Drag the cursor to create one of the following relationships:

    • Finish-to-start

    • Start-to-start

    • Finish-to-finish

    • Start-to-finish

    If you accidentally release the mouse button before creating the relationship, Open Plan assumes that you want to create a new activity and displays the Activity Details dialog box.

While a relationship lag can be either positive or negative, the default relationship that Open Plan creates has zero lag. By default, Open Plan uses the calendar of the successor activity to calculate any lag in the relationship.

To change either of these settings, double-click the relationship line, and edit the dialog box that is displayed.

Related Topics and Procedures


Defining Activity Box Attributes (Procedure)

Defining Activity Box Attributes

To define the attributes of an activity box:

  1. On the Tools menu, click Preferences.

  2. Click the Box Attributes tab.

  3. In the Criterion column, select the filter that will be used to determine whether Open Plan should use this box to represent an activity.

  4. Define the appearance of the activity box by selecting the appropriate elements from the Text Color, Left Style, Left Color, Right Style, Right Color, Left Diag, and Right Diag columns.

  5. In the Label column, enter a name to be displayed in the legend.

  6. To change the order of the sets of attributes, use the Change Order buttons.

  7. Click OK.

Related Topics and Procedures


Setting Box Layout Options (Procedure)

Setting Box Layout Options

To set your options for the activity box layout:

  1. On the Tools menu, click Preferences.

  2. On the Network View Preferences dialog box, click the Box Layout tab.

  3. In the Field column, click a blank line, and select a field from the list that is displayed.

  4. In the Line column, enter a line number to indicate where the field should display within the activity box.

    5. If you enter the same line number for more than one field, Open Plan displays the fields in the order shown in the list on the dialog box. You can use the change order buttons to move a data field to a higher or lower position in the list.

  5. In the Format column, select the number of lines that the field may wrap.

  6. Continue entering fields until you have fully defined the contents of the activity box. There is no limit to the number of fields you can define for an activity box.

  7. Click OK.

Related Topics and Procedures


Customizing a Spreadsheet View

You can customize how a spreadsheet presents information by using the Spreadsheet Preferences dialog box that you display by opening a spreadsheet view and clicking Preferences on the Tools menu.

Both the Desktop and the Professional editions of Open Plan feature an Options tab on the Spreadsheet Preferences dialog box. This tab allows you to define the following features of a spreadsheet view:

  • Background color

  • Font

  • Grid line display

  • Grid line color

In addition, if the displayed view is an activity spreadsheet, you can enable subsections or outlining to display the data at an appropriate level of detail.

The Professional edition of Open Plan also features the following additional tabs that allow you to prepare special-purpose views:

  • Subsections Tab

  • Outlining Tab

  • Define Link Tab

Three buttons are located across the bottom of the dialog box. The OK button accepts your input and closes the dialog box. The Cancel button cancels your input and closes the dialog box. The Help button provides access to help about the specific tab that is displayed.

When the information in a spreadsheet is hierarchical, you can enable outlining and use four buttons to control the information that is displayed in the spreadsheet. (Click each button for a description of its function.)

Related Topics and Procedures


Linking

Although you can use calculated fields to display individual fields from different data tables on a single spreadsheet, Open Plan offers a more general linking capability in multi-table spreadsheet views. In multi-table spreadsheet views, you can display any field from linked tables just as though the field resided on the primary data table for the view. This allows you to produce sophisticated reports showing information from a number of different data tables.

Open Plan provides a number of multi-table spreadsheet views including:

  • Predecessor/Successor Spreadsheet — Displays the predecessors and successors for each activity in a project

  • Activity/Resource Spreadsheet — Displays the resources assigned to each activity in a project

  • Resource/Activity Spreadsheet — Displays the activities to which each resource is assigned

Related Topics and Procedures


Spreadsheet Preferences Options Tab

This tab controls how a spreadsheet is displayed using the following settings:

  • Table Name

  • Grid Lines

  • Grid Color

  • You can decide whether to enable subsections or outlining using the following options:

    • Enable Subsections

    If subsections have been defined for the view, Open Plan displays information about the fields and hierarchical levels on which a subsection should break.

    In the Desktop edition of Open Plan, the Enable Subsections option is disabled if subsections have not been defined for the view.

    • Enable Outlining

    • Disable Subsections and Outlining

  • Show Skills as Resources

Open Plan also allows you to define the appearance of the heading and table sections of a spreadsheet individually:

  • Heading

  • Table

  • Minimum Row Height

Location

Related Topics and Procedures


Spreadsheet View

Spreadsheet views display information for multiple records in a tabular format. When you select a cell, the data is displayed in an edit box above the table.

Open Plan comes with two types of spreadsheets, each of which is identified with a special icon:

Single-table spreadsheets

Multi-table spreadsheets

You can navigate around a spreadsheet using either a mouse or keyboard shortcuts.

You can customize all spreadsheets by adding columns, deleting columns, and changing the width of any column. You can also set up subsections with summaries and totals, or use outlining to display the appropriate level of information.

You can also specify conditional format overrides by right-clicking a spreadsheet view and selecting Set Column/Row Attributes.

You can copy data directly from Open Plan to other applications such as Excel by simply copying the row, cell, or range and pasting it into the target application. You can also use a Fill Column Down command to replicate data from the top of one or more columns down through a selected range.

By default, you can select the data in a spreadsheet by clicking or control-clicking one or more column headings. You can also select multiple adjacent rows or columns by holding down the Shift key as you make your selections. And, by using the Ctrl key, you can select non-adjacent rows or columns.

By right-clicking a column heading, you can select the Click to Sort option on the shortcut menu. With this option selected, you can sort the data in the spreadsheet based on the selected column simply by clicking its heading.

In addition, you can split the spreadsheet into two panes. Each pane features a horizontal scroll bar allowing you to adjust the amount of data displayed in each pane.

Location

Related Topics and Procedures


Using the Add Column Dialog Box

This dialog box defines the attributes of the new column using the following settings:

  • Table Name

  • Field Name

  • Title

  • Wrap Text — In Cells

  • Wrap Text — In Column Heading

  • Width — Best Fit

  • Width — Specific

  • Text — Indent

  • Text — Override Default Font Settings

  • Text — Alignment

  • Text — Color

  • Formatting

  • Decimals

The Add Column command places the new column to the right of the selected column.

Location

Related Topics and Procedures


Using the Choose a Value Dialog Box

This dialog box allows you to select a value from a field that is in a different file. For example, when an activity spreadsheet is displayed, the Choose a Value dialog box allows you to select a code from the code file assigned to the selected code field.

As shipped from Deltek, the activity spreadsheet does not contain a code field column. You can define a code field column on the spreadsheet by adding a column, inserting a column, or editing an existing column.

Location

Related Topics and Procedures


Using the Edit Column Dialog Box

This dialog box defines the attributes of the selected column using the following settings:

  • Table Name

  • Field Name

  • Title

  • Wrap Text — In Cells

  • Wrap Text — In Column Heading

  • Width — Best Fit

  • Width — Specific

  • Text — Indent

  • Text — Override Default Font Settings

  • Text — Alignment

  • Text — Color

  • Formatting

  • Decimals

  • Advanced

Open Plan does not automatically update the column width when changes are made to the column heading or contents.

Location

Related Topics and Procedures


Using the Insert Column Dialog Box

This dialog box defines the attributes of the new column using the following settings:

  • Table Name

  • Field Name

  • Title

  • Wrap Text — In Cells

  • Wrap Text — In Column Heading

  • Width — Best Fit

  • Width — Specific

  • Text — Indent

  • Text — Override Default Font Settings

  • Text — Alignment

  • Text — Color

  • Formatting

  • Decimals

The Insert Column command places the new column to the left of the selected column.

Location

Related Topics and Procedures


Using the Insert Rows Dialog Box

The Insert Rows dialog box allows you to insert any number of rows immediately before the selected row.

Location

Related Topics and Procedures


Using the Predecessor/Successor Spreadsheet

This spreadsheet allows you to view multiple relationships for each activity in a project.

Open Plan displays a plus sign (+) or a minus sign (-) on the outlining button to the left of the row to control the display of relationship information.

If the outlining button displays a plus sign, you can expand the activity to see its relationships.

If the outlining button displays a minus sign, the activity is already expanded. Clicking the outlining button will collapse the display of relationships.

If the outlining button is blank, the activity does not have any relationships.

Location

Related Topics and Procedures


Using the Resource/Activity Spreadsheet

The Resource/Activity spreadsheet allows you to view multiple assignments for each resource.

Open Plan displays a plus sign (+) or a minus sign (-) on the outlining button to the left of the row to control the display of assignment information.

If the outlining button displays a plus sign, you can expand the resource to see its assignments.

If the outlining button displays a minus sign, the resource is already expanded. Clicking the outlining button will collapse the display of assignments.

If the outlining button is blank, the resource does not have any assignments.

Related Topics and Procedures


Using the Set Column/Row Attributes Dialog Box

Open Plan offers a great deal of control over the format of spreadsheet views. For instance, the Spreadsheet Preferences dialog box lets you customize the look and feel of a spreadsheet view, as well as set row attributes for subsection headings, summary rows, and grand totals. The Edit Column, Add Column, and Insert Column dialog boxes let you specify the default attributes of individual columns in the spreadsheet view.

With the Set Column/Row Attributes dialog box, you can override these default settings by specifying the conditions under which the attributes of rows or an individual column or row will change. For example, you may want key figures that exceed a particular criterion to appear in bold red text, show a symbol, or display in a different background color.

The Set Column/Row Attributes dialog box contains a grid that you can use to define rules for the format of rows and individual columns. Any attribute selected on a rule further down the grid will override that same attribute for a rule higher in the grid.

When you create a new rule for a column or rows, the rule characteristics columns all contain < Default >. With the default entry selected, the spreadsheet cell will retain the formatting defined an upper-row rule, or in another dialog box (such as the Edit Column dialog box).

The following columns in the grid are used to define each formatting rule:

  • Applies To

  • Criterion

  • Font

  • Text Color

  • Background

  • Alignment

  • Image

  • Image Context

The following controls and features are available below the rules grid:

  • Change Order

  • Preview

Location

Related Topics and Procedures


Adjusting Column Width (Procedure)

Adjusting Column Width (Spreadsheet)

To adjust the width of a column in a spreadsheet manually:

Drag the column boundary to the desired width.

To adjust the width of a column in a spreadsheet to the size required by the data present, follow one of these procedures:

  1. Right-click a spreadsheet cell.

  2. Click Best Fit on the shortcut menu.

- or -

  1. Select a spreadsheet column.

    2. You can also adjust the width of multiple columns at one time when using this procedure. Use the Shift key when selecting multiple adjacent columns; use the Ctrl key when selecting multiple columns that are not adjacent.

  2. On the View menu, click Spreadsheet.

  3. On the Spreadsheet submenu, click Size Column for Best Fit.

Related Topics and Procedures


Adding a Column in a Spreadsheet (Procedure)

Adding a Column (Spreadsheet)

To add a column to a spreadsheet:

  1. Do one of the following:

    • Right-click the heading of the column to the left of where you want to add a column, and click Add Column on the context menu.

    • Position the cursor in the column to the left of where you want to add a column, display the View menu, and click Add Column on the Spreadsheet submenu.

  2. In the Add Column dialog box, select the field to be displayed in the column.

  3. In the Title field, enter the text to be displayed as a column heading.

  4. In the Width field, select the number of characters for Open Plan to display across the column. The default value is the larger of the following:

    • The number of characters allowed in the data dictionary

    • The number of characters entered in the Title column

    You can also choose Best Fit to have Open Plan calculate a column width that accommodates the column heading.

  5. Click OK.

Related Topics and Procedures


Inserting a Column in a Spreadsheet (Procedure)

Inserting a Column (Spreadsheet)

To insert a new column in a spreadsheet:

  1. Do one of the following:

    • Right-click the heading of the column to the right of where you want to insert a column, and click Insert Column on the context menu.

    • Position the cursor in the column to the right of where you want to insert a column, display the View menu, and click Insert Column on the Spreadsheet submenu.

  2. In the Insert Column dialog box, select the field to be displayed in the column.

  3. In the Title field, enter the text to be displayed as a column heading.

  4. In the Width field, select the number of characters for Open Plan to display across the column. The default value is the larger of the following:

    • The number of characters allowed in the data dictionary

    • The number of characters entered in the Title column

    You can also choose Best Fit to have Open Plan calculate a column width that accommodates the column heading.

  5. Click OK.

Related Topics and Procedures


Removing a Column in a Spreadsheet (Procedure)

Removing a Column (Spreadsheet)

To remove a column from the spreadsheet:

  1. Select the column you want to remove.

  2. Take one of the following actions:

    • Right-click the column heading, and click Remove Column on the shortcut menu.

    • Display the View menu, and click Remove Column on the Spreadsheet submenu.

Related Topics and Procedures


Editing a Column in a Spreadsheet (Procedure)

Editing a Column (Spreadsheet)

To edit a column in a spreadsheet:

  1. Do one of the following:

    • Right-click the heading of the column you want to edit, and click Edit Column on the shortcut menu.

    • Position the cursor in the column you want to edit, display the View menu, and click Edit Column on the Spreadsheet submenu.

  2. In the Edit Column dialog box, select the field to be displayed in the column.

  3. In the Title field, enter the text to be displayed as a column heading.

  4. In the Width field, select the number of characters for Open Plan to display across the column. The default value is the larger of the following:

    • The number of characters allowed in the data dictionary

    • The number of characters entered in the Title column

    You can also choose Best Fit to have Open Plan automatically resize the column width to allow just enough space for the larger of either the column heading or the contents of any row in the column. Open Plan does not automatically update the column width when changes are made to the column heading or contents.

  5. Click OK.

Related Topics and Procedures


Moving a Column in a Spreadsheet (Procedure)

Moving a Column (Spreadsheet)

To move a column in a spreadsheet with a mouse:

Click the column heading, and drag the column to its new position.

When you drag the column heading, the cursor changes to a [image] symbol.

Related Topics and Procedures


Creating an Activity in a Spreadsheet View (Procedure)

Creating an Activity (Spreadsheet)

To create an activity in a spreadsheet view:

  1. Do one of the following:

    • Select the ID column of an empty row, and enter a new activity ID.

    • Double-click an empty row.

    • On the Edit menu, click Add Activity.

  2. In the Activity Details dialog box, enter the information about the activity. Although you do not need to enter all the information at this time, each activity must have a unique ID.

  3. When you have entered as much information as you want, click Apply.

Related Topics and Procedures


Splitting a Spreadsheet into Two Panes (Procedure)

Splitting a Spreadsheet into Two Panes

To split a spreadsheet into two panes, do one of the following:

  • On the View menu, point to Spreadsheet, and click Split View on the submenu.

  • Double-click the splitter control located at the left edge of the horizontal scrollbar.

  • Point to the splitter control, and use the split view cursor [image] that is displayed to drag the splitter bar to the desired location.

Related Topics and Procedures


Sorting the Data in a Spreadsheet (Procedure)

Sorting the Data in a Spreadsheet

In order for the following procedures to work, you must first enable the Click to Sort function by right-clicking a column heading and clicking Click to Sort on the shortcut menu.

To sort the data based on a single column in a spreadsheet:

  1. Click the heading of the column on which you want to base the sort.

  2. Click the same column heading again to toggle the sort operation between ascending and descending order.

To sort the data based on multiple columns in a spreadsheet:

  1. Click the heading of the first column on which you want to base the sort.

    2. Clicking the same column heading again toggles the sort operation between ascending and descending order.

  2. Ctrl+click the next column on which Open Plan should sort the data.

    3. For example, assume that you want to sort the data based on early dates and then based on duration, you would first click the Early Dates heading and then control-click the Duration heading.

  3. Continue control-clicking additional columns until you have defined the entire sort expression.

Related Topics and Procedures


Creating Child Activities in a Spreadsheet (Procedure)

Creating Child Activities (Spreadsheet)

To create child activities in a spreadsheet:

  1. Insert a row at the place where you want to create a child activity.

  2. In the Activity ID column, enter an ID that indicates that the activity is a child of the subproject. For example, if the project contains an activity ACT01, adding the activity ACT01.1 automatically converts ACT01 into a subproject and makes ACT01.1 a child of ACT01.

Related Topics and Procedures


Inserting Rows in a Spreadsheet (Procedure)

Inserting Rows (Spreadsheet)

To insert rows in a spreadsheet, follow one of these procedures:

  1. Right-click the selection box of the row that follows where you want to insert rows.

  2. On the shortcut menu, click Insert Rows.

  3. In the Insert Rows dialog box, enter the number of rows that you want to insert.

  4. Click OK.

- or -

  1. Select the row that follows where you want to insert rows.

  2. On the View menu, click Spreadsheet.

  3. On the Spreadsheet submenu, click Insert Rows.

  4. In the Insert Rows dialog box, enter the number of rows that you want to insert.

  5. Click OK.

Related Topics and Procedures


Deleting Rows in a Spreadsheet (Procedure)

Deleting Rows (Spreadsheet)

To delete rows in a spreadsheet, follow one of these procedures:

  1. Right-click the selection box of the row you want to delete.

  2. On the shortcut menu, click Delete Rows.

  3. When Open Plan asks you to confirm the deletion, click Yes.

- or -

  1. Select the row you want to delete.

  2. On the View menu, point to Spreadsheet.

  3. On the Spreadsheet submenu, click Delete Rows.

  4. When Open Plan asks you to confirm the deletion, click Yes.

Deleting a row in a spreadsheet also deletes the data.

Related Topics and Procedures


Enabling Outlining (Procedure)

Enabling Outlining

To enable outlining:

  1. Do one of the following:

    • On the Tools menu, click Preferences. (In a barchart view, click Spreadsheet Preferences.)

    • Right-click a row or a column heading in the spreadsheet, and click Preferences on the shortcut menu.

  2. On the Options tab of the Spreadsheet Preferences dialog box, click Enable Outlining.

  3. Click OK.

Related Topics and Procedures


Enabling Subsections (Procedure)

Enabling Subsections

To enable subsections:

  1. Do one of the following:

    • On the Tools menu, click Preferences. (In a barchart view, click Spreadsheet Preferences.)

    • Right-click a row or a column heading in the spreadsheet, and click Preferences on the shortcut menu.

  2. On the Options tab of the Spreadsheet Preferences dialog box, click Enable Subsections.

  3. Click OK.

Related Topics and Procedures


Customizing Display Options (Procedure)

Customizing Display Options (Spreadsheet)

To customize spreadsheet display options:

  1. Do one of the following:

    • On the Tools menu, click Preferences. (In a barchart view, click Spreadsheet Preferences.)

    • Right-click a row or a column heading in the spreadsheet, and click Preferences on the shortcut menu.

  2. On the Options tab of the Spreadsheet Preferences dialog box, enter the information for the display options.

  3. Click OK.

Related Topics and Procedures


Setting a Column or Row Attribute (Procedure)

Setting a Column or Row Attribute

To set the attributes of a spreadsheet row or column:

  1. Open the spreadsheet view you want to customize.

  2. From the Edit menu, select Set Column/Row Attributes.

  3. Place your cursor in the first row of the Applies To column, and using the selection list, choose the column you want to format. (You can also select < Rows > to specify attributes for all rows meeting the criterion).

  4. You may choose to make the formatting conditional by specifying a Criterion.

  5. Using the remaining columns in the rules grid, specify the appearance and contents of the column or rows.

  6. When finished, click OK.

Related Topics and Procedures


Changing the Default Font on a Spreadsheet (Procedure)

Changing the Default Font (Spreadsheet)

To change the default font on a spreadsheet view:

  1. Do one of the following:

    • On the Tools menu, click Preferences. (In a barchart view, click Spreadsheet Preferences.)

    • Right-click the spreadsheet (or the spreadsheet portion of a barchart view), and click Preferences on the shortcut menu.

  2. On the Spreadsheet Preferences Options tab, click Font.

  3. In the Font dialog box, select a font and its attributes.

  4. Click OK.

Related Topics and Procedures


Creating a Relationship in a Spreadsheet View (Procedure)

Creating a Relationship (Spreadsheet)

To create a relationship in a relationship spreadsheet:

  1. Select an empty cell in the Predecessor column.

  2. At the right edge of the edit box, click the ellipsis [image] button.

  3. In the Choose a Value dialog box, select the activity to become the predecessor in the relationship, and click OK.

  4. In the Successor column, select the activity to become the successor in the relationship.

  5. Enter the rest of the information for the relationship.

    6. To create multiple relationships to the same predecessor, repeat this procedure, selecting the same activity ID for each relationship you want to create.

Related Topics and Procedures


Assigning Resources in a Spreadsheet (Procedure)

Assigning Resources (Spreadsheet)

To add an assignment in an assignment spreadsheet:

  1. On a blank row, select the Activity ID cell.

  2. At the right edge of the edit box, click the ellipsis button.

  3. In the Choose a Value dialog box, select an activity, and click OK.

  4. In the RES ID column, select a resource to assign to the activity.

  5. Enter the rest of the information for the assignment.

    6. To assign multiple resources to the same activity, repeat this procedure, selecting the same activity ID for each resource you want to assign.

To add an assignment in a resource/activity spreadsheet:

  1. Insert a blank line immediately beneath the resource for which you want to add an assignment.

  2. Select the Activity ID cell.

  3. At the right edge of the edit box, click the ellipsis button.

  4. In the Choose a Value dialog box, select an activity, and click OK.

  5. Enter the rest of the information for the assignment.

Related Topics and Procedures


Printing a Spreadsheet (Procedure)

Printing a Spreadsheet

To print a spreadsheet view:

  1. Display the spreadsheet view that you want to print.

  2. On the File menu, click Print Options.

  3. In the Print Options dialog box, select the print options for your report.

  4. To preview your printed report, click Preview.

  5. Do one of the following:

    • If you have chosen Preview, click Print from the preview screen.

    • If you have not chosen Preview, click OK to close the Print Options dialog box and then click Print on the File menu.

Related Topics and Procedures


Spreadsheet Preferences Subsections Tab

This tab is used to add subsection breaks and summary rows to spreadsheet views, and to further refine the way a spreadsheet will display data with subsectioning enabled.

The Subsections tab features the following controls:

  • Grid — Each line on the grid uses the following settings to control how Open Plan displays the information within a subsection.

    • Break On

    • Break Level

    • Page Break

    • Font

    • Text

    • Background

    • Heading

    • Summary

    • Heading Field

  • Enable Grand Total — This option controls whether or not Open Plan should generate a grand total summary row at the end of the report. For your grand total row, you can select a custom background color, and also customize the color and font of the grand total text. You can choose from 48 standard colors and up to 16 additional custom colors for both background and text.

    • You can define custom colors using an enhanced version of the Color dialog box accessed from the Color tab of the Options dialog box.

  • Show Summary Bars When There are no Subsection Summary Rows — When applied to a Barchart view, this option controls whether Open Plan generates and displays summary bars when there are no subsection summary rows.

  • Sort Blank Values Last — With this option selected, a subsection summary that contains empty values will appear at the bottom of the spreadsheet view.

  • Initial Drill-Down Level — Controls the lowest level that is expanded on the spreadsheet upon initial view. The default for this field is 0, which results in the top level being expanded.

  • Number of Characters to Indent Per Level — Controls the number of characters Open Plan indents each level with a spreadsheet view that has subsections enabled. You can enter any value between 0 and 20.

The summary information displayed as part of a subsection is always based on the currently enabled filter. Therefore, data that is filtered out of a view is not included in a calculated total for either a subsection or the grand total.

Location

Related Topics and Procedures


Spreadsheet Preferences Outlining Tab

This tab controls the structure Open Plan uses to display outlined and summary data using the following settings:

  • Outline Structure — Displays whether or not the structure is outlined on the activity or resource ID.

  • Initial Drill-Down Level — Controls the lowest level that is expanded on the spreadsheet. You can enter any value between 0 and 20 in this field. The default is 0. This means that the entire structure is collapsed.

  • Number of Characters to Indent per Level — Controls the number of characters Open Plan should use when indenting a spreadsheet view that has the Outlining option enabled. You can enter any value between 0 and 20.

  • Filter from the Top Down — When using outlining in a spreadsheet or barchart, this option controls how Open Plan applies a filter:

    • If this option is selected, Open Plan applies the filter to a parent activity before applying it to its children. When the filter is applied top down, an activity is displayed only if it and all of its descendents match the filter. This may cause some activities not to be displayed even though they match the filter. For example, assume that Activity A matches the filter, but that its child Activity A.1 does not. With this setting, neither Activity A nor Activity A.1 will be displayed.

    • If this option is cleared, Open Plan applies the filter bottom up. This means that Open Plan applies the filter to a child activity before applying it to its parent. This is the default setting. When the filter is applied bottom up, an activity is displayed if it or any of its descendents match the filter. This may cause some activities to be displayed even though they, themselves, do not match the filter. For example, assume that Activity A does not match the filter, but that its child Activity A.1 does. With this setting, both Activity A.1 and its parent, Activity A will be displayed.

  • Background Color — Controls the background color Open Plan displays for the outline rows. Clicking the down arrow for this field displays a Color dialog box that you can use to select a color for that feature. The Color dialog box offers a choice of 48 standard colors and up to 16 additional custom colors.

    • You can define custom colors using an enhanced version of the Color dialog box accessed from the Color tab of the Options dialog box.

The Font button displays a dialog box where you can change all the font attributes for the text Open Plan displays for the outline rows.

Open Plan always sorts within the outline and calculates summary information for outlining from the entire project, regardless of any filters in effect.

Location

Related Topics and Procedures


Spreadsheet Preferences Define Link Tab

Examples

The Define Link tab allows you to create custom spreadsheet views that combine information from two or more data tables. For example, although resource descriptions and activity descriptions are stored on different data tables, you can combine this information onto a single spreadsheet by using the Define Link tab.

This tab features the following controls that allow you to specify the way data is displayed in multi-table spreadsheets or barcharts:

  • Grid — The grid controls the tables and fields that are displayed using the following settings:

    • From Table

    • From Field

    • To Table

    • To Field

    • Sort

    • Filter

    Use the horizontal scrollbar to display the Sort and Filter columns on the grid.

    When setting up a link, you must select fields in both the From table and the To table that represent similar data. For example, because the Alternate Res. ID field on the Assignment table and the Res. ID field on the Availability table both represent a resource ID, they can be used as linking fields between the data tables.

  • Put Primary Record on Its Own Row — This option controls how Open Plan should display the primary record.

    • If you select this option, Open Plan displays the primary record on its own row. This is the default setting.

    • Provided that subsections and outlining are disabled for the spreadsheet, clearing this option conserves space by displaying the first row of data with the primary record.

  • Baseline Colors — This button displays the Multiple Baseline Colors dialog box that you can use to define colors for three baselines.

Location

Related Topics and Procedures


Defining Outlining (Procedure)

Defining Outlining

To define outlining:

  1. Do one of the following:

    • On the Tools menu, click Preferences. (In a barchart view, click Spreadsheet Preferences.)

    • Right-click a row or a column heading in the spreadsheet, and click Preferences on the shortcut menu.

  2. On the Options tab of the Spreadsheet Preferences dialog box, click Enable Outlining.

  3. Click the Outlining tab.

  4. Enter the information for the outlining feature.

  5. Click OK.

Related Topics and Procedures


Defining Subsections (Procedure)

Defining Subsections

To define subsections:

  1. Do one of the following:

    • On the Tools menu, click Preferences. (In a barchart view, click Spreadsheet Preferences.)

    • Right-click a row or a column heading in the spreadsheet, and click Preferences on the shortcut menu.

  2. On the Options tab of the Spreadsheet Preferences dialog box, click Enable Subsections.

  3. Select the Subsections tab.

  4. Enter the information for the subsections feature.

  5. Click OK.

Related Topics and Procedures


Linking Fields on a Spreadsheet (Procedure)

Linking Fields on a Spreadsheet

To link fields on a spreadsheet:

  1. Display a multi-table spreadsheet.

  2. On the Tools menu, click Preferences.

  3. On the Spreadsheet Preferences dialog box, click the Define Link tab.

  4. Define the link between fields on the From and To data tables.

  5. Click OK.

  6. On the spreadsheet view, add columns as needed to display the required information.

Related Topics and Procedures


Customizing a Resource Histogram View

You can display the Histogram Preferences dialog box by opening a histogram either as a stand-alone view or as part of a barchart view and clicking Preferences on the Tools menu. (If the histogram is displayed as part of a barchart view, the option is Histogram Preferences.)

This dialog box contains three tabs that control the way in which Open Plan displays data on a histogram:

  • Options

  • Resources

  • Earned Value

The dialog box has three buttons that apply to all three tabs:

  • The OK button accepts your input and closes the dialog box.

  • The Cancel button cancels your input and closes the dialog box.

  • The Help button provides access to help about the specific tab that is displayed.

Related Topics and Procedures


Displaying Resource Information on a Resource Histogram

Histogram views allow you to display the following types of resource information in a graphical format:

  • Resource availabilities

  • Resource assignments based on the early dates calculated by time analysis

  • Resource assignments based on the late dates calculated by time analysis

  • Resource assignments based on the scheduled dates calculated by resource scheduling. (These assignments can show the effects of splitting, stretching, and reprofiling activity durations.)

  • Baseline resource assignments using the dates (early, late, or scheduled) selected at the time you created the baseline currently attached to the project

  • Actual resource usage based on resource progress information

You can use a histogram view to display any of these items individually, or you can display all of them at the same time.

To select the resources to be displayed in the histogram, use the Resource Selection dialog box. To define the resource information appearing in a histogram view, use the Resources tab of the Histogram Preferences dialog box.

Related Topics and Procedures


Histogram Preferences Earned Value Tab

This tab controls the type of earned value data Open Plan displays on the histogram view. Depending on the selection you make in the Display Calculate area of this dialog box, the values may represent resource units, costs, or escalated costs.

You can display earned value data as both histogram bars and S-curves. Histogram bars represent incremental values for the periods defined by the date unit while S-curves represent the cumulative value for the period.

The histogram can display up to four types of earned value data on both histogram bars and S-curves:

  • Forecast

  • BCWS

  • ACWP

  • BCWP

For each of these earned value data types, you can choose whether or not to include the data type as a histogram bar and/or as a cumulative S-curve. You can also customize how histogram bars and S-curves are displayed:

  • Histogram bar customization

  • S-curve customization

The defined color indicates the color of the first selected resource. Subsequent resources are assigned a color automatically by Open Plan.

For both histogram bars and S-curves, you can also specify the following values:

In addition, this tab controls two additional display options:

  • Calculate — Open Plan can display three types of calculations on the histogram:

    • Quantity

    • Cost

    • Escalated Cost

  • Values for — You can also specify identification labels for both histograms and S-curves.

Location

Related Topics and Procedures


Histogram Preferences Options Tab

The Options tab controls the display of the remaining Histogram Preferences tabs:

  • Resources

  • Earned Value

The Options tab also controls how Open Plan should display resource assignment and usage information using the following settings:

  • Values

    • Scale Factor

    • Max Y Value

    • Number of Decimal Places

  • Display as — The following options control the data format:

    • Table

    • Graph

    • Both

  • Style — The following options control the bar style:

    • 3-Dimensional

    • Flat

  • Position — The following options control the bar positions:

    • Side by Side

    • Front to Back

  • Time Now — You can select from the following three options:

    • None

    • Line

    • Line with Text

    If the histogram is displayed as a pane in the barchart view, Open Plan also features the following additional options:

    • Conditional Line

    • Conditional Text

  • Resource Description — You can select from the following options:

    • Show Full ID

    • Show Local ID

    • Show Description

    • Show Full ID and Description

    • Show Local ID and Description

  • Font — Clicking this button displays the Font dialog box that you can use to specify a font to be used on both your printer and your monitor.

Location

Related Topics and Procedures


Histogram Preferences Resources Tab

This tab controls the type of resource data Open Plan displays on the histogram view. Depending on the selection you make in the Display Calculate area of this dialog box, the values may represent either resource units or costs. The histogram can display up to six types of resource data as histogram bars or cumulative S-curves:

  • Resource assignments for early dates

  • Resource assignments for late dates

  • Resource assignments for schedule dates

  • Resource assignments for baseline dates

  • Actual resource usage

For each of these data types, you can choose whether or not to include the data type as a histogram bar and/or as a cumulative S-curve. You can also customize how histogram bars and S-curves are displayed:

  • Histogram bar customization

  • S-curve customization

In addition to the same options for histogram bar and S-curve customizations, Open Plan also allows you to specify the type of resource availability information that Open Plan should display on the histogram view.

Quantities of resource availability that are not available to the current project are identified by a lighter shade of the selected color.

If a quantity is reserved for a project that has a higher priority than the current project and a different quantity is actually used by that same project, Open Plan identifies only the larger of the two quantities as unavailable.

For example if 3 units are reserved for a project with a higher priority and 4 units are actually used by that project, Open Plan identifies 4 units as unavailable.

If, on the other hand, a quantity is reserved for one project and another quantity is used by a different project that has a higher priority than the current project, Open Plan identifies the total of the two quantities as unavailable.

For example, if Project A has 3 units reserved and Project B (with a higher priority than the current project) uses 4 units, Open Plan identifies 7 units as unavailable.

In addition, this tab controls two additional display options:

  • Calculate – Open Plan can display resource information in terms of any of the following:

    • Quantity

    • Cost

    • Escalated Cost

  • Values – Open Plan can display the following types of values:

    • Average Histogram

    • Totals

Location

Related Topics and Procedures


Resource Histogram Requirements

To display a resource histogram in Open Plan, the following conditions must be met:

  • The project must have an assigned resource file.

  • Time analysis must have been performed at least once.

You do not need to perform resource scheduling to display a histogram unless you want to show resource or cost information based on schedule dates.

Related Topics and Procedures


Resource Histogram View

A histogram view displays resource and cost data against a time scale.

Open Plan can display the histogram both as a stand-alone view and as a pane on the barchart view. If you are displaying the histogram as a stand-alone view, the date scale is at the bottom of the view and typically starts at the earliest instance of relevant project data. When you display a histogram with a barchart, the date scale for the barchart controls the display of histogram bars.

Each bar in the histogram represents a value corresponding to the smallest time unit displayed on the date scale. For example, if you define a date scale with a single axis showing weeks, you can display bars that show how many units of the selected resource are required during each week. In this way, you can display resource assignments and costs aggregated on an hourly, daily, weekly, monthly, quarterly, or yearly basis.

A legend that explains the colors used for the bars is displayed at the left side of the histogram view.

Sometimes, the legend is not immediately visible when the histogram is displayed as part of a barchart view. To display the legend in these circumstances, drag the vertical line separating the spreadsheet from the bar portion of the view to the right.

It is also possible to have a histogram view display a representation of Time Now by setting an option on the Options tab of the Histogram Preferences dialog box.

If you prefer to see the precise values represented in the view, you can configure a histogram to display information in a tabular format below the bars. It is also possible to display just the tabular portion of the view.

As in the case of histogram bars, the aggregation of tabular data corresponds to the smallest unit displayed on the date scale.

In addition to displaying information aggregated on a period-by-period basis, you can display cumulative curves in a resource histogram view. This feature is especially useful for creating S-curves for earned value and cost reporting.

Note that in views that combine both histogram bars and S-curves, the vertical axis for the histogram bars appears on the left, while the vertical axis for the S-curve appears on the right.

Location

Related Topics and Procedures


Using the Resource Selection Dialog Box

The Resource Selection dialog box controls the resources that are displayed in the histogram.

A resource categories list allows you to specify the category of resources to be displayed:

  • All Resource Categories

  • Labor

  • Material

  • Other Direct Costs

  • Subcontract

  • Skills

By selecting Hide Unreferenced Resources, you can further refine the list of resources by including only those resources assigned to activities.

While you can choose to display resource pools in the histogram, keep in mind that all availabilities, requirements, and usage displayed for a pool represent a roll-up of the child resources belonging to the pool. Any availabilities defined at the pool level are ignored in the histogram.

When selecting resources to display, be sure that all selected resources use the same unit. While Open Plan does not prevent you from mixing resources measured in work-hours with those measured in work-days, for example, the resulting histogram will not provide meaningful information.

A set of Show options allows you to select from the following options:

  • Total

  • Stacked

  • Category

If you select both a pool and any other pool or individual resource, the histogram displays each pool as a total histogram bar or S-curve.

The following buttons are located along the right edge of the dialog box:

  • OK

  • Cancel

  • Find

  • Find Next

  • Expand All

  • Select All

  • Clear All

  • Help

Location

Related Topics and Procedures


Using the S-Curve Line Selection Dialog Box

This dialog box features the following controls that allow you to specify both how a cumulative S-Curve should be displayed on your monitor and how it is printed:

Display Options

  • Line Style — This field contains a list of seven line styles from which you can select the one that Open Plan should use when displaying an S-Curve on a monitor.

  • Color — Clicking the down arrow for this field displays a Color dialog box that you can use to select a color that Open Plan should use when displaying an S-Curve on a monitor. The Color dialog box offers a choice of 48 standard colors and up to 16 additional custom colors.

Printer Options

  • Line Style — This field contains a list of 15 line styles from which you can select the one that Open Plan should use when printing an S-Curve.

  • Color — Clicking the down arrow for this field displays a Color dialog box that you can use to select a color that Open Plan should use when printing an S-Curve. The Color dialog box offers a choice of 48 standard colors and up to 16 additional custom colors.

You can define custom colors using an enhanced version of the Color dialog box accessed from the Color tab of the Options dialog box.

Location

Related Topics and Procedures


Displaying a Resource Histogram on a Barchart (Procedure)

Displaying a Resource Histogram on a Barchart

To display a resource histogram on a barchart:

  1. Ensure that a resource file is assigned to the project.

  2. Ensure that the project contains at least one activity with a resource assignment.

  3. Perform time analysis.

  4. If you want to display resource utilization, perform resource scheduling.

  5. On the View menu, click Select Resource.

  6. In the Resource Selection dialog box, select the resources to display on the histogram.

  7. If you select multiple resources, choose whether to show the resource data Total, Stacked, or Category.

  8. Click OK.

Related Topics and Procedures


Displaying a Resource Histogram View (Procedure)

Displaying a Resource Histogram View

To display a stand-alone resource histogram view:

  1. Open a project.

  2. Perform time analysis.

    3. Performing time analysis generates early and late dates for the project. If you want the histogram to display resource usage, you must also perform resource scheduling.

  3. If necessary, assign the Resource Histogram template to the project.

    4. If the Resource Histogram file has not been selected as a standard file in your installation of Open Plan, you will need to assign it to your project in order to display a histogram view for the first time.

  4. In the Views folder of your project, double-click the resource histogram file.

  5. If the histogram view is blank, take the following actions:

    • On the View menu, click Select Resource.

    • Right-click within the view, and click Select Reource on the shortcut menu.

  6. From the Resource Selection dialog box, select the resources to display on the histogram.

    7. If you select multiple resources, choose whether to show the resource data Total, Stacked, or Category.

  7. Click OK.

Related Topics and Procedures


Displaying Actual Resource Usage on a Resource Histogram (Procedure)

Displaying Actual Resource Usage on a Resource Histogram

To display actual resource usage for resources for a project:

  1. Open the project for which you want to display resource usage.

  2. Perform time analysis and resource scheduling on the project.

  3. Display the resource histogram view.

  4. Take one of the following actions:

    • On the View menu, click Select Resource.

    • Right-click an empty area of the view, and click Select Resource on the shortcut menu.

  5. In the Resource Selection dialog box, select the resources for which you want to see resource usage.

  6. Click OK.

  7. On the Tools menu, click Preferences. (If a barchart with a histogram is displayed, the option is Histogram Preferences.)

  8. On the Histogram Preferences Options tab, select your display options.

  9. In the Display area, click Resources.

  10. In the Show area of the Resources tab, click Actuals.

  11. Select appropriate options in the remaining areas of the tab.

  12. Click OK.

Related Topics and Procedures


Displaying Earned Value on a Resource Histogram (Procedure)

Displaying Earned Value (Resource Histogram)

To display earned value information:

  1. Open the project for which you want to display earned value.

  2. Enter progress information for the activities that are underway.

  3. Perform time analysis and resource scheduling on the project.

  4. Display the resource histogram view.

  5. Take one of the following actions:

    • On the View menu, click Select Resource.

    • Right-click an empty area of the view, and click Select Resource on the shortcut menu.

  6. In the Resource Selection dialog box, select the resources for which you want to see earned value.

  7. Click OK.

  8. On the Tools menu, click Preferences. (If a barchart with a histogram is displayed, the option is Histogram Preferences.)

  9. On the Histogram Preferences Options tab, click Earned Value.

  10. On the Earned Value tab, select the information you want to display.

  11. Click OK.

Related Topics and Procedures


Displaying Resource Assignments on a Resource Histogram (Procedure)

Displaying Resource Assignments on a Resource Histogram

To display resource assignments for a project:

  1. Open the project for which you want to display resource assignment levels.

  2. Perform time analysis on the project.

  3. Display the resource histogram view.

  4. Take one of the following actions:

    • On the View menu, click Select Resource.

    • Right-click an empty area of the view, and click Select Resource on the shortcut menu.

  5. In the Resource Selection dialog box, select the resources for which you want to see the requirements.

  6. Click OK.

  7. On the Tools menu, click Preferences. (If a barchart with a histogram is displayed, the option is Histogram Preferences.)

  8. On the Histogram Preferences Options tab, select your display options.

  9. In the Display area, click Resources.

  10. On the Resources tab, select the information you want to display.

  11. Click OK.

Related Topics and Procedures


Selecting Resources to Display on a Resource Histogram (Procedure)

Selecting Resources to Display on a Resource Histogram

To select resources to display:

  1. Take one of the following actions:

    • On the View menu, click Select Resource.

    • Right-click an empty area of the view, and click Select Resource on the shortcut menu.

  2. In the Resource Selection dialog box, select the resources to display on the histogram.

  3. If you select multiple resources, choose whether to show the resource data Total, Stacked, or Category.

  4. Click OK.

Related Topics and Procedures


Customizing a Risk Analysis Histogram View

You can customize the way in which Open Plan displays probability information in a risk analysis histogram view in the following ways:

  • You can select the colors that Open Plan uses to display both histogram bars and S-curves.

  • You can specify whether or not Open Plan should display the data as a table, a graph, or both.

  • If information is displayed in a table, you can specify the number of decimal places that should be included.

  • You can specify both the style and the position of the histogram bars.

Related Topics and Procedures


Risk Analysis Histogram Requirements

To display a risk histogram in Open Plan, the following conditions must be met:

  • The project must have at least one activity designated as a key activity.

  • You must have performed risk analysis for the project.

  • You must have selected an activity to display. (Use the Select Activity command from the View menu to indicate your selection.)

Related Topics and Procedures


Risk Analysis Histogram View

A risk analysis histogram view displays probability information about a key activity against a time scale in a histogram format.

The risk analysis histogram view presents the detailed picture of the probability distribution for calculated dates for a key activity. Using the Risk Analysis Preferences dialog box, you can select any of the following dates for use in the Risk Analysis Histogram View:

  • Early start

  • Early finish

  • Late start

  • Late finish

Each bar in the view represents a value corresponding to a percentage of trials that results in a calculated date within the smallest time unit displayed on the date scale. For example, if you define a date scale with a single axis showing weeks, you can display early start bars that represent the percentage of trials that resulted in an early start during each week. In this way, you can display probability information aggregated on an hourly, daily, weekly, monthly, quarterly, or yearly basis.

A legend that explains the colors used for the bars and S-curves is displayed at the left side of the risk analysis histogram view.

If you prefer to see the precise values represented in the view, you can configure a risk analysis histogram view to display information in a tabular format below the bars. It is also possible to display just the tabular portion of the view.

As in the case of the bars, the aggregation of tabular data corresponds to the smallest unit displayed on the date scale.

You can also display cumulative curves in a Risk Analysis Histogram View.

Location

Related Topics and Procedures


Using the Key Activity Selection Dialog Box

The Key Activity Selection dialog box controls the key activity that is displayed in the risk analysis histogram view. At any one time, Open Plan displays a single key activity on the view.

Location

Related Topics and Procedures


Using the Risk Analysis Preferences Dialog Box

This dialog box controls how Open Plan should display probability information using the following settings:

  • Open Plan can display the following types of values

    • Histogram

    • S-Curve

  • The following options control the data format:

    • Table

    • Graph

    • Both

  • The following options control the bar style:

    • 3-Dimensional

    • Flat

  • The following options control the bar positions:

    • Side by Side

    • Front to Back

Location

Related Topics and Procedures


Tornado View

The Tornado View is a specific view that shows the relative importance of random variability in the duration of individual activities in determining the variability in the overall project duration.

This view takes the form of a set of bars representing the sensitivity of the project to each activity and is normally sorted in descending order. The bars decrease in length from the top to the bottom of the chart, making it resemble a tornado pattern.

The Tornado View is based upon the Sensitivity Index, which is calculated as:

(Standard Deviation of Activity Duration * Probability that activity is critical)/ Standard deviation of project duration

Although the sensitivity is expressed as a percentage, the percentages can occasionally exceed 100 due to mixed calendars.

Location

Related Topics and Procedures


Using the Numeric Axis Preferences Dialog Box

The Numeric Axis Preferences dialog box lets you customize the look and feel of the barchart heading along the top of the barchart area of the Tornado Chart view.

This dialog box features the following controls:

  • Data Range

  • From

  • To

  • Calculate

  • Marker Interval

  • Show Full Grid

  • Show Minor Tick Marks

  • Minor Ticks per Marker Interval

  • Text Color

  • Background Color

  • Font Button

Location

Related Topics and Procedures


Using the Numeric Barchart Preferences Dialog Box

The Numeric Barchart Preferences dialog box lets you customize the look and feel of the barchart area of the Tornado Chart view.

The Bars Based on section contains the following options:

  • Field Name

  • Sort on this Field

  • Show Only Positive Values

  • Don't Show Subproject Activities

In the Bar Appearance section, you can specify the appearance of the bars on the barchart, including the fill color, outline color, and pattern of the bars.

The Text Appearance section contains the following options:

  • Show Text After Bar

  • Select From

  • Field Name

  • Color

  • Font

  • Formatting

  • Decimals

Location

Related Topics and Procedures


Reporting With the Open Plan Web Publisher

The Open Plan Web Publisher allows you to publish any Open Plan view or report as a document that can be viewed by most common Web browsers. By producing reports using the industry-standard HTML and Adobe Acrobat .pdf formats, you can provide electronic versions of the most up-to-date project information to any project member.

Adobe Acrobat PDFWriter is not included with Open Plan and must be purchased separately from another source.

In addition to producing reports for the Web, you can also use the Open Plan Web Publisher to define and run report batches that can be produced on any output device defined for your Windows system.

To produce reports for publication on the Web you must have the Adobe Acrobat PDFWriter installed as an output device for your Windows system. This utility is included in software packages such as Adobe Acrobat Exchange or Adobe Acrobat Distiller.

To view a report produced in the .pdf format, you must have an installed copy of Adobe Acrobat Reader. This utility is automatically installed on your system by the Open Plan installation and is also available free of charge from Adobe.

To view a report produced in the .pdf format on the Web, your Web browser must support the use of Acrobat Reader as a helper application.

You can start the Open Plan Web Publisher either by clicking Open Plan Web Publisher on the Tools menu or by clicking the Open Plan Web Publisher icon on the Deltek Applications group in Windows. The initial dialog box that is displayed depends on whether an Open Plan project has focus when you start the Open Plan Web Publisher:

  • If an Open Plan project has focus, the Open Plan Web Publisher dialog box is displayed.

  • If no Open Plan project has focus, the Select Project dialog box is displayed.

Related Topics and Procedures


Using the Add or Remove Views Dialog Box

This dialog box contains two lists that you can use to modify the list of views to be included in the currently selected batch:

  • The Available Views list displays the views set up for the open project that are not currently in the batch.

  • The Views to Publish list displays the views currently included in the batch.

When you first create a batch, the Views to Publish list is empty.

Buttons between the two lists allow you to move selected steps from one list to the other.

  • << All — Moves all the views from the Views to Publish list to the Available Views list

  • All >> — Moves all the views. from the Available Views list to the Views to Publish list.

  • << Remove — Moves a selected view from the Views to Publish list to the Available Views list.

  • Include >> — Moves a selected view from the Available Views list to the Views to Publish list.

Location

Related Topics and Procedures


Using the Create New Batch Dialog Box

The Create New Batch dialog box allows you to specify a name for the new batch. In addition to alphanumeric characters, the batch name can also include spaces, ampersands (&), dashes, and underscores.

When you click Create, the new batch is added to the list of batches for the project selected on the Open Plan Web Publisher dialog box.

Location

Related Topics and Procedures


Using the Destination Directory Dialog Box

This dialog box allows you to select a directory that Open Plan should use to store the .pdf files generated by the batch. (Open Plan also uses this location for storing the HTML file and the .gif files for the various icons that it includes.)

You can specify the destination directory in either of the following ways:

  • By typing the full path name of the destination directory in the Directory field

  • By navigating through the drives and directories in the Directories list and selecting the directory of your choice

When you click OK, Open Plan displays the directory of your choice in the Destination Directory field of the Open Plan Web Publisher dialog box.

Location

Related Topics and Procedures


Using the Open Plan Web Publisher Dialog Box

This dialog box allows you to create new report batches, edit and run existing batches, and define the output options for a batch using the following controls:

  • Project

  • Batch

  • View Description

  • View Filename

  • Current Device

  • Destination Directory

  • Generate HTML file

  • Web Site Address

Buttons along the right edge of the dialog box allow you to create a new batch, delete a batch, and modify the list of views included in a batch.

In addition, you can preview a view included in the batch simply by selecting it in the list and clicking Preview.

When you click Run, Open Plan prints the views you have included in the batch to your selected output device. Open Plan displays a message box while the batch report is printing. You can interrupt the batch report by clicking Cancel on this message box.

If you interrupt the batch report, Open Plan finishes printing the current report in the batch before stopping.

Location

Related Topics and Procedures


Using the Select Project Dialog Box

This dialog box allows you to select a project for which you want to create a report batch for a list of projects stored in your data source. You can limit the list that is displayed by selecting the Show only open projects

When you select a project and click Use, Open Plan displays the Open Plan Web Publisher dialog box with your selected project in the Project field.

Location

Related Topics and Procedures


Creating a Report Batch

To create a report batch:

  1. Start the Open Plan Web Publisher by doing one of the following:

    • On the Tools menu, click Open Plan Web Publisher.

    • Click the Open Plan Web Publisher icon from the Deltek Applications group in Windows.

    The dialog box that is displayed depends on whether an Open Plan project has focus:

    • If an Open Plan project is open and has focus, the Open Plan Web Publisher dialog box is displayed.

    • If no Open Plan project has focus, Open Plan displays the Select Project dialog box where you can specify the project for the report.

  2. If appropriate, select a project in the Select Project dialog box.

  3. Click New.

  4. In the Create New Batch dialog box, enter a name for the new batch. You may enter up to 255 characters including spaces, ampersands (&), dashes, or underscores.

  5. Click Create.

  6. On the Open Plan Web Publisher dialog box, click Views.

  7. In the Add or Remove Views dialog box, move the views you want to include in the batch into the Views to Publish list box.

  8. Click OK.

The Preview button on the Open Plan Web Publisher dialog box allows you to preview a view that is included in the batch.

Related Topics and Procedures


Performing Batch Reporting

To perform batch reporting:

  1. Start the Open Plan Web Publisher by doing one of the following:

    • On the Tools menu, click Open Plan Web Publisher.

    • Click the Open Plan Web Publisher icon on the Deltek Applications group in Windows.

    The dialog box that is displayed depends on whether an Open Plan project has focus:

    • If an Open Plan project is open and has focus, the Open Plan Web Publisher dialog box is displayed.

    • If no Open Plan project has focus, Open Plan displays the Select Project dialog box where you can specify the project for the report.

  2. If appropriate, select a project in the Select Project dialog box.

  3. In the Batch field of the Open Plan Web Publisher dialog box, select the batch on which to report.

  4. In the Current Device field, select an output device on which to print your report.

  5. Click Run.

Related Topics and Procedures


Preparing a Report for Publication on the Web

To prepare a report for publication on the Web:

  1. Start the Open Plan Web Publisher by doing one of the following:

    • On the Tools menu, click Open Plan Web Publisher.

    • Click the Open Plan Web Publisher icon on your Deltek Applications group in Windows.

    The dialog box that is displayed depends on whether an Open Plan project has focus:

    • If an Open Plan project is open and has focus, the Open Plan Web Publisher dialog box is displayed.

    • If no Open Plan project has focus, Open Plan displays the Select Project dialog box where you can specify the project for the report.

  2. If appropriate, select a project in the Select Project dialog box.

  3. In the Batch field of the Open Plan Web Publisher dialog box, select the batch on which to report.

  4. In the Current Device field, click Acrobat PDFWriter.

  5. In the Destination Directory field, select the directory in which to store the .pdf files generated by the batch.

  6. Select the Generate HTML File option.

  7. If you want the URL links to include the address of a specific Web site, you can specify the address of the Web site in the Web Site Address field.

  8. Click Run.

Related Topics and Procedures


Custom Tools

Custom Add-Ins Tools

You can customize your installation of Open Plan to display up to 30 custom tools on the Add-Ins menu by modifying the Addins.dat file.

The Add-Ins menu is not displayed until you have defined at least one custom tool.

An Addins.dat file may be located in two folders:

  • Modifying the copy of the Addins.dat file located in the same folder as the Open Plan executable file creates menu items that are accessible to all users of your data source. This copy of the Addins.dat file is installed by default.

  • Modifying the copy of the Addins.dat file located in your Open Plan User folder creates menu items that are accessible only to you. While this copy of the file is not installed by default, you can create it by copying the Addins.dat file located in the Open Plan executable folder and pasting it into your User folder.

You can add up to 30 custom tools to the Add-Ins menu in your installation of Open Plan by modifying either or both of these Addins.dat files.

For example, you can add an item to the Add-Ins menu that will start the WordPad program supplied with Windows. By making the required modification to the copy of the Addins.dat file located in the executable folder, all users of your data source will have access to this menu item.

You can also add an item to the Add-Ins menu that will start Outlook. Since your copy of Outlook may contain private information that you would not want everyone to see, you would make the required modifications to the Addins.dat file located in your Open Plan User folder.

For information on how to add a custom tool to the Add-Ins menu, click See Also, and click the related Procedure. The subject is also discussed in Chapter 4, "The Open Plan .dat Files," in the Deltek Open Plan Developer’s Guide.

If the program that you add is a DOS file, you may also need to create a .pif file that specifies the memory requirements.

Once you have added an item to the Add-Ins menu, you can execute the program it represents in any of the following ways:

  • By clicking it on the Add-Ins menu

  • By pressing the keyboard shortcut, if one has been defined for the item

You can also access the first nine items by pressing Ctrl+x where x represents a number key. To access the first custom tool on the list, you would press Ctrl+1. To access the second custom tool, you would press Ctrl+2, and so on.

Related Topics and Procedures


System Utilities

The system utilities in Open Plan allow you to define many features that can be used system-wide:

  • Reporting calendars

  • Filters

  • Sorts

  • Calculated Fields

  • User Defined Fields

  • Spread Curves

  • Global Edits

  • Email Advisor

  • System options

  • Open Plan security

  • Log Viewer

Most of these features can be accessed from the Tools menu.

In addition, you can add custom tools to the Add-ins menu.

Related Topics and Procedures


Understanding the Trace Critical Path Facility

The Trace Critical Path Facility is a custom tool that determines the most critical paths to any point in a project. You can specify up to 20 paths for the tool to identify. The data returned when you run the process can be used to sort or filter any of the Open Plan views. In addition, Open Plan includes two views specifically designed to take advantage of the critical path data returned: a subsectioned barchart view and a zoned network view

Also, if you have Milestones Professional® installed, you can generate custom reports that take full advantage of its graphic display ability. Three report templates included with the Trace Critical Path tool allow you to create the following reports:

  • A Barchart report that documents all critical paths.

  • A separate Path Details report for each critical path you instruct the tool to identify.

  • A Summary Path report that summarizes the current activities on each path.

The Trace Critical Path Facility works by looking at the float and status of the selected activity's predecessors. The most critical predecessor is determined and the process repeats with that activity. A path is finished when there are no more activities to follow, Time Now is reached, or if there is a change in float.

Related Topics and Procedures


Using Calculated Fields

User-defined calculated fields allow you to calculate data not stored in the standard versions of the project database tables. With this powerful reporting feature, you can extend the flexibility of any view by displaying data that is the result of a custom calculation.

Once you have defined a calculated field, you can choose that field as a column in a spreadsheet view or display it in an activity box just as you can any standard field. You can also include calculated fields in custom filter and sort expressions.

In addition to allowing you to name and save these calculated fields for future use, Open Plan also allows you to create and use temporary calculated fields in some circumstances:

  • Export scripts (as a filter)

  • Spreadsheet Add Column dialog box

  • Spreadsheet Insert Column dialog box

  • Spreadsheet Edit Column dialog box

  • Multi-table link grids

  • When defining the box layouts for the network and hierarchy views

  • When defining box attributes for the network view (as a filter)

  • OLE automation

Open Plan does not allow you to delete a permanent calculated field upon which another calculated field, sort, filter, or global edit expression depends, even if the dependent is a temporary item. Temporary items remain in memory while the project is open. For this reason, even if you remove the temporary item from the current view, a permanent calculated field referring to that temporary item cannot be deleted until the project has been closed and reopened.

Open Plan does not store the results of calculated fields in the project database. The results of a calculated field are recalculated each time the field is accessed. You can export the results of a calculated field to a third-party application, but you cannot save these results between Open Plan sessions. Because the results of calculated fields are not saved, third-party applications that query the database cannot access the results of calculated fields.

You can use the global edit feature to place the contents of a calculated field into a user-defined field where it would be accessible to third-party applications.

An expression defining a calculated field can include the following elements:

  • Constants

  • Other calculated fields

  • Mathematical operators

  • Logical operators

  • Duration operators

  • Field names

  • Functions

  • Relational operators

  • Character operators

  • Project Level Variables

In addition, an expression defining a calculated field can also include the special Operators used in filters.

Related Topics and Procedures


Using Filters

Filters limit the display of items in a view based on a set of specific criteria. For example, you may want to display a view that shows only activities requiring a specific resource. Open Plan provides a number of predefined filters common to many project management reports. In addition to these predefined filters, you can define custom filters of your own. The filters that you define are stored in the database, and you can choose to share them with other users.

When applying a filter to a view, keep the following points in mind:

  • When selecting filtered activities, the status of the parent item determines the status of the child. For example, assume that you apply a filter to a view and then select and copy a parent activity or resource pool. This copies all children of the item, even if they do not meet the original filter criteria.

  • If you apply a filter to a linked spreadsheet view, the filter applies only to information from the primary data table for the view.

Related Topics and Procedures


Using Global Edits

Using the global editing feature of Open Plan, you can modify multiple records in the following tables with a single operation:.

  • Activity

  • Code Data

  • Project Directory (Main Project)

  • Project Summary Usage

  • Relationship

  • Resource

  • Resource Assignment

  • Resource Availability

  • Resource Cost

  • Resource Escalation

  • Resource Usage

  • Risk Detail

  • Subproject

For example, you can increase all the durations in a project by 10% or increase all the costs by 5%. Global edits can modify all the records in a file or selected records based on a filter. Global edits can be created for either standard or custom fields and can be applied to records matching both standard and custom filters.

You can perform global edits only on files that are open in exclusive mode.

An expression defining a global edit can include the following elements:

  • Constants

  • Calculated fields

  • Mathematical operators

  • Logical operators

  • Duration operators

  • Field names

  • Functions

  • Relational operators

  • Character operators

You can also perform a batch of global edits on a file. The Batch Global Edit command on the Tools menu allows you to create these batches.

Related Topics and Procedures


Using Note Categories

Note categories allow you to group related types of notes for reporting purposes. For example, you might want to use two categories of notes for a project: one for general information about a project and another for documenting changes in scope that occur over the course of a project. Each project, resource file, or code file can have its own set of note categories.

Related Topics and Procedures


Using Open Plan Security

Open Plan features a comprehensive set of security-related features that allow a system administrator to control access to both Open Plan data and to the application itself. The Common Security Model (CSM) supports the definition of users, groups, and roles.

Because the Common Security Model is also part of Deltek WelcomHome, Deltek’s Web-based project collaboration tool, a security administrator can define rights centrally for use in both products, greatly reducing administration and set-up time.

The Security Administrator Model is designed around four interrelated elements:

  • User

  • Group

  • Role

  • Object

For an illustration of the way in which users, groups, roles, and objects are related, click the following link: More Info.

Before you can work with an Open Plan system, you must first log in. When you log in, Open Plan checks that you are authorized to use the system and then opens the Open Plan Explorer.

When you create a file within Open Plan, you become the owner of the file. As owner, you have the right to do anything you wish with the file. You can edit it, copy it, move it, or delete it. You can also grant access rights to the file to other people.

Both the current owner and any user in the SYSADMIN group can transfer ownership of the file to another user.

Related Topics and Procedures


Using Reporting Calendars

Reporting calendars allow you to view time-based data against a non-linear date scale with varying degrees of granularity. This feature is helpful because we tend to look at events far in the future with less detail than we look at events closer to the present.

For example, you could use a date scale based on reporting calendars to view a histogram or barchart report that shows data in weeks for the current month, in months for the remainder of the quarter, and then in quarters for the rest of the year. You might then only want to look at reports that show data in years for the remainder of the project.

This feature is also frequently used to create fiscal calendars. Many companies define their fiscal calendars in such a way that the month ends on a Friday. Using the Reporting Calendar feature, you can define calendars that end on a specific date. You could then create a histogram that displays the budget per fiscal period.

Once created, you can select a different reporting calendar to use on the date scale of each barchart or histogram. This feature allows you to create reports that provide different views of the same data. For example, you might want to create a barchart based on your fiscal year and another barchart based on the client's fiscal year.

Related Topics and Procedures


Using Sorts

Open Plan provides a powerful sorting facility that allows you to sort data according to specified criteria.

Open Plan uses the following default sort order rules when no specific sort is specified:

  • Hierarchical fields (activity and resource IDs, and codes) — Open Plan sorts the data numerically where this makes sense. For example, 1.2 is sorted before 1.10.

  • Character data — Open Plan sorts the data alphabetically.

  • Mixed data — Open Plan sorts the data alphabetically, except that trailing numeric digits are sorted numerically. For example, A2 is sorted before A10.

While Open Plan provides a number of predefined sorts common to many project management reports, you can also define custom sorts of your own. In addition to allowing you to name and save these sorts for future use, Open Plan also allows you to create and use "on-the-fly" sorts in some circumstances:

  • Import scripts

  • When defining a link using the Spreadsheet Preferences dialog box

  • OLE automation

You can use the Sort Expression dialog box to construct the sort, or you can simply type the sort expression directly into the field.

For information about the syntax used for these sort expressions, click the following link: More Info.

In addition, you can sort the data in a spreadsheet based on either a single column or on multiple columns. In the case of a barchart, the sort you apply on the spreadsheet pane is also reflected in the barchart pane of the view.

Related Topics and Procedures


Using the Log Viewer

The Log Viewer contains a separate help file. To view the help, start the log viewer, and click Contents on the Help menu.

Location

Related Topics and Procedures


Using the Spell Check Feature

The spell check feature is available in the following areas of Open Plan:

  • The Email Advisor

  • The Notes tab of dialog boxes

This full-featured spell checker allows you to specify the dictionaries that you want to use. You can use up to 32 dictionaries. This means that if you have defined special terms in the dictionary you use with your word processor, you can simply assign that dictionary to the spell checker to have Open Plan recognize these terms. Open Plan also allows you to assign many different language dictionaries so that you can check the spelling of words in other languages.

In addition to using the dictionary files shipped with Open Plan, you can also use a dictionary supplied with another application or even create one of your own. The dictionary can be stored in any of the following types of file:

  • .tls — The default dictionary type for the Open Plan spell checking feature

  • .dic — The default dictionary type used by many word processing programs such as Microsoft Word

  • .txt — The default dictionary of custom dictionaries and dictionaries containing acronyms

Related Topics and Procedures


Using User Defined Fields

The User Defined Field feature of Open Plan allows you to create and use data fields that are not included in the product as delivered by Deltek. Because these fields can be used by most tables and are available in any view where you can select fields for display, they provide a great deal of flexibility and customizability.

At the same time, it is important to note that while user defined fields can be created very quickly, they are not the only way in which data fields can be added to the Open Plan database. It is also possible to add fields to the Open Plan tables by modifying the table structures.

Data entered on interproject links for user defined fields created on the Relationship table is not saved by Open Plan.

Related Topics and Procedures


Date Scale Preferences Report Calendar Tab

The reporting calendar feature of Open Plan allows you to look at events within a project with varying degrees of precision. Depending on the reporting calendars you select, the date scale might show weeks for one period, months for another period, and quarters for still another.

The date scale can contain up to 6 reporting calendars. A typical use of multiple reporting calendars would be to have years and quarters displayed above a varying date scale:

This tab allows you to create a date scale based on reporting calendars using the following settings:

  • # of Axes

  • Reference Date

  • Controlling Axis

For each axis on the date scale, you can specify the following information:

  • Axis Number

  • Reporting Calendar

  • Format

  • Position

  • Full Scale

  • Line Width

  • Axis Height

A Font button displays the Font dialog box where you can choose a typeface and size for the font used on the date scale.

A preview window displays the format of the date scale.

Location

Related Topics and Procedures


Using the Activity Tree Dialog Box

When you select an activity from a view and run the Trace Critical Path tool, the activity you selected is automatically entered in the Target Activity field on the Inputs tab of the Trace Critical Path Facility dialog box.

The Activity Tree dialog box allows you to change the target activity without having to exit the tool, select a new activity, and re-run the tool. To change the target activity using this dialog box, simply select a new activity from the hierarchical tree and click OK.

Location

Related Topics and Procedures


Using the Batch Global Edit Definition Dialog Box

You can use this dialog box to select the global edits that the batch will use as well as the order in which the global edits are executed.

The Batch Global Edit Definition dialog box contains the following controls:

  • Name

  • Applies to Table

  • Available Global Edits

  • Assigned Global Edits

  • Global Edits

  • Access Control

When you are finished creating or editing the batch global edit definition, click OK to return to the Batch Global Edit dialog box.

Location

Related Topics and Procedures


Using the Batch Global Edit Dialog Box

A global edit allows you to modify multiple activities or resources with a single operation. The Batch Global Edit dialog box allows you to create groups of global edits (batches) that can be applied to a file in a single operation.

The Batch Global Edit dialog box displays a list of currently available batches. The Display For field contains a list that segregates the batches by type of data. For example, if you select Activity from the list, the batches that are displayed are activity related.

In the Desktop edition of Open Plan, a Display button provides access to a dialog box where you can view the batch global edit definition.

When you click New or select a batch and click Copy or Edit, the Batch Global Edit Definition dialog box is displayed that you can use to create or modify a batch definition. A definition is a list of the global edits that a batch uses and the order in which they need to be applied.

To execute a batch for the current file, select it from the list, and click the Apply button.

When a batch is applied, it is first reconciled to verify all referenced global edits exist. If missing global edits are detected, a message is displayed to let you decide if you want to continue to apply the batch or not. If you choose to continue, the batch is applied and the missing global edits are removed from the definition.

Location

Related Topics and Procedures


Using the Browser View Definition Dialog Box

This dialog box allows you to define the contents of a browser view using the following controls:

  • Name

  • Owner

  • Description

  • Command

  • Arguments

  • Access Control

When you are finished defining the browser view, click OK to return to the Browser Views dialog box.

Location

Related Topics and Procedures


Using the Browser Views Dialog Box

A browser view allows a Windows shortcut, Internet shortcut, or Open Plan Add-In to be stored as a view in the Views folder of the Open Plan Library.The browser view can then be accessed directly from this folder. It can also be assigned to a project, resource, or code so that it is opened in a particular context.

The Browser Views dialog box displays the browser views that have been defined. You can also create, copy, edit, and delete browser views from this dialog box. When you click New or select an existing browser view and click Copy or Edit, Open Plan displays the Browser View Definition dialog box that you can use you to define the elements of the view.

When you click New, you must first enter a name for the view before you are taken to the Browser View Definition dialog box.

As with other Open Plan views, if you are the owner of a browser view or you have system administrator access, you can control user access to the browser view by modifying the Access Control tab of its Properties dialog box.

Location

Related Topics and Procedures


— Clicking this button displays a dialog box that is used to select a field to include in the expression.

— Clicking this button displays a list of available functions.

— Clicking this button displays the Access Control dialog box, which allows the owner of a calculated field to define the groups and users that have access to the calculated field.

— Clicking this button displays the References dialog box, which has a list of items that use the calculated field. This list of items includes the file type, name of the project or file, description, and owner.

Using the Calculated Field Expression Dialog Box

This dialog box defines the calculated field using the following settings:

  • Name

  • Expression

  • Applies to Table

  • Calculate Summary Rows Horizontally

  • Data Type

  • Number of Decimal Places

The following buttons are located along the right edge of the dialog box:

  • Fields

  • Functions

  • Access Control

  • References

Location

Related Topics and Procedures


Using the Change Password Dialog Box

The Change Password dialog box allows you to change the password that you use to log in to your installation of Open Plan. The new password you enter takes effect the next time you log in.

The password you enter can have a maximum of 128 characters. Spaces are not allowed.

Location

Related Topics and Procedures


Using the Copy User Defined Field Dialog Box

This dialog box allows you to create a new user defined field as a copy of one selected on the User Defined Fields dialog box. The Copy User Defined Field dialog box features the following controls:

  • Name

  • Data Type

  • Description

  • Also Create Field for Baseline

  • Link Field to Lookup Table

In order for the new user defined field to be created, you must change the entry in the Name field.

When you click OK, Open Plan adds the user defined field to the appropriate data table and includes it on the list displayed on the User Defined Fields dialog box.

Location

Related Topics and Procedures


Using the Customize Add-Ins Toolbars Dialog Box

Each custom tool in the Add-Ins menu can be displayed as an icon on a toolbar. Tools defined in the addins.dat file located in the Open Plan root directory can be displayed on the System Add-Ins toolbar. Tools defined in the addins.dat file located in the User directory of the Open Plan directory can be displayed on the User Add-Ins toolbar. You can display all or just some of the custom tools on the toolbars.

The Customize Add-Ins Toolbars dialog box contains the following buttons that give you access to the three dialog boxes that you can use to customize the Add-Ins toolbars:

  • Customize System Add-Ins Toolbar

  • Customize User Add-Ins Toolbar

  • Select Icons for Add-Ins

You can toggle the display of the toolbars in Open Plan by pointing to Toolbars on the View menu and then selecting the toolbars to display. Or, you can right-click an empty area of the toolbars section at the top of the Open Plan screen and then select the toolbars to display from the context menu.

Location

Related Topics and Procedures


Using the Customize Toolbar Dialog Box

The Customize Toolbar dialog box allows you to select which custom tools from the Add-Ins menu will appear as buttons on a toolbar.

There are two Add-Ins toolbars:

  • Tools defined in the addins.dat file located in the Open Plan root directory can be displayed on the System Add-Ins toolbar.

  • Tools defined in the addins.dat file located in the User directory of the Open Plan directory can be displayed on the User Add-Ins toolbar.

The Customize Toolbar dialog box contains the following controls:

  • Available toolbar buttons — Displays a list of the tools defined in the addins.dat file. The tools listed depend on whether you are customizing the System Add-Ins toolbar or the User Add-Ins toolbar.

  • Current toolbar buttons — Displays a list of the the tools that you have selected to appear as toolbar buttons as well as the order in which the buttons appear.

  • Add — Select a tool in the Available toolbar buttons list and click Add to move the tool to the Current toolbar buttons list.

  • Remove — Select a tool in the Current toolbar buttons list and click Remove to move the tool back to the Available toolbar buttons list.

  • Move Up/Move Down — Use these buttons to rearrange the order in which the buttons are displayed on the toolbar. Simply select a tool from the Current toolbar buttons list and click the buttons until the desired location is reached.

  • Reset — Removes any changes you have made to the dialog box. When you click Close, the changes are saved.

Location

Related Topics and Procedures


Using the Customize Toolbar Icons Dialog Box

The Customize Toolbar Icons dialog box allows you to change the icons used by the Add-Ins toolbar buttons.

The dialog box contains the following options:

  • Add-Ins — This field lists all of the defined Add-Ins tools (both System tools and User tools) in two columns:

    • Icon — The current icon used for the button.

    • Command — The name of the tool as shown on the Add-ins menu.

    System tools are defined in the addins.dat file located in the Open Plan root directory. User tools are defined in the addins.dat file located in the User directory of the Open Plan directory .

  • Select Icon for Command — This field lists the available icons from which you can choose. If you select a command from the Add-Ins list that refers to a .exe file, the icons available in the .exe are displayed.

  • Replace Icon — Once you select a command from the left-hand list and a new icon from the right-hand list, click the Replace Icon button to change the icon for the command.

  • Browse Icons — Clicking this button displays an Open dialog box that you can use to select a .exe, .ico, or .dll file that contains the new icon you want to use. Once you have selected the appropriate file, the icons contained in the file are displayed in the Select Icon for Command list.

Location

Related Topics and Procedures


Using the Destination Directory Dialog Box

The Destination Directory dialog box allows you to select the location where the Trace Critical Path tool saves the generated reports.

If you know the path to the directory, you can type it directly into the Directory field. Otherwise, you can select the directory from the Available Directories hierarchical tree.

When you have selected a directory, click OK to return to the Reports tab of the Trace Critical Path Facility dialog box.

Location

Related Topics and Procedures


Using the Edit User Defined Field Dialog Box

This dialog box allows you to change the description of a user defined field. The following fields are available to edit:

  • Description

  • Also Create Field for Baseline

  • Link Field to Lookup Table

When you click OK, Open Plan displays the new description on the User Defined Fields dialog box, and applies any fields you checked.

Location

Related Topics and Procedures


Using the Filters Dialog Box

Filters limit the display of activities in a view based on a specific criterion. While Open Plan provides a number of predefined filters common to many project management reports, you can also define custom filters of your own.

The Filters dialog box displays the filters that are currently available for the view. The list includes both global filters and those saved with the project. When Open Plan displays this dialog box, the filter currently in effect is selected.

You can use the Filters dialog box to apply a filter to the view. Each view for a project can have a different filter in effect. Once a filter is in effect for a view, you can continue to add activities to the view. Open Plan displays the activities as you add them, even if the new activities do not satisfy the current filter condition. If you close the view and return to it later or click the Refresh [image] button on the toolbar, however, the activities you added may not be displayed if the filter expression excludes them.

In a multi-table spreadsheet, the filter can be applied only to the primary table. To apply a filter to a secondary table, use the Filters column on the Define Link tab of the Spreadsheet Preferences dialog box.

You may also select <Temporary Filter> to create a filter without giving it a name or saving it. The temporary filter is accessible only until you next change the filter in effect. If you save the view while a temporary filter is in effect, Open Plan saves the view with the filter applied.

For example, assume that you want a list of the activities scheduled to start today. While you would be able to do this with a filter, it would not be a filter that you would necessarily want to save or use another time. In this case, a temporary filter is a good solution.

Open Plan requires that you define "today" as a specific date and time range. Therefore, if "today" were May 4, 2004, you would enter one of the following expressions in the Filter Expression dialog box:

  • ESDATE>{03MAY04 23:59} AND ESDATE<{05MAY04 00}

  • ESDATE BETWEEN({03MAY04 23:59},{05MAY04 00})

When a filter is in effect, the name of the filter expression is displayed on the status bar.

A set of buttons across the bottom of the dialog box provides access to dialog boxes where you can create, copy, or edit filters.

In addition, you can delete an existing filter simply by selecting it and clicking Delete.

Location

Related Topics and Procedures


Using the Filter Expression Dialog Box

The Access Control option allows you to grant permission for other users to use the filter that you are creating. This option is enabled only for permanent filters that you create. You cannot share a temporary filter.

Clicking this button displays the References dialog box, which has a list of items that use the sort. This list of items includes the file type, name of the project or file, description, and owner.

Clicking this button expands the dialog box to display the following controls:
Expression
Fields
Functions
Validate
Less

— This field reflects the actual expression that is displayed in the grid. If you prefer, you can enter the filter expression directly in the text box.

— Clicking this button displays the Fields dialog box. You can use this dialog box to select fields to include in the filter expression.

— Clicking this button displays the Functions dialog box. You can use this dialog box to select functions to use in the filter expression.

— When you have created a filter expression, you can click this button to have Open Plan validate the expression. If the filter expression is valid, Open Plan populates the grid with the appropriate values.

— Clicking this button hides the dialog box extension.

Using the Filter Expression Dialog Box

This dialog box allows you to create both permanent and temporary filters using the following settings:

  • Logic

  • Field Name

  • Operator

  • Value 1

  • Value 2

The information that is displayed in the grid section of the dialog box depends on how the Filter Expression dialog box is displayed:

  • If this dialog box is displayed when you are creating either a new filter or a temporary filter, the grid section of the dialog box is blank.

  • If this dialog box is displayed when you are copying or editing an existing filter, the grid section of the dialog box displays the current values of the filter expression.

You can use the Insert Parentheses buttons to build complex expressions by inserting the left parenthesis to the left of the entry in the Field Name field and a right parenthesis to the right of the entry in the Value 2 field. For example, you can use parentheses to develop complex expressions such as the following:

  • WBS Equals "1.1" AND (OBS Equals "QA" OR OBS Equals "Pubs")

  • (WBS Equals "1.1" AND OBS Equals "QA") OR OBS Equals "Pubs"

In addition, the following buttons are located at the bottom of the dialog box.

  • Access Control

  • References

  • More

In addition to their use as view filters, filter expressions can be used for other operations such as when defining global edits or specifying criteria for bar attributes in a barchart view or box attributes in a network view.

Location

Related Topics and Procedures


Using the Group Deletion Dialog Box

This dialog box allows you to delete a group of data records in an open project that share a common characteristic. This is accomplished by applying a filter to a table in the project and then deleting the data records that are identified by the filter criteria.

The dialog box contains the following two fields:

  • Applies to Table — Contains a list of all the tables in the open project.

  • Matching Filter — Contains a list of all the filters defined for the open project.

Clicking the ellipsis button to the right of the Matching Filter field displays the Filters dialog box that you can use to create a new filter.

If you wanted to delete all the non-critical activities in the project, for example, you would select the Activity table in the first field and the filter Non_Critical in the second field. When you click OK, the data records returned by the filter criteria are deleted.

Location

Related Topics and Procedures


Using the Manage Note Categories Dialog Box

You can use this dialog box to create, edit, and delete note categories for the following tables:

  • Activity

  • Code Data Table

  • Code Directory

  • Project

  • Resource

  • Resource Data

The categories feature of Open Plan allows you to attach multiple notes to a project, activity, resource, or code and to organize your notes by categories.

Each table contains a <Default> category. This may be the only category you need if you do not intend to attach multiple notes to file and if you do not have a need to organize your notes.

Many project managers, however, will want to set up multiple note categories for each file. In this case, the dialog box displays all the note categories currently set up in the database.

As shipped with Open Plan, the Activity table and Project table contain two additional categories: Risks_Involved and Quality_Requirements. These categories are used by the demonstration data that is included with your installation of Open Plan.

While you can have multiple categories defined for each table, only one note can be included in each category.

Location

Related Topics and Procedures


Using the New Browser View Dialog Box

This dialog box allows you to enter a name for the browser view you are creating. If you enter a name that is already in use, Open Plan issues a warning and redisplays the New Browser View dialog box. Also, the name cannot contain any spaces.

Location

Related Topics and Procedures


Using the New User Defined Field Dialog Box

This dialog box allows you to create a new user defined field for the data table selected on the User Defined Fields dialog box. The New User Defined Field dialog box features the following controls:

  • Name

  • Data Type

  • Description

  • Also Create Field for Baseline

  • Link Field to Lookup Table

When you click OK, Open Plan adds the user defined field to the appropriate data table and includes it on the list displayed on the User Defined Fields dialog box.

Location

Related Topics and Procedures


Using the Note Category Dialog Box

This dialog box contains two fields:

  • Name — A short name for the note category.

  • Description — You can use this field to enter a longer, more descriptive name for the note category.

Location

Related Topics and Procedures


Using the Options Dialog Box

The General tab of the Options dialog box allows you to specify whether the following features should be enabled:

  • Startup Clip Notes

  • Opening Splash Screen

  • Startup Tips

  • Status Bar

  • Toolbar

In addition, you can specify whether the last file used should open automatically when you start Open Plan.

A Symbols button provides access to the Manage Symbols dialog box that you can use to add and delete symbols that Open Plan should use.

An Edit Briefcase button provides access to the Edit Data Source dialog box that you can use to specify the data source to be used as your Briefcasing data source.

You can also specify the following options:

  • Default Times — The default start and stop times for a day.

  • Language — The language that Open Plan should use on all menus and dialog boxes

  • Default Open Mode — The selection you make from this list sets the default access mode (Exclusive, Shared, or Read-Only) for new projects and auxiliary files.

  • Week Starts On — The day of the week that Open Plan should use as the starting day of each week.

For detailed information about these options, click Related Topics and Procedures and select Using the Options Dialog Box — General Tab from the list that is displayed.

The Edit tab of the Options dialog box allows you to specify whether the following options features should be enabled:

  • Navigating One Dialog Box Navigates All Open Dialog Boxes

  • Do Not Clear Contents of the Dialog Box when Creating a New Activity

  • Request Confirmation of Save When Navigating to Another Record

For detailed information about these options, click Related Topics and Procedures and select Using the Options Dialog Box — Edit Tab from the list that is displayed.

The Project tab of the Options dialog box allows you to set the following project-level options:

  • Show Process Log Message Only if Errors Occur During Processing

  • Create New Projects Using Default Project

For detailed information about these options, click Related Topics and Procedures and select Using the Options Dialog Box — Project Tab from the list that is displayed.

The Views tab of the Options dialog box allows you to specify the views that Open Plan should show assign to new projects by default. You can also specify the view that Open Plan should display when opening a project.

For detailed information about these options, click Related Topics and Procedures and select Using the Options Dialog Box — Views Tab from the list that is displayed.

The Codes tab of the Options dialog box allows you to specify codes that should be assigned to projects by default.

For detailed information about these options, click Related Topics and Procedures and select Using the Options Dialog Box — Codes Tab from the list that is displayed.

The Color tab of the Options dialog box allows you to specify the theme colors that are used to identify the following:

  • Cost Color

  • Cost Color — Locked

  • Quantity Color

  • Quantity Color — Locked

  • Label Color

  • Lock Color

You can also use this tab to set custom colors and to reset the theme colors.

For detailed information about these options, click Related Topics and Procedures and select Using the Options Dialog Box — Color Tab from the list that is displayed.

The Email tab of the Options dialog box allows the system administrator to configure email alerts to use either of the following for email transmission:

  • MAPI

  • SMTP

By default, the MAPI option is selected. When MAPI is selected, the controls in the SMTP Server Information group box are disabled.

The SMTP server's configuration information is entered in this dialog box.

For detailed information about these options, click Related Topics and Procedures and select Using the Options Dialog Box — Email Tab from the list that is displayed.

The Advanced tab of the Options dialog box allows you to specify how Open Plan should display information such as the following:

  • Risk

  • Calendar information

  • Histogram Arrays

For detailed information about these options, click Related Topics and Procedures and select Using the Options Dialog Box — Advanced Tab from the list that is displayed.

— Clicking this button puts your settings into effect and closes the Options dialog box.

— Clicking this button closes the Options dialog box without putting your selections into effect.

— Clicking this button displays the Help system.

Using the Options Dialog Box

This dialog box provides a convenient way of customizing many Open Plan options. The Options dialog box contains the following tabs:

  • General

  • Edit

  • Project

  • Views

  • Codes

  • Color

  • Email

  • Advanced

The following buttons along the bottom of the dialog box apply to all seven tabs:

  • OK

  • Cancel

  • Help

Location

Related Topics and Procedures


Using the Output Fields Dialog Box

The Output Fields dialog box is used to select the fields that are displayed as columns in the Path Details report and the Summary Path report.

To add a field for display, scroll down the Field Name list and select the first blank line. Select a field from the drop-down list at the top of the dialog box to enter it on the blank line. You can also replace an existing field by selecting it and choosing a new field from the drop-down list.

To delete a field, select it from the Field Name list, and press the Delete key.

You can also change the display order of the fields using the Change Order buttons. Simply select a field in the list, and click the arrow buttons until the desired position is obtained. The fields as listed from top-to-bottom in the Field Name list are displayed left-to-right in the report.

When you are finished setting the output fields options, click OK to return to the Reports tab of the Trace Critical Path Facility dialog box.

Location

Related Topics and Procedures


Using the Select a Value Dialog Box

The Select a Value dialog box works with the Global Edit Definition dialog box and allows you to select a value to include in the With Expression field that dialog box.

By listing only values that are appropriate to the field selected in the Replace Values in field on the Global Edit Definition dialog box, the Select a Value dialog box facilitates building the global edit.

When you select a value and click OK, Open Plan inserts the value in the With Expression field on the Global Edit Definition dialog box.

Location

Related Topics and Procedures


Using the Rollup Definition Dialog Box

This dialog box allows you to create a new rollup definition or edit an existing one. A rollup definition contains the fields that will be rolled up in a selected table.

The dialog box features the following controls:

  • Name

  • Applies to Table

  • Available Fields

  • Assigned Fields

  • Access Control

When you are finished defining the rollup definition, click OK to return to the Rollups dialog box.

Location

Related Topics and Procedures


Using the Rollups Dialog Box

This dialog box allows you to perform a rollup of selected numeric and date fields for Activities, Resources, and Codes. For numeric fields, the parent object is the sum of its children. For date fields, the Start date of the parent object is the earliest date of its children, and the Finish date is the latest date of its children.

If any of the children have a blank finish date, a blank finish date is rolled up to the parent.

The Display for field allows you to select the table that contains the rollup definition you wish to use. When a table is selected, the dialog box is populated with all of the rollup definitions that have been created for that table. Selecting a rollup definition and clicking Apply, performs the rollup for the current file.

The buttons on this dialog box allow you to create, copy, edit, and delete rollup definitions.

You can also perform a rollup in Batch Mode. This allows you to use a rollup definition for multiple project, code, or resource files at one time. To use a rollup definition in Batch Mode, select more than one project, code, or resource from the Details pane of the Open Plan Explorer, and click Rollup on the Tools menu. The Rollups [Batch Mode] dialog box will be displayed. Select the rollup definition to use, and click Apply.

If a project is closed, Open Plan will open it in Exclusive mode, perform the process, save the changes, and then close the project. If a project cannot be opened in Exclusive mode (because another user has it open in Exclusive or Shared mode), it will be skipped.

If you have a project open when the batch process is run, rollup will be performed on the project, but the changes will not be saved and the project will remain open. You must manually save the changes yourself.

Location

Related Topics and Procedures


Using the Send Message Dialog Box

This dialog box allows you to send a message to other users who are logged into Open Plan. When the message is sent, a message box pops up on the recipient’s screen. The message box displays your user name and date/time the message was sent along with the message.

The following options are used to send a message:

  • Users

  • All Users

  • Message

Clicking the Send button delivers your message.

You cannot send a blank message or a message without a recipient.

Location

Related Topics and Procedures


Using the Sort Expression Dialog Box

Controls the order in which the data will be sorted.

Controls the fields on which the data will be sorted.

You can choose from standard database fields, user defined fields, and calculated fields.

Controls whether the sort on the field should be by ascending or descending order.

— Clicking this button stores changes to the sort expression and closes the Sort Expression dialog box.

— Clicking this button closes the Sort Expression dialog box without saving any changes.

— Clicking this button displays the Access Control dialog box, which allows the owner of a sort expression to define the groups and users that have access to the sort. This option is enabled only for permanent sorts. A temporary sort cannot be shared.

— Clicking this button displays the References dialog box, which has a list of items that use the sort. This list of items includes the file type, name of the project or file, description, and owner.

— Clicking this button displays the Help system.

Using the Sort Expression Dialog Box

You can build a sort expression based on data from any activity- or resource-related data table using either ascending or descending order. Custom sorts can also include any calculated fields for those tables.

This dialog box controls sort expressions using the following settings:

  • Sort

  • Field

  • Order

The following buttons are located along the right edge of the dialog box:

  • OK

  • Cancel

  • Access Control

  • References

  • Help

Location

Related Topics and Procedures


Using the Sorts Dialog Box

This dialog box allows you to sort both activities and resources according to specified criteria. While Open Plan provides a number of predefined sorts common to many project management reports, you can also define custom sorts of your own.

By default, Open Plan displays activities in many barchart and spreadsheet views in order of activity ID. You can, however, assign a different sorting sequence to a view so that activities appear in an order that you specify.

The Sorts dialog box displays a list of currently available sort criteria. By default, Open Plan lists only those sorts that apply to the view. You can, however, select an option that causes Open Plan to include sorts that are not applicable to the view. This option is useful if you need to select a sort in order to edit it.

In a multi-table spreadsheet, the sort can be applied only to the primary table. To apply a sort to a secondary table, use the Sorts column on the Define Link tab of the Spreadsheet Preferences dialog box.

You can sort the data in the displayed view simply by selecting a sort criterion and clicking OK or Apply. When a sort is in effect, the name of the sort criterion in effect is displayed on the status bar.

If outlining or subsections is turned on for a view, Open Plan sorts activities within the outline or subsection structure.

In addition to allowing you to select a sort, Open Plan also allows you to select <Temporary Sort> to create a sort without giving it a name. The temporary sort is accessible only until you next change the sort sequence. If you save the view while a temporary sort is in effect, Open Plan saves the sort order in effect.

The <Cancel Sort> option allows you to cancel a sort that is currently in effect.

A set of buttons across the bottom of the dialog box allows you to create a new sort, copy an existing sort, edit the definition of an existing sort, or delete a sort criterion.

Location

Related Topics and Procedures


Using the Temporary Sort Expression Dialog Box

You can use the Temporary Sort Expression dialog box to create a sort without giving it a name or saving it. The temporary sort that you create is available only in the view in which it was defined and only until superceded by another sort.

A temporary sort expression is automatically created when you sort a single-table or the primary table of a multi-table spreadsheet by clicking a column heading when the Click to Sort option is enabled. Once created in this way, you can view the sort expression in the Temporary Sort Expression dialog box. You can also create the temporary sort expression directly in this dialog box in order to apply the sort without necessarily having to display the column on which the sort is based in the spreadsheet.

In the case of a multi-table spreadsheet, the temporary sort expression is displayed in this dialog box only when you sort the spreadsheet based on a field in the primary table. If you sort the spreadsheet based on a field in a secondary table, the temporary sort expression is displayed in the Sorts column of the Define Link tab of the Spreadsheet Preferences dialog box.

If you save the view while a temporary sort is in effect, Open Plan saves the view with the sort applied.

While you can simply type the sort expression in the text box, you can also use the Fields button to display a dialog box that you can use as an aid in building the sort expression.

A discussion of the syntax to use for the temporary sort expression can be found by clicking the "Sort Expression Syntax" topic on the See Also popup menu.

Location

Related Topics and Procedures


— Clicking this button saves the Title Block Definition before closing the dialog box. In addition, if you have created a new title block definition, Open Plan adds it to the list on the Title Blocks dialog box.

— Clicking this button closes the Title Block Definition dialog box without saving your changes.

— Clicking this button displays the Access Control dialog box, which allows the owner of a title block to define the groups and users that have access to the title block.

— Clicking this button displays the References dialog box, which has a list of items that use the title block. This list of items includes the file type, name of the project or file, description, and owner.

— Clicking this button displays the Help system.

Using the Title Block Definition Dialog Box

This dialog box controls the information printed in a title block. You can include up to six title blocks in most reports. Three title blocks can be defined for the header of the report and three for the footer. Each title block is defined individually using the following controls:

  • Location tabs

  • Enabled

  • Divider Line

  • Lines 1 – 5

  • Logo

  • Fields

A Scaled Preview window displays a representation of all enabled title blocks located across the header or footer of the report.

A row of buttons is located across the bottom of the dialog box:

  • OK

  • Cancel

  • Access Control

  • References

  • Help

Location

Related Topics and Procedures


Using the Title Blocks Dialog Box

This dialog box features a list of all the title block definitions currently stored in your data source. Each title block definition can include up to six title blocks that can be included in each report. (Three title blocks may be defined for the header of the report, and three for the footer.)

When you select a title block definition from the list and click OK, Open Plan assigns the title block definition to the currently displayed view.

A row of buttons is located across the bottom of the dialog box:

  • New

  • Copy

  • Edit

  • Delete

Location

Related Topics and Procedures


Using the Trace Critical Path Facility — Inputs Tab

The Inputs tab contains the following options that you use to set the parameters for the path analysis:

  • Target Activity

  • Target Date Field

  • Target Date

  • Number of Paths to Analyze

  • User Character Field

  • Ignore Target Dates

Once the options have been set, click the Perform Analysis button to run the analysis.

Location

Related Topics and Procedures


Using the Trace Critical Path Facility — Reports Tab

The Reports tab is displayed if you have Milestones Professional® installed. You can generate three different Milestones Professional reports:

  • A Barchart report that documents all critical paths.

  • A separate Path Details report for each critical path you instruct the tool to identify.

  • A Summary Path report that summarizes the current activities on each path.

The Reports tab contains the following options that you can use to set the parameters for generating reports from the results returned by the path analysis:

  • File Prefix

  • File Path

  • Label field to display on bars in the barchart

  • Date field used for bars in the barchart

  • Output fields for Path Details Report

  • Output fields for Summary Path Report

When you have set the options for the reports, click the Generate Reports button. Since a separate Path Details report is created for each path identified by the Trace Critical Path tool, the number of generated reports varies. For example, if you instructed the tool to find the three most critical paths in project TEST, you would end up with five files when you generated the reports:

  • TEST_BAR.ML7

  • TEST_01.ML7

  • TEST_02.ML7

  • TEST_03.ML7

  • TEST_SUMM.ML7

To view a report, navigate to the location directory using Windows Explorer, and double-click the appropriate file.

When the report files are created and saved, the three templates used to created the files are copied to the same folder as the report files. When you are viewing a report, any changes you make to the style (color, font, and so on) can be saved back to the template. This allows you easily to create other reports using the same style.

The Trace Critical Path tool will not overwrite existing templates when creating and saving new reports.

Location

Related Topics and Procedures


Using the User Defined Fields Dialog Box

The User Defined Fields dialog box displays a list of currently available user defined fields that are available for the selected data table.

The Table field at the top of the dialog box allows you to select the data table to which the user defined field applies.

A set of buttons across the bottom of the dialog box provides access to dialog boxes where you can create, copy, or edit a user defined field.

In addition, you can delete an existing user defined field simply by selecting it and clicking Delete.

Data entered on interproject links for user defined fields created on the Relationship table is not saved by Open Plan.

Location

Related Topics and Procedures


Adding a Custom Item to the Add-Ins Menu (Procedure)

Adding a Custom Item to the Add-Ins Menu

To add a custom item to the Add-Ins menu:

  1. Take one of the following actions:

    2. If you want the custom item to be accessible to all users of your data source (shared items), use any text editor to open the copy of the Addins.dat file located in the same folder as your Open Plan executable file.

    If Open Plan is running, you can use the Edit Add-Ins.dat custom tool located on the Add-Ins menu to open the file with Windows Notepad. This custom tool comes preconfigured with your installation of Open Plan. Note, however, that this will only open the Addins.dat file located in the same folder as the Open Plan executable file.

    If you want the custom item to be accessible only to you (user-specific items), create and use any text editor to open the copy of the Addins.dat file located in your Open Plan User folder. (You can create this file by copying the Addins.dat file in your Open Plan executable folder.)

  2. At the bottom of the file, start a new line.

  3. Use the following format to add your custom tool:

    4. Tool#=label;Drive;\Path\Filename

    Notice that there are no spaces in the line and that a semicolon follows the name of the menu item. Each item that you add must be on a separate line. In addition to the full pathname of the file, you can also specify automatic parameters to be passed to the application.

    Example: To add the Windows Notepad program as the first custom item, enter:

    tool1=&Notepad;C:\windows\notepad.exe

    (The & is optional and makes the letter that follows it a keyboard shortcut on the Add-Ins menu.)

    If you are adding both shared and user-specific items, you can start numbering the tools in the copy of the Addins.dat file in your Open Plan User folder with any number you wish. Open Plan always displays the user-specific items after the shared ones.

  4. When you have finished adding items, save the .dat file.

    5. The total of shared and user-specific custom tools cannot exceed 30. Open Plan ships with 15 preconfigured custom tools.

    While you may specify a program that runs under DOS, doing so may require that you also create a .pif file for it.

  5. Close the text editor.

  6. Restart Open Plan.

If Open Plan is running and you used the Edit Add_Ins.dat custom tool, you can enable the new tool(s) you just entered without having to exit Open Plan and restart. Simply click Reload Add-Ins on the Add-Ins menu to refresh the menu after making your changes.

Related Topics and Procedures


Assigning a Title Block to a View

To assign a title block to a view:

  1. Display the view for which you want to assign a title block.

  2. On the Tools menu, click Title Blocks.

  3. On the Title Blocks dialog box, select the title block definition you wish to use.

  4. Click OK.

Related Topics and Procedures


Copying a Browser View

To copy a browser view:

  1. From the Tools menu, click Browser Views.

  2. On the Browser Views dialog box, select the browser view to copy.

  3. Click Copy.

  4. When the Browser View Definition dialog box is displayed, you may edit any of the following fields:

    • Name

    • Description

    • Command

    • Arguments

  5. When finished, click OK.

You may also edit this information using the Command-Line Info tab of the browser view’s Properties dialog box.

Related Topics and Procedures


Copying a Rollup Definition (Procedure)

Copying a Rollup Definition

To copy an existing rollup definition:

  1. From the Tools menu, select Rollup.

  2. On the Rollups dialog box, select the table that contains the rollup definition you want to copy.

  3. Select the definition to copy, and click Copy.

  4. On the Rollup Definition dialog box, the definition is given a default name of Copy <existing name>. You may enter a new name for the definition.

  5. Add and/or remove the desired fields from the rollup definition.

    6. You can select multiple fields to move at one time by Ctrl+clicking or Shift+clicking the fields you want and then clicking the appropriate arrow button.

  6. Click the Access Control button to display the Access Control dialog box, which lets you specify exactly which user(s) can access the rollup definition.

  7. Click OK to return to the Rollups dialog box.

Related Topics and Procedures


Copying a Title Block Definiton

Copying a Title Block Definition

To copy a title block definition:

  1. On the Tools menu, click Title Blocks.

  2. On the Title Blocks dialog box, select the title block definition you wish to copy.

  3. Click Copy.

  4. On the Title Block Definition dialog box, make any appropriate changes to the title block such as renaming the default copy name.

    5. The default copy name for the title block is Copy_<original name>, where <original name> is the name of the title block you are copying.

  5. When done, click OK to return to the Title Blocks dialog box.

Related Topics and Procedures


Changing an Add-Ins Button Icon

To change an Add-Ins button icon:

  1. Take one of the following actions:

    • From the Add-Ins menu, click Customize Add-Ins Toolbar.

    • From the Toolbar, click the Customize Add-Ins Toolbar button.

  2. Click the Select Icons for Add-Ins button.

  3. From the left pane of the Customize Toolbar Icons dialog box, select the Add-Ins tool for which you wish to change the icon.

  4. From the right-hand pane, select the new icon.

  5. Click Replace Icon.

    6. Click the Browse button to display an Open dialog box that you can use to select a .exe, .ico, or .dll file that contains the new icon you want to use. Once you have selected the appropriate file, the icons contained in the file are displayed in the Select Icon for Command list.

  6. When you are finished changing icons, click OK.

Related Topics and Procedures


Creating a Batch Global Edit Definition

To create a batch global edit definition:

  1. From the Tools menu, click Batch Global Edit.

  2. From the Display for list on Batch Global Edit dialog box, select the table to which the batch global edit applies.

  3. Click New.

  4. From the Available Global Edits list, select the global edits to include in the batch definition, and click the right arrow button.

    5. You can select multiple global edits to include at once by Ctrl+clicking or Shift+clicking the desired global edits.

  5. If the global edit you want to include is not listed, click the Global Edits button to display the Global Edits dialog box, which you can use to create the appropriate global edit.

  6. In the Assigned Global Edits list, use the up and down arrow buttons to determine the order in which the global edits are to be executed.

  7. If you wish to share the batch definition with other users, click the Access Control button to display the Access Control dialog box.

  8. When you are finished defining the batch, click OK.

Related Topics and Procedures


Creating a Browser View

To create a new browser view:

  1. From the Tools menu, click Browser Views.

  2. On the Browser Views dialog box, click New.

  3. Enter a name for the browser view, and click OK.

  4. On the Browser View Definition dialog box, enter the following information.

    • Description

    • Command

    • Arguments

  5. When you are finished defining the browser view, click OK.

Related Topics and Procedures


Creating a Note Category (Procedure)

Creating a Note Category

To create a note category:

  1. On the Tools menu, click Note Categories.

  2. Click New.

  3. In the Note Category dialog box, enter a name and description for the new note category.

  4. Click OK.

Related Topics and Procedures


Creating a Rollup Definition (Procedure)

Creating a Rollup Definition

To create a rollup definition:

  1. From the Tools menu, select Rollup.

  2. On the Rollups dialog box, select the table that contains the fields you want to roll up.

  3. Click New.

  4. On the Rollup Definition dialog box, enter a name for the new definiton.

  5. From the Available Fields list, select the field(s) you want to roll up, and click the right arrow button.

    6. You can select multiple fields to move at one time by Ctrl+clicking or Shift+clicking the fields you want and then clicking the right arrow button.

  6. If you wish to share the rollup definition with other users, click the Access Control button to display the Access Control dialog box.

  7. Click OK to return to the Rollups dialog box.

Related Topics and Procedures


Customizing the Add-Ins Toolbars

To customize the Add-Ins toolbars:

  1. Take one of the following actions:

    • From the Add-Ins menu, click Customize Add-Ins Toolbar.

    • From the Toolbar, click the Customize Add-Ins Toolbar button.

  2. Depending of which Add-Ins toolbar you wish to customize, click one of the following buttons:

    • Customize System Add-Ins Toolbar

    • Customize User Add-Ins Toolbar

  3. Using the Customize Toolbar dialog box, add or remove the appropriate buttons from the toolbar.

  4. Rearrange the display of the buttons using the Move Up and Move Down buttons.

  5. When you have finished making changes to the toolbar, click Close.

Clicking Reset before clicking Close will remove any changes you may have made to the toolbar.

Related Topics and Procedures


Deleting a Browser View

To delete a browser view:

  1. From the Tools menu, click Browser Views.

  2. On the Browser Views dialog box, select the browser view to delete.

  3. Click Delete.

  4. When Open Plan asks you to confirm the deletion, click Yes.

Related Topics and Procedures


Deleting a Group of Data Records

To delete a group of data records in an open project:

  1. Open the desired project in Shared or Exclusive mode.

  2. From the Tools menu, click Group Delete.

  3. Select the table from which to delete the data records.

  4. Select the filter to use, or click the ellipsis button to create a new filter using the Filters dialog box.

  5. Click OK.

  6. Open Plan informs you how many records match the filter criteria and asks you to confirm the deletion.

  7. Click Yes.

Related Topics and Procedures


Deleting a Note Category (Procedure)

Deleting a Note Category

To delete a note category:

  1. On the Tools menu, click Note Categories.

  2. From the Categories list, select the note category that you want to delete.

  3. Click Delete.

    4. Deleting a note category also deletes all notes assigned to the category.

  4. When asked to confirm that you want to delete the selected category, click Yes.

Related Topics and Procedures


Editing a Browser View

To edit a browser view:

  1. From the Tools menu, click Browser Views.

  2. On the Browser Views dialog box, select the browser view to edit.

  3. Click Edit.

  4. When the Browser View Definition dialog box is displayed, you may edit any of the following fields:

    • Description

    • Command

    • Arguments

  5. When you are finished, click OK.

You may also edit this information using the Command-Line Info tab of the browser view’s Properties dialog box.

Related Topics and Procedures


Editing a Note Category (Procedure)

Editing a Note Category

To edit a note category:

  1. On the Tools menu, click Note Categories.

  2. From the Categories list, select the note category that you want to edit.

  3. Click Edit.

  4. In the Note Category dialog box, enter a new description for the category.

  5. Click OK.

Related Topics and Procedures


Editing a Rollup Definition (Procedure)

Editing a Rollup Definition

To edit an existing rollup definition:

  1. From the Tools menu, select Rollup.

  2. On the Rollups dialog box, select the table that contains the rollup definition you want to edit.

  3. Select the definition to edit, and click Edit.

  4. On the Rollup Definition dialog box, add and/or remove the desired fields from the rollup defintion.

    5. You can select multiple fields to move at one time by Ctrl+clicking or Shift+clicking the fields you want and then clicking the appropriate arrow button.

  5. If you wish to share the rollup definition with other users, click the Access Control button to display the Access Control dialog box.

  6. Click OK to return to the Rollups dialog box.

Related Topics and Procedures


Editing a Title Block Definition

To edit a title block definition:

  1. On the Tools menu, click Title Blocks.

  2. On the Title Blocks dialog box, select the title block definition you wish to edit.

  3. Click Edit.

  4. On the Title Block Definition dialog box, make the appropriate changes to the title block.

  5. When done, click OK to return to the Title Blocks dialog box.

Related Topics and Procedures


Sending a Message to a User

To send a message to a user:

  1. From the Tools menu, click Send Message.

  2. From the Users pane on the Send Message dialog box, select the recipient(s) of your message.

    3. Use Ctrl+click or Shift+click to select more than one user, or select All Users to send a message to all logged in users.

  3. Type your message in the Message pane (maximum 250 characters).

  4. Click Send.

Related Topics and Procedures


Microsoft Project Integration

Related Topics:

Using the Microsoft Project Import Wizard — Project Page

Using the Microsoft Project Import Wizard — Options Page

Using the Microsoft Project Import Wizard — Project Selection Page

Using the Microsoft Project Import Wizard — Master Project Name Page

Using the Microsoft Project Import Wizard — Validate Files Page

Using the Microsoft Project Import Wizard — Import Complete Page

Using the Microsoft Project Export Wizard — Project Page

Using the Microsoft Project Export Wizard — Options Page

Using the Microsoft Project Export Wizard — Export Complete Page

Related Procedures:

Importing an MSP File

Exporting a File to an MSP Project

Microsoft Project Integration

Open Plan features an import and export interface for both Microsoft's .mpp and .mpd file formats. This import facility provides a more seamless integration with Microsoft’s current standard data formats.

These options are located on the Import and Export submenus of the File menu.

Related Topics and Procedures


Sharing Data Between Open Plan and Other Applications

Open Plan includes special utilities for working with data stored in locations other than the Open Plan database. These utilities allow you to transfer data between a wide variety of applications and Open Plan using both standard and custom import/export specifications.

Related Topics and Procedures


Using the Open Plan Import and Export Facilities

Open Plan includes the following facilities for importing and exporting project data:

  • A customizable import/export facility based on user-defined scripts that can be used to transfer project data to and from a wide range of external applications. When importing or exporting data, you can apply both a filter and a sort to the process. These filters and sorts can be either predefined or created and used as temporary filters and sorts that are used only once.

  • An import capability for projects created with Primavera Project Planner®

  • An import/export capability for Microsoft Project files. The import facility provides a more seamless integration with Microsoft's current standard data formats.

For full information about the Open Plan import and export facilities, refer to Chapter 3, "Import and Export Facilities in Open Plan," in the Deltek Open Plan Developer’s Guide.

Related Topics and Procedures


Working with P3 Files

Open Plan includes a facility for converting a Primavera Project Planner® (P3) project into a comma-delimited ASCII file that can be imported into Open Plan. The files can be accessed directly from the directory on which the working version of the project is stored or from a backup created by Primavera.

If you are using a backup created by Primavera, it is important that the backup be created without the "compressed" option.

Once the P3 file has been converted, it is imported into Open Plan. During this process, Open Plan prompts you for a location where each of the auxiliary files and the project file itself should be saved.

While the Import P3 File command located on the File menu will meet the needs of most users, you may want to customize the conversion to meet your specific needs. You can then include your customized conversion facility on the Add-Ins menu. For detailed information on creating a custom P3 conversion tool, refer to the Deltek Open Plan Developer’s Guide.

Related Topics and Procedures


Importing Data From Another Application

Open Plan features a powerful import function that allows you to import data from a wide variety of applications using user-defined import specifications. Each specification consists of a series of commands and parameters that allows Open Plan to import project, resource, code, and calendar information in a wide range of data formats.

Open Plan provides a number of standard import specifications that allow you, for example, to import cost data for a resource file. It is also possible to create your own scripts for special-purpose operations. (For a complete description of creating custom import/export specifications, refer to Chapter 3, "Import and Export Facilities in Open Plan," in the Deltek Open Plan Developer’s Guide.)

Be aware that Open Plan requires double-digit date and time formats when importing information from a comma-delimited file. (For example, Open Plan will not import 2/5/07. It will, however, correctly interpret 02/05/07.)

If you are creating or editing your import data in Excel, create a custom mm/dd/yyyy hh:mm format. Then apply this format to all date columns before saving the import file.

Related Topics and Procedures


Using the Import Dialog Box

This dialog box allows you to import a file into your installation of Open Plan using the following controls:

  • Import Specification — This field contains a list of import specifications that you can use when importing the file. When you select a specification and click OK, Open Plan displays the Import File dialog box where you can select the file to import.

    • For information on creating an import specification script, refer to the Deltek Open Plan Developer’s Guide.

  • Add data to open project — If a project is open, its name is displayed in this field. If you wish, you can use the data you are importing to update the current project. Note, however, that whether or not the imported data overwrites existing records is determined by a parameter set in the import specification.

    • If you have more than one project open, Open Plan offers to add the data to the project that currently has focus.

    If you do not choose to add the data to the current project, Open Plan creates an untitled project containing the imported information. If the project includes references to auxiliary files such as resource or code files, Open Plan creates untitled versions of these files as well.

Location

Related Topics and Procedures


Using the Import File Dialog Box

This dialog box allows you to select a file to import.

A list of directories and drives controls the location of the files from which you can select.

The List Files of Type field displays the type of files that you can import using the specification that you selected in the Import dialog box.

When you access Open Plan from a network drive, a Network button provides access to another dialog box where you can make further choices about the location of the file to open.

Location

Related Topics and Procedures


Using the Project Name Dialog Box

You can use this dialog box to assign a project name to the Simple Activity Table Import .txt file you are importing.

If you enter a name for an existing project, Open Plan informs you that a project already exists with that name and allows you to enter a new name.

Related Topics and Procedures


Using the IMicrosoft Project Import Wizard — Project Page

— This button is disabled since this is the first page of the wizard.

— Click this button to display the next page of the wizard.

— Click this button to cancel the import process.

— Click this button to display the Open Plan help file.

To display the Import MSP Files wizard, on the Files menu, point to Import, and click Import MSP File.

Related Topics:

Microsoft Project Integration

Using the Microsoft Project Import Wizard — Options Page

Using the Microsoft Project Import Wizard — Project Selection Page

Using the Microsoft Project Import Wizard — Master Project Name Page

Using the Microsoft Project Import Wizard — Validate Files Page

Using the Microsoft Project Import Wizard — Import Complete Page

Related Procedures:

Importing an MSP File

Exporting a File to an MSP Project

Using the Microsoft Project Import Wizard – Project Page

You use the Project page of the Microsoft Project Import wizard to select the Microsoft Project (.mpp) file or Microsoft Project Database (.mpd) file that contains the schedule data to import. Click the ellipsis button next to the Project File field to display Microsoft Project's Open dialog box that you can use to select the appropriate file.

If Microsoft Project is not already open, clicking the ellipsis button automatically opens Microsoft Project before displaying the Open dialog box.

Navigate to and select the appropriate file, and click Open. Depending on the type of file selected, one of the following occurs:

  • If the file selected is a .mpp file, clicking Open on the Open dialog box populates the Project File field with the location and file name of the project file.

  • If the file selected is a .mpd file, clicking Open on the Open dialog box launches Microsoft Project's Import Wizard – Project Definition dialog box. Use this dialog box to select the project in the database file that contains the schedule data to import.

For more information on using the Open dialog box or the Import Wizard – Project Definition dialog box, refer to the Microsoft Project user documentation.

The following buttons appear along the bottom of the page:

  • Back

  • Next

  • Cancel

  • Help

Location

Related Topics and Procedures


Using the Microsoft Project Import Wizard — Options Page

If an actual WBS ID has been assigned to the MSP project, this option creates a code file in Open Plan and stores that code file in the Code 1 field.

The default values that appear in the MSP WBS field are actually the outline numbers; these are not transferred as codes.

When importing a project from Microsoft Project, the resource name is imported. With this option selected, Open Plan imports the resource name along with the group ID.

— Click this button to return to the previous page of the wizard.

— Click this button to display the next page of the wizard.

— Click this button to cancel the import process.

— Click this button to display the Open Plan help file.

To display the Import MSP Files wizard, on the Files menu, point to Import, and click Import MSP File.

Related Topics:

Microsoft Project Integration

Using the Microsoft Project Import Wizard — Project Page

Using the Microsoft Project Import Wizard — Project Selection Page

Using the Microsoft Project Import Wizard — Master Project Name Page

Using the Microsoft Project Import Wizard — Validate Files Page

Using the Microsoft Project Import Wizard — Import Complete Page

Related Procedures:

Importing an MSP File

Exporting a File to an MSP Project

Using the Microsoft Project Import Wizard – Options Page

You use the Options page of the Microsoft Project Import wizard to set the following options that Open Plan can use when importing a project from Microsoft Project:

  • Store WBS to Code 1

  • Insert Group before Resource Name

The following buttons appear along the bottom of the page:

  • Back

  • Next

  • Cancel

  • Help

Location

Related Topics and Procedures


Using the Microsoft Project Import Wizard — Proejct Selection Page

— Click this button to select all of the available projects.

— Click this button to clear the check mark from all the selected projects.

— By default, the hierarchical list of projects displays fully expanded . Clicking this button collapses the hierarchical tree.

— Click this button to return to the previous page of the wizard.

— Click this button to display the next page of the wizard.

— Click this button to cancel the import process.

— Click this button to display the Open Plan help file.

To display the Import MSP Files wizard, on the Files menu, point to Import, and click Import MSP File.

Related Topics:

Microsoft Project Integration

Using the Microsoft Project Import Wizard — Project Page

Using the Microsoft Project Import Wizard — Options Page

Using the Microsoft Project Import Wizard — Master Project Name Page

Using the Microsoft Project Import Wizard — Validate Files Page

Using the Microsoft Project Import Wizard — Import Complete Page

Related Procedures:

Importing an MSP File

Exporting a File to an MSP Project

Using the Microsoft Project Import Wizard — Project Selection Page

The Project Selection page of the Microsoft Project Import wizard displays only if the project you are importing contains external relationships that require additional projects to be imported. This page does not display if the project is a standalone project.

You use the Projects page to select the project(s) you want to import. The following three buttons appear at the right of the page:

  • Select All

  • Clear All

  • Collapse

The following buttons appear along the bottom of the page:

  • Back

  • Next

  • Cancel

  • Help

Location

Related Topics and Procedures


Using the Microsoft Project Import Wizard — Master Project Name Page

— Enter a name for the new master project to be created. You can enter up to 20 characters.

— Click this button to return to the previous page of the wizard.

— Click this button to display the next page of the wizard.

— Click this button to cancel the import process.

— Click this button to display the Open Plan help file.

To display the Import MSP Files wizard, on the Files menu, point to Import, and click Import MSP File.

Related Topics:

Microsoft Project Integration

Using the Microsoft Project Import Wizard — Project Page

Using the Microsoft Project Import Wizard — Options Page

Using the Microsoft Project Import Wizard — Project Selection Page

Using the Microsoft Project Import Wizard — Validate Files Page

Using the Microsoft Project Import Wizard — Import Complete Page

Related Procedures:

Importing an MSP File

Exporting a File to an MSP Project

Using the Microsoft Project Import Wizard – Master Project Name Page

The Master Project Name page of the Microsoft Project Import wizard appears only if the projects you selected on the Project Selection page contain inter-project relationships. You use the Master Project Name page to create the master project that will contain the projects and inter-project relationships.

This page contains the following field:

  • Master Project Name

The following buttons appear along the bottom of the page:

  • Back

  • Next

  • Cancel

  • Help

Location

Related Topics and Procedures


Using the Import MSP Files Wizard — Validate Files Page

— This column identifies the type of file being imported (for example, calendar, project, master, and so on).

— This column identifies the name of the file being imported. You can change the name of a file by typing directly into the grid.

This warning displays when the wizard detects that the file to be created already exists in Open Plan. Open Plan will overwrite the existing file with the imported file.

This warning displays when an unexpected warning occurs when validating if the file already exists.

A file name must be entered. The import wizard uses the file name to create the Open Plan file.

A file name cannot contain any of the special characters listed in the error message.

The specified file name already exists in Open Plan and is currently open by the current user or another user.

The specified file name already exists in Open Plan and you do not have rights to overwrite the file.

The specified file name is already being used as the file name for another project in the list of files to be imported. Each project to be imported must have a different name.

The specified file name is longer than the maximum file name length allowed by Open Plan.

This error is displayed when an unexpected error occurs when validating the file name.

— Click this button to return to the previous page of the wizard.

— Click Finish to start the import process. If you received a warning that a file will be overwritten, Open Plan asks for confirmation before continuing with the import. Click Yes to confirm.

— Click this button to cancel the import process.

— Click this button to display the Open Plan help file.

To display the Import MSP Files wizard, on the Files menu, point to Import, and click Import MSP File.

Related Topics:

Microsoft Project Integration

Using the Microsoft Project Import Wizard — Project Page

Using the Microsoft Project Import Wizard — Options Page

Using the Microsoft Project Import Wizard — Project Selection Page

Using the Microsoft Project Import Wizard — Master Project Name Page

Using the Microsoft Project Import Wizard — Import Complete Page

Related Procedures:

Importing an MSP File

Exporting a File to an MSP Project

Using the Microsoft Project Import Wizard – Validate Files Page

You use the Validate Files page of the Microsoft Project Import wizard to validate Open Plan files and fix any warnings or errors that may occur. You cannot continue with the import process until all problems have been resolved.

Although you cannot continue with the import if you have unresolved warnings or errors, you can, however, cancel the import process at any time by clicking Cancel.

The grid on this page contains the following columns:

  • File Type

  • File Name

If there is a problem, Open Plan displays a warning [image] icon or an error [image] icon next to the file in question. To see what the warning or error message is, hover the cursor over the icon.

The following are warning [image] messages:

  • File <filename> exists and will be overwritten.

  • An unknown warning occurred.

The following are error [image] messages:

  • Name cannot be blank.

  • The following characters are not allowed in project, resource, code, calendar, view, reporting calendar, or export specification names: + = [ ] | " : < , > ? *

  • <filename> in use.

  • <filename> already exists, and you do not have access rights to overwrite it.

  • A file of the same type and the same name already exists in the grid. Please rename one of the files.

  • The file name exceeds the maximum length allowed for the given file type.

  • An unknown error occurred

To change or rename a file, enter the new file name directly in the File Name column of the grid.

The following buttons appear along the bottom of the page:

  • Back

  • Finish

  • Cancel

  • Help

Location

Related Topics and Procedures


Using the Microsoft Project Import Wizard — Import Complete Page

This message displays if all projects were imported without errors.

This message displays if errors were encountered during the import process. Click View Log to read the processing information for more details.

This message displays if the import process was aborted by the user.

— Click this button to display the Open Plan Log Viewer that you can use to view the import log.

— Click this button to close the Import MSP Files wizard.

— Click this button to display the Open Plan help file.

To display the Import MSP Files wizard, on the Files menu, point to Import, and click Import MSP File.

Related Topics:

Microsoft Project Integration

Using the Microsoft Project Import Wizard — Project Page

Using the Microsoft Project Import Wizard — Options Page

Using the Microsoft Project Import Wizard — Project Selection Page

Using the Microsoft Project Import Wizard — Master Project Name Page

Using the Microsoft Project Import Wizard — Validate Files Page

Related Procedures:

Importing an MSP File

Exporting a File to an MSP Project

Using the Microsoft Project Import Wizard — Import Complete Page

The Import Complete page of the Microsoft Project Import wizard displays at the end of the import process. There are three possible outcomes for the import wizard. This is indicated in the message displayed on the page:

  • Import completed successfully.

  • Imported completed with errors.

  • Import was aborted by the user.

The following buttons appear along the bottom of the page:

  • View Log

  • Close

  • Help

Location

Related Topics and Procedures


P3 Import Considerations

Primavera stores the data for each project in a series of approximately 20 Btrieve® files, each starting with the name of the project and having the extension .p3. The number of files in a P3 project can vary, depending upon the features used. One file that must be present in all P3 projects is named

*dir.P3

where * represents a 4-character project name.

P3 Import reads the Btrieve files and converts them into a comma-delimited ASCII file that can be imported into Open Plan. The files can be accessed directly from the directory on which the working version of the project is stored or from a backup created by Primavera.

If you are using a backup created by Primavera, it is important that the backup be created without the "compressed" option.

Related Topics and Procedures


Importing a XER File (Procedure)

Importing a XER File

To import a XER file:

  1. Click File » Import » Import Primavera File » XER.

  2. From the Open dialog box, select the XER file to import.

  3. Click OK.

    4. Open Plan prompts you for a name for the imported project and for each auxiliary file that it converts.

  4. In each dialog box, enter a name for the file, and click OK.

Related Topics and Procedures


Importing an MSP File (Procedure)

Related Topics:

Microsoft Project Integration

Using the Microsoft Project Import Wizard — Project Page

Using the Microsoft Project Import Wizard — Options Page

Using the Microsoft Project Import Wizard — Project Selection Page

Using the Microsoft Project Import Wizard — Master Project Name Page

Using the Microsoft Project Import Wizard — Validate Files Page

Using the Microsoft Project Import Wizard — Import Complete Page

Related Procedures:

Importing Data from Another Application

Importing a P3 File

Importing an MSP File

To import a Microsoft Project file:

  1. Click File » Import » Import MSP File.

  2. On the Project page of the Microsoft Project Import wizard, click the ellipsis button to the right of the Project File field.

    3. Microsoft Project starts if it is not already open, and the Open dialog box displays.

  3. On the Open dialog box, navigate to and select the .mpp or .mpd file to open, and then click Open.

    4. If you selected a .mpd file, Microsoft Project's Import Wizard – Project Definition dialog box displays. Use this dialog box to select the project in the database file that contains the schedule data to import.

    The path and file name of the selected file displays in the Project File field.

  4. Click Next.

  5. On the Options page, select the options for the imported files, and click Next.

  6. If the project you want to import contains external relationships that require additional projects to be imported, the Project Selection page displays. Select the project(s) you want to import, and click Next.

  7. If the project(s) you selected contain inter-project relationships, the Master Project Name page displays. Enter a name for the master project in the Master Project Name field, and click Next.

  8. Correct any warnings or errors that appear on the Validate Files page, and click Finish. Open Plan imports the project.

  9. When the Import Complete page displays, click View Log to read the import log, or click Close to exit the wizard.

Related Topics and Procedures


Exporting Data to Another Application

Open Plan features a powerful export function that allows you to export data using user-defined export specifications. Each specification consists of a series of commands and parameters that allows Open Plan to export project, resource, code, and calendar information in a wide range of data formats.

Open Plan provides a number of standard export specifications that allow you, for example, to export a simple comma-delimited text file containing activity IDs and descriptions that can be read by many types of applications. It is also possible to create your own scripts for special-purpose operations.

For a complete description of creating custom import/export specifications, refer to Chapter 3, "Import and Export Facilities in Open Plan," in the Deltek Open Plan Developer’s Guide.

Related Topics and Procedures


Using the Export Dialog Box

This dialog box allows you to export a file from your installation of Open Plan into another application using an export specification.

The Export Specification field contains a list of export specifications that you can use when exporting the file. When you select a specification and click OK, Open Plan displays the Export File dialog box where you can select the file to export.

For information on creating an export specification script, refer to the Deltek Open Plan Developer’s Guide.

Location

Related Topics and Procedures


Using the Export File Dialog Box

This dialog box allows you to save a file in a format that can be used by another application.

This dialog box features the following controls:

  • Save in

  • List of files

  • File name

  • Save as type

Location

Related Topics and Procedures


Using the Microsoft Project Export Wizard — Project Page

— This button is disabled since this is the first page of the wizard.

— Click this button to display the next page of the wizard.

— Click this button to cancel the export process.

— Click this button to display the Open Plan help file.

To display the Export MSP Files wizard, open the project to export. Then, on the Files menu, point to Export, and click Export MSP File.

Related Topics:

Microsoft Project Integration

Using the Microsoft Project Export Wizard — Options Page

Using the Microsoft Project Export Wizard — Export Complete Page

Related Procedures:

Exporting a File to an MSP Project

Importing an MSP File

Using the Microsoft Project Export Wizard — Project Page

You use the Project page of the Microsoft Project Export wizard to save the project you are exporting in a Microsoft Project format. Clicking the ellipsis button next to the Project File field displays a standard Save As dialog box that you use to provide a file name and location for the exported project.

The following buttons appear along the bottom of the page:

  • Back

  • Next

  • Cancel

  • Help

Location

Related Topics and Procedures


Using the Microsoft Project Export Wizard — Options Page

— This option indicates that the Open Plan Code 1 field has been used to store the WBS. The export wizard uses this information to recreate WBS values.

— Click this button to return to the previous page of the wizard.

— Click this button to start the export process.

— Click this button to cancel the export process.

— Click this button to display the Open Plan help file.

To display the Export MSP Files wizard, open the project to export. Then, on the Files menu, point to Export, and click Export MSP File.

Related Topics:

Microsoft Project Integration

Using the Microsoft Project Export Wizard — Project Page

Using the Microsoft Project Export Wizard — Export Complete Page

Related Procedures:

Exporting a File to an MSP Project

Importing an MSP File

Using the Microsoft Project Export Wizard — Options Page

You use the Options page of the Microsoft Project Export wizard to set the option that Open Plan should use when exporting a project into MSP. If the project that you are exporting originated as an MSP project and activities have been either added or deleted in Open Plan, MSP automatically renumbers the activities when it reopens the project. The order of the data and the outline level are preserved during the export process.

Before you can export a project to MSP, it must first have been saved as an Open Plan project.

You can select the following option:

  • Code 1 contains WBS

The following buttons appear along the bottom of the page:

  • Back

  • Finish

  • Cancel

  • Help

Location

Related Topics and Procedures


Using the Microsoft Project Export Wizard — Export Complete Page

This message displays if the project was exported without errors.

This message displays if errors were encountered during the export process. Click View Log to read the processing information for more details.

This message displays if the export process was aborted by the user.

— Click this button to display the Open Plan Log Viewer that you can use to view the export log.

— Click this button to close the Export MSP Files wizard.

— Click this button to display the Open Plan help file.

To display the Export MSP Files wizard, open the project to export. Then, on the Files menu, point to Export, and click Export MSP File.

Related Topics:

Microsoft Project Integration

Using the Microsoft Project Export Wizard — Project Page

Using the Microsoft Project Export Wizard — Options Page

Related Procedures:

Exporting a File to an MSP Project

Importing an MSP File

Using the Microsoft Project Export Wizard — Export Complete Page

The Export Complete page of the Microsoft Project Export wizard displays at the end of the export process. There are three possible outcomes for the export wizard. This is indicated in the message displayed on the page:

  • Export completed successfully.

  • Exported completed with errors.

  • Export was aborted by the user.

The following buttons appear along the bottom of the page:

  • View Log

  • Close

  • Help

Location

Related Topics and Procedures


Using the Copy Export Specification Dialog Box

This dialog box allows you to enter a new name for an export specification you are copying.

When you click OK, Open Plan checks to make sure this new name is not a duplicate. If a duplicate name is found, you are prompted to enter a new name.

Location

Related Topics and Procedures


Using the New Export Specification Dialog Box

Using the Create New Export Specification Dialog Box

This dialog box allows you to enter a name for the new export specification that you are creating.

When you click OK, Open Plan checks for a duplicate name. If found, you are prompted to enter a new name.

Location

Related Topics and Procedures


Using the Crosstable Export Definition Dialog Box

This dialog box allows you to define the settings for a crosstable export definition. The following tabs contain the options that you can choose:

  • General

  • Resources

  • Earned Value

  • Date Scale

  • Activity Data

  • Resource Data

Location

Related Topics and Procedures


Using the Crosstable Exports Dialog Box

You can use this dialog box to export crosstable data. The export specifications listed on this dialog box include those that you have created as well as those that other users have created and opted to share. When you select an export specification and click Run, you are given the opportunity to save the export file in either .xml or .csv format.

If you save the export as an .xml file, the Export of Data Complete dialog box displays.

If you save in .csv format, you will receive a message asking if you want to view the file in a spreadsheet. Clicking the Yes button will either open an installed spreadsheet application (such as Excel), or, if there is no spreadsheet application available, it will open a Windows dialog box asking you to select the program with which to open the file.

You can open any previously saved files by clicking the View button on this dialog box.

The buttons along the bottom of the dialog box allow you to create, copy, edit, and delete export specifications. When you create (or edit) an export specification, a tabbed dialog box allows you to select the elements to be included in the export file.

Elements that have a value of zero are exported as a blank value instead of a zero (0).

Location

Related Topics and Procedures


Using the Export of Data Complete Dialog Box

This dialog box displays when you have successfully exported crosstable data to an .xml file.

You can select one of the two options to determine where the results will be viewed.

  • Open Plan — Displays the results in a window within Open Plan.

  • Internet Explorer — Displays the results in an Internet Explorer browser window.

To view the .xml file immediately, click OK.

Location

Related Topics and Procedures


Copying a Crosstable Export Specification

To copy an existing crosstable export specification:

  1. From the Open Plan Explorer, select the project for which you want to export crosstable data.

  2. From the File menu, point to Export, and click Export Crosstable Data.

    3. If the project is not open, Open Plan will open it in its Default mode. If it cannot be opened, you will receive an error message.

  3. On the Crosstable Exports dialog box, select the export specification to copy.

  4. Click Copy.

  5. Enter a name for the copy, and click Apply to return to the Crosstable Exports dialog box.

Related Topics and Procedures


Creating a Crosstable Export Specification

To create a new crosstable export specification:

  1. From the Open Plan Explorer, select the project for which you want to export crosstable data.

  2. From the File menu, point to Export, and click Export Crosstable Data.

    3. If the project is not open, Open Plan will open it in its Default mode. If it cannot be opened, you will receive an error message.

  3. On the Crosstable Exports dialog box, click New.

  4. Enter a name for the export specification, and click Create.

    5. The Crosstable Export Definition dialog box is automatically displayed.

  5. Select the data and options for the export specification.

  6. When finished defining the export, click OK.

Related Topics and Procedures


Deleting a Crosstable Export Specification

To delete an existing crosstable export specification:

  1. From the Open Plan Explorer, select the project for which you want to export crosstable data.

  2. From the File menu, point to Export, and click Export Crosstable Data.

    3. If the project is not open, Open Plan will open it in its Default mode. If it cannot be opened, you will receive an error message.

  3. On the Crosstable Exports dialog box, select the export specification to delete.

  4. Click Delete.

Related Topics and Procedures


Editing a Crosstable Export Specification

To edit an existing crosstable export specification:

  1. From the Open Plan Explorer, select the project for which you want to export crosstable data.

  2. From the File menu, point to Export, and click Export Crosstable Data.

    3. If the project is not open, Open Plan will open it in its Default mode. If it cannot be opened, you will receive an error message.

  3. On the Crosstable Exports dialog box, select the export specification to edit.

  4. Click Edit.

  5. Select the data and options for the export specification.

  6. When finished defining the export, click OK.

Related Topics and Procedures


Exporting a File to an MSP Project (Procedure)

Related Topics:

Microsoft Project Integration

Using the Microsoft Project Export Wizard — Project Page

Using the Microsoft Project Export Wizard — Options Page

Using the Microsoft Project Export Wizard — Export Complete Page

Related Procedures:

Exporting Data to Another Application

Exporting a File to an MSP Project

To export a file to an MSP project:

In order to export a file as an MSP Project (.mpp format), Microsoft Project must be installed on your computer.

  1. Open the project that you want to export.

  2. Click File » Export » Export MSP File.

  3. On the Project page of the Microsoft Project Export wizard, click the ellipsis button to the right of the Project File field to display a Save As dialog box.

  4. On the Save As dialog box, provide a file name and location for the MSP project, and then click Save.

    5. Open Plan populates the Project File field with the path and file name you entered.

  5. Click Next.

  6. On the Options page of the wizard, select the options you want to set for the export process, and click Finish. Open Plan begins the export process.

  7. When the Export Complete page displays, click View Log to read the export log, or click Close to exit the wizard.

Related Topics and Procedures


Displaying Help About a Dialog Box or View

From the dialog box or form, take one of the following actions:

  • Click the Help button.

  • Press the F1 key.

These help topics contain a list of the fields on the dialog box or form. By clicking an item on this list, you can display field-specific information in a pop-up window.

To print the contents of a pop-up window, right-click inside the window, and then click Print.

Related Topics and Procedures


Finding a Topic in Help

You can find a topic in the help system in any of the following ways:

  • By clicking the Contents button to browse through topics by category

  • By clicking the Index button to see a list of index entries and then either typing the word you are looking for or scrolling through the list

  • By clicking the Search button to search for words or phrases that may be contained in a help topic

Related Topics and Procedures


Using Help

The Open Plan help system features two types of help information:

  • Help topics

    • General Information — These topics provide overview and background information about an Open Plan feature.

    • Dialog boxes and forms — These topics contain a list of fields. Clicking a field name on the topic displays additional information that is specific to the field.

  • Procedures — Topics that provide step-by-step information about how to perform a procedure in Open Plan. These topics remain visible while you work.

Related Topics and Procedures


Printing a Help Topic (Procedure)

Printing a Help Topic

To print a help topic:

Display the topic you want to print, and click the Print button on the toolbar.

Related Topics and Procedures


Searching for Words in a Help File (Procedure)

Searching for Words in a Help File

To search for words in the help system:

  1. In the Help system, click the Search button.

  2. Type the words you want to find, and click Go.

  3. In the bottom list box, click a title to display the topic. (Notice that the text of the topic contains the words you looked for, even though they may not be in the topic title.)

Related Topics and Procedures


Glossary

A | B | C | D | E | F | G | H | I | J | K | L | M
N | O | P | Q | R | S | T | U | V | W | X | Y | Z

- A -

Access Rights

Activity File

Activity ID

Activity Status

Activity

Actual Cost of Work Performed

Actual Cost to Date, See Actual Cost of Work Performed

Actual Finish

Actual Start

ACWP

ALAP

Alternate Resource

Ancillary File, See Auxiliary File

As-Late-As-Possible

As-Soon-As-Possible

ASAP

Assignment Profile Curve

Asymmetrical Distribution

Availability Threshold

Average

Auxiliary File

- B -

BAC

Backward Pass

Barchart View

Baseline Dates

Baseline

BCWP

BCWS

Beta Distribution

Breakdown Structure

Budget at Completion

Budget

Budgeted Cost of Work Performed

Budgeted Cost of Work Scheduled

- C -

Calendar File

Calendar

Central Tendency

Child

Code File

Compound Activity, See Subproject

Confidence

Confidence Interval

Constraint, See Target Date

Consumable Resource

Controlling Critical Activity

Controlling Relationship

Cost Escalation

Cost Variance

Critical Activity

Critical Path

Criticality Index

Cumulative Distribution

- D -

Default Calendar

Delaying Resource

Dependency, see Relationship

Discontinuous Activity

Distribution, See Probability Distribution

Duration

- E -

Earliest Feasible Date

Early Dates

Early Finish

Early Start

Earned Value

End Activity

Escalation

External Subproject

Extra Work Day

- F -

Finish Activity

Finish Float

Finish Milestone

Finish-to-Finish

Finish-to-Start

Fixed-Form Significant Coding Structure

Float

Flowchart, see Network View

Foreign Activity

Foreign Subproject

Forward Pass

Free Float

Free Slack, See Free Float

- G -

Gantt, see Barchart View

- H -

Hammock

Hard Zeros

Hierarchical Coding Structure

Hierarchical Project

Hierarchical Resource Structure

Histogram View

Holiday

- I -

Immediate Activity

In Progress

Internal Subproject

Iteration

- J -

- K -

Key Activity

Kurtosis

- L -

Labor Resources

Ladder

Lag

Late Dates

Late Finish

Late Start

Lead, See Lag

Logic Diagram, see Network View

Logic Drawing, see Network View

Loop

- M -

Master Project

Milestone

Military Time

Mode

Monte Carlo Simulation

Most Likely Value, See Mode

Multiple End Option

Multi-project Processing, See External Subproject

- N -

Negative Float

Network View

Non-Linear Date Scale

Non-Working Day

Normal Distribution

- O -

OBS

Offset, See Resource Offset

Organizational Breakdown Structure

Out-of-Sequence Progress

- P -

Pad Character

Parent

PDM

Percent (%) Complete Work, See Physical Percent Complete

Percent Complete

Perishable Resource

PERT, see Network View

Physical Percent Complete

Placements

Plan, See Project

Planned Activity

Pool, See Resource Pool

Precedence Diagram Method

Predecessor

Priority Rule

Probability

Probability Distribution

Progress

Project Drawing, See Network View

Project Logic

Project

Project Templates

Punctuated Significant Coding Structure

- Q -

- R -

RBS

Re-Profiling

Relationship Float

Relationship

Remaining Duration

Requested Resource

Resource Allocation

Resource Assignment

Resource Availability

Resource Breakdown Structure

Resource Histogram View

Resource Leveling

Resource Level

Resource Locking

Resource Offset

Resource Period

Resource Pool

Resource Roll-Up

Resource Scheduling

Resource Total

Resource-Limited Resource Scheduling

Resource

Risk Analysis

Risk Analysis Histogram View

Root Calendar, See Standard Calendar

- S -

Schedule Dates

Schedule Variance

Scheduled Duration

Scheduled Finish

Scheduled Float

Scheduled Start

Skew

Skills

Slack, See Float

Smoothing

Splitting

Spread Curve

Spreadsheet View

Standard Calendar

Standard Deviation

Standard Work Week

Start Activity

Start Milestone

Start-to-Finish

Start-to-Start

Status Date, See Time Now

Stochastic

Stretching

Subproject

Subsection

Successor

Suggested Resource

Summary Activity, See Subproject

Summary Resource

Summary Task, See Subproject

Symmetrical Distribution

- T -

Target Date

Target Finish

Target Start

Target Type

Task, see Activity

Threshold

Time Analysis

Time Now

Total Float

Total Slack, See Total Float

Triangular Distribution

- U -

Uncertainty

Uniform Distribution

- V -

Variance

- W -

WBS, See Work Breakdown Structure

Whole Relationship

Work Breakdown Structure

Working Day

- X -

- Y -

- Z -

Zoning


0_100pmtact

Earned Value

You can specify the EVT for the activity. When the Base Physical Percent Complete on Earned Value option is selected on the Progress Calculations dialog box, Open Plan uses the selected EVT to update the earned value of the activities when progress calculations are run.

You can choose from the following EVTs:

  • Level of Effort

  • Percent Complete

  • 50-50

  • 0-100 — With this EVT, no value is earned until the activity is completed. At which point, the entire budget is earned. This method is best used if the activity is scheduled to start and finish in the same fiscal period.

  • 100-0

  • User-Defined Percentage

  • Planning Package

  • Resource Assignment Percent Complete

There are few hard and fast rules about selecting performance measurement techniques. The general rule is to select a method that allows you to "earn how you plan." For example, if an activity spans two periods and the budget spread is $50 in the first period and $50 in the second period, you should select an EVT that, if on schedule, would allow you to earn half of the $100 budget when the activity is started and the other half when it is finished. (This scenario would most likely use the 50-50 EVT.)

50-50, 0-100, 100-0, and User-Defined Percentage EVTs are normally used on activities that span not more than 2 periods.


50_50pmtact

Earned Value

You can specify the EVT for the activity. When the Base Physical Percent Complete on Earned Value option is selected on the Progress Calculations dialog box, Open Plan uses the selected EVT to update the earned value of the activities when progress calculations are run.

You can choose from the following EVTs:

  • Level of Effort

  • Percent Complete

  • 50-50 — With this EVT, 50% of the value is earned as soon as the activity is started, and the rest is earned when it is completed. Since value cannot be earned in any intervening periods, this EVT is best used for activities that span a maximum of two fiscal periods.

  • 0-100

  • 100-0

  • User-Defined Percentage

  • Planning Package

  • Resource Assignment Percent Complete

There are few hard and fast rules about selecting performance measurement techniques. The general rule is to select a method that allows you to "earn how you plan." For example, if an activity spans two periods and the budget spread is $50 in the first period and $50 in the second period, you should select an EVT that, if on schedule, would allow you to earn half of the $100 budget when the activity is started and the other half when it is finished. (This scenario would most likely use the 50-50 EVT.)

50-50, 0-100, 100-0, and User-Defined Percentage EVTs are normally used on activities that span not more than 2 periods.


100_0pmtact

Earned Value

You can specify the EVT for the activity. When the Base Physical Percent Complete on Earned Value option is selected on the Progress Calculations dialog box, Open Plan uses the selected EVT to update the earned value of the activities when progress calculations are run.

You can choose from the following EVTs:

  • Level of Effort

  • Percent Complete

  • 50-50

  • 0-100

  • 100-0 — With this EVT, all the value is earned as soon as the activity is started. This method is best used if the activity is scheduled to start and finish in the same fiscal period.

  • User-Defined Percentage

  • Planning Package

  • Resource Assignment Percent Complete

There are few hard and fast rules about selecting performance measurement techniques. The general rule is to select a method that allows you to "earn how you plan." For example, if an activity spans two periods and the budget spread is $50 in the first period and $50 in the second period, you should select an EVT that, if on schedule, would allow you to earn half of the $100 budget when the activity is started and the other half when it is finished. (This scenario would most likely use the 50-50 EVT.)

50-50, 0-100, 100-0, and User-Defined Percentage EVTs are normally used on activities that span not more than 2 periods.


activity_id_popupact

Activity ID

An activity ID can consist of from 1 to 59 characters, including the periods that are used to indicate hierarchical levels.

IDs containing the following four symbols " , | ; are used as delimiters in Open Plan and may cause problems when importing or exporting data.

The activity ID serves as the default sort order for most views and reports.

Although Open Plan supports almost any activity numbering system, most organizations use activity IDs that have some significance built in such as a prefix that refers to the project. Another approach might be to use the activity ID to associate activities with specific elements in a work breakdown structure.


activity_information_cost_tab_labor_costact

Activity Information Cost Tab

This tab displays summary information about the costs associated with an activity. At the top of the tab, Open Plan displays the following information:

  • ID

  • Description

  • Original Duration

  • Remaining Duration

The grid on this tab displays the following cost information about the activity:

  • Labor Quantity

  • Labor Cost — Open Plan displays the following values in this row for the resource assignments on the activity that have a category of Labor:

    • BAC

    • BCWS

    • BCWP

    • ACWP

    • EAC

  • Material Cost

  • ODC (Other Direct Costs)

  • Subcontract Cost

  • Total Cost

A set of navigation controls located at the bottom of the dialog box allows you to select another activity. You can also use the following keys on your keyboard to navigate to another activity:

  • Ctrl+Home — Displays the first activity.

  • Page Up — Displays the previous activity.

  • Page Down — Displays the next activity.

  • Ctrl+End — Displays the last activity.

Location

Related Topics and Procedures


activity_information_cost_tab_labor_quantityact

Activity Information Cost Tab

This tab displays summary information about the costs associated with an activity. At the top of the tab, Open Plan displays the following information:

  • ID

  • Description

  • Original Duration

  • Remaining Duration

The grid on this tab displays the following cost information about the activity:

  • Labor Quantity — Open Plan displays the following values in this row for the resource assignments on the activity that have a category of Labor:

    • BAC

    • BCWS

    • BCWP

    • ACWP

    • EAC

  • Labor Cost

  • Material Cost

  • ODC (Other Direct Costs)

  • Subcontract Cost

  • Total Cost

A set of navigation controls located at the bottom of the dialog box allows you to select another activity. You can also use the following keys on your keyboard to navigate to another activity:

  • Ctrl+Home — Displays the first activity.

  • Page Up — Displays the previous activity.

  • Page Down — Displays the next activity.

  • Ctrl+End — Displays the last activity.

Location

Related Topics and Procedures


activity_information_cost_tab_material_costact

Activity Information Cost Tab

This tab displays summary information about the costs associated with an activity. At the top of the tab, Open Plan displays the following information:

  • ID

  • Description

  • Original Duration

  • Remaining Duration

The grid on this tab displays the following cost information about the activity:

  • Labor Quantity

  • Labor Cost

  • Material Cost — Open Plan displays the following values in this row for the resource assignments on the activity that have a category of Material:

    • BAC

    • BCWS

    • BCWP

    • ACWP

    • EAC

  • ODC (Other Direct Costs)

  • Subcontract Cost

  • Total Cost

A set of navigation controls located at the bottom of the dialog box allows you to select another activity. You can also use the following keys on your keyboard to navigate to another activity:

  • Ctrl+Home — Displays the first activity.

  • Page Up — Displays the previous activity.

  • Page Down — Displays the next activity.

  • Ctrl+End — Displays the last activity.

Location

Related Topics and Procedures


activity_information_cost_tab_odcact

Activity Information Cost Tab

This tab displays summary information about the costs associated with an activity. At the top of the tab, Open Plan displays the following information:

  • ID

  • Description

  • Original Duration

  • Remaining Duration

The grid on this tab displays the following cost information about the activity:

  • Labor Quantity

  • Labor Cost

  • Material Cost

  • ODC (Other Direct Costs) — Open Plan displays the following values in this row for the resource assignments on the activity that have a category of ODC:

    • BAC

    • BCWS

    • BCWP

    • ACWP

    • EAC

  • Subcontract Cost

  • Total Cost

A set of navigation controls located at the bottom of the dialog box allows you to select another activity. You can also use the following keys on your keyboard to navigate to another activity:

  • Ctrl+Home — Displays the first activity.

  • Page Up — Displays the previous activity.

  • Page Down — Displays the next activity.

  • Ctrl+End — Displays the last activity.

Location

Related Topics and Procedures


activity_information_cost_tab_subcontract_costact

Activity Information Cost Tab

This tab displays summary information about the costs associated with an activity. At the top of the tab, Open Plan displays the following information:

  • ID

  • Description

  • Original Duration

  • Remaining Duration

The grid on this tab displays the following cost information about the activity:

  • Labor Quantity

  • Labor Cost

  • Material Cost

  • ODC (Other Direct Costs)

  • Subcontract Cost — Open Plan displays the following values in this row for the resource assignments on the activity that have a category of Subcontract:

    • BAC

    • BCWS

    • BCWP

    • ACWP

    • EAC

  • Total Cost

A set of navigation controls located at the bottom of the dialog box allows you to select another activity. You can also use the following keys on your keyboard to navigate to another activity:

  • Ctrl+Home — Displays the first activity.

  • Page Up — Displays the previous activity.

  • Page Down — Displays the next activity.

  • Ctrl+End — Displays the last activity.

Location

Related Topics and Procedures


activity_information_cost_tab_total_costact

Activity Information Cost Tab

This tab displays summary information about the costs associated with an activity. At the top of the tab, Open Plan displays the following information:

  • ID

  • Description

  • Original Duration

  • Remaining Duration

The grid on this tab displays the following cost information about the activity:

  • Labor Quantity

  • Labor Cost

  • Material Cost

  • ODC (Other Direct Costs)

  • Subcontract Cost

  • Total Cost — Open Plan displays the following total values in this row:

    • BAC

    • BCWS

    • BCWP

    • ACWP

    • EAC

    Labor Quantity values are not included in the totals.

A set of navigation controls located at the bottom of the dialog box allows you to select another activity. You can also use the following keys on your keyboard to navigate to another activity:

  • Ctrl+Home — Displays the first activity.

  • Page Up — Displays the previous activity.

  • Page Down — Displays the next activity.

  • Ctrl+End — Displays the last activity.

Location

Related Topics and Procedures


activity_physical_percent_complete_resource_progresspopupact

Activity Physical Percent Complete

An estimate of the percent of the work of the activity that is complete.

By entering the activity PPC, Open Plan calculates the resource PPCs with regard to duration, curve, offsets, and periods.

For example, assume the following:

Because of the activity duration and the offset of the second resource, the two resources overlap. When you enter the activity PPC of 38.6%, Open Plan makes the following calculations:

First, Open Plan determines the earned value of the activity by multiplying the sum of the resource assignment BACs with the activity PPC you entered:

Earned value for the activity | = (activity PPC * (sum of the res. assignment BACs))
 | = (38.6% * (600+500))
 | = 424.6

Next, Open Plan looks at the activity profile and determines in which period the earned value falls in relation to the resources:

Since only a fraction of the last period is used, Open Plan evenly distributes the earned unit amount between the two resources:

Then, Open Plan adds the earned value for each resource and divides by the resource’s BAC to determine the PPC for the resource:

PPC | R1 | PPC = (367.3 / 600) = 61.2%
 |  | R2

When you change the value in the Activity Physical Percent Complete field and tab out of the field, Open Plan recalculates the Resource Physical Percent Complete and displays this value in the Phys. % column.


actual_finishprogresspopupact

Actual Finish

The date on which the activity actually finished. This date should be before Time Now.

Open Plan ignores any actual finish date that is later than Time Now.

When you enter an actual finish date that is before Time Now, Open Plan calculates the following values:

  • The remaining duration is calculated as 0

  • The percent complete is calculated as 100%


actual_startprogresspopupact

Actual Start

The actual start date for the activity. If the current status is Planned and you enter a date in the Actual Start field that is before Time Now, Open Plan treats the activity as in progress.


actualresource_progresspopupact

Actual

This column controls the following types of data:

  • Qty — The actual quantity of the resource used during the period defined by the start and end dates. You can enter actual quantity information for some resources and have Open Plan calculate the actual quantity based on activity progress (by selecting that option on the Resource Details dialog box) for others.

    • You cannot enter actual quantity information for a resource for which resource progress is automatically calculated based on activity progress. (This setting is defined on the General tab of the Resource Details dialog box.)

  • Cost — The actual cost of the quantity of the resource used. You can enter actual costs directly for some resources and have Open Plan calculate the actual cost based on progressed quantity (by selecting that option on the Resource Details dialog box) for others.

    • You cannot enter actual cost information for a budgeted resource for which actual cost is automatically calculated based on progressed quantity.


advanced_popupact

Advanced

Provides information about how Open Plan handles resource scheduling preferences.


alap_activity_typepopupact

Type

The activity type defines how the activity is treated during time analysis. Open Plan supports the following activity types:

  • ASAP

  • ALAP — Open Plan calculates the early dates of this activity to be as late as possible without delaying the early dates of any succeeding activities.

  • Start Milestone

  • Finish Milestone

  • Discontinuous

  • Subproject

  • Hammock

  • Effort Driven

  • External Subproject

  • Foreign Activity

  • Foreign Subproject

  • Foreign Project


alternate_resource_popupact

Alternate Resource ID

The Alternate Resource ID column displays resource requirements that Open Plan may use during resource scheduling if the originally requested resource is not available.

During resource scheduling, Open Plan checks the availabilities of the required resources and suggests a resource for the activity. You can then use the resource allocation feature to accept or reject any substitutions Open Plan proposes.

Any resource can serve as an alternate to any other resource.


applyactivitypopupact

Apply

Applies and saves changes on this dialog box, while leaving the dialog box open for further action. This button is disabled until changes are made.


as_plannedpopupact

As Planned

With this option selected, Open Plan calculates progress based on the original duration, Time Now, and information in the Actual Start and Actual/Expected Finish fields.


asap_activity_typepopupact

Type

The activity type defines how the activity is treated during time analysis. Open Plan supports the following activity types:

  • ASAP — Open Plan calculates the early dates of this activity to be as soon as possible. This is the default type.

  • ALAP

  • Start Milestone

  • Finish Milestone

  • Discontinuous

  • Subproject

  • Hammock

  • Effort Driven

  • External Subproject

  • Foreign Activity

  • Foreign Subproject

  • Foreign Project


b_back_loadact

Resource Curve

If you leave this field blank, the amount of the resource requirement is interpreted as a level-rate-per-time unit. Thus, if the activity duration changes, the amount of the resource requirement also changes.

You can also have Open Plan interpret the resource requirement as a total requirement by selecting from the following list of standard spread curves. The spread curve you chose describes how the resource assignment should be spread through the duration of the activity.

  • B — Back Load

    • Most of the resource effort is allocated toward the end of the duration.

  • D — Double Peak

  • E — Early Peak

  • F — Front Load

  • L — Late Peak

  • N — Normal (Bell)

  • T — Linear

Using the Spread Curves dialog box, you can add custom spread curves to this list. In addition, you can edit or delete any spread curve.


back_loadspreadcurvepopupact

Back Load

Most of the resource effort is allocated toward the end of the duration.


baseline_finishpopupact

Baseline Finish

The finish date for the activity in the currently selected baseline(s).

Open Plan allows you to select up to 3 baselines for a project.


baseline_finishprogresspopupact

Baseline Finish

The date stored in the BFINISH field in the first currently selected baseline.


baseline_startpopupact

Baseline Start

The start date for the activity in the currently selected baseline(s).

Open Plan allows you to select up to 3 baselines for a project.


baseline_startprogresspopupact

Baseline Start

The date stored in the BSTART field in the first currently selected baseline.


behavior_of_effort_driven_activitiespopupact

Behavior of Effort-Driven Activities

The activity is assigned the reprofilable attribute. (You can override this setting if you wish.)

Resource assignment levels are treated as totals, using a linear spread curve if none is defined.

Assignment offsets and periods are ignored.

If you change the activity type of an activity to Effort-Driven, Open Plan displays a message alerting you to the effects of the change.


budgetresource_progresspopupact

Budget

By default, Open Plan calculates budget values by rolling up the cost (escalated/unescalated) from a baseline. If a PMB exists, Cost Calculations will use this baseline. If no PMB exists, Open Plan calculates budgets using the currently selected baseline or the first selected baseline if multiple baselines are selected.

This column displays the following types of data:

  • Qty — Budget quantity for the resource calculated from the resource assignment records.

  • Cost — Escalated value of the resource’s budget cost.


calendar_popupact

Calendar

If you have assigned a calendar file to the project, you can assign a calendar to the activity. Each activity in a project can use its own calendar. Open Plan uses this calendar to control calculations for the activity. If you do not enter a calendar in this field, Open Plan performs all calculations based on the default calendar assigned to the project.

In projects for which no calendar file has been assigned, all activity dates are calculated using a 5-day, 40-hour work week.


calendar_relationship_popupact

Calendar

Open Plan uses the calendar assigned to the relationship in calculating lag. If no calendar is assigned to the relationship, Open Plan uses the calendar of the successor activity.

Use relationship calendars to schedule lags based on time-driven rather than work-driven processes. For example, assume that you want to schedule two activities in sequence: pouring a foundation and removing the forms. This is a finish-to-start relationship, but the laborers removing the forms cannot start their work until the concrete cures. The lag that occurs while the concrete cures should be scheduled using a 7-day, 24-hour calendar instead of a calendar based on the laborers' work week.


cancelassignmultipleresourcestomultipleactivitiespopupact

Cancel

Closes the dialog box without assigning the resources to the selected activities.


cancelfindcodepopupact

Cancel

Clicking this button closes the Find Code dialog box without searching for a code.


cancelfindresourcepopupact

Cancel

Clicking this button closes the Find Resource dialog box without searching for a resource.


cancelselectactivitypopupact

Cancel

Clicking this button (before clicking OK) closes the dialog box without putting your settings into effect.


cancelselectcodepopupact

Cancel

Clicking this button (before clicking OK) closes the dialog box without inserting the code into the Codes tab.


cancelselectresourcepopupact

Cancel

Clicking this button (before clicking OK) closes the dialog box without putting your settings into effect.


clear_allselectresourcepopupact

Clear All

Clicking this button clears the selections for all the resources in the hierarchy of available resources regardless of whether the hierarchy is expanded.


closeactivitypopupact

Close

Closes the dialog box, saving any changes.


code_filterselectresourcepopupact

Code Filter

When you select a code file from the Code field, the Code Filter list displays the codes available in the code file. Selecting a code from the list and clicking Apply filters the display of resources by that code.


codes_popuopact

Codes

Provides information about the codes entered on the activities.


codeselectresourcepopupact

Code

If one or more code files have been assigned to the resource file, you can filter the display of available resources using a selected code. When you select a code file in this field, the Code Filter field is populated with the codes that you can use to filter the view.

Clicking the ellipsis button displays the Select Code dialog box that allows you to filter the displayed codes in the Code Filter list. (This is useful if you are dealing with a very large, hierarchical code file.)


completepopupact

Complete

This field indicates that the activity is complete.


cost_class_resource_popupact

Cost Class

Cobra users can enter a cost class for each resource assignment in this column. This information is transferred to Cobra during cost/schedule integration.


critical_flagpopupact

Critical Flag

Open Plan can identify four types of criticality:

  • Critical — The activity is not complete, has a total float that is zero or negative, but is greater than the lowest total float in the network.

  • Most Critical — The activity is not complete, has a total float that is zero or negative, and is also equal to the lowest total float in the network.

  • Controlling Critical — The activity, while not necessarily critical itself, controls a successor with some type of critical status (critical, most critical, or controlling critical).

  • Non-critical — All other activities, including completed activities.

For more information on the Critical field, refer to the Deltek Open Plan Developer’s Guide.


cumulativespreadcurvedefinepopupact

Cumulative

As you enter values in the grid, Open Plan recalculates the values and displays the current total in column 10 of the Cumulative row.


curve_resource_popupact

Resource Curve

If you leave this field blank, the amount of the resource requirement is interpreted as a level-rate-per-time unit. Thus, if the activity duration changes, the amount of the resource requirement also changes.

You can also have Open Plan interpret the resource requirement as a total requirement by selecting from the following list of standard spread curves. The spread curve you chose describes how the resource assignment should be spread through the duration of the activity.

  • B — Back Load

  • D — Double Peak

  • E — Early Peak

  • F — Front Load

  • L — Late Peak

  • N — Normal (Bell)

  • T — Linear

Using the Spread Curves dialog box, you can add custom spread curves to this list. In addition, you can edit or delete any spread curve.


cutoff_datespopupact

Cutoff Dates

The time-phased cutoff dates are based on the project’s fiscal calendar (if one has been assigned to the project). If there is no fiscal calendar, the cutoff dates are generated using weekly periods.


d_double_peakact

Resource Curve

If you leave this field blank, the amount of the resource requirement is interpreted as a level-rate-per-time unit. Thus, if the activity duration changes, the amount of the resource requirement also changes.

You can also have Open Plan interpret the resource requirement as a total requirement by selecting from the following list of standard spread curves. The spread curve you chose describes how the resource assignment should be spread through the duration of the activity.

  • B — Back Load

  • D — Double Peak

    • Most of the resource effort is allocated to two peaks — one near the beginning of the duration and one near the end.

  • E — Early Peak

  • F — Front Load

  • L — Late Peak

  • N — Normal (Bell)

  • T — Linear

Using the Spread Curves dialog box, you can add custom spread curves to this list. In addition, you can edit or delete any spread curve.


deletespreadcurvepopupact

Delete

Selecting a spread curve from the list and clicking this button instructs Open Plan to delete the spread curve. Before actually performing the action, however, Open Plan asks that you confirm the deletion.


description_popupact

Description

A description can contain up to 60 characters. You may use both upper- and lowercase characters.


descriptionspreadcurvedefinepopupact

Description

This field allows you to specify a more descriptive name for the spread curve. Once defined, the spread curve is identified by both its Name and its Description.


discontinuous_activity_typepopupact

Type

The activity type defines how the activity is treated during time analysis. Open Plan supports the following activity types:

  • ASAP

  • ALAP

  • Start Milestone

  • Finish Milestone

  • Discontinuous — Open Plan interprets the specified duration of this activity as a minimum rather than as a fixed duration during time analysis. This type is useful for situations where two activities (or groups of activities) with dissimilar lengths share start-to-start and finish-to-finish relationships.

  • Subproject

  • Hammock

  • Effort Driven

  • External Subproject

  • Foreign Activity

  • Foreign Subproject

  • Foreign Project


display_only_available_resourcesselectresourcepopupact

Display Only Available Resources

When you select this option and click Apply, Open Plan provides the following information about available resources that meet the selection filters:

  • Resources that are 100% available for the specified date range are listed with no additional information.

  • Resources that are available but who have less than 100% availability are listed with the minimum and maximum availability during the required period.

If no resources are available to meet the resource requirements of the activity, Open Plan displays the earliest date on which each resource meeting the selection filters is available.

When determining a resource's availability, Open Plan considers not only the current project, but also any other projects with equal or higher priority that share the same resource pool and for which Open Plan saves summary resource information.

In general, resource availabilities that are reserved for another project are not displayed when this option is selected. However, when an activity is part of an external subproject, Open Plan displays resources that have been reserved for the following elements of the hierarchical project:

  • The subproject to which the activity belongs

  • Any higher-level external subprojects

  • The master project

When performing multiple assignments, this option is disabled.


displaying_the_activity_details_advanced_tabact

To display the Advanced tab, click Advanced on the Activity Details dialog box.


displaying_the_activity_details_codes_tabact

To display the Codes tab, click Codes on the Activity Details dialog box.

In order for this tab to be enabled, at least one code file must first be assigned to the project.


displaying_the_activity_details_general_tabact

To display the Activity Details dialog box, do one of the following:

  • Double-click the activity box in a network view.

  • Double-click the activity bar in a barchart view.

  • Double-click the selection button of the spreadsheet row in a spreadsheet view.

  • Select an activity and click Edit Activity on the Edit menu.

  • Right-click an activity and click Edit Activity on the context menu.


displaying_the_activity_details_notes_tabact

To display the Notes tab, click Notes on the Activity Details dialog box.


displaying_the_activity_details_relationships_tabact

To display the Relationships tab, click Relationships on the Activity Details dialog box.


displaying_the_activity_details_risk_tabact

To display the Risk tab, click Risk on the Activity Details dialog box.


displaying_the_activity_details_user_fields_tabact

To display the User Fields tab, click User Fields on the Activity Details dialog box.


displaying_the_activity_information_cost_tabact

To display the Cost tab, click Cost on the Activity Information dialog box.


displaying_the_activity_information_schedule_tabact

Open Plan displays the Schedule tab by default when you access the Activity Information dialog box.

You can display the Activity Information dialog box in any of the following ways:

  • By right-clicking the activity and clicking Activity Information on the shortcut menu

  • By selecting an activity and clicking Activity Information on the Edit menu


displaying_the_activity_progress_activity_tabact

To display the Activity tab of the Activity Progress dialog box, do one of the following:

  • Select an activity and click Progress on the Edit menu.

  • Right-click an activity and click Progress on the context menu.


displaying_the_activity_progress_notes_tabact

To display the Notes tab of the Activity Progress dialog box, click Notes on the Activity Progress dialog box.


displaying_the_activity_progress_resources_tabact

To display the Resources tab of the Activity Progress dialog box, click Resources on the Activity Progress dialog box.


displaying_the_add_baseline_dialog_box

To display this dialog box:

  1. Open the project.

  2. On the Project menu, select Baselines.

  3. Click New.

  4. Enter the appropriate information.

  5. When finished, click OK.


displaying_the_add_relationship_dialog_boxact

To display the Relationship dialog box, click Add Relationship on the Edit menu.


displaying_the_assign_multiple_resources_to_multiple_activities_dialog_boxact

To display the Assign Multiple Resources to Multiple Activities dialog box:

  1. Display a view that is based on the Activity table.

  2. Select the activities to which you want to assign the resources.

  3. On the Edit menu, click Edit Activity.

  4. On the Resources tab of the Activity Details dialog box, select a resource field.

  5. Click the ellipsis next to the input box.

  6. From the Select Resource dialog box, select the appropriate resources.

  7. Click OK.


displaying_the_baseline_date_range_dialog_box

To display this dialog box:

  1. Select an activity, and display the Activity Details dialog box.

  2. Click the Resources tab.

  3. Click TimePhase.

  4. Select Selected Baseline.

  5. Click the ellipsis button under Date Range.


displaying_the_edit_relationship_dialog_boxact

To display the Edit Relationship dialog box, right-click a relationship between activities and click Edit Relationship on the shortcut menu.


displaying_the_edit_spread_curve_dialog_boxact

To display the Edit Spread Curve dialog box:

  1. On the Tools menu, click Spread Curve.

  2. On the Spread Curve dialog box, select the spread curve that you want to modify and click Edit.


displaying_the_external_subproject_open_dialog_boxact

Open Plan displays the Open External Subproject dialog box automatically whenever you open a hierarchical project that contains external subprojects.


displaying_the_find_code_dialog_boxact

To display the Find Code dialog box:

  1. On the Activity Details dialog box, click the Codes tab.

  2. On the Codes tab, click the ellipsis at the right edge of the input field.

  3. On the Select Code dialog box, click Find.


displaying_the_find_resource_dialog_boxact

To display the Find Resource dialog box:

  1. On the Activity Details dialog box, click the Resources tab.

  2. On the Resources tab, click the ellipsis at the right edge of the input field.

  3. On the Select Resource dialog box, click Find.


displaying_the_new_spread_curve_dialog_boxact

To display the New Spread Curve dialog:

  1. On the Tools menu, click Spread Curve.

  2. On the Spread Curve dialog box, click New.


displaying_the_project_start_date_dialog_box

To display this dialog box:

  1. Open the project.

  2. On the Project menu, select Baselines.

  3. Click New.

  4. Enter a Name.

  5. Select Ignore Progress, Use Original Project Start Date.

  6. Click OK.

  7. Select the date.

  8. Click OK.

  9. When prompted to select this as the new baseline, select either Yes or No, as appropriate.


displaying_the_select_activity_dialog_boxact

To display the Select Activity dialog box:

  1. Display the Relationships tab of the Activity Details dialog box.

  2. Place the cursor in either the Predecessor or the Successor column.

  3. At the right edge of the input field, click the ellipsis button.


displaying_the_select_code_dialog_boxact

To display the Select Code dialog box:

  1. Display the Activity Details dialog box for the activity to which you want to assign codes.

  2. Click the Codes tab.

  3. On the Code column of the Codes tab, click a code.

  4. Click the ellipsis at the right edge of the input field.


displaying_the_select_resource_dialog_boxact

To display the Select Resource dialog box:

  1. Display the Activity Details dialog box for the activity to which you want to assign resources.

  2. Click the Resources tab.

  3. Click the ellipsis button at the right edge of the input field.


displaying_the_spread_curve_dialog_boxact

To display the Spread Curve dialog box, click Spread Curve on the Tools menu.


displaying_the_spread_method_dialog_boxact

To display this dialog box:

  1. Select an activity, and display the Activity Details dialog box.

  2. Click the Resources tab.

  3. Click TimePhase.

  4. Click Spread.


double_peakspreadcurvepopupact

Double Peak

Most of the resource effort is allocated to two peaks — one near the beginning of the duration and one near the end.


duration_popupact

Duration

May be entered on any tab of the Activity Details dialog box except the Notes tab. This value should represent the most likely duration for the activity.

Durations may use any of the following duration units:

  • m — months

  • w — weeks

  • d — days

  • h — hours

  • t — minutes

While a duration may contain decimal values (for example, 4.5 D), you cannot enter duration using mixed duration units. (For example, 4D4H is not allowed.) Open plan interprets an activity with a blank duration field as having zero duration.

You can avoid having to specify a time unit when entering durations by assigning a default duration unit for a project through the Preferences tab on the Project Properties dialog box.

If the activity type is Subproject, Hammock, Effort Driven, or External Subproject, Open Plan ignores any value you enter in this field and recalculates the duration each time you perform time analysis.


e_early_peakact

Resource Curve

If you leave this field blank, the amount of the resource requirement is interpreted as a level-rate-per-time unit. Thus, if the activity duration changes, the amount of the resource requirement also changes.

You can also have Open Plan interpret the resource requirement as a total requirement by selecting from the following list of standard spread curves. The spread curve you chose describes how the resource assignment should be spread through the duration of the activity.

  • B — Back Load

  • D — Double Peak

  • E — Early Peak

    • Most of the resource effort is allocated near the beginning of the duration.

  • F — Front Load

  • L — Late Peak

  • N — Normal (Bell)

  • T — Linear

Using the Spread Curves dialog box, you can add custom spread curves to this list. In addition, you can edit or delete any spread curve.


early_peakspreadcurvepopupact

Early Peak

Most of the resource effort is allocated near the beginning of the duration.


editspreadcurvepopupact

Edit

Selecting a spread curve from the list and clicking this button displays the Edit Spread Curve dialog box that you can use to modify the spread curve.


effort_driven_activity_typepopupact

Type

The activity type defines how the activity is treated during time analysis. Open Plan supports the following activity types:

  • ASAP

  • ALAP

  • Start Milestone

  • Finish Milestone

  • Discontinuous

  • Subproject

  • Hammock

  • Effort Driven — Open Plan calculates the duration of this activity based on the resource assignment and the effort factor defined for the resource.

    • If more than one resource is assigned to the activity, Open Plan calculates the potential duration using the effort factor of each resource. Open Plan then uses the longest calculated duration for the activity.

    If you change an activity type to Effort Driven, Open Plan displays a message alerting you to the effects of this change. (For information on these effects, click See Also on this topic, and then click the topic "Changing an Activity Type to Effort Driven.")

  • External Subproject

  • Foreign Activity

  • Foreign Subproject

  • Foreign Project


elapsed_durationprogresspopupact

Elapsed Duration

This field represents the amount of the original duration that has elapsed. Open Plan uses any value you enter in this field to calculate the values in the Remaining Duration and Percent Complete fields.


end_date_resource_progresspopupact

End Date

The end of the period covered by the actual quantity and actual cost values entered. If a date is entered in this field, the actual values are spread between the start and end dates. If this field is left blank, the actual values are applied on the start date.

The date in this field applies to all the resource progress records entered during the current session.


example_activity_risk_popupact

Example

Assume that you suspect an activity will take 10 days, but you want to allow for an uncertainty of plus or minus 2 days. You would define the probable range of durations with the following values:

Field | Value
Optimistic | 8 days
Pessimistic | 12 days
Most likely | 10 days

While you could assign any shape to the probability distribution, you would most likely assign it the Normal distribution.


expand_allselectactivitypopupact

Expand All

Clicking this button fully expands the activity hierarchy.

You can selectively expand portions of the hierarchy by clicking the appropriate [image] icon.


expand_allselectcodepopupact

Expand All

Clicking this button fully expands the code hierarchy.

You can selectively expand portions of the hierarchy by clicking the appropriate [image] icon.


expand_allselectresourcepopupact

Expand All

Clicking this button fully expands the hierarchy of available resources.

You can selectively expand portions of the hierarchy by clicking the appropriate [image] icon.


expected_finishprogresspopupact

Expected Finish

The date on which an incomplete activity is expected to finish. This date should be on or after Time Now.

Open Plan treats an activity with an expected finish date that is before Time Now as complete.

Open Plan ignores an expected finish date that is on or later than Time Now if any of the following conditions exist:

  • If the remaining duration is 0

  • If the elapsed duration is equal or greater than the original duration

  • If the percent complete is 100%

  • If the Complete option is selected

  • If an actual finish date is entered


external_subproject_activity_typepopupact

Type

The activity type defines how the activity is treated during time analysis. Open Plan supports the following activity types:

  • ASAP

  • ALAP

  • Start Milestone

  • Finish Milestone

  • Discontinuous

  • Subproject

  • Hammock

  • Effort Driven

  • External Subproject — In order to perform multi-project processing, a user of the Professional edition of Open Plan can create an activity that represents an entire project. This activity has an activity type of External Subproject. While the Desktop edition of Open Plan does not allow you to create or modify the external subproject, the Activity Details dialog box can display summary information about the subproject it represents.

    • Open Plan uses the External Subproject activity type for multi-project processing.

  • Foreign Activity

  • Foreign Subproject

  • Foreign Project


f_front_loadact

Resource Curve

If you leave this field blank, the amount of the resource requirement is interpreted as a level-rate-per-time unit. Thus, if the activity duration changes, the amount of the resource requirement also changes.

You can also have Open Plan interpret the resource requirement as a total requirement by selecting from the following list of standard spread curves. The spread curve you chose describes how the resource assignment should be spread through the duration of the activity.

  • B — Back Load

  • D — Double Peak

  • E — Early Peak

  • F — Front Load

    • Most of the resource effort is allocated at the beginning of the duration.

  • L — Late Peak

  • N — Normal (Bell)

  • T — Linear

Using the Spread Curves dialog box, you can add custom spread curves to this list. In addition, you can edit or delete any spread curve.


ffactivityrelationshippopupact

FF

This column displays the free float between the selected predecessor or successor and the displayed activity.

(Free float is the maximum amount by which an activity can be delayed beyond its early dates without delaying any successor activity beyond its early dates.)


find_in_descriptionfindcodepopupact

Find in Description

Selecting this option tells Open Plan to look for a code with the description you enter in the input box.

When you select this option, Open Plan enables the following fields that allow you to customize the search.

  • Match Case

  • Find Whole Word


find_in_descriptionfindresourcepopupact

Find in Description

Selecting this option tells Open Plan to look for a resource with the description you enter in the input box.


find_in_idfindcodepopupact

Find in ID

Selecting this option tells Open Plan to look for a code with the ID you enter in the input box.


find_in_idfindresourcepopupact

Find in ID

Selecting this option tells Open Plan to look for a resource with the ID you enter in the input box.


find_nextselectactivitypopupact

Find Next

Once you have located an activity using the Find button, clicking the Find Next button locates the next activity that meets the same search criteria.


find_nextselectcodepopupact

Find Next

Once you have located a code using the Find button, clicking the Find Next button locates the next code that meets the same search criteria.


find_nextselectresourcepopupact

Find Next

Once you have located a resource using Find, clicking Find Next locates the next resource that meets the same search criteria.


find_resource_with_skillfindresourcepopupact

Find Resource with Skill

Selecting this option tells Open Plan to look for a resource with the skill you enter in the input box.


find_whole_wordfindcodepopupact

Find Whole Word

Selecting this option tells Open Plan to look for a code containing the same whole words in the description that you entered in the input box.

For example, Open Plan would not find a code with "Pharmacy Systems" in the description if you entered "Pharmacy System" in the input box.

Similarly, Open Plan would not find a code with "Pharmacy System" in the description if you entered "Pharmacy Systems" in the input box.


findfindcodepopupact

Find

Clicking this button initiates the search with the parameters you enter in the Find Code dialog box. When Open Plan locates the code, it is highlighted in the Select Code dialog box.


findfindresourcepopupact

Find

Clicking this button initiates the search with the parameters you enter in the Find Resource dialog box. When Open Plan locates the resource, it is highlighted in the Select Resource dialog box.


findselectactivitypopupact

Find

Clicking this button displays the Find dialog box that you can use to find an activity with a specified ID or description.


findselectcodepopupact

Find

Clicking this button displays the Find Code dialog box that you can use to find a code with a specified ID or description.


findselectresourcepopupact

Find

Clicking this button displays the Find dialog box that you can use to find a resource with a specified ID, description, or skill.


finish_milestone_activity_typepopupact

Type

The activity type defines how the activity is treated during time analysis. Open Plan supports the following activity types:

  • ASAP

  • ALAP

  • Start Milestone

  • Finish Milestone — Open Plan uses this activity to signify the finish of a project phase.

  • Discontinuous

  • Subproject

  • Hammock

  • Effort Driven

  • External Subproject

  • Foreign Activity

  • Foreign Subproject

  • Foreign Project


foreign_activity_activity_typepopupact

Type

The activity type defines how the activity is treated during time analysis. Open Plan supports the following activity types:

  • ASAP

  • ALAP

  • Start Milestone

  • Finish Milestone

  • Discontinuous

  • Subproject

  • Hammock

  • Effort Driven

  • External Subproject

  • Foreign Activity — Open Plan Professional edition allows you to create relationships between activities in different projects. The Desktop edition can display these relationships but cannot create or modify them. Open Plan assigns the activity type of Foreign Activity to a bottom-level activity in a foreign project.

  • Foreign Subproject

  • Foreign Project


foreign_project_type_activity_typepopupact

Type

The activity type defines how the activity is treated during time analysis. Open Plan supports the following activity types:

  • ASAP

  • ALAP

  • Start Milestone

  • Finish Milestone

  • Discontinuous

  • Subproject

  • Hammock

  • Effort Driven

  • External Subproject

  • Foreign Activity

  • Foreign Subproject

  • Foreign Project — Open Plan creates a foreign project in order to contain any foreign activities that belong to a project that is not an external subproject of the current project.


foreign_subproject_activity_typepopupact

Type

The activity type defines how the activity is treated during time analysis. Open Plan supports the following activity types:

  • ASAP

  • ALAP

  • Start Milestone

  • Finish Milestone

  • Discontinuous

  • Subproject

  • Hammock

  • Effort Driven

  • External Subproject

  • Foreign Activity

  • Foreign Subproject — An internal subproject of a foreign project.

  • Foreign Project


front_loadspreadcurvepopupact

Front Load

Most of the resource effort is allocated at the beginning of the duration.


fxact

Fixed Target

Fixed Target dates affect both the early and late dates calculated by time analysis and resource scheduling. However, unlike On target dates (which simulate Not Earlier Than target dates on the forward pass of time analysis and Not Later Than target dates on the backward pass), Fixed Target dates require that the activity take place on the given date even if the logic of the project says that it cannot happen, and both the early and late dates are set equal to the target. As a result, activities with Fixed Target dates have zero total float and can be used, for example, to designate a point from which any prior float in the project (either positive or negative) does not affect the float of subsequent activities.


general_popupact

General

Provides general information about an activity, including ID, description, duration, status, type, calendar, and target dates.


hammock_activity_typepopupact

Type

The activity type defines how the activity is treated during time analysis. Open Plan supports the following activity types:

  • ASAP

  • ALAP

  • Start Milestone

  • Finish Milestone

  • Discontinuous

  • Subproject

  • Hammock — Open Plan interprets this activity as a reporting hammock for other activities.

  • Effort Driven

  • External Subproject

  • Foreign Activity

  • Foreign Subproject

  • Foreign Project


helpactivitypopupact

Help

Provides access to the online Help topic for the displayed tab.


helpassignmultipleresourcestomultipleactivitiespopupact

Help

Displays this Help topic.


helpselectactivitypopupact

Help

Clicking this button displays this Help topic.


helpselectresourcepopupact

Help

Clicking this button displays this Help topic.


hide_unreferenced_resourcesselectresourcepopupact

Hide Unreferenced Resources

Selecting this option and clicking Apply allows you to hide resources that are not used in your project. This feature is useful if you always use the same group of resources for the project.


immediate_popupact

Immediate

Open Plan forces an activity with the immediate attribute to start on its earliest feasible date, even if that means overloading a resource.

Open Plan calculates the earliest feasible date for an activity during resource scheduling. The earliest feasible date is the earliest possible date an activity can start in the absence of any resource constraints on its schedule.


incrementalspreadcurvedefinepopupact

Incremental

The values in the Incremental row allow you to define the percentage to be applied to each specific period.


Interproject Relationships in the Professional Edition of Open Plan

In the Professional edition of Open Plan, you can create relationships between activities in different projects. While both projects must be open at the time the relationship is created, they do not need to remain open.

A project that contains a relationship to an activity in an unopened external subproject has a "foreign" activity that represents the other end of the inter-project relationship. When both projects are opened together, foreign activities are replaced by the original activities.

Open Plan allows you to create any of the following types of inter-project relationships:

· Relationships between activities in two projects

· Relationships between activities in a master project and an external subproject

· Relationships between activities in two different external subprojects

In all cases, the relationships may be any of the standard types: Finish-to-Start, Start-to-Start, Start-to-Finish, or Finish-to-Finish.

Related Topics and Procedures


key_activity_risk_popupact

Key Activity

This field allows you to designate the activity as a key activity. For key activities, the program stores the most detailed risk analysis information possible.

To avoid creating an unmanageably large output file when risk analysis is performed, keep the number of key activities to a minimum. It is recommended that you flag no more than a dozen or so key activities per project.


l_late_peakact

Resource Curve

If you leave this field blank, the amount of the resource requirement is interpreted as a level-rate-per-time unit. Thus, if the activity duration changes, the amount of the resource requirement also changes.

You can also have Open Plan interpret the resource requirement as a total requirement by selecting from the following list of standard spread curves. The spread curve you chose describes how the resource assignment should be spread through the duration of the activity.

  • B — Back Load

  • D — Double Peak

  • E — Early Peak

  • F — Front Load

  • L — Late Peak

    • Most of the resource effort is allocated near the end of the duration.

  • N — Normal (Bell)

  • T — Linear

Using the Spread Curves dialog box, you can add custom spread curves to this list. In addition, you can edit or delete any spread curve.


labor_cost_acwpactivityinfocosttabpopupact

Labor Cost ACWP

This value represents the actual cost of labor for the activity to date. The Labor Cost ACWP for the activity is stored in the ACWP_LAB field on the Activity table and is calculated during cost calculations based on one of the following conditions:

  • If the Actual Cost Based on Progressed Quantity option is selected on the Resource Details dialog box, Open Plan calculates this value based on the progressed quantity of the resource during cost calculations.

  • If the Actual Cost Based on Progressed Quantity option is cleared on the Resource Details dialog box, Open Plan calculates this value based on the values that have been entered on the Resources tab of the Activity Progress dialog box.


labor_cost_bacactivityinfocosttabpopupact

Labor Cost BAC

This value represents the total cost of labor budgeted for the activity. The Labor Cost BAC is stored in the BAC_LAB field in the Activity table. The manner in which this value is calculated depends on whether the Use Version 2 Cost Calculation Method option is selected on the Cost tab of the Project Properties dialog box:

  • By default, the Use Version 2 Cost Calculation Method option is cleared for new projects. In this mode, Open Plan calculates Labor Cost BAC by summing the values in either the original labor resource cost field (RES_CST) or the escalated labor resource cost field (RES_ESC) in the Performance Measurement Baseline (PMB) on the Baseline Usage table. The value that Open Plan uses in this calculation is determined by a setting on the Cost Calculations dialog box:

    • If the Use Resource Cost Escalation option is cleared on the Cost Calculations dialog box, Open Plan uses the value stored in the original resource cost (RES_CST) field.

    • If the Use Resource Cost Escalation option is selected on the Cost Calculations dialog box, Open Plan uses the value stored in the escalated resource cost (RES_ESC) field.

    By always using the PMB when it is available, Open Plan provides consistency and reliability. If there is no baseline named PMB, Open Plan uses the currently selected baseline, or, in the case of multiple selected baselines, the baseline identified as Baseline 1. If the project contains baselines, but none is selected or named PMB, Open Plan prompts you to select a baseline. If the project has no baselines, Open Plan uses the Version 2 Cost Calculation Method automatically.

  • If the Use Version 2 Cost Calculation Method option is selected, Open Plan calculates this value by summing the values in the Level field of the Assignment table adjusted for any curve, offset, and period that may be defined, and multiplying this value by the appropriate Labor Cost rate. The rate that Open Plan uses is determined by a setting on the Cost Calculations dialog box:

    • If the Use Resource Cost Escalation option is cleared on the Cost Calculations dialog box, Open plan uses the unit rate for all entries.

    • If the Use Resource Cost Escalation option is selected on the Cost Calculations dialog box, Open Plan uses the relevant escalated rates for each entry.


labor_cost_bcwpactivityinfocosttabpopupact

Labor Cost BCWP

This value represents the earned value of labor for the activity. The Labor Cost BCWP for the activity is stored in the BCWP_LAB field on the Activity table. This value is calculated during cost calculations by summing the values in either the original labor cost field (BCWP_CST) or the escalated labor cost field (BCWP_ESC) in the Resource Cost table. The field that Open Plan uses in this calculation is determined by a setting on the Cost Calculations dialog box:

  • If the Use Resource Cost Escalation option is cleared on the Cost Calculations dialog box, Open Plan uses the BCWP_CST field.

  • If the Use Resource Cost Escalation option is selected on the Cost Calculations dialog box, Open Plan uses the BCWP_ESC field.


labor_cost_bcwsactivityinfocosttabpopupact

Labor Cost BCWS

This value represents the budgeted cost of labor for the work scheduled for the activity from the baseline start date of the activity until Time Now.

The Labor Cost BCWS is stored in the BCWS_LAB field on the Activity table and is calculated during cost calculations by summing the values stored in either the original Labor resource cost field (RES_CST) or the escalated Labor resource cost field (RES_ESC) in the Performance Measurement Baseline (PMB) in the Baseline Usage table from the baseline start date until Time Now. The field that Open Plan uses in this calculation is determined by a setting on the Cost Calculations dialog box:

  • If the Use Resource Cost Escalation option is cleared on the Cost Calculations dialog box, Open Plan uses the value stored in the original resource cost (RES_CST) field.

  • If the Use Resource Cost Escalation option is selected on the Cost Calculations dialog box, Open Plan uses the value stored in the escalated resource cost (RES_ESC) field.

By always using the PMB when it is available, Open Plan provides consistency and reliability. If there is no baseline named PMB, Open Plan uses the currently selected baseline, or, in the case of multiple baselines, the baseline identified as Baseline 1. If the project has contains baselines, but none is selected or named PMB, Open Plan prompts you to select a baseline during cost calculations. If the project has no baselines, BCWS will not be calculated.


labor_cost_eacactivityinfocosttabpopupact

Labor Cost EAC

This value represents the estimate of the total labor costs for the activity when it is complete. The Labor Cost EAC is calculated by during cost calculations adding the value stored in the estimated to complete labor cost field (ETC_LAB) to the value stored in the actual labor cost field (ACWP_LAB.) Both of these fields are located on the Activity table.

The ETC_LAB is calculated by summing the Remaining values on the Assignment table for resources that have the resource category of Labor.

If the Progress Based on Activity Progress option is selected on the Resource Details dialog box, Open Plan calculates Remaining values during cost calculations.

The ACWP_LAB is calculated during cost calculations based on one of the following conditions:

  • If the Actual Cost Based on Progressed Quantity option is selected on the Resource Details dialog box, Open Plan calculates this value based on the progressed quantity of the resource during cost calculations.

  • If the Actual Cost Based on Progressed Quantity option is cleared on the Resource Details dialog box, Open Plan calculates this value based on the values that have been entered on the Resources tab of the Activity Progress dialog box.


labor_quantity_acwpactivityinfocosttabpopupact

Labor Quantity ACWP

This value represents the actual number of labor resource units that have been used by the activity. The Labor Quantity ACWP for the activity is stored in the ACWP_QTY field in the Activity table and is calculated during cost calculation based on one of the following conditions:

  • If the Progress Based on Activity Progress option is selected on the Resource Details dialog box, Open Plan calculates this value based on the progress reported on the activity.

  • If the Progress Based on Activity Progress option is cleared on the Resource Details dialog box, Open Plan calculates this value based on the values that have been entered on the Resources tab of the Activity Progress dialog box.


labor_quantity_bacactivityinfocosttabpopupact

Labor Quantity BAC

This value represents the total number of labor resource units budgeted for the activity. The Labor Quantity BAC is stored in the BAC_QTY field in the Activity table. The manner in which this value is calculated depends on whether the Use Version 2 Cost Calculation Method option is selected on the Cost tab of the Project Properties dialog box:

  • By default, the Use Version 2 Cost Calculation Method is cleared for new projects. In this mode, Open Plan calculates the Labor Quantity BAC by summing the value of the original (budgeted) resource quantity (RES_USED) for labor resources assigned to this activity in the Performance Measurement Baseline (PMB) on the Baseline Usage table. By always using the PMB when it is available, Open Plan provides consistency and reliability.

    • If there is no baseline named PMB, Open Plan uses the currently selected baseline, or, in the case of multiple selected baselines, the baseline identified as Baseline 1. If the project contains baselines, but none is selected or named PMB, Open Plan prompts you to select a baseline. If the project has no baselines, Open Plan uses the Version 2 Cost Calculation Method automatically.

  • If the Use Version 2 Cost Calculation Method is selected, Open Plan calculates this value by summing the values in the Level field of the Assignment table adjusted for any curve, offset, or period that may be defined.


labor_quantity_bcwpactivityinfocosttabpopupact

Labor Quantity BCWP

This value represents the earned value of labor resource units budgeted for the activity. The Labor Quantity BCWP for the activity is stored in the BCWP_QTY field on the Activity table and is calculated during cost calculations by summing the earned value of resource labor units (BCWP_QTY) in the Resource Cost table.

The earned value of resource labor units (BCWP_QTY) in the Resource Cost Table is calculated during cost calculations, by multiplying the physical percent complete of the assignment by the original (budgeted) labor resource quantity (RES_USED) value in the Performance Measurement Baseline (PMB) on the Baseline Usage table. By always using the PMB when it is available, Open Plan provides consistency and reliability.

If there is no baseline named PMB, Open Plan uses the currently selected baseline, or, in the case of multiple selected baselines, the baseline identified as Baseline 1. If the project contains baselines, but none is selected or named PMB, Open Plan prompts you to select a baseline during cost calculations. If the project has no baselines and the Version 2 Cost Calculation Method is selected on the Cost tab of the Project Properties dialog box, Open Plan calculates BCWP by summing the values in the Level field of the Assignment table adjusted for any curve, offset, or period that may be defined.

Each time you calculate costs, an entry is added to the resource cost table that represents current period BCWP. For a new period, this value is calculated by subtracting the sum of all previous values from the new total calculated BCWP.


labor_quantity_bcwsactivityinfocosttabpopupact

Labor Quantity BCWS

This value represents the budgeted quantity of labor for the work scheduled for the activity from the baseline start date of the activity until Time Now.

This value is stored in the BCWS_QTY field on the Activity table and is calculated during cost calculations by summing the original (budgeted) labor resource quantity (RES_USED) value in the Performance Measurement Baseline (PMB) in the Baseline Usage table from the baseline start date until Time Now. By always using the PMB when it is available, Open Plan provides consistency and reliability.

If there is no baseline named PMB, Open Plan uses the currently selected baseline, or, in the case of multiple selected baselines, the baseline identified as Baseline 1. If the project contains baselines, but none is selected or named PMB, Open Plan prompts you to select a baseline during cost calculations. If the project has no baselines, BCWS will not be calculated.


labor_quantity_eacactivityinfocosttabpopupact

Labor Quantity EAC

This value represents the total of the estimated and the completed labor quantities for the activity. The Labor Quantity EAC is calculated by adding the estimated to complete quantity (ETC_QTY) to the actual quantity (ACWP_QTY). Both of these values are stored in the Activity table.

The ETC_QTY is calculated by summing the Remaining values on the Assignment table.

If the Progress Based on Activity Progress option is selected on the Resource Details dialog box, Open Plan calculates Remaining values during cost calculations.


lag_relationship_popupact

Lag

For each relationship between activities, you can define a lag. This specifies a time delay associated with the relationship. Lags can be either positive (to indicate a delay between two events) or negative (to indicate an overlap or lead time between two events). Lag is used to specify the number of periods that must elapse between events such as the finish of one activity and the start of the next activity.

For start-to-start relationships, it is also possible to define a lag as a percentage of the predecessor activity's duration. To enter a percentage-driven lag, enter a value followed by a percent sign (%). For example, to define a lag equal to one half of the predecessor's duration, enter 50%.


late_peakspreadcurvepopupact

Late Peak

Most of the resource effort is allocated near the end of the duration.


level_of_effortpmtact

Earned Value

You can specify the EVT for the activity. When the Base Physical Percent Complete on Earned Value option is selected on the Progress Calculations dialog box, Open Plan uses the selected EVT to update the earned value of the activities when progress calculations are run.

You can choose from the following EVTs:

  • Level of Effort — This EVT assumes that if the activity has started, it will progress (and, thus, earn value) according to the original budget without deviation. By definition, the value earned by an activity using this Earned Value is equal to the budget up to Time Now. In other words, starting a Level of Effort (LOE) activity results in the activity immediately earning its entire budget up to Time Now.

  • Percent Complete

  • 50-50

  • 0-100

  • 100-0

  • User-Defined Percentage

  • Planning Package

  • Resource Assignment Percent Complete

There are few hard and fast rules about selecting performance measurement techniques. The general rule is to select a method that allows you to "earn how you plan." For example, if an activity spans two periods and the budget spread is $50 in the first period and $50 in the second period, you should select an EVT that, if on schedule, would allow you to earn half of the $100 budget when the activity is started and the other half when it is finished. (This scenario would most likely use the 50-50 EVT.)

50-50, 0-100, 100-0, and User-Defined Percentage EVTs are normally used on activities that span not more than 2 periods.


level_resource_popupact

Resource Level

The amount of the resource requirement. This numeric value is interpreted by Open Plan as either a level-per-activity time unit or as a total requirement, depending on the contents of the Resource Curve field.

To understand the difference between entering a resource requirement as a level-per-time unit or as a total requirement, let us take the example of an activity that has a duration of 10 days. Now, let's look at two cases:

  • If you assign a resource to work on this activity for 8 hours per day, the resource requirement equates to 80 hours. Now, assume that the work of the activity actually takes 12 days. Since the resource was assigned as a level per time unit, the resource will work on the activity for a total of 96 hours.

  • If you assign a resource to work on this activity for a total of 80 hours, it no longer matters how long the activity actually takes. You still have a fixed 80 hours of the resource to spread over the duration of the activity regardless of whether the activity duration is 10 or 12 days.


linearspreadcurvepopupact

Linear

The requirement is interpreted as a total quantity allocated as evenly as possible throughout the duration.


match_casefindcodepopupact

Match Case

Selecting this option tells Open Plan to look for a code containing a description that matches both the text and capitalization that you entered in the input box.

For example, Open Plan would not find a code with "Pharmacy Systems" in the description if you entered any of the following phrases in the input box:

  • pharmacy systems

  • Pharmacy systems

  • pharmacy Systems

The capitalization must match exactly.


material_cost_acwpactivityinfocosttabpopupact

Material Cost ACWP

This value represents the actual cost of materials for the activity to date. The Material Cost ACWP for the activity is stored in the ACWP_MAT field on the Activity cost table and is calculated during cost calculations based on one of the following conditions:

  • If the Actual Cost Based on Progressed Quantity option is selected on the Resource Details dialog box, Open Plan calculates this value based on the progressed quantity of the resource.

  • If the Actual Cost Based on Progressed Quantity option is cleared on the Resource Details dialog box, Open Plan calculates this value based on the values that have been entered on the Resources tab of the Activity Progress dialog box.

If the Actual Cost Based on Progressed Quantity option is selected on the Resource Details dialog box, Open Plan calculates Actual values during cost calculations.


material_cost_bacactivityinfocosttabpopupact

Material Cost BAC

This value represents the total cost of materials budgeted for the activity. The Material Cost BAC is stored in the BAC_MAT field in the Activity table. The manner in which this value is calculated depends on whether the Use Version 2 Cost Calculation Method option is selected on the Cost tab of the Project Properties dialog box:

  • By default, the Use Version 2 Cost Calculation Method option is cleared for new projects. In this mode, Open Plan calculates Material Cost BAC by summing the values in either the original material cost field (RES_CST) or the escalated material resource cost field (RES_ESC) in the Performance Measurement Baseline (PMB) on the Baseline Usage table. The field that Open Plan uses in this calculation is determined by a setting on the Cost Calculations dialog box:

    • If the Use Resource Cost Escalation option is cleared on the Cost Calculations dialog box, Open Plan uses the RES_CST field.

    • If the Use Resource Cost Escalation option is selected on the Cost Calculations dialog box, Open Plan uses the RES_ESC field.

    By always using the PMB when it is available, Open Plan provides consistency and reliability. If there is no baseline named PMB, Open Plan uses the currently selected baseline, or, in the case of multiple selected baselines, the baseline identified as Baseline 1. If the project contains baselines, but none is selected or named PMB, Open Plan prompts you to select a baseline. If the project has no baselines, Open Plan uses the Version 2 Cost Calculation Method automatically.

  • If the Use Version 2 Cost Calculation Method option is selected, Open Plan calculates this value by summing the values in the Level field of the Assignment table adjusted for any curve, offset, and period that may be defined, and multiplying this value by the appropriate Material Cost rate. The rate that Open Plan uses is determined by a setting on the Cost Calculations dialog box:

    • If the Use Resource Cost Escalation option is cleared on the Cost Calculations dialog box, Open plan uses the unit rate for all entries.

    • If the Use Resource Cost Escalation option is selected on the Cost Calculations dialog box, Open Plan uses the relevant escalated rates for each entry.


material_cost_bcwpactivityinfocosttabpopupact

Material Cost BCWP

This value represents the earned value of material costs for the activity. The Material Cost BCWP for the activity is stored in the BCWP_MAT field on the Activity table. This value is calculated during cost calculations by summing the values in either the original material cost field (BCWP_CST) or the escalated material cost field (BCWP_ESC) in the Resource Cost table. The field that Open Plan uses in this calculation is determined by a setting on the Cost Calculations dialog box:

  • If the Use Resource Cost Escalation option is cleared on the Cost Calculations dialog box, Open Plan uses the BCWP_CST field.

  • If the Use Resource Cost Escalation option is selected on the Cost Calculations dialog box, Open Plan uses the BCWP_ESC field.


material_cost_bcwsactivityinfocosttabpopupact

Material Cost BCWS

This value represents the budgeted cost of materials scheduled for the activity from the baseline start date of the activity until Time Now.

The Material Cost BCWS is stored in the BCWS_MAT field on the Activity table and is calculated during cost calculations by summing the values in either the original Material Resource Cost field (RES_CST) or the escalated Material Resource Cost field (RES_ESC) in the Performance Measurement Baseline (PMB) in the Baseline Usage table from the baseline start date until Time Now. The field that Open Plan sums in this calculation is determined by a setting on the Cost Calculations dialog box:

  • If the Use Resource Cost Escalation option is cleared on the Cost Calculations dialog box, Open Plan uses the RES_CST field.

  • If the Use Resource Cost Escalation option is selected on the Cost Calculations dialog box, Open Plan uses the RES_ESC field.

By always using the PMB when it is available, Open Plan provides consistency and reliability. If there is no baseline named PMB, Open Plan uses the currently selected baseline, or, in the case of multiple baselines, the baseline identified as Baseline 1. If the project has contains baselines, but none is selected or named PMB, Open Plan prompts you to select a baseline during cost calculations. If the project has no baselines, BCWS will not be calculated.


material_cost_eacactivityinfocosttabpopupact

Material Cost EAC

This value represents the estimate of the total material costs for the activity when it is complete. The Material Cost EAC is calculated by during cost calculations adding the value stored in the estimated to complete material cost field (ETC_MAT) to the value stored in the actual material cost field (ACWP_MAT.) Both of these fields are located on the Activity table.

The ETC_MAT is calculated by summing the Remaining values on the Assignment table for resources that have the resource category of Material.

If the Progress Based on Activity Progress option is selected on the Resource Details dialog box, Open Plan calculates Remaining values during cost calculations.

The ACWP_MAT is calculated during cost calculations based on one of the following conditions:

  • If the Actual Cost Based on Progressed Quantity option is selected on the Resource Details dialog box, Open Plan calculates this value based on the progressed quantity of the resource during cost calculations.

  • If the Actual Cost Based on Progressed Quantity option is cleared on the Resource Details dialog box, Open Plan calculates this value based on the values that have been entered on the Resources tab of the Activity Progress dialog box.


max_duration_popupact

Max Duration

When either the Stretch or Reprofile option is chosen, this field controls the maximum duration for the activity.

You may enter the maximum duration using any of the following duration units:

  • M — months

  • W — weeks

  • D — days

  • H — hours

  • T — minutes

While you may use decimal values (for example, 4.5 D), you cannot enter durations using mixed duration units. (For example, 4D4H is not allowed.)


max_splits_popupact

Max Splits

When the Split option is chosen, this field controls the maximum number of pieces into which the activity can be split.


min_duration_popupact

Min Duration

When the Split option is chosen, this field controls the minimum duration of any piece of the split activity.


n_normal_bellact

Resource Curve

If you leave this field blank, the amount of the resource requirement is interpreted as a level-rate-per-time unit. Thus, if the activity duration changes, the amount of the resource requirement also changes.

You can also have Open Plan interpret the resource requirement as a total requirement by selecting from the following list of standard spread curves. The spread curve you chose describes how the resource assignment should be spread through the duration of the activity.

  • B — Back Load

  • D — Double Peak

  • E — Early Peak

  • F — Front Load

  • L — Late Peak

  • N — Normal (Bell)

    • The resource effort starts with a minimal effort, gradually increases to the middle of the duration, and then tapers off.

  • T — Linear

Using the Spread Curves dialog box, you can add custom spread curves to this list. In addition, you can edit or delete any spread curve.


namespreadcurvedefinepopupact

Name

Open Plan uses the (single) character entered in this field to identify the spread curve.


neact

Not Earlier Than

This constraint affects the early dates calculated by time analysis. If you enter a Not Earlier Than target date that is earlier than or equal to the date that would otherwise be calculated by time analysis, the target date has no effect. If you enter a Not Earlier Than date that is later than the date that would be calculated by time analysis, the result is either to delay project completion, to reduce the float on the activity, or both.


newactivitypopupact

New

Displays a blank Activity Details dialog box.

You can specify that the New command will either copy the information for the current activity, or display a blank entry screen for a new activity. To set this option, go to the Tools menu and select Options. On the Edit tab, select the first option in the Activity Dialogs section (Do Not Clear Contents&ldots;).


newspreadcurvepopupact

New

Clicking this button displays the New Spread Curve dialog box that you can use to create a new custom spread curve.


nlact

Not Later Than

This constraint affects the late dates calculated by time analysis. If you create a Not Later Than target date later than or equal to the date that would otherwise be calculated by time analysis, the target date has no effect. If you enter a Not Later Than target date that is earlier than the date that would be calculated by time analysis, the result is a reduction in the amount of float on this activity. If this float becomes negative as a result, this indicates that the target date is not achievable for the activity as planned and that replanning may be required.


normal_bell_spreadcurvepopupact

Normal (Bell)

The resource effort starts with a minimal effort, gradually increases to the middle of the duration, and then tapers off.


normalpopupact

Normal

The activity has no advanced controls for treatment of the duration during resource scheduling.


notespopupact

Notes

Allows you to create, edit, or delete a note attached to the activity.


odc_acwpactivityinfocosttabpopupact

ODC ACWP

This value represents the sum of actual Other Direct Costs (ODC) of the activity to date. The ODC ACWP for the activity is stored in the ACWP_ODC field on the Activity cost table and is calculated during cost calculations based on one of the following conditions:

  • If the Actual Cost Based on Progressed Quantity option is selected on the Resource Details dialog box, Open Plan calculates this value based on the progressed quantity of the resource.

  • If the Actual Cost Based on Progressed Quantity option is cleared on the Resource Details dialog box, Open Plan calculates this value based on the values that have been entered on the Resources tab of the Activity Progress dialog box.

If the Actual Cost Based on Progressed Quantity option is selected on the Resource Details dialog box, Open Plan calculates Actual values during cost calculations.


odc_bacactivityinfocosttabpopupact

ODC BAC

This value represents the total of Other Direct Costs (ODC) budgeted for the activity. The ODC BAC is stored in the BAC_ODC field in the Activity table. The manner in which this value is calculated depends on whether the Use Version 2 Cost Calculation Method option is selected on the Cost tab of the Project Properties dialog box:

  • By default, the Use Version 2 Cost Calculation Method option is cleared for new projects. In this mode, Open Plan calculates ODC BAC by summing the values in either the original ODC cost field (RES_CST) or the escalated ODC cost field (RES_ESC) for the Performance Measurement Baseline (PMB) on the Baseline Usage table. The field that Open Plan uses in this calculation is determined by a setting on the Cost Calculations dialog box:

    • If the Use Resource Cost Escalation option is cleared on the Cost Calculations dialog box, Open Plan uses the RES_CST field.

    • If the Use Resource Cost Escalation option is selected on the Cost Calculations dialog box, Open Plan uses the RES_ESC field.

    By always using the PMB when it is available, Open Plan provides consistency and reliability. If there is no baseline named PMB, Open Plan uses the currently selected baseline, or, in the case of multiple selected baselines, the baseline identified as Baseline 1. If the project contains baselines, but none is selected or named PMB, Open Plan prompts you to select a baseline. If the project has no baselines, Open Plan uses the Version 2 Cost Calculation Method automatically.

  • If the Use Version 2 Cost Calculation Method option is selected, Open Plan calculates this value by summing the values in the LEVEL field of the Assignment table adjusted for any curve, offset, and period that may be defined, and multiplying this value by the appropriate ODC rate. The rate that Open Plan uses is determined by a setting on the Cost Calculations dialog box:

    • If the Use Resource Cost Escalation option is cleared on the Cost Calculations dialog box, Open plan uses the unit rate for all entries.

    • If the Use Resource Cost Escalation option is selected on the Cost Calculations dialog box, Open Plan uses the relevant escalated rates for each entry.


odc_bcwpactivityinfocosttabpopupact

ODC BCWP

This value represents the earned value of Other Direct Costs (ODC) for the activity. The ODC BCWP for the activity is stored in the BCWP_ODC field on the Activity table. This value is calculated during cost calculations by summing the values in either the original ODC cost field (BCWP_CST) or the escalated ODC cost field (BCWP_ESC) in the Resource Cost table. The field that Open Plan uses in this calculation is determined by a setting on the Cost Calculations dialog box:

  • If the Use Resource Cost Escalation option is cleared on the Cost Calculations dialog box, Open Plan uses the BCWP_CST field.

  • If the Use Resource Cost Escalation option is selected on the Cost Calculations dialog box, Open Plan uses the BCWP_ESC field.


odc_bcwsactivityinfocosttabpopupact

ODC BCWS

This value represents the budgeted Other Direct Costs (ODC) scheduled for the activity from the baseline start date of the activity until Time Now.

The ODC BCWS is stored in the BCWS_ODC field on the Activity table and is calculated during cost calculations by summing the values in either the original ODC resource cost field (RES_CST) field or the escalated ODC cost field (RES_ESC) in the Performance Measurement Baseline (PMB) in the Baseline Usage table from the baseline start date until Time Now. The field that Open Plan sums in this calculation is determined by a setting on the Cost Calculations dialog box:

  • If the Use Resource Cost Escalation option is cleared on the Cost Calculations dialog box, Open Plan uses the RES_CST field.

  • If the Use Resource Cost Escalation option is selected on the Cost Calculations dialog box, Open Plan uses the RES_ESC field.

By always using the PMB when it is available, Open Plan provides consistency and reliability. If there is no baseline named PMB, Open Plan uses the currently selected baseline, or, in the case of multiple baselines, the baseline identified as Baseline 1. If the project has contains baselines, but none is selected or named PMB, Open Plan prompts you to select a baseline during cost calculations. If the project has no baselines, BCWS will not be calculated.


odc_eacactivityinfocosttabpopupact

ODC EAC

This value represents the estimate of the total ODC costs for the activity when it is complete. The ODC Cost EAC is calculated by during cost calculations adding the value stored in the estimated to complete ODC cost field (ETC_ODC) to the value stored in the actual ODC cost field (ACWP_ODC.) Both of these fields are located on the Activity table.

The ETC_ODC is calculated by summing the Remaining values on the Assignment table for resources that have the resource category of ODC.

If the Progress Based on Activity Progress option is selected on the Resource Details dialog box, Open Plan calculates Remaining values during cost calculations.

The ACWP_ODC is calculated during cost calculations based on one of the following conditions:

  • If the Actual Cost Based on Progressed Quantity option is selected on the Resource Details dialog box, Open Plan calculates this value based on the progressed quantity of the resource during cost calculations.

  • If the Actual Cost Based on Progressed Quantity option is cleared on the Resource Details dialog box, Open Plan calculates this value based on the values that have been entered on the Resources tab of the Activity Progress dialog box.


offset_resource_popupact

Resource Offset

The number of time units that must elapse from the start of an activity and the time when the resource starts working. For example, if you define the offset of a requirement as 5 periods, the requirement will begin on the sixth period of the activity duration.

If you enter an Offset value and do not enter a Period, Open Plan will assume a maximum period value of activity duration minus the offset value.

You may enter offsets using any of the following units:

  • M — months

  • W — weeks

  • D — days

  • H — hours

  • T — minutes

While you may use decimal values (for example, 4.5 D), you cannot enter offsets using mixed units. (For example, 4D4H is not allowed.)

The offset defaults to zero if left blank. If both the offset and period are left blank, the resource is assumed to start on day one of the activity.

Open Plan does not allow you to enter values for a requirement offset that extend beyond the duration of the activity, nor can you enter the offset value equal to the activity duration.


okassignmultipleresourcestomultipleactivitiespopupact

OK

Puts your settings into effect.


okselectactivitypopupact

OK

Clicking this button puts the selected activity in the field where your cursor is located.


okselectcodepopupact

OK

Clicking this button inserts the selected code as a value for the code on the Codes tab.


okselectresourcepopupact

OK

Clicking this button puts your settings into effect and displays the resources that meet the selected filter on the Resources tab of the Activity Details dialog box.


onact

On Target

This constraint combines the effects of both Not Earlier Than and Not Later Than target dates and affects both the early and late dates calculated by time analysis and resource scheduling.


optimistic_activity_risk_popupact

Optimistic

This is the minimum estimated duration for the activity.


percent_completepmtact

Earned Value

You can specify the EVT for the activity. When the Base Physical Percent Complete on Earned Value option is selected on the Progress Calculations dialog box, Open Plan uses the selected EVT to update the earned value of the activities when progress calculations are run.

You can choose from the following EVTs:

  • Level of Effort

  • Percent Complete — With this EVT, the user enters percent complete directly. Percent complete places the burden of objective performance measurement on the individual or system that provides the information.

  • 50-50

  • 0-100

  • 100-0

  • User-Defined Percentage

  • Planning Package

  • Resource Assignment Percent Complete

There are few hard and fast rules about selecting performance measurement techniques. The general rule is to select a method that allows you to "earn how you plan." For example, if an activity spans two periods and the budget spread is $50 in the first period and $50 in the second period, you should select an EVT that, if on schedule, would allow you to earn half of the $100 budget when the activity is started and the other half when it is finished. (This scenario would most likely use the 50-50 EVT.)

50-50, 0-100, 100-0, and User-Defined Percentage EVTs are normally used on activities that span not more than 2 periods.


percent_completeprogresspopupact

Percent Complete

This field represents the percent of the original activity duration that is complete. Open Plan uses any value you enter in this field to calculate the values in the Remaining Duration and Elapsed Duration fields.


period_resource_popupact

Resource Period

The total time for which the resource is required.

If you enter an Offset value and do not enter a Period, Open Plan will assume a maximum period value of activity duration minus the offset value.

You may enter periods using any of the following units:

  • M — months

  • W — weeks

  • D — days

  • H — hours

  • T — minutes

While you may use decimal values (for example, 4.5 D), you cannot enter periods using mixed units. (For example, 4D4H is not allowed.)

If both the offset and period are left blank, the resource is assumed to be required for the entire duration of the activity.

Open Plan does not allow you to enter values for a requirement period that extend beyond the duration of the activity.


pessimistic_activity_risk_popupact

Pessimistic

This is the maximum estimated duration for the activity.


planning_packagepmtact

Earned Value

You can specify the EVT for the activity. When the Base Physical Percent Complete on Earned Value option is selected on the Progress Calculations dialog box, Open Plan uses the selected EVT to update the earned value of the activities when progress calculations are run.

You can choose from the following EVTs:

  • Level of Effort

  • Percent Complete

  • 50-50

  • 0-100

  • 100-0

  • User-Defined Percentage

  • Planning Package — Activities using this EVT are used for planning purposes only and do not earn value. This causes earned value to always be calculated as zero regardless of any progress that has been applied.

  • Resource Assignment Percent Complete

There are few hard and fast rules about selecting performance measurement techniques. The general rule is to select a method that allows you to "earn how you plan." For example, if an activity spans two periods and the budget spread is $50 in the first period and $50 in the second period, you should select an EVT that, if on schedule, would allow you to earn half of the $100 budget when the activity is started and the other half when it is finished. (This scenario would most likely use the 50-50 EVT.)

50-50, 0-100, 100-0, and User-Defined Percentage EVTs are normally used on activities that span not more than 2 periods.


pmtpopupact

Earned Value

You can specify the EVT for the activity. When the Base Physical Percent Complete on Earned Value option is selected on the Progress Calculations dialog box, Open Plan uses the selected EVT to update the earned value of the activities when progress calculations are run.

You can choose from the following EVTs:

  • Level of Effort

  • Percent Complete

  • 50-50

  • 0-100

  • 100-0

  • User-Defined Percentage

  • Planning Package

  • Resource Assignment Percent Complete

There are few hard and fast rules about selecting performance measurement techniques. The general rule is to select a method that allows you to "earn how you plan." For example, if an activity spans two periods and the budget spread is $50 in the first period and $50 in the second period, you should select an Earned Value that, if on schedule, would allow you to earn half of the $100 budget when the activity is started and the other half when it is finished. (This scenario would most likely use the 50-50 EVT.)

50-50, 0-100, 100-0, and User-Defined Percentage EVTs are normally used on activities that span not more than 2 periods.


ppcresource_progresspopupact

Phy. %

Open Plan displays the resource physical percent complete (PPC) in this field. This is the amount of the activity’s requirement for that resource that has been used.

When you change the value in the Phys. % field and tab out of the field, Open Plan recalculates the Activity Physical Percent Complete and displays this value in the Activity Physical Percent Complete field.

Note that physical percent complete at the activity level and at the resource level are interdependent and that changing one value affects the other. Open Plan uses the budgeted cost (BAC) of each resource for determining these PPC values.

For example, assume that an activity has two resource assignments (with linear requirements) as follows:

Budget (qty) | Unit Cost | Budget Cost | PPC
30 | 60 | 1800 | 25%
30 | 50 | 1500 | 50%

In this case, the activity PPC is calculated as follows:

(1800 x .25) + (1500 x .5) | = | 450 + 750 | = 36%
1800 + 1500 |  | 3300

If you change the activity PPC at the activity level, that PPC will be applied to all resource assignments belonging to that activity with consideration for any curve, offsets, and periods.


predecessoractivityrelationshippopupact

Predecessor

This column displays the ID of the predecessor activity (an activity that logically precedes the displayed activity).

When your cursor is in this field, you can click the ellipsis at the right edge of the input field to display the Select Activity dialog box that you can use to select the predecessor activity.

If you hover your mouse cursor over this field, Open Plan displays the description and status of the predecessor activity.


previousresource_progresspopupact

Previous

This column displays the following types of data:

  • Qty — Open Plan displays the sum of all the actual quantity records for the resource entered or calculated during previous sessions.

  • Cost — Open Plan displays the sum of all the actual cost records for the resource entered or calculated during previous sessions.


prioritypopupact

Priority

This field controls the priority Open Plan gives the activity during resource scheduling and acts as a tie-breaker. You can enter any 3-digit number. Lower numbers indicate a higher priority than higher numbers. The default for this field is zero (and, therefore, top priority). Negative numbers are allowed.

For this setting to take effect, you must also select Priority as one of the priorities on the Advanced tab of the Resource Scheduling dialog box.


probability_of_occurrencepopupact

Probability of Occurrence

Enter a value from 0 to 100 as a weight factor to indicate the probability that the activity exists at all.

For example, assume you have the following three activities:

Activity | Probability of Occurrence
A — Write Software | 100
B — Test Software | 100
C — Fix Software | 20

Activities A and B will always happen, but we might judge that there is only a 20% chance that following testing, we have to go back and fix the software. All regular Open Plan features ignore this field (and always consider all tasks) except Risk Analysis, which would only consider activity C 20% of the time. If Risk Analysis chooses to ignore the task on any given iteration, then any successors of C are deemed to follow immediately on from B (as if C had zero duration).


probabilityactivity

Probability

In the absence of progress on any successor activities, this column is used to indicate a relative probability that a particular path out of an activity will be taken. Probabilities for various options are mutually exclusive, such that the percent values for multiple options do not have to equal 100%.

If successor activities have been started, it is assumed that the path has been taken already and the probabilities are ignored.


progressactivitypopuupact

Progress

Displays an Activity Progress dialog box that you can use to enter progress information about the selected activity. By default, the Activity tab of this dialog box is selected.


reconcilepopupact

Reconcile

If there is a discrepancy between the total quantity and the sum of the time-phased periods, you can use the Reconcile button to quickly fix the problem. When you click this button, the Reconcile command calculates the difference between the total quantity and the sum of the periods. The difference is placed into the selected period after you confirm the operation.


relationship_popupact

Relationships

Provides information about the relationships between the displayed activity and its predecessors and successors including ID, relationship type, lag, calendar, total float, and free float.


remaining_durationactivityinfopopupact

Remaining Duration

This field represents the duration remaining for the activity.


remaining_durationprogresspopupact

Remaining Duration

This field represents the duration remaining for the activity. Open Plan uses any value you enter in this field to calculate the values in the Elapsed Duration and Percent Complete fields.


remainingresource_progresspopupact

Remaining

This column controls the following types of data:

  • Qty — When you tab to this field from the actual quantity field, Open Plan calculates the remaining quantity for resources assigned to the activity by subtracting the actual quantity from the quantity of the original resource assignment. You may overwrite the value displayed in this field. Open Plan ignores this value for unbudgeted resources or for costs entered at the activity level without reference to a resource.

    • The remaining quantity can never be less than zero. Therefore, if you have entered an actual quantity that is greater than the original resource assignment, Open Plan reports that the remaining quantity is zero.

    If you have decided not to use a resource assigned to the project, overwrite the remaining resource assignment calculated by Open Plan with a zero.

  • Cost — When you tab away from the Actual Cost field, Open Plan displays the remaining resource cost. Open Plan calculates this value as follows:

    • Budget Cost – Previous Cost

    This value is calculated only for display purposes as it is not stored in the database.


reprofilable_exampleact

Return

Assume that a 3-day activity has a resource requirement of 5 units for each day of its duration, for a total of 15 units. Depending on the availability of the resources, the activity can be reprofiled in any number of ways, including the following examples:

5 days at 3 units per day

4 days at 2 units per day, followed by 1 day at 3 units per day and 1 day at 4 units per day

2 days at 4 units per day, followed by 1 day at zero units per day, followed by 2 days at 2 units per day and 1 day at 3 units per day.


reprofilable_popupact

Reprofilable

Examples

Reprofiling an activity provides Open Plan with the most flexibility in scheduling an activity. An activity with this attribute can be scheduled in any way consistent with available resources provided that the following criteria are met:

  • The duration of the reprofiled activity cannot be shorter than the specified duration.

  • The reprofiled requirements cannot exceed the original requirements profile (on a cumulative basis).

Thus, a 10-day activity with a resource requirement of 3 units per day cannot be reprofiled so that it has a 1-day duration with a requirement of 30 units.

You can also set an option on the Advanced tab of the Resource Scheduling dialog box to restrict the maximum quantity per scheduled unit (such as days or weeks) to the setting in the original profile


resource_assignment_percent_completepmtact

Earned Value

You can specify the EVT for the activity. When the Base Physical Percent Complete on Earned Value option is selected on the Progress Calculations dialog box, Open Plan uses the selected EVT to update the earned value of the activities when progress calculations are run.

You can choose from the following EVTs:

  • Level of Effort

  • Percent Complete

  • 50-50

  • 0-100

  • 100-0

  • User-Defined Percentage

  • Planning Package

  • Resource Assignment Percent Complete — This EVT allows you to enter status and calculate earned value at the resource assignment level. This option is useful when you have long activities and your resources are not spread across the entire activity. An example is when you have many resources assigned to a single work package.

There are few hard and fast rules about selecting performance measurement techniques. The general rule is to select a method that allows you to "earn how you plan." For example, if an activity spans two periods and the budget spread is $50 in the first period and $50 in the second period, you should select an EVT that, if on schedule, would allow you to earn half of the $100 budget when the activity is started and the other half when it is finished. (This scenario would most likely use the 50-50 EVT.)

50-50, 0-100, 100-0, and User-Defined Percentage EVTs are normally used on activities that span not more than 2 periods.


resource_category_filterselectresourcepopupact

Resource Category Filter

This field contains a list of resource classes that you can use to filter the hierarchy of available resources that is displayed:

  • All Resource Categories — If you select this value, Open Plan does not limit the display of available resources to those with a specific resource category. All resource categories are displayed. This is the default selection.

  • Labor — If you select this value, Open Plan displays only labor resources in the hierarchy of available resources.

  • Material — If you select this value, Open Plan displays only material resources in the hierarchy of available resources.

  • Other Direct Costs— If you select this value, Open Plan displays only other direct cost resources in the hierarchy of available resources.

  • Subcontract — If you select this value, Open Plan displays only subcontract resources in the hierarchy of available resources.

  • Skills — If you select this value, Open Plan displays those skills defined for the resource file in the Manage Skills dialog box.

Once you have selected a resource class, click Apply to filter the resource hierarchy.


resource_resource_popupact

Resource ID

Open Plan uses the resources displayed in this column for the activity.

If you hover your mouse cursor over this field, Open Plan displays the description associated with the resource.


resource_resource_progresspopupact

Resource

Each resource assigned to the activity is identified on two lines in this column.

  • On the first line, Open Plan displays the ID of the resource.

  • On the second line, Open Plan displays the description associated with the resource ID.

In addition, you can enter valid resource IDs in blank rows at the bottom of the table to indicate actual quantity and actual cost for unbudgeted resources.

You can also enter actuals on a row that does not contain a resource ID to have Open Plan roll up the actuals to the activity directly.

You cannot enter progress information for a resource for which resource progress is automatically calculated based on activity progress. (This setting is defined on the General tab of the Resource Details dialog box.)


resources_popupact

Resources

Provides information about the resources assigned to the activity.


resourcesselectresourcepopupact

Resources

This area displays a hierarchical representation of the resources in the currently assigned resource file. The resources that are displayed here change as you apply or remove a filter.

Resources that have had skills assigned to them can display in this list followed by two numbers in parentheses. For example, a resource appearing as "Bob Johnson (10) (3)" indicates that Bob Johnson has an availability of 10 units (days, hours, or whatever unit is defined on the Preferences tab of the Project Properties dialog box). It further indicates that this resource has a proficiency rating of "3." Proficiencies are assigned to resources on the Skills tab of the Resource Details dialog box.


risk_popupact

Risk

Allows you to specify the probability distribution information about the activity duration. This information is used in risk analysis calculations.


seealso_activity_details_advanced_tabact

Related Topics:

Activity Details General Tab

Activity Details Relationships Tab

Activity Details Resources Tab

Activity Details Codes Tab

Activity Details Risk Tab

Activity Details User Fields Tab

Activity Details Notes Tab

Related Procedures:

Splitting an Activity Duration

Stretching an Activity Duration

Reprofiling an Activity Duration

Assigning Immediate to an Activity

Assigning a Priority to an Activity


seealso_activity_details_codes_tabact

Related Topics:

Activity Details General Tab

Activity Details Relationships Tab

Activity Details Resources Tab

Activity Details Advanced Tab

Activity Details Risk Tab

Activity Details User Fields Tab

Activity Details Notes Tab

Related Procedure:

Assigning Codes to an Activity


seealso_activity_details_general_tabact

Related Topics:

Effort-Driven Activities

Changing an Activity Type to Effort Driven

Target Dates

Hammocks in Open Plan

Activity Details Relationships Tab

Activity Details Resources Tab

Activity Details Codes Tab

Activity Details Advanced Tab

Activity Details Risk Tab

Activity Details User Fields Tab

Activity Details Notes Tab

Using the Project Properties Preferences Tab

Working with Hierarchical Projects

Using the Options Dialog Box - Edit Tab

Related Procedures:

Creating an Activity in a Barchart View

Creating an Activity in a Network View

Creating an Activity in a Spreadsheet View

Assigning a Calendar to an Activity

Setting a Target Start Date

Setting a Target Finish Date

Using External Subprojects


seealso_activity_details_notes_tabact

Related Topics:

Activity Details General Tab

Activity Details Relationships Tab

Activity Details Resources Tab

Activity Details Codes Tab

Activity Details Advanced Tab

Activity Details Risk Tab

Activity Details User Fields Tab

Using the Manage Note Categories Dialog Box

Using the Note Category Dialog Box

Related Procedures:

Attaching a Note to an Activity

Editing an Activity Note

Deleting an Activity Note

Creating a Note Category

Editing a Note Category

Deleting a Note Category


seealso_activity_details_relationships_tabact

Related Topics:

Activity Details General Tab

Activity Details Resources Tab

Activity Details Codes Tab

Activity Details Advanced Tab

Activity Details Risk Tab

Activity Details User Fields Tab

Activity Details Notes Tab

Interproject Relationships

Using the Predecessor/Successor Spreadsheet

Related Procedures:

Creating a Relationship in a Barchart View with a Mouse

Creating a Relationship in a Barchart View with the Keyboard

Creating a Relationship in a Network View with a Mouse

Creating a Relationship in a Network View with the Keyboard

Creating a Relationship in a Spreadsheet View

Assigning a Calendar to a Relationship Lag

Creating Interproject Relationships in a Network


seealso_activity_details_resources_tabact

Related Topics:

Activity Details General Tab

Activity Details Relationships Tab

Activity Details Codes Tab

Activity Details Advanced Tab

Activity Details Risk Tab

Activity Details User Fields Tab

Activity Details Notes Tab

Using Resource Allocation

Using the Select Resource Dialog Box

Using the Spread Curve Dialog Box

Related Procedures:

Assigning Resource Requirements to an Activity

Assigning Resources in a Spreadsheet

Creating a Resource-Based Schedule


seealso_activity_details_risk_tabact

Related Topics:

Using Risk Analysis

Activity Details General Tab

Activity Details Relationships Tab

Activity Details Resources Tab

Activity Details Codes Tab

Activity Details Advanced Tab

Activity Details User Fields Tab

Activity Details Notes Tab

Using the Risk Analysis Options Tab

Using the Risk Analysis Advanced Tab

Related Procedures:

Performing Risk Analysis

Defining Probability Distributions for an Activity Duration

Displaying a Risk Histogram View

Selecting a Key Activity to Display on a Risk Histogram View


seealso_activity_details_user_fields_tabact

Related Topics:

Activity Details General Tab

Activity Details Relationships Tab

Activity Details Resources Tab

Activity Details Codes Tab

Activity Details Advanced Tab

Activity Details Risk Tab

Activity Details Notes Tab


seealso_activity_information_cost_tabact

Related Topics:

Creating and Editing Activities

Viewing Activity Information

Activity Information Schedule Tab

Related Procedures:

Creating an Activity in the Barchart View

Creating an Activity in a Network View

Editing an Activity


seealso_activity_information_schedule_tabact

Related Topics:

Creating and Editing Activities

Viewing Activity Information

Activity Information Cost Tab

Related Procedures:

Creating an Activity in the Barchart View

Creating an Activity in a Network View

Editing an Activity


seealso_adding_and_removing_auxiliary_files_from_a_master_projectact

Related Topics:

Working With Hierarchical Projects

Interproject Relationships

Characteristics of Internal Subproject Activities

Characteristics of External Subproject Activities

Using the Open External Subprojects Dialog Box

Using Auxiliary Files with External Subprojects

Saving a Master Project With a New Name

Related Procedures:

Displaying Child Activities in a Network

Displaying Multiple Levels in a Network View

Creating Child Activities in a Spreadsheet

Using External Subprojects in a Hierarchy

Creating Interproject Relationships in a Network


seealso_changing_an_activity_type_to_effort_drivenact

Related Topics:

Activity Details General Tab

Effort-Driven Activities

Related Procedures:

Defining an Activity as Effort-Driven

Changing an Effort-Driven Activity to One with a Fixed Duration


seealso_characteristics_of_external_subproject_activitiesact

Related Topics:

How a Network Displays a Hierarchy

Characteristics of Internal Subproject Activities

Using Auxiliary Files with External Subprojects

Adding and Removing Auxiliary Files from a Master Project

Related Procedures:

Using External Subprojects in a Hierarchy

Creating Interproject Relationships in a Network

Displaying Child Activities in a Network

Displaying Multiple Levels in a Network View


seealso_characteristics_of_internal_subproject_activitiesact

Related Topics:

How a Network Displays a Hierarchy

Characteristics of External Subproject Activities

Using Auxiliary Files with External Subprojects

Adding and Removing Auxiliary Files from a Master Project

Related Procedures:

Displaying Child Activities in a Network

Displaying Multiple Levels in a Network View

Using External Subprojects in a Hierarchy

Creating Interproject Relationships in a Network


seealso_creating_and_editing_activitiesact

Related Topics:

Activity Details General Tab

Activity Details Relationships Tab

Activity Details Resources Tab

Activity Details Codes Tab

Activity Details Advanced Tab

Activity Details Risk Tab

Activity Details User Fields Tab

Activity Details Notes Tab

Viewing Activity Information

Working with Hierarchical Projects

Entering Progress Information

Using the Activity Progress Activity Tab

Related Procedures:

Creating an Activity in a Barchart View

Creating an Activity in a Spreadsheet View

Creating an Activity in a Network View

Editing an Activity


seealso_defining_resource_profilesact

Related Topics:

Activity Details Resources Tab

Related Procedures:

Assigning Resource Requirements to an Activity


seealso_effort_driven_activitiesact

Related Topics:

Activity Details General Tab

Changing an Activity Type to Effort Driven

Related Procedures:

Defining an Activity as Effort-Driven

Changing an Effort-Driven Activity to One with a Fixed Duration


seealso_entering_progress_informationact

Related Topics:

Using the Activity Progress Activity Tab

Using the Activity Progress Resources Tab

Using the Activity Progress Notes Tab

Related Procedures:

Entering Activity Progress in a Barchart

Entering Activity Progress in a Dialog Box

Entering Activity Progress in a Spreadsheet

Calculating Resource Progress Based on Activity Progress


seealso_hammocks_in_open_planact

Related Topics:

Using the Edit Relationship Dialog Box

Activity Details General Tab

How a Network View Displays a Hierarchy

Related Procedures:

Setting up a Hammock

Using External Subprojects


seealso_how_open_plan_uses_progress_informationact

Related Topics:

Entering Progress Information

Using the Activity Progress Activity Tab

Using the Activity Progress Resources Tab

Using the Activity Progress Notes Tab

Using the Automatic Progress Dialog Box

Related Procedures:

Entering Activity Progress in a Barchart


seealso_inter_project_relationshipsact

Related Topics:

How a Network Displays a Hierarchy

Interproject Calculations

Characteristics of Internal Subproject Activities

Using Auxiliary Files with External Subprojects

Interproject Relationships in the Professional Edition of Open Plan

Adding and Removing Auxiliary Files from a Master Project

Related Procedures:

Creating Interproject Relationships in a Network

Creating a Relationship in a Barchart View with a Mouse

Creating a Relationship in a Barchart View with the Keyboard

Creating a Relationship in a Network View with the Keyboard

Creating a Relationship in a Network View with a Mouse

Creating a Relationship in a Spreadsheet View


seealso_interproject_relationships_in_the_professional_edition_of_open_planact

Related Topics:

How a Network Displays a Hierarchy

Characteristics of Internal Subproject Activities

Using Auxiliary Files with External Subprojects

Adding and Removing Auxiliary Files from a Master Project

Related Procedures:

Creating a Relationship in a Barchart View with a Mouse

Creating a Relationship in a Barchart View with the Keyboard

Creating a Relationship in a Network View with the Keyboard

Creating a Relationship in a Network View with a Mouse

Creating Interproject Relationships in a Network

Creating a Relationship in a Spreadsheet View


seealso_saving_a_master_project_with_a_new_nameact

Related Topics:

Characteristics of External Subproject Activities

Using Auxiliary Files with External Subprojects

Adding and Removing Auxiliary Files from a Master Project

Related Procedures:

Using External Subprojects in a Hierarchy

Creating Interproject Relationships in a Network


seealso_target_datesact

Related Topic:

Activity Details General Tab

Related Procedures:

Setting a Target Start Date

Setting a Target Finish Date


seealso_using_auxiliary_files_with_external_subprojectsact

Related Topics:

Adding and Removing Auxiliary Files from a Master Project

Characteristics of External Subproject Activities

How a Network Displays a Hierarchy

Related Procedures:

Using External Subprojects in a Hierarchy

Displaying Child Activities in a Network

Displaying Multiple Levels in a Network View


seealso_using_spread_curves_to_define_resource_assignmentsact

Related Topics:

Using the Spread Curve Dialog Box

Using the New Spread Curve Dialog Box

Using the Edit Spread Curve Dialog Box

Activity Details Resources Tab

Related Procedures:

Creating a New Spread Curve

Modifying a Spread Curve

Deleting a Spread Curve


seealso_using_the_activity_progress_activity_tabact

Related Topics:

Entering Progress Information

Using the Activity Progress Resources Tab

Using the Activity Progress Notes Tab

How Open Plan Uses Progress Information

Using the Progress Calculations Dialog Box

Related Procedures:

Entering Activity Progress in a Barchart

Entering Activity Progress in a Dialog Box

Entering Activity Progress in a Spreadsheet


seealso_using_the_activity_progress_notes_tabact

Related Topics:

Entering Progress Information

Using the Activity Progress Activity Tab

Using the Activity Progress Resources Tab

How Open Plan Uses Progress Information

Using the Automatic Progress Dialog Box

Using the Manage Note Categories Dialog Box

Using the Note Category Dialog Box

Related Procedures:

Attaching a Note to an Activity

Editing an Activity Note

Deleting an Activity Note

Creating a Note Category

Editing a Note Category

Deleting a Note Category


seealso_using_the_activity_progress_resources_tabact

Related Topics:

Entering Progress Information

Using the Activity Progress Activity Tab

Using the Activity Progress Notes Tab

How Open Plan Uses Progress Information

Using the Automatic Progress Dialog Box

Related Procedure:

Entering Resource Progress Information for an Activity


seealso_using_the_add_relationship_dialog_boxact

Related Topics:

Interproject Relationships

Using the Select Activity Dialog Box

Using the Edit Relationship Dialog Box

Related Procedures:

Creating a Relationship in a Barchart View with a Mouse

Creating a Relationship in a Barchart View with the Keyboard

Creating a Relationship in a Network View with the Keyboard

Creating a Relationship in a Network View with a Mouse

Creating a Relationship in a Spreadsheet View

Assigning a Calendar to a Relationship Lag

Creating Interproject Relationships in a Network


seealso_using_the_assign_multiple_resources_to_multiple_activities_dialog_boxact

Related Topics:

Using the Select Resource Dialog Box

Using the Find Dialog Box

Activity Details Resources Tab

Related Procedures:

Assigning Multiple Resources to Multiple Activities

Assigning Resource Requirements to an Activity

Assigning Resources in a Spreadsheet

Creating a Resource-Based Schedule


seealso_using_the_baseline_date_range_dialog_box

Related Topics:

Activity Details Resources Tab TimePhase Mode

Using Project Baselines

Using the Add Baseline Dialog Box

Using the Baselines Dialog Box

Using the Update Baseline Dialog Box

Related Procedures:

Deleting a Baseline

Selecting a Baseline

Updating a Baseline


seealso_using_the_edit_relationship_dialog_boxact

Related Topics:

Interproject Relationships

Using the Select Activity Dialog Box

Using the Add Relationship Dialog Box

Related Procedures:

Creating a Relationship in a Barchart View with a Mouse

Creating a Relationship in a Barchart View with the Keyboard

Creating a Relationship in the Network View

Editing a Relationship in the Network View

Creating a Relationship in a Spreadsheet View

Assigning a Calendar to a Relationship Lag

Creating Interproject Relationships in a Network


seealso_using_the_edit_spread_curve_dialog_boxact

Related Topics:

Using Spread Curves to Define Resource Assignments

Using the Spread Curve Dialog Box

Using the New Spread Curve Dialog Box

Activity Details Resources Tab

Related Procedures:

Creating a New Spread Curve

Modifying a Spread Curve

Deleting a Spread Curve


seealso_using_the_external_subproject_open_dialog_boxact

Related Topics:

How a Network Displays a Hierarchy

Characteristics of Internal Subproject Activities

Characteristics of External Subproject Activities

Interproject Relationships

Using Auxiliary Files with External Subprojects

Adding and Removing Auxiliary Files from a Master Project

Related Procedures:

Using External Subprojects in a Hierarchy

Creating Interproject Relationships in a Network


seealso_using_the_find_code_dialog_boxact

Related Topics:

Activity Details Codes Tab

Using the Select Code Dialog Box

Related Procedures:

Assigning Codes to an Activity


seealso_using_the_find_resource_dialog_boxact

Related Topics:

Using the Select Resource Dialog Box

Using the Assign Multiple Resources to Multiple Activities Dialog Box

Activity Details Resources Tab

Related Procedures:

Assigning Resource Requirements to an Activity

Assigning Resources in a Spreadsheet

Creating a Resource-Based Schedule


seealso_using_the_new_spread_curve_dialog_boxact

Related Topics:

Using Spread Curves to Define Resource Assignments

Using the Spread Curve Dialog Box

Using the Edit Spread Curve Dialog Box

Activity Details Resources Tab

Related Procedures:

Creating a New Spread Curve

Modifying a Spread Curve

Deleting a Spread Curve


seealso_using_the_select_activity_dialog_boxact

Related Topics:

Creating and Editing Activities

Interproject Relationships

Using the Edit Relationship Dialog Box

Using the Add Relationship Dialog Box


seealso_using_the_select_code_dialog_boxact

Related Topics:

Activity Details Codes Tab

Using the Find Code Dialog Box

Related Procedure:

Assigning Codes to an Activity


seealso_using_the_select_resource_dialog_boxact

Related Topics:

Activity Details Resources Tab

Using the Assign Multiple Resources to Multiple Activities Dialog Box

Related Procedures:

Assigning Resource Requirements to an Activity

Assigning Resources in a Spreadsheet

Creating a Resource-Based Schedule


seealso_using_the_spread_curve_dialog_boxact

Related Topics:

Using Spread Curves to Define Resource Assignments

Using the New Spread Curve Dialog Box

Using the Edit Spread Curve Dialog Box

Activity Details Resources Tab

Related Procedures:

Creating a New Spread Curve

Modifying a Spread Curve

Deleting a Spread Curve


seealso_using_the_spread_method_dialog_boxact

Related Topics:

Using Spread Curves to Define Resource Assignments

Using the New Spread Curve Dialog Box

Using the Edit Spread Curve Dialog Box

Activity Details Resources Tab

Related Procedures:

Creating a New Spread Curve

Modifying a Spread Curve

Deleting a Spread Curve


seealso_viewing_activity_informationact

Related Topics:

Creating and Editing Activities

Activity Information Schedule Tab

Activity Information Cost Tab

Related Procedures:

Creating an Activity in the Barchart View

Creating an Activity in a Network View

Editing an Activity


seealso_working_with_hierarchical_projectsact

Related Topics:

Interproject Relationships

Characteristics of Internal Subproject Activities

Characteristics of External Subproject Activities

Adding and Removing Auxiliary Files from a Master Project

Using Auxiliary Files with External Subprojects

Saving a Master Project With a New Name

Related Procedures:

Displaying Child Activities in a Network

Displaying Multiple Levels in a Network View

Creating Child Activities in a Spreadsheet

Using External Subprojects

Creating Interproject Relationships in a Network


select_allselectresourcepopupact

Select All

Clicking this button selects all the resources in the hierarchy of available resources regardless of whether the hierarchy is expanded.


separate_resourcespopupact

Separate Resources

This option controls whether Open Plan should consider members of a pool and members who share the same skill as separate resources during resource scheduling.

For example, assume the following resource pool:

If this option is selected and the resource assignment for an activity calls for 8 hours of ELEC for 5 days and a second assignment of ELEC for 5 days, Open Plan treats the two assignments separately and can schedule 8 hours of LISA and 8 hours of PAUL for each day.

On the other hand, if this option is not selected, Open Plan combines the two assignments and attempts to schedule a single resource for 16 hours a day with the following results:

  • With resource-limited resource scheduling, Open Plan will be unable to ever schedule the activity.

  • With time-limited resource scheduling, Open Plan will overload the selected resource.

This same example holds true if you are assigning resources based on a skill instead of a pool.


shape_activity_risk_popupact

Shape

This field allows you to select the shape of the probability distribution as follows:

  • Beta — probable outcomes cluster around the mode value of the distribution. Outcomes at the extreme values of the distribution are very unlikely.

  • Normal — probable outcomes cluster symmetrically around the center of the distribution.

  • Triangular — probable outcomes cluster around the mode value of the distribution. Outcomes close to minimum and maximum values of the distribution still possess a significant probability.

  • Uniform — each outcome is equally likely.

In addition, you can select None if you do not want to assign a probability distribution shape.


show_as_levelspopupact

Show As Levels

Selecting this option allows time-phased resource assignments values to be displayed and edited using a level-per-period value instead of a total-per-period value. When in this mode, the Total Qty column is disabled and used for reference only.


skill_filterselectresourcepopupact

Skill Filter

This field contains a list of skills that you can use to filter the hierarchy of available resources that is displayed:

  • < All Skills > — When selected, all resources are displayed in the Resources list, and are available for selection on the activity.

  • Specific Skills — The remaining entries in the list are the skills that have been defined for resources in your company. When you select a skill in the list, the list of available resources is updated to display only those resources possessing the selected skill.

You can select multiple skills by holding down the Ctrl or Shift keys while making a selection, in which case, the Resources list displays only those resources who possess all the selected skills.

When a skill is specified on the Resources tab of the Activity Details dialog box, that skill is selected by default on this dialog box to display only those resources who possess the selected skills.

Once you have selected a skill, click Apply to filter the resource hierarchy.


skill_idpopupact

Skill ID

Early in the project lifecycle, you may elect to specify the skills needed to complete an activity rather than asssign specific resources. When a resource is assigned to the activity at a later date, the original skill remains on record. Once you have specified a skill in this column, when you add a resource on the same row using the Select Resource dialog box, the Skill Filter is preset to the intended skill, displaying only those resources that match the skill.


splittable_exampleact

Return

Suppose that 3 units of a resource are available on January 1 and January 2. On January 3, only 1 unit of the resource is available, and on January 4 and January 5, 3 units of the resource are again available. This is illustrated in the following profile:

Normally, a 4-day activity with a requirement of 3 units per day could not be scheduled during this period since there are not 4 consecutive days in which the necessary resources are available. As a result, either the activity must be delayed or the resource availability exceeded. However, if the activity can be split, it is possible to schedule the activity in two pieces with one 2-day piece starting on January 1 and the second 2-day piece starting on January 4.


splittable_popupact

Splittable

Examples

Activity splitting allows the duration of an activity to be split into two or more pieces to permit it to be scheduled earlier than would otherwise be possible due to gaps in the availability of a required resource.

You can use two parameters to control the splitting of an activity during resource scheduling:

  • The minimum duration of an activity piece

  • The maximum number of pieces


spreadpopupact

Spread

Clicking this button displays the Spread Method dialog box that you can use to respread the total quantity over the time-phased periods.


start_date_resource_progresspopupact

Start Date

The start of the period covered by the actuals entered.

The date in this field applies to all of the resource progress records entered during the current session.


start_milestone_activity_typepopupact

Type

The activity type defines how the activity is treated during time analysis. Open Plan supports the following activity types:

  • ASAP

  • ALAP

  • Start Milestone — Open Plan uses this activity to signify the start of a project phase.

  • Finish Milestone

  • Discontinuous

  • Subproject

  • Hammock

  • Effort Driven

  • External Subproject

  • Foreign Activity

  • Foreign Subproject

  • Foreign Project


startpopupact

Start %

This field is enabled when you select User-Defined Percentage for the EVT. You can enter the starting percentage an activity earns in this field. The remainder is earned when the activity is completed.


status_popupact

Status

The status of an activity is displayed on all tabs of the Activity Details dialog box except the Notes tab.

The status of an activity can be one of the following:

  • Planned — The activity has not yet started.

  • In Progress — The activity has started, but is not yet complete.

  • Complete — The activity is complete.


stretchable_exampleact

Return

Assume that a 2-day activity with a requirement of 6 resource units per day is scheduled against a resource with an availability of only 4 units per day:

If the availability of the resource cannot be exceeded, Open Plan delays the activity. However, by stretching the duration of the activity to 3 days (4 units per day), it is possible to reduce the peak requirement of the activity enough to permit the scheduling of the activity.

(Note that the total resource requirement of the activity remains unchanged.)


stretchable_popupact

Stretchable

Examples

Activity stretching allows Open Plan to lengthen the duration of an activity during resource scheduling to reduce the peak requirements for a constraining resource. Stretching an activity can, in many cases, result in an earlier scheduled date.

To control the effects of stretching during resource scheduling, Open Plan allows you to enter a maximum duration for the activity.


subcontract_cost_acwpactivityinfocosttabpopupact

Subcontract Cost ACWP

This value represents the actual subcontract costs of the activity to date. The Subcontract Cost ACWP for the activity is stored in the ACWP_SUB field on the Activity cost table and is calculated during cost calculations based on one of the following conditions:

  • If the Actual Cost Based on Progressed Quantity option is selected on the Resource Details dialog box, Open Plan calculates this value based on the progressed quantity of the resource.

  • If the Actual Cost Based on Progressed Quantity option is cleared on the Resource Details dialog box, Open Plan calculates this value based on the values that have been entered on the Resources tab of the Activity Progress dialog box.

If the Actual Cost Based on Progressed Quantity option is selected on the Resource Details dialog box, Open Plan calculates Actual values during cost calculations.


subcontract_cost_bacactivityinfocosttabpopupact

Subcontract Cost BAC

This value represents the total subcontract costs budgeted for the activity. The Subcontract Cost BAC is stored in the BAC_SUB field in the Activity table. The manner in which this value is calculated depends on whether the Use Version 2 Cost Calculation Method option is selected on the Cost tab of the Project Properties dialog box:

  • By default, the Use Version 2 Cost Calculation Method option is cleared for new projects. In this mode, Open Plan calculates Subcontract Cost BAC by summing the values in either the original subcontract cost field (RES_CST) or the escalated subcontract cost field (RES_ESC) in the Performance Measurement Baseline (PMB) on the Baseline Usage table. The field that Open Plan uses in this calculation is determined by a setting on the Cost Calculations dialog box:

    • If the Use Resource Cost Escalation option is cleared on the Cost Calculations dialog box, Open Plan uses the RES_CST field.

    • If the Use Resource Cost Escalation option is selected on the Cost Calculations dialog box, Open Plan uses the RES_ESC field.

    By always using the PMB when it is available, Open Plan provides consistency and reliability. If there is no baseline named PMB, Open Plan uses the currently selected baseline, or, in the case of multiple selected baselines, the baseline identified as Baseline 1. If the project contains baselines, but none is selected or named PMB, Open Plan prompts you to select a baseline. If the project has no baselines, Open Plan uses the Version 2 Cost Calculation Method automatically.

  • If the Use Version 2 Cost Calculation Method option is selected, Open Plan calculates this value by summing the values in the Level field of the Assignment table adjusted for any curve, offset, and period that may be defined, and multiplying this value by the appropriate Subcontract Cost rate. The rate that Open Plan uses is determined by a setting on the Cost Calculations dialog box:

    • If the Use Resource Cost Escalation option is cleared on the Cost Calculations dialog box, Open plan uses the unit rate for all entries.

    • If the Use Resource Cost Escalation option is selected on the Cost Calculations dialog box, Open Plan uses the relevant escalated rates for each entry.


subcontract_cost_bcwpactivityinfocosttabpopupact

Subcontract Cost BCWP

This value represents the earned value of the subcontract costs of the activity. The Subcontract Cost BCWP for the activity is stored in the BCWP_SUB field on the Activity table. This value is calculated during cost calculations by summing the values in either the original subcontract cost field (BCWP_CST) or the escalated subcontract cost field (BCWP_ESC) in the Resource Cost table. The field that Open Plan uses in this calculation is determined by a setting on the Cost Calculations dialog box:

  • If the Use Resource Cost Escalation option is cleared on the Cost Calculations dialog box, Open Plan uses the BCWP_CST field.

  • If the Use Resource Cost Escalation option is selected on the Cost Calculations dialog box, Open Plan uses the BCWP_ESC field.


subcontract_cost_bcwsactivityinfocosttabpopupact

Subcontract Cost BCWS

This value represents the budgeted subcontract costs scheduled for the activity from the baseline start date of the activity until Time Now.

The Subcontract Cost BCWS is stored in the BCWS_SUB field on the Activity table and is calculated during cost calculations by summing the values in either the original Subcontract resource cost field (RES_CST) or the escalated Subcontract resource cost field (RES_ESC) in the Performance Measurement Baseline (PMB) in the Baseline Usage table from the baseline start date until Time Now. The field that Open Plan sums in this calculation is determined by a setting on the Cost Calculations dialog box:

  • If the Use Resource Cost Escalation option is cleared on the Cost Calculations dialog box, Open Plan uses the RES_CST field.

  • If the Use Resource Cost Escalation option is selected on the Cost Calculations dialog box, Open Plan uses the RES_ESC field.

By always using the PMB when it is available, Open Plan provides consistency and reliability. If there is no baseline named PMB, Open Plan uses the currently selected baseline, or, in the case of multiple baselines, the baseline identified as Baseline 1. If the project has contains baselines, but none is selected or named PMB, Open Plan prompts you to select a baseline during cost calculations. If the project has no baselines, BCWS will not be calculated.


subcontract_cost_eacactivityinfocosttabpopupact

Subcontract Cost EAC

This value represents the estimate of the total subcontract costs for the activity when it is complete. The Subcontract Cost EAC is calculated by during cost calculations adding the value stored in the estimated to complete subcontract cost field (ETC_SUB) to the value stored in the actual subcontract cost field (ACWP_SUB.) Both of these fields are located on the Activity table.

The ETC_SUB is calculated by summing the Remaining values on the Assignment table for resources that have the resource category of Subcontract.

If the Progress Based on Activity Progress option is selected on the Resource Details dialog box, Open Plan calculates Remaining values during cost calculations.

The ACWP_SUB is calculated during cost calculations based on one of the following conditions:

  • If the Actual Cost Based on Progressed Quantity option is selected on the Resource Details dialog box, Open Plan calculates this value based on the progressed quantity of the resource during cost calculations.

  • If the Actual Cost Based on Progressed Quantity option is cleared on the Resource Details dialog box, Open Plan calculates this value based on the values that have been entered on the Resources tab of the Activity Progress dialog box.


subproject_activity_typepopupact

Type

The activity type defines how the activity is treated during time analysis. Open Plan supports the following activity types:

  • ASAP

  • ALAP

  • Start Milestone

  • Finish Milestone

  • Discontinuous

  • Subproject — This activity represents a group of activities at a lower level of the same project and allows Open Plan to calculate its duration based on the durations of lower-level activities.

  • Hammock

  • Effort Driven

  • External Subproject

  • Foreign Activity

  • Foreign Subproject

  • Foreign Project


subprojectpopupact

Subproject

When the activity type is External Subproject, Open Plan displays the name of the project represented by the activity in this field.

In the Professional edition of Open Plan, you can click the ellipsis [image] button at the right edge of the Subproject edit box and select a project that will become the external subproject.


successoractivityrelationshippopupact

Successor

This column displays the ID of the successor activity (an activity that logically follows the displayed activity).

When your cursor is in this field, you can click the ellipsis at the right edge of the input field to display the Select Activity dialog box that you can use to select the successor activity.

If you hover your mouse cursor over this field, Open Plan displays the description and status of the successor activity.


suppress_requirementspopupact

Suppress Requirements

This option controls whether Open Plan should suppress resource requirements for the activity during resource scheduling.

  • If this option is selected, Open Plan does not consider the resource requirements for the activity during resource scheduling.

  • If this option is not selected, the resource requirements for the activity are taken into account during resource scheduling.


t_linearact

Resource Curve

If you leave this field blank, the amount of the resource requirement is interpreted as a level-rate-per-time unit. Thus, if the activity duration changes, the amount of the resource requirement also changes.

You can also have Open Plan interpret the resource requirement as a total requirement by selecting from the following list of standard spread curves. The spread curve you chose describes how the resource assignment should be spread through the duration of the activity.

  • B — Back Load

  • D — Double Peak

  • E — Early Peak

  • F — Front Load

  • L — Late Peak

  • N — Normal (Bell)

  • T — Linear

    • The requirement is interpreted as a total quantity allocated as evenly as possible throughout the duration.

Using the Spread Curves dialog box, you can add custom spread curves to this list. In addition, you can edit or delete any spread curve.


target_finish_fixedpopupact

Target Finish

A finish date that you impose on the activity. The target finish date affects the dates that the program calculates for activities. Entering this date is optional. Ordinarily, you will want to give Open Plan as much flexibility as possible by not setting a target finish date.

In Open Plan, you enter a target finish date using two text boxes. In the first text box, you click a target type from the following choices:

  • None

  • Not Earlier Than

  • Not Later Than

  • On Target

  • Fixed Target — Schedule the activity on the target date, regardless of the project logic. In addition, set the total float of the activity to zero. This negates the effect of any prior float in the project on subsequent activities.

In the second text box, you enter the target date.


target_finish_nepopupact

Target Finish

A finish date that you impose on the activity. The target finish date affects the dates that the program calculates for activities. Entering this date is optional. Ordinarily, you will want to give Open Plan as much flexibility as possible by not setting a target finish date.

In Open Plan, you enter a target finish date using two text boxes. In the first text box, you click a target type from the following choices:

  • None

  • Not Earlier Than — Do not schedule the activity finish earlier than this target date. This target type affects only early finish dates.

  • Not Later Than

  • On Target

  • Fixed Target

In the second text box, you enter the target date.


target_finish_nlpopupact

Target Finish

A finish date that you impose on the activity. The target finish date affects the dates that the program calculates for activities. Entering this date is optional. Ordinarily, you will want to give Open Plan as much flexibility as possible by not setting a target finish date.

In Open Plan, you enter a target finish date using two text boxes. In the first text box, you click a target type from the following choices:

  • None

  • Not Earlier Than

  • Not Later Than — Do not schedule the activity finish later than this target date. This target type affects only late finish dates. This is the default setting for target finish dates.

  • On Target

  • Fixed Target

In the second text box, you enter the target date.


target_finish_nonepopupact

Target Finish

A finish date that you impose on the activity. The target finish date affects the dates that the program calculates for activities. Entering this date is optional. Ordinarily, you will want to give Open Plan as much flexibility as possible by not setting a target finish date.

In Open Plan, you enter a target finish date using two text boxes. In the first text box, you click a target type from the following choices:

  • None — No target finish date is set.

  • Not Earlier Than

  • Not Later Than

  • On Target

  • Fixed Target

In the second text box, you enter the target date.


target_finish_onpopupact

Target Finish

A finish date that you impose on the activity. The target finish date affects the dates that the program calculates for activities. Entering this date is optional. Ordinarily, you will want to give Open Plan as much flexibility as possible by not setting a target finish date.

In Open Plan, you enter a target finish date using two text boxes. In the first text box, you click a target type from the following choices:

  • None

  • Not Earlier Than

  • Not Later Than

  • On Target — This target combines the effects of the Not Earlier Than and the Not Later Than target dates, and affects both early and late finish dates.

  • Fixed Target

In the second text box, you enter the target date.


target_finish_popupact

Target Finish

A finish date that you impose on the activity. The target finish date affects the dates that the program calculates for activities. Entering this date is optional. Ordinarily, you will want to give Open Plan as much flexibility as possible by not setting a target finish date.

In Open Plan, you enter a target finish date using two text boxes. In the first text box, you click a target type from the following choices:

  • None

  • Not Earlier Than

  • Not Later Than

  • On Target

  • Fixed Target

In the second text box, you enter the target date.


target_start_fixedpopupact

Target Start

A start date that you impose on the activity. The target start date affects the dates that the program calculates for activities. Entering this date is optional. Ordinarily, you will want to give Open Plan as much flexibility as possible by not setting a target start date.

In Open Plan, you enter a target start date using two text boxes. In the first text box, you click a target type from the following choices:

  • None

  • Not Earlier Than

  • Not Later Than

  • On Target

  • Fixed Target — Schedule the activity on the target date, regardless of the project logic. In addition, set the total float of the activity to zero. This negates the effect of any prior float in the project on subsequent activities.

In the second text box, you enter the target date.


target_start_nepopupact

Target Start

A start date that you impose on the activity. The target start date affects the dates that the program calculates for activities. Entering this date is optional. Ordinarily, you will want to give Open Plan as much flexibility as possible by not setting a target start date.

In Open Plan, you enter a target start date using two text boxes. In the first text box, you click a target type from the following choices:

  • None

  • Not Earlier Than — Do not schedule the activity start earlier than this target date. This target type affects only early start dates. This is the default setting for target start dates.

  • Not Later Than

  • On Target

  • Fixed Target

In the second text box, you enter the target date.


target_start_nlpopupact

Target Start

A start date that you impose on the activity. The target start date affects the dates that the program calculates for activities. Entering this date is optional. Ordinarily, you will want to give Open Plan as much flexibility as possible by not setting a target start date.

In Open Plan, you enter a target start date using two text boxes. In the first text box, you click a target type from the following choices:

  • None

  • Not Earlier Than

  • Not Later Than — Do not schedule the activity start later than this target date. This target type affects only late start dates.

  • On Target

  • Fixed Target

In the second text box, you enter the target date.


target_start_nonepopupact

Target Start

A start date that you impose on the activity. The target start date affects the dates that the program calculates for activities. Entering this date is optional. Ordinarily, you will want to give Open Plan as much flexibility as possible by not setting a target start date.

In Open Plan, you enter a target start date using two text boxes. In the first text box, you click a target type from the following choices:

  • None — No target start date is set.

  • Not Earlier Than

  • Not Later Than

  • On Target

  • Fixed Target

In the second text box, you enter the target date.


target_start_onpopupact

Target Start

A start date that you impose on the activity. The target start date affects the dates that the program calculates for activities. Entering this date is optional. Ordinarily, you will want to give Open Plan as much flexibility as possible by not setting a target start date.

In Open Plan, you enter a target start date using two text boxes. In the first text box, you click a target type from the following choices:

  • None

  • Not Earlier Than

  • Not Later Than

  • On Target — This target combines the effects of the Not Earlier Than and the Not Later Than target dates and affects both early and late start dates.

  • Fixed Target

In the second text box, you enter the target date.


target_start_popupact

Target Start

A start date that you impose on the activity. The target start date affects the dates that the program calculates for activities. Entering this date is optional. Ordinarily, you will want to give Open Plan as much flexibility as possible by not setting a target start date.

In Open Plan, you enter a target start date using two text boxes. In the first text box, you click a target type from the following choices:

  • None

  • Not Earlier Than

  • Not Later Than

  • On Target

  • Fixed Target

In the second text box, you enter the target date.


tfactivityrelationshippopupact

TF

This column displays the total float between the selected predecessor or successor and the displayed activity.

Total float is the maximum number of work periods by which an activity can be delayed without delaying project completion or violating a target finish date.


total_cost_acwpactivityinfocosttabpopupact

Total Cost ACWP

The value displayed in this field represents the total of the following ACWP costs for the activity:

  • Labor Cost

  • Material Cost

  • ODC (Other Direct Costs)

  • Subcontract Cost


total_cost_bacactivityinfocosttabpopupact

Total Cost BAC

The value displayed in this field represents the total of the following BAC costs for the activity:

  • Labor Cost

  • Material Cost

  • ODC (Other Direct Costs)

  • Subcontract Cost


total_cost_bcwpactivityinfocosttabpopupact

Total Cost BCWP

The value displayed in this field represents the total of the following BCWP costs for the activity:

  • Labor Cost

  • Material Cost

  • ODC (Other Direct Costs)

  • Subcontract Cost


total_cost_bcwsactivityinfocosttabpopupact

Total Cost BCWS

The value displayed in this field represents the total of the following BCWS costs for the activity:

  • Labor Cost

  • Material Cost

  • ODC (Other Direct Costs)

  • Subcontract Cost


total_cost_eacactivityinfocosttabpopupact

Total Cost EAC

The value displayed in this field represents the total of the following EAC costs for the activity:

  • Labor Cost

  • Material Cost

  • ODC (Other Direct Costs)

  • Subcontract Cost


total_floatpopupact

Total Float

Displays the total float for the activity as calculated by time analysis. This is the maximum number of work periods by which the activity can be delayed without delaying project completion or violating a target finish date.


total_labor_qtypopupact

Total Labor Qty

This summary row displays the total quantity for Labor resources for the Total Qty column and each time-phased cutoff date column.


total_qtypopupact

Total Qty

The total amount of the resource requirement. If a resource assignment exists in Normal mode, the total quantity is calculated in one of the following ways:

  • Level — The Total Quantity is the Level of the resource assignment multiplied by the Duration. For example, if you assign a resource to work 8 hours per day on a 10 day activity, the resource requirement equates to 80 hours. Now, assume that the activity actually takes 12 days. Since the resource was assigned as a level per time unit, the resource will work on the activity for a total of 96 hours.

  • Total — The Total Quantity is the Level entered spread over the duration of the activity according to the assigned spread Curve. For example, if you assign a resource to work on the same 10 day activity for a total of 80 hours, you still have a fixed 80 hours of the resource to spread over the duration of the activity regardless of whether the activity duration is 10 or 12 days.


type_popupact

Type

The activity type defines how the activity is treated during time analysis. Open Plan supports the following activity types:

  • ASAP

  • ALAP

  • Start Milestone

  • Finish Milestone

  • Discontinuous

  • Subproject

  • Hammock

  • Effort Driven

  • External Subproject

  • Foreign Project

  • Foreign Subproject

  • Foreign Activity


type_relationship_popupact

Type

Four types of relationships can exist between activities in Open Plan.

  • Finish-to-Start — Start of the successor activity depends on the completion of the predecessor activity.

  • Finish-to-Finish — Finish of the successor activity depends on the completion of the predecessor activity.

  • Start-to-Start — Start of the successor activity depends on the start of the predecessor activity.

  • Start-to-Finish — Finish of the successor activity depends on the start of the predecessor activity.

To create or change a relationship type, simply click it on the type selector list.


undoactivitypopupact

Undo

Cancels any changes on this dialog box that have not been saved using either the Apply or the Close button.


user_defined_percentagepmtact

Earned Value

You can specify the EVT for the activity. When the Base Physical Percent Complete on Earned Value option is selected on the Progress Calculations dialog box, Open Plan uses the selected EVT to update the earned value of the activities when progress calculations are run.

You can choose from the following EVTs:

  • Level of Effort

  • Percent Complete

  • 50-50

  • 0-100

  • 100-0

  • User-Defined Percentage — This EVT is a variation of the 50-50 EVT. The percentage earned at the start of the activity (1 to 99%) is defined in advance by the user by entering the percentage in the Start % field. The remainder is earned when the activity is completed. This method is best used for activities whose schedule dates span a maximum of two fiscal periods.

    • The Start % field is only enabled when you select the User-Defined Percentage EVT.

  • Planning Package

  • Resource Assignment Percent Complete

There are few hard and fast rules about selecting performance measurement techniques. The general rule is to select a method that allows you to "earn how you plan." For example, if an activity spans two periods and the budget spread is $50 in the first period and $50 in the second period, you should select an EVT that, if on schedule, would allow you to earn half of the $100 budget when the activity is started and the other half when it is finished. (This scenario would most likely use the 50-50 EVT.)

50-50, 0-100, 100-0, and User-Defined Percentage EVTs are normally used on activities that span not more than 2 periods.


user_fieldspopup

User Fields

Allows you to assign user defined fields to the activity.


Using Spread Curves to Define Resource Assignments

Spread curves allow you to define the manner in which a resource assignment is distributed over the duration of an activity. When assigning a resource to an activity, you can use the Curve field on the Resources tab of the Activity Details dialog box to select a predefined spread curve.

As shipped from Deltek, Open Plan provides the following standard spread curves:

  • B — Back Load

  • D — Double Peak

  • E — Early Peak

  • F — Front Load

  • L — Late Peak

  • N — Normal (Bell)

  • T — Linear

Through the use of the Spread Curve dialog box, you can customize this list by adding new spread curves and modifying or deleting those that have already been defined.

Be aware that modifying or deleting a spread curve that is in use by another project will affect the project the next time resource scheduling is performed or a baseline is updated.

Related Topics and Procedures


alwayszeroscrosstabletypespopupbar

Always

If you select this option, Open Plan displays zero values for all time periods in which they occur.


applies_to_bar_setprefbarattributestabpopupbar

Applies to

In most cases, the Bar Attributes tab is used to define activity bars. However, it can also be used to define baseline bars and in the case of multi-table barcharts, resource assignment and baseline bars as well.


background_colorbarchart

Background Color

Specify the background color of the Tornado Chart heading.


bar_appearancebarchart

Bar Appearance

Use the options in this section to specify the appearance of the bars on the barchart. You can specify the fill color, outline color, and pattern of the bars.


bar_setbar_setprefbarattributestabpopupbar

Bar Set

This field controls the bar set to which the bars belong:

  • If you have displayed the Bar Attributes tab by clicking New on the Bar Sets dialog box, this field is blank, allowing you to enter a name for the bar set.

  • If you have displayed the Bar Attributes tab by selecting a bar set on the Bar Sets dialog box and clicking Copy, this field displays the name of the currently selected bar set as Copy_<bar set name>, where <bar set name> is the name of the bar set you are copying. You can, however, type over this information to provide a new name for the bar set that you are creating.

  • If you have displayed the Bar Attributes tab by selecting a bar set on the Bar Sets dialog box and clicking Copy, this field displays the name of the currently selected bar set. Under this circumstance, you cannot modify the name that is displayed.


bar_typebar

Bar Type

You can enter any text to describe what the bar represents. Open Plan displays this information as the Bar Type in the Bar Attributes tab.


bar_typepopupbar

Bar Type

You can select a bar type from a list of those provided by Open Plan as well as from those defined using the Bar Types dialog box.

To edit a currently defined bar type or to create a new bar type, click the Bar Types button. Open Plan displays any new bar that you create in the Bar Type list. You must, then, select the new bar in this column in order to have Open Plan display it in the barchart view.


bar_typepreferencescrosstabletabpopupbar

Crosstable Type

You can choose a bar type from a list of those provided by Open Plan as well as from those defined using the Crosstable Types dialog box.

To edit a currently defined bar type or to create a new bar type, click the Crosstables button. Open Plan displays any new bar that you create in the Crosstable Type list. You must, then, select the new bar in this column in order to have Open Plan display it in the multi-table barchart view.


barchart_legendbar

Barchart Legend

Use the Print Preview command to display the barchart legend.


barpopupbar

Bar

Bars can be represented by three different forms:

The open bar is the default bar form. This option is most commonly used to display the entire duration regardless of the work status of any period.

The segmented bar shows non-work days as gaps between the work periods.

The necked bar shows non-work periods as necks between work segments.

You can also select No Bar as a bar form. This option is most commonly used to define a bar that will be used for milestone activities.

In order for the segmented bar and the necked bar to display non-work periods, the date scale must be set to an appropriate level of granularity. For example, in order for a non-work week to be identified, the smallest level on the date scale must be no greater than weeks. Similarly, in order for a non-work day to be identified, the smallest level on the date scale must be no greater than days.


bartypetextlayoutbar

Bar Type

This column displays the name of the bar to which this text belongs.


blank_buttonbar

Blank Button

On an activity or multi-project barchart, this button indicates that the activity is not a subproject.

On a resource barchart, this button indicates that the resource is not a resource pool.


calculate_costevdetailspopupbar

Calculate Cost

When this option is selected, Open Plan displays value information in terms of base unit costs. Depending on the Values For option selected, the values may represent an average, a cumulative total, or an incremental value for the period defined by the date unit.


calculate_costrescostdetailspopupbar

Calculate Cost

When this option is selected, calculations for the resource bars are based on unescalated costs.

Depending on the Values For option selected, the values may represent an average, a cumulative total, or an incremental value for the period defined by the date unit.


calculate_escalated_costevdetailspopupbar

Calculate Escalated Cost

When this option is selected, Open Plan displays value information in terms of escalated costs. Depending on the Values For option selected, the values may represent an average, a cumulative total, or an incremental value for the period defined by the date unit.


calculate_escalated_costrescostdetailspopupbar

Calculate Escalated Cost

When this option is selected, calculations for the resource bars are based on escalated costs.

Depending on the Values For option selected, the values may represent an average, a cumulative total, or an incremental value for the period defined by the date unit.


calculate_quantityevdetailspopupbar

Calculate Quantity

When this option is selected, Open Plan displays value information in terms of resource units. Depending on the Values For option selected, the values may represent an average, a cumulative total, or an incremental value for the period defined by the date unit.


calculate_quantityrescostdetailspopupbar

Calculate Quantity

When this option is selected, each bar displays the quantity of resource units assigned or used.

Depending on the Values For option selected, the values may represent an average, a cumulative total, or an incremental value for the period defined by the date unit.


calculatebarchart

Calculate

Click this button to size the heading scale to fit the selected data.


colorbarchart

Color

Select the color of the text, if any, that appears next to the barchart bars.


copybar_setspopupbar

Copy

When you click this button, the Bar Attributes tab of the Bar Set Preferences dialog box that is displayed contains the information for the selected bar set.

To copy this bar set, you need only to enter a new name in the Bar Set field of this tab.

In addition to providing a new name to the bar set you are copying, you can also make modifications to the bars in the set.


criterionpopupbar

Criterion

The criterion of a bar refers to a predefined expression that determines whether the attributes you are defining are displayed. You can set the criterion to any filter. This allows you to use the bar attributes to display very different types of information. The bar type, pattern, outline, fill, and bar end symbols can each be set to display a different type of information.

You select the criterion from a list containing:

  • Filter expressions supplied with Open Plan

  • Custom filters

If the criterion field is left blank, Open Plan always displays the bar.

You can select the filter from the list, or you can click the ellipsis button to display the Filters dialog box. You can use the Filters dialog box to modify an existing filter or create a new one.


crosstable_typespreferencescrosstabletabpopupbar

Crosstable Types

This dialog box allows you to maintain a list of bar types that can be displayed in multi-table barchart views.


data_rangebarchart

Data Range

Enter the upper and lower limits of the numeric range you wish to display on the barchart heading.

You can enter any range, but if you click the Calculate button, the scale is set to the minimum size that will contain the data in the current sort column.


dates_on_earned_value_barscrosstabletypespopupbar

Dates on Earned Value Bars

For earned value bars, you can select from the following types of values:

  • Forecast — Displays the forecast cost calculated by adding any actual costs prior to Time Now to any planned costs subsequent to Time Now.

  • BCWS — Displays the budgeted cost of work scheduled derived from the planned resource budget stored in the current baseline for the project. This budget may be based on early, late, or scheduled dates, depending on the dates used to create the baseline.

  • ACWP — Displays the actual cost of work performed based on the actual costs recorded for the resource.

  • BCWP — Displays the budgeted cost of work performed calculated by applying the value for the physical completion of the activity to the corresponding portion of the planned resource budget.


dates_on_resource_barscrosstabletypespopupbar

Dates on Resource Bars

For resource bars, you can select from the following types of dates:

  • Early dates — Displays assignments of the resource based on the early dates calculated by time analysis.

  • Late dates — Displays assignments of the resource based on the late dates calculated by time analysis.

  • Schedule dates — Displays assignments of the resource based on the scheduled dates calculated by resource scheduling.

  • Baseline 1, 2, and/or 3 dates — Displays assignments of the resource using the dates (early, late, or scheduled) selected at the time you created the baseline(s) currently attached to the project.

  • Actual dates — Displays actual resource usage based on resource progress information.

  • Availability — Displays the availability of the resource.


decimalsbarchart

Decimals

If a numeric field is defined as a non-currency field, you can use this option to specify that Open Plan will display 0, 1, or 2 decimal places.


deletebar_setspopupbar

Delete

Clicking this button deletes the selected bar set. Before actually performing the action, however, Open Plan asks that you confirm the deletion.


displaying_a_barchart_viewbar

On the Views folder of an open project, double-click the barchart view.


displaying_the_bar_set_preferences_bar_attributes_tabbar

To display the Bar Set Preferences Bar Attributes tab:

  1. On the Tools menu, click Bar Sets.

  2. On the Bar Sets dialog box, click one of the following buttons:

    • New

    • Copy

    • Edit

  3. On the Bar Set Preferences dialog box, click the Bar Attributes tab.


displaying_the_bar_set_preferences_crosstable_tabbar

To display the Bar Set Preferences Crosstable tab:

  1. On the Tools menu, click Bar Sets.

  2. From the list on the Bar Sets dialog box, select Multi-table Bar Sets.

  3. Click one of the following buttons:

    • New

    • Copy

    • Edit

  4. On the Bar Set Preferences dialog box, click the Crosstable tab.


displaying_the_bar_set_preferences_dialog_boxbar

To display the Bar Set Preferences dialog box:

  1. On the Tools menu, click Bar Sets.

  2. In the Bar Sets dialog box, take one of the following actions:

    • Click New.

    • Select a bar set from the list that is displayed, and click Edit.


displaying_the_bar_sets_dialog_boxbar

To display the Bar Sets dialog box, click Bar Sets on the Tools menu.

While it is not necessary to display a barchart in order to access the Bar Sets dialog box, a barchart view must be open in order to apply a bar set to the view.


displaying_the_bar_types_dialog_boxbar

To access the Bar Types dialog box, display the Bar Attributes tab of the Bar Set Preferences dialog box and click Bar Types.


displaying_the_barchart_preferences_dialog_boxbar

To display the Barchart Preferences dialog box from a barchart view, do either of the following:

  • Click Barchart Preferences on the Tools menu.

  • Right-click the view and click Preferences on the context menu.


displaying_the_crosstable_types_dialog_boxbar

To display the Crosstable Types dialog box, click Crosstable on the Crosstable tab of the Bar Set Preferences dialog box.


displaying_the_earned_value_details_dialog_boxbar

To display the Earned Value Details dialog box:

  1. Display the Crosstable tab of the Bar Set Preferences dialog box.

  2. Select the option to show Earned Value.

  3. Click the Details button.


displaying_the_numeric_axis_preferences_dialog_boxbarchart

To access the Numeric Axis Preferences dialog, right-click in the barchart heading area of the Tornado Chart view and select Numeric Axis Preferences.


displaying_the_numeric_barchart_preferences_dialog_box

To access the Numeric Barchart Preferences dialog, right-click in the main body of the Tornado Chart view and select Preferences.


displaying_the_resource_cost_details_dialog_boxbar

To display the Resource/Cost Details dialog box:

  1. Display the Crosstable tab of the Bar Set Preferences dialog box.

  2. Select the option to show Resource.

  3. Click the Details button.

The Crosstable tab is available only on multi-table barcharts. This tab controls both the type of time-phased data to be displayed on the view and the attributes of the bars used for the display.


displaying_the_text_layout_dialog_boxbar

To access the Text Layout dialog box, display the Bar Attributes tab of the Bar Set Preferences dialog box and click Text Layout.


displaying_the_tornado_viewbarchart

To display the Tornado View, open the Views folder for any project with the view assigned, and double-click Tornado View.

If the Tornado View is not assigned to the project, open the Views folder in the Open Plan Library folder, locate the Tornado View, and drag it to the Views folder on the specific project.


don_t_show_subproject_activitiesbarchart

Don't Show Subproject Activities

Select this option to display only the activities from a primary project. Subproject activities are suppressed.


dragpopupbar

Drag

If enabled, this option allows you to quickly change the target start, duration, or percent complete information by using the mouse to modify bars in a barchart view while in bar data mode. When you set this field to Yes for one bar type, Open Plan automatically sets the field to No for each of the other bar types. The default for this column is No.


earned_value_detailspreferencescrosstabletabpopupbar

Earned Value Details

This dialog box allows you to specify whether Open Plan should display total values or values that are calculated for a period. In addition, you can choose to have Open Plan calculate values for quantity, cost, or escalated cost based on early dates, late dates, or scheduled dates. You can also specify the scale factor that Open Plan should use when displaying the data.


editbar_setspopupbar

Edit

When you click this button, the Bar Attributes tab of the Bar Set Preferences dialog box that is displayed contains the information for the selected bar set.

The name of the bar set is the only information on this tab that you cannot change.


field_name_textbarchart

Field Name (Text based on)

You may choose to display information next to the barchart bars other than the field on which the barchart is based. Once you have selected the appropriate Activity table in the Select From list, you may select the appropriate field from that table.

This is useful when you want to display information related to the field being plotted, but not necessarily the actual data (e.g., a comment).


field_namebarchart

Field Name (Bars based on)

Select the numeric field that you want to display as bars on the Tornado Chart view. You can select any numeric field from the Activity table, including baseline numeric fields.


fieldtextlayoutbar

Field

This column controls the text that Open Plan displays with a bar. You can select a field to be displayed from a list.


fillpopupbar

Fill

For each bar, you can select a fill color from a standard palette of 48 colors and up to 16 predefined custom colors.


finish_to_finishbar

Finish-to-Finish

This relationship specifies that the finish of the successor activity depends on the completion of the predecessor activity.

In most cases, this means that the successor activity cannot be completed before the completion of the predecessor activity.

In the finish-to-finish relationship, the arrow starts at the right edge of the predecessor activity and ends at the right edge of the successor.


finish_to_startbar

Finish-to-Start

This relationship specifies that the start of the successor activity depends on the completion of the predecessor activity.

In most cases, this means that the successor activity cannot start until the predecessor activity is completed.

In the finish-to-start relationship, the arrow starts at the right edge of the predecessor activity and ends at the left edge of the successor.


finishpopupbar

Finish

You can select any date field to control the ending position of the bar. While Finish is usually represented by a date field, you can also use it to represent a calculated field that evaluates to a date value. The default entry for Finish is Early Finish.


font_buttonbarchart

Font button

Specify the font used for the marker interval labels.


fontbarchart

Font

Select the font of the text, if any, that appears next to the barchart bars.


fontpopupbar

Font

This column controls the typeface and size of the font of the text displayed in and around the bar. The ellipsis button to the right of the font edit box displays the Font dialog box where you can make your font selection.


formattingbarchart

Formatting

Select the formatting for the numeric field data from this list. In addition to the default selection, which picks up the characteristics of the selected field, you can define data as dollars, percentages, or plain numbers, and specify whether or not to use commas (e.g., 1,000). With percentages and dollars, you may opt to display decimal places.


frombarchart

(Data Range) From

Enter the beginning of the desired data range you wish to display on the barchart heading.


heightbar

Height

This option specifies the height of the bar. The value that you enter is measured in hundredths of an inch for printed reports. The default value for this column is the height of the bar above it on the list.


ignorezeroscrosstabletypespopupbar

Ignore

If you select this option, Open Plan ignores all zero values.


keypopupbar

Key

An activity on the barchart may be represented by any number of activity bars. However, Open Plan draws relationship lines from only a single bar. This column controls the bar type from which relationship lines should be drawn. When you set this field to Yes for one bar type, Open Plan automatically sets the field to No for each of the other bar types.


labelpopupbar

Label

You can enter a label to describe the criteria that must be met in order for the bar to display. For example, you might label a particular set of bar attributes as "Critical in-progress." These labels are used in the legend.


labelpreferencescrosstabletabpopupbar

Label

You can enter a label that is displayed in the legend to describe the criteria you are defining. For example, you might label a particular set of bar attributes as "Average Resource Cost."


left_symbolpopuplbar

Left

You can select any symbol to be used on the left edge of the bar from a list of predefined and custom symbols. These symbols are standard Windows metafiles that can be generated in many Windows graphics packages and imported using the Manage Symbols dialog box.


marker_intervalbarchart

Marker Interval

Enter the frequency with which marker labels will display on the barchart heading. For example, enter "5" to set the main intervals at 0, 5, 10, 15, and so on.


minor_ticks_per_marker_intervalbarchart

Minor Ticks per Marker Interval

With the Show Minor Tick Marks option enabled, specify the number of minor marks to display between the marker intervals on the Tornado Chart heading.


minus_buttonbar

Minus Button

On an activity or multi-project barchart, this button indicates that the activity is an expanded subproject.

On a resource barchart, this button indicates that the resource is an expanded resource pool.


newbar_setspopupbar

New

Clicking this button displays the Bar Attributes tab of the Bar Set Preferences dialog box. You can use this tab to define a new bar set.


offsetbar

Offset

This option specifies the position of the bar as measured from the top of a row. The value that you enter is measured in hundredths of an inch for printed reports. The default value for this column is the offset of the bar above it on the list.


outlinepopupbar

Outline

You can select a color to be used for the bar border from a standard palette of 48 colors and up to 16 predefined custom colors. Open Plan also uses the color you select for the lines that form your selected fill pattern.


outlinepreferencescrosstabletabpopupbar

Outline

You can select a color to be used for the text displayed on the bar from a standard palette of 48 standard colors and up to 16 additional custom colors.


patternpopupbar

Pattern

You can select a fill pattern for the bar from the list. However, Open Plan displays the pattern you choose only when the bar height is sufficiently large.


plus_buttonbar

Plus Button

On an activity or multi-project barchart, this button indicates that the activity is an unexpanded subproject.

On a resource barchart, this button indicates that the resource is an unexpanded resource pool.


positiontextlayoutbar

Position

This column controls where Open Plan displays the text associated with a bar. The following diagram illustrates where these positions are located.

1 – Left top

2 – Left middle

3 – Left bottom

4 – Center left top

5 – Center left middle

6 – Center left bottom

7 – Center top

8 – Center middle

9 – Center bottom

10 – Center right top

11 – Center right middle

12 – Center right bottom

13 – Right top

14 – Right middle

15 – Right bottom

The numbers in the diagram are for identification purposes only. They do not appear in the Text Layout dialog box.


resource_cost_detailspreferencescrosstabletabpopupbar

Resource/Cost Details

This dialog box allows you to specify whether Open Plan should display average values, total values, or values that are calculated for a period. In addition, you can select to have Open Plan calculate values for quantity, cost, or escalated cost. You can also specify the scale factor that Open Plan should use when displaying the data.


restrictedzeroscrosstabletypespopupbar

Restricted

If you select this option, Open Plan displays zero values for only the time period represented by the bar.


right_symbolpopupbar

Right

You can select any symbol to be used on the right edge of the bar from a list of predefined and custom symbols. These symbols are standard Windows metafiles that can be generated in many Windows graphics packages and imported using the Manage Symbols dialog box.

Open Plan uses the right edge symbol for milestone activities.


see_also_using_the_numeric_axis_preferences_dialog_boxbarchart

Related Topics:

Using the Numeric Barchart Preferences Dialog Box

Spreadsheet Preferences - Options Tab

Using the Barchart Preferences Dialog Box

Related Procedures:

Customizing Display Options

Sorting the Data in a Spreadsheet


seealso_bar_set_preferences_bar_attributes_tabbar

Related Topics:

Using the Barchart Preferences Dialog Box

Bar Set Preferences Crosstable Tab

Customizing a Barchart View

Using the Bar Types Dialog Box

Using the Text Layout Dialog Box

Related Procedures:

Defining Activity Bar Attributes

Creating a New Bar Type

Changing the Row Height on a Barchart


seealso_bar_set_preferences_crosstable_tabbar

Related Topics:

Customizing a Barchart View

Using the Barchart Preferences Dialog Box

Bar Set Preferences Bar Attributes Tab

Related Procedures:

Defining Crosstable Bars

Displaying Resource Assignments on a Barchart


seealso_barchart_viewbar

Related Topics:

How a Barchart Displays Information

Customizing a Date Scale

Customizing a Barchart View

Creating and Editing Activities

Using the Edit Relationship Dialog Box

Working with Activities in a Barchart View

Related Procedures:

Creating an Activity in a Barchart View

Editing an Activity

Creating a Relationship in a Barchart View with a Mouse

Creating a Relationship in a Barchart View with the Keyboard


seealso_customizing_a_barchart_viewbar

Related Topics:

Using the Barchart Preferences Dialog Box

Bar Set Preferences Bar Attributes Tab

Bar Set Preferences Crosstable Tab

Customizing a Date Scale

Customizing a Spreadsheet View

Customizing a Resource Histogram View

Related Procedures:

Displaying Relationships on a Barchart View

Highlighting Controlling Relationships in a Barchart View

Defining Activity Bar Attributes

Creating a New Bar Type


seealso_how_a_barchart_displays_informationbar

Related Topics:

Customizing a Barchart View

Working with Activities in a Barchart View

Related Procedures:

Creating an Activity in a Barchart View

Editing an Activity

Creating a Relationship in a Barchart View with a Mouse

Creating a Relationship in a Barchart View with the Keyboard

Changing Splitter Panes


seealso_tornado_viewbarchart

Related Topics:

Using the Numeric Axis Preferences Dialog Box

Using the Numeric Barchart Preferences Dialog Box

Related Procedures:

Sorting the Data in a Spreadsheet


seealso_using_the_bar_set_preferences_dialog_boxbar

Related Topics:

Bar Set Preferences Bar Attributes Tab

Bar Set Preferences Crosstable Tab

Related Procedures:

Defining Activity Bar Attributes

Creating a New Bar Type


seealso_using_the_bar_sets_dialog_boxbar

Related Topics:

Using the Bar Set Preferences Dialog Box

Bar Set Preferences Bar Attributes Tab

Bar Set Preferences Crosstable Tab

Customizing a Date Scale

Related Procedures:

Displaying Relationships on a Barchart View

Highlighting Controlling Relationships in a Barchart View

Defining Activity Bar Attributes

Creating a New Bar Type


seealso_using_the_bar_types_dialog_boxbar

Related Topics:

Using the Barchart Preferences Dialog Box

Customizing a Barchart View

Using the Text Layout Dialog Box

Bar Set Preferences Bar Attributes Tab

Related Procedures:

Creating a New Bar Type

Changing the Row Height on a Barchart

Changing a Milestone Symbol

Adding Custom Symbols


seealso_using_the_barchart_preferences_dialog_boxbar

Related Topics:

Bar Set Preferences Bar Attributes Tab

Bar Set Preferences Crosstable Tab

Customizing a Date Scale

Customizing a Spreadsheet View

Customizing a Resource Histogram View

Related Procedures:

Displaying Relationships on a Barchart View

Highlighting Controlling Relationships in a Barchart View

Defining Activity Bar Attributes

Creating a New Bar Type


seealso_using_the_crosstable_types_dialog_boxbar

Related Topics:

Bar Set Preferences Crosstable Tab

Using the Resource Cost Details Dialog Box

Using the Earned Value Details Dialog Box

Related Procedures:

Defining Crosstable Bars

Displaying Resource Assignments on a Barchart


seealso_using_the_earned_value_details_dialog_boxbar

Related Topics:

Bar Set Preferences Crosstable Tab

Using the Crosstable Types Dialog Box

Using the Resource Cost Details Dialog Box

Related Procedures:

Defining Crosstable Bars


seealso_using_the_numeric_barchart_preferences_dialog_boxbarchart

Related Topics:

Using the Numeric Axis Preferences Dialog Box

Spreadsheet Preferences - Options Tab

Using the Barchart Preferences Dialog Box

Related Procedures:

Customizing Display Options

Sorting the Data in a Spreadsheet


seealso_using_the_resource_cost_details_dialog_boxbar

Related Topics:

Bar Set Preferences Crosstable Tab

Using the Crosstable Types Dialog Box

Using the Earned Value Details Dialog Box

Related Procedures:

Defining Crosstable Bars


seealso_using_the_text_layout_dialog_boxbar

Related Topics:

Using the Bar Types Dialog Box

Bar Set Preferences Bar Attributes Tab

Bar Set Preferences Crosstable Tab

Using the Barchart Preferences Dialog Box

Customizing a Barchart View

Related Procedures

Defining Crosstable Bars

Displaying Resource Assignments on a Barchart

Defining Activity Bar Text Layout


seealso_working_with_activities_in_a_barchart_viewbar

Related Topics:

Using Clipboard Operations

How a Barchart Displays Information

Using the Find Dialog Box

Using the Go To Date Dialog Box

Using the Sorts Dialog Box

Using the Filters Dialog Box

Related Procedures:

Displaying Relationships in a Barchart

Creating a Relationship in a Barchart View with a Mouse

Creating a Relationship in a Barchart View with the Keyboard

Setting a Target Start Date

Changing the Duration of an Activity

Entering Activity Progress in a Barchart


select_frombarchart

Select From

You may choose to display information next to the barchart bars other than the field on which the barchart is based. This field is used to select the particular Activity table that contains the desired field.


show_full_gridbarchart

Show Full Grid

Select this option to enable the display of vertical grid lines in the barchart area of the Tornado Chart at the selected marker intervals.


show_minor_tick_marksbarchart

Show Minor Tick Marks

Select this option to show minor tick marks on the Tornado Chart heading.


show_only_positive_valuesbarchart

Show Only Positive Values

Select this option to suppress any non-positive values (including zero values) in the display.


show_text_after_barbarchart

Show Text After Bar

Select this option to display the data that the bar represents just to the right of the bar.

You may also choose to display information next to the barchart bars other than the field on which the barchart is based by selecting a different field in the Field Name selection list in the Text Appearance section.


sort_on_this_fieldbarchart

Sort on this Field

Select this option to sort the spreadsheet view in descending order by the selected field. When cleared, the spreadsheet defaults to sorting by the Activity ID. If the sort selection is changed by clicking the heading of another column in the spreadsheet area, this option is cleared.


start_to_finishbar

Start-to-Finish

This relationship specifies that the finish of the successor activity depends on the start of the predecessor activity.

In most cases, this means that the successor activity cannot be completed before the start of the predecessor activity.

In the start-to-finish relationship, the arrow starts at the left edge of the predecessor activity and ends at the right edge of the successor.


start_to_startbar

Start-to-Start

This relationship specifies that the start of the successor activity depends on the start of the predecessor activity.

In most cases, this means that the successor activity cannot be started before the start of the predecessor activity.

In the start-to-start relationship, the arrow starts at the left edge of the predecessor activity and ends at the left edge of the successor.


startbar

Start

You can select any date field to control the starting position of the bar. While Start is usually represented by a date field, you can also use it to represent a calculated field that evaluates to a date value. The default entry for Start is Early Start.


text_colorbarchart

Text Color

Specify the color of the text labels, marker intervals, and minor tick marks in the Tornado Chart heading.


textpopupbar

Text

This column controls the color of the text displayed in and around the bar. The down arrow at the right edge of the text edit box displays a color selector containing 48 colors from which you can choose.


tobarchart

(Data Range) To

Enter the upper end of the data range you wish to display on the barchart heading.


values_for_averagerescostdetailspopupbar

Values for Average

When this option is selected, each bar represents the average value for the default duration unit used by the project. Open Plan calculates this average over the smallest time unit displayed on the date scale and uses the resource calendar of the first available record to determine valid working periods. If no resource calendar is available, then the default project calendar is used. (If you have not assigned a calendar to the project, Open Plan assumes a 5-day, 40-hour work week.)

Depending on the Calculate option selected, the displayed value may represent a quantity, unescalated cost, or escalated cost.


values_for_periodevdetailspopupbar

Values for Period

When this option is selected, each bar represents the incremental value for the smallest unit displayed on the date scale. Depending on the Calculate option selected, the value may represent a quantity, unescalated cost, or escalated cost.


values_for_periodrescostdetailspopupbar

Values for Period

When this option is selected, each bar represents the value for the smallest time unit displayed on the date scale.

Depending on the Calculate option selected, the displayed value may represent a quantity, unescalated cost, or escalated cost.


values_for_totalevdetailspopupbar

Values for Total

When this option is selected each bar represents the cumulative value. Depending on the Calculate option selected, the value may represent a quantity, unescalated cost, or escalated cost.


values_for_totalrescostdetailspopupbar

Values for Total

When this option is selected each bar represents a cumulative resource value.

Depending on the Calculate option selected, the displayed value may represent a quantity, unescalated cost, or escalated cost.


visibilitycrosstablebar

Visibility

You can specify the conditions under which the bar appears in the bar display area of the view. This setting can have one of five values:

  • All levels of rollup and detail — The bar is visible for all activities, both detail and summarized.

  • Detail and immediate rollup level — The bar is visible for both detail activities and for activities summarized to the level immediately above the detail level.

  • Detail level only — The bar is visible only for activities at the lowest level in the project hierarchy.

  • Immediate rollup level only — The bar is visible only for activities summarized to the level immediately above the detail level.

  • Not visible — The bar is not displayed.


visibilitypopupbar

Visibility

You can specify the conditions under which the bar appears in the bar display area of the view. This setting can have one of six values:

  • All levels of rollup and detail — The bar is visible for all activities, both detail and summarized.

  • Detail and immediate rollup level — The bar is visible for both detail activities and for activities summarized to the level immediately above the detail level.

  • Detail level only — The bar is visible only for activities at the lowest level in the project hierarchy.

  • Immediate rollup level only — The bar is visible only for activities summarized to the level immediately above the detail level.

  • Not visible — The bar is not displayed.

  • Subsection summary only — Visible only for the summary lines of a subsection. If outlining is turned on, this setting has no effect.


acceptpopupcalc

Accept

You can accept the resource suggested by Open Plan.

If Open Plan suggests the alternate resource, Accept has the effect of exchanging the requested resource and the suggested resource. The suggested resource replaces the requested resource, and the originally requested resource becomes the alternate resource.

Unless you choose to lock the requested resource, Open Plan may suggest either the requested resource or the alternate resource the next time you perform resource scheduling.


activity_informationcalc

Activity Information

In addition to early dates, late dates, and float, the time analysis calculations in Open Plan provide the following information about each activity in the project:

  • Computed remaining duration of the activity

  • Computed status of the activity as planned, in-progress, or complete

  • A flag for the following activity types:

    • Start activity — an activity without predecessors

    • Finish activity — an activity without successors

    • Isolated activity — an activity with neither predecessors nor successors

    • Start/finish activity — A activity that has successors only from its start and/or predecessors only from its finish

  • One of the following indications of the activity's criticality:

    • Not critical

    • Critical — total float less than or equal to zero

    • Most critical — total float equal to the smallest value for the project

    • Controlling critical — potentially critical but has float due to calendars


activity_is_completeprogress_and_duration_probabilitypopupcalc

The Activity is Complete

If an activity is complete, the remaining duration of the activity is considered to be zero. There is no need to sample from the original duration probability distribution.


activity_types_flagged_during_time_analysis_finish_activitypopupcalc

Information Provided About Each Subproject

  • A flag for the following activity types:

    • Start activity

    • Finish activity — A subproject without successors

    • Isolated activity

    • Start/finish activity

  • One of the following indications of the subproject's criticality:

    • Not critical

    • Critical

    • Most critical

    • Controlling critical


activity_types_flagged_during_time_analysis_isolated_activitypopupcalc

Information Provided About Each Subproject

  • A flag for the following activity types:

    • Start activity

    • Finish activity

    • Isolated activity — A subproject with neither predecessors nor successors

    • Start/finish activity

  • One of the following indications of the subproject's criticality:

    • Not critical

    • Critical

    • Most critical

    • Controlling critical


activity_types_flagged_during_time_analysis_start_activitypopuopcalc

Information Provided About Each Subproject

  • A flag for the following activity types:

    • Start activity — A subproject without predecessors

    • Finish activity

    • Isolated activity

    • Start/finish activity

  • One of the following indications of the subproject's criticality:

    • Not critical

    • Critical

    • Most critical

    • Controlling critical


activity_types_flagged_during_time_analysis_start_finish_activitypopupcalc

Information Provided About Each Subproject

  • A flag for the following activity types:

    • Start activity

    • Finish activity

    • Isolated activity

    • Start/finish activity — A subproject that has successors only from its start and/or predecessors only from its finish

  • One of the following indications of the subproject's criticality:

    • Not critical

    • Critical

    • Most critical

    • Controlling critical


actual_costpopupcalc

Actual Cost

This option controls whether Open Plan should calculate the actual costs for resources that are assigned to each progressed activity in the project.

Open Plan calculates actual costs for only those resources that have the Actual Cost Based on Progressed Quantity option selected on the Resource Details dialog box.

When this option is selected, Open Plan populates the following fields on the activity table:

Name | Field Name
Labor Actual Cost | ACWP_LAB
Material Actual Cost | ACWP_MAT
Subcontractors Actual Costs | ACWP_SUB
Other Direct Costs Actual Costs | ACWP_ODC
Labor Actual Quantity | ACWP_QTY


actual_date_optiontaoptionpopupcalc

Actual Date Option

If this option is selected (the default), Open Plan displays actual dates of in-progress and complete activities (instead of calculated early and late dates) on dialog boxes and views. This does not, however, affect the time analysis calculations.

To have Open Plan display the calculated early and late dates, regardless of activity status, clear this option.


alternatepopupcalc

Alternate

This column displays the ID of the resource currently defined as the alternate resource for the activity.

If you hover your mouse cursor over the ID, Open Plan displays the description of the resource as a tool tip.

If this is the first time you are performing resource allocation on the activity, the alternate resource is the resource originally identified as an acceptable alternate if the requested resource is unavailable.

If you have previously performed resource allocation on the activity, the alternate resource may be so identified as a result of your action at that time. (It is very possible for an alternate resource to have originally been identified as a requested resource.)


analyze_each_time_data_changestaoptionpopupcalc

Analyze Each Time Data Changes

This option enables automatic time analysis. If selected, Open Plan automatically calculates time analysis whenever you make a date-related change to the project.


based_on_datesautomaticprogresspopupcalc

Based on Dates

You can specify which of the types of dates Open Plan should use in performing the calculations:

  • Early Dates

  • Late Dates

  • Scheduled Dates

  • Baseline Dates


Beta Distribution

Return

Depending on how the distribution is defined, there are a number of ways of representing asymmetrical probability. However, for the purposes of Open Plan, a family of distributions known as beta distributions is used.

The beta distribution, like the triangular distribution, is primarily used to describe asymmetrical probability. However, a beta distribution differs from triangular distribution since its shape effectively precludes outcomes at the extremes of the distribution from having any significant probability. By contrast, a triangular distribution allows for a significant probability for outcomes at the extreme limits of the range, no matter how much the distribution is skewed.


budget_costpopupcalc

Budget Cost

This option controls whether Open Plan should calculate the budgeted costs for the resources assigned to each activity in the project. When this option is selected, Open Plan populates the following fields on the activity table:

Name | Field Name
Activity Budget Cost | BAC
Labor Budget Cost | BAC_LAB
Material Budget Cost | BAC_MAT
Subcontractors Budget Costs | BAC_SUB
Other Direct Costs Budget Costs | BAC_ODC
Labor Budget Quantity | BAC_QTY


changing_logic_in_a_projectcalc

Changing Logic in a Project

The following actions change the logic of the project:

  • Adding an activity

  • Deleting an activity

  • Cutting an activity

  • Pasting an activity

  • Changing an activity type

  • Adding target dates

  • Adding a relationship

  • Deleting a relationship

  • Changing a relationship type


combining_probabilities_examplescalc

Examples

Return

Example 1

Assume a project consisting of two activities with a finish-to-start relationship:

Suppose that both activities are expected to have a duration between one and six days, and that any number of days between one and six is equally likely. The mean or "expected" duration of each activity is, therefore, 3.5 days.

We can calculate that the mean duration for the whole project is seven days by adding the mean durations of the individual activities together. Mean durations are additive in this case.

It also turns out that variances are additive in this case. The variance of the distribution of each duration is approximately 2.9, and so the variance of the total project is 5.8. By taking the square root of the total project variance, we arrive at the standard deviation, about 2.4 in this case.

When we graph the duration probability of the overall project duration, we see that we get the same triangular distribution shape we get when we roll a pair of dice and add the two numbers:

Example 2

Now, suppose that the same two activities must be performed in parallel:

This time, the overall project completion is dependent on both activities being completed. In other words, we are looking for the distribution of the greater of two uniformly distributed durations.

Now, when we graph the duration probability of the overall project duration, we get the following shape:


Combining Probabilities

In addition to allowing us to analyze a single process, probability theory also provides the analytical tools to combine probability distributions in ways appropriate to specific circumstances.

If the activities follow each other (as in the case of a finish-to-start relationship) the mean durations and the variances are both additive. However, this is not the case if the two activities must be performed in parallel. Under this type of circumstance, we must look for the distribution of the greater of two uniformly distributed durations.

Since project networks generally comprise a multitude of activities that are partly in series and partly parallel, the analytical approach to calculating probability is impractical. Instead, a technique known as Monte Carlo simulation is the only practical approach.

Examples

Related Topics


complete_if_finished_before_time_nowautomaticprogresspopupcalc

Complete if Finished Before Time Now

If this option is selected, Open Plan treats the type of dates selected in the Based on field as complete if they finish before Time Now and enters the appropriate (early, late, scheduled, or baseline) finish date into the actual finish date field.

The progress calculations function does not affect any actual finish dates already recorded on complete activities.


confidence_intervals_examplecalc

Example

In the random selection of any number between 1 and 100, there is a 90% confidence interval that the number chosen will be greater than 5 and less than 96.


consider_usage_on_higher_priority_projectsrsoptionspopupcalc

Consider Usage on Higher Priority Projects

If this option is selected, Open Plan will not use resources that are currently scheduled to be used by other projects that have a higher priority. (Project priority is defined on the Scheduling tab of the Project Properties dialog box where lower numbers represent higher priorities.)

If another project has reserved a portion of a resource's availability, the reserved portion is not available to your project regardless of whether you select this option or of the relative priorities of the projects.


cum_bcwspopupcostscalculat

BCWS (BCWScum)

BCWScum is a field on the activity table that represents the cumulative to-date budgeted cost of work scheduled for the activity and is populated during cost calculations by determining the value of the baseline resource assignments that should have been accomplished by Time Now.

A baseline must be selected in order for Open Plan to calculate the Activity BCWS.


datesbudgetcostspopupcalc

Dates

If you select Budget Cost or Remaining Cost, you can also select whether calculations should be based on early dates, late dates, or scheduled dates.


default_dateprogresstimenowpopupcalc

Default Time Now Date

The default date that Open Plan shows in the Time Now field is the date you used for Time Now the last time you ran time analysis.


displaying_the_activity_resource_allocation_dialog_boxcalc

After performing resource scheduling, you can display the Activity Resource Allocation dialog box by selecting an activity and clicking Allocation on the Edit menu.


displaying_the_cost_calculations_dialog_boxcalc

To display the Cost Calculations dialog box, do either of the following:

  1. Select the project in the Open Plan Explorer and click the [image] icon on the Toolbar.

  2. Select the project in the Open Plan Explorer and click Cost Calculations on the Project menu.

  3. Right-click the project in the Open Plan Explorer and click Cost Calculations on the shortcut menu.

It is not necessary for the project to be open.


displaying_the_progress_calculations_dialog_boxcalc

To display the Progress Calculations dialog box, do one of the following:

  • Select the project in the Open Plan Explorer and click the [image] icon on the Toolbar.

  • Select the project in the Open Plan Explorer and click Progress Calculations on the Project menu.

  • Right-click the project in the Open Plan Explorer and click Progress Calculations on the context menu.

It is not necessary for the project to be open.


displaying_the_resource_scheduling_advanced_tabcalc

To display the Advanced tab of the Resource Scheduling dialog box, click the Advanced tab on the Resource Scheduling dialog box.


displaying_the_resource_scheduling_options_tabcalc

To display the Options tab of the Resource Scheduling dialog box for a project that contains resource assignments, do either of the following:

  • Select the project in the Open Plan Explorer and click Resource Scheduling on the Project menu.

  • Right-click the project in the Open Plan Explorer and click Resource Scheduling on the shortcut menu.

It is not necessary for the project to be open.


displaying_the_resource_selection_for_scheduling_dialog_boxcalc

To display the Resource Selection for Scheduling dialog box, click Change on the Advanced tab of the Resource Scheduling dialog box.


displaying_the_risk_analysis_advanced_tabcalc

To display the Risk Analysis Advanced tab, click Advanced on the Risk Analysis dialog box.


displaying_the_risk_analysis_options_tabcalc

To display the Options tab of the Risk Analysis dialog box, do either of the following:

Select the project in the Open Plan Explorer and click Risk Analysis on the Project menu.

Right-click the project in the Open Plan Explorer and click Risk Analysis on the shortcut menu.

It is not necessary for the project to be open.


displaying_the_time_analysis_advanced_tabcalc

To display the Advanced tab of the Time Analysis dialog box, click Advanced on the Time Analysis dialog box.


displaying_the_time_analysis_options_tabcalc

To display the Options tab of the Time Analysis dialog box, do either of the following:

  • Select the project in the Open Plan Explorer and click Time Analysis on the Project menu.

  • Right-click the project in the Open Plan Explorer and click Time Analysis on the shortcut menu.

It is not necessary for the project to be open.


earned_value_bcwp_and_bcws_calccostspopupcalc

Earned Value (BCWP and BCWS)

This option controls whether Open Plan should calculate the earned value costs for resources that are assigned to each progressed activity in the project. When this option is selected, open Plan calculates both Budgeted Cost of Work Performed (BCWP) and Budgeted Cost of Work Scheduled (BCWS) and populates the following fields on the activity table:

Name | Field Name
Labor Earned Value Cost | BCWP_LAB
Material Earned Value Cost | BCWP_MAT
Subcontractors Earned Value Costs | BCWP_SUB
Other Direct Costs Earned Value Costs | BCWP_ODC
Labor Earned Value Quantity | BCWP_QTY
Labor Scheduled Value Cost | BCWS_LAB
Material Scheduled Value Cost | BCWS_MAT
Subcontractors Scheduled Value Costs | BCWS_SUB
Other Direct Costs Scheduled Value Costs | BCWS_ODC
Labor Earned Scheduled Quantity | BCWS_QTY


elapsed_duration_is_enteredprogress_and_duration_probabilitypopupcalc

If Elapsed Duration is Entered

If an elapsed duration has been entered on the Activity Progress dialog box, Open Plan samples the original duration and subtracts the value in the elapsed duration field from each duration sample. If this subtraction results in a negative value, the remaining duration is taken as zero and the activity is considered complete for the purposes of risk analysis.


end_dateautomaticpopupcalc

End Date

The end of the period covered by the automatic resource calculation. If a date is entered in this field, the actuals are spread between the start and end dates. If this field is left blank, the actuals are applied on the start date.

The date in this field is recorded as the To date on the resource actual quantity/cost record in the cost file.

If the actual finish date of the activity is earlier than the end date defined in this field (but within the Start date – End date range), the activity actual finish date is used as the End Date in the progress calculation.


floatcalc

Float

Float is the number of time periods by which an activity can be delayed without affecting other activities in a project. During time analysis, Open Plan calculates two principal float values:

  • Total Float — The difference between the early and late start dates, measured in working periods of the activity calendar. Total float can be either positive or negative.

  • Free Float — The maximum amount by which an activity can be delayed beyond its early dates without delaying any successor activity beyond its early dates. If target finish dates are not set, free float is always less than, or equal to, total float. Free float cannot be negative.


force_overloaded_activities_to_late_datesrsadvancedpopupcalc

Force Overloaded Activities to Late Dates

This option controls whether or not Open Plan should force overloaded activities to their late dates rather than to their early dates:

  • If selected, this option forces overloaded activities to their late dates.

  • If cleared, this option forces overloaded activities to their early dates.


hard_zeros_popupcalc

Hard Zeros

This option exempts any implied resource availability of zero from being incremented through the use of thresholds or during time-limited resource scheduling.


hierarchical_priority_fieldresschedadvpopupcalc

Hierarchical Priority Field

With this option selected, resource scheduling schedules subprojects based on their priority levels within the hierarchy. On the other hand, if the regular priority field is selected, Open Plan ignores the priority of the parent subproject when scheduling the activity.

Consider the following examples:

Example 1

With the Hierarchical Priority Field selected, Open Plan first considers the priority of the parent subproject when scheduling the activity, resulting in the following scheduling order:

Activity ID | Priority | Schedule Order
A | 0 |
A.1 | 10 | 1
A.2 | 12 | 2
B | 1 |
B.1 | 11 | 3
B.2 | 13 | 4

Example 2

With the regular priority field selected, Open Plan ignores the priority of the parent subproject when scheduling the activity, resulting in the following scheduling order:

Activity ID | Priority | Schedule Order
A | 0 |
A.1 | 10 | 1
A.2 | 12 | 3
B | 1 |
B.1 | 11 | 2
B.2 | 13 | 4


How Risk Analysis Interprets Durations Examples

Examples

Return

Example 1

You estimate that an activity can have a duration of 3, 4, or 5 days. Each duration is equally likely.

Enter the following duration probability information:

  • Original duration

  • Optimistic duration

  • Pessimistic duration

  • Shape

4 (ignored during risk analysis)

3

5

Uniform

Example 2

You estimate that an activity could have a duration anywhere between 10 and 30 days based on a normal probability distribution.

Enter the following duration probability information:

  • Original duration

  • Optimistic duration

  • Pessimistic duration

  • Shape

20(ignored during risk analysis)

10

30

Normal

Example 3

You estimate that an activity could have a duration anywhere between 10 and 30 days. You predict the most likely duration to be 12 days.

Enter the following duration probability information:

  • Original duration

  • Optimistic duration

  • Pessimistic duration

  • Shape

12

10

30

Triangular

Example 4

You know that an activity has a duration of 2 days.

Enter the following duration probability information:

  • Original duration

  • Optimistic duration

  • Pessimistic duration

  • Shape

2

blank

blank

blank


ignore_actual_datesrsoptionspopupcalc

Ignore Actual Dates

This option controls whether Open Plan should ignore actual dates when performing resource scheduling:

  • If this option is selected, Open Plan ignores actual dates when performing resource scheduling and performs the calculations based on early dates.

  • If this option is cleared, Open Plan uses the actual dates when performing resource scheduling. This is the default setting.


immediate_activitiescalc

Immediate Activities

By assigning the Immediate attribute to an activity, you instruct Open Plan to start the activity on its earliest feasible date, even if that means overloading a resource.

The earliest feasible date for an activity is a date calculated by resource scheduling and represents the earliest possible date an activity can start in the absence of any resource constraints on its schedule.


in_progress_if_started_before_time_nowautomaticprogresspopupcalc

In Progress if Started Before Time Now

If this option is selected, Open Plan treats activities that meet all of the following criteria as in progress:

  • Activity starts before Time Now

  • Activity has an early finish date after Time Now

  • Activity is not already marked as complete

The progress calculations function does not affect any actual start dates recorded on activities already statused as in-progress.

For activities that it treats as in-progress, Open Plan allows you to specify which of the following values it should calculate:

  • Remaining Duration

  • Elapsed Duration

  • Percent Complete

  • Expected Finish


in_progress_priority_popupcalc

In-Progress Priority

The in-progress priority option allows you to specify that in-progress activities have priority access to limited resources. This tends to prevent the splitting (and, thus, the delay) of activities that have already started.


include_child_activity_values_in_subproject_costscalccostspopupcalc

Include Child Activity Values in Subproject Costs

This option controls whether Open Plan should roll child activity costs up to the subproject level:

  • If selected, this option instructs Open Plan to roll up the child activity costs. This is the default setting.

  • If cleared, this option instructs Open Plan to not roll up child activity costs.


indications_of_supbroject_controlling_criticalpopupcalc

Information Provided About Each Subproject

  • A flag for the following activity types:

    • Start activity

    • Finish activity

    • Isolated activity

    • Start/finish activity

  • One of the following indications of the subproject's criticality:

    • Not critical

    • Critical

    • Most critical

    • Controlling critical — A subproject that is potentially critical but has float due to calendars


indications_of_supbroject_criticality_criticalpopupcalc

Information Provided About Each Subproject

  • A flag for the following activity types:

    • Start activity

    • Finish activity

    • Isolated activity

    • Start/finish activity

  • One of the following indications of the subproject's criticality:

    • Not critical

    • Critical — A subproject that has total float less than or equal to zero

    • Most critical

    • Controlling critical


indications_of_supbroject_criticality_not_criticalpopupcalc

Information Provided About Each Subproject

  • A flag for the following activity types:

    • Start activity

    • Finish activity

    • Isolated activity

    • Start/finish activity

  • One of the following indications of the subproject's criticality:

    • Not critical — A subproject that has total float greater than zero

    • Critical

    • Most critical

    • Controlling critical


indications_of_supbroject_most_criticalpopupcalc

Information Provided About Each Subproject

  • A flag for the following activity types:

    • Start activity

    • Finish activity

    • Isolated activity

    • Start/finish activity

  • One of the following indications of the subproject's criticality:

    • Not critical

    • Critical

    • Most critical — A subproject that has total float equal to the smallest value for the project

    • Controlling critical


levelpopupcalc

Level

This column displays the original resource requirement for the requested resource. This numeric value is interpreted by Open Plan as either a quantity per activity time unit or as a total requirement, depending on the Curve setting on resource assignment in the Activity Details dialog box.


levelunderstanding_op_cost_calculationspopupcalc

Level

When resources are assigned without using a spread curve, Open Plan interprets the value as a specified level of resource units required by the activity for each time unit. Resources that are assigned in this way must first be multiplied by a duration before you can apply a rate to yield a currency value.

The duration used in this calculation can be either the resource duration (called a period) or the duration of the activity to which the resource is assigned. If it is entered, Open Plan uses the resource period in preference to the activity duration.


limit_reprofiling_to_original_levelrsadvancedpopupcalc

Limit Reprofiling to Original Level

This option controls whether or not Open Plan should limit the reprofiling of a resource assignment to a level that does not exceed the original profile for any given unit of duration:

  • If selected, this option instructs Open Plan to limit reprofiling to the original profile.

  • If cleared, this option instructs Open Plan to not limit reprofiling to the original profile.


lockpopupcalc

Lock

You can lock the requested resource.

Locking a resource has the effect of deleting the alternative resource for the activity. If you lock the requested resource, Open Plan no longer may attempt to schedule the alternate resource for the activity.


mean_valuesampled_distributionpopuupcalc

Mean Value

The mean value (traditionally represented by the symbol m) is a measure of the central tendency of the distribution and is more or less synonymous with the more colloquial terms average and expected value. The mean is calculated as follows:

where:

 | is the mean
 | are outcomes
n | is the total number of outcomes

For probability distributions based on sampling, the mean is considered to be the most reliable statistical indicator of the central tendency since it takes into account all the outcomes sampled.


measures_of_central_tendency_examplescalc

Examples

Return

Assume that ten students taking a math test receive the following scores:

64, 69, 71, 73, 73, 75, 82, 82, 82, 89.

You can graph these outcomes and calculate the mean:

The median outcome is 74 because five students scored below and five scored above this value. It does not matter that no student actually scored 74.

To see the mode, it is necessary to plot how frequently each score was received:


medianmeasures_of_central_tendencypopupcalc

Median

The median value of a distribution divides the area under the curve into two equal parts:


modemeasures_of_central_tendencypopupcalc

Mode

The mode or "most likely" value of a distribution is represented by the highest point of the frequency distribution curve:


Monte Carlo Simulation Technique

If we could perform a process a large number of times, we could build up a histogram to represent the probability distribution from the individual outcomes of each trial. Of course, we cannot really do this with a project. In fact, we cannot even perform it once without defeating a principal purpose of risk analysis (namely, to decide whether or not the project is feasible in the first place).

We can, however, pretend to do so using Monte Carlo simulation (named for the casinos that make that European city famous). Instead of doing time analysis once based on fixed duration lengths for each activity, we simulate the project several hundred or several thousand times. Each time, we use a different set of data for durations sampled from the probability distributions of these uncertain values.

The sampling is done so that the probability of selecting a particular duration in the simulation is the same as our subjective estimate of the probability of that value actually occurring. With definite values for activity duration thus supplied, we can calculate such things as project completion date for each trial.

As enough simulations are performed, a definite picture of the risks inherent in the project begins to emerge.

Related Topics


more_standard_deviation_examplecalc

Example

The mean temperature for Houston, Texas, during the month of August at 5 PM is 93 degrees Fahrenheit with a standard deviation of 3.5 degrees. Based on three standard deviations (that is, ± 10.5 degrees), then it is almost (99%) certain, that the 5 PM temperature in Houston on any given day in August will fall between 82.5 and 103.5 degrees Fahrenheit.


multiple_endscalc

Multiple Ends

This option causes each end activity in a project to have an independent late finish date equal to its early finish date.

An activity (for example, A) is treated as an end activity if it meets all of the following conditions:

  • It has no logical successors.

  • Its parent is an end activity.

  • None of its descendents has a successor that is not also a descendent of A.

Normally, the use of this option results in Open Plan calculating a critical path leading to each end activity and results in making all end activities critical. If there is only one end activity in the project, this option has no effect.

If you select Multiple Ends, you also have the option of selecting Don’t consider a subproject a finish activity if any child successors are outside of a subproject. This will ensure that the child successors outside of the subproject will be considered before the subproject is indicated as critical.


Normal Distribution

Return

Just as rolling a pair of dice adds complexity to the possible outcomes of the process when compared to rolling a single die, so adding more and more dice increases the number of possible outcomes. Eventually, if we reach a level of sufficient complexity, the probability distribution looks something like this:

This distribution is called a normal distribution, and it turns out that the sum of the outcomes of multiple tries of any random process tends towards this curve

The normal distribution is an example of a continuous distribution. Unlike the examples of the uniform and triangular distributions in which each possible outcome was discrete, the curved shape of the normal distribution depicts a range of continuous rather than discrete outcomes. As a result, it is the area under the curve between any two x values that represents the probability of the outcome falling between these two values.

Both uniform and triangular distributions can represent continuous outcomes as well.


normal_distributionsampled_distributionpopuupcalc

Normal Distribution

The following equation describes a normal distribution:

where:

¦ is the frequency

m is the mean

s is the standard deviation

Note that the value of ¦ peaks when x equals m and declines symmetrically as x moves away from m in either direction. The rate at which ¦ declines depends on the parameter s.

Note also, that the value of ¦ never quite reaches zero. This means than no value of x is an absolutely impossible outcome for any true normal distribution. In practical work, however, it is common practice to truncate the tails of a normal distribution.


number_of_simulationstaoptionspopupcalc

Number of Simulations

The more trials Open Plan performs, the more accurate the results of the analysis are likely to be. Deciding on the number of simulations that Open Plan should perform means balancing the available time and/or hardware constraints in your particular situation with the level of accuracy that you require.

Depending on the number of activities in a project and what kind of information you are seeking, a number of between 100 and 1000 simulations is usually appropriate.

The first time you process a project, you may want to specify as few as 10 or 20 simulations. This would allow you to verify the validity of the project data and to ascertain the project's overall duration before proceeding with a full-scale risk analysis involving large numbers of simulations.


only_actual_start_is_enteredprogress_and_duration_probabilitypopupcalc

If Only an Actual Start Date is Entered

If the only information on the Activity Progress dialog box is an actual start date, Open Plan calculates the elapsed duration as the number of work days or periods between the actual start date and the status date (Time Now). Open Plan then samples the original duration and subtracts the calculated elapsed duration from each field. If this subtraction results in a negative value, the remaining duration is taken as zero and the activity is considered complete for the purposes of risk analysis.


original_durationpopupcalc

Original Duration

The duration originally entered for this activity.


out_of_sequence_optionscalc

Out of Sequence Options

Open Plan allows you to enter progress information for an activity without first entering progress information for all its predecessors. This is called out-of-sequence progressing.

The out-of-sequence options control how Open Plan treats predecessor lag in out-of-sequence progressing. You can select from the following options:

  • Ignore Positive Lag of Predecessor — Ignores positive lags on relationships leading into out-of-sequence "events" (that is, the start of an activity that is marked as in-progress, or the finish of an activity that is marked as complete)

  • Observe Positive Lag of Predecessor — Observes all relationships and lags leading into out-of-sequence events.

  • Ignore Predecessor Relationship — Ignores all relationships and lags leading into out-of-sequence events (including the finish of activities marked as complete). This option results in Open Plan not delaying the successors of out-of-sequence activities.


percent_complete_is_enteredprogress_and_duration_probabilitypopupcalc

If Percent Complete is Entered

If a percent complete has been entered on the Activity Progress dialog box, Open Plan samples the original duration and multiplies each value by:

100 — p

100

where p is the value entered in the percent complete field.


priorities_popupcalc

Priorities

Open Plan allows you to specify up to three fields indicating priorities that are used as tie-breakers during resource scheduling. You may enter any numeric or date field. Lower numbers or earlier dates have a higher priority. Negative numbers are allowed.

The default for the first priority tie breaker is set to Total Float. Since lower numbers have a higher priority than higher numbers, this tends to schedule the critical path first. In most cases, you should leave this priority because it tends to schedule in the shortest amount of time possible. (If critical activities are delayed, the project is automatically delayed by the same amount of time.)

If you are an experienced project manager, you may want to design your own priority system to control the scheduling of activities. Typically, you might define a numbering system based from 1 to 10 or, perhaps, 1 to 100. The numbering system and the range you use should be based on the size of the project and the degree of detail necessary. A field labeled Priority on the Advanced tab of the Activity Details dialog box is available for this purpose, but it would also be possible to specify a calculated field as a priority field.

If the in-progress priority option is selected, activities in progress always have the highest priority.


probability_in_durations_examplecalc

Example

Assume that you suspect an activity will take 10 days, but you want to allow for an uncertainty of ± 2 days in the duration. You would model this situation by entering the following values:

  • Optimistic duration — 8 days

  • Pessimistic duration — 12 days

  • Original duration — 10 days


Progress Calculations Session Log

Each time you perform progress calculations, Open Plan creates a session log. This session log includes the following information:

  • Settings in effect when progress calculation was performed

  • Changes that have been made to activity start and finish dates

  • Changes that have been made to resource assignments

  • All system or error messages generated during progress calculations

Use the Log Viewer on the View menu to view the log.

Related Topics and Procedures


project_informationcalc

Project Information

Each time you perform time analysis, Open Plan calculates the following information for the project:

  • The computed status of the project as follows:

    • Planned

    • In-progress

    • Complete

  • The latest early finish date in the project

  • The latest late finish date in the project

  • Percentage of the total project duration that is complete

  • The minimum value for total float for any activity (or activities) in the project


remaining_costcalccostspopupcalc

Remaining Cost

This option controls whether Open Plan should calculate the remaining costs for resources that are assigned to each progressed activity in the project.

Open Plan calculates remaining costs for only those resources that have the Progress Based on Activity Progress option selected on the Resource Details dialog box.

When this option is selected, Open Plan populates the following fields on the activity table.

Name | Field Name
Labor Remaining Cost | ETC_LAB
Material Remaining Cost | ETC_MAT
Subcontractors Remaining Costs | ETC_SUB
Other Direct Costs Remaining Costs | ETC_ODC
Labor Remaining Quantity | ETC_QTY


remaining_durations_is_enteredprogress_and_duration_probabilitypopupcalc

If Remaining Duration is Entered

If a remaining duration has been entered on the Activity Progress dialog box, Open Plan uses this value and no sampling is done.


remaining_floatresschedadvpopupcalc

Remaining Float

With this option selected, Open Plan calculates the remaining float of each activity during resource scheduling as the difference between the earliest feasible date and the latest start date. This remaining float is then used to assign a priority to the subproject or activity.


requestedpopupcalc

Requested

This column displays the ID of the currently requested resource for the activity.

If you hover your mouse cursor over the ID, Open Plan desplays the description of the resource as a tool tip.

If this is the first time you are performing resource allocation on the activity, the requested resource is the resource originally requested.

If you have previously performed resource allocation on the activity, the requested resource may be a suggested resource that you accepted at that time. (It is very possible for a requested resource to have originally been identified as an alternate resource.)


resource_classunderstanding_op_cost_calculationspopupcalc

Resource Category

The category type for each resource is defined on the Resource Details dialog box.


resource_limited_resource_schedulingcalc

Resource-Limited Resource Scheduling

Resource-limited resource scheduling places a priority on preventing the over-utilization of resources, even if that means putting the project behind schedule.

In the absence of thresholds, immediate activities, or subproject requirements, resource-limited resource scheduling uses only those resource availabilities that have not been reserved for another project and delays project completion to ensure that the resource requirements do not exceed availabilities.

The use of resource availability thresholds, immediate activities, or resource assignments on subprojects may cause resource overloads even when performing resource-limited resource scheduling.


resource_selection_popupcalc

Resource Selection

By default, all resources in the resource definition file that are required by project activities represent a potential constraint on when activities are scheduled. By clearing some resources, you instruct Open Plan to schedule the project as though an unlimited quantity of those resources were available.

The first time you run resource scheduling, you typically want to have all resources selected. However, if you determine that the availability of a particular resource is causing the schedule to be delayed, you may want to run resource scheduling again with that resource cleared. You might also want to see how selecting or clearing various resources would affect the schedule.


sampled_distributions_examplecalc

Example

Return

Assume that ten students taking a math test receive the following scores: 64, 69, 71, 73, 73, 75, 82, 82, 82, 89.

  1. First calculate the mean:

  2. Now, using the calculated mean of 76, evaluate the following equation.

    3. Each expression in the calculation is calculated as in the following example:

    The total equation evaluates as follows:

  3. Then, take the square root of 54.1


scheduling_intervalpopupcalc

Scheduling Interval

The scheduling interval is the time interval that Open Plan should use in performing resource scheduling. In general, the larger the time unit, the faster Open Plan performs the calculation. However, a larger interval may also result in less precise calculations.

As a general rule, never define a minimum time unit that is smaller than the units you used to specify activity durations in the project. For example, if you have defined all activity durations in days, changing the minimum time unit to hours increases the processing time significantly without producing more accurate resource calculations.

Open Plan may change the smallest duration units defined for the project when you enter progress information. For example, while you may have defined all activity durations in days, calculations performed by Open Plan may result in a remaining duration that is measured in hours.


seealso_calculating_actual_activity_costscalc

Related Topics:

Cost Control Features in Open Plan

Understanding Open Plan Cost Calculations

Using the Cost Calculations Dialog Box

Calculating Budget Costs for Activities

Using the Progress Calculations Dialog Box

Related Procedures:

Calculating Project Costs

Calculating Actual Resource Costs

Calculating Budget Activity Costs

Calculating Actual Activity Costs

Entering Actual Activity Costs


seealso_calculating_budget_costs_for_activitiescalc

Related Topics:

Cost Control Features in Open Plan

Understanding Open Plan Cost Calculations

Using the Cost Calculations Dialog Box

Using the Progress Calculations Dialog Box

Calculating Actual Activity Costs

Related Procedure:

Calculating Budget Activity Costs


seealso_capturing_actual_costscalc

Related Topics:

Understanding Open Plan Cost Calculations

Using the Cost Calculations Dialog Box

Calculating Actual Activity Costs

Entering Progress Information

Using the Activity Progress Activity Tab

Using the Activity Progress Resources Tab

How Open Plan Uses Progress Information

Related Procedures:

Entering Activity Progress in a Dialog Box

Entering Resource Progress Information for an Activity

Entering Actual Activity Costs


seealso_combining_probabilitiescalc

Related Topics:

Overview of Probability

More About Standard Deviation

Sampled Distributions

Measures of Central Tendency

Confidence Intervals

Monte Carlo Simulation Technique


seealso_confidence_intervalscalc

Related Topics:

Overview of Probability

More About Standard Deviation

Sampled Distributions

Measures of Central Tendency

Combining Probabilities

Monte Carlo Simulation Technique


seealso_cost_and_schedule_variancescalc

Related Topics:

Cost Forecasting

Cost Control Features in Open Plan

Understanding Open Plan Cost Calculations

Earned Value Cost Control

Using the Progress Calculations Dialog Box

Histogram Preferences Earned Value Tab

Displaying Budget Costs for Activities

Displaying Earned Value Information on a Resource Histogram

Related Procedures:

Calculating Project Costs

Calculating Actual Resource Costs


seealso_cost_control_features_in_open_plancalc

Related Topics:

Understanding Open Plan Cost Calculations

Using the Cost Calculations Dialog Box

Calculating Budget Costs for Activities

Calculating Actual Activity Costs

Capturing Actual Costs

Earned Value Cost Control

Cost and Schedule Variances

Cost Forecasting

Using the Progress Calculations Dialog Box

Histogram Preferences Earned Value Tab

Displaying Earned Value Information on a Resource Histogram

Related Procedures:

Calculating Project Costs

Calculating Actual Resource Costs

Calculating Budget Activity Costs


seealso_cost_forecastingcalc

Related Topics:

Cost Control Features in Open Plan

Understanding Open Plan Cost Calculations

Earned Value Cost Control

Cost and Schedule Variances

Using the Progress Calculations Dialog Box

Histogram Preferences Earned Value Tab

Displaying Budget Costs for Activities

Displaying Earned Value Information on a Resource Histogram

Related Procedures:

Calculating Project Costs

Calculating Actual Resource Costs


seealso_displaying_actual_costs_for_activitiescalc

Related Topics:

Using the Progress Calculations Dialog Box

Using the Project Properties Cost Tab

Cost Control Features in Open Plan

Understanding Open Plan Cost Calculations

Earned Value Cost Control

Cost and Schedule Variances

Cost Forecasting

Displaying Earned Value Information on a Resource Histogram

Related Procedures

Calculating Actual Activity Costs

Calculating Project Costs

Calculating Actual Resource Costs

Calculating Budget Activity Costs


seealso_displaying_budget_costs_for_activitiescalc

Related Topics:

Using the Progress Calculations Dialog Box

Using the Project Properties Cost Tab

Cost Control Features in Open Plan

Understanding Open Plan Cost Calculations

Earned Value Cost Control

Cost Forecasting

Displaying Earned Value Information on a Resource Histogram

Related Procedures

Calculating Project Costs

Calculating Actual Resource Costs

Calculating Budget Activity Costs

Calculating Actual Activity Costs


seealso_earned_value_cost_controlcalc

Related Topics:

Cost Control Features in Open Plan

Understanding Open Plan Cost Calculations

Using the Cost Calculations Dialog Box

Cost and Schedule Variances

Cost Forecasting

Using the Progress Calculations Dialog Box

Histogram Preferences Earned Value Tab

Displaying Earned Value Information on a Resource Histogram

Related Procedures:

Calculating Project Costs

Calculating Actual Resource Costs


seealso_effect_of_reservations_on_resource_schedulingcalc

Related Topics:

Using Resource Scheduling

Types of Resource Scheduling

Resource Scheduling Rules

Multiple-Project Resource Scheduling

Related Procedures:

Creating a Resource-Based Schedule

Performing Resource Scheduling

Changing the Attached Resource File

Using Resource Scheduling Information

Setting a Project Priority

Removing Summary Resource Usage Information for Projects


seealso_hard_zeros_processing_optioncalc

Related Topics:

Resource Scheduling Processing Options

Resource Smoothing Processing Option

Using the Resource Scheduling Options Tab

Using the Resource Scheduling Advanced Tab

Resource Scheduling Flexibility

Related Procedure:

Performing Resource Scheduling


seealso_how_risk_analysis_calculates_finish_datescalc

Related Topics:

Using Risk Analysis

Activity Details Risk Tab

Probability in Durations

How Risk Analysis Works

Risk Analysis Output Files

How Risk Analysis interprets Durations

The Effect of Risk Analysis on Start Dates

The Concept of Sampling Error

Progress and Duration Probability

Using the Risk Analysis Options Tab

Using the Risk Analysis Advanced Tab

Related Procedures:

Defining Probability Distributions for an Activity Duration

Displaying a Risk Histogram View

Performing Risk Analysis


seealso_how_risk_analysis_interprets_durationscalc

Related Topics:

Using Risk Analysis

Activity Details Risk Tab

Probability in Durations

How Risk Analysis Works

Risk Analysis Output Files

The Effect of Risk Analysis on Start Dates

The Concept of Sampling Error

How Risk Analysis Calculates Finish Dates

Progress and Duration Probability

Viewing the Results of Risk Analysis

Using the Risk Analysis Options Tab

Using the Risk Analysis Advanced Tab

Related Procedures:

Defining Probability Distributions for an Activity Duration

Displaying a Risk Histogram View

Performing Risk Analysis


seealso_how_risk_analysis_workscalc

Related Topics:

Using Risk Analysis

Activity Details Risk Tab

Probability in Durations

Risk Analysis Output Files

How Risk Analysis interprets Durations

The Effect of Risk Analysis on Start Dates

The Concept of Sampling Error

How Risk Analysis Calculates Finish Dates

Progress and Duration Probability

Viewing the Results of Risk Analysis

Using the Risk Analysis Options Tab

Using the Risk Analysis Advanced Tab

Related Procedures:

Defining Probability Distributions for an Activity Duration

Displaying a Risk Histogram View

Performing Risk Analysis


seealso_how_time_analysis_workscalc

Related Topics:

When to Perform Time Analysis

Using Time Analysis

Using the Time Analysis Options Tab

Using the Time Analysis Advanced Tab

Interproject Calculations

Related Procedures:

Setting Time Now

Enabling Automatic Time Analysis

Disabling Automatic Time Analysis

Performing Time Analysis


seealso_interproject_calculationscalc

Related Topics:

Using Time Analysis

Using the Time Analysis Options Tab

Using Resource Scheduling

Using the Resource Scheduling Options Tab

Related Procedures:

Performing Time Analysis

Performing Resource Scheduling

Performing Resource Allocation


seealso_measures_of_central_tendencycalc

Related Topics:

Overview of Probability

More About Standard Deviation

Sampled Distributions

Confidence Intervals

Combining Probabilities

Monte Carlo Simulation Technique


seealso_monte_carlo_simulation_techniquecalc

Related Topics:

Overview of Probability

More About Standard Deviation

Sampled Distributions

Measures of Central Tendency

Confidence Intervals

Combining Probabilities


seealso_more_about_standard_deviationcalc

Related Topics:

Overview of Probability

Sampled Distributions

Measures of Central Tendency

Confidence Intervals

Combining Probabilities

Monte Carlo Simulation Technique


seealso_multiple_project_resource_scheduling

Related Topics:

Using Resource Scheduling

Types of Resource Scheduling

Resource Scheduling Rules

Effect of Reservations on Resource Scheduling

Related Procedures:

Creating a Resource-Based Schedule

Performing Resource Scheduling

Changing the Attached Resource File

Using Resource Scheduling Information

Setting a Project Priority

Removing Summary Resource Usage Information for Projects


seealso_overview_of_probabilitycalc

Related Topics:

Sampled Distributions

Measures of Central Tendency

More About Standard Deviation

Confidence Intervals

Combining Probabilities

Monte Carlo Simulation Technique


seealso_probability_in_durationscalc

Related Topics:

Using Risk Analysis

Activity Details Risk Tab

How Risk Analysis Works

Risk Analysis Output Files

How Risk Analysis interprets Durations

The Effect of Risk Analysis on Start Dates

The Concept of Sampling Error

How Risk Analysis Calculates Finish Dates

Progress and Duration Probability

Viewing the Results of Risk Analysis

Using the Risk Analysis Options Tab

Using the Risk Analysis Advanced Tab

Related Procedures:

Defining Probability Distributions for an Activity Duration

Displaying a Risk Histogram View

Performing Risk Analysis


seealso_progress_and_duration_probabilitycalc

Related Topics:

Using Risk Analysis

Activity Details Risk Tab

Probability in Durations

How Risk Analysis Works

Risk Analysis Output Files

How Risk Analysis interprets Durations

The Effect of Risk Analysis on Start Dates

The Concept of Sampling Error

How Risk Analysis Calculates Finish Dates

Progress and Duration Probability

Viewing the Results of Risk Analysis

Using the Risk Analysis Options Tab

Using the Risk Analysis Advanced Tab

Related Procedures:

Defining Probability Distributions for an Activity Duration

Displaying a Risk Histogram View

Performing Risk Analysis


seealso_progress_calculations_session_logcalc

Related Topic:

Using the Progress Calculations Dialog Box

Related Procedure:

Viewing an Progress Calculations Session Log


seealso_reporting_on_resource_schedulingcalc

Related Topics:

Using Resource Scheduling

Resource Scheduling Processing Options

Using the Resource Scheduling Options Tab

Using the Resource Scheduling Advanced Tab

Related Procedures:

Performing Resource Scheduling

Using Resource Scheduling Information


seealso_resource_allocation_guidelinescalc

Related Topics:

Using Resource Allocation

Using the Activity Resource Allocation Dialog Box

Using Resource Scheduling

Activity Details General Tab

Activity Details Resources Tab

Related Procedures:

Performing Resource Scheduling

Performing Resource Allocation


seealso_resource_scheduling_flexibilitycalc

Related Topics:

Activity Details Advanced Tab

Resource Scheduling Processing Options

Using the Resource Scheduling Options Tab

Using the Resource Scheduling Advanced Tab

Related Procedures:

Performing Resource Scheduling

Splitting an Activity Duration

Stretching an Activity Duration

Reprofiling an Activity Duration

Assigning the Immediate Attribute to an Activity


seealso_resource_scheduling_processing_optionscalc

Related Topics:

Using the Resource Scheduling Options Tab

Using the Resource Scheduling Advanced Tab

Hard Zeros Processing Option

Resource Smoothing Processing Option

Using the Resource Scheduling Options Tab

Resource Scheduling Flexibility

Related Procedures:

Performing Resource Scheduling

Using Resource Scheduling Information


seealso_resource_scheduling_rulescalc

Related Topics:

Types of Resource Scheduling

Resource Scheduling Processing Options

Using the Resource Scheduling Options Tab

Using the Resource Scheduling Advanced Tab

Multiple-Project Resource Scheduling

Effect of Reservations on Resource Scheduling

Related Procedures:

Creating a Resource-Based Schedule

Performing Resource Scheduling

Using Resource Scheduling Information


seealso_resource_scheduling_session_logcalc

Related Topics:

Using Time Analysis

Types of Resource Scheduling

Resource Scheduling Rules

Related Procedure:

Viewing a Resource Scheduling Session Log


seealso_resource_smoothing_processing_optioncalc

Related Topics:

Resource Scheduling Processing Options

Hard Zeros Processing Option

Resource Scheduling Flexibility

Using the Resource Scheduling Options Tab

Using the Resource Scheduling Advanced Tab

Related Procedure:

Performing Resource Scheduling


seealso_risk_anlaysis_output_filescalc

Related Topics:

Using Risk Analysis

Activity Details Risk Tab

Probability in Durations

How Risk Analysis Works

How Risk Analysis interprets Durations

The Effect of Risk Analysis on Start Dates

The Concept of Sampling Error

How Risk Analysis Calculates Finish Dates

Progress and Duration Probability

Viewing the Results of Risk Analysis

Using the Risk Analysis Options Tab

Using the Risk Analysis Advanced Tab

Related Procedures:

Defining Probability Distributions for an Activity Duration

Displaying a Risk Histogram View

Performing Risk Analysis


seealso_sampled_distributionscalc

Related Topics:

Overview of Probability

More About Standard Deviation

Measures of Central Tendency

Confidence Intervals

Combining Probabilities

Monte Carlo Simulation Technique


seealso_the_concept_of_sampling_errorcalc

Related Topics:

Using Risk Analysis

Activity Details Risk Tab

Probability in Durations

How Risk Analysis Works

Risk Analysis Output Files

How Risk Analysis interprets Durations

The Effect of Risk Analysis on Start Dates

How Risk Analysis Calculates Finish Dates

Progress and Duration Probability

Using the Risk Analysis Options Tab

Using the Risk Analysis Advanced Tab

Related Procedures:

Defining Probability Distributions for an Activity Duration

Displaying a Risk Histogram View

Performing Risk Analysis


seealso_the_effect_of_risk_analysis_on_start_datescalc

Related Topics:

Using Risk Analysis

Activity Details Risk Tab

Probability in Durations

How Risk Analysis Works

Risk Analysis Output Files

How Risk Analysis interprets Durations

The Concept of Sampling Error

How Risk Analysis Calculates Finish Dates

Progress and Duration Probability

Viewing the Results of Risk Analysis

Using the Risk Analysis Options Tab

Using the Risk Analysis Advanced Tab

Related Procedures:

Defining Probability Distributions for an Activity Duration

Displaying a Risk Histogram View

Performing Risk Analysis


seealso_time_analysis_session_logcalc

Related Topics:

How Time Analysis Works

When to Perform Time Analysis

Using the Time Analysis Options Tab

Using the Time Analysis Advanced Tab

Related Procedures:

Enabling Automatic Time Analysis

Disabling Automatic Time Analysis

Viewing a Time Analysis Session Log


seealso_types_of_resource_schedulingcalc

Related Topics:

Resource Scheduling Rules

Resource Scheduling Processing Options

Using the Resource Scheduling Options Tab

Using the Resource Scheduling Advanced Tab

Resource Smoothing Processing Option

Hard Zeros Processing Option

Resource Scheduling Flexibility

Multiple-Project Resource Scheduling

Effect of Reservations on Resource Scheduling

Related Procedures:

Creating a Resource-Based Schedule

Performing Resource Scheduling


seealso_understanding_open_plan_cost_calculationscalc

Related Topics:

Using the Cost Calculations Dialog Box

Cost Control Features in Open Plan

Calculating Budget Costs for Activities

Calculating Actual Activity Costs

Capturing Actual Costs

Earned Value Cost Control

Cost and Schedule Variances

Cost Forecasting

Using the Progress Calculations Dialog Box

Histogram Preferences Earned Value Tab

Displaying Earned Value Information on a Resource Histogram

Related Procedures:

Calculating Project Costs

Calculating Actual Resource Costs

Calculating Budget Activity Costs


seealso_using_resource_allocationcalc

Related Topics:

Using the Activity Resource Allocation Dialog Box

Resource Allocation Guidelines

Using Resource Scheduling

Related Procedures:

Performing Resource Scheduling

Performing Resource Allocation


seealso_using_resource_schedulingcalc

Related Topics:

Using the Resource Scheduling Options Tab

Using the Resource Scheduling Advanced Tab

Types of Resource Scheduling

Resource Scheduling Rules

Resource Scheduling Processing Options

Reporting on Resource Scheduling

Using Resource Allocation

Interproject Calculations

Multiple-Project Resource Scheduling

Effect of Reservations on Resource Scheduling

Project Analysis

Related Procedures:

Creating a Resource-Based Schedule

Performing Resource Scheduling

Changing the Attached Resource File

Using Resource Scheduling Information


seealso_using_risk_analysiscalc

Related Topics:

Activity Details Risk Tab

Probability in Durations

How Risk Analysis Works

Risk Analysis Output Files

How Risk Analysis interprets Durations

The Effect of Risk Analysis on Start Dates

The Concept of Sampling Error

How Risk Analysis Calculates Finish Dates

Progress and Duration Probability

Viewing the Results of Risk Analysis

Using the Risk Analysis Options Tab

Using the Risk Analysis Advanced Tab

Project Analysis

Related Procedures:

Defining Probability Distributions for an Activity Duration

Displaying a Risk Histogram View

Performing Risk Analysis


seealso_using_the_activity_resource_allocation_dialog_boxcalc

Related Topics:

Using Resource Allocation

Resource Allocation Guidelines

Using Resource Scheduling

Activity Details General Tab

Activity Details Resources Tab

Related Procedures:

Performing Resource Scheduling

Performing Resource Allocation


seealso_using_the_cost_calculations_dialog_boxcalc

Related Topics:

Understanding Open Plan Cost Calculations

Displaying Budget Costs for Activities

Using the Project Properties Cost Tab

Cost Control Features in Open Plan

Earned Value Cost Control

Cost and Schedule Variances

Cost Forecasting

Displaying Earned Value Information on a Resource Histogram

Related Procedures

Creating a Project Budget in Open Plan

Calculating Project Costs

Calculating Actual Resource Costs

Calculating Budget Activity Costs

Suppressing Resource Cost Calculations


seealso_using_the_progress_calculations_dialog_boxcalc

Related Topics:

Displaying Budget Costs for Activities

Using the Project Properties Cost Tab

Cost Control Features in Open Plan

Understanding Open Plan Cost Calculations

Earned Value Cost Control

Cost and Schedule Variances

Cost Forecasting

Displaying Earned Value Information on a Resource Histogram

Related Procedures

Performing Progress Calculations

Calculating Project Costs

Calculating Actual Resource Costs

Calculating Budget Activity Costs

Suppressing Resource Cost Calculations


seealso_using_the_resource_scheduling_advanced_tabcalc

Related Topics:

Using the Resource Scheduling Options Tab

Hard Zeros Processing Option

Resource Smoothing Processing Option

Using the Resource Selection for Scheduling Dialog Box

Multiple Project Resource Scheduling

Related Procedures:

Performing Resource Scheduling

Using Resource Scheduling Information

Viewing a Resource Scheduling Session Log


seealso_using_the_resource_scheduling_options_tabcalc

Related Topics:

Using the Resource Scheduling Advanced Tab

Using Resource Scheduling

Types of Resource Scheduling

Resource Scheduling Rules

Resource Scheduling Session Log

Using Time Analysis

Project Analysis

Related Procedures:

Performing Resource Scheduling

Using Resource Scheduling Information

Viewing a Resource Scheduling Session Log


seealso_using_the_resource_selection_for_scheduling_dialog_boxcalc

Related Topics:

Using the Resource Scheduling Options Tab

Using the Resource Scheduling Advanced Tab

Resource Scheduling Flexibility

Related Procedure:

Performing Resource Scheduling


seealso_using_the_risk_analysis_advanced_tabcalc

Related Topics:

Using Risk Analysis

Activity Details Risk Tab

Probability in Durations

How Risk Analysis Works

Risk Analysis Output Files

How Risk Analysis interprets Durations

The Effect of Risk Analysis on Start Dates

The Concept of Sampling Error

How Risk Analysis Calculates Finish Dates

Progress and Duration Probability

Viewing the Results of Risk Analysis

Using the Risk Analysis Options Tab

Using Time Analysis

Using Resource Scheduling

Related Procedures:

Performing Risk Analysis


seealso_using_the_risk_analysis_options_tabcalc

Related Topics:

Using Risk Analysis

Activity Details Risk Tab

Probability in Durations

How Risk Analysis Works

Risk Analysis Output Files

How Risk Analysis interprets Durations

The Effect of Risk Analysis on Start Dates

The Concept of Sampling Error

How Risk Analysis Calculates Finish Dates

Progress and Duration Probability

Viewing the Results of Risk Analysis

Using the Risk Analysis Advanced Tab

Using Time Analysis

Using Resource Scheduling

Related Procedures:

Performing Risk Analysis


seealso_using_the_time_analysis_advanced_tabcalc

Related Topics:

Using the Time Analysis Options Tab

How Time Analysis Works

Using Time Analysis

When to Perform Time Analysis

Time Analysis Session Log

Using Risk Analysis

Using Resource Scheduling

Related Procedures:

Setting Time Now

Enabling Automatic Time Analysis

Disabling Automatic Time Analysis

Performing Time Analysis

Viewing a Time Analysis Session Log


seealso_using_the_time_analysis_options_tabcalc

Related Topics:

Using the Time Analysis Advanced Tab

How Time Analysis Works

Using Time Analysis

When to Perform Time Analysis

Time Analysis Session Log

Using Risk Analysis

Using Resource Scheduling

Project Analysis

Related Procedures:

Setting Time Now

Enabling Automatic Time Analysis

Disabling Automatic Time Analysis

Performing Time Analysis

Viewing a Time Analysis Session Log

Displaying a Risk Histogram View


seealso_using_time_analysiscalc

Related Topics:

Project Analysis

How Time Analysis Works

When to Perform Time Analysis

Using the Time Analysis Options Tab

Using the Time Analysis Advanced Tab

Time Analysis Session Log

Related Procedures:

Setting Time Now

Setting Time Analysis Preferences

Enabling Automatic Time Analysis

Disabling Automatic Time Analysis

Performing Time Analysis


seealso_viewing_the_results_of_risk_analysiscalc

Related Topics:

Using Risk Analysis

Activity Details Risk Tab

Barchart View

Spreadsheet View

Risk Analysis Histogram View

Related Procedures:

Defining Probability Distributions for an Activity Duration

Displaying a Risk Histogram View

Performing Risk Analysis


seealso_when_to_perform_time_analysiscalc

Related Topics:

How Time Analysis Works

Using Time Analysis

Using the Time Analysis Options Tab

Using the Time Analysis Advanced Tab

Related Procedures:

Setting Time Now

Enabling Automatic Time Analysis

Disabling Automatic Time Analysis

Performing Time Analysis


show_summary_dates_in_subprojectstaoptionspopupcalc

Show Summary Dates in Subprojects

This option controls whether Open Plan should copy the dates calculated for the child activities into the record of the activity representing the subproject.

  • If selected, subproject activities display a summary of the dates calculated for their child activities.

  • If not selected, subproject activities display the dates calculated for the subproject activity itself.

This option is selected by default.


skillidpopupcalc

Skill ID

This column displays the ID for the skill assigned to the resource.


smoothing_popupcalc

Smoothing

The smoothing option attempts to even out or "smooth" the way in which resources are assigned to activities in the following circumstances:

  • During time-limited resource scheduling

  • During resource-limited resource scheduling when thresholds are in use

Without the smoothing option, Open Plan assumes that if the availability of a resource has been exceeded once, the amount of the overload should be used again in preference to using float.

With the smoothing option, Open Plan assumes that even though an availability has been exceeded, available float should be used in preference to overloading the resource again.


standard_deviationsampled_distributionpopuupcalc

Standard Deviation

The standard deviation (traditionally represented by the symbol s) measures the amount of variation within the distribution around the mean value

The standard deviation is calculated by first estimating the variance of the distribution according to the following formula:

where:

is the standard deviation

are outcomes

is the sampled mean value

The square root of the variance is then taken to find the standard deviation for the distribution.


start_dateautomaticpopupcalc

Start Date

The start of the period covered by the automatic resource calculation. The date in this field is recorded as the From date on the resource actual quantity/cost record in the cost file.

If the actual start date of the activity is later than the start date defined in this field (but within the Start date – End date range), the activity actual start date is used as the Start Date in the progress calculation.


subproject_informationcalc

Subproject Information

Open Plan calculates the following information for each subproject during time analysis:

  • Original duration of the subproject

  • Early and late dates

    • You can set a system preference to have Open Plan copy a summary of this data to the early and late date fields of the activity representing the subproject.

  • Computed remaining duration for the subproject

  • Percentage of the subproject duration that is complete

  • The computed status of the subproject

  • Float

In addition, the time analysis function provides the following information about each subproject:

  • A flag for the following activity types:

    • Start activity

    • Finish activity

    • Isolated activity

    • Start/finish activity

  • One of the following indications of the subproject's criticality:

    • Not critical

    • Critical

    • Most critical

    • Controlling critical


suggestedpopupcalc

Suggested

This column displays the resource chosen by Open Plan in order to schedule the activity.


target_finishtaoptionpopupcalc

Target Finish

A target finish is a finish date that you impose on the project. The target finish date affects the dates that the program calculates when performing time analysis or resource scheduling. Entering this date is optional. Ordinarily, you will want to give Open Plan as much flexibility as possible in its calculations by not setting a project target finish date.


target_typetaoptionpopupcalc

Target Type

Open Plan allows you to specify the following types of target dates:

  • Not Earlier Than — The earliest date on which the project can finish

  • Not Later Than — The latest date on which the project can finish

  • On Target — Combines the effects of the Not Earlier Than and the Not Later Than target dates.

If you select None, Open Plan disables the Target Finish field.


the_concept_of_sampling_error_examplecalc

Example

Return

Assume that the probability distribution of the early start date of an activity has a mean value of December 12 and a standard deviation of three days. At the 99% confidence level, the sampling error of our estimated mean is as follows:

Number of Simulations | Estimated Sampling Error (99% Confidence)
10 | ± 3 days
100 | ± 0.9 days
1000 | ± 0.3 days


thresholdscalc

Thresholds

Thresholds affect only resource-limited resource scheduling. If a resource availability includes a specified threshold, then that availability can be exceeded (up to the limit of the threshold) during resource-limited resource scheduling.

For example, if Mary has an availability of 8 hours per day with a threshold of 2 hours per day, resource-limited resource scheduling can schedule her for up to 10 hours per day, if required.

In this way, the overall effect of thresholds is to simulate time-limited scheduling for certain resources. You control the extent to which this occurs by setting the level of the threshold.


time_analyze_before_cost_calculationcalccostspopupcalc

Time Analyze Before Cost Calculation

When this option is selected, Open Plan performs Time Analysis before calculating costs.


time_analyze_before_risk_analysistaoptionspopupcalc

Time Analyze before Risk Analysis

If this option is selected, Open Plan calculates the schedule using time analysis before performing risk analysis.

Time analysis is not required before performing risk analysis.


time_analyzersoptionspopupcalc

Time Analyze Before Scheduling

If you wish, you can have Open Plan time analyze the project before the resource scheduling operation. To perform time analysis before resource scheduling, select the Time Analyze Before Scheduling option.

If you have not previously performed time analysis on the project, Open Plan chooses this option automatically.


time_limited_resource_schedulingcalc

Time-Limited Resource Scheduling

Time-limited resource scheduling places a priority on maintaining the overall project completion date while attempting to minimize the extent to which any resource is over-utilized. In time-limited resource scheduling, constraints on resource availabilities are not allowed to delay the overall completion date of the project. As a result, resources may be overloaded if doing so prevents an activity from finishing after its late finish date.

In order to maintain the overall project completion date, time-limited resource scheduling may even use resource availabilities that have been reserved for another project. An exception occurs if the hard zero option is set, in which case reserved resources may not be used.

Time-limited resource scheduling places all scheduled dates between the early and late dates of activities. Thus, only activities not on the project critical path can be delayed by resource constraints.

By specifying a sufficiently low resource availability, you can use time-limited resource scheduling to level the overall resource requirements for a project.


time_nowtaoptionpopupcalc

Time Now

If this is the first time you have time-analyzed the project, Open Plan requires that you enter a date for Time Now. Time Now is the current project status date, and Open Plan does not calculate any dates prior to this date. If the project is not yet underway, enter the planned project start date for Time Now. If the project has started and you have entered progress information for one or more activities, Time Now should be the latest date for which all progress information is correct.

Open Plan performs time analysis whenever you change Time Now on this dialog box. To change Time Now without performing time analysis, use the Status tab of the Project Information dialog box.


totalunderstanding_op_cost_calculationspopupcalc

Total

When resources are assigned using any of the available spread curves, Open Plan interprets the value as a specified total of resource units required by an activity regardless of the activity duration. Resources that are assigned in this way can be multiplied by a unit rate to yield a currency value.


Triangular Distribution

Return

Consider the combined score from rolling a pair of dice. The range of possible outcomes is from two to twelve. Yet, as any gambler knows, these outcomes are not equally likely. Rolling a twelve is much less likely than rolling a seven because there are many ways of achieving a seven but only one way to roll a twelve.

If we represent this distribution as a table, we get the following:

Outcome | Probability
2 | 0.028
3 | 0.056
4 | 0.085
5 | 0.111
6 | 0.139
7 | 0.167
8 | 0.139
9 | 0.111
10 | 0.085
11 | 0.056
12 | 0.028

Since the height of the triangle above any point along the x-axis represents the probability of the outcome represented by that point, the illustration shows clearly how much more probable it is to roll a seven than to roll any other number.

In this example, a symmetrical triangle is produced in which the probability declines from the apex at the same rate in both directions.

Not all triangular distributions are symmetrical. Given other circumstances, it would be possible to have a triangular distribution such as this:


try_alternate_resource_to_avoid_delayrsadvancedpopupcalc

Try Alternate Resource to Avoid Delay

This option controls the use of alternate resources in resource scheduling:

  • If selected, this option instructs Open Plan to try using the alternate resource if using the original resource would cause the activity to be delayed beyond its earliest feasible date.

  • If cleared, this option instructs Open Plan to use the alternate resource only to avoid overloading (time-limited resource scheduling) or exceeding the late dates (resource-limited resource scheduling).


Types of Resource Scheduling

Open Plan provides for two basic approaches to resource scheduling:

  • Time-limited resource scheduling

  • Resource-limited resource scheduling

If a resource is required by an activity but no availability has been specified for that resource, Open Plan assumes that the resource is unconstrained and displays a warning during resource scheduling. (You can also specify individual resources as having unconstrained availability at run time.) In this way, you can determine the overall demand for a resource by a project without having constraints imposed by the resource's availability affect the calculation of scheduled dates.

Related Topics and Procedures


understanding_open_plan_cost_calculations_activitycalc

Understanding Open Plan Cost Calculations

Cost calculations are among the most feature-rich aspects of Open Plan. Using cost calculations, you can calculate current values for both budget and actual costs, compare these values to baseline budget and actual costs, and calculate earned value. The following discussion is provided to give you a general understanding of how Open Plan calculates these values.

In Open Plan, all costs come from the cost of the resources assigned to a project. This means that unless a project uses resources, you cannot use Open Plan to calculate or display costs.

Costs calculations take place at all levels within a project:

  • Resource

  • Activity — Open Plan stores the rolled-up values of the budget and actual cost of resources in the activities to which the resources are assigned.

In addition, if a baseline is applied to the project, the cost calculations process can also calculate the budgeted cost of the work scheduled for each activity. Open Plan performs this calculation by looking at what baseline budget value should have been accomplished by the current Time Now date.

Open Plan uses the Project Measurement Baseline (PMB) for this calculation if it exists. If the PMB does not exist, Open Plan uses the currently selected baseline, or, in the case of multiple baselines, the first selected baseline.

Activities also take advantage of many calculated fields to derive values from those that are rolled up. These include:

Name | Field Name
Actual Cost of Work Performed (Cumulative) | ACWPcum
Budget at Completion | BACcum
Budgeted Cost of Work Performed (Cumulative) | BCWPcum
BCWS | BCWScum
Cost Performance Index | CPI
Cost Variance | CV
Estimate at Complete | EAC
Estimate to Complete | ETC
Schedule Performance Index | SPI
Schedule Variance | SV
Variance at Complete | VAC

  • Subproject

  • Project

Related Topics and Procedures


understanding_open_plan_cost_calculations_projectcalc

Understanding Open Plan Cost Calculations

Cost calculations are among the most feature-rich aspects of Open Plan. Using cost calculations, you can calculate current values for both budget and actual costs, compare these values to baseline budget and actual costs, and calculate earned value. The following discussion is provided to give you a general understanding of how Open Plan calculates these values.

In Open Plan, all costs come from the cost of the resources assigned to a project. This means that unless a project uses resources, you cannot use Open Plan to calculate or display costs.

Costs calculations take place at all levels within a project:

  • Resource

  • Activity

  • Subproject

  • Project — Projects inherit their rolled up physical percent complete, budget costs, and actual costs from these values in their activities.

Related Topics and Procedures


understanding_open_plan_cost_calculations_resourcecalc

Understanding Open Plan Cost Calculations

Cost calculations are among the most feature-rich aspects of Open Plan. Using cost calculations, you can calculate current values for both budget and actual costs, compare these values to baseline budget and actual costs, and calculate earned value. The following discussion is provided to give you a general understanding of how Open Plan calculates these values.

In Open Plan, all costs come from the cost of the resources assigned to a project. This means that unless a project uses resources, you cannot use Open Plan to calculate or display costs.

Costs calculations take place at all levels within a project:

  • Resource — The manner in which resources are assigned has ramifications for the way the resource cost is calculated. In Open Plan, resources can be assigned in either of the following two ways:

    • Total

    • Level

Depending on how the resource is defined in the Resource Details dialog box, the rate used in calculating the resource cost can be either a flat rate or one that can escalate over time.

Open Plan recognizes four types of resource category:

    • Labor

    • Material

    • Other Direct Costs

    • Subcontract

Each category is rolled up to fields on the activity by category.

For labor resources, Open Plan rolls up the budget, earned value, scheduled value, actual quantities, and remaining quantities to the activity and subproject levels of the project provided that:

    • Budget is stored in the BAC_QTY field of the activity.

    • Earned value is stored in the BCWP_QTY field of the activity.

    • Scheduled value is stored in the BCWS_QTY field of the activity.

    • Actual quantities are stored in the ACWP_QTY field of the activity.

    • Remaining quantities are stored in the ETC_QTY field of the activity.

For all resource classes, the resource definition table contains a field called the Roll Cost flag. The value of this field is set to True by default. If you change this value to False for a specific resource, Open Plan does not use that resource during cost calculations. To set the value to False, clear the Consider in Cost Calculations option on the General tab of the Resource Details dialog box for that resource.

  • Activity

  • Subproject

  • Project

Related Topics and Procedures


understanding_open_plan_cost_calculations_subprojectcalc

Understanding Open Plan Cost Calculations

Cost calculations are among the most feature-rich aspects of Open Plan. Using cost calculations, you can calculate current values for both budget and actual costs, compare these values to baseline budget and actual costs, and calculate earned value. The following discussion is provided to give you a general understanding of how Open Plan calculates these values.

In Open Plan, all costs come from the cost of the resources assigned to a project. This means that unless a project uses resources, you cannot use Open Plan to calculate or display costs.

Costs calculations take place at all levels within a project:

  • Resource

  • Activity

  • Subproject — Subprojects may have their own resources assigned to them. Typically, resources that are assigned at the subproject level are those that work as long as the subproject takes. These are known as Level of Effort resources. The cost calculations that are performed at the subproject level are the same as those performed at the activity level.

In addition, the Include Child Activity Values in Subproject Costs option on the Cost Calculations dialog box has ramifications for cost calculations:

    • If this option is selected, Open Plan rolls up budget and actual values from child activities to their parent subprojects.

    • If this option is cleared, a subproject calculates budget values from its own resources but not from child activities.

If you report on a project using subsectioned views, you may wish to turn this feature off in order to avoid double counting the activity cost by including it in both the activity and its parent subproject.

The subproject physical percent complete (PPC) is calculated by summing the activity BCWP values of the activity and dividing by the summed baseline BAC cost fields for all categories:

Subproject PPC =

Sum(BCWP_CST)

  • Project

Related Topics and Procedures


Uniform Distribution

Return

Consider the roll of a single die as a process. There are six possible outcomes (1, 2, 3, 4, 5, or 6), each of which is equally likely. As a result, we can say that each outcome has one chance in six of occurring.

Certainty is defined as 1.0 (or 100 percent). If you divide 1.0 by the six possible outcomes, you can see that each result in this case has a probability of 0.167. You can then construct the following table to represent all the possible outcomes and their probabilities:

Outcome | Probability
1 | 0.167
2 | 0.167
3 | 0.167
4 | 0.167
5 | 0.167
6 | 0.167

We can also chart this distribution of probability using x and y coordinates where x represents the range of outcomes and y represents the probability of each outcome:

Because the probabilities for all the possible outcomes are the same in this case, this type of distribution is called a uniform distribution.


use_activity_calendar_when_calculating_std_deviationstaoptionspopupcalc

Use Activity Calendar When Calculating Std. Deviations

This option controls whether Open Plan should use the activity calendar when calculating standard deviations:

  • If this option is selected, Open Plan uses the activity calendar when calculating standard deviations.

  • If this option is cleared, Open Plan uses the default calendar when calculating standard deviations.


use_fixed_seed_pointraoptionspopupcalc

Use Fixed Seed Point

The seed point is the starting value that Open Plan uses when generating random numbers.

If this option is not selected (the default) Open Plan uses a variable seed point when performing risk analysis. This means that the results of risk analysis may vary each time the operation is performed.

If this option is selected, Open Plan stores and uses a fixed seed point. In this case, the results of risk analysis (assuming the same data) will not vary.

If this option had not been selected the last time risk analysis was performed, there is no stored seed point. Therefore, the effects of selecting this option will not be evident until the next time risk analysis is performed.


use_resource_cost_escalationpopupcalc

Use Resource Cost Escalation

This option controls whether Open Plan should use escalated or unescalated resource costs when calculating costs.

  • If selected, this option instructs Open Plan to use escalated resource costs when calculating project costs.

  • If cleared, this option instructs Open Plan to use unescalated resource costs when calculating project costs.


usedpopupcalc

Used

This column displays the quantity of the suggested resource used to schedule the activity. This numeric value is interpreted by Open Plan as either a quantity per activity time unit or as a total requirement, depending on the Curve setting on resource assignment in the Activity Details dialog box.


using_the_progress_calculations_dialog_box_activitycalc

Using the Progress Calculations Dialog Box

Progress calculations are run for several reasons. Some of these are:

  • To automatically calculate activity status information

  • To update the physical percent complete for BCWP calculations

  • To update resource progress based on activity status

To automatically enter activity status information, enter a new value for Time Now. Open Plan uses this date when it automatically updates activity status.

If you leave the default Time Now date unchanged, Open Plan may not update activity status. This feature is useful if you want to update only the physical percent complete or resource progress values.

By leaving Time Now unchanged, you can run progress calculations more than once during the same reporting cycle. For example, you might want to rerun progress calculations if you had not selected an option when you first performed the calculation and now want to run progress calculations with that option selected.

For example, assume that the last time you ran time analysis you used a Time Now date of January 1. (This becomes the default Time Now date on the Progress Calculations dialog box.) If you change the Time Now date in this dialog box to February 1, Open Plan assumes that all activities with dates before February 1 actually started or completed on those dates. It therefore updates the values in the actual date fields to be the same as the selected date fields.

This dialog box features the following controls:

  • Time Now

  • Matching Filter

  • Activity Progress — If the option to Update Activity Status and Actual Dates is selected, Open Plan allows you to specify the following additional options:

    • Based on Dates

    • Complete if Finished Before Time Now

    • In-Progress if Started Before Time Now

  • Resource Progress

  • Earned Value

  • Progress Dates

Because progress calculations use dates that are calculated during time analysis, that function must be run at least once before you can perform progress calculations. In addition, progress calculations can be performed on a project only while it is open in Exclusive mode.

Typically, project managers might use the progress calculations feature to calculate status for large projects and then enter information for any exceptions manually.

Location

Related Topics and Procedures


using_the_progress_calculations_dialog_box_earned_valuecalc

Using the Progress Calculations Dialog Box

The start date is the start of the period covered by progress calculations. Progress calculations are run for several reasons. Some of these are:

  • To automatically calculate activity status information

  • To update the physical percent complete for BCWP calculations

  • To update resource progress based on activity status

To automatically enter activity status information, enter a new value for Time Now. Open Plan uses this date when it automatically updates activity status.

If you leave the default Time Now date unchanged, Open Plan may not update activity status. This feature is useful if you want to update only the physical percent complete or resource progress values.

By leaving Time Now unchanged, you can run progress calculations more than once during the same reporting cycle. For example, you might want to rerun progress calculations if you had not selected an option when you first performed the calculation and now want to run progress calculations with that option selected.

For example, assume that the last time you ran time analysis you used a Time Now date of January 1. (This becomes the default Time Now date on the Progress Calculations dialog box.) If you change the Time Now date in this dialog box to February 1, Open Plan assumes that all activities with dates before February 1 actually started or completed on those dates. It, therefore, updates the values in the actual date fields to be the same as the selected date fields.

This dialog box features the following controls:

  • Time Now

  • Matching Filter

  • Activity Progress

  • Resource Progress

  • Earned Value — You can update the earned value of the project by selecting the Update Physical Percent Complete option. When selected (and the Base Physical Percent Complete on EVT option is not selected), Open Plan updates the physical percent complete for activities that match the selected filter based on activity status using the following formula:

PPC = (Elapsed duration / Expected duration) x 100

Where:

Elapsed duration is calculated as (Time Now – Actual Start)

Expected duration is calculated as (Finish Date – Actual Start Date)

The Finish Date is based on the user's selection of (early, late, or scheduled) dates.

The Base Physical Percent Complete on EVT option allows you to use the EVT assigned to the activities on the Advanced tab of the Activity Details dialog box when updating the physical percent complete.

  • Progress Dates

Because progress calculations use dates that are calculated during time analysis, that function must be run at least once before you can perform progress calculations. In addition, progress calculations can be performed on a project only while it is open in Exclusive mode.

Typically, project managers might use the progress calculations feature to calculate status for large projects and then enter information for any exceptions manually.

Location

Related Topics and Procedures


using_the_progress_calculations_dialog_box_matching_filtercalc

Using the Progress Calculations Dialog Box

Progress calculations are run for several reasons. Some of these are:

  • To automatically calculate activity status information

  • To update the physical percent complete for BCWP calculations

  • To update resource progress based on activity status

To automatically enter activity status information, enter a new value for Time Now. Open Plan uses this date when it automatically updates activity status.

If you leave the default Time Now date unchanged, Open Plan may not update activity status. This feature is useful if you want to update only the physical percent complete or resource progress values.

By leaving Time Now unchanged, you can run progress calculations more than once during the same reporting cycle. For example, you might want to rerun progress calculations if you had not selected an option when you first performed the calculation and now want to run progress calculations with that option selected.

For example, assume that the last time you ran time analysis you used a Time Now date of January 1. (This becomes the default Time Now date on the Progress Calculations dialog box.) If you change the Time Now date in this dialog box to February 1, Open Plan assumes that all activities with dates before February 1 actually started or completed on those dates. It, therefore, updates the values in the actual date fields to be the same as the selected date fields.

This dialog box features the following controls:

  • Time Now

  • Matching Filter — By selecting a filter from the list, you can limit the scope of the calculations performed by automatic progress. An ellipsis button at the right edge of the dialog box displays the Filters dialog box where you can edit, copy, create, or delete filters.

  • Activity Progress

  • Resource Progress

  • Earned Value

  • Progress Dates

Because progress calculations use dates that are calculated during time analysis, that function must be run at least once before you can perform progress calculations. In addition, progress calculations can be performed on a project only while it is open in Exclusive mode.

Typically, project managers might use the progress calculations feature to calculate status for large projects and then enter information for any exceptions manually.

Location

Related Topics and Procedures


using_the_progress_calculations_dialog_box_progress_datescalc

Using the Progress Calculations Dialog Box

Progress calculations are run for several reasons. Some of these are:

  • To automatically calculate activity status information

  • To update the physical percent complete for BCWP calculations

  • To update resource progress based on activity status

To automatically enter activity status information, enter a new value for Time Now. Open Plan uses this date when it automatically updates activity status.

If you leave the default Time Now date unchanged, Open Plan may not update activity status. This feature is useful if you want to update only the physical percent complete or resource progress values.

By leaving Time Now unchanged, you can run progress calculations more than once during the same reporting cycle. For example, you might want to rerun progress calculations if you had not selected an option when you first performed the calculation and now want to run progress calculations with that option selected.

For example, assume that the last time you ran time analysis you used a Time Now date of January 1. (This becomes the default Time Now date on the Progress Calculations dialog box.) If you change the Time Now date in this dialog box to February 1, Open Plan assumes that all activities with dates before February 1 actually started or completed on those dates. It, therefore, updates the values in the actual date fields to be the same as the selected date fields.

This dialog box features the following controls:

  • Time Now

  • Matching Filter

  • Activity Progress

  • Resource Progress

  • Earned Value

  • Progress Dates — The Start Date and End Date fields are enabled when you chose to update resource progress or earned value.

Open Plan stores the BCWP time-phased. Therefore, you must enter a start date in the Progress Dates section.

Open Plan uses the dates to spread actual costs and quantity for the purpose of cost reporting:

    • Start Date

    • End Date

Because progress calculations use dates that are calculated during time analysis, that function must be run at least once before you can perform progress calculations. In addition, progress calculations can be performed on a project only while it is open in Exclusive mode.

Typically, project managers might use the progress calculations feature to calculate status for large projects and then enter information for any exceptions manually.

Location

Related Topics and Procedures


using_the_progress_calculations_dialog_box_resourcecalc

Using the Progress Calculations Dialog Box

Progress calculations are run for several reasons. Some of these are:

  • To automatically calculate activity status information

  • To update the physical percent complete for BCWP calculations

  • To update resource progress based on activity status

To automatically enter activity status information, enter a new value for Time Now. Open Plan uses this date when it automatically updates activity status.

If you leave the default Time Now date unchanged, Open Plan may not update activity status. This feature is useful if you want to update only the physical percent complete or resource progress values.

By leaving Time Now unchanged, you can run progress calculations more than once during the same reporting cycle. For example, you might want to rerun progress calculations if you had not selected an option when you first performed the calculation and now want to run progress calculations with that option selected.

For example, assume that the last time you ran time analysis you used a Time Now date of January 1. (This becomes the default Time Now date on the Progress Calculations dialog box.) If you change the Time Now date in this dialog box to February 1, Open Plan assumes that all activities with dates before February 1 actually started or completed on those dates. It, therefore, updates the values in the actual date fields to be the same as the selected date fields.

This dialog box features the following controls:

  • Time Now

  • Matching Filter

  • Activity Progress

  • Resource Progress — Open Plan allows you to update the resource remaining quantity and the resource actual quantity separately or at the same time. Open Plan performs the calculations based on options selected on the General tab of the Resource Details dialog box for resources defined as supporting progress calculations in the Resource (OPP_RES) table.

  • Earned Value

  • Progress Dates

Because progress calculations use dates that are calculated during time analysis, that function must be run at least once before you can perform automatic progress. In addition, progress calculations can be performed on a project only while it is open in Exclusive mode.

Typically, project managers might use the progress calculations feature to calculate status for large projects and then enter information for any exceptions manually.

Location

Related Topics and Procedures


using_the_progress_calculations_dialog_box_time_nowcalc

Using the Progress Calculations Dialog Box

Progress calculations are run for several reasons. Some of these are:

  • To automatically calculate activity status information

  • To update the physical percent complete for BCWP calculations

  • To update resource progress based on activity status

To automatically enter activity status information, enter a new value for Time Now. Open Plan uses this date when it automatically updates activity status.

If you leave the default Time Now date unchanged, Open Plan may not update activity status. This feature is useful if you want to update only the physical percent complete or resource progress values.

By leaving Time Now unchanged, you can run progress calculations more than once during the same reporting cycle. For example, you might want to rerun progress calculations if you had not selected an option when you first performed the calculation and now want to run progress calculations with that option selected.

For example, assume that the last time you ran time analysis you used a Time Now date of January 1. (This becomes the default Time Now date on the Progress Calculations dialog box.) If you change the Time Now date in this dialog box to February 1, Open Plan assumes that all activities with dates before February 1 actually started or completed on those dates. It, therefore, updates the values in the actual date fields to be the same as the selected date fields.

This dialog box features the following controls:

  • Time Now — This field controls the status date to be used for the progress calculations. The date in this field should be advanced before performing this function. An ellipsis button at the right edge of the dialog box displays a calendar from which you can select and enter a date.

  • Matching Filter

  • Activity Progress

  • Resource Progress

  • Earned Value

  • Progress Dates

Because progress calculations use dates that are calculated during time analysis, that function must be run at least once before you can perform progress calculations. In addition, progress calculations can be performed on a project only while it is open in Exclusive mode.

Typically, project managers might use the progress calculations feature to calculate status for large projects and then enter information for any exceptions manually.

Location

Related Topics and Procedures


date_formats_cal

Date Formats

For example, you can use any of the following date formats:

Date Illustration | Notes
10/3/2007 or 10/3/07 | You can also use a space or any punctuation mark except the colon (:) as a separator. You can also abbreviate the year to the last 2 digits (07 in this example). Open Plan uses the date format set in Windows to determine whether the first number is the month or the date.
October 3 2007 or October 3 07 | You can also abbreviate the year to the last 2 digits (07 in this example). Open Plan recognizes the language set for your computer.
Oct 3 2007 or Oct 3 07 | You can use the 3-letter abbreviation for the month. You can also abbreviate the year to the last 2 digits (07 in this example).


displaying_the_add_calendar_dialog_boxcal

To display the Add Calendar dialog box, click New on the Manage Calendars dialog box.


displaying_the_add_child_calendar_dialog_boxcal

To display the Add Child Calendar dialog box, select a calendar on the Manage Calendars dialog box and click Add Child.


displaying_the_calendar_preferences_color_tabcal

To display the Color tab, click Color on the Calendar Preferences dialog box.


displaying_the_calendar_preferences_layout_tabcal

To display the Layout tab, click Layout on the Calendar Preferences dialog box.


displaying_the_copy_calendar_dialog_boxcal

To display the Copy Calendar dialog box, select a calendar on the Manage Calendars dialog box and click Copy.


displaying_the_define_work_hours_dialog_boxcal

To display the Define Work Hours dialog box, do one of the following:

  • Select a date in a calendar and click Define Work Hours on the Edit menu.

  • Right-click a date on a calendar and click Define Work Hours on the shortcut menu.

  • Double-click a date in a calendar.

  • Select the date and press the Ctrl+Spacebar keys.


displaying_the_define_work_week_dialog_boxcal

To display the Define Work Week dialog box, click Define Work Week on the Edit menu when a calendar is displayed.


displaying_the_go_to_date_dialog_box_calendarcal

To display the Go to Date dialog box, do either of the following:

  • Right-click a calendar and click Go to Date on the context menu.

  • Display a calendar and click Go to Date on the View menu.


displaying_the_manage_calendars_dialog_boxcal

To display the Manage Calendars dialog box, do one of the following:

  • Right-click a calendar and click Manage Calendars on the context menu.

  • Click Manage Calendars on the Edit menu when a calendar is displayed.


displaying_the_manage_holidays_dialog_boxcal

To display the Manage Holidays dialog box, do either of the following:

  • Right-click a calendar and click Manage Holidays on the context menu.

  • Click Manage Holidays on the Edit menu when a calendar file is open.


displaying_the_print_calendar_dialog_boxcal

To display the Print dialog box, display a calendar and click Print on the File menu.


displaying_the_rename_calendar_dialog_boxcal

To display the Rename Calendar dialog box, select a calendar on the Manage Calendars dialog box and click Rename.


seealso_calendar_preferences_color_tabcal

Related Topics:

Using the Define Work Week Dialog Box

Using the Calendar Preferences Dialog Box

Calendar Preferences Layout Tab

Related Procedure:

Setting Calendar Color Preferences


seealso_calendar_preferences_layout_tabcal

Related Topics:

Using the Define Work Week Dialog Box

Using the Calendar Preferences Dialog Box

Calendar Preferences Color Tab

Related Procedure:

Setting Calendar Options


seealso_how_the_calendar_displays_informationcal

Related Topics:

Using the Define Work Week Dialog Box

Using the Define Work Hours Dialog Box

Using the Calendar Preferences Dialog Box

Using the Manage Calendars Dialog Box

Using the Manage Holidays Dialog Box

Related Procedures:

Creating a New Calendar

Changing the Displayed Year

Entering a Holiday

Entering an Extra Work Day

Changing the Work Status of a Day


seealso_understanding_hierarchical_calendarscal

Related Topic:

Using the Add Child Calendar Dialog Box

Related Procedure:

Adding a Child Calendar


seealso_using_calendarscal

Related Topics:

How the Calendar Displays Information

Planning

Related Procedures:

Creating a Calendar File

Copying a Calendar File

Deleting a Calendar File

Using the Open Plan Explorer to Assign a Calendar File

Using Project Properties to Assign a Calendar File


seealso_using_the_add_calendar_dialog_boxcal

Related Topic:

Using the Manage Calendars Dialog Box

Related Procedures:

Creating a New Calendar

Adding a Child Calendar

Copying a Calendar

Renaming a Calendar


seealso_using_the_calendar_preferences_dialog_boxcal

Related Topics:

Calendar Preferences Color Tab

Calendar Preferences Layout Tab

Related Procedures:

Setting Calendar Color Preferences

Setting Calendar Options


seealso_using_the_copy_calendar_dialog_boxcal

Related Topic:

Using the Manage Calendars Dialog Box

Related Procedures:

Creating a New Calendar

Adding a Child Calendar

Copying a Calendar

Renaming a Calendar


seealso_using_the_define_work_hours_dialog_boxcal

Related Topics:

Using the Define Work Week Dialog Box

Using the Calendar Preferences Dialog Box

Related Procedure:

Defining the Work Hours for a Day


seealso_using_the_define_work_week_dialog_boxcal

Related Topics:

Using the Define Work Hours Dialog Box

Using the Calendar Preferences Dialog Box

Calendar Preferences Color Tab

Calendar Preferences Layout Tab

Related Procedure:

Defining the Standard Work Week


seealso_using_the_go_to_date_dialog_box_calendarcal

Related Topic:

How the Calendar Displays Information

Related Procedures

Selecting Dates on a Calendar

Changing the Work Status of a Day

Changing the Displayed Year


seealso_using_the_manage_calendars_dialog_boxcal

Related Topics:

Using the Add Calendar Dialog Box

Using the Add Child Calendar Dialog Box

Using the Copy Calendar Dialog Box

Using the Rename Calendar Dialog Box

Understanding Hierarchical Calendars

Related Procedures:

Creating a New Calendar

Adding a Child Calendar

Copying a Calendar

Renaming a Calendar

Deleting a Calendar


seealso_using_the_manage_holidays_dialog_boxcal

Related Topic:

How the Calendar Displays Information

Related Procedures:

Entering a Holiday

Entering Multiple Holidays

Entering Company Holidays


seealso_using_the_print_calendar_dialog_boxcal

Related Topic:

Using the Print Setup Dialog Box

Related Procedure:

Printing a Calendar


seealso_using_the_rename_calendar_dialog_boxcal

Related Topic:

Using the Manage Calendars Dialog Box

Related Procedures:

Creating a New Calendar

Adding a Child Calendar

Copying a Calendar

Renaming a Calendar


seealsousing_the_add_child_calendar_dialog_boxcal

Related Topic:

Understanding Hierarchical Calendars

Related Procedure:

Adding a Child Calendar


starting_daycal

Starting Day

Allows you to define the first day of the week. This feature is frequently used in parts of the world where the work week is not normally Monday through Friday.


starting_monthcal

Starting Month

Allows you to define the first month of the year. This feature is frequently used to define a fiscal calendar.


time_formatscal

Time Formats

For example, you can enter time using any of the following time formats:

Date Illustration | Notes
18:30 | Military time uses a 24-hour clock. The number before the colon represents hours. The number after the colon represents minutes.
6:30 pm | The number after the colon represents minutes.
6:30 PM | You can also use uppercase letters for AM and PM. The number after the colon represents minutes.

Regardless of the format you use when entering time, Open Plan always displays time in military time format.


box_colorcodedisplayoptionspopupcodes

Box Color

You can define the color that Open Plan should use for the code box lines as well as for any text that is displayed within the box by selecting from the following options:

  • Default — Selecting this option instructs Open Plan to use the default color.

  • Select Color — Selecting this option displays a Color dialog box that you can use to select a color. The Color dialog box offers a choice of 48 standard colors and up to 16 additional custom colors.

    • You can define custom colors using an enhanced version of the Color dialog box accessed from the Color tab of the Options dialog box.

  • If a color has already been defined for the box color but is not currently used, you can also select that color from the list.


box_sizecodedisplayoptionspopupcodes

Box Size

The following options control the size of the code boxes:

  • Minimum Height — This option controls the minimum height of the code boxes in pixels. You can enter any value between 8 and 100. The default value is 30.

  • Minimum Width — This option controls the minimum width of the code boxes in pixels. You can enter any value between 20 and 200. The default value is 80.


box_stylecodedisplayoptionspopupcodes

Box Style

You can select a style for the code boxes from a list.

Notice that one of the styles has a triangle at the lower-right corner. This triangle is displayed in the selected box color. If you add a note to a code, the code box for that code displays a second triangle that is always black.


categorypopupcodes

Category

This field controls the category of the note. If you are creating a new note, you can select a category from the list of categories set up for the codes file.

Although you can attach multiple notes to a code, you can attach only one note per category.


centeredcodedisplaypopupcodes

Centered

The parent code is centered relative to its children.

In a vertical orientation, the parent code is centered above its children:

In a sideways orientation, the parent code is centered to the left of its children:


charge_element_typecodes

Charge Element Type

Open Plan supports the following types of charge element types:

  • If the code file is a charge element breakdown structure, the charge element may be any of the following types:

    • WBS

    • Cost Account

    • Planning Package

    • Work package

  • If the code file is a milestone file, the charge element may only be a milestone.


code_typepopupcodefilecodes

Code Type

Open Plan supports two types of code file structures:

  • Punctuated Significant — Open Plan uses a punctuation character to separate the part of the code that corresponds to the different levels in the structure.

  • Fixed Format Significant — The length of the code represents the structure level. Apart from the top-level code, each code is based on the name of its parent.

If you attempt to replace one code type with the other code type you will receive an error message: You cannot replace a code file of one structure with a code file of another structure.


codecodes

Code

A code can consist of from 1 to 20 characters, including periods that are used to indicate hierarchical levels.

Codes containing the following four symbols " , | ; are used as delimiters in Open Plan and may cause problems when importing or exporting data.

When you enter a code on the Code Details dialog box, enter only the local portion of the code. Open Plan automatically enters the parent portion of the code.

Open Plan does not distinguish between upper- and lower-case characters in a code and will flag code "WBS01" as a duplicate of code "wbs01."


compressioncodedisplayoptionspopupcodes

Compression

You can choose whether or not to enable compression.

When Uncompressed is selected, the structure may be easier to visualize but will take up more space.

When Compressed is selected, space on the screen is conserved by placing individual codes belonging to one parent code in empty space under another parent code.


descriptioncodes

Description

An extended description of up to 60 characters can be stored for each code.


displaying_the_assign_code_dialog_boxcodes

The Assign Code dialog box is displayed automatically whenever you assign a code file to a project or resource file.


displaying_the_code_details_code_tabcodes

To display the Code tab, click Code on the Code Details dialog box.


displaying_the_code_details_dialog_boxcodes

To display the Code Details dialog box, do one of the following:

  • Display a code window and click Add Code on the Edit menu.

  • Double-click an empty area of a code window.

  • Select a code box in the code window and click Edit Code on the Edit menu.

  • Right-click a code box in the code window and click Add Child or Edit on the context menu.


displaying_the_code_details_notes_tabcodes

To display the Notes Fields tab, click Notes on the Code Details dialog box.


displaying_the_code_details_user_fields_tabcodes

To display the User Fields tab, click User Fields on the Code Details dialog box.


displaying_the_code_display_preferences_box_layout_tabcodes

You can display the Box Layout tab by clicking Box Layout on the Code Display Preferences dialog box.


displaying_the_code_display_preferences_options_tabcodes

To display the Code Display Preferences dialog box, do either of the following:

  • Open a code file and click Preferences on the Tools menu.

  • Right-click an open code view and click Preferences on the shortcut menu.

Open Plan then displays the Options tab by default.


displaying_the_code_file_prompt_dialog_boxcodes

The Code File Prompt dialog box is displayed automatically whenever you assign a code file to either a project or a resource file.


displaying_the_new_code_structure_dialog_boxcodes

The New Code Structure dialog box displays automatically when you create a new code file using default settings.

To display the New Code Structure dialog box, follow these steps:

  1. On the File menu, click New.

  2. In the New File dialog box, select Code.

  3. Enter a name and description for the code.

  4. Click Finish.


fixed_format_significantpopupcodes

Fixed Format Significant

In fixed-format significant codes, the length of the code represents the structure level. Apart from the top-level code, each code is based on the name of its parent.

The maximum number of levels for a Fix Format code file is 10.

The following figure shows an example of part of a fixed-format significant coding system. In this example, 010102 is a child of 0101, which is a child of 01.


fixed_level_lengthpopupcodefilecodes

Fixed Level Length

If you select the Fixed Format Significant code type, these fields are enabled. While Open Plan allows you to define up to 10 levels for the fixed level length, most planners find that 3 or 4 levels are all they need.

At each level, you can define the number of characters that will be used. The number you enter is cumulative.

The following example assumes that three levels have been defined in the code file:

Level | Code Length | Example
Level 1 | 2 | DV
Level 2 | 5 | DV215
Level 3 | 7 | DV21535

Note that the code at Level 2 includes the code of its parent, and that although the code length is defined as 5, only 3 new characters are added to the code.

Similarly, the code at Level 3 includes the code of its parent, and although the code length is defined as 7, only 2 new characters are added to the code.


general_orientationcodedisplayoptionspopupcodes

General

Depending on your layout choice, enabling one, none, or both of the general options gives you the following code hierarchy orientations:

  • Sideways — If selected, the hierarchy is displayed as illustrated.

  • Centered — If selected, the hierarchy is displayed as illustrated. This option also centers the display of the code hierarchy in relation to the display window.

  • Selecting neither option displays the hierarchy as illustrated.

  • Selecting both of the options displays the hierarchy using a combination of the rules. (Note that the display is centered in relation to the display window.)


layoutcodedisplayoptionspopupcodes

Layout

You can choose between the following two layout options:

  • Spread — The way in which the spread layout option displays the code hierarchy depends on the General options you have selected.

  • Ladder — The way in which the ladder layout option displays the code hierarchy depends on the General options you have selected.


non_rotated_columnscodes

Non-Rotated Columns

Non-rotated columns require database storage even when there is no value for a particular record, but reduce loading and saving times.

If a code index (e.g., Code 1, Code 2, Code 3) does not currently have a rotated column assigned to it, then a user has the option of either creating a new column as a rotated or non-rotated column. The process of assigning codes can be performed when creating or changing properties for an Open Plan project.


notepopupcodes

Note

The text box can contain up to 29 KB of text about the selected code. You can enter the text by typing directly in this field or by using the Cut, Copy, and Paste commands to insert text entered in another Windows application such as a word processor or spreadsheet.

You can enter links to files, web pages and email addresses by entering the information in one of the following formats:

  • File links must be entered in the format of: file://c:\document.doc

    • If the file link you enter contains spaces, you must enclose the link with angle brackets ( < > ) in order for the link to work properly:
    <    file://C:\Documents and Settings\All Users\Desktop\test.txt>

  • Universal Resource Locators (URLs) must be entered in the format of: http://deltek.com

  • Email addresses must be entered in the format of: mailto:sales@deltek.com

When a note is attached to the code, a triangle symbol is added to the code in hierarchical views of the code file.


offsetcodedisplaypopupcode

Offset

The parent code is offset relative to its children.

In a vertical orientation, the parent code is displayed above its topmost child:

In a sideways orientation, the parent code is displayed to the left of its leftmost child:


pad_characterpopupcodefilecodes

Pad Character

The character specified as the pad character is used as a suffix to codes that do not use the defined length at a given level.

The following example assumes that three levels have been defined in the code file and that the pad character is "0":

Level | Code Length | Local Portion of Code | Code Example
Level 1 | 2 | DV | DV
Level 2 | 5 | 9 | DV900
Level 3 | 6 | A | DV900A

Note that only a single character is entered in the local portion of the code at Level 2 but that the cumulative code length is defined as 5. Open Plan pads the code out to the required length by adding two 0s as a suffix to the local portion of the code.

You can use any character (including a space) as a pad character.


punctuated_significantpopupcodes

Punctuated Significant

In punctuated significant codes, a period is used to separate the part of the code that corresponds to the different levels in the structure. Apart from the top-level code, each code is based on the name of its parent.

The maximum number of levels for a punctuated significant code file is limited only by the total characters in a row, which is limited to 59.

The following figure shows an example of part of a punctuated significant coding system. In this example, 1.1.2 is a child of 1.1, which is a child of 1.


rotated_columnscodes

Rotated Columns

Rotated columns do not take up space in the database unless they are assigned values; assigned values are stored as records. When the records are accessed, they are "rotated" logically into the more familiar field structures. This method reduces the amount of database storage used when a code column is used sparsely, but may increase the amount of time needed to load and save data, especially if a column of data is densely populated.


seealso_adding_codes_to_a_code_filecodes

Related Topics:

Using the Code Details Dialog Box

Coding Structures in Open Plan

Using Code Files

Using Rotated and Non-rotated Columns with Code Files

Related Procedures:

Adding Codes to a Code File

Adding a Child Code to a Code File

Editing a Code

Finding a Code

Deleting a Code


seealso_code_details_code_tabcodes

Related Topics:

Using Codes in Open Plan

Coding Structures in Open Plan

Using Code Files

Adding Codes to a Code File

Code Details User Fields Tab

Code Details Notes Tab

How a Code Window Displays Information

Using the Assign Code Dialog Box

Related Procedures:

Adding Codes to a Code File

Adding a Child Code to a Code File

Editing a Code

Finding a Code

Deleting a Code


seealso_code_details_notes_tabcodes

Related Topics:

Using Codes in Open Plan

Coding Structures in Open Plan

Using Code Files

Adding Codes to a Code File

Code Details Code Tab

Code Details User Fields Tab

How a Code Window Displays Information

Using the Assign Code Dialog Box

Related Procedures:

Adding Codes to a Code File

Adding a Child Code to a Code File

Editing a Code

Finding a Code

Deleting a Code

Attaching a Note to a Code

Editing a Code Note

Deleting a Code Note

Creating a Note Category

Editing a Note Category

Deleting a Note Category


seealso_code_details_user_fields_tabcodes

Related Topics:

Using Codes in Open Plan

Coding Structures in Open Plan

Using Code Files

Adding Codes to a Code File

Code Details Code Tab

Code Details Notes Tab

How a Code Window Displays Information

Using the Assign Code Dialog Box

Related Procedures:

Adding Codes to a Code File

Adding a Child Code to a Code File

Editing a Code

Finding a Code

Deleting a Code


seealso_code_display_preferences_box_layout_tabcodes

Related Topics:

How a Code Window Displays Information

Customizing a Code Window

Code Display Preferences Options Tab

Related Procedures:

Displaying Code Descriptions

Setting Code Box Layout Options


seealso_code_display_preferences_options_tabcodes

Related Topics:

How a Code Window Displays Information

Customizing a Code Window

Code Display Preferences Box Layout Tab

Related Procedures:

Changing the Orientation of the Display

Changing the Center Setting for the Display

Changing the Display of Resource and Code IDs

Changing the Hierarchy Display Layout Settings

Using the Zoom Out Command

Displaying Full Code IDs

Displaying Code Descriptions


seealso_coding_structures_in_open_plancodes

Related Topics:

Using Codes in Open Plan

Using Code Files

Using the New Code Structure Dialog Box

How a Code Window Displays Information

Adding Codes to a Code File

Using the Code Details Dialog Box

Using Rotated and Non-rotated Columns with Code Files

Related Procedures:

Adding a Child Code to a Code File

Creating a Code File

Opening a Code File

Copying a Code File

Deleting a Code File

Using the Open Plan Explorer to Assign a Code File to a Project


seealso_customizing_a_code_windowcodes

Related Topics:

How a Code Window Displays Information

Code Display Preferences Options Tab

Code Display Preferences Box Layout Tab

Related Procedures:

Changing the Orientation of the Display

Changing the Center Setting for the Display

Changing the Display of Resource and Code IDs

Changing the Hierarchy Display Layout Settings

Displaying Full Code IDs

Displaying Code Descriptions


seealso_how_a_code_window_displays_informationcodes

Related Topics:

Customizing a Code Window

Code Display Preferences Options Tab

Using Codes in Open Plan

Coding Structures in Open Plan

Using Code Files

Using the New Code Structure Dialog Box

Adding Codes to a Code File

Code Display Preferences Box Layout Tab

Related Procedures:

Moving a Code in the Hierarchy

Collapsing a Parent Code

Expanding a Parent Code

Expanding All Parent Codes

Using the Zoom Out Command


seealso_using_code_filescodes

Related Topics:

Using Codes in Open Plan

Coding Structures in Open Plan

Using the New Code Structure Dialog Box

How a Code Window Displays Information

Adding Codes to a Code File

Using the Code Details Dialog Box

Using Rotated and Non-rotated Columns with Code Files

Related Procedures:

Creating a Code File

Opening a Code File

Copying a Code File

Deleting a Code File

Using the Open Plan Explorer to Assign a Code File to a Project

Moving a Code in the Hierarchy

Collapsing a Parent Code

Expanding a Parent Code

Expanding All Parent Codes


seealso_using_codes_in_open_plancodes

Related Topics:

Coding Structures in Open Plan

Using Code Files

Using the New Code Structure Dialog Box

How a Code Window Displays Information

Adding Codes to a Code File

Using the Code Details Dialog Box

Planning

Using Rotated and Non-rotated Columns with Code Files

Related Procedures:

Creating a Code File

Opening a Code File

Copying a Code File

Deleting a Code File

Using the Open Plan Explorer to Assign a Code File to a Project


seealso_using_rotated_and_non_rotated_columns_with_code_files

Related Topics:

Using Codes in Open Plan

Coding Structures in Open Plan

Using Code Files

Adding Codes to a Code File

Code Details Code Tab

Code Details User Fields Tab

Code Details Notes Tab

How a Code Window Displays Information

Related Procedures:

Adding Codes to a Code File

Adding a Child Code to a Code File

Editing a Code

Finding a Code

Deleting a Code

Attaching a Note to a Code

Editing a Code Note

Deleting a Code Note

Creating a Note Category

Editing a Note Category

Deleting a Note Category


seealso_using_the_assign_code_dialog_boxcodes

Related Topics:

Using the Code File Prompt Dialog Box

Using Codes in Open Plan

Coding Structures in Open Plan

Using Code Files

Adding Codes to a Code File

Using the Code Details Dialog Box

How a Code Window Displays Information

Using the Open Plan DBA Login Dialog Box

Related Procedures:

Using the Open Plan Explorer to Assign a Code File to a Project

Using Project Properties to Assign a Code File


seealso_using_the_code_details_dialog_boxcodes

Related Topics:

Using Codes in Open Plan

Coding Structures in Open Plan

Using Code Files

Adding Codes to a Code File

Code Details Code Tab

Code Details User Fields Tab

Code Details Notes Tab

How a Code Window Displays Information

Using the Assign Code Dialog Box

Related Procedures:

Adding Codes to a Code File

Adding a Child Code to a Code File

Editing a Code

Finding a Code

Deleting a Code

Attaching a Note to a Code

Editing a Code Note

Deleting a Code Note

Creating a Note Category

Editing a Note Category

Deleting a Note Category


seealso_using_the_code_file_prompt_dialog_boxcodes

Related Topics:

Using Codes in Open Plan

Coding Structures in Open Plan

Using Code Files

Using the Assign Code Dialog Box

Adding Codes to a Code File

Using the Code Details Dialog Box

How a Code Window Displays Information

Related Procedures:

Using the Open Plan Explorer to Assign a Code File to a Project

Using Project Properties to Assign a Code File


seealso_using_the_new_code_structure_dialog_boxcodes

Related Topics:

Using Codes in Open Plan

Coding Structures in Open Plan

Using Code Files

How a Code Window Displays Information

Adding Codes to a Code File

Using the Code Details Dialog Box

Planning

Related Procedures:

Creating a Code File


seealso_using_the_open_plan_dba_login_dialog_boxcodes

Related Topics:

Using the Assign Code Dialog Box

Using the Code File Prompt Dialog Box

Using Codes in Open Plan

Coding Structures in Open Plan

Using Code Files

Adding Codes to a Code File

Using the Code Details Dialog Box

How a Code Window Displays Information

Related Procedures:

Using the Open Plan Explorer to Assign a Code File to a Project

Using Project Properties to Assign a Code File


show_full_idcodedisplayoptionspopupcodes

Show Full ID

Unless this option is selected, only the local portion of the code ID is displayed in the code box.


sidewayspopupcodes

Sideways

The top parent codes are displayed at the left of a code structure, with the child codes arranged to the right of them.

You can display codes in a sideways orientation as a ladder:

And, you can display codes in a sideways orientation as a spread:


Using Rotated and Non-rotated Columns with Code Files

Code files are stored as either a rotated column or as a permanent column in the code’s associated table.

  • Rotated Columns

  • Non-Rotated Columns

Only users who have system administrator rights may make changes to the structure of a database table. That means that anyone attempting to make structural changes will be prompted to log in as the System Administrator. The user will be prompted for this login even if he is currently logged in as the System Administrator.

Related Topics and Procedures


verticalcodes

Vertical

The top parent codes are displayed at the top of the structure, with the child codes arranged beneath them.

You can display codes in a vertical orientation as a ladder:

And, you can display codes in a vertical orientation as a spread:


about_open_plantoolbarpopupcommon

About Open Plan

Clicking this button displays a message box with the following information about your copy of Open Plan:

  • Version number

  • Copyright notice

  • Serial number

  • Name of registered user

  • Company of registered user


access_modepopupcommon

Access Mode

Open Plan supports the following access modes:

  • Exclusive — In this mode, you have exclusive access to the file. Other users can only open the file in read-only mode (regardless of their access rights to the file).

  • Read Only — In this mode, you can view the data in the file and copy the file using the Save As command. However, you cannot modify the original file in any way.

  • Shared — In this mode, you can read and write to the original project file. More than one user may have shared access to a file at the same time.

When you open a file by right-clicking an icon in the Open Plan Explorer, Open Plan also allows you to select Default. This option opens the file in the access mode that was identified as the default on the General tab of the Properties dialog box.


accesscontrolpropertiespopupcommon

Access Control

This tab is displayed for all auxiliary files and views.

In addition to information about the name, owner, and description of the object, the Access Control tab provides information about the access rights that users with a given group and role assignment have to the object.


add_missing_data_to_target_data_sourcedatamissingrestorepopupcommon

Add Missing Data to Target Data Source

Clicking this button instructs Open Plan to add the missing data fields to the file that will be modified by the restore operation.


add_to_filter_toolbarpopupcommon

Add to Filter

This option takes a selection range and adds the selection values to the currently selected filter based on the following rules:

  • Multiple selections within a column are added to the filter with an OR EQUALS condition

  • Multiple selections across columns are added to the filter with an AND EQUALS condition


address_field_editadvisoremailspopuupcommon

Address field

You can select any field from this list. When an email advisory is generated, it is addressed to any valid entries in the field that you select.

For example, assume that you have assigned CLEANOBS in the C1 field for your project and that you have entered the following email addresses in the Description field for the E&D code in CLEANOBS:

johndoe@company.com;marydoe@company.com

Open Plan would generate an email advisory to both johndoe and marydoe for all the activities that have a code of E&D (and that have not been excluded by a filter).

Create a separate code field containing email addresses that you can assign to your project.

You can also specify an addressee by selecting the following fields:

  • <Project Manager Email> — Selecting this field sends the email advisory to the address specified in the Project Manager Email Address field on the Summary tab of the Project Properties dialog box for the project.

  • <Resource Managers Email> — Selecting this field sends the email advisory to all resource managers identified in the resource file associated with the project.

  • <Subproject Manager Email> — If the project contains external subprojects, selecting this field sends the email advisory to the Project Manager Email Address defined in the specific external subproject containing the triggering event.

If you select <Subproject Manager Email> for a project containing no subprojects, Open Plan sends the advisory to the address specified by the <Project Manager Email> field.


address_format_editadvisoremailspopuupcommon

Address format

You can choose between the following two address formats:

  • Embedded in the field — Use this option when combining address and non-address information in the same field. If you select this option, the address must be in the following format:

    • [mailto:johndoe@company.com]

  • Listed in the field — When using this option, do not include any non-address information in the field, and separate the email addresses by semicolons (;) as in the following example:

    • ;johndoe@company.com;marydoe@company.com


all_userssendmessagecommon

All Users

Select the All Users option if you wish to send a message to all logged in users.


allowactivexinbrowserviewcommon

AllowActiveXInBrowserView

When you view a Web page locally from within Open Plan, this option allows the local page to access OLE objects and ActiveX controls without issuing a warning.

0 = A warning is issued if the local page contains OLE objects and/or ActiveX controls. You are also prompted as to whether or not you want to allow the interaction for this Web page.

1 = OLE objects and ActiveX controls are allowed without issuing a warning.

If you link to a page outside the local zone, this setting no longer applies, and your browser’s default security takes over.


allowscriptinbrowserviewcommon

AllowScriptInBrowserView

When you view a Web page locally from within Open Plan, this option allows the local page to run scripts without issuing a warning.

0 = A warning is issued if the page contains scripts.

It is possible that your browser is already configured to run scripts without first issuing a warning. If this is the case, setting this option to 0 does not override the browser setting.

1 = No warning is issued if the page contains scripts.

If you link to a page outside the local zone, this setting no longer applies, and your browser’s default security takes over.


allowzerobaselineusageviewcommon

AllowZeroBaselineUsage

This option helps with Cobra integration by allowing Open Plan to save zero (0) resource usage to the Baseline Usage (BSU) table.

0 = Open Plan does not save zero resource usage. This is the default setting.

1 = Open Plan saves zero resource usage.


application_nameextensionpopupcommon

Application Name

This field identifies the name of the application for which you are adding connectivity. This field is automatically populated when the .dll file is entered in the DLL File Name field.


apply_prefix_to_activity_id_stemplatepopupcommon

Apply Prefix and/or Suffix to Activity ID's

If the project template is inserted directly into the project (Normal mode), this option instructs Open Plan to add a user-defined prefix and/or suffix to the template activity ID’s to ensure that the ID’s are unique.

If a prefix or suffix is not added and the activity ID’s in the project template are the same as in the project, Open Plan will use its Automatic Numbering system to renumber the template ID’s.


applyprintoptionspopupcommon

Apply

Applies the print options to the view and leaves the dialog box open.


argumentcommon

Arguments

You can specify any number of the following parameters to be passed automatically to the application on the command line. Open Plan supplies these parameters on the command line when launching the browser view.

Parameter

Description

%P

The currently selected project (View or Open Plan Explorer)

%S

The currently selected project in Open Plan Explorer

%A

The currently selected Activity ID

%R

The currently selected Resource file (View or Open Plan Explorer)

%r

The currently selected resource

%b

The currently selected code

%B#

Passes the name of the code file in position # in the active open project

%C

The currently selected calendar name (View or Open Plan Explorer)

%c

The currently selected calendar

%M

Allow multiple instances of the selected tool

%U

The currently logged in user’s ID

%W

The encrypted password for the current user

%V

The current view

%E

Launch the file/link in an external Internet browser window

%I

Allows Internet browser to open within an Open Plan window. If the %I is specified, Open Plan formats the other parameters as a URL query string (for example, %P and %A will be passed as ?P=ProjectName&A=ActivityId)

If data-specific parameters are used, Open Plan reloads the page that was initially loaded in the internal window with an updated query string each time the selected value (project, activity ID, resource, and so on) changes.

%T

When %I is used, tiles the internal browser window

%D

Launches the file/link in a dockable internal browser

%X

Maximizes an internal browser window

If the %I, %D, or %E argument is used, Open Plan attempts to execute the command line using a browser object or application, respectively. In this situation, you may specify a data file to be launched (in conjunction with an application) or a URL. If the executable must be specified in the command line, omit the %I (for example, Wordpad.exe MyNotes.txt). In this case, the executable is launched within its own (external) window. If the document type is associated on your computer with an application, an internal browser view may be created using the syntax <Document_Name> %I (for example, MyNotes.txt). Remember, if you use either the %I or %E parameters, you need to specify the document to be launched, rather than the application that will launch it. In addition, if a Visual Basic application is launched, you should not use any of the Internet-specific parameters because Open Plan will "canonicalize" the command-line (that is, question marks will be inserted before the arguments). Since VB applications do not understand "canonicalized" arguments, they will fail.


auto_time_analysisnewfilewizardstatusinformationpopupcommon

Auto Time Analysis

If you select this option, Open Plan will perform time analysis each time the data in the project changes.


auxiliary_filescommon

Auxiliary Files

This field is displayed when you are creating a resource file. It controls the default access mode (Exclusive, Shared, or Read Only) of the auxiliary files attached to the resource file.


auxiliary_filespropertiesgeneralpopupcommon

Auxiliary Files

This field controls the default access mode (Exclusive, Shared, or Read Only) of the auxiliary files attached to the resource file.


backing_up_filespopupcommon

Backing Up Files

The backup function allows you to copy a project for archival purposes. When you back up a project, Open Plan copies all the files associated with the project to a file with the extension .bk3. You can also back up individual resource, code, and calendar files. You can save this backup file onto any drive or directory you choose. You can also use any data compression utility to compress the .bk3 file.


bar_data_modetoolbarpopupcommon

Bar Data Mode

Clicking this button allows you to edit the following information about a selected activity on the barchart by dragging your mouse cursor:

  • Target start date

  • Duration

  • Percent complete


bar_setpropertiespreferencespopupcommon

Bar Set

This field is enabled only for Barchart and MultiSplit SpreadSheet views This field allows you to select a bar set to be displayed on the view. If you click the ellipsis at the right edge of the field, Open Plan displays the Bar Sets dialog box that you can use to select the bar set. You can also use that dialog box to create, edit, or modify bar sets.


barcharttooltipsfieldcommon

BarchartToolTipsField

This option allows you to define text to be displayed as a Tool Tip for the barchart. It requires that you enter a single field as the Value. However, in addition to allowing you to enter a standard field, Open Plan also allows you to specify a calculated field that contains exactly the information that you want displayed.

The default value is Description.


barprintmodecommon

BarPrintMode

This option is used to correct problems on certain devices when drawing barchart views that contain bars that use hatch patterns.

0 = Use normal bar drawing method. This is the default setting.

1 = Use alternate bar drawing method.


best_fitdetailspanecommon

Best Fit

Clicking this item modifies the width of the column to accommodate the display of its longest entry.


briefcaseopenplanexplorerpopupcommon

Briefcase

The briefcasing feature of Open Plan allows you to check out a project for exclusive use, either in place or off-site. Once the project has been checked out, you can work on the project and then check the changes back in to the main data source when you have finished.

You cannot, however, modify or delete external subprojects, foreign subprojects, or foreign activities that the project may contain, nor can you create these items.

When checking out a project to another data source, such as a laptop, reference copies of views and auxiliary data are automatically taken. This allows you to work where and when you need to work.

While you have a project checked out, other users may view the project but they cannot save their changes.

By customizing the headings in the Briefcase folder, you can display such information about projects that have been checked out as the following:

  • Who has a project checked out (User ID)

  • The ID of the computer from which the project was checked out (Machine ID)

  • The date that the project was checked out (Checkout Date)

  • The data source into which the project was checked out (Data Source)

The Details display format must be selected in order to display the column headings. This subject is discussed in the topic of this Help system topic "Customizing the Details Display in the Open Plan Explorer."


calcompfixcommon

CalCompFix

This option prevents Open Plan from printing necked bars which are known to cause problems with certain Calcomp plotter drivers due to a problem with the driver support of the GDI Polygon function. This eventually results in a general protection fault in Open Plan.

0 = Print necked bars. This is the default setting.

1 = Do not print necked bars.


calculate_buttonpopupcommon

Calculate

Clicking this button displays the Date Range Options dialog box that you can use to specify how Open Plan should calculate the date range that is displayed on the barchart, resource histogram, or risk histogram view.


calculate_coststoolbarpopupcommon

Calculate Costs

Clicking this button performs cost calculations on the open project using the cost calculation settings currently in effect.


calculate_progresstoolbarpopupcommon

Calculate Progress

Clicking this button performs progress calculations on the open project using the progress calculation settings currently in effect.


calendar_filenewfilewizardfilespopupcommon

Calendar File

This field is displayed when you are creating a project, multiproject, or resource file. You can assign a single calendar file to the file you are creating. The way in which this calendar is used depends on the type of file you are creating:

  • If you are creating a project or multiproject, the calendar you select is used as the default calendar for project calculations.

  • If you are creating a resource file, the calendar you select is used as the default calendar when defining resource availabilities.

Clicking the ellipsis button next to the input field displays a Select dialog box from which you can select an calendar file. If the file you want to use does not yet exist, you can click New on the Select dialog box to create it. Once it is created, the new calendar file is automatically added to the Select dialog box.


calendarpropertiesfilespopupcommon

Calendar

This field controls the calendar file attached to the resource file.

In order to modify the contents of this field, you must have the resource file open in Exclusive mode. If the resource file is not open in Exclusive mode, you may view — but not change — the information in this field.

When you click the ellipsis at the right edge of this field, Open Plan displays the Select dialog box that you can use to assign a calendar file to the resource file.


cancel_data_missing_from_target_data_sourcecommon

Cancel

Clicking this button displays the Restore Process dialog box.


cancel_restore_processpopupcommon

Cancel Restore Process

Choosing this option and clicking OK instructs Open Plan to cancel the entire restore process and close the dialog box.


cancelbackuppopupcommon

Cancel

Clicking this button closes the dialog box without creating the backup file.


canceleditadvisoremailspopuupcommon

Cancel

Clicking the Cancel button closes the Edit Advisor Emails dialog box without creating the advisory.


cancelnewfilepopupcommon

Cancel

Clicking this button closes the New File dialog box without creating the file.


canceloptionspopupcommon

Cancel

Clicking this button closes the Options dialog box without putting your settings into effect.


cancelprintoptionspopupcommon

Cancel

Closes the dialog box without saving the print options.


cancelrestorecommon

Cancel

Clicking this button cancels the restore operation and closes the dialog box


canceltitleblockdefinitionpopupcommon

Cancel

Clicking this button closes the Title Block Definition dialog box without saving your changes.


change_settingstemplatepopupcommon

Change Settings

Selecting a project template from the table and clicking this button displays the Project Template Setup dialog box. This dialog box is used to change the mode in which the template is incorporated into the project and whether or not to add a prefix or suffix to the template activity ID’s.


choose_product_dataadministratorpopupcommon

Choose Product

This text box displays a list of Deltek products that is currently installed, but not yet added to the selected target data source.


clear_allbackuppopupcommon

Clear All

Clicking this button clears all items on the list. No items are marked for inclusion in the backup file.


clear_filter_toolbarpopupcommon

Clear Filter

This option removes the currently selected filter. It is equivalent to displaying the Manage Filters dialog box and choosing Cancel Filter.


clientnewfilesummarypopupcommon

Client

Use this field to specify the name of the client for whom the project is created.


closeadvisorydefinitionpopupcommon

Close

This button closes the Advisory Definitions dialog box.


closing_filespopupcommon

Closing Files

You can close a project file in either of the following ways:

  • By right-clicking the file and clicking Close on the context menu.

  • From within the open project, by clicking Close on the File menu.

You can close a data file by displaying a window with information from the file and clicking Close on the File menu.


code_filesnewfilewizardfilespopupcommon

Code Files

This field is displayed when you are creating a project, multiproject, or resource file. You can assign up to 90 code files to the file you are creating.

Clicking the ellipsis button next to the input field displays the Assign Code dialog box. This dialog box allows you to assign code files for up to 90 code fields in the project or resource file.


code_typepropertiesstructurepopupcommon

Code Type

Open Plan supports two types of code file structures:

  • Punctuated Significant — Open Plan uses a punctuation character to separate the part of the code that corresponds to the different levels in the structure.

  • Fixed Format Significant — The length of the code represents the structure level. Apart from the top-level code, each code is based on the name of its parent.

If you attempt to replace one code type with the other code type you will receive an error message: You cannot replace a code file of one structure with a code file of another structure.


codespropertiesfilespopupcommon

Codes

This field controls the code files attached to the resource file.

In order to modify the contents of this field, you must have the resource file open in Exclusive mode. If the resource file is not open in Exclusive mode, you may view — but not change — the information in this field.

When you click the ellipsis at the right edge of this field, Open Plan displays the Assign Code dialog box that you can use to assign codes to up to 90 code fields on the resource file.


collapse_alltoolbarpopupcommon

Collapse All

Clicking this button collapses all expanded items and displays only the top level of the hierarchy.


collapsetoolbarpopupcommon

Collapse

Clicking this button hides the children of the subproject and allows you to work with the data at a summary level.


collectiondatamissingrestorepopupcommon

Collection

This column displays the name of the table in which the missing data field will be created if you choose to add the missing data to the target data source.


column_listdetailspanecommon

Column List

At the top of the context menu, Open Plan displays a list of columns that are currently displayed.


command_line_infopopupcommon

Command-Line Info

This tab is displayed only for browser views.

In addition to information about the name, owner, and description of the object, the Command-Line Info tab provides the following information about the browser view:

  • The command used to execute the view

  • The argument specified to be used by the command


commandcommon

Command

This field displays the command line to be executed when the browser view is run. For example, the command line could be the path to an executable file or a Visual Basic application. It may also be a URL to a specific Webpage.


companynewfilesummarypopupcommon

Company

Use this field to specify your company name.


conversionsnewfilewizardpreferencespopupcommon

Conversions

Since Open Plan stores all durations internally in minutes, conversion factors are required when a duration is entered in a format other than minutes or hours.

Three settings control the way in which Open Plan converts durations into minutes from different time units:

  • per Day — Controls the number of hours and minutes per day that are used in the conversion. The default setting is 8 hours and 0 minutes.

  • per Week — Controls the number of hours and minutes per week that are used in the conversion. Typically, this would be the number of hours per day multiplied by the number of work days in a week. The default setting is 40 hours and 0 minutes.

  • per Month — Controls the number of hours and minutes per month that are used in the conversion. Typically, this would be the number of hours per day multiplied by the number of work days in a month. The default setting is 160 hours and 0 minutes.


copyadvisorydefinitionpopupcommon

Copy

When you select an advisory definition and click Copy, Open Plan displays a copy of the definition in the Edit Advisor Emails dialog box. The name of the advisory definition is preceded by the word "Copy_". You can either accept this default name or change it to a unique name.


copying_filespopupcommon

Copying Files

You can copy a file by opening it, clicking Save As on the File menu, and giving your file a new name.


copytitleblockspopupcommon

Copy

When you select a title block and click Copy, Open Plan displays the Title Block Definition dialog box containing the information for the selected title block.

By providing a new name for the title block in the Title Block Definition dialog box and clicking OK, you can create a new title block as a copy of the one selected.


copytoolbarpopupcommon

Copy

Clicking this button while an Open Plan record is selected places a copy of the record on the Open Plan clipboard.

Clicking this button while text is selected places a copy of the selected text on the Windows clipboard.


cost_color_lockedoptionscolorpopupcommon

Cost Color - Locked

The displayed color identifies the color used on the Cost tab of Progress dialog boxes to indicate that the cost field is locked. In addition, this color is also used on the Cost tab of the Project Properties and Activity Information dialog boxes to identify totals.

The ellipsis at the right edge of the field displays a Color dialog box that you can use to select a different color for Cost Color - Locked. You can select from any of the 48 Basic colors or any of the pre-defined Custom colors. You can also use the panel on the right side of the Color dialog box to define additional custom colors.


cost_coloroptionscolorpopupcommon

Cost Color

The displayed color identifies the color used on the Cost tab of Progress dialog boxes to indicate that you can enter a cost value in the field. In addition, this color is also used on the Cost tab of the Project Properties and Activity Information dialog boxes to identify item level costs.

The ellipsis at the right edge of the field displays a Color dialog box that you can use to select a different color for Cost Color. You can select from any of the 48 Basic colors or any of the pre-defined Custom colors. You can also use the panel on the right side of the Color dialog box to define additional custom colors.


create_a_new_file_as_a_copy_of_an_existing_filepopupcommon

Create a new file as a copy of an existing file

This option is always displayed. If you choose this option, the wizard enables a list of files of the type your are creating that are currently stored in the database. For example, if you are creating a resource file, the text box contains a list of currently stored resource files.

You must use this list to select the file to be used as a template.

If you are creating a project and choose to use a master project as the model, Open Plan prompts you to open the external subprojects. If you open these external subprojects, they will become internal subprojects in the new project. If you prefer to keep them as external subprojects, do not open them.


create_a_new_file_from_default_projectpopupcommon

Create a New File From a Default Project

This option is only available when the Create New Projects Using Default Project option is selected on the Project tab of the Options dialog box. It creates a new project from the default project you selected earlier.

When this option is available, all other options are dimmed.


create_a_new_file_from_project_templatespopupcommon

Create a new file from project templates

This option is displayed if you are creating a new project or new project template. Selecting this option enables the Project Templates page of the wizard that allows you to select templates to use for the project.


create_a_new_filepopupcommon

Create a new file

This option is always displayed. It allows you to create a new file using the settings you determine on the remaining pages of the wizard.

If you click Finish at any point during the wizard process, Open Plan immediately creates the new file, using default settings for the remaining pages of the wizard.


create_edit_delete_or_apply_a_filter

Create, Edit, Delete, or Apply a Filter

This option opens the Filters dialog box where you may create, edit, delete or apply filters.


create_new_projects_using_default_projectoptionsprojectpopupcommon

Create New Projects Using Default Project

This option controls whether new projects are created as copies of a default project:

  • Selecting this option enables two drop-down lists:

    • File Type — You can select Project or Project Template

    • File Name — You can select the file name from the list.

  • If this option is cleared, Open Plan does not open a default project when you create a new project.


create_summary_usage_based_onnewfilesummarypopupcommon

Create Summary Usage Based On

Enabled when you select the Create Summary Usage Upon Saving Project option, this field allows you to specify the type of dates (early, late, or scheduled) that Open Plan should use when creating the summary usage record.


create_summary_usage_upon_saving_projectnewfilesummarypopupcommon

Create Summary Usage Upon Saving Project

Selecting this option instructs Open Plan to populate the Project Summary Usage (PSU) table when the project is saved. Open Plan uses this data when performing resource scheduling on a number of projects at one time.


create_tablespopupcommon

Create Tables

This option is only available to select when you have a totally new database to add to your Open Plan installation. If Open Plan finds no new database, this option is dimmed.


creating_new_filespopupcommon

Creating New Files

You can create a new project or data file using any of the following methods:

  • Click New on the File menu.

  • Click the New [image] button on the toolbar.

  • Press Ctrl+N.


current_displayprintoptionspopupcommon

Current Display

If you click this option, Open Plan bases the date range of the printed report on what is currently displayed in the barchart, resource histogram, or risk histogram view. If you resize the window in which the view is displayed, Open Plan recalculates the date range to print only the data that is actually displayed.


customize_columnsdetailspanecommon

Customize Columns

Clicking this item displays the dialog box that you can use to specify the fields that are displayed in the contents pane.

You can also display the Customize Columns dialog box by double-clicking anywhere on the header bar.


customize_system_add_ins_toolbarcommon

Customize System Add-Ins Toolbar

Clicking this button displays the Customize Toolbar dialog box that you can use to select the custom tools to display on the System Add-Ins toolbar.

The System custom tools are defined in the addins.dat file located in the Open Plan root directory.


customize_user_add_ins_toolbarcommon

Customize User Add-Ins Toolbar

Clicking this button displays the Customize Toolbar dialog box that you can use to select the custom tools to display on the User Add-Ins toolbar.

The User custom tools are defined in the addins.dat file located in the User folder of the Open Plan directory.


cuttoolbarpopupcommon

Cut

Clicking this button while an Open Plan record is selected removes the record from its current location and places it on the Open Plan clipboard.

Clicking this button while text is selected removes the selected text from its current location and places it on the Windows clipboard.


data_access_modepropertiesgeneralpopupcommon

Data Access Mode

This field displays the current data access mode:

  • Not open

  • Exclusive

  • Shared

  • Read-only


date_field_used_on_barcharttracepathcommon

Date field used on Barchart

This is the date field the Trace Critical Path tool uses for drawing the bars on the Barchart report.


date_rangepopupcommon

Date Range

The date range options are available when you are defining print options for a barchart, resource histogram, or risk histogram view. These options control the range of dates to be included in the report using the following settings:

  • From — Displays the earliest date to be included in the report

  • To — Displays the latest date to be included in the report

Using the From and To fields, you can indicate a specific range of dates to be included in the report, or you can have Open Plan calculate the date range for you.

To have Open Plan calculate the date range click Calculate and enter the appropriate information in the Date Range Options dialog box.


default_access_modenewfilewizardpreferencespopupcommon

Default Access Mode

Using the Default Access Mode fields, you can set separate default access modes for the project and for its auxiliary files. Both the Desktop and the Professional editions of Open Plan feature the following access modes:

  • Exclusive — A project or auxiliary file opened in Exclusive mode can be opened by other users only in Read Only mode. When you have a file open in Exclusive mode, you can save any changes you make. You can also close the file without saving your changes.

  • Read Only — This mode allows you to view the project or auxiliary file. You cannot, however, make any changes to the file while you have it open in this mode.

The Professional edition of Open Plan also features the Shared mode. This mode allows two or more users to access a file and work with the data at the same time. When you have a file open in Shared mode, any changes that you make to the file are automatically saved as soon as they are made. This provides all users who have the file open with the latest information.


default_access_modepopupcommon

Default Access Mode

This field is displayed only when you are creating an auxiliary (resource, calendar, or code) file.

If you are creating a new project, the Default Access Mode field is displayed on the Preferences page of the wizard.

The setting you choose determines the default access mode when the file is opened. Both the Desktop and the Professional editions of Open Plan support two access modes:

  • Exclusive — A file that is open in Exclusive mode by one user can be opened only in Read Only mode by other users. When you have a file open in Exclusive mode, you can save any changes you make. You can also close the file without saving your changes.

  • Shared — If the file is open in Shared mode, multiple users can have access to the file at the same time. Open Plan saves the data whenever a user clicks OK on a dialog box that uses the shared file. This provides all users who have the file open with the latest information.

    • Shared mode is not available for Open Plan Desktop.

  • Read Only — If the file is open in Read Only mode, can view the file. You cannot, however, make any changes to the file while you have it open in this mode.

You can set a default access mode for the project and the auxiliary (code, resource, calendar) files independently.


default_access_modepropertiesgeneralpopupcommon

Default Access Mode

This field controls the default access mode (Exclusive, Shared, or Read Only) of the file or view.

If the object is an auxiliary file, you must have it open in Exclusive or Shared mode in order to modify the the contents of this field. If the file is not open, or open in read-only mode, you may view — but not change — the information in this field.


default_activity_calendarnewfilewizardpreferencespopupcommon

Default Activity Calendar

The default calendar to be used for all new activities within the project. Using a default activity calendar makes it easier to share one calendar file over all projects.


default_activity_typenewfilewizardpreferencespopupcommon

Default Activity Type

You can use this field to select one of the following default activity types for the project:

  • ASAP

  • Start Milestone

  • Discontinuous

  • Hammock

  • External Subproject

  • ALAP

  • Finish Milestone

  • Subproject

  • Effort Driven


default_date_formatnewfilewizardpreferencespopupcommon

Default Date Format

This option controls the default format Open Plan uses for dates. For new projects, the default format is 31Dec07. However, you can choose from many other formats as well. If you later enter a date in a different format, Open Plan attempts to convert it to the format you selected as the default.

For example, if your default date format is 31Dec01, Open Plan makes the following conversions:

  • If you enter "31dec" and 2007 is the current year, Open Plan interprets the date as 31Dec07.

  • Open Plan always interprets 13/12/07 December 13, 2007, since 13 cannot be interpreted as a month.

If the date you enter is all numeric (for example, 10/01/07), Open Plan uses the order of month and year from your Windows system.


default_duration_unitsnewfilewizardpreferencespopupcommon

Default Duration Units

By specifying a default duration unit, you can enter durations in the project without specifying a unit. You can specify any of the following units: Minutes, Hours, Days, Weeks, or Months.


default_open_modeoptionsgeneralpopupcommon

Default Open Mode

The selection you make from this list sets the default access mode (Exclusive, Shared, or Read-Only) for new projects and auxiliary files.

The Shared mode is not supported in the Desktop edition of Open Plan. If you are using the Desktop edition and select Shared, Open Plan immediately substitutes Exclusive.


default_relationship_calendarnewfilewizardpreferencespopupcommon

Default Relationship Calendar

The default calendar Open Plan should use for all new relationships within the project.


default_timesoptionsgeneralpopupcommon

Default Times

The Default Times options allow you to set the Start and Stop times for data entry of dates and finish dates. If data in a date field is entered without a time, the default Start time will automatically be used. If data in a finish date field is entered without a time, the default Stop time will automatically be used. The default start and stop times must be entered based on a 24-hour clock. For example, for an 8-hour day that begins at 8:00 AM, you would enter:

  • Start — 8:00

  • Stop — 16:00

The default times also affect how dates are displayed in dialog boxes when the dates have a time that differs from the default. If a date or finish date field contains a time that differs from the Default Times options, the time will be displayed in dialog boxes that contain the field regardless of the current date format.


delete_all_existing_usersadministratorpopupcommon

Delete All Existing Users

Since the SYSADMIN user, group, and role must always exist, this option is enabled only when the Install Default User Account is selected.

Selecting the Delete All Existing Users deletes all user information from the security table in the target data source.


delete_templatestemplatepopupcommon

Delete Templates

Selecting a project template from the table and clicking this button deletes it from the project. When asked for confirmation, click Yes.


delete_the_activity_and_its_relationshipscommon

Delete the activity and its relationships

You would remove the activity and relationships when the activity is not required and the chain of activities or the logic flow is changing.


delete_the_activity_and_reconnect_its_predecessors_to_its_successor_using_finish_to_start_relationshipscommon

Delete the activity and reconnect its predecessors to its successor using Finish to Start relationships

You would use this option when one step in a process is not needed but the rest of the work continues in its planned sequence. For example, this could be a work order with steps or a process with steps.


deleteadvisorydefinitionpopupcommon

Delete

When you select an advisory definition and click Delete, Open Plan asks that you confirm your action before performing the deletion.


deletetitleblockspopupcommon

Delete

Clicking this button instructs Open Plan to delete the selected title block. Before actually performing the deletion, however, Open Plan asks that you confirm the action.


deleting_filespopupcommon

Deleting Files

You cannot delete a file that is open, referenced by another file, or to which you do not have the appropriate rights.

There are two ways to delete a file:

  • By selecting the file and pressing the Delete key. When you use this method, the manner in which Open Plan interprets the deletion depends on where the file reference is located in the hierarchy pane of the Open Plan Explorer:

    • My Folder — Deleting a file from within this folder deletes the link to the file. In the case of a project, the links to auxiliary files are deleted in addition to the link to the project. No actual data is deleted from the data source.

    • Projects — Deleting a project from within this folder deletes the links to any assigned auxiliary files and deletes the project itself from the data source. Deleting just an auxiliary file or view from this folder deletes only the link to the file. Neither the auxiliary file nor the view is deleted from the data source.

    • Open Plan Library — Deleting an auxiliary file or view from within this folder deletes the actual data from the data source.

  • By using the Select File to Delete dialog box that is accessed by pointing to Manage Files on the File menu and clicking Delete File. When you use this method, the data is deleted from the data source regardless of where the file reference is located in the hierarchy pane of the Open Plan Explorer.

There is also a third method of performing a deletion that pertains only to views. You can right-click a view and click Delete on the shortcut menu. The manner in which Open Plan interprets the deletion performed using this method depends on the context of where the view is accessed:

  • If you delete a view from within the context of a project, Open Plan deletes only the link to the view.

  • If you delete a view from within the Open Plan Library, Open Plan deletes the view itself from the data source.


descriptionnewfilewizcommon

Description

The description of the file is displayed in this field. While this description may have been entered on the New File dialog box, it may also be entered or changed on any page of the wizard.


descriptionpropertiespopupcommon

Description

This field controls the description of the file or view object.

If the object is an auxiliary file, you must have it open in Exclusive or Shared mode in order to modify the the contents of this field. If the file is not open, or open in read-only mode, you may view — but not change — the information in this field.


descriptionselectcommon

Description

The description provides more detail about the file. If a description has not been entered for the file, this column will be blank.


directoriessaveastextpopupcommon

Directories

Identifies the directory where the text file will be stored.


display_line_numbers_in_spreadsheetprintoptionsgeneralpopupcommon

Display Line Numbers in Spreadsheet

This option controls whether Open Plan should include line numbers in the spreadsheet report:

  • If this option is selected, Open Plan displays line numbers in the spreadsheet report.

  • If this option is cleared, Open Plan prints the spreadsheet without line numbers. This is the default setting.


displaying_the_activity_tree_dialog_boxcommon

To display this dialog box:

  1. Select an activity from any view.

  2. From the Add-Ins menu, select the Trace Critical Path tool.

  3. Click the ellipsis button to the right of the Target Activity field.


displaying_the_add_symbol_dialog_boxcommon

To display the Add Symbol dialog box, click Add on the Manage Symbols dialog box.


displaying_the_advisory_definitions_dialog_boxcommon

To display the Advisory Definitions dialog box, select the appropriate project and click Email Advisor on the Tools menu.


displaying_the_backup_file_dialog_boxcommon

To display the Backup dialog box, on the File menu, point to Manage Files and then click Backup File on the submenu.


displaying_the_backup_items_to_send_dialog_boxcommon

To display the Backup Items to Send dialog box, click Send on the File menu.


displaying_the_calendar_and_resource_file_conflicts_dialog_boxcommon

When inserting a project template into a project, if there is a conflict between the resource and/or calendar file in the template and the resource and/or calendar file in the target project then this dialog box is automatically displayed.


displaying_the_change_access_mode_dialog_boxcommon

To display the Change Access Mode dialog box, point to Manage Files on the File menu and then click Change Mode on the submenu.


displaying_the_change_access_rights_dialog_boxcommon

To display the Change Access Rights dialog box:

  1. On the File menu, point to Manage Files, and click Change Owner and Access Rights.

  2. On the Change Ownership and Access Rights dialog box, select an object.

  3. Click Change Access Rights.


displaying_the_change_owner_dialog_boxcommon

To display the Change Owner dialog box:

  1. On the File menu, point to Manage Files, and click Change Owner and Access Rights.

  2. On the Change Ownership and Access Rights dialog box, select an object.

  3. Click Change Owner.


displaying_the_change_ownership_and_access_rights_dialog_boxcommon

To display the Change Ownership and Access Rights dialog box, point to Manage Files on the File menu and then click Change Owner and Access Rights on the submenu.


displaying_the_check_in_dialog_boxcommon

To display the Check In dialog box, on the File menu, point to Manage Files and then click Check In on the submenu.


displaying_the_check_out_dialog_boxcommon

To display the Check Out dialog box, on the File menu, point to Manage Files and then click Check Out on the submenu.


displaying_the_checked_out_projects_dialog_boxcommon

To display the Checked Out Projects dialog box:

  1. From the File menu, point to Manage Files.

  2. On the submenu, click Check In.

  3. On the Check In dialog box, click Details.


displaying_the_choose_a_code_file_dialog_boxcommon

The Choose a Code File dialog box is displayed automatically if you have at least one code file open when you open a code view from the Open Plan Library.


displaying_the_choose_a_project_dialog_boxcommon

The Choose a Project dialog box is displayed automatically if you have at least one project open when you open one of the following types of views from the Open Plan Library:

  • Barchart

  • Histogram

  • Network

  • Risk

  • Spreadsheet


displaying_the_choose_a_resource_pool_dialog_boxcommon

The Choose a Resource Pool dialog box is displayed automatically if you have at least one resource file open when you open a resource view from the Open Plan Library.


displaying_the_code_conflicts_dialog_boxcommon

To display this dialog box, click Next on the Resource and Calendar File Conflicts dialog box. (If there are no code conficts, the Next button will be disabled.)

When inserting a project template into a project, if there is a conflict between the resource and/or calendar file in the template and the resource and/or calendar file in the target project then the Resource and Calendar File Conflicts dialog box is automatically displayed.


displaying_the_create_project_template_dialog_boxcommon

To display this dialog box, do one of the following:

In the Open Plan Explorer,

  • Right-click a project, and click Create Project Template on the shortcut menu.

  • Drag a project from the Project folder to the Project Templates folder.

  • Use the Copy and Paste commands (Ctrl+C and Ctrl+V) on the Edit menu to copy a project and paste it into the Project Templates folder.


displaying_the_customize_add_ins_toolbars_dialog_boxcommon

To display this dialog box, click Customize Add-Ins Toolbar on the Add-Ins menu.


displaying_the_customize_columns_dialoig_boxcommon

To display this dialog box:

  1. From the Display Format list, select Details.

  2. Right-click the heading bar in the contents pane of the Open Plan Explorer.

  3. Click Customize Columns on the shortcut menu.


displaying_the_customize_toolbar_dialog_boxcommon

To display the Customize Toolbar dialog box:

  1. On the Add-Ins menu, click Customize Add-Ins Toolbar.

  2. On the Customize Add-Ins Toolbars dialog box, click either of the following buttons:

    • Customize System Add-Ins Toolbar

    • Customize User Add-Ins Toolbar


displaying_the_customize_toolbar_icons_dialog_boxcommon

To display this dialog box:

  1. On the Add-Ins menu, click Customize Add-Ins Toolbar.

  2. On the Customize Add-Ins Tool Bars dialog box, click Select Icons for Add-Ins.


displaying_the_data_missing_from_target_data_source_dialog_boxcommon

Open Plan displays the Data Missing from Target Data Source dialog box during a restore operation each time it determines that the backup file contains a data field that does not exist in the file that will be modified by the restore operation.


displaying_the_data_sources_dialog_boxcommon

To display the Data Sources dialog box from Open Plan, click Data Sources on the Tools menu.

To display the Data Sources dialog box from the DataTool:

  1. In Windows Explorer, navigate to the DataTool folder located in your Open Plan root directory.

  2. Double-click DataTool.exe.

  3. In the Data Tool Login dialog box, enter your password, and click OK. (Until you change it, the default password is PASSWORD.)

  4. In the Open Plan Data Administrator dialog box, click the ellipsis button next to the Target DSN field.


displaying_the_data_tool_change_password_dialog_boxcommon

To display the Change Password dialog box, click Password on the Open Plan Data Administrator dialog box.


displaying_the_data_tool_login_dialog_boxcommon

The Data Tool Login dialog box is displayed automatically when you open DataTool.exe in the Open Plan subfolder named DataTool.


displaying_the_data_toolcommon

The Data Tool is displayed when you enter a valid password in the Data Tool Login dialog box and click OK.


displaying_the_date_range_options_dialog_boxcommon

To access this dialog box, click Calculate on the View tab of the Print Options dialog box.


displaying_the_delete_activity_dialog_boxcommon

This dialog box is displayed when you delete a single activity.


displaying_the_destination_directory_dialog_boxcommon

To display this dialog box:

  1. Select an activity from any view.

  2. From the Add-Ins menu, select the Trace Critical Path tool.

  3. Select the Reports tab.

  4. Click the ellipsis button to the right of the File Path field.

The Reports tab appears only if you have Milestones Professional® installed.


displaying_the_details_page_of_the_restore_wizardcommon

To display the Details page of the Restore Wizard:

  1. On the File menu, point to Manage Files.

  2. On the Manage Files submenu, click Restore File.

  3. From the Open dialog box that displays, navigate to the .bk3 file that you want to restore.

  4. Click Open.

  5. On the first page of the Restore Wizard, click Next.


displaying_the_edit_advisor_emails_dialog_boxcommon

To display the Edit Advisor Emails dialog box:

  1. Select the appropriate project.

  2. On the Tools menu, click Email Advisor.

  3. From the Advisory Definitions dialog box, do one of the following:

    • Click New.

    • Select an advisory definition and click Copy.

    • Select an advisory definition and click Edit.


displaying_the_edit_data_source_dialog_boxcommon

To display the Edit Data Source dialog box, do one of the following:

  • Select a data source on the Data Sources dialog box and click Edit.

  • Click Edit Briefcase on the General tab of the Options dialog box.


displaying_the_edit_symbol_dialog_boxcommon

To display the Edit Symbol dialog box, select a symbol on the Manage Symbols dialog box, and click Edit.


displaying_the_filter_settings_dialog_boxcommon

To display the Filter Settings dialog box, right-click an empty area of the contents pane when it contains like objects (for example, all views, all projects, and so on).


displaying_the_find_dialog_boxcommon

To display the Find dialog box from the Open Plan Explorer, do either of the following:

  • Click Find on the Edit menu.

  • Press the Ctrl+F keys.


displaying_the_folder_properties_message_boxcommon

To display the Properties dialog box for a folder:

  1. Right-click the folder in the Details pane of the Open Plan Explorer.

  2. Select Properties on the shortcut menu.


displaying_the_font_dialog_boxcommon

The way in which the Font dialog box is displayed depends on the view where the font is used. (Click See Also for a list of these procedures.)


displaying_the_insert_project_template_dialog_boxcommon

To display this dialog box:

  1. Open the appropriate project.

  2. Display a view based on a barchart, spreadsheet, or network view.

  3. From the Edit menu, select Insert Subprojects.

  4. Display and select a project template to insert.

  5. Click OK.


displaying_the_insert_subproject_dialog_boxcommon

To display this dialog box:

  1. Open the appropriate project.

  2. Display a view based on a barchart, spreadsheet, or network view.

  3. From the Edit menu, select Insert Subprojects.


displaying_the_just_created_a_browser_view_dialog_boxcommon

To display this dialog box, navigate to Open Plan Explorer and:

  • Open a Views folder in the right pane.

  • Drag any icon and drop it into the list of views.


displaying_the_logged-in_user_dialog_boxcommon

To display the Logged-In User dialog box:

  1. From the hierarchical pane, select the Users folder.

  2. In the contents pane, right-click a user ID, and click Properties on the context menu.


displaying_the_manage_symbols_dialog_boxcommon

You can display the Manage Symbols dialog box using any of these methods:

Method 1

  1. On the Tools menu, click Options.

  2. On the General tab of the Options dialog box, click Symbols.

Method 2

  1. On the Tools menu, click Title Blocks.

  2. On the Title Blocks dialog box, click either New or Edit to display the Title Block Definition dialog box.

  3. On the Title Block Definition dialog box, click the ellipsis under the Logo preview.

Method 3

  1. On the Tools menu, click Bar Sets.

  2. On the Bar Sets dialog box, click either New, Copy, or Edit to display the Bar Set Preferences dialog box.

  3. Click Bar Types.

  4. From the grid on the Bar Types dialog box, select a cell in either the Left or Right column.

  5. Click the ellipsis next to the entry field at the top of the dialog box.


displaying_the_new_file_dialog_boxcommon

To display the New File dialog box, do one of the following:

  • Double-click an empty area in either pane of the Open Plan Explorer.

  • On the File menu, click New.

  • Press the Ctrl+N keys.

  • Click the New button on the Select dialog box (when you create a project using the New File Wizard, this dialog box appears on the Files page).

  • Click the New [image] button on the toolbar.


displaying_the_new_file_wizard_access_control_pagecommon

The Access Control page of the New File Wizard is the last page that displays when you are creating a file.


displaying_the_new_file_wizard_code_structure_pagecommon

The Code Structure page of the New File Wizard displays when you are creating a code file and click Next on the first page of the wizard.


displaying_the_new_file_wizard_create_pagecommon

The Create page of the New File Wizard displays automatically when you click Next on the New File dialog box.

This page is displayed regardless of whether you are creating a project, calendar file, code file, or a resource file.


displaying_the_new_file_wizard_external_subprojects_pagecommon

To display the External Subprojects page of the New File Wizard:

  1. In the Open Plan Explorer, expand the Projects folder.

  2. In the Contents pane, select one or more projects that will become external subprojects in a multiproject.

  3. Right-click your selection, and click Create Multiproject on the shortcut menu.

  4. In the New File dialog box, enter a name for a new project that will become the master project and click Next.

  5. Complete the information in the Create, Summary, and Files pages of the New File Wizard.


displaying_the_new_file_wizard_files_pagecommon

The Files page of the New File Wizard displays when you are:

  • Creating a project and click Next on the Summary page of the wizard.

  • Creating a resource file and click Next on the Create page of the wizard.


displaying_the_new_file_wizard_notes_pagecommon

The Notes page of the New File Wizard displays under the following circumstances:

  • When you are creating a project or resource file and click Next on the Preferences page of the wizard.

  • When are creating a code file and click Next on the Code Structure page of the wizard.


displaying_the_new_file_wizard_preferences_pagecommon

The Preferences page of the New File Wizard displays when you are creating a project and click Next on the Files page of the wizard.


displaying_the_new_file_wizard_status_information_pagecommon

The Status Information page of the New File Wizard displays when you are creating a project and click Next on the Preferences page of the wizard.


displaying_the_new_file_wizard_summary_pagecommon

The Summary page of the New File Wizard displays when you click Next on the Create page of the wizard while creating a project.


displaying_the_new_file_wizard_template_projects_pagecommon

The Project Templates page of the New File Wizard is displayed when you select the Create a new file from project templates option on the Create page, and click Next.

The Create a new file from project templates option is available only when you are creating a new project, multiproject, or project template.


displaying_the_new_file_wizardcommon

To display the New File Wizard, click Next on the New File dialog box.


displaying_the_opening_project_created_with_demonstration_software_dialog_boxcommon

The Opening Project Created with Demonstration Software dialog box is displayed automatically when you attempt to open a project that was originally created in the Demonstration edition of Open Plan.


displaying_the_options_dialog_box_advanced_tabcommon

To display the Advanced tab of the Options dialog box:

  1. On the Tools menu, click Options.

  2. On the Options dialog box, click the Advanced tab.


displaying_the_options_dialog_box_codes_tabcommon

To display the Codes tab of the Options dialog box:

  1. On the Tools menu, click Options.

  2. On the Options dialog box, click the Codes tab.


displaying_the_options_dialog_box_color_tabcommon

To display the Color tab of the Options dialog box:

  1. On the Tools menu, click Options.

  2. On the Options dialog box, click the Color tab.


displaying_the_options_dialog_box_edit_tabcommon

To display the Edit tab of the Options dialog box:

  1. On the Tools menu, click Options.

  2. On the Options dialog box, click the Edit tab.


displaying_the_options_dialog_box_general_tabcommon

To display the General tab of the Options dialog box, click Options on the Tools menu. This tab is displayed by default.


displaying_the_options_dialog_box_project_tabcommon

To display the Project tab of the Options dialog box:

  1. On the Tools menu, click Options.

  2. On the Options dialog box, click the Project tab.


displaying_the_options_dialog_box_views_tabcommon

To display the Views tab of the Options dialog box:

  1. On the Tools menu, click Options.

  2. On the Options dialog box, click the Views tab.


displaying_the_options_dialog_boxcommon

To display the Options dialog box, click Options on the Tools menu.


displaying_the_output_fields_dialog_boxcommon

To display this dialog box:

  1. Select an activity from any view.

  2. From the Add-Ins menu, select the Trace Critical Path tool.

  3. Select the Reports tab.

  4. Click the appropriate Change button.

The Reports tab appears only if you have Milestones Professional® installed.


displaying_the_print_dialog_boxcommon

To access the Print dialog box, click Print on the File menu when displaying any view other than a calendar. (Open Plan uses a different dialog box to control printing a calendar.)


displaying_the_print_options_dialog_boxcommon

To display the Print Options dialog box, open any view of your project (including code and resource displays) and click Print Options on the File menu.


displaying_the_print_options_general_tabcommon

The General tab of the dialog box is displayed automatically when you open any view of your project (including code and resource displays) and click Print Options on the File menu.


displaying_the_print_options_view_tabcommon

To display the View tab of the Print Options dialog box:

  1. Display any barchart or histogram view of your project.

  2. On the File menu, click Print Options.

  3. On the Print Options dialog box, click the View tab.


displaying_the_print_setup_dialog_boxcommon

To display the Print Setup dialog box, click Print Setup on the File menu.


displaying_the_project_template_selection_dialog_boxcommon

To display this dialog box, do either of the following:

  • On the Project Template page of the New File Wizard, click Select Templates.

  • On the Insert Project Template dialog box, click Select Templates.


displaying_the_project_template_setup_dialog_boxcommon

To display this dialog box, do one of the following:

  • On the Project Template page of the New File Wizard, select a project template, and click Change Settings.

  • On the Insert Project Template dialog box, select a project template, and click Change Settings.


displaying_the_properties_dialog_box_access_control_tabcommon

To display this tab of the Properties dialog box:

  1. Right-click the appropriate file in the Open Plan Explorer.

  2. On the shortcut menu, click Properties.

  3. Click the Access Control tab.

- Or -

  1. Open the auxiliary file.

  2. On the Edit menu, click Properties.

  3. Click the Access Control tab.

- Or -

  1. Open the auxiliary file.

  2. Right-click an empty area of the view, and click Properties on the shortcut menu.

  3. Click the Access Control tab.

The last two procedures do not work for views.


displaying_the_properties_dialog_box_command_line_info_tabcommon

To display this tab of the Properties dialog box:

  1. Right-click the browser view in the Open Plan Explorer.

  2. On the shortcut menu, click Properties.


displaying_the_properties_dialog_box_files_tabcommon

To display this tab of the Properties dialog box:

  1. Right-click the resource file in the Open Plan Explorer.

  2. On the shortcut menu, click Properties.

  3. Click the Files tab.

- Or -

  1. Open the resource file.

  2. On the Edit menu, click Properties.

  3. Click the Files tab.

- Or -

  1. Open the resource file.

  2. Right-click an empty area of the view, and click Properties on the shortcut menu.

  3. Click the Files tab.


displaying_the_properties_dialog_box_for_a_shortcutcommon

To display the Properties dialog box for a Windows application or file shortcut, right-click the shortcut in the Open Plan Explorer and then click Properties on the shortcut menu.


displaying_the_properties_dialog_box_general_tabcommon

To display this tab of the Properties dialog box, do one of the following:

  1. Right-click the appropriate file in the Open Plan Explorer.

  2. On the shortcut menu, click Properties.

- Or -

  1. Open the auxiliary file.

  2. On the Edit menu, click Properties.

- Or -

  1. Open the auxiliary file.

  2. Right-click an empty area of the view, and click Properties on the shortcut menu.

The last two procedures do not work for views.


displaying_the_properties_dialog_box_notes_tabcommon

To display this tab of the Properties dialog box:

  1. Right-click the code or resource file in the Open Plan Explorer.

  2. On the shortcut menu, click Properties.

  3. Click the Notes tab.

- Or -

  1. Open the code or resource file.

  2. On the Edit menu, click Properties.

  3. Click the Notes tab.

- Or -

  1. Open the code or resource file.

  2. Right-click an empty area of the view, and click Properties on the shortcut menu.

  3. Click the Notes tab.


displaying_the_properties_dialog_box_open_status_tabcommon

To display this tab of the Properties dialog box:

  1. Right-click the appropriate file in the Open Plan Explorer.

  2. On the shortcut menu, click Properties.

  3. Click the Open Status tab.

- Or -

  1. Open the auxiliary file.

  2. On the Edit menu, click Properties.

  3. Click the Open Status tab.

- Or -

  1. Open the auxiliary file.

  2. Right-click an empty area of the view, and click Properties on the shortcut menu.

  3. Click the Open Status tab.

The last two procedures do not work for views.


displaying_the_properties_dialog_box_preferences_tabcommon

To display this tab of the Properties dialog box:

  1. Right-click a view on the Open Plan Explorer.

  2. On the shortcut menu, click Properties.

  3. Click the Preferences tab.


displaying_the_properties_dialog_box_references_tabcommon

To display this tab of the Properties dialog box:

  1. Right-click the appropriate file in the Open Plan Explorer.

  2. On the shortcut menu, click Properties.

  3. Click the References tab.

- Or -

  1. Open the auxiliary file.

  2. On the Edit menu, click Properties.

  3. Click the References tab.

- Or -

  1. Open the auxiliary file.

  2. Right-click an empty area of the view, and click Properties on the shortcut menu.

  3. Click the References tab.


displaying_the_properties_dialog_box_statistics_tabcommon

To display this tab of the Properties dialog box:

  1. Right-click the resource file in the Open Plan Explorer.

  2. On the shortcut menu, click Properties.

  3. Click the Statistics tab.

- Or -

  1. Open the resource file.

  2. On the Edit menu, click Properties.

  3. Click the Statistics tab.

- Or -

  1. Open the resource file.

  2. Right-click an empty area of the view, and click Properties on the shortcut menu.

  3. Click the Statistics tab.


displaying_the_properties_dialog_box_structure_tabcommon

To display this tab of the Properties dialog box:

  1. Right-click the code file in the Open Plan Explorer.

  2. On the shortcut menu, click Properties.

  3. Click the Structure tab.

- Or -

  1. Open the code file.

  2. On the Edit menu, click Properties.

  3. Click the Structure tab.

- Or -

  1. Open the code file.

  2. Right-click an empty area of the view, and click Properties on the shortcut menu.

  3. Click the Structure tab.


displaying_the_properties_dialog_box_user_fields_tabcommon

To display this tab of the Properties dialog box:

  1. Right-click the code or resource file in the Open Plan Explorer.

  2. On the shortcut menu, click Properties.

  3. Click the User Fields tab.

- Or -

  1. Open the code or resource file.

  2. On the Edit menu, click Properties.

  3. Click the User Fields tab.

- Or -

  1. Open the code or resource file.

  2. Right-click an empty area of the view, and click Properties on the shortcut menu.

  3. Click the User Fields tab.


displaying_the_properties_dialog_boxcommon

To display the Properties dialog box, do one of the following:

  1. Right-click the appropriate file in the Open Plan Explorer.

  2. On the shortcut menu, click Properties.

- Or -

  1. Open the auxiliary file.

  2. On the Edit menu, click Properties.

- Or -

  1. Open the auxiliary file.

  2. Right-click an empty area of the view, and click Properties on the shortcut menu.

The last two procedures do not work for views.


displaying_the_restore_process_dialog_boxcommon

Open Plan displays this dialog box under the following conditions:

  • When you choose Do Not Restore on the Data Missing from Target Data Source dialog box

  • When you choose Skip Restore on the Structure Differences dialog box.


displaying_the_restore_required_dialog_boxcommon

Open Plan automatically displays the Restore Required dialog box when the following conditions are met:

  • You attempt to restore a project without restoring the auxiliary data and external subprojects.

  • The auxiliary files do not already exist on your system.


displaying_the_restore_target_exists_dialog_boxcommon

This dialog box displays automatically during a Restore operation whenever Open Plan detects differences between the backup set and the files that will be modified by the restore operation.


displaying_the_restore_wizardcommon

To display the Restore Wizard:

  1. On the File menu, point to Manage Files.

  2. On the Manage Files submenu, click Restore File.

  3. From the Open dialog box that displays, navigate to the .bk3 file that you want to restore.

  4. Click Open.


displaying the restore write access denied dialog boxcommon

This dialog box displays automatically during a Restore operation whenever Open Plan detects a file in the backup set that cannot be restored because it already exists and is open by you or another user.


displaying_the_save_as_dialog_box_databasecommon

To display the Save As dialog box:

  1. Select the project, code, resource, or calendar object that you want to copy.

  2. From the File menu, click Save As.


displaying_the_save_as_dialog_boxcommon

The Save As dialog box is displayed automatically under the following conditions:

  • During either a Copy or Cut operation, if more data is selected than can fit on the clipboard.

  • You answer Yes to the message offering to save a text file representation of the data for use by an external program such as Excel.


displaying_the_save_changes_dialog_boxcommon

The Save Changes dialog box is displayed automatically whenever you close a file that is open in exclusive mode after you have made a change to the file.


displaying_the_save_current_view_as_dialog_boxcommon

To display the Save Current View As dialog box:

  1. Open a view.

  2. From the File menu, click Save View.


displaying_the_select_a_category_dialog_boxcommon

This dialog box is automatically displayed when Open Plan detects an ambiguity in the filter expression being defined.


displaying_the_select_date_popup_calendarcommon

This calendar popup is displayed when you click the ellipsis button next to a field that requires a date.


displaying_the_select_dialog_boxcommon

To display the Select dialog box:

  • On the General tab of the Activity Details dialog box, click the ellipsis at the right edge of the Subproject field.

  • Create a new project or resource file using the New File Wizard and click the ellipsis at the right edge of the Calendar File or Resource Definition File field on the Files page of the wizard.

  • On the Files tab of the Project Properties dialog box, click the ellipsis at the right edge of the Calendar File or Resource Definition File field.

  • On the Files tab of the Properties dialog box for a resource file, click the ellipsis at the right edge of the Calendar File field.


displaying_the_select_file_to_delete_dialog_boxcommon

To display the Select File to Delete dialog box, on the File menu, point to Manage Files and then click Delete File on the submenu.


displaying_the_select_note_categories_dialog_boxcommon

To display the Select Note Categories dialog box:

  1. Display the General tab of the Print Options dialog box.

  2. Click Select Categories.


displaying_the_select_standard_views_dialog_boxcommon

To display the Select Standard Views dialog box, click Views on the Views tab of the Options dialog box.


displaying_the_send_message_dialog_boxcommon

To display the Send Message dialog box, click Send Message on the Tools menu.


displaying_the_structure_differences_dialog_boxcommon

Open Plan displays this dialog box during the Restore Operation if it determines that there is a difference between the file structure in the backup file and the file that will be modified during the restore operation.


displaying_the_system_preferences_defaults_dialog_boxcommon

To display the System Preferences Defaults dialog box:

  1. On the Tools menu, click Options.

  2. On the Options dialog box, click the Advanced tab.

  3. On the Advanced tab of the Options dialog box, click Defaults.


displaying_the_title_block_definition_dialog_boxcommon

To display the Title Block Definition dialog box:

  1. On the Tools menu, click Title Blocks.

  2. On the Title Blocks dialog box do one of the following:

    • Click New.

    • Select a title block definition from the list, and click Copy or Edit.


displaying_the_title_blocks_dialog_boxcommon

To display the Title Blocks dialog box, click Title Blocks on the Tools menu.


displaying_the_trace_critical_path_facility_inputs_tabcommon

To display this tab, select an activity from any view, and then select the Trace Critical Path tool from the Add-Ins menu.


displaying_the_trace_critical_path_facility_reports_tabcommon

To display the Reports tab:

  1. Select an activity from any view.

  2. From the Add-Ins menu, select the Trace Critical Path tool.

  3. Select the Reports tab.

The Reports tab appears only if you have Milestones Professional® installed.


divider_lineprintoptionstitleblockpopupcommon

Divider Line

This option controls the percentage of the header or footer that each title block can occupy. By specifying the location of divider lines marking the right boundary of left title blocks and the left boundary of right title blocks, you can define the width of the central title block as well.

For example, by setting the divider lines for both left and right title blocks to 30%, you can produce a header in which the central title block occupies 40% of the available space.

You can also position the divider line immediately to the right of the data in the left title block (and immediately to the left of the right title block) by setting value in the Divider Line field to -1%.

If the header or footer for which you are defining a title block includes a legend, Open Plan takes the area used by the legend into account when calculating the area for each title block. In this case, Open Plan interprets a percentage of 30%, for example, to be 30% of the report width remaining after the area used by the legend is subtracted.


do_not_clear_contents_of_dialog_box_when_creating_a_new_activityoptionseditpopupcommon

Do Not Clear Contents of Dialog Box When Creating a New Activity

This option controls whether the contents of a dialog box is cleared when you create a new activity:

  • If this option is selected, Open Plan does not remove the existing contents of an Activity Details dialog box when you create a new activity. This effectively copies the data to the new activity.

  • If this option is cleared, the dialog box that is displayed when you create a new activity is empty. This is the default.


do_not_navigate_views_when_navigating_in_dialog_boxcommon

Do Not Navigate Views When Navigating in Dialog Box

Selecting this option instructs Open Plan not to navigate the open views when clicking the navigation buttons in a dialog box.


do_not_restoredatamissingrestorepopupcommon

Do Not Restore — Skip Item

Clicking this button instructs Open Plan to interrupt the restoration process and display the Restore Process dialog box that you can use to take one of the following further actions:

  • Cancel Restore Process

  • Re-select Restore Files


drill_down_next_yeartoolbarpopupcommon

Drill Down/ Next Year

The effect of clicking this button depends on the type of data that is displayed:

  • If a calendar view is displayed, clicking this button advances the calendar by one year.

  • If any other type of view is displayed, clicking this button allows you to drill down to the next lower level in the hierarchy.

    • If the selected item represents an external subproject, this command is only available in the Professional edition of Open Plan.


drill_up_previous_yeartoolbarpopupcommon

Drill Up/ Previous Year

The effect of clicking this button depends on the type of data that is displayed:

  • If a calendar view is displayed, clicking this button displays the previous year.

  • If any other type of view is displayed, clicking this button allows you to view the parent level in the hierarchy


drivessaveastextpopupcommon

Drives

Identifies the drive where the text file will be stored.


edit_filter_toolbarpopupcommon

Edit Filter

This option displays the Filter Expression dialog box while bypassing the Manage Filters dialog box.


editadvisorydefinitionpopupcommon

Edit

When you select an advisory definition and click Edit, the Edit Advisor Emails dialog box displays the selected advisory definition.


edittitleblockspopupcommon

Edit

When you select a title block and click Edit, Open Plan displays the Title Block Definition dialog box containing the current information for the selected title block. You can change any of the information you wish except the name of the title block.


enabledprintoptionstitleblockpopupcommon

Enabled

By selecting or clearing this option, you can specify whether a title block should be included in the report. You can enable a title block whether or not it contains any information.

If you want to include a legend on a barchart report, you must enable at least one title block in the header or footer (depending on where you want the legend to print).


exclusivepopupcommon

Exclusive

If you have the file open in exclusive mode, other users can only have read-only access to the file while you are using it.

While you can make any changes to the file that you want, Open Plan does not save these changes until you save the file.


expand_allbackuppopupcommon

Expand All

Clicking this button is the equivalent to clicking all the + signs in the list. All groups are expanded.


expand_alltoolbarpopupcommon

Expand All

Clicking this button expands all summary data on the view.

If the selected item represents an external subproject, this command is only available in the Professional edition of Open Plan.


expand_columns_to_fill_pageprintoptionsgeneralpopupcommon

Expand Columns to Fill Page

This option applies to barchart views and controls whether Open Plan should stretch columns in a spreadsheet to eliminate white space between the spreadsheet and barchart panes of the view.

  • If this option is selected, Open Plan stretches the spreadsheet columns when printing the report.

  • If this option is cleared, Open Plan prints the spreadsheet columns normally.


expandtoolbarpopupcommon

Expand

Clicking this button expands the data on the hierarchical level immediately below the one selected.

If the selected item represents an external subproject, this command is only available in the Professional edition of Open Plan.


fieldsadvisorydefinitionpopupcommon

Fields

Clicking the Fields button displays the Fields dialog box that you can use to select data fields that you can embed in both the subject and the text of the advisor email.


fieldsprintoptionstitleblockpopupcommon

Fields

The Fields button displays a dialog box where you can select fields such as Time Now and the project status. In addition, you can combine a field with text to create an informative label. For example, you might select the field <Project Client> to create the following combination of text and variable:

Report Created for <Project Client>


file_pathtracepathcommon

File Path

This is the location where the Trace Critical Path tool saves the generated reports. Clicking the ellipsis button display the Destination Directory dialog box that you can use to select the location for the report files.


file_prefixtracepathcommon

File Prefix

The Trace Critical Path tool uses the following naming scheme for the three types of reports generated:

  • Barchart Report

  • Path Details Report

  • Summary Path Report

<prefix>_<project>_BAR.ML7

<prefix>_<project>_<path#>.ML7

<prefix>_<project>_SUMM.ML7

Where <project> is the name of the selected activity's project. The <prefix> is optional in the filename.

By using the File Prefix option, you can add a custom prefix to the files (for example, Initial_TEST_BAR.ML7). This option is helpful if you want to run the tool more than once for the same project (for example, using different activities) and want to differentiate between each set of report files generated.


file_typepropertiespopupcommon

File Type

This field indicates whether the file is a code file, resource file, calendar file, or view template.


filespropertiespopupcommon

Files

This tab is displayed for only resource files.

In addition to information about the name, owner, and description of the resource file, the Files tab controls the calendar and code files that are attached.


filterpropertiespreferencespopupcommon

Filter

This field allows you to apply a filter to the view. If you click the ellipsis at the right edge of the field, Open Plan displays the Filters dialog box that you can use to select a filter. You can also use that dialog box to create, edit, or modify filters.


finish_at_project_finishprintoptionspopupcommon

Finish at Project Finish

If you select this option, Open Plan uses the last date in the project as the last date in the printed report.


finish_offset_from_start_printoptionspopupcommon

Finish (Offset from Start)

Using these fields, you can specify the last date on the printed report as a specified number of hours, days, weeks, months, quarters, or years after the start date of the printed report.


finish_typenewfilewizardstatusinformationpopupcommon

Finish Type

You can use this field to specify the Type of target Open Plan should use when a Target Finish is set. You can select from the following Finish Types:

  • None — No target finish date is set.

  • Not Earlier Than — The earliest date on which the project can finish.

  • Not Later Than —The latest date on which the project can finish.

  • On Target — Combines the effects of the Not Earlier Than and the Not Later Than target dates.


finishnewfilepopupcommon

Finish

Clicking this button creates the specified file with default values.


fixed_level_lengthpropertiesstructurepopupcommon

Fixed Level Length

These fields contain data only when the code type is Fixed Format Significant. While Open Plan allows up to 10 levels for the fixed level length, in most cases, only 3 or 4 levels are used.

For each level that is used, Open Plan displays the number of characters that are specified. This number is cumulative.

The following example assumes that three levels have been defined in the code file:

Level | Code Length | Example
Level 1 | 2 | DV
Level 2 | 5 | DV215
Level 3 | 7 | DV21535

Note that the code at Level 2 includes the code of its parent, and that although the code length is defined as 5, only 3 new characters are added to the code.

Similarly, the code at Level 3 includes the code of its parent, and although the code length is defined as 7, only 2 new characters are added to the code.


footer_editadvisoremailspopupcommon

Footer

You can enter standard text in the Footer box to appear at the bottom of your message. For example, a standard salutation might be entered here, such as "Thanks". Like the Message box, the Footer box can use plain text, standard field names, and symbolic field names. However, the text in the footer area is not repeatable.


for_activities_matching_filter_editadvisoremailspopuupcommon

For activities matching filter

Select a filter from the list to specify the activities that can generate an email advisory. If the filter you need is not already in the list, click the [image] button to access the Filters dialog box and create and save a new filter.


generalprintoptionspopupcommon

General

This tab provides general information about the margins and notes to be included in the report as well as the orientation of the paper on which the report should be printed.


generalpropertiespopupcommon

General

This tab is displayed for all auxiliary files and views.

In addition to information about the name, owner, and description of the object, the General tab provides the following information about the auxiliary file or view:

  • The date on which it was last updated

  • The user who updated it

  • The default access mode of the auxiliary file

  • The current access mode of the auxiliary file


group_by_typedetailspanecommon

Group by Type

Clicking this item places the contents into expandable groups by object type. For example, selecting a project from the hierarchical pane of the Open Plan Explorer, right-clicking the Name column in the Details pane, and selecting Group by Type places the project contents into three groups: Calendars, Resources, and System Folder. Clicking a group heading expands the folder to reveal the contents.

Right-clicking a group heading displays the following additional options:

  • Collapse — Collapses the selected expanded group heading

  • Collapse All — Collapses all expanded group headings

  • Expand — Expand the selected group heading

  • Expand All — Expands all group headings

  • Group Ascending — Sorts the groups in ascending order. (This is the default.)

  • Group Descending — Sorts the groups in descending order

  • Ungroup — Removes the applied grouping

You can sort the contents within the groups (but not the groups themselves) in ascending or descending order by right-clicking a column heading (not a group heading) and selecting Sort Ascending or Sort Descending.


groupaccesscontrolcommon

Group

By selecting a field in this column and selecting a group from the list, you can specify the groups that can have access to the object.

You can specify a Group or a User ID but not both.


groupdetailspanecommon

Group

Clicking this item places the contents into expandable groups organized by the column that was selected. For example, if you select the Projects folder, you can group the projects by any of the columns in the Details pane (for example, Name, Description, Project Manager, and so on).

As with the Group by Type option, right-clicking a group heading displays the following additional options:

  • Collapse — Collapses the selected expanded group heading

  • Collapse All — Collapses all expanded group headings

  • Expand — Expand the selected group heading

  • Expand All — Expands all group headings

  • Group Ascending — Sorts the groups in ascending order (default)

  • Group Descending — Sorts the groups in descending order

  • Ungroup — Removes the applied grouping

You can sort the contents within the groups (but not the groups themselves) in ascending or descending order by right-clicking a column heading (not a group heading) and selecting Sort Ascending or Sort Descending.

Please note that only level 1 grouping is allowed. You cannot, for example, group by Name and then group by Description within a group.


groupnewfilewizardaccesscontrolpopupcommon

Group

By selecting a field in this column and selecting a group from the list, you can specify the groups that can have access to the file.


grouppropertiesaccesscontrolpopupcommon

Group

This column specifies the groups that have access to the auxiliary file or view.

By selecting a field in this column and choosing a group from the list you can specify the groups that can have access to the file


header_editadvisoremailspopupcommon

Header

You can enter standard text in the Header box to appear at the top of your message. For example, a standard greeting might be entered here, such as "Project Team,". Like the Message box, the Header box can use plain text, standard field names, and symbolic field names. However, the text in the header area is not repeatable.


helpadvisorydefinitionpopupcommon

Help

Clicking the Help button displays this Help topic.


helpbackuppopupcommon

Help

Clicking this button displays this help topic.


helpnewfilepopupcommon

Help

Clicking this button displays this Help topic.


helpoptionspopupcommon

Help

Clicking this button displays this Help topic.


helpprintoptionspopupcommon

Help

Displays this help topic.


helprestorecommon

Help

Clicking this button displays this Help topic.


histogramarraylimitcommon

HistogramArrayLimit

This option defines the maximum number of array elements in the histogram. Each array element represents a time unit as defined by the date scale of the view.

Valid values are 1000 – 15000. The default value is 3000.


horizontalpopupcommon

Horizontal

The horizontal options are available when you are defining print options for a barchart, resource histogram, or risk histogram view. These options control whether Open Plan should adjust the horizontal scaling of the report to fit to a specified number of pages.


ignore_differences_restore_remaining_datadatamissingrestorepopupcommon

Ignore Differences - Restore Remaining Data

Clicking this button instructs Open Plan to not restore the current file, but to continue restoring the remaining data in the backup file.


ignore_missing_data_continue_to_restoredatamissingrestorepopupcommon

Ignore Missing Data - Continue to Restore

Clicking this button instructs Open Plan to ignore the data that is missing and to continue with the restore operation.


ignore_target_datestracepathcommon

Ignore Target Dates

The Trace Critical Path tool works by looking at the float and status of the selected activity's predecessors. The most critical predecessor is determined and the process repeats with that activity. A path is finished when there are no more activities to follow, Time Now is reached, or if there is a change in float. Since target dates can cause changes in the float path and this may hide the true work path to the selected activity, you can use the Ignore Target Dates option to ignore All Dates or just Finish Dates Only.


include_notesprintoptionsgeneralpopupcommon

Include Notes

Reports can include notes information from any activity view (with the exception of relationship and assignment spreadsheets), resource display, or code display. For activity-based reports, you can include project notes, activity notes, or both.

Only those check box options that are relevant to the displayed view are enabled. For example, if a resource structure is displayed, only the Resource option is enabled. On the other hand, if a network view is displayed, both the Project and the Activity options are enabled.

Clicking the Select Categories button displays the Select Note Categories dialog box that you can use to select the categories of note to be printed.

When you include notes in a report, Open Plan displays them on one or more separate pages following the main body of the report. Each note is labeled with the category, the author (if known), and the creation date.


include_subfoldersfindpopupcommon

Include Subfolders

Selecting this option instructs Open Plan to include all subfolders of the currently selected folder in the search.


indenttoolbarpopupcommon

Indent

Clicking this button renumbers the relevant ID according to the rules for automatic numbering.


insert_activities_as_istemplatepopupcommon

Use Current Activity ID’s

If you are inserting the project template directly into the project (Normal mode), this option instructs Open Plan to leave the activity ID’s in the template as they are.


insert_as_external_subprojecttemplatepopupcommon

Insert as External Subproject

Selecting this option instructs Open Plan to insert the project template as an external subproject into the currently open project.


insert_as_external_subprojecttemplatesetuppopupcommon

Insert as External Subproject

Selecting this option instructs Open Plan to add the project template to the project as an external subproject. You can enter a name to use for the external subproject in the master project (Subproject Name field) as well as enter a name to use for the external subproject itself (Project Name field). If you leave the fields blank, Open Plan uses the name of the project template for both by default.


insert_as_subprojecttemplatepopupcommon

Insert as Subproject

Selecting this option instructs Open Plan to insert the project template as an internal subproject into the currently open project.


insert_into_projecttemplatepopupcommon

Insert into project

Selecting this option instructs Open Plan to insert the project template as activities directly into the currently open project.


insert_into_projecttemplatesetuppopupcommon

Insert into project

Selecting this option instructs Open Plan to insert the project template as activities directly into the currently open project (Normal mode). Each activity in a project must have a unique ID; if the project template has activity ID’s that are the same as the project, use the option to apply a prefix or suffix to the template ID’s.

If a prefix or suffix is not added and the activity ID’s in the project template are the same as in the project, Open Plan will use its Automatic Numbering system to renumber the template ID’s.


insert_under_new_or_existing_subprojecttemplatepopupcommon

Insert Under New or Existing Subproject

Selecting this option instructs Open Plan to add the project template to the project as an internal subproject. Open Plan handles this in one of three ways:

  • If you leave the text field blank, Open Plan uses the name of the project template as the subproject name.

  • If you enter a unique name in the text field, Open Plan uses this name for the subproject.

  • If you enter the name of an existing activity, the project template is added as child of the activity.


install_default_data_dataadministratorpopupcommon

Install Default Data

When you select this option, Open Plan enables the following additional options:

  • Open Plan Professional — Selecting this option instructs the DataTool to populate the selected Target DSN with Open Plan Professional data.

  • Open Plan Desktop— Selecting this option instructs the DataTool to populate the selected Target DSN with Open Plan Desktop data.

You must select at least one of these options in order to enable the Create Data button.

In addition to installing the default data for the selected product, the DataTool also copies the demonstration projects together with their auxiliary files and views to the target data source if selected.


install_default_user_accountadministratorpopupcommon

Install Default User Account

This option is enabled only when a product is selected from the Choose Product list. It creates the SYSADMIN user, group, and role as well as other default user accounts (such as GUEST) in the target data source.


install_demonstration_data_dataadministratorpopupcommon

Install Demonstration Data

This option is enabled only when the Remove Existing Data option is selected. Selecting the Install Demonstration Data option instructs the DataTool to populate the selected target data source with the demonstration projects and their associated auxiliary files and views.


label_coloroptionscolorpopupcommon

Label Color

The displayed color is used in spreadsheet column headings.

The ellipsis at the right edge of the field displays a Color dialog box that you can use to select a different color for Label Color. You can select from any of the 48 Basic colors or any of the pre-defined Custom colors. You can also use the panel on the right side of the Color dialog box to define additional custom colors.


label_field_to_display_on_barcharttracepathcommon

Label field to display on Barchart

This is the field the Trace Critical Path tool uses to label the bars shown in the Barchart report.


languageoptionsgeneralpopupcommon

Language

This option displays the currently selected language for your installation of Open Plan. A list displays the other languages into which Open Plan has been translated and from which you can select.

This Help system has not been translated into all the available languages. Therefore, selecting a language from the Language field does not necessarily mean that the Help system will display in that language.


last_updated_onpropertiesgeneralpopupcommon

Last Updated On

This field displays the date on which the file or view was last updated.


last_updateselectcommon

Last Update

This is the date upon which the file was last updated.


legendpopupcommon

Legend

The Legend options are available only when you are defining print options for a barchart view.

You can choose whether the legend should be included with the barchart report. If it is included, you can also choose the location where it should be printed.

To include a legend on a barchart report, you must enable at least one title block in the header or footer (depending on where you want the legend to print).


lines_1_5printoptionstitleblockpopupcommon

Lines 1 – 5

A title block can display up to five lines of information about the project. For each of these lines, you can select a font and include any combination of text and variables that you wish.

If you include more information than can fit within the area defined for the title block, Open Plan allows the data to extend into the adjoining title block areas.

By default, Open Plan aligns data within title blocks as follows:

Title Blocks | Alignment
Left title blocks | Left-aligned in relation to the left page margin
Center title blocks | Centered
Right title blocks | Left-aligned in relation to the divider line

Also, by using \t before the text or variable displayed, you can change the alignment in the Left and Right title blocks as follows:

Title Blocks | Alignment using /t
Left title blocks | Right-aligned in relation to the divider line
Right title blocks | Right-aligned in relation to the right page margin


list_files_of_typesaveastextpopupcommon

List Files of Type

You can save your data only as a text (*.txt) file.


location_tabsprintoptionstitleblockpopupcommon

Location tabs

You can define up to six title blocks for the report. The Top Left, Top Center, and Top Right tabs will place the title blocks in the header of the report. The Bottom Left, Bottom Center, and Bottom Right tabs will place the title blocks in the footer.


lock_coloroptionscolorpopupcommon

Lock Color

The displayed color is used in dialog box grids to indicate that the field is read only.

The ellipsis at the right edge of the field displays a Color dialog box that you can use to select a different color for Lock Color. You can select from any of the 48 Basic colors or any of the pre-defined Custom colors. You can also use the panel on the right side of the Color dialog box to define additional custom colors.


logoprintoptionstitleblockpopupcommon

Logo

You can specify a logo to be included in each title block that you define. When you select a logo to be included in the title block, it is displayed in the logo preview box.

The ellipsis button beneath this preview box displays the Manage Symbols dialog box that you can use to select a .wmf or .emf file for the logo.

The Include option controls whether the selected logo should be included with the title block. This allows you to define a logo for a title block and selectively include or exclude it when printing the report.


look_infindpopupcommon

Look In

This field allows you to specify the folder in which Open Plan should start the search. By default, the selected folder in the hierarchical pane is displayed in this field. However, you can also select <All Folders>, My Folder, Projects, and Open Plan Library from the list. Open Plan also facilitates your search by displaying any subfolders that have been opened during the current session.

Since the Find dialog box is modeless, an alternative to using the Look In field is to simply select the folder to search from the hierarchical pane while the dialog box is displayed


machine_idpropertiesopenstatuspopupcommon

Machine ID

This column displays the ID of each computer where the auxiliary file or view is open. While the value in this column frequently is the same as the value in the User ID column, this is not necessarily the case. A user may have more than one computer, and each computer would have its own machine ID.


marginsprintoptionsgeneralpopupcommon

Margins in Inches

You can set top, left, right, and bottom margins in hundredths of an inch.


merge_template_calendars_into_project_calendartemplatepopupcommon

Merge template calendars into project calendar

By selecting this option, you can resolve the calendar conflict by merging the project template calendar files into the project calendar file.


merge_template_resources_into_project_resource_filetemplatepopupcommon

Merge template resources into project resource file

By selecting this option, you can resolve the resource file conflict by merging the project template resources into the project resource file.


message_editadvisoremailspopuupcommon

Message

The message body can include plain text, activity table fields, and calculated fields based on the activity table. You can also enter a title block variable in this field.

For example, you might enter a message such as the following:

The budgeted cost for <ID> of <Project Short Name> at completion is expected to be <Budget_at_completion>.

Fields, calculated fields, and title block variables must all be enclosed within angle brackets (<>).


messagesendmessagecommon

Message

The Message pane is where you type the message you wish to send. The message can be up to 250 characters in length.


minimum_calculated_durationnewfilewizardpreferencespopupcommon

Minimum Calculated Duration

You can use this field to specify the minimum duration unit that Open Plan should use in calculations for the project.

Calculated durations include those generated while stretching a bar in the barchart view.


modetemplatepopupcommon

Mode

This column of the table displays the mode in which the project template is being used in the project. There are three modes:

  • Normal — The activities in the project template are inserted as activities directly into the project.

  • Subproject — The project template is added to the project as an internal subproject.

  • External Subproject — The project template is added to the project as an external subproject.


my_folderopenplanexplorerpopupcommon

My Folder

This is your personal folder. It provides a convenient way of organizing all the links to your projects, views, auxiliary files, and application shortcuts. These objects can be referenced in this folder in either of the following ways:

  • By creating a project.

  • By dragging an object from another folder into My Folder.

  • By first selecting an object in another folder and then clicking Copy on the Edit menu. Next, select My Folder and then click Paste from the Edit menu.

    • You can also use Ctrl+C and Ctrl+V to cut and paste.

  • By first right-clicking an object in another folder and then clicking Copy on the shortcut menu. Next, right-click My Folder and select Paste from the context menu.

Deleting an item from My Folder deletes the link to the item rather than the actual data. You can remove the link to a project by right-clicking the project and then clicking Delete Link on the shortcut menu.

You can also create additional subfolders within My Folder to help organize your project data.


name_editadvisoremailspopuupcommon

Name

Enter any descriptive name for your advisory definition in this field. Once you save the advisory email, the name you enter is displayed in the list of advisory definitions on the Advisory Definitions dialog box.


namedatamissingrestorepopupcommon

Name

This column displays the name of the data field that will be created if you choose to add the missing data to the target data source.


namedfindpopupcommon

Named

Use of this field is optional. If you enter the name of an object to find, Open Plan will find all objects that match or begin with the name you enter. For example, if you search for a project named CLEAN, Open Plan will find all projects that begin with the name CLEAN such as CLEANUP, CLEANROOM, and so on.

If you do not know the entire name of the object for which you are searching, you can enter the first few letters of the name. Be aware, though, that you must provide the beginning letters of the name. Open Plan does not search for text embedded within the name. For example, if you enter LEAN, Open Plan will not find CLEAN.


namenewfilewizcommon

Name

The name of the file as entered on the New File dialog box. You can change the information in this field on any page of the wizard.


namepropertiespopupcommon

Name

This field displays the name of the object for which you are defining properties.


nameselectcommon

Name

The name assigned to the file.


navigate_all_views_when_navigating_in_dialog_boxcommon

Navigate All Views When Navigating in Dialog Box

Selecting this option instructs Open Plan to navigate all open views when clicking the navigation buttons in a dialog box. For example, assume that you have a barchart view and a spreadsheet view open and you display the Activity Details dialog box for an activity. Using the navigation buttons in the dialog box to display another activity will automatically highlight the new activity in the two open views.


navigate_current_view_when_navigating_in_dialog_boxcommon

Navigate Current View When Navigating in Dialog Box

Selecting this option instructs Open Plan to navigate the open view that has focus when clicking the navigation buttons in a dialog box. For example, assume you have a barchart view and a spreadsheet view open. Also assume that you display the Activity Details dialog box for an activity from the spreadsheet view. Since the spreadsheet view has focus, when you use the navigation buttons in the dialog box to display another activity, the new activity will automatically be highlighted in the spreadsheet view but not the barchart view.


navigating_one_dialog_box_navigates_all_open_dialog_boxesoptionseditpopupcommon

Navigating One Dialog Box Navigates All Open Dialog Boxes

This option controls whether Open Plan should synchronize modeless dialog boxes when you display another record by clicking a navigation button.

For example, assume that you have both the Activity Details dialog box and the Activity Progress dialog box open:

  • If this option is selected, clicking a navigation button in the Activity Details dialog box to display a different activity automatically displays the same activity in the Activity Progress dialog box. This is the default.

  • If this option is cleared, you can display different activities in the two dialog boxes.


new_file_wizard_access_controlpopupcommon

Access Control Page

The Access Control page of the New File Wizard is displayed for all types of files you create. You can use the Access Control page to define the access rights that groups or individual users with a specified role will have to the file you are creating.


new_file_wizard_code_structurepopupcommon

Code Structure Page

The Code Structure page of the New File Wizard is displayed only when you are creating a code file. You can use the Code Structure page to define the structure of the code file.


new_file_wizard_createpopupcommon

Create Page

The Create page of the New File Wizard is displayed for all types of files you create. You can use this page to specify whether you want to create a new blank file, a new file as a copy of another, a new file using a template, or a new file from the default project. In addition, if you are creating an auxiliary (resource, calendar, or code) file, you can also specify the default access mode and startup view on this page.


new_file_wizard_external_subprojectspopupcommon

External Subprojects

The External Subprojects page of the New File Wizard is displayed only when you are creating a multiproject. You can use the External Subprojects page to select the external subprojects to be included in the new multiproject project.


new_file_wizard_filespopupcommon

Files Page

The Files page of the New File Wizard is displayed when you create a project, multiproject, or resource file. You can use the Files page to select the auxiliary files that the project or resource file will use. If the auxiliary file you want to use does not yet exist, you can also create it "on the fly" by displaying the New File dialog box from this page.


new_file_wizard_notespopupcommon

Notes Page

The Notes page of the New File Wizard is displayed when you are creating a project, resource or code file. You can use the Notes page to attach a note to the file.


new_file_wizard_preferencespopupcommon

Preferences Page

The Preferences page of the New File Wizard is displayed only when you are creating project or multiproject. You can use the Preferences page to define the default preferences for the project.


new_file_wizard_status_informationpopupcommon

Status Information Page

The Status Information page of the New File Wizard is displayed only when you are creating a project or multiproject. You can use the Status Information page to enter status information about the project.


new_file_wizard_summarypopupcommon

Summary Page

The Summary page of the New File Wizard is displayed only when you are creating a project or multiproject. You can use the Summary page to enter summary information about the project.


new_file_wizard_template_projectspopupcommon

Templates

The Project Templates page of the New File Wizard is displayed only when you are creating a new project, multiproject, or project template and you have selected the Create a new file from project templates option on the Create page. This page allows you to select the template(s) to use for the new file.


newadvisorydefinitionpopupcommon

New

Click to display the Edit Advisor Emails dialog box, where you can create a new advisory definition.


newtitleblockspopupcommon

New

Clicking this button displays a blank Title Block Definition dialog box that you can use to define a new title block.


newtoolbarpopupcommon

New

Clicking this button displays the New File dialog box that you can use to create a project or an auxiliary file.


nextnewfilepopupcommon

Next

Clicking this button starts the New File Wizard for the type of file that you are creating.


notespropertiespopupcommon

Notes

This tab is displayed only for code and resource files.

In addition to displaying information about the name and owner of the code or resource file, this tab allows you to modify its description and to create, edit, or delete notes attached to the file.

Each file can have a single note for each defined note category.


number_of_paths_to_analyzetracepathcommon

Number of Paths to Analyze

You can instruct the Trace Critical Path tool to identify up to 20 critical paths for a selected activity.


number_of_times_to_add_selected_template_to_projecttemplatepopupcommon

Number of times to add selected template to project

A project template can be added multiple times to the same project. Each instance is given a unique subproject name so as not to cause conflicts. For example, assume you are adding the project template Sample to a project five times. The subprojects will automatically be named Sample01, Sample02, Sample03, etc. The activities within the subprojects will also be given unique ID’s using the same naming scheme.


okbackuppopupcommon

OK

Clicking this button displays a Save As dialog box that you can use to specify a name and location for the backup file. Once you have provided this information, clicking Save on the Save As dialog box creates the backup file containing the selected items.


okdatamissingrestorepopupcommon

OK

Clicking this button puts your selected action into effect.


okoptionspopupcommon

OK

Clicking this button puts your settings into effect and closes the Options dialog box.


okprintoptionspopupcommon

OK

Saves the print options with the view and closes the dialog box.


open_last_file_on_startupoptionsgeneralpopupcommon

Open Last File on Startup

If this option is selected, Open Plan automatically opens the last file accessed in the previous session when starting.


open_modepropertiesopenstatuspopupcommon

Open Mode

This column displays the mode in which the auxiliary file is open. This mode can be any of the following:

  • Exclusive — Only the person who has the auxiliary file open in this mode may save changes to the data. If one person has the auxiliary file or project open in this mode, other users may open it only in read only mode.

  • Shared — More than one person may make changes to the auxiliary file.

  • Read Only — Changes to the auxiliary file cannot be saved by anyone who has it open in this mode.


open_plan_libraryopenplanexplorerpopupcommon

Open Plan Library

The Open Plan Library contains the following folders:

  • Calendars — This folder contains all the calendar files currently defined in Open Plan.

  • Codes — This folder contains all the code files currently defined in Open Plan. In addition, each code file also contains a subfolder of code file views.

  • Resources — This folder contains all the resource files currently defined in Open Plan. In addition, each resource file also contains the following subfolders:

    • Views

    • Codes

  • Project Templates — This folder contains all the currently defined project templates in Open Plan.

  • Views — This folder contains all the currently defined views in Open Plan.

To assign an auxiliary file or view to a project, simply drag the object from the Open Plan Library to the target project folder.

When you create an auxiliary file, it is automatically added to the appropriate folder of the Open Plan Library. You cannot drag a file directly into the Open Plan Library.

Provided that you have sufficient rights and the file is not referenced by another file, you can delete it from the Open Plan Library. Doing so deletes both the actual data from the database and any links to that file that may exist.


open_statuspropertiespopupcommon

Open Status

This tab is displayed for all auxiliary files.

In addition to information about the name, owner, and description of the auxiliary file, the Open Status tab provides the following information about the open status of the object:

  • The ID of each person who has it open

  • The computers on which it is open

  • The mode in which each user has it open

  • The date and time when it was last updated


opened_onpropertiesopenstatuspopupcommon

Opened On

This column displays the date and time that the auxiliary file was opened.


opening_existing_filespopupcommon

Opening Existing Files

You can open a file using any of the following methods:

  • Right-click its icon in the Open Plan Explorer and click Open in the context menu.

  • Select the file in the Open Plan Explorer and click Open on the File menu.

  • Click Open on the File menu and select the file in the Open File dialog box.


opening_splash_screenoptionsgeneralpopupcommon

Opening Splash Screen

If this option is selected, Open Plan displays a splash screen when you start the application.


opentoolbarpopupcommon

Open

Clicking this button displays the File Open dialog box that you can use to open a project or auxiliary file.


orientationprintoptionsgeneralpopupcommon

Orientation

You can choose to have the report displayed in either portrait or landscape mode.

Changing the orientation of the report on this dialog box does not affect the printer setting. Use the Print Setup dialog box to change the orientation of both the active view and the printer setting.


outdenttoolbarpopupcommon

Outdent

Clicking this button promotes an activity, resource, or code in a hierarchy to the level of its parent. In assigning an ID to the outdented element, Open Plan follows the rules for automatic numbering.


output_fields_for_path_details_reporttracepathcommon

Output fields for Path Details Report

The fields you choose for this option become the columns displayed in the Path Details report. Clicking the Change button for this option displays the Output Fields dialog box that you can use to manage the fields/columns for the report.

This option allows you to customize the report to display information relevant to your needs.


output_fields_for_summary_path_reporttracepathcommon

Output fields for Summary Path Report

The fields you choose for this option become the columns displayed in the Summary Path report. Clicking the Change button for this option displays the Output Fields dialog box that you can use to manage the fields/columns for the report.

This option allows you to customize the report to display information relevant to your needs.


overwrite_existing_filerestoretargetexistspopupcommon

Overwrite Existing File

When you select this option, the instruction that you give Open Plan depends on the button that you click:

  • Clicking Yes instructs Open Plan to overwrite the existing file with information from the backup file.

  • Clicking Yes to All instructs Open Plan to overwrite all remaining affected files with information from the backup file.


ownernewfilewizcommon

Owner

Your user ID is displayed in this field. Because you are creating the file, Open Plan identifies you as its owner. Only you or the security administrator can assign access rights to the file to other users.

Access rights are assigned on the Access Control tab of the file’s Properties dialog box.


ownerpropertiespopupcommon

Owner

Under normal circumstances, the owner of the file or view is the person who created it. While other users may have the rights to modify many of its properties, only the owner or the system administrator can transfer the ownership of the object.


ownerselectcommon

Owner

This is the name of the file’s owner. (In most cases, the owner is the user who created the file.)

Demo files shipped with Open Plan have been entered into the database without owner names.


pad_characterpropertiesstructurepopupcommon

Pad Character

The character specified as the pad character is used as a suffix to codes that do not use the defined length at a given level.

The following example assumes that three levels have been defined in the code file and that the pad character is "0":

Level | Code Length | Local Portion of Code | Code Example
Level 1 | 2 | DV | DV
Level 2 | 5 | 9 | DV900
Level 3 | 6 | A | DV900A

Note that only a single character is entered in the local portion of the code at Level 2 but that the cumulative code length is defined as 5. Open Plan pads the code out to the required length by adding two 0s as a suffix to the local portion of the code.

Any character (including a space) can be used as a pad character.


pastetoolbarpopupcommon

Paste

Clicking this button copies the item on your Open Plan or Windows clipboard to your selected location on the active view.

Only appropriate items are pasted from the clipboard. For example, you cannot paste an activity record into a resource view.


poolspropertiesstatisticspopupcommon

Pools

This field displays the total number of pools in the resource file.


precisiondatamissingrestorepopupcommon

Precision

This column displays the maximum character width of the data field that will be created if you choose to add the missing data to the target data source.


preferencespropertiespopupcommon

Preferences

This tab is displayed only for views.

In addition to information about the name, owner, and description of the view, the Preferences tab controls the filter, sort, and title block of the view. In the case of Barchart and multi-table barchart views, you can also specify the bar set to be displayed in the view.


prefixtemplatepopupcommon

Prefix

This column of the table displays the prefix to add to the project template activity ID’s. With the possibility that the activity ID’s in the template are the same as those in the project when you are adding the template in Normal mode, adding a prefix to the template activity ID’s help to ensure that they have unique ID’s.

Please note that you can only add a prefix or a suffix to the project template activity ID’s. You cannot add both.


preftype_tablepropertiespreferencespopupcommon

View Type | Filter | Sort | Title Block | Bar Set
Barchart |  |  |  |
MultiSplitSpreadSheet |  |  |  |
MultiSpreadSheet |  |  |  |
AsgSpreadSheet |  |  |  |
RelSpreadSheet |  |  |  |
SpreadSheet |  |  |  |
Code |  |  |  |
Histogram |  |  |  |
Network |  |  |  |
Resource |  |  |  |
Risk |  |  |  |
Calendar | None


previewprintoptionspopupcommon

Preview

Displays the report as it will be printed in a Preview window.


print_previewtoolbarpopupcommon

Print Preview

Clicking this button allows you to view a report before it is printed. Print preview shows entire pages at a reduced size so that you can view one or more pages at a time and check page breaks. You cannot, however, make any changes to the report while in print preview.


printtoolbarpopupcommon

Print

Clicking this button allows you to print a report with the settings currently in effect. The dialog box that Open Plan displays when you click this button depends on the view that is displayed in the active window:

  • For all views other than a calendar, Open Plan displays the Print dialog box.

  • For a calendar, Open Plan displays the Print Calendar dialog box.


project_calendartemplatepopupcommon

Project Calendar

If the project has a calendar file attached to it, it is displayed in the Project Calendar field with the drop-down list disabled. This file takes precedence over any project template calendar files.

If the project does not have an attached calendar file, the Project Calendar field contains a list of the calendar files used by all the project templates being added to the project. Select one of these calendars to use for the project.


project_manager_email_addressnewfilesummarypopupcommon

Project Manager Email Address

Use this field to specify the project manager's email address. While use of this field is optional, Open Plan can use the information it contains as the "To" address in the email advisor.


project_managernewfilesummarypopupcommon

Project Manager

Use this field to specify the name of the project manager. While use of this field is optional, the information it contains is used in many reports.


project_nametemplatepopupcommon

Project Name

This column of the table displays the name given to the project that is created when a project template is added to the master project as an external subproject.


project_prioritynewfilesummarypopupcommon

Project Priority

Use this field to specify the priority of the project. Open Plan uses the setting in this field when performing resource scheduling on a number of projects at one time. You can give the project a high priority by entering a low numeric value.


project_resource_filetemplatepopupcommon

Project Resource File

If the project has a resource file attached to it, it is displayed in the Project Resource File field with the drop-down list disabled. This file takes precedence over any project template resource files.

If the project does not have an attached resource file, the Project Resource File field contains a list of the resource files used by all the project templates being added to the project. Select one of these resource files to use for the project.


project_startnewfilewizardstatusinformationpopupcommon

Project Start

This is the date on which the project starts. You can specify the Project Start either by entering the date directly or by clicking the ellipsis at the right edge of the field and selecting a date from the calendar that is displayed.

The project start date is used for reporting purposes such as the default start date for barcharts.


project_startprintoptionspopupcommon

Project Start

If you click this option, Open Plan enables the following options and bases the date range of the printed report on your settings relative to the date the project started:

  • Start printing at offset — Using these fields, you can specify the starting date on the printed report as a specified number of hours, days, weeks, months, quarters, or years before or after the project's start date. (Entering a negative number in this field tells Open Plan to start the report before project's start date, while entering a positive number tells Open Plan to start the report after that date.)

  • Finish (offset from start) — Using these fields, you can specify the last date on the printed report as a specified number of hours, days, weeks, months, quarters, or years after the start date of the printed report.

  • Finish at Project Finish — If you select this option, Open Plan uses the last date in the project as the last date in the printed report.


project_templatetemplatepopupcommon

Project Template

This column of the table displays the names of the project templates that you plan to use to create this project.


projectorauxiliaryfilenamepopupcommon

Name

The name of the project or auxiliary file that includes this file.


projectsopenplanexplorerpopupcommon

Projects

All projects in the data source — either created by you or created by someone else to which you have been given rights to view or manipulate—are listed in the Projects folder together with their views and auxiliary files.

When you create a project, it is placed in the Projects folder and a link to it is automatically placed in your My Folder. You can also drag existing projects from this folder to your My Folder to establish a link.

Deleting a project from the Projects folder deletes both the actual project data from the database and the link to it in your My Folder. No auxiliary files are deleted with the project in the Projects folder.


prompt_textpopupcommon

Prompt Text

This field is displayed when you are creating a code file. It controls the default prompt text that is automatically entered on the Code File Prompt dialog box that displays when you attach a code file to a project or resource file.

Although this text is entered by default, you can change it before clicking OK on the Code File Prompt dialog box.


prompt_textpropertiesgeneralpopupcommon

Prompt Text

This field controls the default prompt text that is automatically entered on the Code File Prompt dialog box that displays when you attach a code file to a project or resource file. Although this text is entered by default, you can change it before clicking OK on the Code File Prompt dialog box.


quantity_color_lockedoptionscolorpopupcommon

Quantity Color - Locked

The displayed color identifies the color used in dialog box grids to indicate that the quantity field is locked.

The ellipsis at the right edge of the field displays a Color dialog box that you can use to select a different color for Quantity Color - Locked. You can select from any of the 48 Basic colors or any of the pre-defined Custom colors. You can also use the panel on the right side of the Color dialog box to define additional custom colors.


quantity_coloroptionscolorpopupcommon

Quantity Color

The displayed color identifies the color used in dialog box grids to indicate that you can enter a quantity value in the field.

The ellipsis at the right edge of the field displays a Color dialog box that you can use to select a different color for Quantity Color. You can select from any of the 48 Basic colors or any of the pre-defined Custom colors. You can also use the panel on the right side of the Color dialog box to define additional custom colors.


range_of_dataprintoptionspopupcommon

Range of Data

If you click this option, Open Plan bases the date range of the printed report on the range of data in the barchart, resource histogram, or risk histogram view. The data that is included in the printed report can include a larger date range than that currently displayed in the view.


re-select_files_to_be_restoredpopupcommon

Re-select Files to be Restored

Choosing this option and clicking OK instructs Open Plan to redisplay the Restore dialog box so that you can select other files to be restored.


read_onlyaccesscontrolcommon

Read Only

The Read Only field acts as a limitation to the rights that might otherwise be permitted:

  • By selecting Yes for this field, you limit the group or user to opening the object(s) in Read Only mode.

  • By selecting No for this field, you place no limitations on the mode in which the object may be opened. Provided that no other user has it open in exclusive mode, the g roup or user may open the object in any mode they choose.


read_onlynewfilewizardaccesscontrolpopupcommon

Read Only

The Read Only field acts as a limitation to the rights that might otherwise be permitted:

  • If this option is set to Yes, the group or user can view the file but can make no changes to it.

  • If this option is set to No, the group or user has all rights to the file that are permitted by the assigned role.


read_onlypopupcommon

Read Only

If you have a file open in read-only mode, other users may open the file in any mode they choose.

You cannot make any changes to a file that you have open in read-only mode, nor can you see any changes made by other users.

If you would like to make changes to the file, use the Save As command to save the file under a different name and make any changes you want to the new file.


read_onlypropertiesaccesscontrolpopupcommon

Read Only

The Read Only field acts as a limitation to the rights that might otherwise be permitted:

  • By selecting Yes for this field, you limit the group or user to opening the auxiliary file or view in Read Only mode.

  • By selecting No for this field, you place no limitations on the mode in which the auxiliary file or view may be opened. Provided that no other user has it open in exclusive mode, the group or user may open the auxiliary file or view in any mode they choose.


refreshtoolbarpopupcommon

Refresh

Clicking this button instructs Open Plan to reapply the filter or sort to the view.


relationship_modetoolbarpopupcommon

Relationship Mode

Clicking this button allows you to edit relationships between activities displayed on the barchart.


remove_columndetailspanecommon

Remove Column

Clicking this item removes the selected column from the details display.


remove_existing_dataadministratorpopupcommon

Remove Existing Data

Selecting this option instructs the DataTool to delete all data from the selected data source.


remove_from_filter_toolbarpopupcommon

Remove from Filter

This option takes a selection range and adds the selection values to the currently selected filter based on the following rules:

  • Multiple selections within a column are added to the filter with an OR NOT EQUALS condition

  • Multiple selections across columns are added to the filter with an AND NOT EQUALS condition


remove_resource_assignmentstemplatepopupcommon

Remove unresolved resource assignments

By selecting this option, you can resolve the resource file conflict by removing the unresolved resource assignments as the project template is added to the project.


rename_and_restorerestoretargetexistspopupcommon

Rename and Restore

When you select this option and click Yes, Open Plan enables a text box that you can use to provide a new name for the restored file.


rename_columndetailspanecommon

Rename Column

Clicking this item displays the Change Column Heading dialog box, which you can use to modify the name that is displayed in the heading bar.


replace_calendar_assignments_with_defaulttemplatepopupcommon

Replace unresolved calendar assignments with Default

By selecting this option, you can resolve the calendar conflict by deleting the calendar assignments for the project templates and replace them with the project’s Default calendar.


request_confirmation_of_save_when_navigating_to_another_recordoptionseditpopupcommon

Request Confirmation of Save When Navigating to Another Record

This option controls whether Open Plan should generate a message asking you to confirm that you want your changes saved when you navigate to another record:

  • If this option is selected, Open Plan issues a message when you navigate to another record that asks you whether you want your changes saved.

  • If this option is cleared, Open Plan saves your changes without asking you to confirm the action. This is the default.


resource_datapopupcommon

Resource Data

The resource data options are available and enabled only when you are defining print options for a barchart view that includes resource data.

You can choose whether resource data should be included with the barchart report. If it is included, you can also choose whether the resource data should be printed on every page of the report or only on the last page.


resource_definition_filenewfilewizardfilespopupcommon

Resource Definition File

This field is displayed only when you are creating a project or multiproject. You can use this field to assign a single resource definition file to the project.

Clicking the ellipsis button next to the input field displays a Select dialog box from which you can select an resource definition file. If the file you want to use does not yet exist, you can click New on the Select dialog box to create it. Once it is created, the new resource file is automatically added to the Select dialog box.


resource_schedulingtoolbarpopupcommon

Resource Scheduling

Clicking this button performs resource scheduling on the open project using the resource scheduling settings currently in effect.


resourcespropertiesstatisticspopupcommon

Resources

This field displays the total number of individual resources in the resource file.

Resources with the type Pool are not included in this total.


restoring_filespopupcommon

Restoring Files

The restore function provides a reverse of the backup function, allowing you to restore the files you previously archived.

If you have compressed a backup file using a compression utility such as WinZip, you must decompress it using the same utility before running the Open Plan restore command.


risk_analysistoolbarpopupcommon

Risk Analysis

Clicking this button performs risk analysis on the open project using the risk analysis settings currently in effect.


riskpercentilearraysizecommon

RiskPercentileArraySize

This option is used to specify the size of the array used to store percentile values for key activities during risk analysis.

Valid values are 5 – 1000. The default value is 21.


riskpercentilescommon

RiskPercentiles

This option is used to specify the percentile values for the array defined by RiskPercentileArraySize. The first value of the array must be zero. The values of the array must be cumulative. The last value of the array must be 100.

The default values for the array are:

0 5 10 15 20 25 30 35 40 45 50 55 60 65 70 75 80 85 90 95 100


roleaccesscontrolcommon

Role

For each group or user that you want to provide with access to the object, you must specify a role by selecting one from the list.

It is possible to use the Role setting to override the default role of a group or user ID. For example, if you want to grant limited access to a user who has SYSADMIN (complete) access to all files, you can specify a limited-access role for the user.


rolenewfilewizardaccesscontrolpopupcommon

Role

When you select a group or user ID, its default role is displayed in this field. You can, however, change the role to any other role defined in the data source.


rolepropertiesaccesscontrolpopupcommon

Role

For each group or user that you want to provide with access to the auxiliary file or view, you must specify a role by selecting a role from the list.

It is possible to use the Role setting to override the default role of a group or user ID. For example, if you want to grant limited access to a user who has sysadmin (complete) access to all files, you can specify a limited-access role for the user.


saveeditadvisoremailspopuupcommon

Save

When you click Save, the email advisory is added to the list of definitions displayed on the Advisory Definitions dialog box.


savetoolbarpopupcommon

Save

This button is enabled only when you have made a change to a file. Provided that it is open in exclusive mode, clicking this button saves the saves the file using its current name.


Saving Files As Text

When during either a Copy or Cut operation, you select more data than can fit on the clipboard, Open Plan asks whether you want to save a text file representation of the data for use by an external program such as Excel.

If you answer Yes to this message, Open Plan displays the Save As dialog box so that you can save the data in a delimited text format.

Your response to the message does not affect the copying and pasting of data within Open Plan. However, if you say No, only the first 64K of text data will be available on the clipboard for other applications.

Related Topics


Saving Files

Open Plan provides the following two commands that allow you to save a file:

  • Save As — Allows you to save the file with a new name. This command is frequently used to copy a file.

You cannot perform Save As on a file if there is another file open which refers to it. For example, if you open project CLEAN and then try to perform a Save As on the calendar file CLEANCAL, you are given the following warning: "Cannot perform Save As on Calendar File CLEANCAL because there are open objects referring to it." Since CLEAN refers to CLEANCAL, you need to close the project before you can perform Save As on CLEANCAL.

  • Save — Allows you to save the file using its current name provided that it is open in exclusive mode. If you opened the file in the read-only mode, the Save command is not available.

The conditions under which the Save command is available depend on the mode in which you opened the file:

· Exclusive — If you opened the file in the exclusive mode, you can use the Save command at any time.

· Shared — If you opened the file in the shared mode, Open Plan tries to save the data whenever you edit something and click OK. If another user has made a change to the record you have displayed, Open Plan displays a message alerting you to this circumstance and refreshes the data. This allows you to view the changes made by another user before you make additional modifications.

Related Topics and Procedures


saving_filespopupcommon

Saving Files

You can save files at any time using either of the following methods:

  • Click the Save command on the File menu.

  • Click the Save [image] button on the toolbar.


scaledatamissingrestorepopupcommon

Scale

This column displays the number of decimal places to use if the missing data field to be created is a numeric field.


search_forfindpopupcommon

Search For

The type of object to find. Selecting <All Objects> instructs Open Plan to perform a complete search of all object types (that is, calendars, resources, codes, views, and so on).


see_also_using_the_set_column_row_attributes_dialog_boxcommon

Related Topics:

Using Calculated Fields

Using the Add Column Dialog Box

Using the Edit Column Dialog Box

Using the Insert Column Dialog Box

Using the Spreadsheet Preferences dialog box

Related Procedures:

Setting a Column or Row Attribute

Enabling Subsections

Customizing Display Options

Editing a Column

Adding a Column

Inserting a Column

Sorting Spreadsheet Data


seealso_assigning_auxiliary_files_to_a_projectcommon

Related Topics:

Using the File Open Dialog Box

Basic Skills

Using the Find Dialog Box

Opening a Project or Auxiliary File

Creating a File Using the New File Wizard

Saving a Project or Auxiliary File

Closing Files

Assigning Views to a Project

Deleting Projects, Auxiliary Files, and Views

Related Procedure:

Opening an Open Plan File

Creating a New Project

Saving an Open Plan File


seealso_assigning_views_to_a_projectcommon

Related Topics:

Using the File Open Dialog Box

Basic Skills

Using the Find Dialog Box

Opening a Project or Auxiliary File

Creating a File Using the New File Wizard

Saving a Project or Auxiliary File

Closing Files

Assigning Auxiliary Files to a Project

Deleting Projects, Auxiliary Files, and Views

Related Procedures:

Opening an Open Plan File

Creating a New Project

Saving an Open Plan File


seealso_backing_up_and_restoring_open_plan_datacommon

Related Topics:

Using the Backup Dialog Box

Using the Restore Wizard

Using the New File Dialog Box

Using the File Open Dialog Box

Saving and Copying Open Plan Files

Using the Check Out Dialog Box

Using the Check In Dialog Box

Using the Select File to Delete Dialog Box

Related Procedures:

Backing Up Open Plan Data

Restoring Data From a Backup File


seealso_closing_filescommon

Related Topics:

Using the File Open Dialog Box

Basic Skills

Using the Find Dialog Box

Opening a Project or Auxiliary File

Creating a File Using the New File Wizard

Saving a Project or Auxiliary File

Assigning Auxiliary Files to a Project

Assigning Views to a Project

Deleting Projects, Auxiliary Files, and Views

Related Procedure:

Opening an Open Plan File

Creating a New Project

Saving an Open Plan File


seealso_custom_toolscommon

Related Topics:

Using the Customize Add-Ins Toolbars Dialog Box

Using the Customize Toolbar Dialog Box

Using the Options Dialog Box

Related Procedures:

Adding a Custom Item to the Add-Ins Menu

Customizing the Add-Ins Toolbars

Adding a Custom Add-Ins Icon


seealso_customizing_the_details_display_in_the_open_plan_explorercommon

Related Topics:

Basic Skills

Using the Open Plan Explorer

Using the Contents Pane of the Open Plan Explorer

Using the Customize Columns Dialog Box

Using the Find Dialog Box

Using the Logged-In User Dialog Box

Using Clipboard Operations

Using Toolbar Shortcuts

Using Keyboard Shortcuts

Related Procedures:

Creating a User Folder

Adding a Column to the Contents Pane

Removing a Column from the Contents Pane

Renaming a Column in the Contents Pane

Sorting the Data in the Contents Pane

Resizing a Column in the Contents Pane


seealso_deleting_projects_auxiliary_files_and_viewscommon

Related Topics:

Using the File Open Dialog Box

Basic Skills

Using the Find Dialog Box

Opening a Project or Auxiliary File

Creating a File Using the New File Wizard

Saving a Project or Auxiliary File

Closing Files

Assigning Auxiliary Files to a Project

Assigning Views to a Project

Related Procedures:

Opening an Open Plan File

Creating a New Project

Saving an Open Plan File


seealso_opening_a_project_or_auxiliary_filecommon

Related Topics:

Using the File Open Dialog Box

Basic Skills

Using the Find Dialog Box

Creating a File Using the New File Wizard

Saving a Project or Auxiliary File

Closing Files

Assigning Auxiliary Files to a Project

Assigning Views to a Project

Deleting Projects, Auxiliary Files, and Views

Related Procedures:

Opening an Open Plan File

Creating a New Project

Saving an Open Plan File


seealso_saving_a_project_or_auxiliary_filecommon

Related Topics:

Using the File Open Dialog Box

Basic Skills

Using the Find Dialog Box

Opening a Project or Auxiliary File

Creating a File Using the New File Wizard

Closing Files

Assigning Auxiliary Files to a Project

Assigning Views to a Project

Deleting Projects, Auxiliary Files, and Views

Related Procedure:

Opening an Open Plan File

Creating a New Project

Saving an Open Plan File


seealso_saving_and_copying_open_plan_filescommon

Related Topics:

Using the New File Dialog Box

Using the File Open Dialog Box

Using the Select File to Delete Dialog Box

Using the Save Changes Dialog Box

Using the Change Access Mode Dialog Box

Related Procedures:

Saving an Open Plan File

Copying an Open Plan File


seealso_saving_files_as_textcommon

Related Topics:

Saving Files

Using the Save As Dialog Box


seealso_saving_filescommon

Related Topics:

Using the Save As Dialog Box

Using the Save Changes Dialog Box

Using the Select Baselines to Save Dialog Box

Related Procedures:

Saving an Open Plan File

Copying an Open Plan File


seealso_sending_a_filecommon

Related Topic:

Using the Backup Items to Send Dialog Box

Related Procedure:

Sending an Open Plan File as an Email Attachment


seealso_understanding_the_open_plan_briefcasing_featurecommon

Related Topics:

Using a Briefcase Data Source

Using the Check Out Dialog Box

Using the Check In Dialog Box

Using the Checked Out Projects Dialog Box

Related Procedures:

Checking Out a Project

Undoing a Project Check Out

Checking in a Project

Viewing the Checked Out Status of a Project


seealso_using_a_briefcase_data_sourcecommon

Related Topics:

Understanding the Open Plan Briefcasing Feature

Using the Check Out Dialog Box

Using the Check In Dialog Box

Using the Checked Out Projects Dialog Box

Related Procedures:

Checking Out a Project

Undoing a Project Check Out

Checking in a Project

Viewing the Checked Out Status of a Project


seealso_using_keyboard_shortcutscommon

Related Topic:

Using Toolbar Shortcuts

Related Procedures:

Choosing a Command From a Menu

Choosing a Command From the Toolbar

Turning Off the Toolbar Display


seealso_using_print_previewcommon

Related Topics:

Using the Print Dialog Box

Using the Print Setup Dialog Box

Using the Print Calendar Dialog Box

Using the Print Options Dialog Box

Related Procedures:

Setting Print Margins

Setting Up a Printer

Printing Notes With a Report

Printing a Report

Printing a Calendar

Printing a Barchart

Printing a Spreadsheet

Previewing a Report Before Printing


seealso_using_the_activity_tree_dialog_boxcommon

Related Topics:

Understanding the Trace Critical Path Facility

Using the Trace Critical Path Facility — Inputs Tab

Using the Trace Critical Path Facility — Reports Tab

Using the Output Fields Dialog Box

Using the Destination Directory Dialog Box


seealso_using_the_add_symbol_dialog_boxcommon

Related Topics:

Using the Manage Symbols Dialog Box

Using the Edit Symbol Dialog box

Using the Options Dialog Box

Related Procedures:

Adding a Custom Symbol

Editing a Custom Symbol


seealso_using_the_advisory_definitions_dialog_boxcommon

Related Topics:

Using the Email Advisor

Using the Edit Advisor Emails Dialog Box

Related Procedures:

Sending an Email Advisory

Setting Up an Email Advisory Address List

Creating a New Email Advisory

Copying an Email Advisory

Editing an Email Advisory

Deleting an Email Advisory


seealso_using_the_backup_file_dialog_boxcommon

Related Topics:

Using the Restore Wizard

Using the New File Dialog Box

Using the File Open Dialog Box

Saving and Copying Open Plan Files

Using the Check Out Dialog Box

Using the Check In Dialog Box

Using the Select File to Delete Dialog Box

Related Procedures:

Backing Up Open Plan Data

Restoring Data From a Backup File


seealso_using_the_backup_items_to_send_dialog_boxcommon

Related Topic:

Sending a File

Related Procedure:

Sending an Open Plan File as an Email Attachment


seealso_using_the_calendar_and_resource_file_conflicts_dialog_boxcommon

Related Topics:

Using the Insert Project Template Dialog Box

Using the Insert Subproject Dialog Box

Using the Project Template Selection Dialog Box

Using the Project Template Setup Dialog Box

Using the Code Conflicts Dialog Box

Using the Create Project Template Dialog Box


seealso_using_the_change_access_mode_dialog_boxcommon

Related Topics:

Using the New File Dialog Box

Using the File Open Dialog Box

Saving and Copying Open Plan Files

Using the Backup Dialog Box

Using the Restore Wizard

Using the Select File to Delete Dialog Box

Using the Change Ownership and Access Rights Dialog Box

Related Procedure:

Changing the Default Access Mode of a File


seealso_using_the_change_access_rights_dialog_boxcommon

Related Topics:

Using the Change Ownership and Access Rights Dialog Box

Using the Change Owner Dialog Box

Using the Properties Dialog Box — Access Control Tab

Related Procedures:

Changing the Owner of a Object

Changing the Access Rights of an Object


seealso_using_the_change_owner_dialog_boxcommon

Related Topics:

Using the Change Ownership and Access Rights Dialog Box

Using the Change Access Rights Dialog Box

Related Procedures:

Changing the Owner of a Object

Changing the Access Rights of an Object


seealso_using_the_change_ownership_and_access_rights_dialog_boxcommon

Related Topics:

Using the Change Owner Dialog Box

Using the Change Access Rights Dialog Box

Related Procedures:

Changing the Owner of a Object

Changing the Access Rights of an Object


seealso_using_the_check_in_dialog_boxcommon

Related Topics:

Understanding the Open Plan Briefcasing Feature

Using a Briefcase Data Source

Using the Check Out Dialog Box

Using the Checked Out Projects Dialog Box

Related Procedures:

Checking Out a Project

Undoing a Project Check Out

Checking in a Project

Viewing the Checked Out Status of a Project


seealso_using_the_check_out_dialog_boxcommon

Related Topics:

Understanding the Open Plan Briefcasing Feature

Using a Briefcase Data Source

Using the Check In Dialog Box

Using the Checked Out Projects Dialog Box

Related Procedures:

Checking Out a Project

Undoing a Project Check Out

Checking in a Project

Viewing the Checked Out Status of a Project


seealso_using_the_checked_out_projects_dialog_boxcommon

Related Topics:

Understanding the Open Plan Briefcasing Feature

Using a Briefcase Data Source

Using the Check Out Dialog Box

Using the Check In Dialog Box

Related Procedures:

Checking Out a Project

Undoing a Project Check Out

Checking in a Project

Viewing the Checked Out Status of a Project


seealso_using_the_choose_a_code_file_dialog_boxcommon

Related Topics:

Using the Choose a Project Dialog Box

Using the Choose a Resource Pool Dialog Box

Related Procedure:

Assigning a View to a Code File


seealso_using_the_choose_a_project_dialog_boxcommon

Related Topics:

Using the Choose a Code File Dialog Box

Using the Choose a Resource Pool Dialog Box

Related Procedure:

Assigning a View to a Project


seealso_using_the_choose_a_resource_pool_dialog_boxcommon

Related Topics:

Using the Choose a Project Dialog Box

Using the Choose a Code File Dialog Box

Related Procedure:

Assigning a View to a Resource Pool


seealso_using_the_code_conflicts_dialog_boxcommon

Related Topics:

Using the Insert Project Templates Dialog Box

Using the Insert Subproject Dialog Box

Using the Project Template Selection Dialog Box

Using the Project Template Setup Dialog Box

Using the Calendar and Resource File Conflicts Dialog Box

Using the Create Project Template Dialog Box


seealso_using_the_contents_pane_of_the_open_plan_explorercommon

Related Topics:

Basic Skills

Using the Open Plan Explorer

Customizing the Details Display in the Open Plan Explorer

Using the Customize Columns Dialog Box

Using the Find Dialog Box

Using the Logged-In User Dialog Box

Using Clipboard Operations

Using Toolbar Shortcuts

Using Keyboard Shortcuts

Related Procedures:

Creating a User Folder

Adding a Column to the Contents Pane

Removing a Column from the Contents Pane

Renaming a Column in the Contents Pane

Sorting the Data in the Contents Pane

Resizing a Column in the Contents Pane


seealso_using_the_create_project_template_dialog_boxcommon

Related Topics:

Using the Insert Project Templates Dialog Box

Using the Insert Subproject Dialog Box

Using the Project Template Selection Dialog Box

Using the Project Template Setup Dialog Box

Using the Calendar and Resource File Conflicts Dialog Box

Using the Code Conflicts Dialog Box


seealso_using_the_customize_add_ins_toolbars_dialog_boxcommon

Related Topics:

Custom Tools

Using the Customize Toolbar Dialog Box

Using the Customize Toolbar Icons Dialog Box

Related Procedures:

Customizing the Add-Ins Toolbars

Adding a Custom Item to the Add-Ins Menu

Adding a Custom Add-Ins Icon


seealso_using_the_customize_columns_dialog_boxcommon

Related Topics:

Basic Skills

Using the Open Plan Explorer

Using the Contents Pane of the Open Plan Explorer

Customizing the Details Display in the Open Plan Explorer

Using the Find Dialog Box

Using the Logged-In User Dialog Box

Using Clipboard Operations

Using Toolbar Shortcuts

Using Keyboard Shortcuts

Related Procedures:

Creating a User Folder

Adding a Column to the Contents Pane

Removing a Column from the Contents Pane

Renaming a Column in the Contents Pane

Sorting the Data in the Contents Pane

Resizing a Column in the Contents Pane


seealso_using_the_customize_toolbar_dialog_boxcommon

Related Topics:

Custom Tools

Using the Customize Add-Ins Toolbars Dialog Box

Using the Customize Toolbar Icons Dialog Box

Related Procedures:

Customizing the Add-Ins Toolbars

Adding a Custom Item to the Add-Ins Menu

Adding a Custom Add-Ins Icon


seealso_using_the_customize_toolbar_icons_dialog_boxcommon

Related Topics:

Custom Tools

Using the Customize Add-Ins Toolbars Dialog Box

Using the Customize Toolbar Dialog Box

Related Procedures:

Customizing the Add-Ins Toolbars

Adding a Custom Item to the Add-Ins Menu


seealso_using_the_data_missing_from_target_data_source_dialog_boxcommon

Related Topics:

Using the Restore Wizard

Using the Structure Differences Dialog Box

Using the Restore Process Dialog Box

Using the Restore Target Exists Dialog Box

Using the Restore Required Dialog Box

Using the Backup Dialog Box

Related Procedures:

Backing Up Open Plan Data

Restoring Data From a Backup File


seealso_using_the_data_sources_dialog_boxcommon

Related Topics:

Using the Data Tool Login Dialog Box

Using the Data Tool Dialog Box

Using the Data Tool Change Password Dialog Box

Using the Edit Data Source Dialog Box

Related Procedures:

Selecting a Data Source

Adding a Data Source Connection

Editing a Data Source Connection

Deleting a Data Source Connection


seealso_using_the_data_tool_change_password_dialog_boxcommon

Related Topics:

Using the Data Tool Login Dialog Box

Using the Data Tool Dialog Box

Using the Data Sources Dialog Box

Using the Edit Data Source Dialog Box

Related Procedures:

Selecting a Data Source

Adding a Data Source Connection

Editing a Data Source Connection

Deleting a Data Source Connection


seealso_using_the_data_tool_login_dialog_boxcommon

Related Topics:

Using the Data Tool Dialog Box

Using the Data Tool Change Password Dialog Box

Using the Data Sources Dialog Box

Using the Edit Data Source Dialog Box

Related Procedures:

Selecting a Data Source

Adding a Data Source Connection

Editing a Data Source Connection

Deleting a Data Source Connection


seealso_using_the_data_toolcommon

Related Topics:

Using the Data Tool Login Dialog Box

Using the Data Tool Change Password Dialog Box

Using the Data Sources Dialog Box

Using the Edit Data Source Dialog Box

Related Procedures:

Selecting a Data Source

Adding a Data Source Connection

Editing a Data Source Connection

Deleting a Data Source Connection


seealso_using_the_date_range_options_dialog_boxcommon

Related Topics

Using the Print Options Dialog Box

Using the Print Options General Tab

Using the Print Options Title Blocks Tab

Using the Print Options View Tab

Using Print Preview

Using the Print Setup Dialog Box

Using the Print Dialog Box

Using the Print Calendar Dialog Box

Related Procedures:

Setting Print Margins

Previewing a Report Before Printing

Setting Up a Printer

Printing Notes With a Report

Printing a Barchart

Printing a Spreadsheet

Printing a Report


seealso_using_the_delete_activity_dialog_boxcommon

Related Topic:

Using the Select File to Delete Dialog Box

Related Procedure:

Deleting an Open Plan File


seealso_using_the_destination_directory_dialog_boxcommon

Related Topics:

Understanding the Trace Critical Path Facility

Using the Trace Critical Path Facility — Inputs Tab

Using the Trace Critical Path Facility — Reports Tab

Using the Output Fields Dialog Box

Using the Activity Tree Dialog Box


seealso_using_the_edit_advisor_emails_dialog_boxcommon

Related Topics:

Using the Email Advisor

Using the Advisory Definitions Dialog Box

Related Procedures:

Sending an Email Advisory

Setting Up an Email Advisory Address List

Creating a New Email Advisory

Copying an Email Advisory

Editing an Email Advisory

Deleting an Email Advisory


seealso_using_the_edit_data_source_dialog_boxcommon

Related Topics:

Using the Data Tool Login Dialog Box

Using the Data Tool Dialog Box

Using the Data Tool Change Password Dialog Box

Using the Data Sources Dialog Box

Related Procedures:

Selecting a Data Source

Adding a Data Source Connection

Editing a Data Source Connection

Deleting a Data Source Connection


seealso_using_the_edit_symbol_dialog_boxcommon

Related Topics:

Using the Manage Symbols Dialog Box

Using the Add Symbol Dialog box

Using the Options Dialog Box

Related Procedures:

Adding a Custom Symbol

Editing a Custom Symbol


seealso_using_the_email_advisorcommon

Related Topics:

Using the Advisory Definitions Dialog Box

Using the Edit Advisor Emails Dialog Box

Related Procedures:

Sending an Email Advisory

Setting Up an Email Advisory Address List

Creating a New Email Advisory

Copying an Email Advisory

Editing an Email Advisory

Deleting an Email Advisory


seealso_using_the_filter_settings_dialog_boxcommon

Related Topics:

Basic Skills

Using the Open Plan Explorer

Using the Contents Pane of the Open Plan Explorer

Customizing the Details Display in the Open Plan Explorer

Using the Customize Columns Dialog Box


seealso_using_the_find_dialog_boxcommon

Related Topics:

Basic Skills

Using the Open Plan Explorer

Using the Contents Pane of the Open Plan Explorer

Customizing the Details Display in the Open Plan Explorer

Using the Customize Columns Dialog Box

Using the Logged-In User Dialog Box

Using Clipboard Operations

Using Toolbar Shortcuts

Using Keyboard Shortcuts

Related Procedures:

Creating a User Folder

Adding a Column to the Contents Pane

Removing a Column from the Contents Pane

Renaming a Column in the Contents Pane

Sorting the Data in the Contents Pane

Resizing a Column in the Contents Pane


seealso_using_the_folder_properties_message_boxcommon

Related Topics:

Using the Open Plan Explorer

Using the Contents Pane of the Open Plan Explorer

Customizing the Details Display in the Open Plan Explorer

Related Procedure:

Creating a User Folder


seealso_using_the_font_dialog_boxcommon

Related Topics:

Using Print Preview

Using the Print Dialog Box

Using the Print Setup Dialog Box

Using the Print Options Dialog Box

Related Procedures:

Changing the Font on a Date Scale

Changing the Font on a Bar

Changing the Default Font on a Spreadsheet

Changing the Font on a Network View

Changing the Font on an Annotation

Changing the Font on a Calendar

Changing the Font on a Resource View

Changing the Font on a Code View


seealso_using_the_insert_project_template_dialog_boxcommon

Related Topics:

Using the Insert Subproject Dialog Box

Using the Project Template Selection Dialog Box

Using the Project Template Setup Dialog Box

Using the Calendar and Resource File Conflicts Dialog Box

Using the Code Conflicts Dialog Box

Using the Create Project Template Dialog Box


seealso_using_the_insert_subproject_dialog_boxcommon

Related Topics:

Using the Insert Project Templates Dialog Box

Using the Project Template Selection Dialog Box

Using the Project Template Setup Dialog Box

Using the Calendar and Resource File Conflicts Dialog Box

Using the Code Conflicts Dialog Box

Using the Create Project Template Dialog Box


seealso_using_the_just_created_a_browser_view_dialog_boxcommon

Related Topics:

Using the Open Plan Explorer

Using the Browser View Definition Dialog Box


seealso_using_the_logged_in_user_dialog_boxcommon

Related Topics:

Basic Skills

Using the Open Plan Explorer

Using the Contents Pane of the Open Plan Explorer

Customizing the Details Display in the Open Plan Explorer

Using the Customize Columns Dialog Box

Using the Find Dialog Box

Using Clipboard Operations

Using Toolbar Shortcuts

Using Keyboard Shortcuts

Related Procedures:

Creating a User Folder

Adding a Column to the Contents Pane

Removing a Column from the Contents Pane

Renaming a Column in the Contents Pane

Sorting the Data in the Contents Pane

Resizing a Column in the Contents Pane


seealso_using_the_manage_symbols_dialog_boxcommon

Related Topics:

Using the Add Symbol Dialog Box

Using the Edit Symbol Dialog box

Using the Options Dialog Box — General Tab

Using the Options Dialog Box — Edit Tab

Using the Options Dialog Box — Project Tab

Using the Options Dialog Box — Views Tab

Using the Options Dialog Box — Codes Tab

Using the Options Dialog Box — Color Tab

Using the Options Dialog Box — Advanced Tab

Using the Select Standard Views Dialog Box

Related Procedures:

Adding a Custom Symbol

Editing a Custom Symbol

Setting System Preferences


seealso_using_the_new_file_dialog_boxcommon

Related Topics:

Using the New File Wizard

Using the Options Dialog Box

Using the File Open Dialog Box

Using the Insert Project Templates Dialog Box

Related Procedures:

Creating a New Project

Creating a Calendar File

Creating a Resource File

Creating a Code File

Creating an Open Plan File


seealso_using_the_new_file_wizard_access_control_pagecommon

Related Topics:

Using the New File Wizard

Using the New File Wizard Create Page

Using the New File Wizard Project Templates Page

Using the New File Wizard Summary Page

Using the New File Wizard Files Page

Using the New File Wizard External Subprojects Page

Using the New File Wizard Preferences Page

Using the New File Wizard Status Information Page

Using the New File Wizard Code Structure Page

Using the New File Wizard Notes Page

Related Procedure:

Creating an Open Plan File


seealso_using_the_new_file_wizard_code_structure_pagecommon

Related Topics:

Using the New File Wizard

Using the New File Wizard Create Page

Using the New File Wizard Project Templates Page

Using the New File Wizard Summary Page

Using the New File Wizard Files Page

Using the New File Wizard External Subprojects Page

Using the New File Wizard Preferences Page

Using the New File Wizard Status Information Page

Using the New File Wizard Notes Page

Using the New File Wizard Access Control Page

Related Procedure:

Creating an Open Plan File


seealso_using_the_new_file_wizard_create_pagecommon

Related Topics:

Using the New File Wizard

Using the New File Wizard Project Templates Page

Using the New File Wizard Summary Page

Using the New File Wizard Files Page

Using the New File Wizard External Subprojects Page

Using the New File Wizard Preferences Page

Using the New File Wizard Status Information Page

Using the New File Wizard Code Structure Page

Using the New File Wizard Notes Page

Using the New File Wizard Access Control Page

Related Procedure:

Creating an Open Plan File


seealso_using_the_new_file_wizard_external_subprojects_pagecommon

Related Topics:

Working with Hierarchical Projects

Using the New File Wizard

Using the New File Wizard Create Page

Using the New File Wizard Project Templates Page

Using the New File Wizard Summary Page

Using the New File Wizard Files Page

Using the New File Wizard Preferences Page

Using the New File Wizard Status Information Page

Using the New File Wizard Code Structure Page

Using the New File Wizard Access Control Page

Related Procedure:

Creating a Project Using the New Project Wizard


seealso_using_the_new_file_wizard_files_pagecommon

Related Topics:

Using the New File Wizard

Using the New File Wizard Create Page

Using the New File Wizard Project Templates Page

Using the New File Wizard Summary Page

Using the New File Wizard External Subprojects Page

Using the New File Wizard Preferences Page

Using the New File Wizard Status Information Page

Using the New File Wizard Code Structure Page

Using the New File Wizard Notes Page

Using the New File Wizard Access Control Page

Related Procedure:

Creating an Open Plan File


seealso_using_the_new_file_wizard_notes_pagecommon

Related Topics:

Using the New File Wizard

Using the New File Wizard Create Page

Using the New File Wizard Project Templates Page

Using the New File Wizard Summary Page

Using the New File Wizard Files Page

Using the New File Wizard External Subprojects Page

Using the New File Wizard Preferences Page

Using the New File Wizard Status Information Page

Using the New File Wizard Code Structure Page

Using the New File Wizard Access Control Page

Related Procedure:

Creating an Open Plan File


seealso_using_the_new_file_wizard_preferences_pagecommon

Related Topics:

Using the New File Wizard

Using the New File Wizard Create Page

Using the New File Wizard Project Templates Page

Using the New File Wizard Summary Page

Using the New File Wizard Files Page

Using the New File Wizard External Subprojects Page

Using the New File Wizard Status Information Page

Using the New File Wizard Code Structure Page

Using the New File Wizard Access Control Page

Related Procedure:

Creating an Open Plan File


seealso_using_the_new_file_wizard_status_information_pagecommon

Related Topics:

Using the New File Wizard

Using the New File Wizard Create Page

Using the New File Wizard Project Templates Page

Using the New File Wizard Summary Page

Using the New File Wizard Files Page

Using the New File Wizard External Subprojects Page

Using the New File Wizard Preferences Page

Using the New File Wizard Code Structure Page

Using the New File Wizard Notes Page

Using the New File Wizard Access Control Page

Related Procedure:

Creating an Open Plan File


seealso_using_the_new_file_wizard_summary_pagecommon

Related Topics:

Using the New File Wizard

Using the New File Wizard Create Page

Using the New File Wizard Project Templates Page

Using the New File Wizard Files Page

Using the New File Wizard External Subprojects Page

Using the New File Wizard Preferences Page

Using the New File Wizard Status Information Page

Using the New File Wizard Code Structure Page

Using the New File Wizard Notes Page

Using the New File Wizard Access Control Page

Related Procedure:

Creating an Open Plan File


seealso_using_the_new_file_wizard_template_projects_pagecommon

Related Topics:

Using the New File Wizard

Using the New File Wizard Create Page

Using the New File Wizard Summary Page

Using the New File Wizard Files Page

Using the New File Wizard External Subprojects Page

Using the New File Wizard Preferences Page

Using the New File Wizard Status Information Page

Using the New File Wizard Code Structure Page

Using the New File Wizard Notes Page

Using the New File Wizard Access Control Page

Related Procedure:

Creating an Open Plan File


seealso_using_the_new_file_wizardcommon

Related Topics:

Using the New File Dialog Box

Using the New File Wizard Create Page

Using the New File Wizard Project Templates Page

Using the New File Wizard Summary Page

Using the New File Wizard Files Page

Using the New File Wizard External Subprojects Page

Using the New File Wizard Preferences Page

Using the New File Wizard Status Information Page

Using the New File Wizard Code Structure Page

Using the New File Wizard Notes Page

Using the New File Wizard Access Control Page

Using the Options Dialog Box

Using the File Open Dialog Box

Related Procedures:

Creating a Project Using the New Project Wizard

Creating a New Project Manually

Creating a Calendar File

Creating a Resource File

Creating a Code File

Creating an Open Plan File


seealso_using_the_open_plan_explorercommon

Related Topics:

Basic Skills

Using the Contents Pane of the Open Plan Explorer

Customizing the Details Display in the Open Plan Explorer

Using the Customize Columns Dialog Box

Using the Find Dialog Box

Using the Logged-In User Dialog Box

Using Clipboard Operations

Using Toolbar Shortcuts

Using Keyboard Shortcuts

Related Procedures:

Creating a User Folder

Creating a Link in My Folder to an Object

Adding a Column to the Contents Pane

Removing a Column from the Contents Pane

Renaming a Column in the Contents Pane

Sorting the Data in the Contents Pane

Resizing a Column in the Contents Pane


seealso_using_the_options_dialog_box_advanced_tabcommon

Related Topics:

Using the Options Dialog Box — General Tab

Using the Manage Symbols Dialog Box

Using the Options Dialog Box — Edit Tab

Using the Options Dialog Box — Project Tab

Using the Options Dialog Box — Views Tab

Using the Options Dialog Box — Codes Tab

Using the Options Dialog Box — Color Tab

Using the Select Standard Views Dialog Box

Using the System Preferences Defaults Dialog Box

Related Procedures:

Setting System Preferences

Modifying the List of Default Views

Disabling Start Up Procedures

Opening Last File on Startup

Showing Summary Dates on Subprojects

Enabling Editing of Read-Only Files


seealso_using_the_options_dialog_box_codes_tabcommon

Related Topics:

Using the Assign Code Dialog Box

Using the Options Dialog Box — General Tab

Using the Manage Symbols Dialog Box

Using the Options Dialog Box — Edit Tab

Using the Options Dialog Box — Project Tab

Using the Options Dialog Box — Views Tab

Using the Options Dialog Box — Color Tab

Using the Options Dialog Box — Advanced Tab

Using the Select Standard Views Dialog Box

Related Procedures:

Setting System Preferences

Modifying the List of Default Views

Disabling Start Up Procedures

Opening Last File on Startup

Showing Summary Dates on Subprojects


seealso_using_the_options_dialog_box_color_tabcommon

Related Topics:

Using the Options Dialog Box — General Tab

Using the Manage Symbols Dialog Box

Using the Options Dialog Box — Edit Tab

Using the Options Dialog Box — Project Tab

Using the Options Dialog Box — Views Tab

Using the Options Dialog Box — Codes Tab

Using the Options Dialog Box — Advanced Tab

Related Procedure:

Setting System Preferences


seealso_using_the_options_dialog_box_edit_tabcommon

Related Topics:

Using the Options Dialog Box — General Tab

Using the Manage Symbols Dialog Box

Using the Options Dialog Box — Project Tab

Using the Options Dialog Box — Views Tab

Using the Options Dialog Box — Codes Tab

Using the Options Dialog Box — Color Tab

Using the Options Dialog Box — Advanced Tab

Using the Select Standard Views Dialog Box

Using the Activity Details - General Tab

Related Procedures:

Setting System Preferences

Modifying the List of Default Views

Disabling Start Up Procedures

Opening Last File on Startup

Showing Summary Dates on Subprojects


seealso_using_the_options_dialog_box_general_tabcommon

Related Topics:

Using the Manage Symbols Dialog Box

Using the Options Dialog Box — Edit Tab

Using the Options Dialog Box — Project Tab

Using the Options Dialog Box — Views Tab

Using the Options Dialog Box — Codes Tab

Using the Options Dialog Box — Color Tab

Using the Options Dialog Box — Advanced Tab

Using the Select Standard Views Dialog Box

Related Procedures:

Setting System Preferences

Modifying the List of Default Views

Disabling Start Up Procedures

Opening Last File on Startup

Showing Summary Dates on Subprojects


seealso_using_the_options_dialog_box_project_tabcommon

Related Topics:

Using the Options Dialog Box — General Tab

Using the Manage Symbols Dialog Box

Using the Options Dialog Box — Edit Tab

Using the Options Dialog Box — Views Tab

Using the Options Dialog Box — Codes Tab

Using the Options Dialog Box — Color Tab

Using the Options Dialog Box — Advanced Tab

Using the Select Standard Views Dialog Box

Related Procedures:

Setting System Preferences

Modifying the List of Default Views

Disabling Start Up Procedures

Opening Last File on Startup

Showing Summary Dates on Subprojects


seealso_using_the_options_dialog_box_views_tabcommon

Related Topics:

Using the Select Standard Views Dialog Box

Using the Options Dialog Box — General Tab

Using the Manage Symbols Dialog Box

Using the Options Dialog Box — Edit Tab

Using the Options Dialog Box — Project Tab

Using the Options Dialog Box — Codes Tab

Using the Options Dialog Box — Color Tab

Using the Options Dialog Box — Email Tab

Using the Options Dialog Box — Advanced Tab

Using the Select Standard Views Dialog Box

Related Procedures:

Setting System Preferences

Modifying the List of Default Views

Disabling Start Up Procedures

Opening Last File on Startup

Showing Summary Dates on Subprojects


seealso_using_the_options_dialog_boxcommon

Related Topics:

Using the Options Dialog Box — General Tab

Using the Options Dialog Box — Edit Tab

Using the Options Dialog Box — Project Tab

Using the Options Dialog Box — Views Tab

Using the Options Dialog Box — Codes Tab

Using the Options Dialog Box — Color Tab

Using the Options Dialog Box — Email Tab

Using the Options Dialog Box — Advanced Tab

Using the Select Standard Views Dialog Box

Related Procedures:

Setting System Preferences

Modifying the List of Default Views

Disabling Start Up Procedures

Opening Last File on Startup

Showing Summary Dates on Subprojects


seealso_using_the_output_fields_dialog_boxcommon

Related Topics:

Understanding the Trace Critical Path Facility

Using the Trace Critical Path Facility — Inputs Tab

Using the Trace Critical Path Facility — Reports Tab

Using the Destination Directory Dialog Box

Using the Activity Tree Dialog Box


seealso_using_the_print_dialog_boxcommon

Related Topics:

Using the Print Calendar Dialog Box

Using the Print Options Dialog Box

Using the Print Setup Dialog Box

Using Print Preview

Related Procedures:

Setting Print Margins

Printing Notes With a Report

Printing a Report

Printing a Calendar

Printing a Barchart

Setting Up a Printer


seealso_using_the_print_options_dialog_boxcommon

Related Topics

Using the Print Options General Tab

Using the Print Options View Tab

Using the Title Blocks Dialog Box

Using the Date Range Options Dialog Box

Using Print Preview

Using the Print Setup Dialog Box

Using the Print Dialog Box

Using the Print Calendar Dialog Box

Related Procedures:

Setting Print Margins

Previewing a Report Before Printing

Setting Up a Printer

Printing Notes With a Report

Printing a Barchart

Printing a Spreadsheet

Printing a Report

Printing a Calendar


seealso_using_the_print_options_general_tabcommon

Related Topics

Using the Print Options Dialog Box

Using the Print Options Title Blocks Tab

Using the Print Options View Tab

Using the Select Note Categories Dialog Box

Using the Date Range Options Dialog Box

Using Print Preview

Using the Print Setup Dialog Box

Using the Print Dialog Box

Using the Manage Note Categories Dialog Box

Related Procedures:

Setting Print Margins

Previewing a Report Before Printing

Setting Up a Printer

Printing Notes With a Report

Creating a Note Category

Editing a Note Category

Printing a Report


seealso_using_the_print_options_view_tabcommon

Related Topics

Using the Print Options Dialog Box

Using the Print Options General Tab

Using the Select Note Categories Dialog Box

Using the Title Blocks Dialog Box

Using the Date Range Options Dialog Box

Using Print Preview

Using the Print Setup Dialog Box

Using the Print Dialog Box

Using the Print Calendar Dialog Box

Related Procedures:

Setting Print Margins

Previewing a Report Before Printing

Setting Up a Printer

Printing Notes With a Report

Printing a Barchart

Printing a Spreadsheet

Printing a Report

Printing a Calendar


seealso_using_the_print_setup_dialog_boxcommon

Related Topics:

Using Print Preview

Using the Print Dialog Box

Using the Print Calendar Dialog Box

Using the Print Options Dialog Box

Related Procedures:

Setting Up a Printer

Setting Print Margins

Printing Notes With a Report

Printing a Report

Printing a Calendar

Printing a Barchart


seealso_using_the_project_template_selection_dialog_boxcommon

Related Topics:

Using the Insert Project Template Dialog Box

Using the Insert Subproject Dialog Box

Using the Project Template Setup Dialog Box

Using the Calendar and Resource File Conflicts Dialog Box

Using the Code Conflicts Dialog Box

Using the Create Project Template Dialog Box


seealso_using_the_project_template_setup_dialog_boxcommon

Related Topics:

Using the Insert Project Template Dialog Box

Using the Insert Subproject Dialog Box

Using the Project Template Selection Dialog Box

Using the Project Template Setup Dialog Box

Using the Calendar and Resource File Conflicts Dialog Box

Using the Code Conflicts Dialog Box

Using the Create Project Template Dialog Box


seealso_using_the_properties_dialog_box_access_control_tabcommon

Related Topics:

Using the Properties Dialog Box

Using the Properties Dialog Box — General Tab

Using the Properties Dialog Box — Command-Line Tab

Using the Properties Dialog Box — Statistics Tab

Using the Properties Dialog Box — Files Tab

Using the Properties Dialog Box — Structure Tab

Using the Properties Dialog Box — Preferences Tab

Using the Properties Dialog Box — Open Status Tab

Using the Properties Dialog Box — References Tab

Using the Properties Dialog Box — Notes Tab

Using the Properties Dialog Box — User Fields Tab

Related Procedures:

Changing the Properties of a View

Changing the Properties of an Auxiliary File


seealso_using_the_properties_dialog_box_command_line_info_tabcommon

Related Topics:

Using the Properties Dialog Box

Using the Properties Dialog Box — General Tab

Using the Properties Dialog Box — Statistics Tab

Using the Properties Dialog Box — Files Tab

Using the Properties Dialog Box — Structure Tab

Using the Properties Dialog Box — Preferences Tab

Using the Properties Dialog Box — Access Control Tab

Using the Properties Dialog Box — Open Status Tab

Using the Properties Dialog Box — References Tab

Using the Properties Dialog Box — Notes Tab

Using the Properties Dialog Box — User Fields Tab

Related Procedures:

Changing the Properties of a View

Changing the Properties of an Auxiliary File


seealso_using_the_properties_dialog_box_files_tabcommon

Related Topics:

Using the Properties Dialog Box

Using the Properties Dialog Box — General Tab

Using the Properties Dialog Box — Command-Line Tab

Using the Properties Dialog Box — Statistics Tab

Using the Properties Dialog Box — Structure Tab

Using the Properties Dialog Box — Preferences Tab

Using the Properties Dialog Box — Access Control Tab

Using the Properties Dialog Box — Open Status Tab

Using the Properties Dialog Box — References Tab

Using the Properties Dialog Box — Notes Tab

Using the Properties Dialog Box — User Fields Tab

Related Procedures:

Changing the Properties of a View

Changing the Properties of an Auxiliary File


seealso_using_the_properties_dialog_box_for_a_shortcutcommon

Related Topics:

Using the Properties Dialog Box

Using the Project Properties Dialog Box

Related Procedures:

Changing the Properties of a Shortcut

Changing the Properties of a View

Changing the Properties of an Auxiliary File


seealso_using_the_properties_dialog_box_general_tabcommon

Related Topics:

Using the Properties Dialog Box

Using the Properties Dialog Box — Command-Line Tab

Using the Properties Dialog Box — Statistics Tab

Using the Properties Dialog Box — Files Tab

Using the Properties Dialog Box — Structure Tab

Using the Properties Dialog Box — Preferences Tab

Using the Properties Dialog Box — Access Control Tab

Using the Properties Dialog Box — Open Status Tab

Using the Properties Dialog Box — References Tab

Using the Properties Dialog Box — Notes Tab

Using the Properties Dialog Box — User Fields Tab

Related Procedures:

Changing the Properties of a View

Changing the Properties of an Auxiliary File


seealso_using_the_properties_dialog_box_notes_tabcommon

Related Topics:

Using the Properties Dialog Box

Using the Properties Dialog Box — General Tab

Using the Properties Dialog Box — Command-Line Tab

Using the Properties Dialog Box — Statistics Tab

Using the Properties Dialog Box — Files Tab

Using the Properties Dialog Box — Structure Tab

Using the Properties Dialog Box — Preferences Tab

Using the Properties Dialog Box — Access Control Tab

Using the Properties Dialog Box — Open Status Tab

Using the Properties Dialog Box — References Tab

Using the Properties Dialog Box — User Fields Tab

Related Procedures:

Changing the Properties of a View

Changing the Properties of an Auxiliary File


seealso_using_the_properties_dialog_box_open_status_tabcommon

Related Topics:

Using the Properties Dialog Box

Using the Properties Dialog Box — General Tab

Using the Properties Dialog Box — Command-Line Tab

Using the Properties Dialog Box — Statistics Tab

Using the Properties Dialog Box — Files Tab

Using the Properties Dialog Box — Structure Tab

Using the Properties Dialog Box — Preferences Tab

Using the Properties Dialog Box — Access Control Tab

Using the Properties Dialog Box — References Tab

Using the Properties Dialog Box — Notes Tab

Using the Properties Dialog Box — User Fields Tab

Related Procedures:

Changing the Properties of a View

Changing the Properties of an Auxiliary File


seealso_using_the_properties_dialog_box_preferences_tabcommon

Related Topics:

Using the Properties Dialog Box

Using the Properties Dialog Box — General Tab

Using the Properties Dialog Box — Command-Line Tab

Using the Properties Dialog Box — Statistics Tab

Using the Properties Dialog Box — Files Tab

Using the Properties Dialog Box — Structure Tab

Using the Properties Dialog Box — Access Control Tab

Using the Properties Dialog Box — Open Status Tab

Using the Properties Dialog Box — References Tab

Using the Properties Dialog Box — Notes Tab

Using the Properties Dialog Box — User Fields Tab

Related Procedures:

Changing the Properties of a View

Changing the Properties of an Auxiliary File


seealso_using_the_properties_dialog_box_references_tabcommon

Related Topics:

Using the Properties Dialog Box

Using the Properties Dialog Box — General Tab

Using the Properties Dialog Box — Command-Line Tab

Using the Properties Dialog Box — Statistics Tab

Using the Properties Dialog Box — Files Tab

Using the Properties Dialog Box — Structure Tab

Using the Properties Dialog Box — Preferences Tab

Using the Properties Dialog Box — Access Control Tab

Using the Properties Dialog Box — Open Status Tab

Using the Properties Dialog Box — Notes Tab

Using the Properties Dialog Box — User Fields Tab

Related Procedures:

Changing the Properties of a View

Changing the Properties of an Auxiliary File


seealso_using_the_properties_dialog_box_statistics_tabcommon

Related Topics:

Using the Properties Dialog Box

Using the Properties Dialog Box — General Tab

Using the Properties Dialog Box — Command-Line Tab

Using the Properties Dialog Box — Files Tab

Using the Properties Dialog Box — Structure Tab

Using the Properties Dialog Box — Preferences Tab

Using the Properties Dialog Box — Access Control Tab

Using the Properties Dialog Box — Open Status Tab

Using the Properties Dialog Box — References Tab

Using the Properties Dialog Box — Notes Tab

Using the Properties Dialog Box — User Fields Tab

Related Procedures:

Changing the Properties of a View

Changing the Properties of an Auxiliary File


seealso_using_the_properties_dialog_box_structure_tabcommon

Related Topics:

Using the Properties Dialog Box

Using the Properties Dialog Box — General Tab

Using the Properties Dialog Box — Command-Line Tab

Using the Properties Dialog Box — Statistics Tab

Using the Properties Dialog Box — Files Tab

Using the Properties Dialog Box — Preferences Tab

Using the Properties Dialog Box — Access Control Tab

Using the Properties Dialog Box — Open Status Tab

Using the Properties Dialog Box — References Tab

Using the Properties Dialog Box — Notes Tab

Using the Properties Dialog Box — User Fields Tab

Related Procedures:

Changing the Properties of a View

Changing the Properties of an Auxiliary File


seealso_using_the_properties_dialog_box_user_fields_tabcommon

Related Topics:

Using the Properties Dialog Box

Using the Properties Dialog Box — General Tab

Using the Properties Dialog Box — Command-Line Tab

Using the Properties Dialog Box — Statistics Tab

Using the Properties Dialog Box — Files Tab

Using the Properties Dialog Box — Structure Tab

Using the Properties Dialog Box — Preferences Tab

Using the Properties Dialog Box — Access Control Tab

Using the Properties Dialog Box — Open Status Tab

Using the Properties Dialog Box — References Tab

Using the Properties Dialog Box — Notes Tab

Related Procedures:

Changing the Properties of a View

Changing the Properties of an Auxiliary File


seealso_using_the_properties_dialog_boxcommon

Related Topics:

Using the Properties Dialog Box — General Tab

Using the Properties Dialog Box — Command-Line Tab

Using the Properties Dialog Box — Statistics Tab

Using the Properties Dialog Box — Files Tab

Using the Properties Dialog Box — Structure Tab

Using the Properties Dialog Box — Preferences Tab

Using the Properties Dialog Box — Access Control Tab

Using the Properties Dialog Box — Open Status Tab

Using the Properties Dialog Box — References Tab

Using the Properties Dialog Box — Notes Tab

Using the Properties Dialog Box — User Fields Tab

Related Procedures:

Changing the Properties of a View

Changing the Properties of an Auxiliary File


seealso using the restore access denied dialog box

Related Topics:

Using the Restore Wizard

Using the Data Missing from Target Data Source Dialog Box

Using the Structure Differences Dialog Box

Using the Restore Process Dialog Box

Using the Restore Required Dialog Box

Using the Restore Target Exists Dialog Box

Using the Backup Dialog Box

Related Procedures:

Backing Up Open Plan Data

Restoring Data From a Backup File


seealso_using_the_restore_process_dialog_boxcommon

Related Topics:

Using the Restore Wizard

Using the Data Missing from Target Data Source Dialog Box

Using the Structure Differences Dialog Box

Using the Restore Target Exists Dialog Box

Using the Restore Required Dialog Box

Using the Restore – Write Access Denied Dialog Box

Using the Backup Dialog Box

Related Procedures:

Backing Up Open Plan Data

Restoring Data From a Backup File


seealso_using_the_restore_required_dialog_boxcommon

Related Topics:

Using the Restore Wizard

Using the Structure Differences Dialog Box

Using the Restore Process Dialog Box

Using the Restore Target Exists Dialog Box

Using the Restore – Write Access Denied Dialog Box

Using the Backup Dialog Box

Related Procedures:

Backing Up Open Plan Data

Restoring Data From a Backup File


seealso_using_the_restore_target_exists_dialog_boxcommon

Related Topics:

Using the Restore Wizard

Using the Data Missing from Target Data Source Dialog Box

Using the Structure Differences Dialog Box

Using the Restore Process Dialog Box

Using the Restore Required Dialog Box

Using the Restore – Write Access Denied Dialog Box

Using the Backup Dialog Box

Related Procedures:

Backing Up Open Plan Data

Restoring Data From a Backup File


seealso_using_the_restore_wizardcommon

Related Topics:

Using the Details Page of the Restore Wizard

Using the Data Missing from Target Data Source Dialog Box

Using the Structure Differences Dialog Box

Using the Restore Process Dialog Box

Using the Restore Target Exists Dialog Box

Using the Restore Required Dialog Box

Using the Restore – Write Access Denied Dialog Box

Using the Backup Dialog Box

Related Procedures:

Backing Up Open Plan Data

Restoring Data From a Backup File


seealso_using_the_save_as_dialog_box_databasecommon

Related Topics:

Using the Save Current View As Dialog Box

Using the Save Changes Dialog Box

Using the Select Baselines to Save Dialog Box

Related Procedure:

Saving an Open Plan File


seealso_using_the_save_as_dialog_boxcommon

Related Topics:

Saving Files

Saving Files As Text


seealso_using_the_save_changes_dialog_boxcommon

Related Topic:

Saving and Copying Open Plan Files

Related Procedure:

Saving an Open Plan File


seealso_using_the_save_current_view_as_dialog_boxcommon

Related Topics:

Using the Save As Dialog Box

Using the Save Changes Dialog Box

Using the Select Baselines to Save Dialog Box

Related Procedures:

Saving a View

Copying a View


seealso_using_the_select_a_category_dialog_boxcommon

Related Topics:

Using the Filters Dialog Box

Using the New Filter Dialog Box

Using the Filter Expression Dialog Box

Related Procedures:

Creating a New Filter

Copying a Filter

Editing a Filter

Deleting a Filter


seealso_using_the_select_baselines_to_save_dialog_boxcommon

Related Topics:

Using the Save As Dialog Box

Using the Save Changes Dialog Box

Related Procedure:

Saving an Open Plan File


seealso_using_the_select_dialog_boxcommon

Related Topics:

Using the Activity Details Dialog Box

Using the New File Wizard — Files Page

Using the Project Properties Dialog Box — Files Tab

Using the Properties Dialog Box — Files Tab


seealso_using_the_select_file_to_delete_dialog_boxcommon

Related Topics:

Using the New File Dialog Box

Using the File Open Dialog Box

Saving and Copying Open Plan Files

Using the Backup Dialog Box

Using the Restore Wizard

Using the Delete Activity Dialog Box

Related Procedures:

Deleting an Open Plan File


seealso_using_the_select_note_categories_dialog_boxcommon

Related Topics

Using the Print Options Dialog Box

Using the Print Options General Tab

Using the Print Options View Tab

Using the Title Blocks Dialog Box

Using the Date Range Options Dialog Box

Using Print Preview

Using the Print Setup Dialog Box

Using the Print Dialog Box

Using the Print Calendar Dialog Box

Related Procedures:

Setting Print Margins

Previewing a Report Before Printing

Setting Up a Printer

Printing Notes With a Report

Printing a Barchart

Printing a Spreadsheet

Printing a Report

Printing a Calendar


seealso_using_the_select_standard_views_dialog_boxcommon

Related Topics:

Using the Options Dialog Box

Working with Open Plan Data

Sharing Data Between Open Plan and Other Applications

Related Procedures:

Setting System Preferences

Modifying the List of Default Views

Disabling Start up Procedures

Showing Summary Dates on Subprojects

Opening Last File on Startup

Setting Project Preferences


seealso_using_the_send_message_dialog_boxcommon

Related Procedure:

Sending a Message to a User


seealso_using_the_spell_check_featurecommon

Related Topics:

Using the Email Advisor

Activity Details Notes Tab

Resource Details Notes Tab

Using the Code Details Dialog Box

Using the Activity Progress Notes Tab

Using the Project Properties Notes Tab


seealso_using_the_structure_differences_dialog_boxcommon

Related Topics:

Using the Restore Wizard

Using the Data Missing from Target Data Source Dialog Box

Using the Restore Process Dialog Box

Using the Restore Target Exists Dialog Box

Using the Restore Required Dialog Box

Using the Backup Dialog Box

Related Procedures:

Backing Up Open Plan Data

Restoring Data From a Backup File


seealso_using_the_system_preferences_defaults_dialog_boxcommon

Related Topics:

Using the Options Dialog Box — General Tab

Using the Options Dialog Box — Edit Tab

Using the Options Dialog Box — Project Tab

Using the Options Dialog Box — Views Tab

Using the Options Dialog Box — Codes Tab

Using the Options Dialog Box — Color Tab

Using the Options Dialog Box — Advanced Tab

Related Procedures:

Setting System Preferences

Modifying the List of Default Views

Enabling Editing of Read-Only Files


seealso_using_the_title_block_definition_dialog_boxcommon

Related Topics

Using the Title Blocks Dialog Box

Using the Print Options Dialog Box

Using the Print Dialog Box

Using the Print Calendar Dialog Box

Related Procedures:

Defining a Title Block

Assigning a Title Block to a View

Copying a Title Block

Editing a Title Block

Previewing a Report Before Printing


seealso_using_the_title_blocks_dialog_boxcommon

Related Topics

Using the Title Block Definition Dialog Box

Using the Print Options Dialog Box

Using the Print Dialog Box

Using the Print Calendar Dialog Box

Related Procedures:

Defining a Title Block

Assigning a Title Block to a View

Copying a Title Block

Editing a Title Block

Previewing a Report Before Printing


seealso_using_the_trace_critical_path_facility_inputs_tabcommon

Related Topics:

Understanding the Trace Critical Path Facility

Using the Trace Critical Path Facility — Reports Tab

Using the Output Fields Dialog Box

Using the Destination Directory Dialog Box

Using the Activity Tree Dialog Box


seealso_using_the_trace_critical_path_facility_reports_tabcommon

Related Topics:

Understanding the Trace Critical Path Facility

Using the Trace Critical Path Facility — Inputs Tab

Using the Output Fields Dialog Box

Using the Destination Directory Dialog Box

Using the Activity Tree Dialog Box


seealso_using_toolbar_shortcutscommon

Related Topic:

Using Keyboard Shortcuts

Related Procedures:

Choosing a Command From a Menu

Choosing a Command From the Toolbar

Turning Off the Toolbar Display


seealso_working_with_open_plan_datacommon

Related Topics:

Using the New File Dialog Box

Using the File Open Dialog Box

Saving and Copying Open Plan Files

Using the Select File to Delete Dialog Box

Using the Backup Dialog Box

Using the Restore Dialog Box

Using the Change Access Mode Dialog Box

Related Procedures:

Creating an Open Plan File

Opening an Open Plan File

Closing an Open Plan File

Saving an Open Plan File

Copying an Open Plan File

Deleting an Open Plan File

Backing Up Open Plan Data

Restoring Data From a Backup File


select_allbackuppopupcommon

Select All

Clicking this button selects all items in the list. All items are marked for inclusion in the backup file.


select_icons_for_add_inscommon

Select Icons for Add-Ins

Clicking this button displays the Customize Toolbar Icons dialog box. You can use this dialog box to assign an icon to a custom tool that is displayed on one of the Add-Ins toolbars.


select_templatestemplatepopupcommon

Select Templates

Clicking this button displays the Project Template Selection dialog box that you can use to select the template(s) to add to the the project. The dialog box also gives you the option to add the template(s) either as activities in the project, as an internal subproject, or as an external subproject. Plus, you can specify the number of times to add the selected template(s) to the project.


send_one_email_per_address_combining_all_activitieseditadvisoremailspopuupcommon

Send one email per address combining all activities

If you click this option, Open Plan combines all the messages generated by the advisory into a single email that is sent to each addressee.


sendadvisorydefinitionpopupcommon

Send

When you select an advisory definition and click Send, Open Plan generates the email advisory and sends it to the addresses specified in the definition using your default email application.


sharedpopupcommon

Shared

If you have the file open in shared mode, other users can open the file and make changes while you have it open.

In shared mode, some changes are saved, while others are not:

  • Any changes that you make to the file are stored immediately.

  • The results of time analysis, risk analysis, and resource scheduling performed in shared mode are not saved.

Because the project data is shared, there are some project-level actions that you cannot perform while in this mode:

  • You cannot add or change an auxiliary (calendar, code, resource) file.

  • As shipped from Deltek, Open Plan does not allow you to save changes made on the Project Properties dialog box. While you can make changes that remain in effect while you are working on the project, these changes are not saved back to the project.

You cannot save a file opened in shared mode using the Save command. You can, however, save it with a new name using the Save As command.


show_process_log_message_only_on_erroroptionsprojectpopupcommon

Show Process Log Message Only if Errors Occur During Processing

This option controls whether you are always prompted to view a log produced by operations such as time analysis and resource scheduling:

  • If this option is selected, Open Plan prompts you to view the operation log only if errors occur during processing. This is the default setting.

  • If this option is cleared, Open Plan always prompts you to view the operation log regardless of whether errors occurred during the process.


showsqllogcommon

howSQLLog

This option allows you to view the SQL Log in the Open Plan Log Viewer. The log is created when you start your Open Plan session and is automatically updated whenever the database is accessed.

0 = The log is not displayed in the Open Plan Log Viewer. This is the default setting.

1 = The log is displayed in the Open Plan Log Viewer on the SQL Log tab.

If you wish to view the SQL Log outside the context of Open Plan, you can use any text editor (such as Windows Notepad) to open the sql.log file located in the \User directory of your Open Plan installation.


skillspropertiesstatisticspopupcommon

Skills

This field displays the total number of skills in the resource file.


skip_restore_of_filerestoretargetexistspopupcommon

Skip Restore of File

When you select this option, the instruction that you give Open Plan depends on the button that you click:

  • Clicking Yes instructs Open Plan to not restore the identified file.

    • If the file is a dependent file, Open Plan retains the link to the existing file of the same name.

    Open Plan redisplays the Restore Target Exists dialog box for the next file that will be modified by the restore operation.

  • Clicking Yes to All instructs Open Plan to not restore any of the remaining files in the backup set. Open Plan closes the Restore Target Exists dialog box.


skip_restore_of_filerwriteacceessdeniedpopupcommon

Skip Restore of File

When you select this option, the instruction that you give Open Plan depends on the button that you click:

  • Clicking Yes instructs Open Plan to not restore the identified file.

    • If the file is a dependent file, Open Plan retains the link to the existing file of the same name.

  • Clicking Yes to All instructs Open Plan to not restore any of the remaining files in the backup set. Open Plan closes the Restore – Write Access Denied dialog box.


snapshottoolbarpopupcommon

Snapshot

Clicking this button captures the active view and allows you to save it in the .jpg format.


sort_ascendingdetailspanecommon

Sort Ascending

Clicking this item sorts the contents of the display on the selected heading in ascending order.


sort_descendingdetailspanecommon

Sort Descending

Clicking this item sorts the contents of the display on the selected heading in descending order.


sortpropertiespreferencespopupcommon

Sort

This field allows you to sort the data in the view. If you click the ellipsis at the right edge of the field, Open Plan displays the Sorts dialog box that you can use to select a sort. You can also use that dialog box to create, edit, or modify sorts.


spellcheckpopupcommon

Spell Check

Clicking the Spell Check button displays a full-featured spell checking application that you can use to check the spelling.

This spell checker allows you to specify the dictionaries that you want to use. You can use up to 32 dictionaries. This means that if you have defined special terms in the dictionary you use with your word processor, you can simply assign that dictionary to the spell checker to have Open Plan recognize these terms. Open Plan also allows you to assign many different language dictionaries so that you can check the spelling of words in other languages.

You can also customize the way the spell checker works by selecting as many of the following options as you wish:

  • Ignore capitalized words (e.g., Canada)

  • Ignore all-caps words (e.g., ASAP)

  • Ignore words with numbers (e.g., Win98)

  • Ignore words with mixed case (e.g., SuperBase)

  • Ignore domain words (e.g., xyz.com)

  • Report doubled words (e.g., the the)

  • Case sensitive

  • Phonetic suggestions

  • Typographical suggestions

  • Suggest split words

  • Auto correct

In addition, you can choose the way in which the spell checker should work:

  • Fast but less accurate

  • Moderately fast and accurate

  • Slow but accurate


spreadsheet_optionspopupcommon

Spreadsheet Options

The spreadsheet options are available only when you are defining print options for a barchart.

Using these options, you can indicate whether Open Plan should include the spreadsheet portion of the view when producing the report.

If you include the spreadsheet portion in a barchart report, you have the option of printing all columns or just those columns that are visible on the screen.

For multi-page barchart reports, you can also indicate whether the spreadsheet portion should appear on every page or only on the first page of the report.


start_printing_at_offsetprintoptionspopupcommon

Start Printing at Offset

Using these fields, you can specify the starting date on the printed report as a specified number of hours, days, weeks, months, quarters, or years before or after Time Now or the project's start date.

Entering a negative number in this field tells Open Plan to start the report before Time Now or the project's start date, while entering a positive number tells Open Plan to start the report after that date.


startup_clip_notesoptionsgeneralpopupcommon

Startup Procedures

If this option is selected, Open Plan displays an appropriate Procedure whenever a blank screen is displayed.

For example, if you display a Risk Histogram view and no resources are displayed, Open Plan can display a Procedure that tells you how to display resources on the histogram view.

Once you are familiar with Open Plan, you may want to disable this feature by clearing the Startup Procedures option.


startup_tipsoptionsgeneralpopupcommon

Startup Tips

If this option is selected, Open Plan displays a Tip of the Day each time you start Open Plan.

If this option is not selected, the Tip of the Day is not displayed when you start Open Plan.

You can also disable Startup Tips by clearing the Show Tips on Startup option on The Tip of the Day message box.


startup_viewnewfilewizardpreferencespopupcommon

Startup View

You can select the view that Open Plan should display by default when opening the project.


startup_viewpopupcommon

Startup View

This field is displayed only when you are creating an auxiliary (resource, calendar, or code) file. The setting you choose determines the view that Open Plan should display when the file is opened.

If you are creating a new project, the Startup View field is displayed on the Preferences page of the wizard.


startup_viewpropertiesgeneralpopupcommon

Startup View

This field controls the view that Open Plan should display by default for the auxiliary file.

This field is not displayed for a view.


startupopenplanexplorerpopupcommon

Startup

Each user of Open Plan has his or her own Startup folder. You can use this folder to store shortcuts to data or applications that you want to start each time you start Open Plan.

For example, you can store shortcuts to Open Plan projects and auxiliary files in the Startup folder to open these files automatically when Open Plan starts.

You can also store a shortcut to another application such as Windows Notepad to have it start automatically when you start Open Plan.

Dragging an object into this folder establishes the Startup link, and deleting the icon in the Startup folder removes the link.


statisticspropertiespopupcommon

Statistics

This tab is displayed for only resource files.

In addition to information about the name, owner, and description of the object, the Statistics tab provides the following information about the resource file:

  • The number of pools it contains

  • The number of skills it contains

  • The number of individual resources it contains


status_baroptionsgeneralpopupcommon

Status Bar

If this option is selected, the Status Bar is displayed at the bottom of the Open Plan screen.


structurepropertiespopupcommon

Structure

This tab is displayed only for code files.

In addition to information about the name, owner, and description of the code file, the Structure tab controls the structure of the code file.


subject_editadvisoremailspopuupcommon

Subject

In addition to being able to enter both text and any field from the activity table in this field, you can also enter a calculated field based on the activity table. You can also enter a title block variable, which will pull data from the first activity that meets the filter requirement.

For example you might enter <Project Short Name> to display the short name of the project as the subject for the email advisory.

Fields, calculated fields, and title block variables must all be enclosed within angle brackets (<>).


subprojecttemplatepopupcommon

Subproject Name

This column of the table displays the name given to the project template when it is added to the project as either an internal or external subproject. If this column is blank, the project template name is used for the subproject name.


suffixtemplatepopupcommon

Suffix

This column of the table displays the suffix to add to the project template activity ID’s. With the possibility that the activity ID’s in the template are the same as those in the project when you are adding the template in Normal mode, adding a suffix to the template activity ID’s helps to ensure that they have unique ID’s.

Please note that you can only add a prefix or a suffix to the project template activity ID’s. You cannot add both.


suppress_color_in_spreadsheet_headingsprintoptionsgeneralpopupcommon

Suppress Color in Spreadsheet Headings

This option controls whether the spreadsheet report should suppress the use of color in spreadsheet column headings:

  • If this option is selected, Open Plan prints column headings with black text on a white background.

  • If this option is cleared, Open Plan prints column headings normally. This is the default setting.


suppresscombineverticalscommon

SuppressCombineVerticals

When performing automatic placements, Open Plan combines vertical relationship lines when showing relationships using the Routed line style as in the following example:

The SuppressCombineVerticals option instructs Open Plan to display each relationship line separately:

0 = Open Plan combines vertical relationship lines. This is the default setting.

1 = Open Plan suppresses the combining of vertical relationship lines.


target_activitytracepathcommon

Target Activity

This is the activity for which the Trace Critical Path tool determines the critical path(s).

When you select an activity from a view and execute the tool, the activity you selected is automatically entered in this field. To change the activity, click the ellipsis button to display the Activity Tree dialog box, or type in a new number.


target_costnewfilewizardstatusinformationpopupcommon

Target Cost

You can enter a target cost for the project in this field.


target_date_fieldtracepathcommon

Target Date Field

The Trace Critical Path tool uses the date contained in the selected field as the target date for the path analysis. Using a date contained in a field allows you to save the target date between sessions. If a date is associated with a selected field, the date is automatically displayed in the Target Date option field. If there is no date associated with the field, you are given a error message.

The Target Date option will not allow you to enter a date for the selected field.

If you select <Manual>, you can use the Target Date option to select a date to use.


target_datetracepathcommon

Target Date

If you selected a field in the Target Date Field option that has a date associated with it, that date is automatically displayed for this option. If you selected a field that does not have a date associated with it, the Target Date option will not allow you to select a date.

If you selected <Manual> for the Target Date Field option, you can select a target date to use by clicking the ellipsis button to display a pop-up calendar.


target_dsn_dataadministratorpopupcommon

Target DSN

By clicking the down arrow, you can select a target DSN from a list of those that have been set up. You can also click the ellipsis to display the Data Sources dialog box that you can use to manage the list of available data sources.


target_finishnewfilewizardstatusinformationpopupcommon

Target Finish

This field is enabled only if you have selected one of the target types in the Finish Type field. If enabled, you can impose a finish date on the project either by entering the date directly or by clicking the ellipsis at the right edge of the field and selecting a date from the calendar that is displayed.

The target finish date affects the dates that the program calculates when performing time analysis or resource scheduling. Entering this date is optional. Ordinarily, you will want to give Open Plan as much flexibility as possible in its calculations by not setting a project target finish date.


testadvisorydefinitionpopupcommon

Test

When you select an advisory definition and click Test, Open Plan displays a preview the advisory so you can examine it before you send it.


time_analysistoolbarpopupcommon

Time Analysis

Clicking this button performs time analysis on the open project using the time analysis settings currently in effect.


time_nownewfilewizardstatusinformationpopupcommon

Time Now

You can use this field to enter the original status date for the project. Open Plan uses this date as the default Time Now date the first time you perform time analysis.

You can specify Time Now either by entering the date directly or by clicking the ellipsis at the right edge of the field and selecting a date from the calendar that is displayed.


time_nowprintoptionspopupcommon

Time Now

If you click this option, Open Plan enables the following options and bases the date range of the printed report on your settings relative to Time Now:

  • Start printing at offset — Using these fields, you can specify the starting date on the printed report as a specified number of hours, days, weeks, months, quarters, or years before or after the Time Now date. (Entering a negative number in this field tells Open Plan to start the report before the Time Now date, while entering a positive number tells Open Plan to start the report after that date.)

  • Finish (offset from start) — Using these fields, you can specify the last date on the printed report as a specified number of hours, days, weeks, months, quarters, or years after the start date of the printed report.

  • Finish at Project Finish — If you select this option, Open Plan uses the last date in the project as the last date in the printed report.


title_blockpropertiespreferencespopupcommon

Title Block

This field allows you to apply a title block to the view. If you click the ellipsis at the right edge of the field, Open Plan displays the Title Blocks dialog box that you can use to select a title block. You can also use that dialog box to create, edit, or modify title blocks.


toggle_filter_toolbarpopupcommon

Toggle Filter

Once a filter has been applied, this option turns the filter on or off while still remembering it.


toolbaroptionsgeneralpopupcommon

Toolbar

If this option is selected, Open Plan displays the Toolbar beneath the Menu Bar.


typedatamissingrestorepopupcommon

Type

This column displays the type of data field that will be created if you choose to add the missing data to the target data source.


ungroupdetailspanecommon

Ungroup

Clicking this item allows you to remove the applied grouping. You can access this item by either right-clicking a column heading or a group heading.


updated_bypropertiesgeneralpopupcommon

Updated By

This field displays the userid of the person who last updated the file or view.


upgrade_briefcasepopupcommon

Upgrade Briefcase

Select this option if you are using the Briefcase function in Open Plan and have a previous version installed. If there is no existing Briefcase data to update, this option is dimmed.


upgrade_tablespopupcommon

Upgrade Tables

Select this option if you are upgrading Open Plan from a previous version. If there is no previous version available, this option is dimmed.


user_character_fieldtracepathcommon

User Character Field

This is the field that the Trace Critical Path tool uses to store the results of the analysis. By default, the tool stores the results in User Character Field 10, but you can change the field if you wish.

Since the subsectioned barchart view and the zoned network view are designed to display the results of the analysis use User Character Field 10, you will need to modify the views and filters to work with another field if chosen.


user_fieldspropertiespopupcommon

User Fields

This tab is displayed only for code and resource files.

In addition to displaying information about the name and owner of the code or resource file, this tab allows you to modify its description and to specify the values that Open Plan should include for user-defined fields on the code or resource table.


user_idaccesscontrolcommon

User ID

By selecting a field in this column and selecting a user ID from the list, you can specify a specific user who can have access to the object.

You can specify a Group or a User ID but not both.


user_idnewfilewizardaccesscontrolpopupcommon

User ID

You can specify individual users who can access the file.

Provided that you are entering this information on a separate row, it is possible to assign one access right to an individual user and a different access right to the group of which the individual is a member.

For example, assume that:

  • Tom is a member of the Pubs group.

  • You have assigned Read Only rights to the file to the Pubs group.

You can still give Tom full rights to the file by entering his ID on a separate row.


user_idpropertiesaccesscontrolpopupcommon

User ID

By selecting a field in this column and selecting a user ID from the list, you can specify a specific user who can have access to the file or view.

You can specify a Group or a User ID but not both.


user_idpropertiesopenstatuspopupcommon

User ID

This column displays the user ID of each person who has the auxiliary file or view open.


usersopenplanexplorerpopupcommon

Users

The Users folder displays a list of users who have open projects or files in the network. The following information is available for each open object:

  • User ID

  • Machine ID

  • Login Time

The Customize Columns dialog box allows you to control the information that is displayed in this folder.

The Logged-In User dialog box allows you to view what files a user has open.

It is possible for a user to be listed more than once in this folder if he or she is logged into Open Plan from multiple computers.


userssendmessagecommon

Users

The Users pane lists all the users who are logged into both Open Plan Professional and Open Plan Desktop. The following information is given for each user:

  • User ID

  • Machine ID

  • Product ID

You can select one or more users to send a message to. You can also select All Users to send a message to all logged in users.

You can use Ctrl+click or Shift+click to select multiple users.


viewprintoptionspopupcommon

View

This tab provides specific information related to the printing of barchart and histogram data.


week_starts_onoptionsgeneralpopupcommon

Week Starts On

The selection you make from this list controls the day of the week that Open Plan uses as the starting day of each workweek.


wherefindpopupcommon

Where

Use of these fields is optional. The three Where fields allow you to apply a filter to your search criteria:

  • The first field contains a list of data fields based on the type of object selected in the Search For field.

  • The second field contains a list of the following logical operators that you can use to further define the filter:

    • Equal to

    • Greater than

    • Less than

    • Not equal to

  • The third field allows you to enter a value to compare against.

The Where fields are not available when <All Objects> is selected in the Search For field.


yes_allrestoretargetexistspopupcommon

Yes All

Clicking this button applies your selected action to all remaining files in the backup set.


yesrestoretargetexistspopupcommon

Yes

Clicking this button applies your selected action to only the displayed file.


zoom_intoolbarpopupcommon

Zoom In

Clicking this button displays a view at a greater magnification, allowing you to see less of the view but with greater detail.


zoom_outtoolbarpopupcommon

Zoom Out

Clicking this button displays the view at a smaller magnification, allowing you to see more of the view but with less detail.


Activity Information Barchart Spreadsheet (Edit Menu)

Activity Information (Edit Menu)

You can issue the Activity Information command from an activity-related view in the following ways:

  • By selecting an activity and clicking Activity Information on the Edit menu

  • By right-clicking the activity and clicking Activity Information on the shortcut menu

  • By selecting an activity and pressing the F5 key

This command displays a tabbed dialog box that provides summary information about the schedule and costs of the selected activity.

Related Topics and Procedures


Activity Information Network (Edit Menu)

Activity Information (Edit Menu)

You can issue the Activity Information command from a network view in the following ways:

  • By selecting an activity and clicking Activity Information on the Edit menu

  • By selecting an activity and pressing the F5 key

This command displays summary information about the selected activity.

Related Topics and Procedures


Add Activity in a Barchart or Spreadsheet (Edit Menu)

Add Activity (Edit Menu)

You can issue the Add Activity command from a barchart or spreadsheet view in the following ways:

  • By clicking Add Activity on the Edit menu

  • By pressing the Ctrl+A keys

This command displays the Activity Details dialog box and allows you to add an activity. Open Plan automatically places the activity beneath its parent.

Related Topics and Procedures


Add Activity in a Network (Edit Menu)

Add Activity (Edit Menu)

You can issue the Add Activity command from a network view in the following ways:

  • By clicking Add Activity on the Edit menu

  • By pressing the Ctrl+A keys

This command displays the Activity Details dialog box and allows you to add an activity. Open Plan automatically places the activity at the appropriate level in the project hierarchy.

Related Topics and Procedures


Add Annotation (Edit Menu)

You can issue the Annotation command by displaying a network view and clicking Add Annotation on the Edit menu.

The Add Annotation command allows you to highlight important information about your project by attaching an annotation to a network view.

You can attach the annotation to either the view as a whole or to a specific activity. If you attach the annotation to an activity, the annotation stays with the activity whenever it is moved on the view.

In addition, you can customize the way the annotation is displayed in a number of different ways. You can:

  • Display the annotation within any of three different borders or without a border

  • Select the font to be used in the annotation

  • Click the color on which the annotation is displayed

  • Display the annotation behind or in front of other elements on the view

The size of the text automatically adjusts when you change the size of the annotation box.

Related Topics and Procedures


Add Child (Edit Menu)

You can issue the command by selecting an activity on a network view and clicking Add Child on the Edit menu

This command displays a dialog box that allows you to create an activity as a child of the selected activity.

Related Topics and Procedures


Add (Edit Menu)

You can issue the Add Code or Add Resource command in the following ways:

  • By displaying a code view and clicking Add Code on the Edit menu

  • By displaying a resource view and clicking Add Resource on the Edit menu

  • By pressing the Ctrl+A keys

This command displays a dialog box that allows you to add a code or resource to the appropriate file.

Related Topics and Procedures


Add Relationship (Edit Menu)

You can issue the Add Relationship command by clicking Add Relationship on the Edit menu.

This command displays the Add Relationship dialog box that allows you to define the logical relationships between activities in your project. There are four types of relationships:

  • Finish-to-start

  • Finish-to-finish

  • Start-to-start

  • Start-to-finish

The default for the relationship type is finish-to-start.

In the Professional edition of Open Plan, you can also create inter-project relationships.

Related Topics and Procedures


Allocation (Edit Menu)

After performing resource scheduling, you can issue the Allocation command by selecting an activity and clicking Allocation on the Edit menu.

This command displays a dialog box that shows the resources suggested by resource scheduling for each activity and allows you to take an appropriate action on as many of the resource allocations as you wish.

There are two types of actions you can take when using resource allocation:

  • Accept

  • Lock

Related Topics and Procedures


Assign Resource (Edit Menu)

You can issue the Assign Resource command by selecting an activity and clicking Assign Resource on the Edit menu.

This command displays the Activity Details dialog box and allows you to assign one or more resources to the activity.

Related Topics and Procedures


Clear Selection (Edit Menu)

You can issue the Clear Selection command from a spreadsheet or barchart view by clicking Clear Selection on the Edit menu.

This command deselects any columns or rows selected in the spreadsheet view or spreadsheet pane of a barchart view.

Related Topics and Procedures


Copy (Edit Menu)

You can issue the Copy, Copy Record, or Copy Text command in the following ways:

  • By clicking Copy, Copy Record or Copy Text (depending on what is selected) on the Edit menu

  • By pressing the Ctrl+C keys

  • By clicking the Copy [image] button on the toolbar

The Copy, Copy Record, and Copy Text commands place a copy of the item on the Windows clipboard where it is available for a Paste operation.

Related Topics and Procedures


Cut (Edit Menu)

You can issue the Cut, Cut Record, or Cut Text command in the following ways:

  • By clicking Cut, Cut Record or Cut Text (depending on what is selected) on the Edit menu

  • By pressing the Ctrl+X keys

  • By clicking the Cut [image] button on the toolbar

The Cut, Cut Record, and Cut Text commands place the item that is cut on the Windows clipboard where it is available for a Paste operation.

Related Topics and Procedures


Define Work Hours (Edit Menu)

You can issue the Define Work Hours command in the following ways:

  • By selecting a date in a calendar and clicking Define Work Hours on the Edit menu

  • By double-clicking a date in a calendar

  • By selecting the date and pressing the Ctrl+Spacebar keys

This command displays the Define Work Hours dialog box and allows you to define the working hours of the selected date.

Related Topics and Procedures


Define Work Week (Edit Menu)

You can issue the Define Work Week command by clicking Define Work Week on the Edit menu when a calendar is displayed.

This command displays the Define Work Week dialog box and allows you to define the working days and hours that constitute the default work week for the calendar.

Related Topics and Procedures


Delete Activity Network (Edit Menu)

Delete Activity (Edit Menu)

You can issue the Delete Activity command from a network view in the following ways:

  • By selecting an activity and clicking Delete Activity on the Edit menu

  • By selecting an activity and pressing the Delete key

This command asks you to confirm the deletion and then deletes the selected activity.

Related Topics and Procedures


Delete Code (Edit Menu)

You can issue the Delete Code command when a code view is displayed:

  • By selecting a code and clicking Delete Code on the Edit menu

  • By selecting a code and pressing the Delete key

This command asks you to confirm the deletion before deleting the code.

Related Topics and Procedures


Delete (Edit Menu)

You can issue the Delete Activity, Delete Code, or Delete Resource command in the following ways:

  • When a barchart or spreadsheet view is displayed:

    • By selecting an activity and clicking Delete Activity on the Edit menu

    • By selecting an activity and pressing the Delete key

  • When a code view is displayed:

    • By selecting a code and clicking Delete Code on the Edit menu

    • By selecting a code and pressing the Delete key

  • When a resource view is displayed:

    • By selecting a resource and clicking Delete Resource on the Edit menu

    • By selecting a resource and pressing the Delete key

This command asks you to confirm the deletion and then deletes the selected item.

Related Topics and Procedures


Delete Resource (Edit Menu)

You can issue the Delete Resource command when a resource view is displayed:

  • By selecting a resource and clicking Delete Resource on the Edit menu

  • By selecting a resource and pressing the Delete key

This command asks you to confirm the deletion before deleting the resource.

Related Topics and Procedures


Edit Activity (Edit Menu)

You can issue the Edit Activity command by selecting an activity and clicking Edit Activity on the Edit menu.

This command displays the Activity Details dialog box and allows you to edit information about the selected activity.

Related Topics and Procedures


Edit (Edit Menu)

You can issue the Edit Code or Edit Resource command in the following ways:

  • By selecting a code and clicking Edit Code on the Edit menu

  • By selecting a resource and clicking Edit Resource on the Edit menu

This command displays a dialog box that allows you to edit information about the selected item.

Related Topics and Procedures


Fill Column Down (Edit Menu)

You can issue the Fill Column Down command by displaying a spreadsheet and taking one of the following actions:

  • Select a range of cells and click Fill Column Down on the Edit menu.

  • Select a column heading and click Fill Column Down on the Edit menu.

  • Right-click a column heading and click Fill Column Down on the shortcut menu.

Open Plan copies the value in the top row of the selected range down through the selection.

Because selecting or right-clicking a column heading selects the entire column, the Fill Column Down command copies the value in the top row down through the entire column.

Related Topics and Procedures


Find Resource or Code (Edit Menu)

Find (Edit Menu)

You can issue the Find command from a resource or code view in the following ways:

  • By clicking Find on the Edit menu

  • By pressing the Ctrl+F keys

This command displays the Find Node dialog box that allows you to locate a code or resource simply by entering the full ID of the node and clicking OK.

Related Topics and Procedures


Find (Edit Menu)

You can issue the Find command from any view displaying activities in the following ways:

  • By clicking Find on the Edit menu

  • By pressing the Ctrl+F keys

You can also issue the Find command using these same methods whenever a spreadsheet or barchart based on the Code or Resource Description table is displayed.

This command displays the Find dialog box that allows you to find an activity, code, or resource by specifying the ID or description.

Related Topics and Procedures


Find Next (Edit Menu)

You can issue the Find command from any view displaying activities in the following ways:

  • By clicking Find Next on the Edit menu

  • By pressing the Shift+F4 keys

This command allows you find the next activity that meets the search requirements you have previously issued in a Find command.

For example, if you have found an activity containing the word "System" in the description, the Find Next command finds the next activity that also contains the word "System" in the description.

Related Topics and Procedures


Indent (Edit Menu)

The indent feature of Open Plan allows you to renumber hierarchical IDs. When you use this feature, Open Plan renumbers the relevent ID according to the rules for automatic numbering.

Related Topics and Procedures


Insert Project Templates (Edit Menu)

You can issue the Insert Project Templates command by clicking Insert Project Templates on the Edit while in a barchart, spreadsheet, or network view.

This command displays the Project Template Selection dialog box that you can use to insert a project template into an open project.

Related Topics and Procedures


Insert Subprojects (Edit Menu)

You can issue the Insert Subprojects command by clicking Insert Subprojects on the Edit menu while in a barchart view.

This command displays the Select dialog box that you can use to select a project to be used as an external subproject of the currently open project. This external subproject is added to the first blank line in the barchart view.

Related Topics and Procedures


Manage Calendars (Edit Menu)

You can issue the Manage Calendars command by clicking Manage Calendars on the Edit menu when a calendar is displayed.

This command displays the Manage Calendars dialog box and allows you to create, copy, rename, or delete a calendar stored in the calendar file.

Related Topics and Procedures


Manage Holidays (Edit Menu)

You can issue the Manage Holidays command by clicking Manage Holidays on the Edit menu when a calendar file is open.

This command displays the Manage Holidays dialog box and allows you to define holidays for all the calendars stored in the calendar file. For each calendar, you can define any number of holidays. You can also specify whether the holiday should be repeated every year.

Related Topics and Procedures


Outdent (Edit Menu)

The outdent feature of Open Plan allows you to promote an activity, resource, or code in a hierarchy to the level of its parent. In assigning an ID to the outdented element, Open Plan follows the rules for automatic numbering.

Related Topics and Procedures


Paste (Edit Menu)

You can issue the Paste, Paste Record, Paste Special, or Paste Text command in the following ways:

  • By clicking Paste, Paste Record, Paste Special, or Paste Text (depending on what is currently on the Windows clipboard) on the Edit menu

  • By pressing the Ctrl+V keys (Ctrl+Alt+V for Paste Special)

  • By clicking the Paste [image] button on the toolbar

The Paste, Paste Record, Paste Special, and Paste Text commands copy the item on the Windows clipboard to your selected location on the active view.

Note that only appropriate items are pasted from the clipboard. For example, you cannot paste an activity record into a resource view.

Related Topics and Procedures


Progress (Edit Menu)

You can issue the Progress command by selecting an activity and clicking Progress on the Edit menu.

This command allows you to enter schedule information — actual dates, estimates, and completion status — about activities in a project that is underway. You can also enter information about resource usage at the activity level.

Related Topics and Procedures


Properties (Edit Menu)

You can issue the Properties command by clicking Properties on the Edit while in a resource, code, or calendar view.

This command displays the Properties dialog box for the selected ancillary file.

Related Topics and Procedures


seealso_add_activity_edit_menu

Related Topic:

Creating and Editing Activities

Related Procedures:

Creating an Activity in a Barchart View

Creating an Activity in a Spreadsheet View


seealso_add_activity_network_edit_menu

Related Topic:

Creating and Editing Activities

Related Procedure:

Creating an Activity in a Network View


seealso_add_annotation_edit_menu

Related Topics:

Annotating a Network

Using the Network View Annotation Dialog Box

Related Procedures:

Entering an Annotation

Editing an Annotation

Changing How an Annotation is Displayed

Deleting an Annotation


seealso_add_child_edit_menu

Related Topic:

Creating and Editing Activities

Related Procedure:

Creating Child Activities in a Network View


seealso_add_edit_menu

Related Topics:

Adding Codes to a Code File

Adding Resources to a Resource File

Related Procedures:

Adding Codes to a Code File

Adding a Child Code to a Code File

Adding Resources to a Resource File

Adding a Child Resource to a Resource File


seealso_add_relationship_edit_menu

Related Topic:

Using the Add Relationship Dialog Box

Related Procedures:

Creating a Relationship in a Barchart View with a Mouse

Creating a Relationship in a Barchart View with the Keyboard

Creating a Relationship in a Network View with a Mouse

Creating a Relationship in a Network View with the Keyboard

Creating a Relationship in a Spreadsheet View


seealso_allocation_edit_menu

Related Topics:

Using Resource Allocation

Using the Activity Resource Allocation Dialog Box

Related Procedures:

Performing Resource Scheduling

Performing Resource Allocation


seealso_assign_resource_edit_menu

Related Topics:

Defining Resource Profiles

Activity Details Resources Tab

Related Procedures:

Assigning Resource Requirements to an Activity

Creating a Resource-Based Schedule


seealso_clear_selection_edit_menu

Related Topics:

Select All (Edit Menu)

Using Clipboard Operations


seealso_copy_edit_menu

Related Topics:

Using Clipboard Operations

Fill Column Down


seealso_cut_edit_menu

Related Topics:

Using Clipboard Operations

Fill Column Down


seealso_define_work_hours_edit_menu

Related Topic:

Using the Define Work Hours Dialog Box

Related Procedure:

Defining the Work Hours for a Day


seealso_define_work_week_edit_menu

Related Topic:

Using the Define Work Week Dialog Box

Related Procedure:

Defining the Standard Work Week


seealso_delete_activity_network_edit_menu

Related Topic:

Creating and Editing Activities

Related Procedure:

Deleting an Activity


seealso_delete_code_edit_menu

Related Topic:

How a Code Window Displays Information

Related Procedure:

Deleting a Code


seealso_delete_edit_menu

Related Topic:

Creating and Editing Activities

Related Procedure:

Deleting an Activity


seealso_delete_resource_edit_menu

Related Topic:

How the Resource Window Displays Information

Related Procedure:

Deleting a Resource


seealso_edit_activity_edit_menu

Related Topic:

Creating and Editing Activities

Related Procedure:

Editing an Activity


seealso_edit_edit_menu

Related Topic:

Using the Code Details Dialog Box

Using the Resource Details Dialog Box

Related Procedure:

Editing a Code

Editing a Resource


seealso_fill_column_down

Related Topic:

Using Clipboard Operations


seealso_find_code_resource_edit_menu

Related Topic:

Using the Find Node Dialog Box

Related Procedures:

Finding a Code

Finding a Resource


seealso_find_edit_menu

Related Topic:

Using the Find Dialog Box

Related Procedures:

Finding an Activity

Finding Another Activity


seealso_find_next_edit_menu

Related Topic:

Using the Find Dialog Box

Related Procedures:

Finding an Activity

Finding Another Activity


seealso_indent_edit_menu

Related Topic:

Understanding Indented IDs

Related Procedure:

Indenting an Activity, Resource, or Code ID


seealso_insert_project_templates_edit_menu

Related Topic:

Using the Project Template Selection Dialog Box


seealso_insert_subprojects_edit_menu

Related Topics:

Using the Select Dialog Box

Working With Hierarchical Projects


seealso_manage_calendars_edit_menu

Related Topic:

Using the Manage Calendars Dialog Box

Related Procedures:

Creating a New Calendar

Copying a Calendar

Renaming a Calendar

Deleting a Calendar


seealso_manage_holidays_edit_menu

Related Topic:

Using the Manage Holidays Dialog Box

Related Procedures:

Entering a Holiday

Entering Multiple Holidays

Entering Company Holidays


seealso_outdent_edit_menu

Related Topic:

Understanding Outdented IDs

Related Procedure:

Outdenting an Activity, Resource, or Code ID


seealso_paste_edit_menu

Related Topics:

Using Clipboard Operations

Using the Confirm Paste Dialog Box

Fill Column Down


seealso_progress_edit_menu

Related Topics:

Entering Progress Information

Using the Activity Progress Activity Tab

Using the Activity Progress Resources Tab

Related Procedures:

Entering Activity Progress in a Dialog Box

Calculating Resource Progress Based on Activity Progress


seealso_properties_edit_menu

Related Topic:

Using the Properties Dialog Box


seealso_select_all_edit_menu

Related Topics:

Clear Selection (Edit Menu)

Using Clipboard Operations


seealso_select_all_network_edit_menu

Related Topics:

Clear Selection (Edit Menu)

Using Clipboard Operations

Related Procedure:

Selecting Multiple Activities (Network)


seealso_set_column_row_attributes_edit_menu

Related Topic:

Using the Set Column/Row Attributes Dialog Box

Related Procedure:

Setting a Column or Row Attribute


Select All in a Barchart or Spreadsheet (Edit Menu)

Select All (Edit Menu)

You can issue the Select All command from a barchart or spreadsheet view by clicking Select All on the Edit menu.

This command selects all rows and columns in a spreadsheet view or spreadsheet pane of a barchart view.

Related Topics and Procedures


Select All in a Network (Edit Menu)

Select All (Edit Menu)

You can issue the Select All command from a network view by clicking Select All on the Edit menu.

This command selects all activities at the level in the hierarchy to which you have navigated.

Related Topics and Procedures


Set Column/Row Attributes (Edit Menu)

Click Set Column/Row Attributes to display the Set Column/Row Attributes dialog box.

This dialog lets you specify conditions under which the attributes of rows or an individual column in a spreadsheet view will change. You can change the text font, size, attributes, and color, cell background color, and even add a custom image to the cell (such as a red flag icon for critical or notable items).

Related Topics and Procedures


This option allows time-phased resource assignments values to be displayed and edited using a level-per-period value instead of a total-per-period value. When in this mode, the Total Qty column is disabled and used for reference only, and the Spread and Reconcile buttons are dimmed.

Clicking this button displays the Spread Method dialog box that you can use to re-spread the total quantity over the time phased periods.

If there is a discrepancy between the total quantity and the sum of the time-phased periods, you can use the Reconcile button to quickly fix the problem. When you click this button, the Reconcile command calculates the difference between the total quantity and the sum of the periods. The difference is placed into the selected period after you confirm the operation.

This option allows the direct updating of the integration baseline to apply a scope change, integrate the data with Cobra and analyze the Cost impact. You may select either Current Plan (Early Dates) or Selected Baseline. By default, Current Plan (Early Dates) is selected. You must click Apply to commit any changes you select.

The activity Start and End dates are displayed here.

Activity Details Resources Tab Normal Mode

This tab controls resource assignments for a selected activity. The selected activity is identified in the following two fields:

  • ID — The identifier of the selected activity

  • Description — A label associated with the selected activity ID

In addition, this dialog box also features the following fields:

  • Status

  • Duration

Open Plan lets you enter resource information in either of the following two modes:

  • Normal — In Normal mode, Open Plan controls resource assignments for the selected activity using the following settings:

  • Skill ID

  • Resource ID

  • Resource Curve

  • Resource Level

  • Alternate Resource ID

  • Resource Offset

  • Resource Period

  • Cost Class

The following options are available:

  • Show As Levels

  • Spread

  • Reconcile

  • Show Time Phase Based On

  • Date Range

  • Time Phase

You can select resource assignments for the activity in either of the following ways:

  • By selecting a resource from a list of choices from the resource file assigned to the project. This list may contain pools and skills as well as individual resources.

  • By clicking the ellipsis at the right edge of the Resource field to display the Select Resource dialog box.

To delete a resource assignment, you must first select the row by clicking the selection button located at the left of the row.

The Activity Details dialog box has the following buttons that apply to all tabs:

  • Close

  • Undo

  • Apply

  • New

  • Progress

  • Help

In addition, a set of navigation controls allows you to select another activity. You can also use the following keys on your keyboard to navigate to another activity:

  • Ctrl+Home — Displays the first activity.

  • Page Up — Displays the previous activity.

  • Page Down — Displays the next activity.

  • Ctrl+End — Displays the last activity.

Location

Related Topics and Procedures


Activity Details Resources Tab Time Phase Mode

This tab controls resource assignments for a selected activity. The selected activity is identified in the following two fields:

  • ID — The identifier of the selected activity

  • Description — A label associated with the selected activity ID

In addition, this dialog box also features the following fields:

  • Status

  • Duration

Open Plan lets you enter resource information in either of the following two modes:

  • Normal

  • Time Phase — In Time Phase mode, Open Plan allows resource assignments to be displayed and edited in a time-phased manner. This allows resource levels to be more precisely allocated within the duration of the activity.

When this mode is selected, any assignments displayed in the Normal mode are translated into time-phased periods starting at the activity early start date and spread based on the assignment’s spread curve, offset, period, and cost class.

Multiple assignments of the same resource with differing cost classes are treated as separate assignments when translated into time-phased periods.

The grid contains the following columns:

    • Skill ID

    • Resource ID

    • Cost Class

    • Total Qty

    • Cutoff Dates

    • Total Labor Qty

You can select resource assignments for the activity in either of the following ways:

  • By selecting a resource from a list of choices from the resource file assigned to the project. This list may contain pools and skills as well as individual resources.

  • By clicking the ellipsis at the right edge of the Resource field to display the Select Resource dialog box.

To delete a resource assignment, you must first select the row by clicking the selection button located at the left of the row.

The Activity Details dialog box has the following buttons that apply to all tabs:

  • Close

  • Undo

  • Apply

  • New

  • Progress

  • Help

In addition, a set of navigation controls allows you to select another activity. You can also use the following keys on your keyboard to navigate to another activity:

  • Ctrl+Home — Displays the first activity.

  • Page Up — Displays the previous activity.

  • Page Down — Displays the next activity.

  • Ctrl+End — Displays the last activity.

Location

Related Topics and Procedures


alignmentfile01

Alignment

Align the text (or image, if selected) left, right, centered, or use the default alignment.


applies_tofile01

Applies To

This column allows the selection of any of the columns in the current spreadsheet view, as well as a < Row > item. Select < Row > (with the Criterion field blank) to define the characteristics of all rows in the spreadsheet. With a criterion specified, only the affected rows receive the specified attributes.

You can even override the attributes of a summary or grand total row by entering the appropriate expression in the Criterion column.

Define the appearance of your rows first — either conditionally (using the Criterion column) or unconditionally (by leaving the Criterion column blank) —and then select individual columns to override the row characteristics as the other criteria are met.


backgroundfile01

Background

This column is used to specify the background color of cells.


Barchart View (Multi)

Barchart View

A barchart view displays activities in rows that appear in two panes. The pane on the left is a spreadsheet that displays information in a tabular format. The pane on the right displays information as bars against a time scale. Information about each activity is displayed on a single row. However, you can have any number of bars on a single row. For example, an activity row might contain one bar that shows early dates, another bar that shows scheduled dates, and still another bar that shows baseline dates.

Open Plan comes with two types of barcharts, each of which is identified with a special icon:

Single-table barcharts — Single-table barcharts display information from a single data table against a time scale.

Multi-table barcharts — Multi-table barcharts can display information from more than one data table against a time scale. For example, you can show information about either the resources or the earned value of an activity as a bar that displays in addition to an activity bar. Provided that you have assigned resources to the project, multi-table barcharts can display resource usage and earned value in a third pane at the bottom of the barchart view. In addition, you can display resource assignment bars on the same row with activity bars.

A user of the Professional edition of Open Plan can define bars for any number of different criteria. Barcharts that use these bars can then be displayed on either edition of Open Plan.

Because bar styles can represent a wide variety of criteria, a barchart view can provide a great deal of information about your project at a glance.

A barchart is sometimes called a Gantt chart.

Related Topics and Procedures


change_orderfile01

Change Order

Select a row (or any cell in the row) and use the [image] and [image] buttons to move the rule to the desired row in the grid.

With multiple rules specified, the appearance of a row/column in a spreadsheet is the result of a combination of rules, with each rule evaluated from top to bottom in the grid. For all rules that evaluate to true for a specific row or column, any attribute that has been changed on a rule further down in the grid will override that attribute for a rule higher in the grid. If a rule on a lower row contains < Default >, the prevailing setting in an upper-row rule remains in effect. Similarly, if all rules have a particular column set to default, Open Plan looks to the Spreadsheet Preferences dialog box or Edit Column dialog box for the prevailing attribute.


criterionfile01

Criterion

Use this column to specify the conditions under which the column or row will adopt the characteristics defined in the rule. For instance, critical activities may be assigned a different color (such as red), while completed milestones might be indicated in a more soothing color. This column lets you select any filter defined on the Filters dialog box (choose < Select Criterion >), as well as any calculated field that returns a TRUE/FALSE result. You can also enter "on-the-fly" expressions (e.g., "TOTALFLOAT > |2d|" for activities with total float greater than 2 days).


descriptionfile01

Description

The description of the external subproject.


deselect_allfile01

Deselect All

Click this button to deselect all external subprojects listed in this dialog box.


displaying_the_resource_selection_dialog_boxfile01

To display the Resource Selection dialog box:

  1. Select any single-table spreadsheet view.

  2. Right-click anywhere in the spreadsheet view, and from the context menu, select Preferences.

  3. On the Spreadsheet Preferences dialog box, select a resource or skill-related Table Name.

  4. Click OK.

  5. With certain resource-related columns selected, an ellipsis button appears to the right of the data entry box. Click that button.


displaying_the_set_column_row_attributes_dialog_boxfile01

To access the Set Column/Row Attributes dialog box, do one of the following:

  • From the Edit menu, select Set Column/Row Attributes

  • From any spreadsheet view, right-click the view and select Set Column/Row Attributes from the context menu.

  • From the Edit Column dialog box (also Add Column and Insert Column), click the Advanced button.

  • From any spreadsheet view, click CTRL+B.


fontfile01

Font

Use this column to specify the font, attributes (regular, bold, italic) and size of the text as it should appear in the defined row or column.


image_contextfile01

Image Context

When you have selected an image to display in the spreadsheet view, this column determines how the image will appear relative to any text that may be in the cell. You can choose from the following:

  • < Default > — Retains the attributes of the prevailing rule on a higher row in the grid.

  • < None > — Removes any image that may have been set in a rule on a higher row in the grid.

  • Adjacent to Data — Image is located adjacent to the text in the cell, relative to the prevailing selection in the Alignment column

  • Centered in Cell — Data is superimposed over the image in the center of the cell.

  • Replaces Data — Only the image is displayed.

Images may be assigned to column rules, but not to row rules.


imagefile01

Image

You can use this column to add an image to the cells in a columnor rows. Open Plan uses metafiles that are defined using the Manage Symbols dialog. There are hundreds of combinations of symbols and colors from which to choose.

Images may be assigned to column rules, but not to row rules.


namefile01

Name

The name of the external subproject.


owner_idfile01

Owner ID

The user ID of the individual who created the external subproject, or was assigned the ownership of the subproject.


previewfile01

Preview

When you select a row in the rules grid, the Preview box shows how the cells in the spreadsheet will appear when they match the defined criteria.

To see the effect of a combination of rule rows, click the gray box to the left of the row to select the entire row, then SHIFT+click the last box in the range you want to preview. To select non-adjacent rows, CTRL+click the rows you want to include in the preview.


seealso_understanding_the_trace_critical_path_facilityfile01

Related Topics:

Using the Trace Critical Path Facility — Inputs Tab

Using the Trace Critical Path Facility — Reports Tab

Using the Output Fields Dialog Box

Using the Destination Directory Dialog Box

Using the Activity Tree Dialog Box


seealso_using_the_resource_selection_dialog_boxfile01

Related Topics:

Using the Spreadsheet Preferences Dialog Box

Resource Scheduling Flexibility


select_allfile01

Select All

Click this button to select all external subprojects listed in this dialog box.


text_colorfile01

Text Color

Use this column to specify the color of the text in the row/column.


time_nowfile01

Time Now

The time now date, or "status date" of the external subproject. All progress information entered for a project should be correct as of this status date. No work will be scheduled by the time analysis or resource scheduling programs prior to this date.


Using the Add Symbol Dialog Box

This dialog box allows you to add custom symbols that can be used in many Open Plan views.

Clicking the Select File button displays an Open dialog box that you can use to locate the Meta File (.wmf) or Enhanced Meta File (.emf) graphic file for the symbol.

You can create a new shape category by entering a unique name in the Shape Category field. Otherwise, entering an existing category name places the new symbol in that category.

Related Topics and Procedures


Using the Choose a Code File Dialog Box

This dialog box features the following controls that allow you to choose a code file for which the view should display information:

  • Open Code Files — The list box displays a list of code files that you have open. Selecting a code file from this list and clicking OK displays information from that code file in the view.

  • Make a Permanent Link to Code File — Selecting this option creates a permanent link to the selected code file.

Related Topics and Procedures


Using the Choose a Resource Pool Dialog Box

This dialog box features the following controls that allow you to choose a code file for which the view should display information:

  • Open Resource Pools — The list box displays a list of resource pools that you have open. Selecting a resource pool from this list and clicking OK displays information from that resource pool in the view.

  • Make a Permanent Link to Resource Pool — Selecting this option creates a permanent link to the selected resource pool.

Related Topics and Procedures


Using the Code File Prompt Dialog Box

This dialog box allows you to specify the prompt that Open Plan should display for the code file in lists and reports.

For example, if you assign a code file to the Code 1 field and define the prompt as WBS, Open Plan will display WBS instead of Code 1 in all lists and reports.

Related Topics and Procedures


Using the Crosstable Types Dialog Box

This dialog box defines a list of crosstable type styles for multi-table barchart views using the following settings:

  • Crosstable Type — You can enter any text to describe what the crosstable bar represents. Open Plan displays this information as the Crosstable Type on the Crosstable tab.

  • Dates — This field controls the type of data that Open Plan should display. The choices from which you can select depend on the type of bar being defined:

    • Resource

    • Earned Value

  • Font — This field controls the font that is used for text on the bar. An ellipsis button at the right edge of the text box provides access to the Font dialog box that you can use to select both a font and its attributes.

  • Offset — This option specifies the position of the bar as measured from the top of a row. The value that you enter is measured in hundredths of an inch for printed reports. The default value for this column is the offset of the bar above it on the list.

  • Zeros — This field uses the following settings to control how Open Plan should treat zero values:

    • Ignore

    • Restricted

    • Always

  • Decimals — This field controls the number of decimal places that Open Plan should display on the bar.

Buttons to the left of the crosstable type definitions allow you to select a crosstable type to be displayed in the preview window. You can also select multiple crosstable type definitions to see all the corresponding bar types in the preview window.

In addition, a Row Height text box specifies the height of the barchart row.

After you have defined a bar type in this dialog box, you must then select the bar and define its attributes in the Crosstables tab of the Bar Set Preferences dialog box.

Related Topics and Procedures


Using the Data Missing from Target Data Source Dialog Box

This dialog box features the following controls that allow you to instruct Open Plan on the action to take with the file that could modify the copy of the file on the database:

  • Do Not Restore

  • Add Missing Data to Target Data Source

  • Ignore Missing Data - Continue to Restore

Related Topics and Procedures


Using the Data Sources Dialog Box

This dialog box displays a list of data sources to which you can connect.

The following buttons across the bottom of the dialog box allow you to Add, Edit, or Delete data sources:

  • Add — Clicking this button displays the tabbed Windows Data Link Properties dialog box that you can use to configure a data source and add it to the list displayed in the Data Sources dialog box.

  • Edit — Selecting a data source from the list and clicking this button displays the Edit Data Source dialog box that you can use to modify settings for the selected data source. A button on this dialog box also provides access to the Windows Data Link Properties dialog box. You can change any of the properties that you wish. However, if you are currently connected to the data source you are modifying, your changes will not take effect until the next time you start Open Plan.

The Connection tab on the Windows Data Link Properties dialog box has an Allow saving password option. Selecting this option encrypts both the User ID and password and passes this information to the Security Administrator. If this option is not selected, you will be prompted to login to a data source when you start the DataTool.

  • Delete — Clicking this button deletes the currently selected data source.

Related Topics and Procedures


Using the Data Tool Change Password Dialog Box

Using the Change Password Dialog Box

In order to prevent unauthorized access to the Open Plan DataTool, it is important that you change your password as soon as possible. This dialog box features the following controls:

  • New Password — Enter your new password in this field.

  • Confirm New Password — Re-enter your new password in this field.

The password you enter can have a maximum of 128 characters. Spaces are not allowed.

Related Topics and Procedures


Using the Data Tool Login Dialog Box

This dialog box is displayed automatically when you start the DataTool. In order to start the DataTool, you must enter a password. As shipped from Deltek, the default password is password.

We recommend that you change this to a password of your choice as soon as possible to prevent unauthorized use. This can be done by clicking Password in the Deltek Data Administrator dialog box that is displayed when you click OK on this Data Tool Login dialog box.

Related Topics and Procedures


Using the Date Range Options Dialog Box

The Date Range Options dialog box allows you to specify how Open Plan should calculate the date range that is displayed in a printed barchart, resource histogram, and risk histogram view. You can instruct Open Plan to base the date range on any of the following:

  • Range of Data

  • Current Display

  • Time Now

  • Project Start

In addition, if you choose to base the date range on either Time Now or the project start date, Open Plan enables the following additional options:

  • Start printing at offset

  • Finish (offset from start)

  • Finish at Project Finish


Using the Details Page of the Restore Wizard

This page of the wizard provides more detailed information about the individual items that can be restored. You can select or clear as many items as you want from this list.

Files in the Files that cannot be restored due to your Access Rights list on the first page of the Restore Wizard will not appear on this page of the wizard.

If you know that you have not made any changes to some of these items, you can save time by not restoring them.

When you click Finish, Open Plan checks for any differences between the backup set and the files that will be modified by the restore operation:

  • If no differences are found, Open Plan restores the data.

  • If any differences are found, Open Plan displays additional dialog boxes where you can instruct Open Plan how to proceed.

Related Topics and Procedures


Using the Earned Value Details Dialog Box

This dialog box defines the details about the earned values that Open Plan should display on the barchart, using the following settings:

Values For

Calculate

  • Total

  • Quantity

  • Period

  • Cost

  • Escalated Cost

In addition, you can specify whether Open Plan should display values based on early dates, late dates, or schedule dates.

You can also use the Scale Factor text box to specify the amount by which Open Plan should scale the results.

Related Topics and Procedures


Using the Edit Symbol Dialog Box

This dialog box allows you to edit the Description and Shape Category of a selected symbol.

You can create a new shape category by entering a unique name in the Shape Category field. Otherwise, entering an existing category name places the symbol in that category.

Related Topics and Procedures


Using the Folder Properties Message Box

This message box provides the following information about the selected folder:

  • Title Bar — The title bar of this message box identifies the name of the folder. This information is repeated in the first line of the message box.

  • Type — This entry identifies the folder as an Open Plan Folder.

  • Contains — This entry describes the number of subfolders and individual items stored in the selected folder.

  • Owner — This entry identifies System as the owner of the folder.

Related Topics and Procedures


Using the Just Created a Browser View Dialog Box

Using the Just Created a Browser View Dialog

This dialog box displays when you drag and drop an icon into a Views folder to create a new Browser View. Clicking OK will create the Browser View for the associated icon.

Related Topics


Using the Manage Symbols Dialog Box

This dialog box allows you to manage the custom symbols that can be used in many Open Plan views.

The dialog box is divided into two panes: Shape Categories and Symbols.

Selecting a category from the Shape Categories pane displays a list of the symbols included in that category in the Symbols pane. Two special categories are also included:

  • <All Shapes> — Selecting this category displays all the symbols available for use by Open Plan.

  • <Uncategorized Shapes> — Selecting this category displays only those symbols that have not been assigned to a shape category.

When you select a symbol from the list in the Symbols pane, it is displayed as a preview on the right side of the dialog box.

Three buttons are located at the bottom of the dialog box:

  • Add — Clicking this button displays the Add Symbol dialog box that you can use to locate and select a file to use as a custom symbol. Open Plan allows you to use both Meta Files (.wmf) and Enhanced Meta Files (.emf) graphics.

  • Edit — Selecting a symbol from the list and clicking this button displays the Edit Symbol dialog box that you can use to edit the description and shape category of the symbol.

  • Delete — Selecting a symbol from the list and clicking this button instructs Open Plan to delete the symbol. Before actually performing the action, however, Open Plan asks that you confirm the deletion.

Related Topics and Procedures


Using the Open External Subprojects Dialog Box

When you open a project containing external subprojects, Open Plan displays the Open External Subprojects dialog box, which contains a hierarchical list of external subprojects (and externals embedded within the top layer of externals). You can use this dialog box to select the subprojects you want to open.

All external subprojects opened under a master project must be opened in the same mode (exclusive, shared, read-only) as the master project. If a user has opened one of the externals independently of the master project, the list will show a red "X" before the name of the external subproject, indicating that it cannot be opened as part of the master. If another user has opened one or more of the externals in a mode that will prevent the current user from opening the external in the same mode as the master, the list will show a warning sign before the name of the external, indicating that it should be deselected unless the other user corrects the conflict before the current user continues. You can place your cursor over one of the "flagged" external subprojects that is open to display information about the status of the project and the person who has it open.

This dialog box contains a sortable grid that displays the following information about each subproject:

  • Name

  • Description

  • Time Now

  • Owner ID

The following buttons are available on this dialog box:

  • Select All

  • Deselect All

Even if you did not open an external subproject at the time you opened the master project, Open Plan lets you open the appropriate subproject later by using Expand or Expand All in the spreadsheet, barchart, or network views or by using Go To Subproject in the network view.

If an external subproject is open, you can display and update the information for the activities in the external subproject just as if they belonged to the master project. For example, if you perform time analysis on the master project, Open Plan updates the early and late dates of the external subproject activities as well.

For closed external subprojects, however, Open Plan has access only to the summarized information stored on the subproject record. If you perform time analysis on a master project that includes a closed external subproject, for example, the early and late dates of a subproject can influence the dates calculated for the master project. On the other hand, the operation does not result in the dates for the individual activities in the closed subproject being recalculated.

Related Topics and Procedures


Using the Open Plan DBA Login Dialog Box

If you are attempting to assign a code file to a code index where no rotated column currently exists, you have the option to create the new column as a traditional rotated column, or make structural changes to the database such that the new column becomes a permanent part of the associated table.

This is not a casual operation, so when you opt for the structural changes, the Open Plan DBA Login dialog box appears. Enter your DBA User ID and Password to login. Once you have access, the code assignment may be accepted.

This dialog box appears only if you are running Open Plan in connection with a SQL Server or Oracle database. Access users are assumed to have DBA privileges and can authorize the change without having to log in.

Related Topics and Procedures


Using the Opening Project Created with Demonstration Software Dialog Box

In order for you to be able to open a project that was originally created using Open Plan demonstration software, you must enter a valid key into the text box of this dialog box. This key is a string of numeric values.

Please contact Deltek Technical Support for a valid key.

Once you have entered the key, the project will open. While you can resave the project with the same name, doing so will require that you re-enter the key the next time you open to project. To eliminate the necessity of re-entering the key, save the project with a new name.


Using the Options Dialog Box - Advanced Tab

The Advanced tab of the Options dialog box features a grid with the following columns that allows you to specify the predefined options that you want to enable:

  • Category — This column displays the options that are enabled. You can add a category, by selecting it from the predefined categories in the list box.

  • Value — This column controls the value you assign to the category.

You can select from the following categories:

  • AllowActiveXInBrowserView

  • HistogramArrayLimit

  • AllowScriptInBrowserView

  • RiskPercentileArraySize

  • AllowZeroBaselineUsage

  • RiskPercentiles

  • BarchartToolTipsField

  • ShowSQLLog

  • BarPrintMode

  • SuppressCombineVerticals

  • CalCompFix

The options that you enable are stored in the User Preferences table. To remove an option from the User Preferences table, delete the entry in the Value column. (Simply replacing the value with a space does not remove the value. You must select the value and press the Delete key.)

A Defaults button displays the System Preferences Defaults dialog box that a system administrator can use to define system-wide preferences from which a user can select.

In previous versions of Open Plan, the settings on this tab of the Options dialog box were set by entries in the .ini file.

The following buttons along the bottom of the dialog box apply to all seven tabs:

  • OK

  • Cancel

  • Help

Related Topics and Procedures


Using the Options Dialog Box - Codes Tab

The Codes tab of the Options dialog box allows you to specify project-level code files that Open Plan should automatically assign to all projects.

Project-level code files might represent entities such as geographic region, client, business objective, division or other project-level reporting values.

Once codes have been specified on this tab of the Options dialog box, you can use the Codes tab on the Project Properties dialog box to assign values to the code fields.

The text box on this tab displays the following information about each currently assigned code file:

  • The code field to which the code file is assigned

  • The prompt associated with the code file

  • The code file name

The ellipsis button provides access to the Assign Code dialog box that you can use to assign code files to code fields and to specify a prompt for each code file.

The following buttons along the bottom of the dialog box apply to all tabs:

  • OK

  • Cancel

  • Help

Related Topics and Procedures


Using the Options Dialog Box - Color Tab

The Color tab of the Options dialog box allows you to specify theme colors for the following:

  • Cost Color

  • Cost Color - Locked

  • Quantity Color

  • Quantity Color - Locked

  • Label Color

  • Lock Color

The Set Custom Colors button displays a Color dialog box that you can use to select a different color for any of the colors. You can select from any of the 48 Basic colors or any of the pre-defined Custom colors. You can also use the panel on the right side of the Color dialog box to define additional custom colors.

The Reset Theme Colors button resets the theme colors to the Open Plan default colors.

Related Topics and Procedures


Using the Options Dialog Box - Edit Tab

— Clicking this button puts your settings into effect and closes the Options dialog box.

— Clicking this button closes the Options dialog box without putting your selections into effect.

— Clicking this button displays the Help system.

Using the Options Dialog Box — Edit Tab

The Edit tab of the Options dialog box allows you to specify the following options relative to Activity dialog boxes:

  • Do Not Clear Contents of the Dialog Box When Creating a New Activity

  • Request Confirmation of Save When Navigating to Another Record

You can also control how Open Plan should synchronize modeless dialog boxes with views using the following options:

  • Do Not Navigate Views When Navigating in Dialog Box

  • Navigate Current View When Navigating in Dialog Box

  • Navigate All Views When Navigating in Dialog Box

The following buttons along the bottom of the dialog box apply to all seven tabs:

  • OK

  • Cancel

  • Help

Related Topics and Procedures


Using the Options Dialog Box - Email Tab

There are two email options available:

  • MAPI

  • SMTP

By default, the MAPI option is selected. When MAPI is selected, the controls in the SMTP Server Information group box are disabled. When the SMTP option is selected, the controls in the SMTP Server Information group box are enabled.

  • Test

When the Test button is selected and the MAPI option is selected, the message page provided by the default system MAPI provider is invoked:

  • The Subject text defaults to the string Test.

  • The Body text defaults to the string This is a test message.

  • If the test message is sent, a message box indicating success or failure is displayed after the message is sent.

When the Test button is selected and the SMTP option is selected, Open Plan attempts to connect to the SMTP server using the settings specified in the SMTP Server Information group box.

  • If the connection to the SMTP server is successful, the SMTP Message dialog is displayed.

  • If the connection to the SMTP server is not successful, an error message is displayed.

The Test button is always enabled.

The following options are available for SMTP Server Information configuration:

  • SMTP Server Address

  • Email Address

  • Server requires authentication

  • Account Name

  • Password

SMTP Server Address stores the address of the SMTP Server.

Email Address stores a default sender email address.

The Email Address supports the use of the replaceable parameters %WINUSERNAME% and %OPPUSERNAME% to allow for simplified deployment scenarios (for example, %WINUSERNAME%@deltek.com).

If the Email Address is left blank, Open Plan will attempt to obtain the email address associated with the Open Plan User ID.

The maximum length of the user name portion of the email address cannot exceed 64 characters and the domain name portion of the email address should not exceed 255 characters.

By default, the Server requires authentication checkbox is not selected.

The Account Name and Password controls are disabled when the Server requires authentication option is not selected.

Account Name allows the user to enter an SMTP server account name if required by the SMTP server.

There are no limits on the length of the server account name.

Password allows the user to enter a SMTP server password if required by the SMTP server.

There are no limits on the length of the server password.

— Clicking this button puts your settings into effect and closes the Options dialog box.

— Clicking this button closes the Options dialog box without putting your selections into effect.

— Clicking this button displays the Help system.

Using the Options Dialog Box — Email Tab

The Email tab of the Options dialog box allows the system administrator to configure email alerts to use either MAPI or SMTP to transmit email. The Email tab contains two sections: Email and SMTP Server Information.

  • Email

  • SMTP Server Information

The following buttons along the bottom of the dialog box apply to all seven tabs:

  • OK

  • Cancel

  • Help

Related Topics and Procedures


Using the Options Dialog Box - General Tab

— Clicking this button puts your settings into effect and closes the Options dialog box.

— Clicking this button closes the Options dialog box without putting your selections into effect.

— Clicking this button displays the Help system.

Using the Options Dialog Box — General Tab

The General tab of the Options dialog box allows you to specify whether the following features should be enabled:

  • Startup Procedures

  • Opening Splash Screen

  • Startup Tips

  • Status Bar

  • Toolbar

  • Open Last File on Startup

You can also specify the following options:

  • Default Times

  • Week Starts On

  • Language

  • Default Open Mode

The Symbols button displays a dialog box that you can use to define a custom symbol. Once defined, this symbol is added to the symbol choices that are available in many Open Plan views.

The Edit Briefcase button provides access to the Edit Data Source dialog box that you can use to specify the data source to be used as your Briefcasing data source.

The following buttons along the bottom of the dialog box apply to all seven tabs:

  • OK

  • Cancel

  • Help

Related Topics and Procedures


Using the Options Dialog Box - Project Tab

— Clicking this button puts your settings into effect and closes the Options dialog box.

— Clicking this button closes the Options dialog box without putting your selections into effect.

— Clicking this button displays the Help system.

Using the Options Dialog Box — Project Tab

The Project tab of the Options dialog box allows you set to the following project defaults:

  • Show Process Log Message Only if Errors Occur During Processing

  • Create New Projects Using Default Project

The following buttons along the bottom of the dialog box apply to all seven tabs:

  • OK

  • Cancel

  • Help

Related Topics and Procedures


Using the Options Dialog Box - Views Tab

— Clicking this button puts your settings into effect and closes the Options dialog box.

— Clicking this button closes the Options dialog box without putting your selections into effect.

— Clicking this button displays the Help system.

Using the Options Dialog Box — Views Tab

The Views tab of the Options dialog box allows you to specify views that should automatically be assigned to new projects.

A grid on this tab features displays both the name and the description of each currently selected view.

The Views button provides access to the Select Standard Views dialog box that you can use to add or remove views from the grid on the Views tab of the Options dialog box.

In addition, the Default Startup View field contains a list of currently selected views. You can select a view from this list to instruct Open Plan to display that view by default whenever the project is opened.

The following buttons along the bottom of the dialog box apply to all seven tabs:

  • OK

  • Cancel

  • Help

Related Topics and Procedures


— Clicking this button puts your settings into effect and closes the Options dialog box.

— Clicking this button closes the Options dialog box without putting your selections into effect.

— Clicking this button displays the Help system.

— Clicking this button displays how the report will appear when it prints.

Using the Print Options General Tab

This tab of the Print Options dialog box controls the following general settings for printing a report:

  • Margins in Inches

  • Include Notes

  • Orientation

  • Display Line Numbers in Spreadsheet

  • Suppress Color in Spreadsheet Headings

  • Expand Columns to Fill Page

A row of buttons across the bottom of the dialog box applies to both Print Options tabs:

  • OK

  • Cancel

  • Help

  • Preview

Related Topics and Procedures


— Clicking this button puts your settings into effect and closes the Options dialog box.

— Clicking this button closes the Options dialog box without putting your selections into effect.

— Clicking this button displays the Help system.

— Clicking this button displays how the report will appear when it prints.

Using the Print Options View Tab

This tab controls print options that are specific to the barchart, resource histogram, and risk histogram views. The following controls are available for all three views:

  • Date Range

  • Horizontal

  • Calculate button

In addition, the following options are available for one or more of these views. The options that are available depend on the view for which you are defining options:

  • Spreadsheet

  • Resource Data

  • Legend

A row of buttons across the bottom of the dialog box apply to all Print Options tabs:

  • OK

  • Cancel

  • Help

  • Preview

Related Topics and Procedures


Using the Properties Dialog Box -- Access Control Tab

Using the Properties Dialog Box — Access Control Tab

The Access Control tab of the Properties dialog box controls the following settings of the auxiliary file, or view:

  • Name

  • Owner

  • Description

The remaining fields on this tab allow you to define the access rights that users who are members of a group with a specified role have to the auxiliary file or view.

For each group that you want to provide with access rights to the auxiliary file or view, you must also specify a role. It is the combination of group and role that is given access to the object.

In order to modify the access rights displayed on this tab, you must be either the owner of the auxiliary file or view, or you must be a member of the System Administrator group. In addition, for auxiliary files, you must have the object open in exclusive mode.

A grid on this page contains the following columns:

  • Group

  • Role

  • User ID

  • Read Only

Location

Related Topics and Procedures


Using the Properties Dialog Box — Command-Line Info Tab

The Command-Line Info tab of the Properties dialog box controls the following settings of the browser view:

  • Name

  • Owner

  • Description

  • Command

  • Arguments

Location

Related Topics and Procedures


Using the Properties Dialog Box -- Files Tab

Using the Properties Dialog Box — Files Tab

The Files tab of the Properties dialog box controls the following settings of the resource file:

  • Name

  • Owner

  • Description

  • Calendar

  • Codes

Location

Related Topics and Procedures


Using the Properties Dialog Box for a Shortcut

This dialog box allows you to edit the following settings for a shortcut to a Windows application or file:

  • Target — Specifies the name of the item to which this shortcut points.

  • Arguments — Specifies optional parameters that are passed on to the target.

  • Start in — Specifies the folder that contains the original item or some related files.

  • Run — Specifies how you want the window to display this item when you open the shortcut:

    • In a standard window (Normal)

    • In a full screen (Maximized)

    • As a button on the taskbar (Minimized)

Location

Related Topics and Procedures


Using the Properties Dialog Box -- General Tab

Using the Properties Dialog Box — General Tab

The General tab of the Properties dialog box controls the following settings of the auxiliary file or view:

  • Name

  • Owner

  • Description

  • File Type

  • Last Updated On

  • Updated By

  • Default Access Mode

  • Auxiliary Files (This field is available only for resource files.)

  • Prompt Text (This field is available only for code files.)

The following fields are displayed only for auxiliary files:

  • Data Access Mode

  • Startup View

Location

Related Topics and Procedures


Using the Properties Dialog Box — Notes Tab

The Notes tab of the Properties dialog box displays the following settings of the code or resource file:

  • Name

  • Owner

In addition to allowing you to modify its Description, this tab allows you to enter, modify, or delete a note attached to the file. The Category field controls the category of the note. If you are creating a new note, you can select a category from the list of categories set up in the database.

Although you can attach multiple notes to a code or resource file, you can attach only one note per category.

The text box can contain up to 29 KB of text about the project. You can enter the text by typing directly in this field or by using the Cut, Copy, and Paste commands to insert text entered in another Windows application such as a word processor or spreadsheet.

The following spell check button allows you to check the spelling in the note:

You can enter links to files, web pages, and email addresses by entering the information in one of the following formats:

  • File links must be entered in the format of: file://c:\document.doc

If the file link you enter contains spaces, you must enclose the link with angle brackets ( < > ) in order for the link to work properly:
<file://C:\Documents and Settings\All Users\Desktop\test.txt>

  • Universal Resource Locators (URLs) must be entered in the format of: http://www.deltek.com

  • Email addresses must be entered in the format of: mailto:contactus@deltek.com

While you can use drag and drop functionality to create links in the Note field, the Cut (Ctrl+X), Copy (Ctrl+C), and Paste (Ctrl+V) commands are not available for links.

When you click OK, the note is attached to the code or resource file. However, it is not saved until you save the file.

Location

Related Topics and Procedures


Using the Properties Dialog Box -- Open Status Tab

The Open Status tab of the Properties dialog box controls the following settings of the auxiliary file:

  • Name

  • Owner

  • Description

At the bottom of the dialog box, Open Plan displays a list of users who have the auxiliary file or view open. For each user, Open Plan displays the following information:

  • User ID

  • Machine ID

  • Open Mode

  • Opened On

Location

Related Topics and Procedures


Using the Properties Dialog Box — Preferences Tab

The Preferences tab of the Properties dialog box controls the following settings of the view:

  • Name

  • Owner

  • Description

For each type of view, an ellipsis for one or more of the following fields may be enabled.

  • Filter

  • Sort

  • Title Block

  • Bar Set

Location

Related Topics and Procedures


Using the Properties Dialog Box -- Statistics Tab

Using the Properties Dialog Box — Statistics Tab

The Statistics tab of the Properties dialog box controls the following settings of the resource file:

  • Name

  • Owner

  • Description

  • Pools

  • Skills

  • Resources

Location

Related Topics and Procedures


Using the Properties Dialog Box -- Structure Tab

Using the Properties Dialog Box — Structure Tab

The Structure tab of the Properties dialog box controls the following settings of the code file:

  • Name

  • Owner

  • Description

The remaining controls on this tab display the structure of the code file:

  • Code Type

  • Fixed Level Length

  • Pad Character

Once a code file has been created, its structure cannot be modified.

Location

Related Topics and Procedures


Using the Properties Dialog Box — User Fields Tab

The User Fields tab of the Properties dialog box displays the following settings of the code or resource file:

  • Name

  • Owner

In addition to allowing you to modify its Description, this tab allows you to specify the values that Open Plan should include for user-defined fields on the associated code or resource table.

User-defined fields are created outside of an open code or resource file and may be used by code or resource file stored in the database. In order to use a user-defined field in the code or resource file, you must specify a value for it on this tab.

The User Fields tab features a grid containing two columns:

  • Field

  • Value

For example, if the Field Name for a code file is Location, you might enter the name of the company division as the value for the field.

Location

Related Topics and Procedures


Using the Properties Dialog Box – References Tab

This field displays the name of the object for which you are defining properties.

Under normal circumstances, the owner of the file or view is the person who created it. While other users may have the rights to modify many of its properties, only the owner or the system administrator can transfer the ownership of the object.

This field controls the description of the file or view object.

If the object is an auxiliary file, you must have it open in Exclusive or Shared mode in order to modify the contents of this field. If the file is not open, or open in read-only mode, you may view — but not change — the information in this field.

— Examples of file types include projects, calculated fields, and views.

— The name of the project or other file that includes this file.

— The description of the project.

— The owner of the project or auxiliary file.

Using the Properties Dialog Box References Tab

The References dialog box controls the following settings of the auxiliary file:

  • Name

  • Owner

  • Description

In addition, Open Plan displays a list of other files that reference the auxiliary file. This list contains the following fields:

  • File Type

  • Name

  • Description

  • Owner

Location

Related Topics and Procedures


Using the Save As Dialog Box

This dialog box allows you to save a text file representation of the data you selected for a Copy or Cut operation so that it can be used by an external program such as Excel.

Location

Related Topics


Using the Select a Category Dialog Box

When you create or edit a filter, Open Plan checks the validity of the expression. If there is any ambiguity in the expression, the Select a Category dialog box is automatically displayed. This dialog box informs you where in the expression the ambiguity exists and then provides a list of suggestion on how to correct the problem.

While the some of the values for the various fields used in the filter expression appear to be similar (for example, the value Completed is used by several fields), the value is specific to that field. If Open Plan is unable to determine the correct value to use for the expression, an ambiguity occurs.

To correct the ambiguity, select the appropriate value from the list presented by the Select a Category dialog box, and click OK.

While the list may contain several choices, not all of those choices may be valid. Again, this is due to the ambiguity of the field/value combination. If you select an invalid value, Open Plan will issue an Incompatible data types in expression warning.

Location

Related Topics and Procedures


— Clicking this button places the selected activity in either the Predecessor or Successor column in the Relationships grid and closes the Select Activity dialog box.

— Clicking this button closes the Select Activity dialog box without placing an activity in either the Predecessor or Successor column in the Relationships grid.

— Clicking this button initiates a search with the parameters you enter in the Find dialog box.

— Clicking this button uses the same parameters used in the last search to initiate another search.

— Clicking this button expands all nodes in the Select Activity dialog box.

— Clicking this button displays the Help system.

Using the Select Activity Dialog Box

This dialog box allows you to select an activity to be the predecessor or successor to the one that is currently selected:

The list box displays a hierarchical representation of the activities in the project

The following buttons are located along the right edge of the dialog box:

  • OK

  • Cancel

  • Find

  • Find Next

  • Expand All

  • Help

Location


Using the Select Dialog Box

Depending on the manner in which this dialog box is displayed, it allows you to select one of the following:

  • If accessed from the Subproject field on the General tab of the Activity Details dialog box, it allows you to select a project to be used as an external subproject.

  • If accessed from the Files page of the New File Wizard while you are creating a project, it allows you to select either a calendar file or a resource file to be used as auxiliary files to the project.

  • If accessed from the Files page of the New File Wizard while you are creating a resource file, it allows you to select a calendar file to be assigned to the resource file.

  • If accessed from the Files tab of the Project Properties dialog box, it allows you to select either a calendar file or a resource file to be used as auxiliary files to the project.

  • If accessed from the Files tab of the Properties dialog box for a resource file, it allows you to select a calendar to be assigned to the resource file.

In all cases, the list that is displayed is limited to the type of file that you can select. Also, the following information is displayed for each file:

  • Name

  • Description

  • Owner

  • Last Update

Location

Related Topics


Using the Select Note Categories Dialog Box

This dialog box allows you to select the categories of note that will be printed with a report.

The categories that are displayed in this dialog box are those that have been created for the types of file you selected on the General tab of the Print Options dialog box. In addition, the list also includes the <Default> categories for each selected file type.

For example, if the Project and Activities check boxes are selected, the categories that are displayed are those available for the Project Directory and the Activity file. For each note category listed in this dialog box, the relevant file type is identified within parentheses.

Location

Related Topics and Procedures


Using the Spread Method Dialog Box

This dialog box displays a list of spread curves that you can use to respread the total quantity of the selected resource over the activity’s original duration. As shipped from Deltek, this list includes the following:

  • B - Back Load

  • D - Double Peak

  • E - Early Peak

  • F - Front Load

  • L - Late Peak

  • N - Normal (Bell)

  • T - Linear

Additional spread curves can be defined using the Spread Curves dialog box accessed from the Tools menu.

Location

Related Topics and Procedures


Using the Structure Differences Dialog Box

Selecting this option instructs Open Plan to interrupt the restoration process and display the Restore Process dialog box that you can use to take one of the following further actions:

  • Cancel Restore Process

  • Re-select Restore Files

— Selecting this option cancels the restore process and closes the dialog box.

— Selecting this option returns you to the Restore - Details dialog box where you may re-select the files to be restored.

Choosing this option instructs Open Plan to ignore the differences between the structures and to continue with the restore procedure.

— Clicking this button puts your selection of either Skip Restore or Ignore Structure Differences - Continue to Restore into effect and closes the Structure Differences dialog box.

— Clicking this button cancels your selection of either Skip Restore or Ignore Structure Differences - Continue to Restore and closes the Structure Differences dialog box.

— Clicking this button displays the Help system.

Using the Structure Differences Dialog Box

This dialog box features the following controls that allow you to instruct Open Plan on the action to take when there is a structure difference between the data in the backup file and the version of the file on the database:

  • Skip Restore

  • Ignore Structure Differences - Continue to Restore

The following buttons are located along the right edge of the dialog box:

  • OK

  • Cancel

  • Help

Location


Using the System Preferences Defaults Dialog Box

This dialog box is intended for system administrators who are authorized to set Open Plan default settings. This dialog box features a grid with the following columns:

  • Category — The entries you make in this column are displayed as entries on the Categories list on the Advanced tab of the Options dialog box.

  • Value — This column controls the initial value you assign to the category.

The entries you make in this dialog box are stored in the System Preferences Default table. To remove a category from this table, delete its value in the grid and click OK. (Simply replacing the value with a space does not remove the value. You must select the value and press the Delete key.)

In previous versions of Open Plan, the settings on this tab of the Options dialog box were set by entries in the .ini file.

Location

Related Topics and Procedures


activity_datacrosstablepopupfile02

Activity Data

The Activity Data tab is enabled when you select to export the data rolle up by Resource Assignment (on the General tab). You can use this tab to apply a filter to the activities as well as include additional activity-related fields for export.


date_scalecrosstablepopupfile02

Date Scale

The Date Scale tab determines the time periods to use when calculating and exporting the data and the range of data to export.


earned_valuecrosstablepopupfile02

Earned Value

The Earned Value tab is enabled when you select Earned Value as the Data Type on the General tab. You can use this tab to select the earned value data to export.


generalcrosstablepopupfile02

General

The General tab determines whether you will be exporting resource or earned value data and whether the data will be rolled up by resource or resource assignment.


resource_datacrosstablepopupfile02

Resource Data

The Resource Data tab is enabled when you select to export the data rolled up by Resource (on the General tab). You can use this tab to apply a filter to the resources as well as include additional resource-related fields for export.


resourcescrosstablepopupfile02

Resources

The Resources tab is enabled when you select Resource as the Data Type on the General tab. You can use this tab to select the resource data to export.


seealso_using_the_crosstable_export_definition_dialog_boxfile02

Related Topics:

Using the Crosstable Exports Dialog Box

Using the New Export Specification Dialog Box

Using the Copy Export Specification Dialog Box

Using the Crosstable Export Definition General Tab

Using the Crosstable Export Definition Resource Data Tab

Using the Crosstable Export Definition Earned Value Tab

Using_the_Crosstable_Export_Definition_Date_Scale_Tab

Using_the_Crosstable_Export_Definition_Activity_Data_Tab

Using_the_Crosstable_Export_Definition_Resource_Data_Tab

Using the Crosstable Export Definition Access Control Tab

Related Procedures:

Creating a Crosstable Export Specification

Copying a Crosstable Export Specification

Editing a Crosstable Export Specification

Deleting a Crosstable Export Specification


Spreadsheet View (Multi-Table Spreadsheet)

Spreadsheet View

Spreadsheet views display information for multiple records in a tabular format. When you select a cell, the data is displayed in an edit box above the table.

Open Plan comes with two types of spreadsheets, each of which is identified with a special icon:

Single-table spreadsheets

Multi-table spreadsheets

You can navigate around a spreadsheet using either a mouse or keyboard shortcuts.

You can customize all spreadsheets by adding columns, deleting columns, and changing the width of any column.

You can copy data directly from Open Plan to other applications such as Excel by simply copying the row, cell, or range and pasting it into the target application. You can also use a Fill Column Down command to replicate data from the top of one or more columns down through a selected range.

By default, you can select the data in a spreadsheet by clicking or control-clicking one or more column headings. You can also select multiple adjacent rows or columns by holding down the Shift key as you make your selections. And, by using the Ctrl key, you can select non-adjacent rows or columns.

If you right-click a column heading, you can select the Click to Sort option on the shortcut menu. With this option selected, you can sort the data in the spreadsheet based on the selected column simply by clicking its heading.

In multi-table spreadsheets, the sorts for the different tables are treated independently. This means that a sort on a secondary table is always within the sort on the primary table. For an illustration of how a spreadsheet might display data sorted in this manner, click the following button:

You can see the temporary sort expression for the secondary table by displaying the Define Link tab of the Spreadsheet Preferences dialog box and scrolling to the right until the Sort column is in view.

In addition, you can split the spreadsheet into two panes. Each pane features a horizontal scroll bar allowing you to adjust the amount of data displayed in each pane.

Related Topics and Procedures


use_resource_remaining_quantity_instead_of_budget_quantitypopupproj

Use Resource Remaining Quantity Instead of Budget Quantity

This option creates baseline activity resource requirements from the remaining resource requirements instead of the budget resource requirements for activities that are not in-progress or complete.


Using the Add Baseline Dialog Box

This dialog box allows you to add baselines to the list currently displayed in the Baselines dialog box.

The Add Baseline dialog box features the following controls:

  • Name

  • Description

  • Based On

  • Ignore Progress, Use Original Project Start Date

  • Use Baseline of Same Name on External Subprojects

  • Filter

  • Include In-Progress Activities

  • Include Completed Activities

  • Update Activities Already in Baseline

For Planned Activities, you have this choice:

  • Use Resource Remaining Quantity Instead of Budget Quantity

For In-Progress and Complete Activities, you have the following choices for Baseline Dates.

  • Keep Existing Baseline Dates

  • Update Baseline Dates with Current Plan Dates

The following two options are enabled only on the Update Baseline dialog box:

  • Roll-up Data to All Baseline Parents

  • Delete All Activities no Longer in Current Project

Location

Related Topics and Procedures


Using the Baseline Access Control Dialog Box

In Open Plan, you can set the security options for a baseline on a project that you have open in either Exclusive or Shared mode.

The Baseline Access Control dialog box features a grid containing the following columns:

  • Group — Clicking the down arrow at the right edge of the edit box displays a list of all the groups for which security rights are established in your database. You can select a group from this list to define rights to the baseline to all members of the group.

  • User ID — Clicking the down arrow at the right edge of the edit box displays a list of all the users for whom security rights are established in your database. You can select an individual from this list to define rights to the baseline to that specific user.

  • Copy — The entries in this column control whether the group or user has the right to copy the baseline.

  • Delete — The entries in this column control whether the group or user has the right to delete the baseline.

  • Update — The entries in this column control whether the group or user has the right to update the baseline.

  • View — The entries in this column control whether the baseline is included on the Baselines dialog box for the group or user.

You can assign baseline access control rights to either a group or an individual user on a single row, but not both.

Related Topics and Procedures


Using the Copy Baseline Dialog Box

This dialog box allows you to create a new baseline as a copy of an existing one. The Copy Baseline dialog box features the following fields:

  • Name — Initially, this field displays the name of the baseline you are copying with a COPY_ prefix. You can change this name to one of your choice.

  • Description — Initially, this field displays the description of the baseline you are copying. You can change this description to one of your choice.

  • Based On — This field displays the type of dates on which the baseline is based — early, late, or scheduled.

When you click OK, Open Plan adds the new baseline to the list of baselines and asks whether you want to select it as the current baseline.

Related Topics and Procedures


using_the_crosstable_export_definition_access_control_tabprojfile02

You can change the owner of the project by selecting a new owner from the list.

By selecting a field in this column and selecting a group from the list, you can specify the group that can have access to the project.

When you select a group or user ID, its default role is automatically entered in this field. You can then change default role to any role that has been defined in the data source.

By selecting a field in this column and selecting a user ID from the list, you can specify the users that can have access to the project.

By selecting Yes for this field, you limit the group or user to opening the project in Read Only mode. By selecting No for this field, other users may open the file in any mode they choose. Read Only mode has the following limitations:

  • In order to make changes to the project, you must first save the project under a different name.

  • You cannot see changes made by other users.

Using the Crosstable Export Definition Access Control Tab

The Access Control tab allows you to define the access rights that users or groups have and what role they play in the project.

If you are the owner of the project or a member of the System Administrator group and you have the project open in Exclusive mode, you can use the following fields to define access rights to the project:

  • Owner

  • Group

  • Role

  • User ID

  • Read Only

Location

Related Topics and Procedures


using_the_crosstable_export_definition_activity_data_tabprojfile02

Using the Crosstable Export Definition Activity Data Tab

The Activity Data tab is enabled when you select to export the data rolled up by Resource Assignment (on the General tab). This tab allows you to do two things:

  • Apply a filter to the activities that are exported

  • Export additional activity fields that are available to the project

Selecting the Filter option enables a list that you can use to select an existing filter to apply to the project activities. The activities that are returned by the filter are used in the export specification.

The Available Fields list contains all of the activity-related fields included in the project. To include a field in the export specification, simple select it, and click the right arrow button. It is moved to the Selected Fields list where you can use the up and down arrows to arrange the fields in the order in which you want to export them. To remove a field from the export specification, select it in the right-hand list, and click the left arrow button.

You can move multiple fields from one list to the other at one time by Ctrl+clicking or Shift+clicking the desired fields and clicking the appropriate arrow button.

Related Topics and Procedures


using_the_crosstable_export_definition_date_scale_tabprojfile02

Using the Crosstable Export Definition Date Scale Tab

The Date Scale tab allows you to specify the time periods Open Plan uses to calculate and export the data. The time periods are then used to display the calculations in the .csv or .xml export file. You can also set the range of dates that Open uses for the operation.

You can select one of the following options to specify the time periods:

  • Fiscal Calendar

  • Reporting Calendar

  • Linear

The Date Range section allows you set the dates in the From and To fields that Open Plan uses when calculating and exporting the data. You can select from the following Options:

  • Custom

  • Entire Project

  • Time Now

  • Project Start

While you can enter a date directly into the From and To fields, clicking the ellipsis button next to a field displays a pop-op calendar that you can use to select a date.

Related Topics and Procedures


using_the_crosstable_export_definition_earned_value_tabprojfile02

Using the Crosstable Export Definition Earned Value Tab

The Earned Value tab is enabled when you select Earned Value as the Data Type on the General tab.

You can export the following earned value data:

  • Forecast

  • BCWS

  • ACWP

  • BCWP

For the earned value data you select, you can export any combination of the following values:

  • Quantity

  • Cost

  • Escalated Cost

You can also select one of the following methods for calculating the values to export:

  • Period

  • Cumulative

Related Topics and Procedures


using_the_crosstable_export_definition_general_tabprojfile02

Using the Crosstable Export Definition General Tab

The General tab of the Crosstable Export Definition dialog box features the following choices that determine the type of data to export and enables or disables the appropriate tabs.

For Data Type, you can choose between the following:

  • Resource

  • Earned Value

Once you have decided what type of data to export, you can choose to export the data rolled up by:

  • Resource

  • Resource Assignment

  • Roll up Similar Assignments

Related Topics and Procedures


using_the_crosstable_export_definition_resource_data_tabprojfile02

Using the Crosstable Export Definition Resource Data Tab

The Resource Data tab is enabled when you select to export the data rolled up by Resource (on the General tab). This tab allows you to do two things:

  • Apply a filter to the resources that are exported

  • Export additional resource fields that are available to the project

Selecting the Filter option enables a list that you can use to select an existing filter to apply to the project resources. The resources that are returned by the filter are used in the export specification.

The Available Fields list contains all of the resource-related fields included in the resource file. To include a field in the export specification, simple select it, and click the right arrow button. It is moved to the Selected Fields list where you can use the up and down arrows to arrange the fields in the order in which you want to export them. To remove a field from the export specification, select it in the right-hand list, and click the left arrow button.

You can move multiple fields from one list to the other at one time by Ctrl+clicking or Shift+clicking the desired fields and clicking the appropriate arrow button.

Related Topics and Procedures


using_the_crosstable_export_definition_resources_tabprojfile02

Using the Crosstable Export Definition Resources Tab

The Resources tab is enabled when you select Resource as the Data Type on the General tab. You can export the resource Availability as well as any of the following types of resource data:

  • Early

  • Late

  • Schedule

  • Actual

  • Baseline

For the resource data you select, you can export any of the following values:

  • Quantity

  • Cost

  • Escalated Cost

You can also select one of the following methods for calculating the values to export:

  • Period

  • Cumulative

  • Average

Related Topics and Procedures


Using the Multiple Baselines Dialog Box

The Multiple Baselines dialog box allows you to select up to three baselines to be made available for reporting purposes. You can change these selections at any time.

The down arrow at the right edge of each Baseline field displays the list of currently defined baselines for the project from which you can select.

While you can specify the Project Management Baseline (PMB), if it exists, as one of the three baselines, Open Plan uses the PMB for cost calculations even if it isn’t among those selected on this dialog box.

If there is no baseline named PMB, the baseline selected as Baseline 1 is used instead for cost calculations.

Related Topics and Procedures


Using the New Calculated Field Dialog Box

This dialog box controls general information about the new calculated field using the following settings:

  • Name

  • Applies to Table

  • Data Type

Related Topics and Procedures


Using the New Filter Dialog Box

This dialog box allows you to supply a name for the filter and to choose the data table to which it will apply.

Related Topics and Procedures


Using the New Sort Dialog Box

This dialog box allows you to supply a name for the sort and to choose the data table to which it will apply.

Related Topics and Procedures


Using the Project Properties Access Control Tab

Using the Access Control Tab

In addition to allowing you to modify the project or file description, you can use this tab to define the access rights that users who are members of a group with a specified role have to the project or file.

Some Access Control tabs have an Owner field instead of a Description field. In which case, you select the owner of the file from the drop-down list in the Owner field.

For each group that you want to provide with access rights to the resource file, view, or process, you must also specify a role. It is the combination of group and role that is given access to the object.

In order to modify the access rights displayed on this dialog box, you must have the project open in exclusive mode.

A grid on this page contains the following columns:

  • Group

  • Role

  • User ID

  • Read Only


Using the Project Properties Codes Tab

In addition to allowing you to modify the project Description, you can use this tab to assign codes to the project. This feature allows you to sort your projects. For example, you might want to sort your projects according to a region or division code.

  • Code — This column displays all the project-level code files that are stored in the database.

A system administrator can create these project code assignments using the Codes tab on the Options dialog box.

  • Value — For each available code file, you can assign a specific code to the project. Clicking the ellipsis at the right edge of the input field displays the Select Code dialog box that you can use to select a code from a hierarchical code structure.

Related Topics


Using the Project Properties Cost Tab

This tab displays the name of the project and allows you to enter or modify the following information:

  • Description

  • Target Total Cost

  • Reporting Calendar

  • Use Version 2 Cost Calculation Method

The lower portion of this tab contains a grid that displays the following cost information about the project:

With the exception of Total Cost, the BAC link on the following bulleted items describes how the setting on the Use Version 2 Cost Calculation option affects the way BAC is calculated.

  • Labor Quantity

  • Labor Cost

  • Material Cost

  • ODC (Other Direct Costs)

  • Subcontract Cost

  • Total Cost

The information on this tab is updated when costs are calculated using the Cost Calculations command on the Project menu.

Location

Related Topics and Procedures


Using the Project Properties Files Tab

This tab displays the project name and allows you to modify the project Description.

This tab also allows you to assign the following auxiliary files to the project:

  • Calendar File

  • Resource Definition File

  • Code Files

Location

Related Topics and Procedures


Using the Project Properties Notes Tab

This tab displays the name of the project and allows you to enter or modify the product Description and enter a note about the project. The Category field controls the category of the note. If you are creating a new note, you can select a category from the list of categories set up in the database.

Although you can attach multiple notes to a project, you can attach only one note per category.

The text box can contain up to 29 KB of text about the project. You can enter the text by typing directly in this field or by using the Cut, Copy, and Paste commands to insert text entered in another Windows application such as a word processor or spreadsheet.

The following spell check button allows you to check the spelling in the note:

You can enter links to files, web pages, and email addresses by entering the information in one of the following formats:

  • File links must be entered in the format of: file://c:\document.doc

If the file link you enter contains spaces, you must enclose the link with angle brackets ( < > ) in order for the link to work properly:
<file://C:\Documents and Settings\All Users\Desktop\test.txt>

  • Universal Resource Locators (URLs) must be entered in the format of: ): http://www.deltek.com

  • Email addresses must be entered in the format of: mailto:contactus@deltek.com

While you can use drag and drop functionality to create links in the Note field, the Cut (Ctrl+X), Copy (Ctrl+C), and Paste (Ctrl+V) commands are not available for links.

When you click OK, the note is attached to the project. However, it is not saved until you save the project.

Location

Related Topics and Procedures


Using the Project Properties Open Status Tab

In addition to allowing you to modify the project description, this tab displays the following information about the open status of the project:

  • User ID

  • Machine ID

  • Open Mode

  • Opened On

  • User Name [Phone]

Location

Related Topics


Using the Project Properties Preferences Tab

This tab displays the project name and controls the following project settings:

  • Description

  • Default Date Format

  • Default Activity Type

  • Default Activity Calendar

  • Default Res. Curve

  • Startup View

  • Default Relationship Calendar

  • Default Res. Level

  • Conversions

  • Default Duration Units

  • Minimum Calculated Duration

  • Default Access Mode

  • Earned Value

Location

Related Topics and Procedures


Using the Project Properties References Tab

This field displays the name of the object for which you are defining properties.

Under normal circumstances, the owner of the file or view is the person who created it. While other users may have the rights to modify many of its properties, only the owner or the system administrator can transfer the ownership of the object.

This field controls the description of the file or view object.

If the object is an auxiliary file, you must have it open in Exclusive or Shared mode in order to modify the contents of this field. If the file is not open, or open in read-only mode, you may view — but not change — the information in this field.

— Examples of file types include projects, calculated fields, and views.

— The name of the project or other file that includes this file.

— The description of the project.

— The owner of the project or auxiliary file.

Using the Project Properties References Tab

  • Name

  • Owner

  • Description

In addition, Open Plan displays a list of other files that reference the auxiliary file. This list contains the following fields:

  • File Type

  • Name

  • Description

  • Owner

Location

Related Topics and Procedures


Using the Project Properties Scheduling Tab

Open Plan allows you to share resource pools as well as individual resources across multiple projects.

If the option to Consider Usage on Higher Priority Projects is selected on the Resource Scheduling dialog box, Open Plan can check information about resources that are currently in use by other, higher priority projects using the same resource pool when performing resource scheduling. Open Plan uses this information to determine what resources are currently available.

In addition to allowing you to change the project's description, this tab features the following controls that allow you to specify both the project's priority and the type of dates that should be used when calculating the resource usage summary:

  • Project Priority

  • Create Summary Usage Upon Saving Project

  • Create Summary Usage Based On

  • Delete Summary Usage For This Project

Location

Related Topics and Procedures


Using the Project Properties Status Tab

This tab displays the project name and the following information about the project:

  • Status

  • Min. Total Float

  • Early Finish

  • Late Finish

  • Scheduled Finish

In addition, you can use the Status tab to define the following information about the project:

  • Description

  • Project Start

  • Time Now

  • Target Start

  • Target Finish

  • Finish Type

Location

Related Topics and Procedures


Using the Project Properties Summary Tab

At the top of this tab, Open Plan displays name of the project and allows you to modify its Description. This section of the tab also displays the following information:

  • Owner

  • Data Access Mode

  • Project Phase

The lower section of the tab is organized in three columns:

  • The left column controls the following general project information:

    • Project Manager

    • Project Manager Email Address

    • Company

    • Client

  • The middle column displays following statistical information:

    • Total Activities

    • Total in Progress

    • Total Complete

    • Total Relationships

    • Total Assignments

If the project contains open external subprojects, the totals displayed include values from activities within the external subprojects.

When the project contains unopened external subprojects, Open Plan includes in the totals the external subproject activities acting as place holders but not the activities that are within the unopened subprojects.

  • The right column features the following baseline controls:

    • Baselines

    • Select Baseline

Location

Related Topics and Procedures


Using the Project Properties User Fields Tab

In addition to allowing you to modify the project description, this tab allows you to specify the values that Open Plan should include for user-defined fields on the project table.

User-defined fields are created on the project table outside of an open project and may be used by any project stored in the database. In order to use a user-defined field in your project, you must specify a value for it on this tab.

The User Fields tab features a grid containing two columns:

  • Field — This column displays a list of all the user-defined fields that have been defined for the project table.

  • Value — For each user-defined field that you want to use in your project, you should enter an appropriate value.

For example, if the Field Name is Proj_Sec, you might enter the name of the project secretary as the value for the field.

Location

Related Topics


Using_the_Project_Start_Date_Dialog_Box

If the Ignore Progress, Use Original Project Start Date option is selected in the Add/Update Baseline dialog box and a Project Start Date has not been previously specified, you will be prompted to enter a Project Start Date.

To enter a project start date, do one of the following:

  • Type the date in the Project Start field

  • Click the ellipsis button and select the project start date

Location

Related Topics and Procedures


Using the Select Code Dialog Box

This dialog box works with the values on the Code tab of the Resource Details dialog box.

When you select a code from the grid on the Code tab and click the ellipsis, the Select Code dialog box displays the codes stored in the relevant code field in a hierarchical structure.

When you select a code from the displayed hierarchy on the Select Code dialog box and click OK, the code is displayed as a value for the appropriate code on the Codes tab.

Location

Related Topics


Using the Select P3 Project Dialog Box

This dialog box allows you to open the P3 project file to be converted into a format that Open Plan can use.

To open a P3 project, you select its directory file to open by browsing the available drives and directories. For example, to open a project named Hous, you would select Housdir.p3. When you select a valid P3 file, Open Plan automatically displays a series of dialog boxes where you can define the name and location for each of the converted auxiliary files and for the new Open Plan project itself.

Location

Related Topics and Procedures


Using the Update Baseline Dialog Box

Once a baseline has been created, you can update it with the current Project Properties at any time. When updating an existing baseline, you can have Open Plan update information for activities already present in the baseline as well as for new activities (that is, activities missing from the original baseline).

The Update Baseline dialog box allows you to update a baseline currently displayed in the Baselines dialog box using the following controls:

  • Name

  • Description

  • Based On

  • Ignore Progress, Use Original Project Start Date

  • Use Baseline of Same Name on External Subprojects

  • Filter

  • Include In-Progress Activities

  • Include Completed Activities

  • Update Activities Already in Baseline

For Planned Activities, you have this choice:

  • Use Resource Remaining Quantity Instead of Budget Quantity

For In-Progress and Complete Activities, you have the following choices for Baseline Dates:

  • Keep Existing Baseline Dates

  • Update Baseline Dates with Current Plan Dates

You can also make the following additional modifications to an existing baseline:

  • Roll-up Data to All Baseline Parents

  • Delete All Activities no Longer in Current Project

Location

Related Topics and Procedures


Backup File (File Menu)

You can issue the Backup File command when a project or auxiliary file is open by pointing to Manage Files on the File menu and then clicking Backup File on the submenu.

Once you have backed up your data, you can also use any commercially available data compression utility to compress the backup file.

Related Topics and Procedures


Change Mode (File Menu)

This command allows you to change the access mode of a file you have open. The choices available depend on the mode in which the file is currently open. For example, a file currently open in Shared mode can only be changed to Read Only mode.

Related Topics and Procedures


Change Owner and Access Control (File Menu)

Change Owner and Access Rights (File Menu)

If you are the owner or you have system administrator rights, this command allows you to change the owner and access rights of a file.

Related Topics and Procedures


Change Password (File Menu)

This command allows you to change the password that you use to log in to your installation of Open Plan. The new password you enter takes effect the next time you log in.

Related Topics and Procedures


Check In (File Menu)

You can issue the Check In command by pointing to Manage Files on the File menu and then clicking Check In on the submenu.

You can use the Check In dialog that is displayed to check a project back in to the Main data source.

Related Topics and Procedures


Check Out (File Menu)

You can issue the Check Out command by pointing to Manage Files on the File menu and then clicking Check Out on the submenu.

You can use the Check Out dialog that is displayed to check out a project to either the Main data source or the Briefcase data source.

Related Topics and Procedures


Close (File Menu)

You can issue the Close command by clicking Close on the File menu.

This command allows you to close the file displayed in the active window.

Related Topics and Procedures


Exit (File Menu)

You can issue the Exit command in the following ways:

  • By clicking Exit from the File menu

  • By pressing the Alt+F4 keys

  • By clicking the Close Application icon in Windows.

This command ends an Open Plan session. Open Plan prompts you to save any unsaved changes in a file.

Related Topics and Procedures


Export Crosstable Data (File Menu)

You can issue the Export Crosstable Data command when a project is open and in focus by pointing to Export on the File menu and then clicking Export Crosstable Data on the submenu.

This command displays the Crosstable Exports dialog box that you can use to export crosstable data in either .xml or .csv format.

Related Topics and Procedures


Export General (File Menu)

You can issue the Export General command when a project is open and in focus by pointing to Export on the File menu and then clicking Export General on the submenu.

This command displays the Export dialog box that allows you to export data using user-defined export specifications. Each specification consists of a series of commands and parameters that allows Open Plan to export project, resource, code, and calendar information in a wide range of data formats.

Related Topics and Procedures


Export MSP File (File Menu)

You can issue the Export MSP File command by pointing to Export on the File menu and then clicking Export MSP File on the submenu. The export facility provides a more seamless integration with Microsoft's current standard data formats.

Related Topics and Procedures


Import General (File Menu)

You can issue the Import General command by pointing to Import on the File menu and then clicking Import General on the submenu.

This command displays the Import dialog box that allows you to import data from a wide variety of applications using user-defined import specifications. Each specification consists of a series of commands and parameters that allows Open Plan to import project, resource, code, and calendar information in a wide range of data formats.

Related Topics and Procedures


Import MSP98/2000 File (File Menu)

Import MSP File (File Menu)

You can issue the Import MSP File command by pointing to Import on the File menu and then clicking Import MSP File on the submenu. The import facility provides a more seamless integration with Microsoft's current standard data formats.

Related Topics and Procedures


Import P3 File (File Menu)

You can issue the Import P3 File command by clicking File » Import » Import Primavera File » P3 File. This command allows you to import files that have been created with Primavera Project Planner software.

Related Topics and Procedures


Import XER (File Menu)

You can issue the Import XER command by clicking File » Import » Import Primavera File » XER. This command allows you to import files that have been created with Primavera Project Planner software.

Related Topics and Procedures


New (File Menu)

You can issue the New command in the following ways:

  • By clicking New from the File menu

  • By right-clicking an empty area in the Open Plan Explorer and clicking New from the context menu

  • By pressing the Ctrl+N keys

  • By clicking the New [image] button on the toolbar

  • By double-clicking an empty area of the Open Plan Explorer

This command displays the New File dialog box and allows you to create one of the following types of files:

  • Project

  • Calendar

  • Resource

  • Code

Related Topics and Procedures


Open (File Menu)

You can issue the Open command in the following ways:

  • By clicking Open on the File menu

  • By pressing the Ctrl+O keys

  • By clicking the Open [image] button on the toolbar

This command displays the Open File dialog box where you can select an Open Plan file to open.

Related Topics and Procedures


Print (File Menu)

You can issue the Print command in the following ways:

  • By clicking Print on the File menu.

  • By pressing the Ctrl+P keys

Issued in this way, the Print command displays a dialog box that allows you to specify how the report should be printed.

You can also print a report with the settings currently in effect by clicking the Print [image] button on the toolbar.

The dialog box that Open Plan displays when you issue the Print command from the File menu depends on the view displayed in the active window:

  • For all views other than a calendar, Open Plan displays the Print dialog box.

  • For a calendar, Open Plan displays the Print Calendar dialog box.

Related Topics and Procedures


Print Options (File Menu)

You can issue the Print Options command by displaying a view of your project and clicking Print Options on the File menu.

This command displays the tabbed Print Options dialog box that controls how Open Plan should print the view. You can also use this dialog box to set print margins that are added to any default margins set by your printer driver.

Related Topics and Procedures


Print Preview (File Menu)

You can issue the Print Preview command by opening a project view or data file and taking one of the following actions:

  • Click Print Preview on the File menu.

  • Click the Print Preview [image] button on the toolbar.

Print preview shows entire pages at a reduced size so that you can view one or more pages at a time and check page breaks. You cannot, however, make any changes to the report while in print preview.

Related Topics and Procedures


Print Setup (File Menu)

You can issue the Print Setup command by clicking Print Setup on the File menu.

This command displays the Print Setup dialog box and allows you to specify a printer to be used for the current print job.

In addition, the following options control how your job is printed:

  • Orientation — Controls whether the output should be in portrait or landscape orientation. (A graphic illustrates each of these options.)

  • Paper Size — Controls the size of paper to be used.

  • Source — Controls the paper tray containing the paper to be used for the print job.

An Options button displays a dialog box where you can also set options that are specific to your printer driver.

Related Topics and Procedures


Recent File List (File Menu)

You can use the names listed at the bottom of the File menu to quickly open one of the last four files you worked on.

Select the name that corresponds to the file you want to open.

Related Topics and Procedures


Restore File (File Menu)

You can display the Restore File dialog box by pointing to Manage Files on the File menu and then clicking Restore File on the submenu.

This dialog box allows you to restore a project or auxiliary file that you previously backed up.

Related Topics and Procedures


Save As (File Menu)

You can issue the Save As command by clicking Save As on the File menu.

This command displays a dialog box that allows you to specify a file name for the file.

Use this command to copy a file.

You cannot perform Save As on a file if there is another file open which refers to it. For example, if you open project CLEAN and then try to perform a Save As on the calendar file CLEANCAL, you are given the following warning: "Cannot perform Save As on Calendar File CLEANCAL because there are open objects referring to it." Since CLEAN refers to CLEANCAL, you need to close the project before you can perform Save As on CLEANCAL.

Related Topics and Procedures


Save (File Menu)

You can issue the Save command in the following ways:

  • By clicking Save on the File menu.

  • By pressing the Ctrl+S keys

  • By clicking the Save [image] button on the toolbar.

This command allows you to save a file using its current name and location. The conditions under which this command is available depend on the mode in which you opened the file:

  • Exclusive — If you opened the file in the exclusive mode, you can use the Save command at any time.

  • Read Only — If you opened the file in the read-only mode, the Save command is not enabled. However, you can save the file with a different name by clicking Save As on the File menu. You must also use the Save As command the first time you save a project that was created using the default project.

Shared — This mode is available only in the Professional edition of Open Plan. If you opened the file in the shared mode, Open Plan tries to save the data whenever you edit something and click OK. If another user has made a change to the record you have displayed, Open Plan displays a message alerting you to this circumstance and closes the dialog box. This allows you to view the changes made by another user before you make additional modifications.

Related Topics and Procedures


Save View (File Menu)

You can issue the Save View command by opening a project view and clicking Save View on the File menu.

This command displays a dialog box that allows you to specify a file name for the view.

Related Topics and Procedures


seealso_backup_file_file_menu

Related Topic:

Using the Backup Dialog Box

Related Procedures:

Backing Up Open Plan Data

Restoring Data From a Backup File


seealso_change_mode_file_menu

Related Topics:

Using the Change Access Mode Dialog Box

Using the File Open Dialog Box

Related Procedure:

Changing the Default Access Mode of a File


seealso_change_owner_and_access_control_file_menu

Related Topic:

Using the Change Ownership and Access Rights Dialog Box

Related Procedures:

Changing the Owner of a Object

Changing the Access Rights of an Object


seealso_change_password_file_menu

Related Topics:

Using the Change Password Dialog Box

Using Open Plan Security

Using the Open Plan Login Dialog Box

Related Procedures:

Changing Your Login Password


seealso_check_in_file_menu

Related Topics:

Understanding the Open Plan Briefcasing Feature

Using the Check Out Dialog Box

Using the Check In Dialog Box

Related Procedures:

Checking Out a Project

Checking in a Project


seealso_check_out_file_menu

Related Topics:

Understanding the Open Plan Briefcasing Feature

Using the Check Out Dialog Box

Using the Check In Dialog Box

Related Procedures:

Checking Out a Project

Checking in a Project


seealso_close_file_menu

Related Topics:

New (File Menu)

Open (File Menu)


seealso_export_crosstable_data_file_menu

Related Topics:

Using the Crosstable Exports Dialog Box

Using the Crosstable Export Definition Dialog Box

Related Procedures:

Creating a Crosstable Export Specification

Copying a Crosstable Export Specification

Editing a Crosstable Export Specification

Deleting a Crosstable Export Specification


seealso_export_general_file_menu

Related Topics:

Exporting Data to Another Application

Using the Export Dialog Box

Related Procedure:

Exporting Data to Another Application


seealso_export_msp_file_file_menu

Related Topics:

Using the Open Plan Import and Export Facilities

Microsoft Project Integration

Related Procedure:

Exporting a File to an MSP Database

Exporting a File to an MSP Project


seealso_export_sap_file_menu

Related Topic

Using the Open Plan Import and Export Facilities


seealso_import_general_file_menu

Related Topics:

Importing Data From Another Application

Using the Import Dialog Box

Related Procedure:

Importing Data From Another Application


seealso_import_msp_file_file_menu

Related Help Topics:

Using the Open Plan Import and Export Facilities

Microsoft Project Integration

Related Procedure:

Importing an MSP File


seealso_import_p3_file_file_menu_

Related Topic

Using the Open Plan Import and Export Facilities

Related Procedure

Importing a P3 File


seealso import xer file menu

Related Topic

Using the Open Plan Import and Export Facilities

Related Procedure

Importing a XER File


seealso_new_file_menu

Related Topic:

Using the New File Dialog Box

Related Procedures:

Creating a New Project

Creating a Calendar File

Creating a Resource File

Creating a Code File

Creating an Open Plan File


seealso_open_file_menu

Related Topics:

Using the File Open Dialog Box

Related Procedures:

Opening an Open Plan File


seealso_print_file_menu

Related Topics:

Using the Print Dialog Box

Using the Print Calendar Dialog Box

Related Procedures:

Printing a Report

Printing a Calendar


seealso_print_options_file_menu

Related Topic:

Using the Print Options Dialog Box

Related Procedures:

Printing a Barchart

Printing a Spreadsheet


seealso_print_preview_file_menu

Related Topic:

Using Print Preview

Related Procedure:

Previewing a Report Before Printing


seealso_print_setup_file_menu

Related Topic:

Using the Print Setup Dialog Box

Related Procedure:

Setting Up a Printer


seealso_recent_file_list_1_file_menu

Related Topic:

Using the Open Plan Explorer

Related Procedure:

Opening an Open Plan File


seealso_recent_file_list_2_file_menu

Related Topic:

Using the Open Plan Explorer

Related Procedure:

Opening an Open Plan File


seealso_recent_file_list_3_file_menu

Related Topic:

Using the Open Plan Explorer

Related Procedure:

Opening an Open Plan File


seealso_recent_file_list_4_file_menu

Related Topic:

Using the Open Plan Explorer

Related Procedure:

Opening an Open Plan File


seealso_restore_file_file_menu

Related Topic:

Using the Restore Wizard

Related Procedures:

Backing Up Open Plan Data

Restoring Data From a Backup File


seealso_save_as_file_menu

Related Topic:

Saving and Copying Open Plan Files

Related Procedures:

Saving an Open Plan File

Copying an Open Plan File


seealso_save_file_menu

Related Topic:

Saving Files

Related Procedure:

Saving an Open Plan File


seealso_save_view_file_menu

Related Topic:

Views and Reports

Related Procedure:

Deleting a View


seealso_send_file_menu

Related Topic:

Using the Open Plan Web Publisher Dialog Box

Related Procedure

Preparing a Report for Publication on the Web


Send (File Menu)

If your installation of Windows contains a MAPI compliant mail system, you can issue the Send command by clicking Send on the File menu.

This command performs the following functions:

  • Displays the Backup Items to Send dialog box so that you can create a compressed file containing the data to send.

  • Opens your default Internet email system

  • Creates a blank message with the backed-up file as an attachment

Related Topics and Procedures


About Open Plan (Help Menu)

You can issue the About Open Plan command in either of the following ways:

  • By clicking About Open Plan on the Help menu

  • By clicking the About Open Plan [image] button on the toolbar

This command displays a message box with the following information about your copy of Open Plan:

  • Version — The version number of this copy of Open Plan

  • Copyright — The copyright notice

  • Serial number — The serial number of this copy of Open Plan

  • Company — The name of the company licensed to use this copy of Open Plan

  • User count — The number of Open Plan users currently logged in to the active data source

  • Data Source — The name of the active data source

  • Logged in As — The user name of the person currently logged in to Open Plan on this computer

Related Topics and Procedures


Deltek e-Support (Help Menu)

This command connects you to the login screen of the Deltek e-Support Web site that you can go to for the latest product updates and information as well as answers to frequently asked questions.

Related Topics and Procedures


Help Contents (Help Menu)

Contents (Help Menu)

This command displays the Open Plan Help table of contents.

Related Topics and Procedures


seealso_about_open_plan_help_menu

Related Topics:

Contents (Help Menu)

Using Help (Help Menu)

Tip of the Day (Help menu)

Deltek e-Support (Help Menu)


seealso_deltek_e-support_help_menu

Related Topics:

Contents (Help Menu)

Using Help (Help Menu)

Tip of the Day (Help menu)

About Open Plan (Help Menu)


seealso_help_contents_help_menu

Related Topics:

Using Help (Help Menu)

Tip of the Day (Help menu)

Deltek e-Support (Help Menu)

About Open Plan (Help Menu)


seealso_tip_of_the_day_help_menu

Related Topics:

Contents (Help Menu)

Using Help (Help Menu)

Deltek e-Support (Help Menu)

About Open Plan (Help Menu)


seealso_using_help_help_menu

Related Topics:

Contents (Help Menu)

Tip of the Day (Help menu)

Deltek e-Support (Help Menu)

About Open Plan (Help Menu)


Tip of the Day (Help Menu)

This command displays the Tip of the Day information box that you can use to review Open Plan tips and tricks.

Related Topics and Procedures


Using Help (Help Menu)

The Using Help command provides instructions and tips on using the Help facility provided with Open Plan.

Related Topics and Procedures


actual_cost_of_work_performed_acwpearnedvaluepopuphist

Actual Cost of Work Performed (ACWP)

ACWP is based on the actual costs recorded for the resource.


actual_resource_usageresourcespopuphist

Actual Resource Usage

For each date unit on the date scale, Open Plan displays the actual resource usage that has either been entered on the resource record or calculated during resource progressing. Each bar can represent either a total or an average resource usage for the period.

The total actual resource usage for each date can also be displayed as a cumulative S-curve.


acwpearnedvaluepopuphist

ACWP

For each date unit on the date scale, the histogram bar represents the actual cost of the resource usage as calculated during resource progressing.

You can also display an S-curve that represents the cumulative actual cost of the resource usage as calculated during resource progressing for each date unit on the date scale.


all_resource_categoriespopuphist

All Resource Categories

If you select this option, Open Plan does not limit the display of available resources to those with a specific resource category. All resource categories are displayed.


availabilityresourcespopuphist

Availability

You can select from the following options to choose the type of availability data that Open Plan should show in both a histogram bar and an S-curve:

  • Total Availability — Displays the total availability of the resource. The histogram does not identify quantities that are reserved for another project or used by a project with a higher priority.

  • Unreserved Availability — Displays the availability that is not reserved for another project.

  • Unused Availability — Displays the availability that is not used by a project with a higher priority or reserved for another project.

  • Total & Reserved — Displays both the total availability and the availability that is reserved for another project.

  • Total & Reserved or Used — Displays both the total availability and the availability that is either reserved for another project or used by a project with a higher priority.

  • Total, Reserved and Used — Displays the total availability, the availability that is reserved for another project, and the availability that is used by a project with a higher priority.

  • Unreserved and Used — Displays both the availability that is not reserved for another project and the availability that is used by a project with a higher priority.

By comparing resource assignments and usage with the availability information, you can easily see where each resource is over- or under-utilized.


average_histogramresourcespopuphist

Average Histogram

In Open Plan, histogram bars can display average values. When this option is selected, each bar represents the average value for the period defined by the date unit. A text box allows you to enter a label for the average value.

The average value is expressed in terms of the default duration defined for the project. For example, if the default duration is weeks, an average of 4 would mean 4 resource units per week. When calculating the average value, Open Plan uses the calendar assigned to the first availability record for each selected resource.

The Average Histogram option does not apply to S-curves.


baseline_datesresourcespopuphist

Baseline Dates

For each date unit on the date scale, Open Plan displays the resource assignments for the baseline dates (early, late, or scheduled) selected at the time you created the baseline currently attached to the project. Each bar can represent either a total or an average resource requirement for the period.

By comparing resource assignments and usage with the availability information, you can easily see where each resource is over- or under-utilized.


bcwpearnedvaluepopuphist

BCWP

For each date unit on the date scale, the histogram bar represents the budgeted cost of the portion of the scheduled work that has been completed.

You can also display an S-curve that represents the cumulative budgeted cost of the portion of the scheduled work that has been completed for each date unit on the date scale.


bcwsearnedvaluepopuphist

BCWS

For each date unit on the date scale, the histogram bar represents the budgeted cost of the work scheduled according to the baseline dates.

You can also display an S-curve that represents the cumulative budgeted cost of the work scheduled for each date unit on the date scale.


bothoptionspopuphist

Both

This option displays the data as a table below a graph. If the histogram view is displayed as part of a barchart view, Open Plan displays the graph and table together in a separate pane below the barchart.


bothraprefpopuphist

Both

This option displays the data as a table below a graph.


budgeted_cost_of_work_performed_bcwpearnedvaluepopuphist

Budgeted Cost of Work Performed (BCWP)

To calculate BCWP, Open Plan applies the value for the physical completion of the resource assignment to the corresponding portion of the planned resource budget (as defined in the current project baseline). For example, if you indicate that a resource assignment is 50% complete, Open Plan calculates BCWP for an assigned resource by determining how much of the resource's planned budget (BCWS) corresponds to the first half of the activity duration.


budgeted_cost_of_work_scheduled_bcwsearnedvaluepopuphist

Budgeted Cost of Work Scheduled (BCWS)

BCWS is derived from the planned resource budget stored in the current baseline for the project. This budget may be based on early, late, or scheduled dates, depending on the dates used to create the baseline.


cancelresourceselectionpopuphist

Cancel

Clicking this button (before clicking OK) closes the dialog box without selecting any resources.


categorypopuphist

Category

This option displays the resource bars for each resource category. In the case of cumulative values, Open Plan displays separate S-curves for each resource category.


clear_allresourceselectionpopuphist

Clear All

Clicking this button clears the selection for all resources in the hierarchy.


conditional_lineoptionspopuphist

Conditional Line

This option is available only when the histogram is displayed as a pane in the barchart view.

If you select this option, Open Plan identifies Time Now using a vertical line only if the barchart identifies Time Now with a vertical line.

If the barchart does not identify Time Now in this way, the histogram does not identify Time Now.


conditional_textoptionspopuphist

Conditional Text

This option is available only when the histogram is displayed as a pane in the barchart view.

If you select this option, Open Plan identifies Time Now using both a vertical line and the text specified as the label in the Barchart Preferences dialog box only if the barchart identifies Time Now with a vertical line and a label.

If the barchart does not identify Time Now in this way, the histogram displays Time Now with only a vertical line.


costearnedvaluepopuphist

Cost

When this option is selected, the histogram displays the earned value based on unescalated costs for the selected resources. You can also display the cumulative values as an S-curve.

In addition, you can also specify an identification label for this value.


costresourcespopuphist

Cost

When this option is selected, the histogram bar or table can display either the total or the average unescalated cost that Open Plan calculates for the resource assignment or usage for the date unit.

The total cost for each date can also be displayed as a cumulative S-curve.


displaying_a_resource_histogram_viewhist

You can display this view by selecting a histogram view from the Views folder of the project.


displaying_the_histogram_preferences_earned_value_tabhist

To display the Earned Value tab, click the Earned Value display option on the Options tab of the Histogram Preferences dialog box and then click the Earned Value tab.


displaying_the_histogram_preferences_options_tabhist

To display the Histogram Preferences dialog box, open a histogram either as a stand-alone view or as part of a barchart view and click Preferences on the Tools menu. (If the histogram is displayed as part of a barchart view, the option is Histogram Preferences.)

Open Plan displays the Options tab by default when you access the Histogram Preferences dialog box.


displaying_the_histogram_preferences_resources_tabhist

To display the Resources tab, click the Resources display option on the Options tab of the Histogram Preferences dialog box and then click the Resources tab.


displaying_the_key_activity_selection_dialog_boxhist

To display the Key Activity Selection dialog box, open a risk analysis histogram view of a project and do one of the following:

  • On the View menu, click Select Activity.

  • Right-click an empty area of the view, and click Select Activity on the shortcut menu.


displaying_the_resource_selection_dialog_boxhist

To display the Resource Selection dialog box, certain conditions must be met:

  • A resource file must be assigned to the project.

  • The project must contain at least one activity with resource assignments.

Provided that these conditions are met, you can display the Resource Selection dialog box by opening a barchart or histogram view and clicking Select Resource on the View menu.


displaying_the_risk_analysis_histogram_viewhist

To display this view, select a risk histogram view from the Views folder of the project.

If a risk histogram view is not listed for the project, you can assign it to your project by dragging the file from the Views folder in Open Plan Library onto the Views folder of your project.


displaying_the_risk_analysis_preferences_dialog_boxhist

To display the Risk Analysis Preferences dialog box, open a risk analysis histogram view and click Preferences on the Tools menu.


displaying_the_s_curve_line_selection_dialog_boxhist

To display the S-Curve Line Selection dialog box from the Risk Analysis Histogram view:

  1. Do one of the following:

    • Right-click the view, and click Preferences on the context menu.

    • On the Tools menu, click Preferences.

  2. From the Risk Analysis Preference dialog box, select an S-curve, and click the related ellipsis.

To display the S-Curve Line Selection dialog box from the Resource Histogram view:

  1. Do one of the following:

    • Right-click the view, and click Preferences on the context menu.

    • On the Tools menu, click Preferences.

  2. On the Histogram Preferences dialog box, click the option to Display Resources, and then click the Resources tab.

  3. On the Resources tab of the Histogram Preferences dialog box, select an S-curve, and click the related ellipsis.


early_dateshist

Early Dates

For each date unit on the date scale, Open Plan displays the resource assignments for all activity early dates in the project. Each early date bar can represent either a total or an average resource requirement for the period.

The total resource assignments for each early date can also be displayed as a cumulative S-curve.

(Early dates are calculated in time analysis as the earliest dates on which activities can start and finish.)


earned_valuepreferpopuphist

Earned Value

This tab controls the way in which Open Plan displays earned value information on a histogram.


escalated_costearnedvaluepopuphist

Escalated Cost

When this option is selected, the histogram displays the earned value based on escalated costs for the selected resources. You can also display the cumulative values as an S-curve.

In addition, you can also specify an identification label for this value.


escalated_costresourcespopuphist

Escalated Cost

When this option is selected, the histogram bar or table can display either the total or the average escalated cost that Open Plan calculates for the resource assignment or usage for the date unit.

The total escalated cost for each date can also be displayed as a cumulative S-curve.


expand_allresourceselectionpopuphist

Expand All

Clicking this button fully expands the resource hierarchy.

You can selectively expand portions of the hierarchy by clicking the appropriate [image] icon.


find_nextresourceselectionpopuphist

Find Next

Once you have located a resource using the Find button, clicking the Find Next button locates the next resource that meets the same search criteria.


findresourceselectionpopuphist

Find

Clicking this button displays the Find dialog box that you can use to find a resource with a specified ID or description.


flatpopuphist

Flat

Open Plan can display flat bars in two ways. The following illustrations assume that you are displaying bars for early dates, late dates, and schedule dates.

In the side-by-side position, data for each type of date is displayed next to each other within each time period.

In the front-to-back position, data for each type of date is displayed one behind the other within each time period.


flatraprefpopuphist

Flat

Open Plan can display flat bars in two ways. The following illustrations assume that you are displaying bars for early start, early finish, late start, and late finish probabilities.

In the side-by-side position, data for each type of date is displayed next to each other within each time period.

In the front-to-back position, data for each type of date is displayed one behind the other within each time period.


forecastearnedvaluepopuphist

Forecast

Open Plan calculates the forecast based on actuals up to Time Now and budget for the remainder of the project. Depending on the setting in the Display Calculate area of this dialog box, the forecast value may represent either resource units or monetary units.

If you include forecast data, you can choose whether the forecast should be based on early dates, late dates, or scheduled dates.


forecastevpopuphist

Forecast

Open Plan determines the forecast cost (Estimate at Complete or EAC) of a resource by adding any actual costs prior to Time Now to any planned costs subsequent to Time Now. If you choose to display forecast costs, you can use early, late, or scheduled dates as the basis of the planned cost.


front_to_backpopuphist

Front to Back

Open Plan can display two types of bars in a front-to-back position. The following illustrations assume that you are displaying all three types of bars.

You can display 3-dimensional bars in a front-to-back position.

You can display flat bars in a front-to-back position.


front_to_backraprefpopuphist

Front to Back

Open Plan can display two types of bars in a front-to-back position. The following illustrations assume that you are displaying bars for early start, early finish, late start, and late finish probabilities.

You can display 3-dimensional bars in a front-to-back position.

You can display flat bars in a front-to-back position.


graphoptionspopuphist

Graph

This option displays the data as a histogram, S-curve, or both. If the histogram view is displayed as part of a barchart view, Open Plan displays the graph in a separate pane below the barchart.


graphraprefpopuphist

Graph

This option displays the data as a histogram or S-curve.


helpresourceselectionpopuphist

Help

Clicking this button displays this Help topic.


histogram_bar_customizationresourcespopuphist

Histogram Customization

Selecting the option box to the left of a color block in the Histogram column instructs Open Plan to display that type of data as a histogram bar.

Clicking the down arrow displays a Color dialog box that you can use to select the color to be used to identify the data type. The Color dialog box offers a choice of 48 standard colors and up to 16 additional custom colors.

You can define custom colors using an enhanced version of the Color dialog box accessed from the Color tab of the Options dialog box.


histogramraprefpopuphist

Histogram

Each histogram bar can represent a period value for the period defined by the date unit. Using the histogram options, you can choose to display histogram bars to represent the following dates:

  • Early start

  • Early finish

  • Late start

  • Late finish

In addition, you can select the colors that Open Plan should use for each of these histogram bars by clicking the appropriate down arrow. The Color dialog box that is displayed offers a choice of 48 standard colors and up to 16 additional custom colors.

You can define custom colors using an enhanced version of the Color dialog box accessed from the Color tab of the Options dialog box.


laborhist

Labor

This option limits the list of resources to those defined as Labor in the Class field on the General tab of the Resource Details dialog box.


late_dateshist

Late Dates

For each date unit on the date scale, Open Plan displays the resource assignments for all the activity late dates in the project. Each late date bar can represent either a total or an average resource requirement for the period.

The total resource assignments for each late date can also be displayed as a cumulative S-curve.

(Late dates are calculated in time analysis as the latest dates on which activities can start and finish without delaying the project.)


line_with_textoptionspopuphist

Line with Text

If you select this option, Open Plan identifies Time Now using a vertical line. In addition, the words "Time Now" are displayed next to the Time Now line.


lineoptionspopuphist

Line

If you select this option, Open Plan identifies Time Now using a vertical line. There is no identifying text beside the Time Now line.


materialpopuphist

Material

This option limits the list of resources to those defined as Material in the Class field on the General tab of the Resource Details dialog box.


max_y_valueoptionspopuphist

Max Y Value

This setting determines the highest value displayed on the vertical axis of the histogram bars or S-curves. To allow Open Plan to set a maximum value based on the data, leave this setting at 0.


noneoptionspopuphist

None

If you select this option, Open Plan does not display the Time Now line on the histogram.


number_of_decimal_placesoptionspopuphist

Number of Decimal Places

This field controls the number of decimal places that Open Plan should display on the histogram. You can specify any value between 0 and 5.


okresourceselectionpopuphist

OK

Clicking this button marks the selected resource(s) for inclusion.


optionspreferpopuphist

Options

This tab controls which of the remaining tabs on the dialog box is enabled. You can also use this tab to set general options for how the histogram is displayed.


other_direct_costspopuphist

Other Direct Costs

This option limits the list of resources to those defined as Other Direct Costs in the Category field on the General tab of the Resource Details dialog box.


quantityearnedvaluepopuphist

Quantity

When this option is selected, the histogram displays the quantity of resource units assigned or used for the date unit. You can also display the cumulative values as an S-curve.

In addition, you can also specify an identification label for this value.


quantityresourcespopuphist

Quantity

When this option is selected, the histogram bar or table can display either the total or the average quantity of resource units assigned or used for the date unit.

The total quantity for each date can also be displayed as a cumulative S-curve.

If the resource selected for the histogram display is a cost resource, the value represented would be monetary units.


resourcespreferpopuphist

Resources

This tab controls the type of information Open Plan displays for the selected resources.


s_curve_customizationresourcespopuphist

S-Curve Customization

Selecting the option box to the left of a color block in the S-Curve column instructs Open Plan to display that type of data as a cumulative S-curve.

In addition, Open Plan enables the ellipsis button at the right of the color block. Clicking this button displays the S-Curve Line Selection dialog box that you can use to select a line style and color for both monitor display and printed output.


s_curveraprefpopuphist

S-Curve

Each S-curve can represent a cumulative value for the period defined by the date unit. Using S-curve options, you can choose to display S-curves to represent the following dates:

  • Early start

  • Early finish

  • Late start

  • Late finish

In addition, Open Plan enables the ellipsis button at the right of the color block. Clicking this button displays the S-Curve Line Selection dialog box that you can use to select a line style and color for both monitor display and printed output.


scale_factoroptionspopuphist

Scale Factor

This setting determines how Open Plan scales the values appearing in the histogram bar or S-curves. For no scaling, set the scale factor to 1.


schedule_dateshist

Schedule Dates

For each date unit on the date scale, Open Plan displays how resources were assigned during resource scheduling. Histogram bars on schedule dates also show the effect of any activity attributes such as splitting, stretching, or reprofiling as well as the effects of processing options such as smoothing. Each bar can represent either a total or an average usage for the period.

The total resource usage for each schedule date can also be displayed as a cumulative S-curve.

Schedule dates are the activity start and finish dates calculated by resource scheduling.


seealso_customizing_a_resource_histogram_viewhist

Related Topics:

Histogram Preferences Options Tab

Histogram Preferences Resources Tab

Histogram Preferences Earned Value Tab

Customizing a Date Scale

Customizing a Spreadsheet View

Customizing a Barchart View

Using the Resource Selection Dialog Box

Related Procedures:

Displaying Resource Assignments on a Resource Histogram

Displaying Actual Resource Usage on a Resource Histogram


seealso_customizing_a_risk_analysis_histogram_viewhist

Related Topics:

Risk Analysis Histogram View

Using the Risk Analysis Preferences Dialog Box

Customizing a Date Scale

Using the Key Activity Selection Dialog Box

Related Procedure:

Displaying a Risk Histogram View


seealso_displaying_earned_value_information_on_a_resource_histogramhist

Related Topics:

Resource Histogram View

Resource Histogram Requirements

Customizing a Date Scale

Displaying Resource Information on a Resource Histogram

Using the Resource Selection Dialog Box

Histogram Preferences Earned Value Tab

Related Procedure:

Displaying Earned Value on a Resource Histogram


seealso_displaying_resource_information_on_a_resource_histogramhist

Related Topics:

Using the Resource Selection Dialog Box

Histogram Preferences Resources Tab

Customizing a Resource Histogram View

Resource Histogram View

Using Baseline Information in Resource Histogram Views

Resource Histogram Requirements

Customizing a Date Scale

Displaying Earned Value Information on a Resource Histogram

Related Procedures:

Displaying a Resource Histogram View

Displaying a Resource Histogram on a Barchart

Selecting Resources to Display on a Resource Histogram

Displaying Resource Assignments on a Resource Histogram

Displaying Actual Resource Usage on a Resource Histogram


seealso_histogram_preferences_earned_value_tabhist

Related Topics:

Customizing a Resource Histogram View

Histogram Preferences Options Tab

Histogram Preferences Resources Tab

Customizing a Date Scale

Related Procedure:

Displaying Earned Value on a Resource Histogram


seealso_histogram_preferences_options_tabhist

Related Topics:

Customizing a Resource Histogram View

Histogram Preferences Resources Tab

Histogram Preferences Earned Value Tab

Customizing a Date Scale

Related Procedures:

Displaying Resource Assignments on a Resource Histogram

Displaying Actual Resource Usage on a Resource Histogram


seealso_histogram_preferences_resources_tabhist

Related Topics:

Customizing a Resource Histogram View

Using the Resource Selection Dialog Box

Histogram Preferences Options Tab

Histogram Preferences Earned Value Tab

Customizing a Date Scale

Related Procedures:

Displaying Resource Assignments on a Resource Histogram

Displaying Actual Resource Usage on a Resource Histogram


seealso_resource_histogram_requirementshist

Related Topics:

Resource Histogram View

Customizing a Date Scale

Displaying Resource Information on a Resource Histogram

Displaying Earned Value Information on a Resource Histogram

Using the Resource Selection Dialog Box

Customizing a Resource Histogram View

Related Procedures:

Displaying a Resource Histogram View

Displaying a Resource Histogram on a Barchart

Selecting Resources to Display on a Resource Histogram

Displaying Resource Assignments on a Resource Histogram

Displaying Actual Resource Usage on a Resource Histogram


seealso_resource_histogram_viewhist

Related Topics:

Resource Histogram Requirements

Customizing a Date Scale

Displaying Resource Information on a Resource Histogram

Displaying Earned Value Information on a Resource Histogram

Using the Resource Selection Dialog Box

Customizing a Resource Histogram View

Related Procedures:

Displaying a Resource Histogram View

Displaying a Resource Histogram on a Barchart

Selecting Resources to Display on a Resource Histogram

Displaying Resource Assignments on a Resource Histogram

Displaying Actual Resource Usage on a Resource Histogram


seealso_risk_analysis_histogram_requirementshist

Related Topics:

Risk Analysis Histogram View

Using the Risk Analysis Preferences Dialog Box

Customizing a Date Scale

Using the Key Activity Selection Dialog Box

Related Procedure:

Displaying a Risk Histogram View


seealso_risk_analysis_histogram_viewhist

Related Topics:

Customizing a Risk Analysis Histogram View

Using the Risk Analysis Preferences Dialog Box

Customizing a Date Scale

Using the Key Activity Selection Dialog Box

Related Procedure:

Displaying a Risk Histogram View


seealso_using_the_key_activity_selection_dialog_boxhist

Related Topics:

Risk Analysis Histogram View

Customizing a Risk Analysis Histogram View

Using the Risk Analysis Preferences Dialog Box

Customizing a Date Scale

Related Procedures:

Displaying a Risk Histogram View

Selecting a Key Activity to Display on a Risk Histogram View


seealso_using_the_resource_selection_dialog_boxhist

Related Topics:

Resource Histogram View

Customizing a Date Scale

Customizing a Resource Histogram View

Related Procedure:

Selecting Resources to Display on a Resource Histogram


seealso_using_the_risk_analysis_preferences_dialog_boxhist

Related Topics:

Risk Analysis Histogram View

Customizing a Risk Analysis Histogram View

Customizing a Date Scale

Using the Key Activity Selection Dialog Box

Related Procedure:

Displaying a Risk Histogram View


seealso_using_the_s_curve_line_selection_dialog_boxhist

Related Topics:

Customizing a Resource Histogram View

Using the Resource Selection Dialog Box

Histogram Preferences Options Tab

Histogram Preferences Resources Tab

Customizing a Risk Analysis Histogram View

Using the Key Activity Selection Dialog Box

Using the Risk Analysis Preferences Dialog Box

Related Procedures:

Displaying Resource Assignments on a Resource Histogram

Displaying Actual Resource Usage on a Resource Histogram

Displaying a Risk Histogram View


select_allresourceselectionpopuphist

Select All

Clicking this button selects all resources in the hierarchy.


show_descriptionoptionspopuphist

Show Description

If you select this option, Open Plan identifies each resource only by its description. For example, the resource may be identified as:

JOAN SHERWOOD

Where:

JOAN SHERWOOD is the resource description.


show_full_id_and_descriptionoptionspopuphist

Show Full ID and Description

If you select this option, Open Plan identifies each resource by both the full resource ID and the description. For example, the resource may be identified as:

TEAM.LAB.JOAN JOAN SHERWOOD

Where:

TEAM.LAB.JOAN is the full resource ID.

JOAN SHERWOOD is the resource description.


show_full_idoptionspopuphist

Show Full ID

If you select this option, Open Plan identifies each resource by the full resource ID. For example, the resource may be identified as:

TEAM.LAB.JOAN


show_local_id_and_descriptionoptionspopuphist

Show Local ID and Description

If you select this option, Open Plan identifies each resource by both the local portion of the resource ID and the description. For example, the resource may be identified as:

JOAN JOAN SHERWOOD

Where:

JOAN is the local portion of the resource ID.

JOAN SHERWOOD is the resource description.


show_local_idoptionspopuphist

Show Local ID

If you select this option, Open Plan identifies each resource by the local portion of the resource ID. For example, the resource may be identified as:

JOAN

Where:

JOAN is the local portion of the TEAM.LAB.JOAN resource ID.


side_by_sidepopuphist

Side-by-Side

Open Plan can display two types of bars side by side. The following illustrations assume that you are displaying all three types of bars.

You can display 3-dimensional bars in a side-by-side position.

You can display flat bars in a side-by-side position.


side_by_sideraprefpopuphist

Side by Side

Open Plan can display two types of bars side by side. The following illustrations assume that you are displaying bars for early start, early finish, late start, and late finish probabilities.

You can display 3-dimensional bars in a side-by-side position.

You can display flat bars in a side-by-side position.


skillspopuphist

Skills

This option limits the list to those skills defined for the resource file in the Manage Skills dialog box.


stackedhist

Stacked

This option displays the resources bars for multiple resources in a stacked format. Each selected resource is displayed in a separate color. In the case of cumulative values, Open Plan displays separate S-curves for each resource.


subcontractpopuphist

Subcontract

This option limits the list of resources to those defined as Subcontract in the Category field on the General tab of the Resource Details dialog box.


tableoptionspopuphist

Table

This option displays the data in a tabular format. If the histogram view is displayed as part of a barchart view, Open Plan displays the table in a separate pane below the barchart.

You can also specify the number of decimal places to be included in the table display.


tableraprefpopuphist

Table

This option displays the data in a tabular format.

You can also specify the number of decimal places to be included in the table display


three_dimensionalpopuphist

3-Dimensional

Open Plan can display 3-dimensional bars in two ways. The following illustrations assume that you are displaying bars for early dates, late dates, and schedule dates.

In the side-by-side position, data for each type of date is displayed next to each other within each time period.

In the front-to-back position, data for each type of date is displayed one behind the other within each time period.


three_dimensionalraprefpopuphist

3-Dimensional

Open Plan can display 3-dimensional bars in two ways. The following illustrations assume that you are displaying bars for early start, early finish, late start, and late finish probabilities.

In the side-by-side position, data for each type of date is displayed next to each other within each time period.

In the front-to-back position, data for each type of date is displayed one behind the other within each time period.


totalhist

Total

This option displays the resource bars or curves for multiple resources as a total quantity. You cannot discern the amount of resource requirement or usage within a time frame for any specific resource.


totalsresourcespopuphist

Totals

In Open Plan, histogram bars can display total values. When this option is selected, each bar represents a total value for the period defined by the date unit. S-curves represent cumulative total values.

Text boxes allow you to enter labels for both histogram bars and S-curves.


attach_to_activity_idpopupnet

Attach to Activity ID

You can enter the ID of an activity to which the annotation should be attached. If you attach an annotation to an activity, the annotation will move with the activity whenever the activity is moved on the view.

If you access the Annotation dialog box by right-clicking an activity, the activity ID is displayed in this field.

Each activity can have only one annotation. Attaching an annotation to an activity that already has one detaches (but does not delete) the old annotation.


automaticplacementspopupnet

Automatic

Open Plan places all activity boxes (including those you have previously placed manually) in automatically calculated positions on the network view. In performing these calculations, Open Plan uses the options you specify on this dialog box. Activities that do not have relationships with other activities at the same hierarchical level are placed below any activities with relationships. Automatic placements are not automatically saved and do not overwrite your manual placements.

The Automatic setting frequently results in a network diagram that is easier to decipher.


avoid_page_breaksplacementspopupnet

Avoid Page Breaks

Specifies that no activity box should span a page break when calculating automatic placements.


base_on_date_fieldscalingspecpopupnet

Base on Date Field

This field controls the Date field of the activity table that Open Plan should use when creating the time scale in the network view.


change_order_buttonsnet

Change Order Buttons

The Down arrow button moves the selected item down in the list.

The Up arrow button moves the selected item up in the list.


colorpopupnet

Color

Open Plan allows you to select the color on which the annotation is displayed by clicking the down arrow. The Color dialog box that is displayed offers a choice of 48 standard colors and up to 16 additional colors.

You can define custom colors using an enhanced version of the Color dialog box accessed from the Color tab of the Options dialog box.


criterionpopupnet

Criterion

The criterion of a box refers to a predefined expression that determines whether the attributes you are defining are displayed for an activity. You can set the criterion to any filter defined for a project. This allows you to use the box attributes to display very different types of information. The text color, left and right box end styles, left and right box fill colors, and the diagonals can each be set to display a different type of information.

For example, you can define attributes that differentiate between those activities that are planned, those that are in progress, and those that are complete. One common way to do this is to use different diagonal markings in the box.

In addition, you can use another attribute, such as the left box end style, to indicate the code in a WBS or an activity with less than a certain amount of free float. The possibilities are unlimited.

You select the criterion from a list containing:

  • Filter expressions supplied with Open Plan

  • Custom filters


date_formatscalingspecpopupnet

Date Format

You can specify the appearance of the dates in the date scale by entering a format for the date. The Examples button on this Help topic provides a full list of parameters you can include.

Two methods are available for building a format expression:

  • Enter the format codes by typing the codes and literals directly into the edit box.

  • Click the ellipsis button to display a dialog box where you can select format codes from a list.

It is also possible to build a format expression using a combination of the two methods.

The actual date displayed on the date scale is displayed in the format you choose.

Because relative dates return only a numeric value, they are usually combined with literal values to make them more informative.


directnet

Direct

Open Plan draws the relationship lines as straight lines between the predecessor and successor activities.


displaying_a_network_viewnet

To display a network view of your project:

  1. Display the Views folder of your project.

  2. Double-click Network View.

The project must be open in order for the network view to be displayed. If it is not already open, clicking the network view automatically opens the project.


displaying_the_network_preferences_box_attributes_tabnet

To display the Network Preferences Box Attributes tab, click the Box Attributes tab on the Network View Preferences dialog box.

This feature is available with only the Professional edition of Open Plan.


displaying_the_network_preferences_box_layout_tabnet

To display the Network Preferences Box Layout tab, click the Box Layout tab from the Network View Preferences dialog box.

This feature is only available with the Professional edition of Open Plan.


displaying_the_network_preferences_legend_tabnet

To display the Network Preferences Legend tab, click the Legend tab on the Network View Preferences dialog box.


displaying_the_network_preferences_options_tabnet

To display the Network Preferences dialog box, display a network view and do one of the following:

  • On the Tools menu, click Preferences.

  • Right-click the network view, and click Preferences on the context menu.

Open Plan displays the Options tab by default.


displaying_the_network_view_annotation_dialog_boxnet

To display the Network View Annotation dialog box, do any of the following:

  • Click Add Annotation on the Edit menu while the network view is displayed.

  • Right-click an empty area in the view and click Add Annotation on the shortcut menu.

  • Right-click an activity and click Annotate Activity on the context menu.


displaying_the_placements_dialog_boxnet

To display the Placements dialog box, open a network view and do one of the following:

  • Click Placements on the View menu.

  • Right-click the view and click Placements on the context menu.


displaying_the_scaling_specification_dialog_boxnet

To display the Scaling Specification dialog box, display the Placements dialog box and click Time Scale.


displaying_the_zone_attributes_dialog_boxnet

To display the Zone Attributes dialog box, display the Placements dialog box and click Zoning.


draft_modenet

Draft Mode

In draft mode, the activity boxes are displayed with black text, no box ends, no fill colors, and no diagonals. This allows you to display more text within the activity box. Selecting Draft Mode does not affect the quality of the displayed text.

On some computers with minimum CPU speed and memory configurations, using draft mode may result in a more rapid display of the network view.


filter_projectplacementspopupnet

Filter Project

Allows you to display the network view based on a filter that you select.


finish_to_finishnet

Finish-to-Finish

This relationship specifies that the finish of the successor activity depends on the completion of the predecessor activity.

In most cases, this means that the successor activity cannot be completed before the completion of the predecessor activity.

In the finish-to-finish relationship, the arrow starts at the right edge of the predecessor activity and ends at the right edge of the successor.


finish_to_startnet

Finish-to-Start

This relationship specifies that the start of the successor activity depends on the completion of the predecessor activity.

In most cases, this means that the successor activity cannot start until the predecessor activity is completed.

In the finish-to-start relationship, the arrow starts at the right edge of the predecessor activity and ends at the left edge of the successor.


format_examplenet

Return

You can specify the appearance of the dates in the date scale by entering a format for the date. (These date formats are also used in calculated fields and global edits.) The following table lists the parameters that can be included:

Parameter | Definition | Example
%T | Minute | 15
%H | Hour | 08
%Z | AM or PM | A or P
%OZ | AM or PM (lower case) | a or p
%D | Day of the month | 31
%V | Day | Tuesday
%OV | Day (lower case) | tuesday
%UV | Day (upper case) | TUESDAY
%W | Day abbreviation | Tues
%O | Day abbreviation (lower case) | tues
%UW | Day abbreviation (upper case) | TUES
%K | Numeric week | 22
%M | Numeric month | 10
%L | Month | October
%OL | Month (lower case) | october
%UL | Month (upper case) | OCTOBER
%A | Month abbreviation | Oct
%OA | Month abbreviation (lower case) | oct
%UA | Month abbreviation (upper case) | OCT
%Q | Numeric quarter | 4
%C | Year | 2007
%Y | Two-digit year | 07
%R%H | Relative hours | 100
%R%D | Relative days | 3
%R%K | Relative weeks | 22
%R%M | Relative months | 4
%R%Q | Relative quarters | 2
%R%Y | Relative years | 1

Because the %R parameters return only a numeric value, combine them with literal characters to make them more informative.

You can combine parameters to define date formats provided that you do not include two parameters that represent the same time unit. You can also include spaces and literal characters in the format text box, as shown in the following examples:

Format | Example
%H:%T %Z.M. | 07:15 P.M.
%W %D %A %H:%T | Mon 15 Sep 19:15
%M/%D/%C | 09/15/07
Q%Q | Q1
%R%H Hours | 100 Hours
Day %R%D | Day 3


group_everyscalingspecpopupnet

Group Every

These fields work together to control the frequency with which date labels appear on the date scale.

The first field contains a value that modifies the selected time unit in the second field. For example:

First field Modifier | Second field Time Unit | Displays a Date Label Every
1 | Quarters | Quarter
2 | Months | Two months
4 | Weeks | Four weeks


inheritance_example

Return

In many network views, the Box Attributes tab has definitions for planned, in-progress, complete, and critical criteria. Unless you define attributes for additional criteria, any other criteria inherit the default settings. Let's look at how the criteria table is built.

  • Default Activity Box

    • The default activity box has the following attributes defined: black text color, square box ends with no color, and no diagonals.

  • In-progress Activity Box

    • The In-progress activity box inherits all the attributes from the default activity box except the left diagonal.

    Criterion | Text Color | Left Style | Left Color | Right Style | Right Color | Left Diag | Right Diag
In-progress | <default> | <default> | <default> | <default> | <default> | \ | <default>

  • Complete Activity Box

    • The Complete activity box has both diagonals filled in and inherits all the remaining default attributes.

    Criterion | Text Color | Left Style | Left Color | Right Style | Right Color | Left Diag | Right Diag
Complete | <default> | <default> | <default> | <default> | <default> | \ | /
In-progress | <default> | <default> | <default> | <default> | <default> | \ | <default>

  • Critical Activity Box

    • Because the critical criteria does not define the diagonal attribute, a critical activity inherits that attribute from either the complete, in-progress, or default criteria.

    Criterion | Text Color | Left Style | Left Color | Right Style | Right Color | Left Diag | Right Diag
Critical | <default> | <default> | Red | <default> | Red | <default> | <default>
Complete | <default> | <default> | <default> | <default> | <default> | \ | /
In-progress | <default> | <default> | <default> | <default> | <default> | \ | <default>

With just these criteria defined, Open Plan can display a critical activity that is planned, one that is in progress, and one that is complete.

Critical Planned | Critical In-progress | Critical Complete


labelpopupnet

Label

You can enter a label to describe the criterion you are defining. For example, if you label a particular set of box attributes as "Critical In-progress," Open Plan uses this label to identify the box style and prints the label on the report legend.


left_diagonalpopupnet

Left Diagonal

You can select from three diagonal options for the box – Default, None, or (\).

The Default option keeps the attribute undefined, allowing the display of the diagonal to be controlled by another criterion. The None option does not insert the diagonal for activities meeting the criterion. The (\) option inserts the diagonal for activities meeting the criterion.


left_fill_colorpopupnet

Left Color

You can select from the following color options:

  • Default — Selecting this option keeps the attribute undefined. This allows the left color to be controlled by another criterion.

    • For example, assume that you have defined the color red for critical activities and that you are now defining an attribute for activities in a certain department. Assume also, that on the list of attributes, the new attribute is below the one for critical activities. The Default option would color the left end of the box red for critical activities in that department.

  • Select Color — Selecting this option displays a Color dialog box that you can use to select a color for the left end of the box. The Color dialog box offers a choice of 48 standard colors and up to 16 additional custom colors.

    • You can define custom colors using an enhanced version of the Color dialog box accessed from the Color tab of the Options dialog box.

  • If a color has already been defined for the left end of the box but is not currently used, you can also select that color from the list.


left_stylepopupnet

Left Style

You can select a style for the left end of the box from a list of six styles. You can also select Default to allow the style for the left end of the box to be controlled by another criterion.

For example, assume that you have defined a left box style for completed activities and that you are now defining an attribute for activities in a certain department. Assume also, that on the list of attributes, the new attribute is below the one for completed activities. The Default option would use the left box style defined for completed activities for all completed activities in that department.


manualplacementspopupnet

Manual

Open Plan returns the activity boxes to the positions they occupied before you performed automatic placements.


network_legendnet

Network Legend

Use the Print Preview command to display the network legend.

You can also display the legend in the network view by clicking Manual on the Legend tab of the Network Preferences dialog box. (To display the Network Preferences dialog box, click Preferences on the Tools menu.)


reference_datescalingspecpopupnet

Reference Date

Open Plan calculates relative dates based on the date entered in the Reference Date field. The default for the Reference Date is the project start date.

You can combine absolute dates (for example, Oct 20) with relative dates (for example, Week 1) on a date scale.

Open Plan displays relative dates occurring before the reference date as negative values.


right_diagonalpopupnet

Right Diagonal

You can choose from three diagonal options for the box – Default, None, or (/).

The Default option keeps the attribute undefined, allowing the display of the diagonal to be controlled by another criterion. The None option does not insert the diagonal for activities meeting the criterion. The (/) option inserts the diagonal for activities meeting the criterion.


right_fill_colorpopupnet

Right Color

You can select from the following color options:

  • Default — Selecting this option keeps the attribute undefined. This allows the right color to be controlled by another criterion.

    • For example, assume that you have defined the color red for critical activities and that you are now defining an attribute for activities in a certain department. Assume also, that on the list of attributes, the new attribute is below the one for critical activities. The Default option would color the right end of the box red for critical activities in that department.

  • Select Color — Selecting this option displays a Color dialog box that you can use to select a color for the right end of the box. The Color dialog box offers a choice of 48 standard colors and up to 16 additional custom colors.

    • You can define custom colors using an enhanced version of the Color dialog box accessed from the Color tab of the Options dialog box.

  • If a color has already been defined for the right end of the box but is not currently used, you can also select that color from the list.


right_stylepopupnet

Right Style

You can select a style for the right end of the box from a list of six styles. You can also select Default to allow the style for the right end of the box to be controlled by another criterion.

For example, assume that you have defined a right box style for completed activities and that you are now defining an attribute for activities in a certain department. Assume also, that on the list of attributes, the new attribute is below the one for completed activities. The Default option would use the right box style defined for completed activities for all completed activities in that department.


routednet

Routed

Open Plan draws the relationship lines in a series of horizontal and vertical segments.


save_as_manualplacementspopupnet

Save As Manual

Open Plan saves the placements calculated by the automatic feature by replacing your manual placements with those calculated automatically. This option is available only when automatic placements are in effect and filtering is not enabled.


seealso_annotating_a_networknet

Related Topics:

Using the Network View Annotation Dialog Box

Using Clipboard Operations

Related Procedures:

Entering an Annotation

Editing an Annotation

Changing How an Annotation is Displayed

Deleting an Annotation


seealso_customizing_a_network_viewnet

Related Topics:

Network Preferences Options Tab

Network Preferences Legend Tab

Network Preferences Box Attributes Tab

Network Preferences Box Layout Tab

Using the Network View Annotation Dialog Box

Related Procedures:

Showing Page Breaks on a Network View

Highlighting Controlling Relationships in the Network View

Defining the Relationship Line Style

Changing the Shape of a Relationship Line

Defining Activity Box Attributes

Setting Box Layout Options

Aligning Activity Boxes in the Network View

Performing Automatic Placements

Entering an Annotation

Changing the Size of an Activity Box


seealso_how_a_network_view_displays_a_hierarchynet

Related Topics:

How a Network View Displays Information

Creating and Editing Activities

Using the Add Relationship Dialog Box

Working with Activities in a Network View

Related Procedures:

Displaying Child Activities in a Network View

Displaying Multiple Levels in a Project Network

Moving Up the Hierarchy in a Network View

Splitting a Network View into Two Panes


seealso_how_a_network_view_displays_informationnet

Related Topics:

How a Network View Displays a Hierarchy

Using the Placements Dialog Box

Using the Zone Attributes Dialog Box

Customizing a Network View

Working with Activities in a Network View

Related Procedures:

Creating an Activity in a Network View

Editing an Activity

Creating a Relationship Using a Mouse (Network)

Creating a Relationship Using the Keyboard (Network)

Displaying Child Activities in a Network View

Expanding a Subproject in a Network View

Moving Up the Hierarchy in a Network View

Splitting a Network View into Two Panes


seealso_network_preferences_box_attributes_tabnet

Related Topics:

Customizing a Network View

Network Preferences Options Tab

Network Preferences Box Layout Tab

Network Preferences Legend Tab

Related Procedures:

Changing the Size of an Activity Box

Defining Activity Box Attributes

Creating a New Filter


seealso_network_preferences_box_layout_tabnet

Related Topics:

Customizing a Network View

Network Preferences Options Tab

Network Preferences Box Attributes Tab

Network Preferences Legend Tab

Related Procedure:

Setting Box Layout Options


seealso_network_preferences_legend_tabnet

Related Topics:

Customizing a Network View

Network Preferences Options Tab

Network Preferences Box Attributes Tab

Network Preferences Box Layout Tab

Related Procedures:

Setting Network Legend Options

Defining Activity Box Attributes

Setting Box Layout Options


seealso_network_preferences_options_tabnet

Related Topics:

Customizing a Network View

Network Preferences Legend Tab

Network Preferences Box Attributes Tab

Network Preferences Box Layout Tab

Related Procedures:

Aligning Activity Boxes in a Network View

Showing Page Breaks on a Network View

Highlighting Controlling Relationships in the Network View

Defining the Relationship Line Style

Changing the Shape of a Relationship Line

Defining Activity Box Attributes

Setting Box Layout Options


seealso_network_viewnet

Related Topics:

Using the Placements Dialog Box

Using the Zone Attributes Dialog Box

Using the Font Dialog Box

How a Network View Displays Information

Customizing a Network View

Creating and Editing Activities

Using the Add Relationship Dialog Box

Using the Edit Relationship Dialog Box

Working with Activities in a Network View

Annotating a Network

Related Procedures:

Creating an Activity in a Network View

Editing an Activity

Creating a Relationship Using a Mouse (Network)

Creating a Relationship Using the Keyboard (Network)

Selecting Multiple Activities in a Network View

Changing the Font on Activity Boxes

Splitting a Network View into Two Panes


seealso_using_the_network_view_annotation_dialog_boxnet

Related Topics:

Annotating a Network

Working with Activities in a Network View

Related Procedures:

Entering an Annotation

Editing an Annotation

Changing How an Annotation is Displayed

Deleting an Annotation


seealso_using_the_placements_dialog_boxnet

Related Topics:

Using the Zone Attributes Dialog Box

Using the Filters Dialog Box

Using the Scaling Specification Dialog Box

Annotating a Network

Using the Network View Annotation Dialog Box

Related Procedures:

Performing Automatic Placements

Turning Automatic Placements Off

Saving Automatic Placements

Displaying a Semi Time-Phased Network View

Filtering Data in a Network View


seealso_using_the_scaling_specification_dialog_boxnet

Related Topics:

Using the Zone Attributes Dialog Box

Using the Placements Dialog Box

Using the Font Dialog Box

Using the Date Formats Dialog Box

Annotating a Network

Using the Network View Annotation Dialog Box

Related Procedure:

Displaying a Semi Time-Phased Network View


seealso_using_the_zone_attributes_dialog_boxnet

Related Topics:

Using the Placements Dialog Box

Using the Font Dialog Box

Annotating a Network

Using the Network View Annotation Dialog Box

Related Procedure:

Defining Custom Zoning


seealso_working_with_activities_in_a_network_viewnet

Related Topics:

How a Network View Displays Information

Using the Sorts Dialog Box

Using the Filters Dialog Box

Using the Find Dialog Box

Using the Go To Date Dialog Box

Related Procedures:

Selecting Multiple Activities in a Network View

Deleting an Activity

Cutting an Activity

Copying an Activity

Pasting an Activity

Moving an Activity in a Network

Splitting a Network View into Two Panes


selection_buttonnet

Selection Button

The button at the left edge of a row selects that row.


show_all_levelsplacementspopupnet

Show All Levels

Displays all activities in a project, regardless of the hierarchical level.

When this option is selected, Open Plan does not automatically position activities from the same subproject together. You can use the Zoning feature to achieve that effect.


splitting_a_network_viewpopupnet

Splitting a Network View

There are three ways to split a network view:

  • On the View menu, click Split View.

  • Double-click the splitter control located at the left edge of the horizontal scrollbar.

  • Point to the splitter control, and use the split view cursor [image] that is displayed to drag the splitter bar to the desired location.


start_to_finishnet

Start-to-Finish

This relationship specifies that the finish of the successor activity depends on the start of the predecessor activity.

In most cases, this means that the successor activity cannot be completed before the start of the predecessor activity.

In the start-to-finish relationship, the arrow starts at the left edge of the predecessor activity and ends at the right edge of the successor.


start_to_startnet

Start-to-Start

This relationship specifies that the start of the successor activity depends on the start of the predecessor activity.

In most cases, this means that the successor activity cannot be started before the start of the predecessor activity.

In the start-to-start relationship, the arrow starts at the left edge of the predecessor activity and ends at the left edge of the successor.


stylepopupnet

Style

Open Plan allows you to select from the following borders for the annotation:

  • Square Box

  • Round Box

  • Ellipse

You can also choose to display the annotation without a border.


text_boxpopupnet

Text Box

Enter the text for the annotation in this box.


text_colorpopupnet

Text Color

You can select from the following text color options:

  • Default — Selecting this option keeps the attribute undefined. This allows the text color to be controlled by another criterion.

    • For example, assume that you have defined the text color red for critical activities and that you are now defining an attribute for activities in a certain department. Assume also, that on the list of attributes, the new attribute is below the one for critical activities. The Default option would color the text red for critical activities in that department.

  • Select Color — Selecting this option displays a Color dialog box that you can use to select a color for the both the lines that make up the box and any text it contains. The Color dialog box offers a choice of 48 standard colors and up to 16 additional custom colors.

    • You can define custom colors using an enhanced version of the Color dialog box accessed from the Color tab of the Options dialog box.

  • If a color has already been defined for the text color but is not currently used, you can also select that color from the list.


time_scale_projectplacementspopupnet

Time Scale Project

Allows you to align activity boxes based on dates specified on the Scaling Specification dialog box.


zone_projectplacementspopupnet

Zone Project

Specifies whether Open Plan should consider zoning criteria when calculating automatic placements. If this option is selected, zone headings are displayed as temporary annotation objects. You can move these zone heading annotations in the same way you can move any other annotation.


additional_improvementswhat_snewpopupopp

Additional Improvements

Additional improvements have been made to the software in the following areas:

  • Support of subsectioning for all tables in single-table spreadsheets

  • Ability to set bar definitions and title blocks that can be shared by multiple views

  • Calculated fields, sorts, filters, global edits, and email advisor definitions now centrally stored and shareable

  • Ability to capture a screen image to the .jpg format

  • Ability to define resources and codes using a spreadsheet interface

  • Ability in network view to store a set of placements for each project

  • Addition of a "group by resource" category to the new resource selection dialog box

  • Copy and paste now supported for resources and codes as well as activities

  • Ability to see who is currently logged in to Open Plan

  • Addition of Startup folder to automatically launch files when Open Plan is opened

  • Use of calculated fields at the project level

  • Ability to view and edit properties of objects without opening them

  • Various additional and improved dialog boxes, tool tips, find options, and sort management features


additional_rates_locked_and_storedwhat_snewpopupopp

Additional Rates Locked and Stored

Costs, as well as quantities, are now stored in the baseline usage, resource usage, and cost history tables. This locks in the resource rates that are in effect when:

  • The baseline is created or updated

  • Progress is calculated

The earned value (BCWP) is also stored in the cost history table whenever cost calculations are run, allowing time-phased histogram reports to be produced.

In addition to the quantity, both escalated and unescalated costs are also stored.


attaching_a_calendar_filewhat_snewpopupopp

Attaching a Calendar File

You can now attach a calendar file to a resource file. This ensures that there is no ambiguity as to the availability of a resource.


baseline_securitywhat_snewpopupopp

Baseline Security

The owner (creator) of a baseline has control over who can see or change the baseline.


baselines_in_multi_projectswhat_snewpopupopp

Baselines in Multi-Projects

You now have the ability to create a baseline in a multi-project and to subsequently access and update that baseline from an external subproject. The owner of the baseline can grant rights to other users for viewing and/or changing the baseline.


briefcasingwhat_snewpopupopp

Briefcasing

The briefcasing feature of Open Plan allows you to check out a project for exclusive use, either in place or off-site. Once the project has been checked out, you can work on the project and then check the changes back in to the main data source when you have finished. When checking out a project to another data source, such as a laptop, reference copies of views and auxiliary data are automatically taken. This allows you to work where and when you need to work.

While you have a project checked out, other users may view the project but they cannot save their changes.


choosing_commandspopupopp

Choosing Commands

To choose commands in Open Plan, you can use any of the following techniques:

  • You can click a command on the menu bar displayed at the top of the Open Plan application window.

  • You can click a command on the toolbar.

  • You can click a command on a context menu that is displayed when you right-click an object or area of the workspace.

  • You can use keyboard short-cuts to select a command.

Where appropriate, each of these techniques is described in the Procedures.


codes_on_resourceswhat_snewpopupopp

Codes on Resources

You can now associate code files with resources simply by dropping a code file into a resource file folder and specifying:

  • The code field with which it should be associated

  • The label or prompt that should be displayed in dialog boxes

Examples of codes include geographic location, department, length of service, and experience with a customer.


common_security_modelwhat_snewpopupopp

Common Security Model

Open Plan features a comprehensive set of security-related features that allow a system administrator to control access to both Open Plan data and to the application itself. The Common Security Model (CSM) supports the definition of users, groups, and roles.

Both group and role definitions have the ability to enable or disable application functions. The group settings govern such application-level options as the ability of the group to create new projects. The role-level settings govern what a group member can do within a data object such as a project, resource file, or code file.

Because the Common Security Model is also part of WelcomHome, Deltek's Web-based project collaboration tool, a security administrator can define rights centrally for use in both products, greatly reducing administration and set-up time.


copy_baseline_optionwhat_snewpopupopp

Copy Baseline Option

You can now copy a baseline either to a new baseline name or to an existing one, overwriting the previous baseline.


data_migrationwhat_snewpopupopp

Data Migration

The Open Plan Migration Utility allows you to migrate your Open Plan 2.6 or 2.5 data into the format required by Open Plan 3.0 and store it in an Open Plan 3.0 data source. This utility is designed to migrate not only your Open Plan projects, but also their named objects — auxiliary files, views, filters, sorts, calculated fields, global edits, view templates, spread curves, file folders, and email advisory definitions.

The Open Plan Data Migration Utility does not work with Open Plan data prior to 2.5. If you need to migrate this data to Open Plan 3.0, you must first open it in Open Plan 2.5 or 2.6 and resave it with a new name using the Save As command.


full_access_to_external_subproject_informationwhat_snewpopupopp

Full Access to External Subproject Information

Full access is now available to all external subproject information, including notes, baselines, and resource usage without impacting performance.


live_foreign_activitieswhat_snewpopupopp

Live Foreign Activities

Opening an external subproject on its own now displays the current status of any foreign activities making it easier to keep up with changing status in multi-project environments.

(In the past, the data that was displayed represented the status of the foreign activities the last time the multi-project was opened.)


multi_project_baselineswhat_snewpopupopp

Multi-project Baselines

Security permitting, a baseline created at the master project level is visible in the subprojects.


multiple_baselineswhat_snewpopupopp

Multiple Baselines

You can now select up to three active baselines for reporting. If more than one baseline is selected, you can display all the selected baselines on multi-table views.


navigation_controlsbasicskillspopupopp

Navigation Controls

Modeless dialog boxes feature navigation buttons that allow you to display other records in the file.

Button | Operation
 | Displays the first record
 | Displays the previous record
 | Displays the next record
 | Displays the last record


new_cost_by_resource_categorywhat_snewpopupopp

New Cost by Resource Category

In addition to the new resource categories, five new cost and earned value detail fields have been added for each category. These fields can be found on both the activity and project levels and can be rolled up without losing visibility.


new_cost_categorieswhat_snewpopupopp

New Cost Categories

Resources can now be categorized as:

  • Labor

  • Material

  • Other Direct Cost (ODC)

  • Subcontract

This provides for more detailed costing and more accurate reporting.

Cost calculations roll up values by these categories to the activity and project levels without losing visibility. These categories can also be used in histogram reporting.


no_dependency_on_dos_based_fileswhat_snewpopupopp

No Dependency on DOS-based Files

All data and most configuration information are now stored in tables in a central database rather than in files on individual computers or servers. Among the many advantages of this feature is the flexibility it gives you to log into Open Plan from any terminal and have the same environment.

Open Plan supports the latest available versions of Oracle, SQL Server, and Access.


open_plan_explorer_interfacewhat_snewpopupopp

Open Plan Explorer Interface

The Open Plan Explorer improves usability by replacing the File Cabinet and project Notebook of earlier versions with a hierarchical view of project data.

The Explorer contains two panes that can be resized to meet your preferences. The left pane contains a hierarchy of nested folders through which you can navigate. The pane on the right displays the contents of the currently selected folder in the hierarchy.


open_plan_explorerpopupopp

Open Plan Explorer

Similar to the Windows Explorer, the Open Plan Explorer contains two panes with a moveable divider between them. You can drag the divider in either direction to control the amount of space allocated to each pane.

The left pane features a hierarchical view that contains nested folders that you can navigate through.

The right pane displays the contents of the currently selected node on the hierarchy.


performance_measurement_baselinewhat_snewpopupopp

Performance Measurement Baseline

The Performance Measurement Baseline (PMB) is used for cost calculations. If a PMB does not exist, Open Plan prompts you to create one when you create a baseline. In the absence of a PMB, cost calculations use the first selected baseline.


resource_assignment_cost_classeswhat_snewpopupopp

Resource Assignment Cost Classes

An optional field is now available on the resource assignment to allow cost classes to be entered for use in tracking changes in scope. If the cost class is used, the value flows through resource scheduling and baseline creation.


resource_physical_percent_completewhat_snewpopupopp

Resource Physical Percent Complete

The option now exists to report physical percent complete at either the activity or the resource level. When one value is entered, the other is automatically calculated. This keeps both values synchronized.


seealso_adding_a_comment_to_a_help_topicopp

Related Procedures:

Printing a Help Topic

Searching for Words in a Help File

Related Topics:

Using Help

Finding a Topic in Help

Displaying Help About a Dialog Box or View


seealso_basic_skillsopp

Related Topics:

Basic Skills

Working With Open Plan Data

Using the Open Plan Explorer

Using the Find Dialog Box

Using Clipboard Operations

Using Toolbar Shortcuts

Using Keyboard Shortcuts

Related Procedures:

Displaying a Menu

Choosing a Command From a Menu

Choosing a Command From the Toolbar

Turning Off the Toolbar Display


seealso_changing_the_font_in_a_help_topicopp

Related Procedures:

Printing a Help Topic

Searching for Words in a Help File

Related Topics:

Using Help

Finding a Topic in Help

Displaying Help About a Dialog Box or View


seealso_copying_information_from_a_help_topicopp

Related Procedures:

Printing a Help Topic

Searching for Words in a Help File

Related Topics:

Using Help

Finding a Topic in Help

Displaying Help About a Dialog Box or View


seealso_displaying_help_about_a_dialog_box_or_viewopp

Related Topics:

Using Help

Finding a Topic in Help

Related Procedures:

Printing a Help Topic

Searching for Words in a Help File


seealso_finding_a_topic_in_helpopp

Related Topics:

Using Help

Displaying Help About a Dialog Box or View

Related Procedures:

Printing a Help Topic

Searching for Words in a Help File


seealso_placing_a_bookmark_on_a_help_topicopp

Related Procedures:

Printing a Help Topic

Searching for Words in a Help File

Related Topics:

Using Help

Finding a Topic in Help

Displaying Help About a Dialog Box or View


seealso_planningopp

Related Topics:

Entering Project Properties

Creating and Editing Activities

Working with Hierarchical Projects

Using Resources in Open Plan

Using Calendars

Using Codes in Open Plan

Cost Control Features in Open Plan

Planning Costs

Related Procedures:

Creating Activities in a Barchart

Creating Activities in a Network

Creating Activities in a Spreadsheet

Creating a Resource File

Creating a Calendar File

Creating a Code File


seealso_printing_a_help_topicopp

Related Procedure:

Searching for Words in a Help File

Related Topics:

Using Help

Finding a Topic in Help

Displaying Help About a Dialog Box or View


seealso_project_analysisopp

Related Topics

Using Time Analysis

Using Risk Analysis

Using Resource Scheduling

Using Resource Allocation

Using Project Baselines

Entering Progress Information

Earned Value Cost Control

Related Procedures:

Performing Time Analysis

Performing Resource Scheduling

Performing Resource Allocation


seealso_searching_for_words_in_a_help_fileopp

Related Procedure:

Printing a Help Topic

Related Topics:

Using Help

Finding a Topic in Help

Displaying Help About a Dialog Box or View


seealso_specifying_whether_help_stays_visibleopp

Related Procedures:

Printing a Help Topic

Searching for Words in a Help File

Related Topics:

Using Help

Finding a Topic in Help

Displaying Help About a Dialog Box or View


seealso_system_utilitiesopp

Related Topics:

Using Reporting Calendars

Using Filters

Using Sorts

Using Calculated Fields

Using User Defined Fields

Using the Spread Curve Dialog Box

Using Global Edits

Using the Email Advisor

Using the Options Dialog Box

Using Note Categories

Custom Tools

Using Open Plan Security

Using the Log Viewer

Related Procedure:

Adding a Custom Item to the Add-Ins Menu


SeeAlso Using Help

Related Topics:

Finding a Topic in Help

Displaying Help About a Dialog Box or View

Related Procedures:

Printing a Help Topic

Searching for Words in a Help File


seealso_views_and_reportsopp

Related Topics:

Barchart View

Network View

Resource Histogram View

Risk Analysis Histogram View

Spreadsheet View

Using Clipboard Operations

Using the Sorts Dialog Box

Using the Filters Dialog Box

Using the Print Dialog Box

Related Procedures:

Assigning a View to a Project

Deleting a View

Previewing a Report Before Printing

Printing a Report


seealso_welcome_to_open_plan_3opp

Related Topics:

Basic Skills

Planning

What's New in Open Plan 3


seealso_what_s_new_in_open_plan_3opp

Related Topic:

Welcome to Deltek Open Plan 3


shared_accesswhat_snewpopupopp

Shared Access

Access to multi-projects can now be shared, even when the external subprojects are open.


status_barpopupopp

Status Bar

The status bar at the bottom of the workspace provides information about the current command. For example, if you position the cursor on a button on the toolbar and press the left mouse button, the status bar displays a description of that command. (To continue without executing the command, drag the cursor off the button without releasing the mouse button.)


user_defined_fieldswhat_snewpopupopp

User Defined Fields

Provided that you have sufficient security rights, you are now able to define new fields for use with most tables, giving greater flexibility and customizability. These new fields are available in any view where you can select fields for display. For example, user defined fields can be displayed as spreadsheet columns or in the box layout of the resource view.


using_edit_boxespopupopp

Using Edit Boxes

For entering some types of information, Open Plan provides an edit box in which you can type the information directly.

Each edit box includes two buttons: one for canceling the entry and the other for saving the entry. Many edit boxes also include a button for displaying a list of valid choices for the item. For some types of information (for example, colors), using the list is the only way you can enter information for an item.


using_tabbed_dialog_boxespopupopp

Using Tabbed Dialog Boxes

Tabbed dialog boxes are dialog boxes that group similar options, commands, and settings together using tabs that are similar to file tabs in a filing cabinet.

To display the different tabs in a tabbed dialog box, you can click the tab or press the Alt key in combination with the underlined letter in the tab name.

Simply going from one tab to another does not automatically save any changes you may have made on the first tab. In tabbed dialog boxes, there is only one set of OK and Cancel command buttons. These commands affect all the settings in the dialog box, not just those on the tab that is currently displayed.


using_the_menu_barpopupopp

Using the Menu Bar

The menu bar displayed at the top of the Open Plan application window lists the names of menus containing available commands. The same set of menus appears throughout Open Plan. However, the contents of the menus may change depending on the current window or view.

When you click the name of the menu, (or press the Alt key in combination with the first letter of the menu name), Open Plan displays the commands available from that menu.

Some commands have a right-pointing triangle next to their name on the menu. When you click one of these commands, Open Plan displays a submenu of choices related to that command.

Some commands operate as a toggle. When selected, these commands have a check mark in front of them.

From time to time, you will notice that a command is dimmed. This indicates that the command is not available at the time.


using_the_tool_barpopupopp

Using the Tool Bars

Many of the most commonly used commands are available as buttons on the toolbar. To choose a command from the toolbar, simply click the button representing the command. If a button is dimmed, the command is not available at the time.

There are also two user-configurable Add-Ins toolbars that can display the custom Add-Ins tools. One is a System Add-Ins toolbar for system-level tools and the other is a User Add-Ins toolbar for user-level tools.

System-level custom tools are available to any user. User-level tools are available only to a particular user.


using_the_view_selection_toolbarpopupopp

Using the View Selection Toolbar

There is a special toolbar that is a drop-down list containing all the View files associated with a selected project, resource, or code file. Since each project can have as many or as few View files as you want, the contents of the View Selection toolbar changes from project to project.

This toolbar allows you to switch from view to view without having to return to the Open Plan Explorer each time you want to change.

If the project is closed when you select a view from the list, the project is automatically opened in its Default mode. If another user already has it open, the project will open in the highest available mode.


view_formattingwhat_snewpopupopp

View Formatting

This version of Open Plan gives you greater control over the look and style of spreadsheet, barchart, and network views and reports:

  • Spreadsheet views — You have the ability to set font, text, and background color. You can control the alignment of text within the column, indentation options, and initial drill down level of subsectional reports. In addition, there is now a palette of 64 colors from which to choose.

  • Barchart views — You can control the color that Open Plan uses for shading non-work days as well as the line thickness used for marking date scales. This allows you, for example, to make quarterly marking thicker than monthly marking. In addition, there is also support for pop-up text on the bars and support for colored text around the bar.

  • Network views — This version of Open Plan includes a split-pane option with the ability to drag relationships across panes and the option to display type and lag on relationship lines.


working_with_dialog_boxespopupopp

Working With Dialog Boxes

In many places in Open Plan, you enter and update information using a dialog box. Although dialog boxes vary considerably in their functions, the following elements are common to many dialog boxes:

  • Date fields allow you to enter dates either by typing in a date, or by clicking the ellipsis at the right edge of the field and clicking a date on the pop-up calendar that is displayed.

  • Edit boxes allow you to enter text by typing.

  • List boxes allow you to choose an item from a list of available choices.

  • Check boxes allow you to choose one or more options.

  • Radio buttons allow you to choose one option from a group of options.

  • Command buttons allow you to perform an operation from within the dialog box.

To move between the different items in a dialog box, simply click the item, or press the Tab key. (The Shift+Tab key combination moves through the items in reverse order.)

Most dialog boxes have at least three command buttons: OK, Cancel, and Help.


0_100evpopupproj

Earned Value

You can specify the Earned Value Technique (EVT) that Open Plan automatically assigns to a new activity. When the Base Physical Percent Complete on EVT option is selected on the Progress Calculations dialog box, Open Plan uses the selected EVT to update the earned value of the activities when progress calculations are run.

You can override this default EVT for an activity by assigning a new EVT to the activity using the Advanced tab of the Activity Details dialog box.

You can choose from the following EVTs:

  • Level of Effort

  • Percent Complete

  • 50-50

  • 0-100 — With this EVT, no value is earned until the activity is completed. At which point, the entire budget is earned. This method is best used if the activity is scheduled to start and finish in the same fiscal period.

  • 100-0

  • User-Defined Percentage

  • Planning Package

  • Resource Percent Complete

There are few hard and fast rules about selecting earned value techniques. The general rule is to select a method that allows you to "earn how you plan." For example, if an activity spans two periods and the budget spread is $50 in the first period and $50 in the second period, you would should select a EVT that, if on schedule, would allow you to earn half of the $100 budget when the activity is started and the other half when it is finished. (This scenario would most likely use the 50-50 EVT.)


50_50evpopupproj

Earned Value

You can specify the Earned Value Technique (EVT) that Open Plan automatically assigns to a new activity. When the Base Physical Percent Complete on EVT option is selected on the Progress Calculations dialog box, Open Plan uses the selected EVT to update the earned value of the activities when progress calculations are run.

You can override this default EVT for an activity by assigning a new EVT to the activity using the Advanced tab of the Activity Details dialog box.

You can choose from the following EVTs:

  • Level of Effort

  • Percent Complete

  • 50-50 — With this EVT, 50% of the value is earned as soon as the activity is started, and the rest is earned when it is completed. Since value cannot be earned in any intervening periods, this EVT is best used for activities that span a maximum of two fiscal periods.

  • 0-100

  • 100-0

  • User-Defined Percentage

  • Planning Package

  • Resource Percent Complete

There are few hard and fast rules about selecting earned value techniques. The general rule is to select a method that allows you to "earn how you plan." For example, if an activity spans two periods and the budget spread is $50 in the first period and $50 in the second period, you would should select a EVT that, if on schedule, would allow you to earn half of the $100 budget when the activity is started and the other half when it is finished. (This scenario would most likely use the 50-50 EVT.)


100_0evpopupproj

Earned Value

You can specify the Earned Value Technique (EVT) that Open Plan automatically assigns to a new activity. When the Base Physical Percent Complete on EVT option is selected on the Progress Calculations dialog box, Open Plan uses the selected EVT to update the earned value of the activities when progress calculations are run.

You can override this default EVT for an activity by assigning a new EVT to the activity using the Advanced tab of the Activity Details dialog box.

You can choose from the following EVTs:

  • Level of Effort

  • Percent Complete

  • 50-50

  • 0-100

  • 100-0 — With this EVT, all the value is earned as soon as the activity is started. This method is best used if the activity is scheduled to start and finish in the same fiscal period.

  • User-Defined Percentage

  • Planning Package

  • Resource Percent Complete

There are few hard and fast rules about selecting earned value techniques. The general rule is to select a method that allows you to "earn how you plan." For example, if an activity spans two periods and the budget spread is $50 in the first period and $50 in the second period, you would should select a EVT that, if on schedule, would allow you to earn half of the $100 budget when the activity is started and the other half when it is finished. (This scenario would most likely use the 50-50 EVT.)


actualcrosstablepopupproj

Actual

Selecting this option exports the resource values (actual quantity, actual cost, and/or actual escalated cost) by actual dates.


acwpcrosstableevpopupproj

ACWP

Selecting this option allows you to export actual cost of the the resource usage (quantity, cost, and/or escalated cost) that has been calculated, entered, or imported.


availabilitycrosstablepopupproj

Availability

Selecting this option exports the total availability of the resources.


averagecrosstablepopupproj

Average

Selecting this option instructs Open Plan to calculate the average resource usage. The average value is expressed in terms of the default duration defined for the project. For example, if the default duration is weeks, an average of 4 would mean 4 resource units per week. When calculating the average value, Open Plan uses the calendar assigned to the first availability record for each selected resource.


based_onbaselinepopupproj

Based On

You must indicate whether you want to use Early, Late, or Scheduled dates for storing information related to resources and costs. The choice you make determines which set of dates Open Plan stores in the Baseline Start and Baseline Finish fields for the baseline.

The Baseline Start and Baseline Finish fields serve as base dates for the calculation of earned value costs — BCWS, ACWP, and BCWP.

Unless you have performed resource scheduling on the project, the Scheduled option is not displayed in this field.


baselinecrosstablepopupproj

Baseline

Selecting this option allows you to choose up to 3 baselines attached to the project. Open Plan exports the baseline resource values (quantity, cost, and/or escalated cost) for each selected baseline.


baselinesprojpropertiessummarypopup

Baselines

Open Plan can display the names of up to three project baselines in these fields. You can change any of these baselines by clicking Select Baseline and selecting a different baseline from the dialog box that is displayed.


bcwpcrosstableevpopupproj

BCWP

Selecting this option allows you to export the budgeted cost of work performed data (quantity, cost, and/or escalated cost).


bcwscrosstableevpopupproj

BCWS

Selecting this option allows you to export budgeted cost of the work scheduled data (quantity, cost, and/or escalated cost) according to the baseline dates.


by_resource_assignmentspopupproj

Resource Assignment

Select this option to export the data rolled up by resource assignment and to enable the Activity Data tab.


by_resourcepopupproj

Resource

Select this option to export the data rolled up by resource and to enable the Resource Data tab.


by_roll_up_similar_assignmentspopupproj

Roll up Similar Assignments

When the Resource Assignment option is selected, this option becomes available. Selecting this option instructs Open Plan to roll up similar assignments.


calendar_filepopupproj

Calendar File

Open Plan displays the name of the calendar file currently assigned to the project in this text box. If the field is blank, Open Plan performs all calculations based on a 5-day work week with no holidays and an 8-hour work day.

You can use this tab to assign a calendar file to the project by clicking the ellipsis button to the right of the Calendar File edit box and then selecting the calendar file from the list in the dialog box that is displayed.

While a calendar file can contain any number of individual calendars, only one calendar file can be assigned to a project at any one time.

If you replace the calendar file currently assigned to the project with another calendar file, Open Plan asks you to confirm your action.


clientprojpropertiessummarypopup

Client

Enter the name of the project's client in this field. While use of this field is optional, the information it contains is used in many reports.


code_filespopupproj

Code Files

The code files currently assigned to the project and the code fields to which they are assigned are displayed in this list box. Up to 90 code files may be assigned to the project at any one time.

You can use this tab to assign a code file to the project by clicking the ellipsis button to the right of the Code Files edit box to display the Assign Code dialog box.

If adding a particular code file would replace one currently assigned to the project, Open Plan asks you to confirm your action.

You can also use the Assign Code dialog box to remove a code file from a project. If you remove a code file from a project, Open Plan deletes all code assignments that refer to the removed file.


companyprojpropertiessummarypopup

Company

Enter the name of company managing the project in this field. While use of this field is optional, the information it contains is used in many reports.


contains_project_summary_activitypopupproj

Contains Project Summary Activity

This option indicates that the Open Plan project has a single activity with the ID 0 at the top level that represents the entire project. This option also controls how activities are numbered when the project is exported to MSP.

  • If this option is selected, the summary activity is given a unique ID of 0. Under normal circumstances, you would select this option for data that was previously imported from MSP with the Create Project Summary Activity option selected.

  • If this option is not selected, the top level activity is treated as a normal activity and MSP automatically creates a summary activity.

This option also controls how the export utility interprets the outline levels of all activities. For example, an activity ID of 0.1 is interpreted as level 1 if the option is selected while it is interpreted as level 2 if the option is not selected.


conversionspopupproj

Conversions

Three settings control the way in which Open Plan converts durations into minutes from different time units:

  • per Day — Controls the number of hours and minutes per day that are used in the conversion. The default setting is 8 hours and 0 minutes.

  • per Week — Controls the number of hours and minutes per week that are used in the conversion. Typically, this would be the number of hours per day multiplied by the number of work days in a week. The default setting is 40 hours and 0 minutes.

  • per Month — Controls the number of hours and minutes per month that are used in the conversion. Typically, this would be the number of hours per day multiplied by the number of work days in a month. The default setting is 160 hours and 0 minutes.


costcrosstableevpopupproj

Cost

Selecting this option instructs Open Plan to calculate and export the unescalated resource cost values.


costcrosstablepopupproj

Cost

For each of the Usage options you select, the Cost option instructs Open Plan to export the unescalated resource cost values.


create_assignments_methodproj

Create Assignments Method

This option indicates the way new assignments are created in Open Plan during execution of the Update Schedule and Budget Data option. You may choose to assign new activities either to the first activity found or to one that you select. With this option you may also reject the assignment.


create_summary_usage_based_onproject_propertiesscheduling_tabpopupproj

Create Summary Usage Based On

Enabled when you select the Create Summary Usage Upon Saving Project option, this field contains a list of dates that Open Plan should use when creating the summary usage record:

  • Early dates

  • Late dates

  • Scheduled dates


create_summary_usage_upon_saving_projectproject_propertiesscheduling_tabpopupproj

Create Summary Usage Upon Saving Project

If you select this option, Open Plan allows you to select the type of dates (early, late, or scheduled) that it should use when creating a record in the Project Summary Usage (PSU) table.

In order for the summary usage to be saved, the following conditions must be met:

  • The project must be open in exclusive mode.

  • The resource file can be open in exclusive, shared, or Read-only mode.


cumulativecrosstableevpopupproj

Cumulative

Selecting this option instructs Open Plan to calculate earned value cumulative to date.


cumulativecrosstablepopupproj

Cumulative

Selecting this option instructs Open Plan to calculate the resource usage for each period exported..


customcrosstablepopupproj

Custom

Selecting this option allows you to set the From and To dates manually.


data_access_modeproj

Data Access Mode

Identifies the mode in which the project is open:

  • Exclusive — If a project is open in exclusive mode, you have the exclusive right to make changes to it. While you have the project open in exclusive mode, other users can open the project only in read-only mode.

  • Shared — If the project is open in shared mode, other users can open the file and make changes while you have it open.

  • Read Only — If the project is open in read-only mode, you cannot make any changes to the project.

  • Not Open — If you display the Project Properties dialog box without first opening the project, you can make changes to the project data only if no other user in your data source has the project open in exclusive mode.

    • Even though you can make project data changes to a closed project, you cannot change the file associations on the Files tab.


data_type_earned_valuepopupproj

Earned Value

Select this option to export earned value data and to enable the Earned Value tab. Earned value data includes the following:

  • Budget

  • Actual

  • Forecast

  • Earned value


data_type_resourcepopupproj

Resource

Select this option to export resource data and to enable the Resources tab. Resource data is demand based on the following:

  • Early, late, or scheduled dates

  • Availability

  • Actuals

  • Baseline


default_activity_calendarpopupproj

Default Activity Calendar

The default calendar to be used for all new activities within the project. Using a default activity calendar makes it easier to share one calendar file over all projects.


default_activity_typepopupproj

Default Activity Type

You can use this field to select one of the following default activity types for the project:

  • ASAP

  • Start Milestone

  • Discontinuous

  • Hammock

  • ALAP

  • Finish Milestone

  • Subproject

  • Effort Driven

In the Professional edition of Open Plan, you can also select External Subproject as the default activity type for the project.


default_date_formatpopupproj

Default Date Format

This option controls the default format Open Plan uses for dates. For new projects, the default format is 31Dec07. However, you can choose from many other formats as well – most of which are predetermined, with two originating from the international settings of Windows.

If you later enter a date in a different format, Open Plan attempts to convert it to the format you selected as the default.

For example, if your default date format is 31Dec07, Open Plan makes the following conversions:

  • 31dec is interpreted as 31Dec07 if 2007 is the current year.

  • 13/12/07 is always interpreted as December 13, 2007, since 13 cannot be interpreted as a month.

If the date you enter is all numeric (for example, 10/01/07), Open Plan uses the order of month and year from your Windows system.


default_duration_unitspopupproj

Default Duration Units

You can specify the default duration units by selecting one of the following units from the list:

  • Minutes

  • Hours

  • Days

  • Weeks

  • Months

This setting allows you to enter a duration without specifying a unit.


default_relationship_calendarpopupproj

Default Relationship Calendar

The default calendar for all new relationships within the project.


Default Resource Curve

Default Res. Curve

The Default Res. Curve field displays the following choices:

  • All valid Spread Curves defined within the Spread Curve dialog box for which the user has at least read-only access

  • A blank curve type

By default, Default Res. Curve is blank. The Default Res. Curve value is used for all new resource assignments within the project. The Default Res. Curve option is available when using Backup or Save As.


Default Resource Level

Default Res. Level

The Default Res. Level field contains the following options:

  • none — forces the user to enter a value before the assignment can be saved

  • 1 — resource availability value of 1

  • First availability — uses the first available record

By default, Default Res. Level is set to First Availability. The Default Res. Level value will be used for all new resource assignments within the project.

If a user attempts to save the assignment before entering a value (although 0 is a valid value and will be allowed if explicitly entered), the following warning message will be displayed: Save assignment with Level of zero? This warning message will be displayed only once when a user attempts to save the multiple assignments to multiple activities before entering a value.

The Default Res. Level option is included in Backup and Save As.


defaultpopupproj

Default

If you are opening a project, Open Plan opens the project and its auxiliary files in the mode specified on the Preferences tab of the Project Properties dialog box. This setting overrides the default access mode for the auxiliary file as set on its own Properties dialog box.


delete_all_activities_no_longer_in_current_projectbaselinepopupproj

Delete All Activities No Longer in Current Project

This option is enabled only when you are updating an existing baseline. If selected, this option compares the baseline project with its current counterpart and deletes any activities from the baseline that no longer exist in the current project.


delete_summary_usage_for_this_projectproject_propertiesscheduling_tabpopupproj

Delete Summary Usage For This Project

When you click the Delete button, Open Plan deletes the project summary usage data from the PSU table for not only the open project but also for any open external subprojects. This has the effect of freeing the resources so that they can be made available to other projects.


descriptionbaselinepopupproj

Description

A description for the baseline.


descriptionpopupproj

Description

A description can contain up to 60 characters and may use both upper and lower case characters.


descriptionprojpropertiespopup

Description

Use this field to enter a useful description of the project or file. While use of this field is optional, the information it contains is used in many reports.


displaying_the_baseline_access_control_dialog_boxproj

To display the Baseline Access Control dialog box, select a baseline from the Baselines dialog box and click Access Control.


displaying_the_baselines_dialog_boxproj

To display the Baselines dialog box, do either of the following:

  • Select a project and click Baselines on the Project menu.

  • Click Select Baseline on the Summary tab of the Project Properties dialog box.


displaying_the_copy_baseline_dialog_boxproj

To display the Copy Baseline dialog box, select a baseline from the Baselines dialog box and click Copy.


displaying_the_copy_export_specification_dialog_boxproj

To display this dialog box:

  1. From the Open Plan Explorer, select a project to export.

  2. From the File menu, point to Export, and click Export Crosstable Data.

    3. If the project is not open, Open Plan will open it in its Default mode. If it cannot be opened (for example, another user has it opened), you will receive an error message.

  3. From the Crosstable Exports dialog box, select an export specification to copy.

  4. Click Copy.


displaying_the_crosstable_export_definition_access_control_tabproj

To display this tab:

  1. From the Open Plan Explorer, select a project to export.

  2. From the File menu, point to Export, and click Export Crosstable Data.

  3. On the Crosstable Exports dialog box, take one of the following actions:

    • Click New.

    • Select an existing export specification, and click Edit.

  4. Select the Access Control tab.


displaying_the_crosstable_export_definition_activity_data_tabproj

To display this tab:

  1. From the Open Plan Explorer, select a project to export.

  2. From the File menu, point to Export, and click Export Crosstable Data.

  3. On the Crosstable Exports dialog box, take one of the following actions:

    • Click New.

    • Select an existing export specification, and click Edit.

  4. Ensure that By Resource Assignments is selected on the General tab.

  5. Click the Activity Data tab.


displaying_the_crosstable_export_definition_date_scale_tabproj

To display this tab:

  1. From the Open Plan Explorer, select a project to export.

  2. From the File menu, point to Export, and click Export Crosstable Data.

  3. On the Crosstable Exports dialog box, take one of the following actions:

    • Click New.

    • Select an existing export specification, and click Edit.

  4. Click the Data Scale tab.


displaying_the_crosstable_export_definition_earned_value_tabproj

To display this tab:

  1. From the Open Plan Explorer, select a project to export.

  2. From the File menu, point to Export, and click Export Crosstable Data.

  3. On the Crosstable Exports dialog box, take one of the following actions:

    • Click New.

    • Select an existing export specification, and click Edit.

  4. Ensure that Data Type Earned Value is selected on the General tab.

  5. Click the Earned Value tab.


displaying_the_crosstable_export_definition_general_tabproj

To display this tab:

  1. From the Open Plan Explorer, select a project to export.

  2. From the File menu, point to Export, and click Export Crosstable Data.

  3. On the Crosstable Exports dialog box, take one of the following actions:

    • Click New.

    • Select an existing export specification, and click Edit.

  4. The General tab is displayed by default.


displaying_the_crosstable_export_definition_resource_data_tabproj

To display this tab:

  1. From the Open Plan Explorer, select a project to export.

  2. From the File menu, point to Export, and click Export Crosstable Data.

  3. On the Crosstable Exports dialog box, take one of the following actions:

    • Click New.

    • Select an existing export specification, and click Edit.

  4. Ensure that By Resource is selected on the General tab.

  5. Click the Resource Data tab.


displaying_the_crosstable_export_definition_resources_tabproj

To display this tab:

  1. From the Open Plan Explorer, select a project to export.

  2. From the File menu, point to Export, and click Export Crosstable Data.

  3. On the Crosstable Exports dialog box, take one of the following actions:

    • Click New.

    • Select an existing export specification, and click Edit.

  4. Ensure that Data Type Resource is selected on the General tab.

  5. Click the Resources tab.


displaying_the_crosstable_exports_dialog_boxproj

To display this dialog box:

  1. From the Open Plan Explorer, select a project to export.

  2. From the File menu, point to Export, and click Export Crosstable Data.

If the project is not open, Open Plan will open it in its Default mode. If it cannot be opened (for example, another user has it opened), you will receive an error message.


displaying_the_export_dialog_boxproj

To display the Export dialog box, point to Export on the File menu and then click Export General on the submenu.


displaying_the_export_file_dialog_boxproj

The Export File dialog box is displayed automatically when you select an export specification from the Export dialog box and click OK.


displaying_the_export_of_data_complete_dialog_boxproj

To display this dialog box:

  1. From the Open Plan Explorer, select a project to export.

  2. From the File menu, point to Export, and click Export Crosstable Data.

    3. If the project is not open, Open Plan will open it in its Default mode.

  3. On the Crosstable Exports dialog box, select an Export Specification from the list and click Run.

  4. On the Create Export File dialog box, select a file name and then select XML file from the Save files as type list.

  5. Click OK.


displaying_the_file_open_dialog_boxproj

To display the File Open dialog box, do one of the following:

  • Click Open on the File menu

  • Click the Open button on the toolbar

  • Press Ctrl+O.


displaying_the_import_dialog_boxproj

To display the Import dialog box, point to Import on the File menu and then click Import General on the submenu.


displaying_the_import_file_dialog_boxproj

The Import File dialog box is displayed automatically when you select an import specification from the Import dialog box and click OK.


displaying_the_load_options_dialog_boxproj

Unless inhibited by a setting that was previously made, the Load Options dialog box is displayed automatically under either of the following circumstances:

  • You have selected an .mpp file to open from the Select Project or Project Database dialog box.

  • You have selected a project to open from the Select Project dialog box.


displaying_the_multiple_baselines_dialog_boxproj

To display the Multiple Baselines dialog box, do either of the following:

  • Double-click <Multiple Baselines> on the Baselines dialog box.

  • Select <Multiple Baselines> on the Baselines dialog box and then click Select.


displaying_the_new_export_specification_dialog_boxproj

To display this dialog box:

  1. From the Open Plan Explorer, select a project to export.

  2. From the File menu, point to Export, and click Export Crosstable Data.

    3. If the project is not open, Open Plan will open it in its Default mode.

  3. On the Crosstable Exports dialog box, click New.


displaying_the_open_plan_data_sources_dialog_boxproj

To display the Data Sources dialog box, click Data Sources on the Tools menu.


displaying_the_project_properties_access_control_tabproj

To display the Project Properties Access Control tab, click the Access Control tab on the Project Properties dialog box.


displaying_the_project_properties_codes_tabproj

To display the Project Properties Codes tab, click the Codes tab on the Project Properties dialog box.


displaying_the_project_properties_cost_tabproj

To display the Project Properties Cost tab, click the Cost tab on the Project Properties dialog box.


displaying_the_project_properties_dialog_boxproj

To display this dialog box, do either of the following:

  • Right-click a project and click Properties on the context menu.

  • Select a project and click Properties on the Edit menu.

While you can display the Project Properties dialog box even if the project is not open, you can modify the information it contains only if you have the project open in either Exclusive or Shared mode.


displaying_the_project_properties_files_tabproj

To display the Project Properties Files tab, click Files on the Project Properties dialog box.


displaying_the_project_properties_notes_tabproj

To display the Project Properties Notes tab, click the Notes tab on the Project Properties dialog box.


displaying_the_project_properties_open_status_tabproj

To display the Project Properties Open Status tab, click the Open Status tab on the Project Properties dialog box.


displaying_the_project_properties_preferences_tabproj

To display the Project Properties Preferences tab, click Preferences on the Project Properties dialog box.


displaying_the_project_properties_references_tabproj.htm

To display the Project Properties References tab, click R eferences on the Project Properties dialog box.


displaying_the_project_properties_scheduling_tabproj

To display the Project Properties Scheduling tab, click the Scheduling tab on the Project Properties dialog box.


displaying_the_project_properties_status_tabproj

To display the Project Properties Status tab, click Status on the Project Properties dialog box.


displaying_the_project_properties_summary_tabproj

To display the Project Properties dialog box:

  1. In the Open Plan Explorer, right-click the project folder.

  2. On the shortcut menu, click Properties.

Open Plan displays the Summary tab by default when you access the Project Properties dialog box.


displaying_the_project_properties_user_fields_tabproj

To display the Project Properties User Fields tab, click the User Fields tab on the Project Properties dialog box.


displaying_the_save_options_dialog_boxproj

Unless an option has previously been set that inhibits its display, the Save Options dialog box is displayed automatically in either of the following circumstances:

  • When you save a project in .mpp format.

  • When you save a project in an .mpd database.


displaying_the_save_project_dialog_boxproj

To display the Save Project dialog box:

  1. On the File menu, point to Export.

  2. On the Export submenu, click Export MSP File.


displaying_the_select_msp_project_dialog_boxproj

The Select MSP Project dialog box is displayed automatically when you select an .mpd file from the Select Project or Project Database dialog box.


displaying_the_select_p3_project_dialog_boxproj

To display the Select P3 Project dialog box:

  1. On the File menu, point to Import.

  2. On the Import submenu, click Import P3 File.


displaying_the_select_project_or_project_database_dialog_boxproj

To display the Select Project or Project Database dialog box:

  1. On the File menu, point to Import.

  2. On the Import submenu, click Import MSP File.


displaying_the_update_baseline_dialog_boxproj

To display the Update Baseline dialog box, select a baseline from the Baselines dialog box and click Update.


do_not_update_baseline_dates_for_in_progress_or_complete_activitiesbaselinepopupproj

Do not update Baseline Dates for In-Progress or Complete Activities

When you update a baseline, you can select this option to prevent updating the baseline start and finish dates (BSDATE and BFDATE) when updating activities in the baseline that are in-progress or complete.

This option is enabled when you select the Update Activities Already in Baseline option.


don_t_show_options_dialog_box_when_resaving_this_project_to_msp_formatproj

Don't Show Options Dialog box When Resaving this Project to MSP Format

This option inhibits the display of the Save Options dialog box when you resave the Open Plan project in one of the MSP formats.


don_t_show_the_load_options_dialog_box_when_reloading_this_projectpopupproj

Don't Show Options Dialog Box When Reloading this Project

This option inhibits the display of the Load Options dialog box when reloading the MSP project into Open Plan.


don_t_show_this_dialog_box_for_future_projects_export_popupproj

Don't show this Dialog Box for Future Projects

This option saves the settings you have made and uses them for future exports to MSP. The dialog box is not displayed for any future projects. In order to redisplay this dialog box, you must make a change to the Windows Registry. For information on how to make the appropriate change in the Windows Registry, refer to the Deltek Open Plan Developer’s Guide.


don_t_show_this_dialog_box_for_future_projects_import_popupproj

Don't Show this Dialog box for Future Projects

This option saves the settings you have made and uses them for future imports from MSP. The dialog box is not displayed for any future projects. In order to redisplay this dialog box, you must make a change to the Windows Registry. For information on how to make the appropriate change in the Windows Registry, refer to the Deltek Open Plan Developer’s Guide.


early_finishpopupproj

Early Finish

The early finish date of the project as calculated by time analysis.


earlycrosstablepopupproj

Early

Selecting this option exports the resource values (quantity, cost, and/or escalated cost) by early dates.

Early dates are calculated in time analysis as the earliest dates on which activities can start and finish.


earned_valuepopupproj

Earned Value

You can specify the Earned Value Technique (EVT) that Open Plan automatically assigns to a new activity. When the Base Physical Percent Complete on EVT option is selected on the Progress Calculations dialog box, Open Plan uses the selected EVT to update the earned value of the activities when progress calculations are run.

You can override this default EVT for an activity by assigning a new EVT to the activity using the Advanced tab of the Activity Details dialog box.

You can choose from the following EVTs:

  • Level of Effort

  • Percent Complete

  • 50-50

  • 0-100

  • 100-0

  • User-Defined Percentage

  • Planning Package

  • Resource Percent Complete

There are few hard and fast rules about selecting earned value techniques. The general rule is to select a method that allows you to "earn how you plan." For example, if an activity spans two periods and the budget spread is $50 in the first period and $50 in the second period, you would should select a EVT that, if on schedule, would allow you to earn half of the $100 budget when the activity is started and the other half when it is finished. (This scenario would most likely use the 50-50 EVT.)


entire_projectcrosstablepopupproj

Entire Project

Selecting this option instructs Open Plan to use the project’s Start Date and Schedule Finish Date.

If Project Start is not set in the Project Properties, the From Date will use the Time Now.


escalated_costcrosstableevpopupproj

Escalated Cost

Selecting this option instructs Open Plan to calculate and export the escalated resource cost values.


escalated_costcrosstablepopupproj

Escalated Cost

For each of the Usage options you select, the Escalated Cost option instructs Open Plan to export the escalated resource cost values.


exclusivepopupproj

Exclusive

While you can make any changes to the file that you want, Open Plan does not save these changes until you save the file.

If you open a multi-user file in exclusive mode, other users can only have read-only access to the file while you are using it.


field_user_chr10_contains_msp_subproject_namespopupproj

Field USER_CHR10 Contains MSP Subproject Names

Selecting this option indicates that the Open Plan USER_CHR10 field has been used to store MSP subproject names. The export utility uses this information to recreate subprojects in the .mpd file. If the project is to be exported to the .mpp format, the information in the USER_CHR10 field is discarded.


file_namesave_projectpopupproj

File name

This field controls the name that will be given to the exported file. You can enter the full name with the appropriate extension, or you can type the name and select a file type from the Save as type field.


filterbaselinepopupproj

Filter

You can specify a filter to limit the baseline to a defined group of activities. To limit the scope of the operation, you can either select an existing filter or click the ellipsis button to display a dialog box where you can create a new filter.


finish_typepopupproj

Finish Type

Open Plan allows you to specify three types of target finish dates:

  • Not Earlier Than — The earliest date on which the project can finish.

  • Not Later Than — The latest date on which the project can finish.

  • On Target — Combines the effects of the Not Earlier Than and the Not Later Than target dates.


fiscal_calendarcrosstablepopupproj

Fiscal Calendar

Selecting this option instructs Open Plan to use the time periods defined in the fiscal calendar assigned to the project when calculating and exporting data.

The fiscal calendar is a reporting calendar that has been assigned to the project on the Cost tab of the Project Properties dialog box. This is useful if your company uses a fiscal calendar that contains periods that do not end on the last day of the month.


forecastcrosstableevpopupproj

Forecast

Selecting this option allows you to export forecast data (quantity, cost, and/or escalated cost) based on early, late, or schedule dates.


groupprojinfopopupproj

Group

By selecting a field in this column and selecting a group from the list, you can specify the groups that can have access to the project or file.

You can specify a Group or a User ID but not both.


ignore_progress_use_original_project_start_date_update

Ignore Progress, Use Original Project Start Date

Selecting this option updates baseline dates by performing a time analysis from the project start date. If a baseline is updated without this option selected, progress to-date is considered in the baseline.


ignore_progress_use_original_project_start_datepopupproj

Ignore Progress, Use Original Project Start Date

Selecting this option creates baseline dates by performing a time analysis from the project start date. If a baseline is added without this option selected, progress to-date is considered in the baseline creation.


include_completed_activitiesbaselinepopupproj

Include Completed Activities

If selected, this option includes complete activities in the baseline as well as enabling the Baseline Dates option.


include_in_progress_activitiesbaselinepopupproj

Include In-Progress Activities

If selected, this option includes in-progress activities in the baseline as well as enabling the Baseline Dates option.


keep_existing_baseline_datesbaselinepopupproj

Keep Existing Baseline Dates

This option is enabled when the Update Activities Already in Baseline option is selected in conjunction with the Include In-Progress Activities option and/or the Include Completed Activities option.

The Update Activities Already in Baseline is enabled only when you are updating an existing baseline.

Selecting the Keep Existing Baseline Dates option instructs Open Plan not to modify the baseline dates of in-progress or completed activities that already exist in the baseline. Baseline resource usage will be updated. If any of these dates are outside the existing baseline dates, the activity’s baseline dates will be modified to include the baseline usage.


labor_cost_acwpprojpropcosttabpopupproj

Labor Cost ACWP

This value represents the actual cost of labor for the project to date. The Labor Cost ACWP for the project is stored in the ACWP_LAB field on the Project table. This value is calculated by summing the values in the ACWP_LAB field on the Activity table.

The ACWP_LAB values in the Activity table are calculated during cost calculations based on one of the following conditions:

  • If the Actual Cost Based on Progressed Quantity option is selected on the Resource Details dialog box, Open Plan calculates this value based on the progressed quantity of the resource and stores it in the ACWP_CST and ACWP_ESC fields on the Resource Cost table. Then Open Plan rolls it up to the activity level.

  • If the Actual Cost Based on Progressed Quantity option is cleared on the Resource Details dialog box, Open Plan calculates this value based on the values that have been entered on the Resources tab of the Activity Progress dialog box and which are stored in the Resource Cost table. Open Plan summarizes these values to the activity level.


labor_cost_bacprojpropcosttabpopupproj

Labor Cost BAC

This value represents the total cost of labor budgeted for the project. The Labor Cost BAC for the project is stored in the BAC_LAB field on the Project table. This value is calculated by summing the values in the BAC_LAB field on the Activity table.

The calculations that are performed at the activity level depend on whether the Use Version 2 Cost Calculation Method option is selected on this tab of the Project Properties dialog box.

  • By default, the Use Version 2 Cost Calculation Method is cleared for new projects. In this mode, Open Plan calculates Labor Cost BAC by summing the values in either the unescalated labor resource cost field (RES_CST) or the escalated labor resource cost field (RES_ESC) in the Performance Measurement Baseline (PMB) on the Baseline Usage table. The value that Open Plan uses in this calculation is determined by a setting on the Cost Calculations dialog box:

    • If the Use Resource Cost Escalation option is cleared on the Cost Calculations dialog box, Open Plan uses the RES_CST field.

    • If the Use Resource Cost Escalation option is selected on the Cost Calculations dialog box, Open Plan uses the RES_ESC field.

    By always using the PMB when it is available, Open Plan provides consistency and reliability. If there is no baseline named PMB, Open Plan uses the currently selected baseline, or, in the case of multiple selected baselines, the baseline identified as Baseline 1. If the project contains baselines, but none is selected or named PMB, Open Plan prompts you to select a baseline. If the project has no baselines, Open Plan uses the Version 2 Cost Calculation Method automatically. A baseline must be selected in order for Open Plan to calculate earned value.

  • If the Use Version 2 Cost Calculation Method option is selected, Open Plan calculates this value by summing the values in the Level field of the Assignment table adjusted for any curve, offset, and period that may be defined, and multiplying this value by the appropriate Labor Cost rate. The rate that Open Plan uses is determined by a setting on the Cost Calculations dialog box:

    • If the Use Resource Cost Escalation option is cleared on the Cost Calculations dialog box, Open plan uses the unit rate for all entries.

    • If the Use Resource Cost Escalation option is selected on the Cost Calculations dialog box, Open Plan uses the relevant escalated rates for each entry.


labor_cost_bcwpprojpropcosttabpopupproj

Labor Cost BCWP

This value represents the earned value of labor for the project. The Labor Cost BCWP for the project is stored in the BCWP_LAB field on the Project table. This value is calculated by summing the values in the BCWP_LAB field on the Activity table.

The values in the Activity table are calculated during cost calculations by summing the values in either the unescalated labor cost field (BCWP_CST) or the escalated labor cost field (BCWP_ESC) in the Resource Cost table. The field that Open Plan uses in this calculation is determined by a setting on the Cost Calculations dialog box:

  • If the Use Resource Cost Escalation option is cleared on the Cost Calculations dialog box, Open Plan uses the BCWP_CST field.

  • If the Use Resource Cost Escalation option is selected on the Cost Calculations dialog box, Open Plan uses the BCWP_ESC field.


labor_cost_bcwsprojpropcosttabpopupproj

Labor Cost BCWS

This value represents the budgeted cost of the work scheduled for the project from the baseline start date of the project until Time Now. The Labor Cost BCWS for the project is stored in the BCWS_LAB field on the Project table. This value is calculated by summing the values in the BCWS_LAB field on the Activity table.

The Labor Cost BCWS values in the Activity table are calculated during cost calculations by summing the values stored in either the unescalated Labor resource cost field (RES_CST) or the escalated Labor resource cost field (RES_ESC) in the Performance Measurement Baseline (PMB) in the Baseline Usage table from the baseline start date until Time Now. The field that Open Plan uses in this calculation is determined by a setting on the Cost Calculations dialog box:

  • If the Use Resource Cost Escalation option is cleared on the Cost Calculations dialog box, Open Plan uses the RES_CST field.

  • If the Use Resource Cost Escalation option is selected on the Cost Calculations dialog box, Open Plan uses the RES_ESC field.

By always using the PMB when it is available, Open Plan provides consistency and reliability. If there is no baseline named PMB, Open Plan uses the currently selected baseline, or, in the case of multiple baselines, the baseline identified as Baseline 1. If the project has contains baselines, but none is selected or named PMB, Open Plan prompts you to select a baseline during cost calculations. If the project has no baselines, BCWS will not be calculated. A baseline must be selected in order for Open Plan to calculate earned value.


labor_cost_eacprojpropcosttabpopupproj

Labor Cost EAC

This value represents the estimate of the total labor costs for the project when it is complete. The Labor Cost EAC for the project is calculated by first totaling the values in the ETC_LAB and the ACWP_LAB fields in the Activity table and then summing the resultant totals.

The ETC_LAB in the Activity table is calculated by adding the Remaining values on the Assignment table for resources that have the resource category of Labor. If the Progress Based on Activity Progress option is selected on the Resource Details dialog box, Open Plan calculates Remaining values during cost calculations.

The ACWP_LAB in the Activity table is calculated based on one of the following conditions:

  • If the Actual Cost Based on Progressed Quantity option is selected on the Resource Details dialog box, Open Plan calculates this value based on the progressed quantity of the resource and stores it in the ACWP_CST and ACWP_ESC fields on the Resource Cost table. Then Open Plan rolls it up to the activity level.

  • If the Actual Cost Based on Progressed Quantity option is cleared on the Resource Details dialog box, Open Plan calculates this value based on the values that have been entered on the Resources tab of the Activity Progress dialog box and which are stored in the Resource Cost table. Open Plan summarizes these values to the activity level.


labor_quantity_acwpprojpropcosttabpopupproj

Labor Quantity ACWP

This value represents the actual number of labor resource units that have been used by the project. The Labor Quantity ACWP for the project is stored in the ACWP_QTY field on the Project table. This value is calculated by summing the values in the ACWP_QTY field on the Activity table.

The ACWP values in the activity table are calculated during cost calculations based on one of the following conditions:

  • If the Progress Based on Activity Progress option is selected on the Resource Details dialog box, Open Plan calculates this value based on the progress reported on the activity.

  • If the Progress Based on Activity Progress option is cleared on the Resource Details dialog box, Open Plan calculates this value based on the values that have been entered on the Resources tab of the Activity Progress dialog box.


labor_quantity_bacprojpropcosttabpopupproj

Labor Quantity BAC

This value represents the total number of labor resource units budgeted for the project. The Labor Quantity BAC for the project is stored in the BAC_QTY field in the Project table.

The calculations that are performed at the activity level depend on whether the Use Version 2 Cost Calculation Method option is selected on this tab of the Project Properties dialog box.

  • By default, the Use Version 2 Cost Calculation Method is cleared for new projects. In this mode, Open Plan calculates the Labor Quantity BAC by summing the values in the RES_USED field for labor resources assigned to this activity for the Performance Measurement Baseline (PMB) in the baseline usage table. By always using the PMB when it is available, Open Plan provides consistency and reliability.

    • If there is no baseline named PMB, Open Plan uses the currently selected baseline, or, in the case of multiple selected baselines, the baseline identified as Baseline 1. If the project contains baselines, but none is selected or named PMB, Open Plan prompts you to select a baseline. If the project has no baselines, Open Plan uses the Version 2 Cost Calculation Method automatically. A baseline must be selected in order for Open Plan to calculate earned value.

  • If the Use Version 2 Cost Calculation Method is selected, Open Plan calculates this value by summing the values in the Level field of the Assignment table adjusted for any curve, offset, or period that may be defined.


labor_quantity_bcwpprojpropcosttabpopupproj

Labor Quantity BCWP

This value represents the earned value of labor resource units budgeted for the project. The Labor Quantity BCWP for the project is stored in the BCWP_QTY field on the Project table. This value is calculated by summing the values in the Activity table.

The values in the Activity table are calculated during cost calculations by summing the earned value of resource labor units (BCWP_QTY) in the Resource Cost table. The earned value of resource labor units (BCWP_QTY) in the Resource Cost Table is calculated during cost calculations, by multiplying the physical percent complete of the assignment by the original (budgeted) labor resource quantity (RES_USED) value in the Performance Measurement Baseline (PMB) on the Baseline Usage table. By always using the PMB when it is available, Open Plan provides consistency and reliability.

If there is no baseline named PMB, Open Plan uses the currently selected baseline, or, in the case of multiple selected baselines, the baseline identified as Baseline 1. If the project contains baselines, but none is selected or named PMB, Open Plan prompts you to select a baseline during cost calculations. If the project has no baselines and the Version 2 Cost Calculation Method is selected on the Cost tab of the Project Properties dialog box, Open Plan calculates BCWP by summing the values in the Level field of the Assignment table adjusted for any curve, offset, or period that may be defined.

Each time you calculate costs, an entry is added to the resource cost table that represents current period BCWP. For a new period, this value is calculated by subtracting the sum of all previous values from the new total calculated BCWP.


labor_quantity_bcwsprojpropcosttabpopupproj

Labor Quantity BCWS

This value represents the budgeted quantity of labor for the work scheduled for the project from the baseline start date of the project until Time Now. The Labor Quantity BCWS for the project is stored in the BCWS_QTY field on the Project table. This value is calculated by summing the values from the Activity table.

The values in the Activity table are calculated during cost calculations by summing the original (budgeted) labor resource quantity (RES_USED) value in the Performance Measurement Baseline (PMB) in the Baseline Usage table from the baseline start date until Time Now. By always using the PMB when it is available, Open Plan provides consistency and reliability.

If there is no baseline named PMB, Open Plan uses the currently selected baseline, or, in the case of multiple selected baselines, the baseline identified as Baseline 1. If the project contains baselines, but none is selected or named PMB, Open Plan prompts you to select a baseline during cost calculations. If the project has no baselines, BCWS will not be calculated. A baseline must be selected in order for Open Plan to calculate earned value.


labor_quantity_eacprojpropcosttabpopupproj

Labor Quantity EAC

This value represents the total of both the estimated and the completed labor quantities for the project. The Labor Quantity EAC for the project is calculated by first totaling the values in the ETC_QTY and the ACWP_QTY fields in the Activity table and then adding the resultant totals.

The ETC_QTY is calculated at the activity level by summing the Remaining values on the Assignment table.

If the Progress Based on Activity Progress option is selected on the Resource Details dialog box, Open Plan calculates Remaining values during cost calculations.


late_finishpopupproj

Late Finish

The late finish date of the project as calculated by time analysis.


latecrosstablepopupproj

Late

Selecting this option exports the resource values (quantity, cost, and/or escalated cost) by late dates.

Late dates are calculated in time analysis as the latest dates on which activities can start and finish without delaying the project.


level_of_effortevpopupproj

Earned Value

You can specify the Earned Value Technique (EVT) that Open Plan automatically assigns to a new activity. When the Base Physical Percent Complete on EVT option is selected on the Progress Calculations dialog box, Open Plan uses the selected EVT to update the earned value of the activities when progress calculations are run.

You can override this default EVT for an activity by assigning a new EVT to the activity using the Advanced tab of the Activity Details dialog box.

You can choose from the following EVTs:

  • Level of Effort — This EVT assumes that if the activity has started, it will progress (and, thus, earn value) according to the original budget without deviation. By definition, the value earned by an activity using this EVT is equal to the budget up to Time Now. In other words, starting a Level of Effort (LOE) activity results in the activity immediately earning its entire budget up to Time Now.

  • Percent Complete

  • 50-50

  • 0-100

  • 100-0

  • User-Defined Percentage

  • Planning Package

  • Resource Percent Complete

There are few hard and fast rules about selecting earned value techniques. The general rule is to select a method that allows you to "earn how you plan." For example, if an activity spans two periods and the budget spread is $50 in the first period and $50 in the second period, you would should select a EVT that, if on schedule, would allow you to earn half of the $100 budget when the activity is started and the other half when it is finished. (This scenario would most likely use the 50-50 EVT.)


linearcrosstablepopupproj

Linear

Selecting this option allows you to set the Granularity and Frequency of the time periods Open Plan uses when calculating and exporting the data.

  • Granularity — This field controls the time period to use to calculate and export the data. You can select from years, quarters, months, weeks, days, and hours.

  • Frequency — This field allows you to set the frequency of the time periods Open Plan uses.

For example, if you set a Granularity of months with a Frequency of 3, the data would be calculated and exported using time periods similar to the following:

  • 01/01/2003,

  • 04/01/2003,

  • 07/01/2003

  • 10/01/2003

  • 01/01/2004

  • and so on

The options in the Date Range portion of the dialog box allow you to control the time span for the data that Open Plan exports.


list_of_filessave_projectpopupproj

List of files

The list of files that is displayed is controlled by the selection you make in the Save as type field. You can select a file from the list that is displayed.

The selection you make from this list has the following ramifications:

  • If you choose a file with an extension of .mpp, Open Plan warns you before overwriting the file.

  • If you choose a file with an extension of .mpd, Open Plan adds the exported file to the selected database.


machine_idprojinfopopupproj

Machine ID

This column displays the ID of each computer where the file is open.


material_cost_acwpprojpropcosttabpopupproj

Material Cost ACWP

This value represents the actual cost of materials for the project to date. The Material Cost ACWP for the project is stored in the ACWP_MAT field on the Project table. This value is calculated by summing the values in the ACWP_MAT field on the Activity table.

The ACWP_MAT values in the Activity table are calculated during cost calculations based on one of the following conditions:

  • If the Actual Cost Based on Progressed Quantity option is selected on the Resource Details dialog box, Open Plan calculates this value based on the progressed quantity of the resource and stores it in the ACWP_CST and ACWP_ESC fields on the Resource Cost table. Then Open Plan rolls it up to the activity level.

  • If the Actual Cost Based on Progressed Quantity option is cleared on the Resource Details dialog box, Open Plan calculates this value based on the values that have been entered on the Resources tab of the Activity Progress dialog box and which are stored in the Resource Cost table. Open Plan summarizes these values to the activity level.


material_cost_bacprojpropcosttabpopupproj

Material Cost BAC

This value represents the total cost of materials budgeted for the project. The Material Cost BAC for the project is stored in the BAC_MAT field on the Project table. This value is calculated by summing the values in the BAC_MAT field on the Activity table.

The calculations that are performed at the activity level depend on whether the Use Version 2 Cost Calculation Method option is selected on this tab of the Project Properties dialog box.

  • By default, the Use Version 2 Cost Calculation Method is cleared for new projects. In this mode, Open Plan calculates Material Cost BAC by summing the values in either the unescalated material resource cost field (RES_CST) or the escalated material resource cost field (RES_ESC) in the Performance Measurement Baseline (PMB) on the Baseline Usage table. The value that Open Plan uses in this calculation is determined by a setting on the Cost Calculations dialog box:

    • If the Use Resource Cost Escalation option is cleared on the Cost Calculations dialog box, Open Plan uses the RES_CST field.

    • If the Use Resource Cost Escalation option is selected on the Cost Calculations dialog box, Open Plan uses the RES_ESC field.

    By always using the PMB when it is available, Open Plan provides consistency and reliability. If there is no baseline named PMB, Open Plan uses the currently selected baseline, or, in the case of multiple selected baselines, the baseline identified as Baseline 1. If the project contains baselines, but none is selected or named PMB, Open Plan prompts you to select a baseline. If the project has no baselines, Open Plan uses the Version 2 Cost Calculation Method automatically. A baseline must be selected in order for Open Plan to calculate earned value.

  • If the Use Version 2 Cost Calculation Method option is selected, Open Plan calculates this value by summing the values in the Level field of the Assignment table adjusted for any curve, offset, and period that may be defined, and multiplying this value by the appropriate Material Cost rate. The rate that Open Plan uses is determined by a setting on the Cost Calculations dialog box:

    • If the Use Resource Cost Escalation option is cleared on the Cost Calculations dialog box, Open plan uses the unit rate for all entries.

    • If the Use Resource Cost Escalation option is selected on the Cost Calculations dialog box, Open Plan uses the relevant escalated rates for each entry.


material_cost_bcwpprojpropcosttabpopupproj

Material Cost BCWP

This value represents the earned value of material costs for the project. The Material Cost BCWP for the project is stored in the BCWP_MAT field on the Project table. This value is calculated by summing the values in the BCWP_MAT field on the Activity table.

The values in the Activity table are calculated during cost calculations by summing the values in either the unescalated material cost field (BCWP_CST) or the escalated material cost field (BCWP_ESC) in the Resource Cost table. The field that Open Plan uses in this calculation is determined by a setting on the Cost Calculations dialog box:

  • If the Use Resource Cost Escalation option is cleared on the Cost Calculations dialog box, Open Plan uses the BCWP_CST field.

  • If the Use Resource Cost Escalation option is selected on the Cost Calculations dialog box, Open Plan uses the BCWP_ESC field.


material_cost_bcwsprojpropcosttabpopupproj

Material Cost BCWS

This value represents the budgeted cost of materials scheduled for the project from the baseline start date of the project until Time Now. The Material Cost BCWS for the project is stored in the BCWS_MAT field on the Project table. This value is calculated by summing the values in the BCWS_MAT field on the Activity table.

The values in the Activity table are calculated during cost calculations by summing the values in either the unescalated material resource cost field (RES_CST) or the escalated material resource cost field (RES_ESC) for the Performance Measurement Baseline (PMB) in the Baseline Usage table from the baseline start date until Time Now. The field that Open Plan sums in this calculation is determined by a setting on the Cost Calculations dialog box:

  • If the Use Resource Cost Escalation option is cleared on the Cost Calculations dialog box, Open Plan uses the RES_CST field.

  • If the Use Resource Cost Escalation option is selected on the Cost Calculations dialog box, Open Plan uses the RES_ESC field.

By always using the PMB when it is available, Open Plan provides consistency and reliability. If there is no baseline named PMB, Open Plan uses the currently selected baseline, or, in the case of multiple baselines, the baseline identified as Baseline 1. If the project has contains baselines, but none is selected or named PMB, Open Plan prompts you to select a baseline during cost calculations. If the project has no baselines, BCWS will not be calculated. A baseline must be selected in order for Open Plan to calculate earned value.


material_cost_eacprojpropcosttabpopupproj

Material Cost EAC

This value represents the estimate of the total material costs for the project when it is complete. The Material Cost EAC for the project is calculated by first totaling the values in the ETC_MAT and the ACWP_MAT fields in the Activity table and then summing the resultant totals.

The ETC_MAT in the Activity table is calculated by adding the Remaining values on the Assignment table for resources that have the resource category of Material. If the Progress Based on Activity Progress option is selected on the Resource Details dialog box, Open Plan calculates Remaining values during cost calculations.

The ACWP_MAT in the Activity table is calculated based on one of the following conditions:

  • If the Actual Cost Based on Progressed Quantity option is selected on the Resource Details dialog box, Open Plan calculates this value based on the progressed quantity of the resource and stores it in the ACWP_CST and ACWP_ESC fields on the Resource Cost table. Then Open Plan rolls it up to the activity level.

  • If the Actual Cost Based on Progressed Quantity option is cleared on the Resource Details dialog box, Open Plan calculates this value based on the values that have been entered on the Resources tab of the Activity Progress dialog box and which are stored in the Resource Cost table. Open Plan summarizes these values to the activity level.


milestone_code_tableproj

Milestone Code Table

If applicable, this field identifies the code field to which the milestone code is assigned.


minimum_calculated_durationpopupproj

Minimum Calculated Duration

This field controls the minimum duration unit that Open Plan uses in calculations. Calculated durations include those generated while stretching a bar in the barchart view.


minimum_total_floatpopupproj

Minimum Total Float

The minimum total float on the critical path as calculated by time analysis.


namebaselinepopupproj

Name

The name of the baseline.


obs_code_tableproj

OBS Code Table

This field identifies the code field to which the OBS code is assigned.


odc_acwpprojpropcosttabpopupproj

ODC ACWP

This value represents the actual Other Direct Costs (ODC) for the project to date. The ODC ACWP for the project is stored in the ACWP_ODC field on the Project table. This value is calculated by summing the values in the ACWP_ODC field on the Activity table.

The ACWP_ODC values in the Activity table are calculated during cost calculations based on one of the following conditions:

  • If the Actual Cost Based on Progressed Quantity option is selected on the Resource Details dialog box, Open Plan calculates this value based on the progressed quantity of the resource and stores it in the ACWP_CST and ACWP_ESC fields on the Resource Cost table. Then Open Plan rolls it up to the activity level.

  • If the Actual Cost Based on Progressed Quantity option is cleared on the Resource Details dialog box, Open Plan calculates this value based on the values that have been entered on the Resources tab of the Activity Progress dialog box and which are stored in the Resource Cost table. Open Plan summarizes these values to the activity level.


odc_bacprojpropcosttabpopupproj

ODC BAC

This value represents the total of Other Direct Costs (ODC) budgeted for the project. The ODC Cost BAC for the project is stored in the BAC_ODC field on the Project table. This value is calculated by summing the values in the BAC_ODC field on the Activity table.

The calculations that are performed at the activity level depend on whether the Use Version 2 Cost Calculation Method option is selected on this tab of the Project Properties dialog box.

  • By default, the Use Version 2 Cost Calculation Method is cleared for new projects. In this mode, Open Plan calculates the ODC BAC by summing the values in either the unescalated ODC cost field (RES_CST) or the escalated ODC cost field (RES_ESC) for the Performance Measurement Baseline (PMB) on the Baseline Usage table. The value that Open Plan uses in this calculation is determined by a setting on the Cost Calculations dialog box:

    • If the Use Resource Cost Escalation option is cleared on the Cost Calculations dialog box, Open Plan uses the RES_CST field.

    • If the Use Resource Cost Escalation option is selected on the Cost Calculations dialog box, Open Plan uses the RES_ESC field.

    By always using the PMB when it is available, Open Plan provides consistency and reliability. If there is no baseline named PMB, Open Plan uses the currently selected baseline, or, in the case of multiple selected baselines, the baseline identified as Baseline 1. If the project contains baselines, but none is selected or named PMB, Open Plan prompts you to select a baseline. If the project has no baselines, Open Plan uses the Version 2 Cost Calculation Method automatically. A baseline must be selected in order for Open Plan to calculate earned value.

  • If the Use Version 2 Cost Calculation Method option is selected, Open Plan calculates this value by summing the values in the LEVEL field of the Assignment table adjusted for any curve, offset, and period that may be defined, and multiplying this value by the appropriate rate. The rate that Open Plan uses is determined by a setting on the Cost Calculations dialog box:

    • If the Use Resource Cost Escalation option is cleared on the Cost Calculations dialog box, Open plan uses the unit rate for all entries.

    • If the Use Resource Cost Escalation option is selected on the Cost Calculations dialog box, Open Plan uses the relevant escalated rates for each entry.


odc_bcwpprojpropcosttabpopupproj

ODC BCWP

This value represents the earned value of Other Direct Costs (ODC) for the project. The ODC BCWP for the project is stored in the BCWP_ODC field on the Project table. This value is calculated by summing the values in the BCWP_ODC field on the Activity table.

The values in the Activity table are calculated during cost calculations by summing the values in either the unescalated ODC cost field (BCWP_CST) or the escalated ODC cost field (BCWP_ESC) in the Resource Cost table. The field that Open Plan uses in this calculation is determined by a setting on the Cost Calculations dialog box:

  • If the Use Resource Cost Escalation option is cleared on the Cost Calculations dialog box, Open Plan uses the BCWP_CST field.

  • If the Use Resource Cost Escalation option is selected on the Cost Calculations dialog box, Open Plan uses the BCWP_ESC field.


odc_bcwsprojpropcosttabpopupproj

ODC BCWS

This value represents the budgeted Other Direct Costs (ODC) scheduled for the project from the baseline start date of the project until Time Now. The ODC BCWS for the project is stored in the BCWS_ODC field on the Project table. This value is calculated by summing the values in the BCWS_ODC field on the Activity table.

The values in the Activity table are calculated during cost calculations by summing the values in either the unescalated ODC resource cost field (RES_CST) or the escalated ODC resource cost field (RES_ESC) for the Performance Measurement Baseline (PMB) in the Baseline Usage table from the baseline start date until Time Now. The field that Open Plan sums in this calculation is determined by a setting on the Cost Calculations dialog box:

  • If the Use Resource Cost Escalation option is cleared on the Cost Calculations dialog box, Open Plan uses the RES_CST field.

  • If the Use Resource Cost Escalation option is selected on the Cost Calculations dialog box, Open Plan uses the RES_ESC field.

By always using the PMB when it is available, Open Plan provides consistency and reliability. If there is no baseline named PMB, Open Plan uses the currently selected baseline, or, in the case of multiple baselines, the baseline identified as Baseline 1. If the project has contains baselines, but none is selected or named PMB, Open Plan prompts you to select a baseline during cost calculations. If the project has no baselines, BCWS will not be calculated. A baseline must be selected in order for Open Plan to calculate earned value.


odc_eacprojpropcosttabpopupproj

ODC EAC

This value represents the estimate of the total ODC costs for the project when it is complete. The ODC EAC for the project is calculated by first totaling the values in the ETC_ODC and the ACWP_ODC fields in the Activity table and then summing the resultant totals.

The ETC_ODC in the Activity table is calculated by adding the Remaining values on the Assignment table for resources that have the resource category of ODC. If the Progress Based on Activity Progress option is selected on the Resource Details dialog box, Open Plan calculates Remaining values during cost calculations.

The ACWP_ODC in the Activity table is calculated based on one of the following conditions:

  • If the Actual Cost Based on Progressed Quantity option is selected on the Resource Details dialog box, Open Plan calculates this value based on the progressed quantity of the resource and stores it in the ACWP_CST and ACWP_ESC fields on the Resource Cost table. Then Open Plan rolls it up to the activity level.

  • If the Actual Cost Based on Progressed Quantity option is cleared on the Resource Details dialog box, Open Plan calculates this value based on the values that have been entered on the Resources tab of the Activity Progress dialog box and which are stored in the Resource Cost table. Open Plan summarizes these values to the activity level.


open_modeprojinfopopupproj

Open Mode

This column displays the mode in which the project is open. This mode can be any of the following:

  • Exclusive — Only the person who has the project open in this mode may save changes to the data. If one person has the project open in this mode, other users may open the project only in Read Only mode.

  • Shared — More than one person may make changes to the project.

  • Read Only — Changes to the project cannot be made by anyone who has the project open in this mode.


opened_onprojinfopopupproj

Opened On

For each user who has the project open, this column displays the date and time that it was opened.


ownerprojpropertiessummarypopup

Owner

This field displays the ID of the current owner of the project. In most cases, this is the person who created the project.


percent_completeevpopupproj

Earned Value

You can specify the Earned Value Technique (EVT) that Open Plan automatically assigns to a new activity. When the Base Physical Percent Complete on EVT option is selected on the Progress Calculations dialog box, Open Plan uses the selected EVT to update the earned value of the activities when progress calculations are run.

You can override this default EVT for an activity by assigning a new EVT to the activity using the Advanced tab of the Activity Details dialog box.

You can choose from the following EVTs:

  • Level of Effort

  • Percent Complete — With this EVT, the user enters percent complete directly. Percent complete places the burden of objective performance measurement on the individual or system that provides the information.

  • 50-50

  • 0-100

  • 100-0

  • User-Defined Percentage

  • Planning Package

  • Resource Percent Complete

There are few hard and fast rules about selecting earned value techniques. The general rule is to select a method that allows you to "earn how you plan." For example, if an activity spans two periods and the budget spread is $50 in the first period and $50 in the second period, you would should select a EVT that, if on schedule, would allow you to earn half of the $100 budget when the activity is started and the other half when it is finished. (This scenario would most likely use the 50-50 EVT.)


periodcrosstableevpopupproj

Period

Selecting this option instructs Open Plan to calculate the earned value by period.

The periods used are determined by the selection you make on the Date Scale tab.


periodcrosstablepopupproj

Period

Selecting this option instructs Open Plan to calculate the resource usage by period.

The periods used are determined by the selection you make on the Date Scale tab.


planning_packageevpopupproj

Earned Value

You can specify the Earned Value Technique (EVT) that Open Plan automatically assigns to a new activity. When the Base Physical Percent Complete on EVT option is selected on the Progress Calculations dialog box, Open Plan uses the selected EVT to update the earned value of the activities when progress calculations are run.

You can override this default EVT for an activity by assigning a new EVT to the activity using the Advanced tab of the Activity Details dialog box.

You can choose from the following EVTs:

  • Level of Effort

  • Percent Complete

  • 50-50

  • 0-100

  • 100-0

  • User-Defined Percentage

  • Planning Package — Activities using this EVT are used for planning purposes only and do not earn value. This causes earned value to always be calculated as zero regardless of any progress that has been applied.

  • Resource Percent Complete

There are few hard and fast rules about selecting earned value techniques. The general rule is to select a method that allows you to "earn how you plan." For example, if an activity spans two periods and the budget spread is $50 in the first period and $50 in the second period, you would should select a EVT that, if on schedule, would allow you to earn half of the $100 budget when the activity is started and the other half when it is finished. (This scenario would most likely use the 50-50 EVT.)


project_manager_email_addressprojpropertiessummarypopup

Project Manager Email Address

Enter the project manager's email address in this field. While use of this field is optional, Open Plan can use the information it contains as the "To" address in the email advisor.


project_managerprojpropertiessummarypopup

Project Manager

Enter the name of the project manager in this field. While use of this field is optional, the information it contains is used in many reports.


project_phasepopupproj

Project Phase

Identifies the phase at which the project currently stands. There are three phase categories:

  • Proposed — The project proposal has been submitted and is awaiting approval.

  • Open — The project has been approved. Although the project phase is open, the actual project may not necessarily have started as yet. (View the Status tab of the Project Properties dialog box for the current status of the open project.)

  • Closed — The project has been completed.


project_priority_project_properties_scheduling_tabpopupproj

Project Priority

Open Plan allows you to specify a priority on the current project. A higher priority is indicated by a lower numeric value.

When performing resource scheduling on a number of projects at one time — for example, when scheduling external subprojects — Open Plan uses the priority of the master project when determining the availability of resources that are shared with other projects. You can also use the value in the Project Priority field as a tie breaker between external subprojects.


project_startcrosstablepopupproj

Project Start

Selecting this option instructs Open Plan to use the project’s Start Date for the From date but allows you to enter the To date manually.

If Project Start is not set in the Project Properties, the From Date will use the Time Now.


project_startpopupproj

Project Start

The project start date. This serves as a historical reference once the project has begun. You can, however, change the date that is displayed in this text box.


quantitycrosstableevpopupproj

Quantity

Selecting this option instructs Open Plan to calculate and export the resource quantity values.


quantitycrosstablepopupproj

Quantity

For each of the Usage options you select, the Quantity option instructs Open Plan to export the resource quantity values when calculating usage.


read_onlypopupproj

Read Only

If you open a file in read-only mode, other users can open the file in any mode they choose.

You cannot use the Save command to save any changes you make. Instead, you must use the Save As command and save the file under a different name.

You cannot see changes made by other users.


read_onlyprojinfopopupproj

Read Only

The Read Only field acts as a limitation to the rights that might otherwise be permitted:

  • By selecting Yes for this field, you limit the group or user to opening the project in Read Only mode.

  • By selecting No for this field, you place no limitations on the mode in which the project may be opened. Provided that no other user has it open in exclusive mode, the group or user may open the project in any mode they choose.


reporting_calendarcrosstablepopupproj

Reporting Calendar

Selecting this option allows you to use the time periods in an existing reporting calendar when calculating and exporting the data. Reporting calendars allow you to view the exported time-based data against a non-linear date scale with varying degrees of granularity.

By exporting data using different reporting calendars, you can create reports that provide different views of the same data.


reporting_calendarpopupproj

Reporting Calendar

The Reporting Calendar field allows you to specify a reporting calendar file that will be used as a default for date scales that use reporting calendars. When creating or updating a baseline or any resource usage table, Open Plan uses the data in this file to break any usage records that span more than one calendar period into additional records. This feature facilitates the accurate export of time-phased resource assignment information.

This feature is also useful if your company uses a fiscal calendar that contains periods that do not end on the last day of the month.

While the Reporting Calendar feature may be used with any Open Plan project, it is particularly useful to Cobra users as it improves the ability of Cobra to accurately spread time-phased assignment data.


resource_assignment_percent_completeevpopupproj

Earned Value

You can specify the Earned Value Technique (EVT) that Open Plan automatically assigns to a new activity. When the Base Physical Percent Complete on EVT option is selected on the Progress Calculations dialog box, Open Plan uses the selected EVT to update the earned value of the activities when progress calculations are run.

You can override this default EVT for an activity by assigning a new EVT to the activity using the Advanced tab of the Activity Details dialog box.

You can choose from the following EVTs:

  • Level of Effort

  • Percent Complete

  • 50-50

  • 0-100

  • 100-0

  • User-Defined Percentage

  • Planning Package

  • Resource Percent Complete — This EVT allows you to enter status and calculate earned value at the budget element level. This option is useful when you have long activities and your resources are not spread across the entire activity. An example is when you have many resources assigned to a single work package.

There are few hard and fast rules about selecting earned value techniques. The general rule is to select a method that allows you to "earn how you plan." For example, if an activity spans two periods and the budget spread is $50 in the first period and $50 in the second period, you would should select a EVT that, if on schedule, would allow you to earn half of the $100 budget when the activity is started and the other half when it is finished. (This scenario would most likely use the 50-50 EVT.)


resource_definition_filepopupproj

Resource Definition File

Open Plan displays the name of the resource file currently assigned to the project in this text box.

You can use this tab to assign a resource definition file to the project by clicking the ellipsis button to the right of the Resource Definition File edit box and then selecting the resource file from the list in the dialog box that is displayed.

Only one resource definition file can be assigned to a project at any one time.

If you replace the resource definition file currently assigned to the project with another resource definition file, Open Plan asks you to confirm your action.


roleprojinfopopupproj

Role

For each group or user that you want to provide with access to the project or file, you must specify a role by selecting a role from the list.

It is possible to use the Role setting to override the default role of a group or user ID. For example, if you want to grant limited access to a user who has SYSADMIN (complete) access to all files, you can specify a limited-access role for the user.


roll_up_data_to_all_baseline_parentsbaselinepopupproj

Roll-up Data to All Baseline Parents

This option is enabled only when you are updating an existing baseline. If selected, this option rolls up all dates, budget cost, and labor quantity data in the baseline to its parent level.


sa_using_the_open_plan_import_and_export_facilitiesproj

Related Topics:

Importing Data From Another Application

Exporting Data to Another Application

Microsoft Project Integration

Related Procedures:

Importing an MSP File

Importing a P3 File


save_as_typesave_projectpopupproj

Save as type

This field controls the type of files listed in the dialog box and a default extension for the file in the File name field.

If you are exporting a Microsoft file, you may select from the following options.

  • MSProject files — This option limits the display to files in the .mpp format and provides a default extension of .mpp to the file specified in the File name field.

  • MSProject databases — This option limits the display to files in the .mpd format and provides a default extension of .mpd to the file specified in the File name field. If you do not choose an existing file name for the database, Open Plan creates a new MSProject database with the name you specify.

If you are using the Export General command, the options that are displayed in this list are dependent on the Export Specification you are using. For example, if you elect to export to XML, the list displays only .xml and All Files.


save_insave_projectpopupproj

Save in

You can use this field to select the drive and directory where the file is to be stored.


saworking_with_p3_filesproj

Related Topic:

P3 Import Considerations

Related Procedure:

Importing a P3 File

Importing a XER File


schedulecrosstablepopupproj

Schedule

Selecting this option exports the resource values (quantity, cost, and/or escalated cost) by schedule dates, also know as resource usage.

Schedule dates are the activity start and finish dates calculated by resource scheduling.


scheduled_finishpopupproj

Scheduled Finish

The scheduled finish date of the project as calculated by resource scheduling.


seealso_baseline_issuesproj

Related Topics:

Using Project Baselines

Using Baseline Information in Resource Histogram Views

Using the Baselines Dialog Box

Using the Add Baseline Dialog Box

Using the Copy Baseline Dialog Box

Using the Update Baseline Dialog Box

Using the Baseline Access Control Dialog Box

Using the Multiple Baselines Dialog Box

Related Procedures:

Selecting a Baseline

Creating a New Baseline

Updating a Baseline

Deleting a Baseline


seealso_exporting_data_to_another_applicationproj

Related Topics:

Using the Export Dialog Box

Using the Export File Dialog Box

Importing Data From Another Application

Sharing Data Between Open Plan and Other Applications

Related Procedure:

Exporting Data to Another Application


seealso_importing_data_from_another_applicationproj

Related Topics:

Using the Import Dialog Box

Using the Import File Dialog Box

Exporting Data to Another Application

Sharing Data Between Open Plan and Other Applications

Related Procedure:

Importing Data From Another Application


seealso_open_plan_data_sourcesproj

Related Topic:

Using the Edit Data Source Dialog Box


seealso_preparing_to_import_a_microsoft_project_fileproj

Related Topics:

Importing Data From Another Application

Exporting Data to Another Application


seealso_sharing_data_between_open_plan_and_other_applications

Related Topics:

Importing Data From Another Application

Exporting Data to Another Application


seealso_using_baseline_information_in_resource_histogram_viewsproj

Related Topics:

Using Project Baselines

Baseline Issues

Using the Baselines Dialog Box

Using the Add Baseline Dialog Box

Using the Copy Baseline Dialog Box

Using the Update Baseline Dialog Box

Using the Baseline Access Control Dialog Box

Using the Multiple Baselines Dialog Box

Related Procedures:

Selecting a Baseline

Creating a New Baseline

Updating a Baseline

Deleting a Baseline


seealso_using_project_baselinesproj

Related Topics:

Baseline Issues

Using Baseline Information in Resource Histogram Views

Using the Add Baseline Dialog Box

Using the Baseline Access Control Dialog Box

Using the Baseline Date Range Dialog Box

Using the Baselines Dialog Box

Using the Copy Baseline Dialog Box

Using the Update Baseline Dialog Box

Using the Multiple Baselines Dialog Box

Related Procedures:

Creating a New Baseline

Selecting a Baseline

Deleting a Baseline

Updating a Baseline


seealso_using_the_add_baseline_dialog_boxproj

Related Topics:

Baseline Issues

Using Project Baselines

Using Baseline Information in Resource Histogram Views

Using the Baseline Access Control Dialog Box

Using the Baseline Date Range Dialog Box

Using the Baselines Dialog Box

Using the Copy Baseline Dialog Box

Using the Update Baseline Dialog Box

Using the Multiple Baselines Dialog Box

Using the Project Start Date Dialog Box

Related Procedures:

Creating a New Baseline

Deleting a Baseline

Selecting a Baseline

Updating a Baseline


seealso_using_the_add_linked_baseline_dialog_boxproj

Related Topics:

Using Project Baselines

Using Baseline Information in Resource Histogram Views

Baseline Issues

Using the Baselines Dialog Box

Using the Add Baseline Dialog Box

Using the Copy Baseline Dialog Box

Using the Update Baseline Dialog Box

Using the Baseline Access Control Dialog Box

Using the Multiple Baselines Dialog Box

Related Procedures:

Creating a New Baseline

Selecting a Baseline

Updating a Baseline

Deleting a Baseline


seealso_using_the_baseline_access_control_dialog_boxproj

Related Topics:

Using Project Baselines

Using Baseline Information in Resource Histogram Views

Baseline Issues

Using the Baselines Dialog Box

Using the Add Baseline Dialog Box

Using the Copy Baseline Dialog Box

Using the Update Baseline Dialog Box

Using the Multiple Baselines Dialog Box

Related Procedures:

Creating a New Baseline

Selecting a Baseline

Updating a Baseline

Deleting a Baseline


seealso_using_the_baselines_dialog_boxproj

Related Topics:

Baseline Issues

Using Baseline Information in Resource Histogram Views

Using Project Baselines

Using the Add Baseline Dialog Box

Using the Baseline Access Control Dialog Box

Using the Baseline Date Range Dialog Box

Using the Copy Baseline Dialog Box

Using the Update Baseline Dialog Box

Using the Multiple Baselines Dialog Box

Related Procedures:

Creating a New Baseline

Deleting a Baseline

Selecting a Baseline

Updating a Baseline


seealso_using_the_copy_baseline_dialog_boxproj

Related Topics:

Using Project Baselines

Using Baseline Information in Resource Histogram Views

Baseline Issues

Using the Baselines Dialog Box

Using the Add Baseline Dialog Box

Using the Update Baseline Dialog Box

Using the Baseline Access Control Dialog Box

Using the Multiple Baselines Dialog Box

Related Procedures:

Creating a New Baseline

Selecting a Baseline

Updating a Baseline

Deleting a Baseline


seealso_using_the_copy_export_specification_dialog_boxproj

Related Topics:

Using the Crosstable Exports Dialog Box

Using the New Export Specification Dialog Box

Using the Crosstable Export Definition Dialog Box

Using the Crosstable Export Definition General Tab

Using the Crosstable Export Definition Resources Tab

Using the Crosstable Export Definition Earned Value Tab

Using the Crosstable Export Definition Date Scale Tab

Using the Crosstable Export Definition Activity Data Tab

Using the Crosstable Export Definition Resource Data Tab

Related Procedures:

Creating a Crosstable Export Specification

Copying a Crosstable Export Specification

Editing a Crosstable Export Specification

Deleting a Crosstable Export Specification


seealso_using_the_crosstable_export_definition_access_control_tabproj

Related Topics:

Using the Crosstable Exports Dialog Box

Using the New Export Specification Dialog Box

Using the Copy Export Specification Dialog Box

Using the Crosstable Export Definition Dialog Box

Using the Crosstable Export Definition General Tab

Using the Crosstable Export Definition Resource Data Tab

Using the Crosstable Export Definition Earned Value Tab

Using the Crosstable Export Definition Date Scale Tab

Using the Crosstable Export Definition Resource Data Tab

Related Procedures:

Creating a Crosstable Export Specification

Copying a Crosstable Export Specification

Editing a Crosstable Export Specification

Deleting a Crosstable Export Specification


seealso_using_the_crosstable_export_definition_activity_data_tabproj

Related Topics:

Using the Crosstable Exports Dialog Box

Using the New Export Specification Dialog Box

Using the Copy Export Specification Dialog Box

Using the Crosstable Export Definition Dialog Box

Using the Crosstable Export Definition General Tab

Using the Crosstable Export Definition Resource Data Tab

Using the Crosstable Export Definition Earned Value Tab

Using the Crosstable Export Definition Date Scale Tab

Using the Crosstable Export Definition Resource Data Tab

Using the Crosstable Export Definition Access Control Tab

Related Procedures:

Creating a Crosstable Export Specification

Copying a Crosstable Export Specification

Editing a Crosstable Export Specification

Deleting a Crosstable Export Specification


seealso_using_the_crosstable_export_definition_date_scale_tabproj

Related Topics:

Using the Crosstable Exports Dialog Box

Using the New Export Specification Dialog Box

Using the Copy Export Specification Dialog Box

Using the Crosstable Export Definition Dialog Box

Using the Crosstable Export Definition General Tab

Using the Crosstable Export Definition Resource Data Tab

Using the Crosstable Export Definition Earned Value Tab

Using the Crosstable Export Definition Activity Data Tab

Using the Crosstable Export Definition Resource Data Tab

Using the Crosstable Export Definition Access Control Tab

Related Procedures:

Creating a Crosstable Export Specification

Copying a Crosstable Export Specification

Editing a Crosstable Export Specification

Deleting a Crosstable Export Specification


seealso_using_the_crosstable_export_definition_earned_value_tabproj

Related Topics:

Using the Crosstable Exports Dialog Box

Using the New Export Specification Dialog Box

Using the Copy Export Specification Dialog Box

Using the Crosstable Export Definition Dialog Box

Using the Crosstable Export Definition General Tab

Using the Crosstable Export Definition Resource Data Tab

Using the Crosstable Export Definition Date Scale Tab

Using the Crosstable Export Definition Activity Data Tab

Using the Crosstable Export Definition Resource Data Tab

Using the Crosstable Export Definition Access Control Tab

Related Procedures:

Creating a Crosstable Export Specification

Copying a Crosstable Export Specification

Editing a Crosstable Export Specification

Deleting a Crosstable Export Specification


seealso_using_the_crosstable_export_definition_general_tabproj

Related Topics:

Using the Crosstable Exports Dialog Box

Using the New Export Specification Dialog Box

Using the Copy Export Specification Dialog Box

Using the Crosstable Export Definition Dialog Box

Using the Crosstable Export Definition Resource Data Tab

Using the Crosstable Export Definition Earned Value Tab

Using the Crosstable Export Definition Date Scale Tab

Using the Crosstable Export Definition Activity Data Tab

Using the Crosstable Export Definition Resource Data Tab

Using the Crosstable Export Definition Access Control Tab

Related Procedures:

Creating a Crosstable Export Specification

Copying a Crosstable Export Specification

Editing a Crosstable Export Specification

Deleting a Crosstable Export Specification


seealso_using_the_crosstable_export_definition_resource_data_tabproj

Related Topics:

Using the Crosstable Exports Dialog Box

Using the New Export Specification Dialog Box

Using the Copy Export Specification Dialog Box

Using the Crosstable Export Definition Dialog Box

Using the Crosstable Export Definition General Tab

Using the Crosstable Export Definition Earned Value Tab

Using the Crosstable Export Definition Date Scale Tab

Using the Crosstable Export Definition Activity Data Tab

Using the Crosstable Export Definition Access Control Tab

Related Procedures:

Creating a Crosstable Export Specification

Copying a Crosstable Export Specification

Editing a Crosstable Export Specification

Deleting a Crosstable Export Specification


seealso_using_the_crosstable_exports_dialog_boxproj

Related Topics:

Using the Export of Data Complete Dialog Box

Using the New Export Specification Dialog Box

Using the Copy Export Specification Dialog Box

Using the Crosstable Export Definition Dialog Box

Using the Crosstable Export Definition General Tab

Using the Crosstable Export Definition Resource Data Tab

Using the Crosstable Export Definition Earned Value Tab

Using the Crosstable Export Definition Date Scale Tab

Using the Crosstable Export Definition Activity Data Tab

Using the Crosstable Export Definition Resource Data Tab

Using the Crosstable Export Definition Access Control Tab

Related Procedures:

Creating a Crosstable Export Specification

Copying a Crosstable Export Specification

Editing a Crosstable Export Specification

Deleting a Crosstable Export Specification


seealso_using_the_export_dialog_boxproj

Related Topics:

Exporting Data to Another Application

Using the Export File Dialog Box

Sharing Data Between Open Plan and Other Applications

Related Procedure:

Exporting Data to Another Application


seealso_using_the_export_file_dialog_boxproj

Related Topics:

Exporting Data to Another Application

Using the Export Dialog Box

Sharing Data Between Open Plan and Other Applications

Related Procedure:

Exporting Data to Another Application


seealso_using_the_export_of_data_complete_dialog_boxproj

Related Topics:

Using the Crosstable Exports Dialog Box

Using the Copy Export Specification Dialog Box

Using the Crosstable Export Definition Dialog Box

Using the Crosstable Export Definition General Tab

Using the Crosstable Export Definition Resources Tab

Using the Crosstable Export Definition Earned Value Tab

Using the Crosstable Export Definition Date Scale Tab

Using the Crosstable Export Definition Activity Data Tab

Using the Crosstable Export Definition Resource Data Tab

Related Procedures:

Creating a Crosstable Export Specification

Copying a Crosstable Export Specification

Editing a Crosstable Export Specification

Deleting a Crosstable Export Specification


seealso_using_the_file_open_dialog_boxproj

Related Topic:

Using the New File Dialog Box

Related Procedure:

Opening an Open Plan File


seealso_using_the_import_dialog_boxproj

Related Topics:

Importing Data From Another Application

Using the Import File Dialog Box

Sharing Data Between Open Plan and Other Applications

Related Procedure:

Importing Data From Another Application


seealso_using_the_import_file_dialog_boxproj

Related Topics:

Importing Data From Another Application

Using the Import Dialog Box

Sharing Data Between Open Plan and Other Applications

Related Procedure:

Importing Data From Another Application


seealso_using_the_multiple_baselines_dialog_boxproj

Related Topics:

Using Project Baselines

Using Baseline Information in Resource Histogram Views

Baseline Issues

Using the Baselines Dialog Box

Using the Add Baseline Dialog Box

Using the Copy Baseline Dialog Box

Using the Update Baseline Dialog Box

Using the Baseline Access Control Dialog Box

Related Procedures:

Creating a New Baseline

Selecting a Baseline

Updating a Baseline

Deleting a Baseline


seealso_using_the_new_export_specification_dialog_boxproj

Related Topics:

Using the Crosstable Exports Dialog Box

Using the Copy Export Specification Dialog Box

Using the Crosstable Export Definition Dialog Box

Using the Crosstable Export Definition General Tab

Using the Crosstable Export Definition Resources Tab

Using the Crosstable Export Definition Earned Value Tab

Using the Crosstable Export Definition Date Scale Tab

Using the Crosstable Export Definition Activity Data Tab

Using the Crosstable Export Definition Resource Data Tab

Related Procedures:

Creating a Crosstable Export Specification

Copying a Crosstable Export Specification

Editing a Crosstable Export Specification

Deleting a Crosstable Export Specification


seealso_using_the_project_name_dialog_boxproj

Related Topics:

Importing Data From Another Application

Using the Import Dialog Box

Sharing Data Between Open Plan and Other Applications

Related Procedure:

Importing Data From Another Application


seealso_using_the_project_properties_access_control_tabproj

Related Topics:

Using the Project Properties Codes Tab

Using the Project Properties Cost Tab

Using the Project Properties Dialog Box

Using the Project Properties Files Tab

Using the Project Properties Notes Tab

Using the Project Properties Open Status Tab

Using the Project Properties Preferences Tab

Using the Project Properties References Tab

Using the Project Properties Scheduling Tab

Using the Project Properties Status Tab

Using the Project Properties Summary Tab

Using the Project Properties User Fields Tab

Related Procedure:

Granting File Access Rights


seealso_using_the_project_properties_codes_tabproj

Related Topics:

Using the Project Properties Access Control Tab

Using the Project Properties Cost Tab

Using the Project Properties Dialog Box

Using the Project Properties Files Tab

Using the Project Properties Notes Tab

Using the Project Properties Open Status Tab

Using the Project Properties Preferences Tab

Using the Project Properties References Tab

Using the Project Properties Scheduling Tab

Using the Project Properties Status Tab

Using the Project Properties Summary Tab

Using the Project Properties User Fields Tab


seealso_using_the_project_properties_cost_tabproj

Related Topics:

Using the Project Properties Access Control Tab

Using the Project Properties Codes Tab

Using the Project Properties Dialog Box

Using the Project Properties Files Tab

Using the Project Properties Notes Tab

Using the Project Properties Open Status Tab

Using the Project Properties Preferences Tab

Using the Project Properties References Tab

Using the Project Properties Scheduling Tab

Using the Project Properties Status Tab

Using the Project Properties Summary Tab

Using the Project Properties User Fields Tab

Related Procedure:

Setting a Target Cost for the Project


seealso_using_the_project_properties_dialog_boxproj

Related Topics:

Using the Project Properties Access Control Tab

Using the Project Properties Codes Tab

Using the Project Properties Cost Tab

Using the Project Properties Files Tab

Using the Project Properties Notes Tab

Using the Project Properties Open Status Tab

Using the Project Properties Preferences Tab

Using the Project Properties References Tab

Using the Project Properties Scheduling Tab

Using the Project Properties Status Tab

Using the Project Properties Summary Tab

Using the Project Properties User Fields Tab

Planning

Related Procedures:

Entering Project Summary Information

Setting Project Preferences

Reviewing Project Status

Entering a Project Start Date

Setting a Project Target Start Date

Setting a Project Target Finish Date

Attaching a Note to a Project


seealso_using_the_project_properties_files_tabproj

Related Topics:

Using the Project Properties Access Control Tab

Using the Project Properties Codes Tab

Using the Project Properties Cost Tab

Using the Project Properties Dialog Box

Using the Project Properties Notes Tab

Using the Project Properties Open Status Tab

Using the Project Properties Preferences Tab

Using the Project Properties References Tab

Using the Project Properties Scheduling Tab

Using the Project Properties Status Tab

Using the Project Properties Summary Tab

Using the Project Properties User Fields Tab

Related Procedures:

Using Project Properties to Assign a Calendar File to a Project

Using Project Properties to Assign a Resource File to a Project

Using Project Properties to Assign a Code File to a Project


seealso_using_the_project_properties_notes_tabproj

Related Topics:

Using the Project Properties Access Control Tab

Using the Project Properties Codes Tab

Using the Project Properties Cost Tab

Using the Project Properties Dialog Box

Using the Project Properties Files Tab

Using the Project Properties Open Status Tab

Using the Project Properties Preferences Tab

Using the Project Properties References Tab

Using the Project Properties Open Status Tab

Using the Project Properties Scheduling Tab

Using the Project Properties Status Tab

Using the Project Properties Summary Tab

Using the Project Properties User Fields Tab

Related Procedures:

Attaching a Note to a Project

Editing a Project Note

Deleting a Project Note

Creating a Note Category


seealso_using_the_project_properties_open_status_tabproj

Related Topics:

Using the Project Properties Access Control Tab

Using the Project Properties Codes Tab

Using the Project Properties Cost Tab

Using the Project Properties Dialog Box

Using the Project Properties Files Tab

Using the Project Properties Notes Tab

Using the Project Properties Preferences Tab

Using the Project Properties References Tab

Using the Project Properties Scheduling Tab

Using the Project Properties Status Tab

Using the Project Properties Summary Tab

Using the Project Properties User Fields Tab


seealso_using_the_project_properties_preferences_tabproj

Related Topics:

Using the Project Properties Access Control Tab

Using the Project Properties Codes Tab

Using the Project Properties Cost Tab

Using the Project Properties Dialog Box

Using the Project Properties Files Tab

Using the Project Properties Notes Tab

Using the Project Properties Open Status Tab

Using the Project Properties References Tab

Using the Project Properties Scheduling Tab

Using the Project Properties Status Tab

Using the Project Properties Summary Tab

Using the Project Properties User Fields Tab

Related Procedure:

Setting Project Preferences


seealso_using_the_project_properties_references_tabproj

Related Topics:

Using the Project Properties Access Control Tab

Using the Project Properties Codes Tab

Using the Project Properties Cost Tab

Using the Project Properties Dialog Box

Using the Project Properties Files Tab

Using the Project Properties Notes Tab

Using the Project Properties Open Status Tab

Using the Project Properties Preferences Tab

Using the Project Properties Scheduling Tab

Using the Project Properties Status Tab

Using the Project Properties Summary Tab

Using the Project Properties User Fields Tab

Related Procedure:

Setting Project References


seealso_using_the_project_properties_scheduling_tabproj

Related Topics:

Using the Project Properties Access Control Tab

Using the Project Properties Codes Tab

Using the Project Properties Cost Tab

Using the Project Properties Dialog Box

Using the Project Properties Files Tab

Using the Project Properties Notes Tab

Using the Project Properties Open Status Tab

Using the Project Properties Preferences Tab

Using the Project Properties References Tab

Using the Project Properties Status Tab

Using the Project Properties Summary Tab

Using the Project Properties User Fields Tab

Related Procedures:

Setting a Project Priority

Removing Summary Resource Usage Information for Projects


seealso_using_the_project_properties_status_tabproj

Related Topics:

Using the Project Properties Access Control Tab

Using the Project Properties Codes Tab

Using the Project Properties Cost Tab

Using the Project Properties Dialog Box

Using the Project Properties Files Tab

Using the Project Properties Notes Tab

Using the Project Properties Open Status Tab

Using the Project Properties Preferences Tab

Using the Project Properties References Tab

Using the Project Properties Scheduling Tab

Using the Project Properties Summary Tab

Using the Project Properties User Fields Tab

Related Procedures:

Reviewing Project Status

Setting Time Now

Entering a Project Start Date

Setting a Project Target Start Date

Setting a Project Target Finish Date


seealso_using_the_project_properties_summary_tabproj

Related Topics:

Using the Project Properties Access Control Tab

Using the Project Properties Codes Tab

Using the Project Properties Cost Tab

Using the Project Properties Dialog Box

Using the Project Properties Files Tab

Using the Project Properties Notes Tab

Using the Project Properties Open Status Tab

Using the Project Properties Preferences Tab

Using the Project Properties References Tab

Using the Project Properties Scheduling Tab

Using the Project Properties Status Tab

Using the Project Properties User Fields Tab

Related Procedure:

Entering Project Summary Information


seealso_using_the_project_properties_user_fields_tabproj

Related Topics:

Using the Project Properties Access Control Tab

Using the Project Properties Codes Tab

Using the Project Properties Cost Tab

Using the Project Properties Dialog Box

Using the Project Properties Files Tab

Using the Project Properties Notes Tab

Using the Project Properties Open Status Tab

Using the Project Properties Preferences Tab

Using the Project Properties References Tab

Using the Project Properties Scheduling Tab

Using the Project Properties Status Tab

Using the Project Properties Summary Tab


seealso_using_the_select_p3_project_dialog_boxproj

Related Topic:

Working with P3 Files

Related Procedures:

Importing a P3 File

Importing Data from Another Application

Exporting Data to Another Application

Importing an MSP File

Exporting a File to an MSP Project

Exporting a File to an MSP Database

Opening an Open Plan File


seealso_using_the_update_baseline_dialog_boxproj

Related Topics:

Baseline Issues

Using Baseline Information in Resource Histogram Views

Using Project Baselines

Using the Add Baseline Dialog Box

Using the Baseline Access Control Dialog Box

Using the Baseline Date Range Dialog Box

Using the Baselines Dialog Box

Using the Copy Baseline Dialog Box

Using the Multiple Baselines Dialog Box

Related Procedures:

Creating a New Baseline

Deleting a Baseline

Selecting a Baseline

Updating a Baseline


select_baselineprojpropertiessummarypopup

Select Baseline

Clicking this button displays a dialog box that you can use to select up to three baselines for the project. In addition, you can use this dialog box to create, update, and delete project baselines.


sharedpopupproj

Shared

If you open a file in shared mode, other users can open the file and make changes while you have it open.

In shared mode, some changes are saved, while others are not:

  • Any changes that you make to the file are stored immediately.

  • Cost calculations are saved.

  • The results of time analysis and resource scheduling performed in shared mode are not saved.

Because the project data is shared, you cannot add or change an auxiliary (calendar, code, or resource) file.

You cannot save a file opened in shared mode using the Save command. You can, however, save it with a new name by using the Save As command.


standard_chbs_code_tableproj

Standard ChBS Code Table

This field identifies the code field to which the Standard Charge Breakdown Structure code is assigned.


startup_viewpopupproj

Startup View

Open Plan automatically displays the selected startup view whenever you open the project.


statuspopupproj

Status

The status of a project can be one of the following:

  • Planned — The project has not yet started.

  • In Progress — The project has started but is not yet complete.

  • Complete — The project is complete.


subcontract_cost_acwpprojpropcosttabpopupproj

Subcontract Cost ACWP

This value represents the actual subcontract costs for the project to date. The Subcontract Cost ACWP for the project is stored in the ACWP_SUB field on the Project table. This value is calculated by summing the values in the ACWP_SUB field on the Activity table.

The ACWP_SUB values in the Activity table are calculated during cost calculations based on one of the following conditions:

  • If the Actual Cost Based on Progressed Quantity option is selected on the Resource Details dialog box, Open Plan calculates this value based on the progressed quantity of the resource and stores it in the ACWP_CST and ACWP_ESC fields on the Resource Cost table. Then Open Plan rolls it up to the activity level.

  • If the Actual Cost Based on Progressed Quantity option is cleared on the Resource Details dialog box, Open Plan calculates this value based on the values that have been entered on the Resources tab of the Activity Progress dialog box and which are stored in the Resource Cost table. Open Plan summarizes these values to the activity level.


subcontract_cost_bacprojpropcosttabpopupproj

Subcontract Cost BAC

This value represents the total subcontract costs budgeted for the project. The Subcontract Cost BAC for the project is stored in the BAC_SUB field on the Project table. This value is calculated by summing the values in the BAC_SUB field on the Activity table.

The calculations that are performed at the activity level depend on whether the Use Version 2 Cost Calculation Method option is selected on this tab of the Project Properties dialog box.

  • By default, the Use Version 2 Cost Calculation Method is cleared for new projects. In this mode, Open Plan calculates the Subcontract Cost BAC by summing the values in either the unescalated subcontract cost field (RES_CST) or the escalated subcontract cost field (RES_ESC) for the Performance Measurement Baseline (PMB) on the Baseline Usage table. The field that Open Plan uses in this calculation is determined by a setting on the Cost Calculations dialog box:

    • If the Use Resource Cost Escalation option is cleared on the Cost Calculations dialog box, Open Plan uses the RES_CST field.

    • If the Use Resource Cost Escalation option is selected on the Cost Calculations dialog box, Open Plan uses the RES_ESC field.

    By always using the PMB when it is available, Open Plan provides consistency and reliability. If there is no baseline named PMB, Open Plan uses the currently selected baseline, or, in the case of multiple selected baselines, the baseline identified as Baseline 1. If the project contains baselines, but none is selected or named PMB, Open Plan prompts you to select a baseline. If the project has no baselines, Open Plan uses the Version 2 Cost Calculation Method automatically. A baseline must be selected in order for Open Plan to calculate earned value.

  • If the Use Version 2 Cost Calculation Method option is selected, Open Plan calculates this value by summing the values in the LEVEL field of the Assignment table adjusted for any curve, offset, and period that may be defined, and multiplying this value by the appropriate rate. The rate that Open Plan uses is determined by a setting on the Cost Calculations dialog box:

    • If the Use Resource Cost Escalation option is cleared on the Cost Calculations dialog box, Open plan uses the unit rate for all entries.

    • If the Use Resource Cost Escalation option is selected on the Cost Calculations dialog box, Open Plan uses the relevant escalated rates for each entry.


subcontract_cost_bcwpprojpropcosttabpopupproj

Subcontract Cost BCWP

This value represents the earned value of subcontract costs for the project. The Subcontract Cost BCWP for the project is stored in the BCWP_SUB field on the Project table. This value is calculated by summing the values in the BCWP_SUB field on the Activity table.

The values in the Activity table are calculated during cost calculations by summing the values in either the unescalated subcontract cost field (BCWP_CST) or the escalated subcontract cost field (BCWP_ESC) in the Resource Cost table. The field that Open Plan uses in this calculation is determined by a setting on the Cost Calculations dialog box:

  • If the Use Resource Cost Escalation option is cleared on the Cost Calculations dialog box, Open Plan uses the BCWP_CST field.

  • If the Use Resource Cost Escalation option is selected on the Cost Calculations dialog box, Open Plan uses the BCWP_ESC field.


subcontract_cost_bcwsprojpropcosttabpopupproj

Subcontract Cost BCWS

This value represents the budgeted subcontract costs scheduled for the project from the baseline start date of the project until Time Now. The Subcontract Cost BCWS for the project is stored in the BCWS_SUB field on the Project table. This value is calculated by summing the values in the BCWS_SUB field on the Activity table.

The values in the Activity table are calculated during cost calculations by summing the values in either the unescalated subcontract cost field (RES_CST) or the escalated subcontract cost field (RES_ESC) for the Performance Measurement Baseline (PMB) in the Baseline Usage table from the baseline start date until Time Now. The field that Open Plan sums in this calculation is determined by a setting on the Cost Calculations dialog box:

  • If the Use Resource Cost Escalation option is cleared on the Cost Calculations dialog box, Open Plan uses the RES_CST field.

  • If the Use Resource Cost Escalation option is selected on the Cost Calculations dialog box, Open Plan uses the RES_ESC field.

By always using the PMB when it is available, Open Plan provides consistency and reliability. If there is no baseline named PMB, Open Plan uses the currently selected baseline, or, in the case of multiple selected baselines, the baseline identified as Baseline 1. If the project contains baselines, but none is selected or named PMB, Open Plan prompts you to select a baseline. If the project has no baselines, BCWS will not be calculated. A baseline must be selected in order for Open Plan to calculate earned value.


subcontract_cost_eacprojpropcosttabpopupproj

Subcontract Cost EAC

This value represents the estimate of the total subcontract costs for the project when it is complete. The Subcontract Cost EAC for the project is calculated by first totaling the values in the ETC_SUB and the ACWP_SUB fields in the Activity table and then summing the resultant totals.

The ETC_SUB in the Activity table is calculated by adding the Remaining values on the Assignment table for resources that have the resource category of Subcontract. If the Progress Based on Activity Progress option is selected on the Resource Details dialog box, Open Plan calculates Remaining values during cost calculations.

The ACWP_SUB in the Activity table is calculated based on one of the following conditions:

  • If the Actual Cost Based on Progressed Quantity option is selected on the Resource Details dialog box, Open Plan calculates this value based on the progressed quantity of the resource and stores it in the ACWP_CST and ACWP_ESC fields on the Resource Cost table. Then Open Plan rolls it up to the activity level.

  • If the Actual Cost Based on Progressed Quantity option is cleared on the Resource Details dialog box, Open Plan calculates this value based on the values that have been entered on the Resources tab of the Activity Progress dialog box and which are stored in the Resource Cost table. Open Plan summarizes these values to the activity level.


target_finishpopupproj

Target Finish

A finish date that you impose on the project. The target finish date affects the dates that the program calculates when performing time analysis or resource scheduling. Entering this date is optional. Ordinarily, you will want to give Open Plan as much flexibility as possible in its calculations by not setting a project target finish date.

If you would like to see when you would have to start a project in order to finish by a given date, enter an NL finish target, run time analysis and look at the late start date of the first activity. This date indicates the date you need to start in order to meet your target even if it is earlier than your planned start.


target_startpopupproj

Target Start

The target start date is used when an external subproject has a relationship in the master project.


target_total_costpopupproj

Target Total Cost

The value you enter in this field is not used in any cost calculations. However, by entering a target cost in this field you have a value that you can use as a benchmark when comparing the budget and actual costs of a project with what was originally planned.


task_code_tableproj

Task Code Table

This field identifies the code field to which the WBS code is assigned.


time_nowcrosstablepopupproj

Time Now

Selecting this option instructs Open Plan to use Time Now for the From date but allows you to enter the To date manually.


time_nowpopupproj

Time Now

The current status date of the project. All information on this tab is current as of this date. No planned activity will be scheduled to start before this date. You can change Time Now by entering a new date in this field and clicking OK.


total_activitiesprojpropertiessummarypopup

Total Activities

The total number of activities within the project.

This total does not include the activities in any open external subprojects.


total_assignmentsprojpropertiessummarypopup

Total Assignments

The total number of resource assignments within the project.


total_completeprojpropertiessummarypopup

Total Complete

The total number of activities within the project that are complete. This value is updated only when time analysis is performed.


total_cost_acwpprojpropcosttabpopupproj

Total Cost ACWP

The value displayed in this field represents the total of the following ACWP costs for the project:

  • Labor Cost

  • Material Cost

  • ODC (Other Direct Costs)

  • Subcontract Cost


total_cost_bacprojpropcosttabpopupproj

Total Cost BAC

The value displayed in this field represents the total of the following BAC costs for the project:

  • Labor Cost

  • Material Cost

  • ODC (Other Direct Costs)

  • Subcontract Cost


total_cost_bcwpprojpropcosttabpopupproj

Total Cost BCWP

The value displayed in this field represents the total of the following BCWP costs for the project:

  • Labor Cost

  • Material Cost

  • ODC (Other Direct Costs)

  • Subcontract Cost


total_cost_bcwsprojpropcosttabpopupproj

Total Cost BCWS

The value displayed in this field represents the total of the following BCWS costs for the project:

  • Labor Cost

  • Material Cost

  • ODC (Other Direct Costs)

  • Subcontract Cost


total_cost_eacprojpropcosttabpopupproj

Total Cost EAC

The value displayed in this field represents the total of the following EAC costs for the project:

  • Labor Cost

  • Material Cost

  • ODC (Other Direct Costs)

  • Subcontract Cost


total_in_progressprojpropertiessummarypopup

Total in Progress

The total number of activities in the project with a status of In Progress. This value is updated only when time analysis is performed.


total_relationshipsprojpropertiessummarypopup

Total Relationships

The total number of relationships within the project.


update_activities_already_in_baselinebaselinepopupproj

Update Activities Already in Baseline

This option is enabled only when you are updating a baseline and allows you to control the action that Open Plan should take for activities already in the baseline that you are updating:

  • If this option is selected, Open Plan adds baseline information not only for new activities but for activities already present in the baseline as well.

  • If this option is not selected, Open Plan adds baseline information for only new activities (that is, activities missing from the original baseline).

Also, selecting this option in conjunction with the Include In-Progress Activities option and/or the Include Complete Activities option enables the Keep Existing Baseline Dates option.


update_baseline_dates_with_current_plan_datesbaselinepopupproj

Update Baseline Dates with Current Plan Dates

This option is enabled when the Include In-Progress Activities option and/or the Include Complete Activities option is selected. It instructs Open Plan to update the baseline dates with the current plan dates for in-progress and complete activities. The current plan dates will include progress for in-progress or completed activities.

In earlier versions of Open Plan, this option was called Use Progressed Dates rather than Existing Baseline Dates.


use_baseline_of_same_name_on_external_subprojectspopupproj

Use Baseline of Same Name on External Subprojects.

This option is enabled only when you are adding a new baseline.

If the master project and its external subprojects contain a baseline with the same name, then selecting this option instructs Open Plan to use the external subprojects' baseline when performing calculations.

If the this option is selected and the external subprojects do not contain a baseline with the same name as the master project's baseline, then Open Plan will not create baseline for the external subprojects with that name.


use_progressed_dates_rather_than_existing_baseline_datesbaselinepopupproj

Use Progressed Dates Rather Than Existing Baseline Dates

This option is enabled only when you choose to include either (or both) in-progress activities or complete activities in the baseline. The operations that Open Plan performs depend on the status of an activity:

  • If an activity is in progress and there is no actual start date on the activity record, Open Plan substitutes the early finish date for the baseline finish date, and subtracts the original duration to calculate a start date for the baseline start. (If there is an actual start date on the record, Open Plan uses that date for the baseline start.)

  • If an activity is complete and both actual dates have been entered, Open Plan substitutes the actual start date for the baseline start date and the actual finish date for the baseline finish date.

  • If an activity is complete, but an actual finish date has not been entered, Open Plan substitutes the actual start date for the baseline start date and calculates the baseline finish date by adding the original duration to the actual start date.

  • If an activity is complete, but neither an actual start date nor an actual finish date has been entered, Open Plan substitutes Time Now for the baseline finish date and subtracts the original duration to calculate a baseline start date.


use_resource_actuals_remainingbaselinepopupproj

Use Resource Actuals + Remaining

This option is enabled when the Include In-Progress Activities option and/or the Include Complete Activities option is selected. It instructs Open Plan to use the resource actuals plus the resource remaining as the baseline budget in the Baseline Summary Usage (BSU) table.

Open Plan accomplishes this by first taking the remaining quantity from the Assignment (ASG) table and calculating the remaining cost and remaining escalated cost. These values are combined with any actual quantity, actual cost, and actual escalated cost from the Cost History (CST) table to generate the baseline resource used, resource cost, and resource escalated cost.

This was the default behavior in previous versions of Open Plan.


use_resource_assignmentsbaselinepopupproj

Use Resource Assignments

This option is enabled when the Include In-Progress Activities option and/or the Include Complete Activities option is selected. It instructs Open Plan to use the resource assignments as the baseline budget in the Baseline Summary Usage (BSU) table.

The resource assignments are taken from the Assignment (ASG) table as either level-per-time units extended by duration and any offsets and periods, or as total quantities spread using a spread curve. Open Plan uses the assignments as the baseline resource used and calculates the resource cost and resource escalated cost. This has the effect of ignoring resource progress for baselining purposes.


use_version_2_cost_calculation_methodpopupproj

Use Version 2 Cost Calculation Method

This field controls the cost calculations method that Open Plan should use when calculating Budget at Complete (BAC) values at the activity level:

  • When this option is cleared (the default setting for new projects), Open Plan uses the Open Plan Version 3 method. With this method, Open Plan calculates costs based on assignments in the Performance Measurement Baseline (PMB) in the Baseline Usage table. By always using the PMB regardless of which baseline is selected, Open Plan provides consistency and reliability.

    • If there is no baseline named PMB, Open Plan uses the currently selected baseline, or, in the case of multiple selected baselines, the baseline identified as Baseline 1. If the project contains baselines, but none is selected or named PMB, Open Plan prompts you to select a baseline. If the project has no baselines, Open Plan uses the Version 2 Cost Calculation Method automatically.

  • When this option is selected, Open Plan uses the Open Plan Version 2 method. With this method, Open Plan calculates costs based on the current resource assignments This is the default setting for projects that were originally created in Open Plan 2.x.


user_defined_percentageevpopupproj

Earned Value

You can specify the Earned Value Technique (EVT) that Open Plan automatically assigns to a new activity. When the Base Physical Percent Complete on EVT option is selected on the Progress Calculations dialog box, Open Plan uses the selected EVT to update the earned value of the activities when progress calculations are run.

You can override this default EVT for an activity by assigning a new EVT to the activity using the Advanced tab of the Activity Details dialog box.

You can choose from the following EVTs:

  • Level of Effort

  • Percent Complete

  • 50-50

  • 0-100

  • 100-0

  • User-Defined Percentage — This EVT is a variation of the 50-50 EVT. The percentage earned at the start of the activity (1 to 99%) is defined in advance by the user by entering the percentage in the Start % field. The remainder is earned when the activity is completed. This method is best used for activities whose schedule dates span a maximum of two fiscal periods.

    • The Start % field is only enabled when you select the User-Defined Percentage EVT.

  • Planning Package

  • Resource Percent Complete

There are few hard and fast rules about selecting earned value techniques. The general rule is to select a method that allows you to "earn how you plan." For example, if an activity spans two periods and the budget spread is $50 in the first period and $50 in the second period, you would should select a EVT that, if on schedule, would allow you to earn half of the $100 budget when the activity is started and the other half when it is finished. (This scenario would most likely use the 50-50 EVT.)


user_idinfopopupproj

User ID

By selecting a field in this column and selecting a user ID from the list, you can specify a specific user who can have access to the project.

You can specify a Group or a User ID but not both.


user_idprojinfopopupproj

User ID

This column displays the user ID of each person who has the project or file open.


user_name_phoneprojinfopopupproj

User Name [Phone]

This column displays the User Name and phone number.


using_the_project_properties_cost_tab_labor_costproj

Using the Project Properties Cost Tab

This tab displays the name of the project and allows you to enter or modify the following information:

  • Description

  • Target Total Cost

  • Reporting Calendar

  • Use Version 2 Cost Calculation Method

The lower portion of this tab contains a grid that displays the following cost information about the project:

  • Labor Quantity

  • Labor Cost — Open Plan displays the following values in this row for the resource assignments on the activity that have a category of Labor:

    • BAC

    • BCWS

    • BCWP

    • ACWP

    • EAC

  • Material Cost

  • ODC (Other Direct Costs)

  • Subcontract Cost

  • Total Cost

The information on this tab is updated when costs are calculated using the Cost Calculations command on the Project menu.

Location

Related Topics and Procedures


using_the_project_properties_cost_tab_labor_quantityproj

Using the Project Properties Cost Tab

This tab displays the name of the project and allows you to enter or modify the following information:

  • Description

  • Target Total Cost

  • Reporting Calendar

  • Use Version 2 Cost Calculation Method

The lower portion of this tab contains a grid that displays the following cost information about the project:

  • Labor Quantity — Open Plan displays the following values in this row for the resource assignments on the activity that have a category of Labor:

    • BAC

    • BCWS

    • BCWP

    • ACWP

    • EAC

  • Labor Cost

  • Material Cost

  • ODC (Other Direct Costs)

  • Subcontract Cost

  • Total Cost

The information on this tab is updated when costs are calculated using the Cost Calculations command on the Project menu.

Location

Related Topics and Procedures


using_the_project_properties_cost_tab_material_costproj

Using the Project Properties Cost Tab

This tab displays the name of the project and allows you to enter or modify the following information:

  • Description

  • Target Total Cost

  • Reporting Calendar

  • Use Version 2 Cost Calculation Method

The lower portion of this tab contains a grid that displays the following cost information about the project:

  • Labor Quantity

  • Labor Cost

  • Material Cost — Open Plan displays the following values in this row for the resource assignments on the activity that have a category of Material:

    • BAC

    • BCWS

    • BCWP

    • ACWP

    • EAC

  • ODC (Other Direct Costs)

  • Subcontract Cost

  • Total Cost

The information on this tab is updated when costs are calculated using the Cost Calculations command on the Project menu.

Location

Related Topics and Procedures


using_the_project_properties_cost_tab_odcproj

Using the Project Properties Cost Tab

This tab displays the name of the project and allows you to enter or modify the following information:

  • Description

  • Target Total Cost

  • Reporting Calendar

  • Use Version 2 Cost Calculation Method

The lower portion of this tab contains a grid that displays the following cost information about the project:

  • Labor Quantity

  • Labor Cost

  • Material Cost

  • ODC (Other Direct Costs — Open Plan displays the following values in this row for the resource assignments on the activity that have a category of ODC:

    • BAC

    • BCWS

    • BCWP

    • ACWP

    • EAC

  • Subcontract Cost

  • Total Cost

The information on this tab is updated when costs are calculated using the Cost Calculations command on the Project menu.

Location

Related Topics and Procedures


using_the_project_properties_cost_tab_subcontract_costproj

Using the Project Properties Cost Tab

This tab displays the name of the project and allows you to enter or modify the following information:

  • Description

  • Target Total Cost

  • Reporting Calendar

  • Use Version 2 Cost Calculation Method

The lower portion of this tab contains a grid that displays the following cost information about the project:

  • Labor Quantity

  • Labor Cost

  • Material Cost

  • ODC (Other Direct Costs)

  • Subcontract Cost — Open Plan displays the following values in this row for the resource assignments on the activity that have a category of Subcontract:

    • BAC

    • BCWS

    • BCWP

    • ACWP

    • EAC

  • Total Cost

The information on this tab is updated when costs are calculated using the Cost Calculations command on the Project menu.

Location

Related Topics and Procedures


using_the_project_properties_cost_tab_total_costproj

Using the Project Properties Cost Tab

This tab displays the name of the project and allows you to enter or modify the following information:

  • Description

  • Target Total Cost

  • Reporting Calendar

  • Use Version 2 Cost Calculation Method

The lower portion of this tab contains a grid that displays the following cost information about the project:

  • Labor Quantity

  • Labor Cost

  • Material Cost

  • ODC (Other Direct Costs)

  • Subcontract Cost

  • Total Cost — Open Plan displays the following total values in this row:

    • BAC

    • BCWS

    • BCWP

    • ACWP

    • EAC

The information on this tab is updated when costs are calculated using the Cost Calculations command on the Project menu.

Location

Related Topics and Procedures


Baselines (Project Menu)

You can issue the Baselines command by opening a project file and clicking Baselines on the Project menu.

Baselines provide a "snapshot" of project status by storing a complete set of project data for a specific point in time. Open Plan allows you to store multiple project baselines so that you can maintain a historical record of changes over the life of a project.

The Baselines command displays a dialog box where you can select a baseline from a list of baselines already included in the project file.

Buttons across the bottom of the dialog box allow you to add new baselines to the list, update existing baselines, or delete baselines from the list.

Related Topics and Procedures


Cost Calculations (Project Menu)

You can issue the Cost Calculations command in the following ways:

  • By clicking Cost Calculations on the Project menu

  • By clicking the Cost Calculations [image] button on the toolbar.

This command aggregates the resource costs for each activity (including subprojects) and for the project as a whole. These project costs are reflected on the Cost tab of the Project Properties dialog box.

The Cost Calculations command also rolls up budgeted, actual, and remaining labor units to the activity and subproject levels. In addition, this command calculates summary physical percent complete values based on budget and earned value of the children.

Open Plan calculates actual costs for only those resources that have the Actual Cost Based on Progressed Quantity option selected in the Resource Details dialog box.

Related Topics and Procedures


Progress Calculations (Project Menu)

You can issue the Automatic Progress command in the following ways:

  • By clicking Progress Calculations on the Project menu

  • By clicking the Progress Calculations [image] button on the toolbar.

This command calculates progress automatically based on a new Time Now date and existing calculated dates.

Related Topics and Procedures


Properties (Project Menu)

You can issue the Properties command for a project by selecting a project from the Open Plan Explorer and clicking Properties on the Project menu.

This command displays the Project Properties dialog box for the selected project. The dialog box contains the following tabs:

  • Summary — Provides information about the project name, description, project manager, company, client, and summary information about the activities, relationships, and resource assignments.

  • Preferences — Controls such project defaults as date formats, working hour conversion factors, durations, and the default access mode.

  • Files — Controls the calendar, resource definition, and code files associated with the project.

  • Status — Provides an overview of the current status of a project.

  • Statistics — Provides information about the total number of activities, the number that have been progressed, the number that are complete, the total number of relationships in the project, and the number of resources that have been assigned.

  • Cost — Provides an overview of the budgeted and actual costs associated with the project.

  • Notes — Allows you to view, enter, modify, and delete notes about the project.

  • Scheduling — Allows you to specify both the project's priority and the type of dates that should be used when calculating the resource usage summary

  • User Fields — Allows you to specify the values that Open Plan should include for user-defined fields on the project table.

  • Access Control — Provides information about the access rights that users with a given group and role assignment have to the project.

  • Open Status — Provides such information about the open status of the project as the ID of each person who has the project open, the computers on which it is open, the mode in which each user has it open, and the date and time when it was last updated.

You do not need to open the project in order to edit most settings on the Project Properties dialog box.

Related Topics and Procedures


Resource Scheduling (Project Menu)

You can issue the Resource Scheduling command from any project view in the following ways:

  • By clicking Resource Scheduling on the Project menu

  • By clicking the Resource Scheduling [image] button on the toolbar.

  • By pressing the Ctrl+R keys

If issued from the Project menu, this command displays a dialog box that allows you to change the resource scheduling options before performing the calculations.

If issued from the toolbar, this command performs resource scheduling using the option settings currently in effect.

Related Topics and Procedures


Resource Scheduling (Toolbar)

You can issue the Resource Scheduling command from any project view in the following ways:

  • By clicking Resource Scheduling on the Project menu

  • By clicking the Resource Scheduling [image] button on the toolbar.

  • By pressing the Ctrl+r keys

If issued from the toolbar, this command performs resource scheduling using the option settings currently in effect.

If issued from the Project menu, this command displays a dialog box that allows you to change the resource scheduling options before performing the calculations.

Related Topics and Procedures


Risk Analysis (Project Menu)

You can issue the Risk Analysis command from any project view in the following ways:

  • By clicking Risk Analysis on the Project menu

  • By clicking the Risk Analysis [image] button on the toolbar.

  • By pressing the Ctrl+k keys

This command allows you to perform a risk analysis using Monte Carlo simulation. This operation establishes estimates of the effects that probability distributions for duration for some or all of the activities in a project can have on project dates

Related Topics and Procedures


Risk Analysis (Toolbar)

You can issue the Risk Analysis command from any project view in the following ways:

  • By clicking Risk Analysis on the Project menu

  • By clicking the Risk Analysis [image] button on the toolbar.

  • By pressing the Ctrl+k keys

This command allows you to perform a risk analysis using Monte Carlo simulation. This operation establishes estimates of the effects that probability distributions for duration for some or all of the activities in a project can have on project dates

Related Topics and Procedures


seealso_baselines_project_menu

Related Topic:

Using the Baselines Dialog Box

Related Procedures:

Selecting a Baseline

Creating a New Baseline

Updating a Baseline

Deleting a Baseline


seealso_cost_calculations_project_menu

Related Topic:

Using the Cost Calculations Dialog Box

Related Procedures

Calculating Project Costs

Calculating Actual Resource Costs

Calculating Budget Activity Costs


seealso_progress_calculations_project_menu

Related Topic:

Using the Progress Calculations Dialog Box

Related Procedure:

Calculating Resource Progress


SeeAlso Properties (Project Menu)

Related Topic:

Using the Project Properties Dialog Box

Related Procedures:

Entering Project Summary Information

Setting Project Preferences

Reviewing Project Status

Entering a Project Start Date

Setting a Project Target Start Date

Setting a Project Target Finish Date

Attaching a Note to a Project


seealso_resource_scheduling_project_menu

Related Topic:

Using the Resource Scheduling Options Tab

Resource Scheduling Processing Options

Related Procedure:

Performing Resource Scheduling


seealso_resource_scheduling_toolbar_project_menu

Related Topic:

Using the Resource Scheduling Options Tab

Resource Scheduling Processing Options

Related Procedure:

Performing Resource Scheduling


seealso_risk_analysis_project_menu

Related Topics:

Activity Details Risk Tab

How Risk Analysis Works

Using the Risk Analysis Options Tab

Using the Risk Analysis Advanced Tab

Related Procedures:

Defining Probability Distributions for an Activity Duration

Displaying a Risk Histogram View

Performing Risk Analysis


seealso_time_analysis_project_menu

Related Topic:

Using the Time Analysis Options Tab

Related Procedures:

Performing Time Analysis

Setting Time Now

Setting Time Analysis Preferences

Enabling Automatic Time Analysis

Disabling Automatic Time Analysis


seealso_time_analysis_toolbar_project_menu

Related Topics:

Using the Time Analysis Options Tab

Related Procedures:

Performing Time Analysis

Setting Time Now

Setting Time Analysis Preferences

Enabling Automatic Time Analysis

Disabling Automatic Time Analysis


Time Analysis (Project Menu)

You can issue the Time Analysis command from any project view in the following ways:

  • By clicking Time Analysis on the Project menu

  • By clicking the Time Analysis [image] button on the toolbar

  • By pressing the Ctrl+t keys

If issued from the Project menu, this command displays a dialog box that allows you to change the time analysis options before performing the calculations.

If issued from the toolbar, this command performs time analysis using the option settings currently in effect.

Related Topics and Procedures


Time Analysis (Toolbar)

You can issue the Time Analysis command from any project view in the following ways:

  • By clicking the Time Analysis [image] button on the toolbar.

  • By clicking Time Analysis on the Project menu

  • By pressing the Ctrl+t keys

If issued from the toolbar, this command performs time analysis using the option settings currently in effect.

If issued from the Project menu, this command displays a dialog box that allows you to change the time analysis options before performing the calculations.

Related Topics and Procedures


progress_typepopupqact

Progress Type

You can select from the following progress types:

  • Complete

  • Elapsed Duration

  • Percent Complete

  • Planned

  • Remaining Duration

The value you select in this field determines how Open Plan interprets the Progress Value.


progress_valuepopupqact

Progress Value

The value you enter in this field depends on your selection in the Progress Type column:

  • If you have selected either Complete or Planned in the Progress Type column, leave this field blank.

  • If you have selected Elapsed Duration, Percent Complete, or Remaining Duration in the Progress Type column, enter the appropriate value in this field.


seealso_adding_multiple_external_subprojects_to_a_master_projectqact

Related Topic:

Activity Details — General Tab

Related Procedures:

Using External Subprojects

Displaying Multiple Levels in a Network View

Indenting an Activity, Resource, or Code ID

Outdenting an Activity, Resource, or Code ID


seealso_assigning_a_calendar_to_a_relationshipqact

Related Topic:

Activity Details — Relationships Tab

Related Procedures:

Assigning resource requirements to an activity

Assigning Multiple Resources to Multiple activities

Assigning Costs to an Activity

Assigning a Calendar to an Activity

Assigning Codes to an Activity


seealso_assigning_a_calendar_to_an_activityqact

Related Topic:

Activity Details — General Tab

Related Procedures:

Assigning resource requirements to an activity

Assigning Multiple Resources to Multiple activities

Assigning Costs to an Activity

Defining Cost Resources

Calculating Actual Activity Costs

Assigning a Calendar to a Relationship

Assigning Codes to an Activity


seealso_assigning_a_priority_to_an_activityqact

Related Topic:

Activity Details — Advanced Tab

Related Procedures:

Splitting an Activity Duration

Stretching an Activity Duration

Reprofiling an Activity Duration

Assigning the Immediate Attribute to an Activity


seealso_assigning_activity_resource_requirementsqact

Related Topic:

Activity Details - Resources Tab

Related Procedures:

Assigning Multiple Resources to Multiple activities

Assigning Costs to an Activity

Assigning a Calendar to an Activity

Assigning a Calendar to a Relationship

Assigning Codes to an Activity


seealso_assigning_codes_to_an_activityqact

Related Topic:

Activity Details — Codes Tab

Related Procedures:

Assigning resource requirements to an activity

Assigning Multiple Resources to Multiple activities

Assigning Costs to an Activity

Defining Cost Resources

Calculating Actual Activity Costs

Assigning a Calendar to an Activity

Assigning a Calendar to a Relationship


seealso_assigning_costs_to_an_activityqact

Related Topic:

Activity Details — Resources Tab

Related Procedures:

Defining Cost Resources

Calculating Actual Activity Costs

Entering Actual Activity Costs

Assigning resource requirements to an activity

Assigning Multiple Resources to Multiple activities

Assigning a Calendar to an Activity

Assigning a Calendar to a Relationship

Assigning Codes to an Activity


seealso_assigning_immediate_to_an_activityqact

Related Topic:

Activity Details — Advanced Tab

Related Procedures:

Splitting an Activity Duration

Stretching an Activity Duration

Reprofiling an Activity Duration

Assigning a Priority to an Activity


seealso_attaching_a_note_to_an_activityqact

Related Topic:

Activity Details — Notes Tab

Related Procedures:

Editing an Activity Note

Deleting an Activity Note

Creating a Note Category

Editing a Note Category

Deleting a Note Category


seealso_changing_an_effort_driven_activity_to_one_with_a_fixed_durationqact

Related Topic:

Activity Details — General Tab

Related Procedure:

Defining an Activity as Effort-Driven


seealso_changing_the_duration_of_an_activityqact

Related Topic:

Activity Details General Tab

Related Procedures:

Creating an Activity on a Barchart

Creating an Activity on a Network

Setting a Target Start Date

Setting a Target Finish Date

Creating a Relationship in a Network View

Creating a Relationship in a Barchart view

Setting up a Hammock

Entering Activity Progress


seealso_creating_a_new_spread_curveqact

Related Topics:

Using Spread Curves to Define Resource Assignments

Using the Spread Curve Dialog Box

Using the New Spread Curve Dialog Box

Using the Edit Spread Curve Dialog Box

Related Procedures:

Modifying a Spread Curve

Deleting a Spread Curve


seealso_defining_an_activity_as_effort_drivenqact

Related Topic:

Activity Details — General Tab

Related Procedure:

Changing an Effort-Driven Activity to One with a Fixed Duration


seealso_defining_prob_dist_for_activity_durqact

Related Topic:

Activity Details — Risk Tab

Related Procedures:

Changing the Duration of an Activity

Displaying a Risk Histogram View

Selecting a Key Activity to Display on a Risk Histogram View

Performing Risk Analysis


seealso_deleting_a_spread_curveqact

Related Topics:

Using Spread Curves to Define Resource Assignments

Using the Spread Curve Dialog Box

Using the New Spread Curve Dialog Box

Using the Edit Spread Curve Dialog Box

Related Procedures:

Creating a New Spread Curve

Modifying a Spread Curve


seealso_deleting_an_activity_noteqact

Related Topic:

Activity Details — Notes Tab

Related Procedures:

Attaching a Note to an Activity

Editing an Activity Note

Creating a Note Category

Editing a Note Category

Deleting a Note Category


seealso_editing_an_activity_noteqact

Related Topic:

Activity Details — Notes Tab

Related Procedures:

Attaching a Note to an Activity

Deleting an Activity Note

Creating a Note Category

Editing a Note Category

Deleting a Note Category


seealso_entering_activity_progress_barchartqact

Related Topic:

Entering Progress Information

Related Procedures:

Entering Activity Progress in a Dialog Box

Entering Activity Progress in a Spreadsheet

Entering Resource Progress for an Activity


seealso_entering_activity_progress_dialogqact

Related Topic:

Using the Activity Progress - Activity Tab

Related Procedures:

Entering Activity Progress in a Barchart

Entering Activity Progress in a Spreadsheet

Entering Resource Progress for an Activity


seealso_entering_activity_progress_spreadsheetqact

Related Topic:

Entering Progress Information

Related Procedures:

Entering Activity Progress in a Barchart

Entering Activity Progress in a Dialog Box

Entering Resource Progress for an Activity


seealso_entering_actual_activity_costsqact

Related Topic:

Using the Activity Progress — Resources Tab

Related Procedures:

Assigning resource requirements to an activity

Assigning Multiple Resources to Multiple activities

Assigning Costs to an Activity

Defining Cost Resources

Calculating Actual Activity Costs

Assigning a Calendar to an Activity

Assigning a Calendar to a Relationship

Assigning Codes to an Activity


seealso_entering_resource_progress_information_for_an_activityqact

Related Topic:

Using the Activity Progress - Resources Tab

Related Procedures:

Entering Activity Progress in a Barchart

Entering Activity Progress in a Dialog Box

Entering Activity Progress in a Spreadsheet

Calculating resource progress


seealso_modifying_a_spread_curveqact

Related Topics:

Using Spread Curves to Define Resource Assignments

Using the Spread Curve Dialog Box

Using the New Spread Curve Dialog Box

Using the Edit Spread Curve Dialog Box

Related Procedures:

Creating a New Spread Curve

Deleting a Spread Curve


seealso_reprofiling_an_activity_durationqact

Related Topic:

Activity Details — Advanced Tab

Related Procedures:

Splitting an Activity Duration

Stretching an Activity Duration

Assigning a Priority to an Activity

Assigning the Immediate Attribute to an Activity


seealso_setting_a_target_finish_dateqact

Related Topic:

Activity Details General Tab

Related Procedures:

Creating an Activity on a Barchart

Creating an Activity on a Network

Setting a Target Start Date

Creating a Relationship in a Network View

Creating a Relationship in a Barchart view

Setting up a Hammock

Changing the Duration of an Activity

Entering Activity Progress


seealso_setting_a_target_start_dateqact

Related Topic:

Activity Details General Tab

Related Procedures:

Creating an Activity on a Barchart

Creating an Activity on a Network

Setting a Target Finish Date

Creating a Relationship in a Network View

Creating a Relationship in a Barchart view

Setting up a Hammock

Changing the Duration of an Activity

Entering Activity Progress


seealso_setting_up_a_hammockqact

Related Topic:

Hammocks in Open Plan

Related Procedures:

Creating an Activity on a Barchart

Creating an Activity on a Network

Setting a Target Start Date

Setting a Target Finish Date

Creating a Relationship in a Network View

Creating a Relationship in a Barchart view

Changing the Duration of an Activity

Entering Activity Progress


seealso_splitting_an_activity_durationqact

Related Topic:

Activity Details — Advanced Tab

Related Procedures:

Stretching an Activity Duration

Reprofiling an Activity Duration

Assigning a Priority to an Activity

Assigning the Immediate Attribute to an Activity


seealso_stretching_an_activity_durationqact

Related Topic:

Activity Details — Advanced Tab

Related Procedures:

Splitting an Activity Duration

Reprofiling an Activity Duration

Assigning a Priority to an Activity

Assigning the Immediate Attribute to an Activity


seealso_using_external_subprojectsqact

Related Topic:

Activity Details — General Tab

Related Procedures:

Displaying Multiple Levels in a Network View

Adding Multiple External Subprojects to a Master Project

Indenting an Activity, Resource, or Code ID

Outdenting an Activity, Resource, or Code ID


seealsoassigning_multiple_resources_to_multiple_activitiesqact

Related Topic:

Using the Assign Multiple Resources to Multiple Activities Dialog Box

Related Procedures:

Assigning resource requirements to an activity

Assigning Costs to an Activity

Assigning a Calendar to an Activity

Assigning a Calendar to a Relationship

Assigning Codes to an Activity


finish_to_finishqbar

Finish-to-Finish

Drag the relationship line from the right edge of the predecessor activity to the right edge of the successor.


finish_to_startqbar

Finish-to-Start

Drag the relationship line from the right edge of the predecessor activity to the left edge of the successor.


neckedqbar

Necked

The necked bar shows non-work periods as necks between work segments.


open_barqbar

Open Bar

The open bar is the default bar form. This option is most commonly used to display the entire duration regardless of the work status of any period.


seealso_adding_custom_symbolsqbar

Related Topic:

Using the Bar Types Dialog Box

Related Procedures:

Changing a Milestone Symbol

Creating a New Bar Type

Defining Activity Bar Attributes


seealso_changing_a_milesone_symbol_barchartqbar

Related Topic:

Using the Bar Types Dialog Box

Related Procedures:

Creating a New Bar Type

Defining the Activity Bar Text Layout

Defining Activity Bar Attributes

Adding Custom Symbols


seealso_changing_row_height_barchartqbar

Related Topic:

Using the Bar Types Dialog Box

Related Procedures:

Creating a New Bar Type

Adjusting a Date Scale Manually


seealso_changing_splitter_panes_in_a_barchartqbar

Related Topic:

How a Barchart Displays Information

Related Procedure:

Displaying Relationships in a Barchart View


seealso_changing_the_font_on_a_barqbar

Related Topic:

Using the Font Dialog Box

Related Procedures:

Changing the Font on a Date Scale

Changing the Default Font on a Spreadsheet

Changing the Font on a Network View

Changing the Font on an Annotation

Changing the Font on a Calendar

Changing the Font on a Resource View

Changing the Font on a Code View


seealso_creating_a_new_bar_typeqbar

Related Topic:

Using the Bar Types Dialog Box

Related Procedures:

Changing a Milestone Symbol

Defining the Activity Bar Text Layout

Defining Activity Bar Attributes

Adding Custom Symbols


seealso_creating_a_relationship_keyboardqbar

Related Topic:

Activity Details Relationships Tab

Related Procedures:

Displaying Relationships in a Barchart View

Creating a Relationship in a Barchart View Using the Mouse

Editing a Relationship in a Barchart View

Deleting a Relationship in a Barchart View

Creating a Relationship in a Network View Using a Mouse

Creating a Relationship in a Spreadsheet View


seealso_creating_a_relationship_mouseqbar

Related Topic:

Activity Details Relationships Tab

Related Procedures:

Displaying Relationships in a Barchart View

Creating a Relationship Using the Keyboard

Editing a Relationship in a Barchart View


seealso_creating_an_activity_barchart_viewqbar

Related Topic:

Creating and Editing Activities

Related Procedures:

Entering Activity Progress in a Barchart

Setting a Target Start Date

Changing the Duration of an Activity

Editing an Activity

Deleting an Activity

Cutting an Activity

Copying an Activity

Pasting an activity From the Clipboard


seealso_defining_activity_bar_attributesqbar

Related Topic:

Bar Set Preferences Bar Attributes Tab

Related Procedures:

Creating a New Bar Type

Changing a Milestone Symbol

Defining the Activity Bar Text Layout


seealso_defining_activity_bar_text_layoutqbar

Related Topic:

Using the Text Layout Dialog Box

Related Procedures:

Creating a New Bar Type

Changing a Milestone Symbol

Defining Activity Bar Attributes

Adding Custom Symbols


seealso_defining_crosstable_barsqbar

Related Topic:

Bar Set Preferences Crosstable Tab

Related Procedures:

Creating a New Bar Type

Changing a Milestone Symbol

Defining the Activity Bar Text Layout


seealso_deleting_a_relationship_barchart_viewqbar

Related Topic:

Activity Details Relationships Tab

Related Procedures:

Displaying Relationships in a Barchart View

Creating a Relationship in a Barchart View Using the Mouse

Creating a Relationship Using the Keyboard

Editing a Relationship in a Barchart View

Creating a Relationship in a Network View Using a Mouse

Creating a Relationship in a Spreadsheet View


seealso_displaying_relationships_barchart_viewqbar

Related Topic:

Using the Barchart Preferences Dialog Box

Related Procedures:

Creating a Relationship in a Barchart View Using the Mouse

Creating a Relationship Using the Keyboard

Editing a Relationship in a Barchart View

Deleting a Relationship in a Barchart View

Creating a Relationship in a Network View Using a Mouse

Creating a Relationship in a Spreadsheet View

Highlighting Controlling Relationships in a Barchart


seealso_displaying_resource_assignments_on_a_barchartqbar

Related Topic:

Bar Set Preferences Bar Attributes Tab

Related Procedures:

Creating a New Bar Type

Defining Activity Bar Attributes

Defining the Activity Bar Text Layout


seealso_editing_a_relationship_barchart_viewqbar

Related Topic:

Activity Details Relationships Tab

Related Procedures:

Displaying Relationships in a Barchart View

Creating a Relationship in a Barchart View Using the Mouse

Creating a Relationship Using the Keyboard

Deleting a Relationship in a Barchart View

Creating a Relationship in a Network View Using a Mouse

Creating a Relationship in a Spreadsheet View


seealso_highlighting_controlling_relationships_barchart_viewqbar

Related Topic:

Using the Barchart Preferences Dialog Box

Related Procedures:

Displaying Relationships in a Barchart View

Creating a Relationship in a Barchart View Using the Mouse

Creating a Relationship Using the Keyboard

Editing a Relationship in a Barchart View

Deleting a Relationship in a Barchart View

Creating a Relationship in a Network View Using a Mouse

Creating a Relationship in a Spreadsheet View


seealso_printing_a_barchartqbar

Related Topic:

Using the Print Options Dialog Box

Related Procedures:

Previewing a Report Before Printing

Setting Up a Printer

Printing a Calendar

Printing a Report


segmentedqbar

Segmented

The segmented bar shows non-work periods as gaps between the work periods.


start_to_finishqbar

Start-to-Finish

Drag the relationship line from the left edge of the predecessor activity to the right edge of the successor.


start_to_startqbar

Start-to-Start

Drag the relationship line from the left edge of the predecessor activity to the left edge of the successor.


seealso_adding_a_child_calendarqcal

Related Topic:

Using the Add Calendar Dialog Box

Related Procedures:

Creating a New Calendar

Copying a Calendar

Renaming an Existing Calendar

Deleting a Calendar

Changing the Font on a Calendar


seealso_changing_the_displayed_yearqcal

Related Topic:

How the Calendar Displays Information

Related Tasks:

Defining the Standard Work Week

Defining Work Hours for a Day

Setting the Starting Month of the Year

Setting the Starting Day of the Week

Setting Calendar Color Preferences

Changing the Font on a Calendar

Changing the Work Status of a Day

Changing the Displayed Year

Entering a Holiday

Entering an Extra Work Day

Selecting Dates on the Calendar

Using the Open Plan Explorer to Assign a Calendar File to a Project

Using the Project Properties Dialog Box to Assign a Calendar File to a Project


seealso_changing_the_font_on_a_calendarqcal

Related Topic:

Using the Font Dialog Box

Related Tasks:

Printing a Calendar

Changing the Font on a Date Scale

Changing the Font on a Bar

Changing the Default Font on a Spreadsheet

Changing the Font on a Network View

Changing the Font on an Annotation

Changing the Font on a Resource View

Changing the Font on a Code View


seealso_changing_the_work_status_of_a_dayqcal

Related Topic:

How the Calendar Displays Information

Related Tasks:

Defining the Standard Work Week

Defining Work Hours for a Day

Setting the Starting Month of the Year

Setting the Starting Day of the Week

Setting Calendar Color Preferences

Changing the Font on a Calendar

Changing the Displayed Year

Entering a Holiday

Entering an Extra Work Day

Selecting Dates on the Calendar


seealso_copying_a_calendar_fileqcal

Related Topic:

Using the Save As Dialog Box

Related Tasks:

Creating a Calendar File

Opening a Calendar File

Saving a Calendar File

Deleting a Calendar File

Creating a New Calendar

Defining the Standard Work Week

Setting Starting Month of the Year

Setting Starting Day of the Week

Setting Calendar Color Preferences

Changing the Font on a Calendar

Using Project Properties to Assign a Calendar File

Using the Open Plan Explorer to Assign a Calendar File to a Project


seealso_copying_a_calendarqcal

Related Topic:

Using the Manage Calendars Dialog Box

Related Tasks:

Creating a New Calendar

Adding a Child Calendar

Renaming an Existing Calendar

Deleting a Calendar

Changing the Font on a Calendar


seealso_creating_a_calendar_fileqcal

Related Topic:

Using Calendars

Related Tasks:

Opening a Calendar File

Saving a Calendar File

Copying a Calendar File

Deleting a Calendar File

Creating a New Calendar

Defining the Standard Work Week

Setting Starting Month of the Year

Setting Starting Day of the Week

Setting Calendar Color Preferences

Changing the Font on a Calendar

Using Project Properties to Assign a Calendar File

Using the Open Plan Explorer to Assign a Calendar File to a Project


seealso_creating_a_new_calendarqcal

Related Topic:

Using the Manage Calendars Dialog Box

Related Tasks:

Copying a Calendar

Adding a Child Calendar

Renaming an Existing Calendar

Deleting a Calendar

Changing the Font on a Calendar


seealso_defining_the_standard_work_weekqcal

Related Topic:

Using the Define Work Week Dialog Box

Related Tasks:

Defining Work Hours for a Day

Setting the Starting Month of the Year

Setting the Starting Day of the Week

Setting Calendar Color Preferences

Changing the Font on a Calendar

Changing the Displayed Year

Entering a Holiday

Entering an Extra Work Day

Selecting Dates on the Calendar

Using the Open Plan Explorer to Assign a Calendar File to a Project

Using the Project Properties Dialog Box to Assign a Calendar File to a Project


seealso_defining_the_work_hours_for_a_dayqcal

Related Topic:

Using the Define Work Hours Dialog Box

Related Tasks:

Defining the Standard Work Week

Setting the Starting Month of the Year

Setting the Starting Day of the Week

Setting Calendar Color Preferences

Changing the Font on a Calendar

Changing the Displayed Year

Entering a Holiday

Entering an Extra Work Day

Selecting Dates on the Calendar

Using the Open Plan Explorer to Assign a Calendar File to a Project

Using the Project Properties Dialog Box to Assign a Calendar File to a Project


seealso_deleting_a_calendar_fileqcal

Related Topic:

Using the Delete File Dialog Box

Related Tasks:

Creating a Calendar File

Opening a Calendar File

Saving a Calendar File

Copying a Calendar File

Creating a New Calendar

Defining the Standard Work Week

Setting Starting Month of the Year

Setting Starting Day of the Week

Setting Calendar Color Preferences

Changing the Font on a Calendar

Using Project Properties to Assign a Calendar File

Using the Open Plan Explorer to Assign a Calendar File to a Project


seealso_deleting_a_calendarqcal

Related Topic:

Using the Manage Calendars Dialog Box

Related Tasks:

Creating a New Calendar

Copying a Calendar

Adding a Child Calendar

Renaming an Existing Calendar

Changing the Font on a Calendar


seealso_entering_a_holidayqcal

Related Topic:

Using the Manage Holidays Dialog Box

Related Tasks:

Defining the Standard Work Week

Defining Work Hours for a Day

Setting the Starting Month of the Year

Setting the Starting Day of the Week

Setting Calendar Color Preferences

Changing the Font on a Calendar

Changing the Work Status of a Day

Changing the Displayed Year

Entering an Extra Work Day

Selecting Dates on the Calendar

Using the Open Plan Explorer to Assign a Calendar File to a Project

Using the Project Properties Dialog Box to Assign a Calendar File to a Project


seealso_entering_an_extra_work_dayqcal

Related Topic:

How the Calendar Displays Information

Related Tasks:

Defining the Standard Work Week

Defining Work Hours for a Day

Setting the Starting Month of the Year

Setting the Starting Day of the Week

Setting Calendar Color Preferences

Changing the Font on a Calendar

Changing the Work Status of a Day

Changing the Displayed Year

Entering a Holiday

Selecting Dates on the Calendar

Using the Open Plan Explorer to Assign a Calendar File to a Project

Using the Project Properties Dialog Box to Assign a Calendar File to a Project


seealso_entering_company_holidaysqcal

Related Topic:

Using the Manage Holidays Dialog Box

Related Tasks:

Defining the Standard Work Week

Defining Work Hours for a Day

Setting the Starting Month of the Year

Setting the Starting Day of the Week

Setting Calendar Color Preferences

Changing the Font on a Calendar

Changing the Work Status of a Day

Changing the Displayed Year

Entering a Holiday

Entering an Extra Work Day

Selecting Dates on the Calendar


seealso_entering_multiple_holidaysqcal

Related Topic:

Using the Manage Holidays Dialog Box

Related Tasks:

Defining the Standard Work Week

Defining Work Hours for a Day

Setting the Starting Month of the Year

Setting the Starting Day of the Week

Setting Calendar Color Preferences

Changing the Font on a Calendar

Changing the Work Status of a Day

Changing the Displayed Year

Entering a Holiday

Entering an Extra Work Day

Selecting Dates on the Calendar

Using the Open Plan Explorer to Assign a Calendar File to a Project

Using the Project Properties Dialog Box to Assign a Calendar File to a Project


seealso_opening_a_calendar_fileqcal

Related Topic:

Using Calendars

Related Tasks:

Creating a Calendar File

Saving a Calendar File

Copying a Calendar File

Deleting a Calendar File

Creating a New Calendar

Defining the Standard Work Week

Setting Starting Month of the Year

Setting Starting Day of the Week

Setting Calendar Color Preferences

Changing the Font on a Calendar

Using Project Properties to Assign a Calendar File

Using the Open Plan Explorer to Assign a Calendar File to a Project


seealso_printing_a_calendarqcal

Related Topic:

Using the Print Calendar Dialog Box

Related Tasks:

Previewing a Report Before Printing

Setting Up a Printer

Printing a Barchart

Printing a Report


seealso_renaming_a_calendarqcal

Related Topic:

Using the Manage Calendars Dialog Box

Related Tasks:

Creating a New Calendar

Copying a Calendar

Adding a Child Calendar

Deleting a Calendar

Changing the Font on a Calendar


seealso_saving_a_calendar_fileqcal

Related Topic:

Saving and Copying Open Plan Files

Related Tasks:

Creating a Calendar File

Opening a Calendar File

Copying a Calendar File

Deleting a Calendar File

Creating a New Calendar

Defining the Standard Work Week

Setting Starting Month of the Year

Setting Starting Day of the Week

Setting Calendar Color Preferences

Changing the Font on a Calendar

Using Project Properties to Assign a Calendar File

Using the Open Plan Explorer to Assign a Calendar File to a Project


seealso_selecting_dates_on_the_calendarqcal

Related Topic:

Using the Go to Date Dialog Box

Related Tasks:

Defining the Standard Work Week

Defining Work Hours for a Day

Setting the Starting Month of the Year

Setting the Starting Day of the Week

Setting Calendar Color Preferences

Changing the Font on a Calendar

Changing the Work Status of a Day

Changing the Displayed Year

Entering a Holiday

Entering an Extra Work Day

Using the Open Plan Explorer to Assign a Calendar File to a Project

Using the Project Properties Dialog Box to Assign a Calendar File to a Project


seealso_setting_calendar_color_preferencesqcal

Related Topic:

Calendar Preferences — Color Tab

Related Tasks:

Defining the Standard Work Week

Defining Work Hours for a Day

Setting the Starting Month of the Year

Setting the Starting Day of the Week

Changing the Font on a Calendar

Changing the Displayed Year

Entering a Holiday

Entering an Extra Work Day

Selecting Dates on the Calendar

Using the Open Plan Explorer to Assign a Calendar File to a Project

Using the Project Properties Dialog Box to Assign a Calendar File to a Project


seealso_setting_calendar_optionsqcal

Related Topic:

Calendar Preferences — Options Tab

Related Tasks:

Defining the Standard Work Week

Defining Work Hours for a Day

Setting Calendar Color Preferences

Changing the Font on a Calendar

Changing the Displayed Year

Entering a Holiday

Entering an Extra Work Day

Selecting Dates on the Calendar

Using the Open Plan Explorer to Assign a Calendar File to a Project

Using the Project Properties Dialog Box to Assign a Calendar File to a Project


seealso_using_project_properties_to_assign_a_calendar_fileqcal

Related Topic:

Using the Project Properties — Files Tab

Related Tasks:

Creating a Calendar File

Opening a Calendar File

Saving a Calendar File

Copying a Calendar File

Deleting a Calendar File

Using Project Properties to Assign a Calendar File


seealso_using_the_open_plan_explorer_to_assign_a_calendar_fileqcal

Related Topic:

Using Calendars

Related Tasks:

Creating a Calendar File

Opening a Calendar File

Saving a Calendar File

Copying a Calendar File

Deleting a Calendar File

Creating a New Calendar

Defining the Standard Work Week

Setting Starting Month of the Year

Setting Starting Day of the Week

Setting Calendar Color Preferences

Changing the Font on a Calendar

Using Project Properties to Assign a Calendar File


making_adjustments_to_resource_usageqcalc

Making Adjustments to Resource Usage

You can adjust resource usage in a number of ways:

  • You can select a different scheduling option.

  • You can select another resource for a given activity.

  • You can change the resource requirements for the activity.

  • You can permit Open Plan to split, stretch, or reprofile the activity.


seealso_calculating_actual_activity_costsqcalc

Related Topic:

Using the Cost Calculations Dialog Box

Related Procedures:

Calculating Budget Activity Costs

Calculating Resource Costs

Calculating Project Costs

Entering Activity Progress in a Dialog Box

Setting a Target Cost for the Project

Performing Progress Calculations

Calculating Resource Costs

Suppressing Resource Cost Calculations


seealso_calculating_actual_resource_costsqcalc

Related Topic:

Resource Details General Tab

Related Procedures:

Calculating Resource Progress Based on Activity Progress

Suppressing Resource Cost Calculations

Performing Time Analysis

Entering Activity Progress Information

Viewing a Progress Calculations Session Log

Performing Progress Calculations


seealso_calculating_budget_activity_costsqcalc

Related Topic:

Using the Cost Calculations Dialog Box

Related Procedures:

Calculating Actual Activity Costs

Calculating Resource Costs

Suppressing Resource Cost Calculations

Calculating Project Costs

Entering Activity Progress In A Dialog Box

Setting a Target Cost for the Project

Performing Progress Calculations


seealso_calculating_project_costsqcalc

Related Topic:

Using the Cost Calculations Dialog Box

Related Procedures:

Calculating Resource Costs

Suppressing Resource Cost Calculations

Calculating Budget Activity Costs

Calculating Actual Activity Costs

Entering Activity Progress in a Dialog Box

Setting a Target Cost for the Project

Performing Progress Calculations


seealso_calculating_resource_progressqcalc

Related Topic:

Resource Details General Tab

Related Procedures:

Calculating Resource Cost Based on Progressed Quantity

Performing Time Analysis

Entering Activity Progress Information

Performing Progress Calculations

Viewing a Progress Calculations Session Log


seealso_changing_the_attached_resource_fileqcalc

Related Topic:

Using the Project Properties Files Tab

Related Procedures:

Creating a Resource-Based Schedule

Performing Resource Scheduling


seealso_creating_a_project_budget_in_open_planqcalc

Related Topic:

Using the Cost Calculations Dialog Box

Related Procedures:

Performing Time Analysis

Creating a Resource-Based Schedule

Performing Resource Scheduling

Calculating Budget Activity Costs


seealso_creating_a_resource_based_scheduleqcalc

Related Topic:

Using Resource Scheduling

Related Procedures:

Setting Time Now

Performing Time Analysis

Performing Resource Scheduling

Changing the Attached Resource File


seealso_disabling_automatic_time_analysisqcalc

Related Topic:

Using the Time Analysis Options Tab

Related Procedures:

Setting Time Now

Setting Time Analysis Preferences

Enabling Automatic Time Analysis

Performing Time Analysis

Viewing a Time Analysis Session Log

Performing Resource Scheduling


seealso_enabling_automatic_time_analysisqcalc

Related Topic:

Using the Time Analysis Options Tab

Related Procedures:

Setting Time Now

Setting Time Analysis Preferences

Disabling Automatic Time Analysis

Performing Time Analysis

Viewing a Time Analysis Session Log

Performing Resource Scheduling


seealso_performing_progress_calculationsqcalc

Related Topic:

Using the Progress Calculations Dialog Box

Related Procedures:

Calculating Budget Activity Costs

Calculating Resource Costs

Calculating Project Costs

Entering Activity Progress in a Dialog Box

Setting a Target Cost for the Project

Calculating Resource Costs

Suppressing Resource Cost Calculations

Viewing a Progress Calculations Session Log


seealso_performing_resource_allocationqcalc

Related Topic:

Using the Activity Resource Allocation Dialog Box

Related Procedures:

Performing Time Analysis

Creating a Resource-Based Schedule


seealso_performing_resource_schedulingqcalc

Related Topic:

Using the Resource Scheduling Options Tab

Related Procedures:

Setting Time Now

Performing Time Analysis

Creating a Resource-Based Schedule

Using Resource Scheduling Information

Changing the Attached Resource Definition File

Performing resource allocation


seealso_performing_risk_analysisqcalc

Related Topic:

Using Risk Analysis

Related Procedures:

Defining Probability Distributions for an Activity Duration

Displaying a Risk Histogram View

Selecting a Key Activity to Display on a Risk Histogram View


seealso_performing_time_analysisqcalc

Related Topic:

Using the Time Analysis Options Tab

Related Procedures:

Setting Time Now

Setting Time Analysis Preferences

Enabling Automatic Time Analysis

Disabling Automatic Time Analysis

Viewing a Time Analysis Session Log

Creating a Resource-Based Schedule

Performing Resource Scheduling


seealso_setting_time_analysis_preferencesqcalc

Related Topic:

Using the Time Analysis Options Tab

Related Procedures:

Setting Time Now

Enabling Automatic Time Analysis

Disabling Automatic Time Analysis

Performing Time Analysis

Viewing a Time Analysis Session Log

Performing Resource Scheduling


seealso_setting_time_nowqcalc

Related Topic:

Using the Project Properties Status Tab

Related Procedures:

Setting Time Analysis Preferences

Enabling Automatic Time Analysis

Disabling Automatic Time Analysis

Performing Time Analysis

Viewing a Time Analysis Session Log

Performing Resource Scheduling


seealso_suppressing_resource_cost_calculationsqcalc

Related Topic:

Using the Progress Calculations Dialog Box

Related Procedures:

Calculating Budget Activity Costs

Calculating Actual Activity Costs

Calculating Resource Costs

Calculating Project Costs

Entering Activity Progress in a Dialog Box

Setting a Target Cost for the Project

Performing Progress Calculations


seealso_using_resource_scheduling_informationqcalc

Related Topic:

Using the Resource Scheduling Options Tab

Related Procedures:

Setting Time Now

Performing Time Analysis

Creating a Resource-Based Schedule

Changing the Attached Resource Definition File


seealso_viewing_a_progress_calculations_session_logqcalc

Related Topic:

Progress Calculations Session Log

Related Procedures:

Performing Progress Calculations

Calculating Budget Activity Costs

Calculating Resource Costs

Suppressing Resource Cost Calculations

Calculating Project Costs


seealso_viewing_a_resource_scheduling_session_logqcalc

Related Topic:

Resource Scheduling Session Log

Related Procedures:

Creating a Resource-Based Schedule

Performing Resource Scheduling


seealso_viewing_a_time_analysis_session_logqcalc

Related Topic:

Time Analysis Session Log

Related Procedures:

Setting Time Now

Setting Time Analysis Preferences

Enabling Automatic Time Analysis

Disabling Automatic Time Analysis

Performing Time Analysis

Creating a Resource-Based Schedule

Performing Resource Scheduling


seealso_adding_a_child_codeqcodes

Related Topic:

Using the Code Details Dialog Box

Related Procedures:

Adding Codes to a Code File

Editing a Code

Finding a Code

Deleting a Code


seealso_adding_codes_to_a_code_fileqcodes

Related Topic:

Using the Code Details Dialog Box

Related Procedures:

Adding a Child Code

Editing a Code

Finding a Code

Deleting a Code


seealso_attaching_a_note_to_a_codeqcodes

Related Topic:

Using the Code Details Dialog Box

Related Procedures:

Editing a Code Note

Deleting a Code Note

Editing a Code

Finding a Code

Creating a Note Category

Editing a Note Category

Deleting a Note Category


seealso_changing_the_font_on_a_code_viewqcodes

Related Topic:

Using the Font Dialog Box

Related Procedures:

Changing the Font on a Date Scale

Changing the Font on a Bar

Changing the Default Font on a Spreadsheet

Changing the Font on a Network view

Changing the Font on an Annotation

Changing the Font on a Calendar

Changing the Font on a Resource View


seealso_collapsing_a_parent_codeqcodes

Related Topic:

How a Code Window Displays Information

Related Procedures:

Moving a Code in the Hierarchy

Expanding a Parent Code

Expanding All Parent Codes

Displaying Full Code IDs

Displaying Code Descriptions


seealso_copying_a_code_fileqcodes

Related Topic:

Saving and Copying Open Plan Files

Related Procedures:

Creating a Code File

Opening a Code File

Saving a Code File

Deleting a Code File

Using the Open Plan Explorer to Assign a Code File to a Project

Adding a Code to a Code File


seealso_creating_a_code_fileqcodes

Related Topic:

Using the New Code Structure Dialog Box

Related Procedures:

Opening a Code File

Saving a Code File

Copying a Code File

Deleting a Code File

Using the Open Plan Explorer to Assign a Code File to a Project

Adding a Code to a Code File


seealso_deleting_a_code_fileqcodes

Related Topic:

Using the Select File to Delete Dialog Box

Related Procedures:

Creating a Code File

Opening a Code File

Saving a Code File

Copying a Code File

Using the Open Plan Explorer to Assign a Code File to a Project

Adding a Code to a Code File


seealso_deleting_a_code_noteqcodes

Related Topic:

Using the Code Details Dialog Box

Related Procedures:

Attaching a Note to a Code

Editing a Code Note

Editing a Code

Finding a Code

Creating a Note Category

Editing a Note Category

Deleting a Note Category


seealso_deleting_a_codeqcodes

Related Procedures:

How a Code Window Displays Information

Related Procedures:

Adding a Child Code

Adding Codes to a Code File

Editing a Code

Finding a Code


seealso_displaying_code_descriptionsqcodes

Related Topic:

Code Display Preferences Box Layout Tab

Related Procedures:

Moving a Code in the Hierarchy

Collapsing a Parent Code

Expanding a Parent Code

Expanding All Parent Codes

Displaying Full Code IDs

Setting Code Box Layout Options


seealso_displaying_full_code_idsqcodes

Related Topic:

Code Display Preferences Options Tab

Related Procedures:

Moving a Code in the Hierarchy

Collapsing a Parent Code

Expanding a Parent Code

Expanding All Parent Codes

Displaying Code Descriptions

Setting Code Box Layout Options


seealso_editing_a_code_noteqcodes

Related Topic:

Using the Code Details Dialog Box

Related Procedures:

Attaching a Note to a Code

Deleting a Code Note

Editing a Code

Finding a Code

Creating a Note Category

Editing a Note Category

Deleting a Note Category


seealso_editing_a_codeqcodes

Related Topic:

Using the Code Details Dialog Box

Related Procedures:

Adding a Child Code

Adding Codes to a Code File

Finding a Code

Deleting a Code


seealso_expanding_a_parent_codeqcodes

Related Topic:

How a Code Window Displays Information

Related Procedures:

Moving a Code in the Hierarchy

Collapsing a Parent Code

Expanding All Parent Codes

Displaying Full Code IDs

Displaying Code Descriptions


seealso_expanding_all_parent_codesqcodes

Related Topic:

How a Code Window Displays Information

Related Procedures:

Moving a Code in the Hierarchy

Collapsing a Parent Code

Expanding a Parent Code

Displaying Full Code IDs

Displaying Code Descriptions


seealso_finding_a_codeqcodes

Related Topic:

Using the Find Node Dialog Box

Related Procedures:

Adding a Child Code

Adding Codes to a Code File

Editing a Code

Deleting a Code


seealso_moving_a_code_in_the_hierarchyqcodes

Related Topic:

How a Code Window Displays Information

Related Procedures:

Collapsing a Parent Code

Expanding a Parent Code

Expanding All Parent Codes

Displaying Full Code IDs

Displaying Code Descriptions


seealso_opening_a_code_fileqcodes

Related Topic:

Working with Open Plan Data

Related Procedures:

Creating a Code File

Saving a Code File

Copying a Code File

Deleting a Code File

Using the Open Plan Explorer to Assign a Code File to a Project

Adding a Code to a Code File


seealso_saving_a_code_fileqcodes

Related Topic:

Saving and Copying Open Plan Files

Related Procedures:

Creating a Code File

Opening a Code File

Copying a Code File

Deleting a Code File

Using the Open Plan Explorer to Assign a Code File to a Project

Adding a Code to a Code File


seealso_setting_code_box_layout_optionsqcodes

Related Topic:

Code Display Preferences Box Layout Tab

Related Procedures:

Moving a Code in the Hierarchy

Collapsing a Parent Code

Expanding a Parent Code

Expanding All Parent Codes

Displaying Full Code IDs

Displaying Code Descriptions


seealso_using_project_properties_to_assign_a_code_fileqcodes

Related Topic:

Using the Project Properties Files Tab

Related Procedures:

Using the Open Plan Explorer to Assign a Code File

Creating a Code File

Opening a Code File

Copying a Code File

Deleting a Code File

Adding a Code to a Code File


seealso_using_resource_file_properties_to_assign_a_code_fileqcodes

Related Topic:

Using the Properties Dialog Box Files Tab

Related Procedures:

Using the Open Plan Explorer to Assign a Code File

Creating a Code File

Opening a Code File

Copying a Code File

Deleting a Code File

Adding a Code to a Code File


seealso_using_the_open_plan_explorer_to_assign_a_code_fileqcodes

Related Topic:

Using the Assign Code to Project Dialog Box

Related Procedures:

Using the Project Properties Dialog Box to Assign a Code File to a Project

Creating a Code File

Opening a Code File

Saving a Code File

Copying a Code File

Deleting a Code File

Adding a Code to a Code File


Using Resource File Properties to Assign a Code File (Procedure)

Using Resource File Properties to Assign a Code File

To assign a code file to a resource file using the Properties dialog box:

  1. Open the resource file to which you want to assign a code file.

  2. Right-click the resource file, and click Properties on the context menu.

  3. Click the Files tab.

  4. Click the ellipsis button at the right edge of the Code Files text box.

  5. From the column on the left of the Assign Code dialog box, select the code file that you want to assign to the project.

  6. From the column on the right side, select the code field to which you want to assign the code file.

  7. Click Assign.

  8. In the Code File Prompt dialog box, enter a label for the code file.

  9. Click OK.

If adding a particular code file would replace one currently assigned to the specified code field, Open Plan asks you to confirm your action.

  10. When the Assign Code dialog box is redisplayed, click OK again.

Related Topics and Procedures


add_in_parameterspopupqcom

Add-In Parameters

You can specify any number of the following automatic parameters to be passed to the application when the command on the Add-Ins menu is run.

%P | The currently selected project (View or Open Plan Explorer)
%S | The currently selected project in Open Plan Explorer
%A | The currently selected Activity ID
%R | The currently selected Resource file (View or Open Plan Explorer)
%r | The currently selected resource
%b | The currently selected code
%B# | Passes the name of the code file in the designated position # in the active open project.
%C | The currently selected Calendar name (View or Open Plan Explorer)
%c | The currently selected calendar
%U | The currently logged in user’s ID
%W | The encrypted password for the current user
%V | The current view
%E | Launch the file/link in an external Internet browser window
%I | Allows Internet browser to open within an Open Plan window.
%T | When %I is used, tiles the internal browser window
%X | Maximizes either an internal or external browser window
%D | Execute the WebWindow in a docked window, with the position specified using additional parameters: DOCKSIDE=TOP (BOTTOM, LEFT, RIGHT) DOCKLENGTH= (Length specified in pixels)
%Z | Information following this parameter is passed as a web parameter.
%M | Multiple instances of the add-in may be run concurrently.
 | In addition, the macros <USERDIR> and <SYSDIR> may be used to shorten the path names given for the executables or documents.


Adding a Custom Symbol

To add a custom symbol:

1. On the Manage Symbols dialog box, click Add.

2. On the Add Symbol dialog box, click Select File.

3. From the Open dialog box, locate the .wmf or .emf graphic file for the symbol, and click Open.

4. Enter a description for the new symbol.

5. Enter a shape category for the new symbol.

Leaving this field blank will place the symbol in the <Uncategorized Shapes> category.

You can create a new shape category by entering a unique name in the Shape Category field. Otherwise, entering an existing category name places the new symbol in that category.

  1. Click OK.

The Manage Symbols dialog box can also be accessed by clicking the ellipsis button on the Title Block Definition dialog box when you create, copy, or edit a title block.

Related Topics and Procedures


Adding a Data Source Connection

To add a data source connection:

  1. On the Tools menu, click Data Sources.

  2. On the Data Sources dialog box, click Add.

  3. In the Windows Data Link Properties dialog box, enter the appropriate settings for the new data source.

  4. Click OK.

Related Topics and Procedures


Changing the Access Rights of an Object

To change the access rights of an object:

  1. From the File menu, point to Manage Files.

  2. Click Change Owner and Access Rights.

  3. Select the object or objects for which you want to change the access rights.

To select more than one object, use Ctrl+click or Shift+click. To select all the objects displayed, click Select All.

  4. Click Change Access Rights.

  5. In the grid on the Change Access Rights dialog box, add and/or delete the desired groups and users

  6. Select either to replace the access control list or add to the access control list.

  7. click Update Access Controls.

  8. Click Close twice.

Related Topics and Procedures


Changing the Properties of a Shortcut

To change the properties of a shortcut:

  1. In the Open Plan Explorer, right-click the appropriate shortcut.

  2. On the shortcut menu, click Properties. Open Plan displays the name of the shortcut in the title bar of the Properties dialog box.

  3. In the Properties dialog box, make the appropriate changes.

  4. Click OK.

Related Topics and Procedures


Changing the Properties of an Auxiliary File (Procedure)

Changing the Properties of an Auxiliary File

To change auxiliary file properties:

  1. To display the Properties dialog box, right-click the appropriate file, and click Properties on the shortcut menu.

  2. In the Properties dialog box, make the appropriate changes.

  3. Click OK.

Related Topics and Procedures


Creating a Link in My Folder to an Object

To create a link in My Folder to an object:

Take one of the following actions:

  • Use the New File Wizard to create a new file. (Open Plan automatically adds the new file to My Folder.)

  • Drag an object from another folder into My Folder.

  • Select an object in another folder and then click Copy on the Edit menu. Next, select My Folder and then click Paste from the Edit menu. You can also use Ctrl+C to cut and Ctrl+V to paste.

  • Right-click an object in another folder and then click Copy on the shortcut menu. Next, right-click My Folder and select then Paste from the context menu.


Deleting a Data Source Connection

To edit a data source connection:

  1. On the Tools menu, click Data Sources.

  2. On the Data Sources dialog box, select the data source that you want to delete.

  3. Click Delete.

  4. When asked to confirm the deletion, click OK.

If you are currently connected to the data source that you are deleting, the deletion will not take effect until the next time you start Open Plan.

Related Topics and Procedures


deletion_effectpopupqcom

When you use this method, the manner in which Open Plan interprets the deletion depends on where the file reference is located in the hierarchy pane of the Open Plan Explorer:

  • My Folder — Deleting a file from within this folder deletes the link to the file. In the case of a project, the links to auxiliary files are deleted in addition to the link to the project. No actual data is deleted from the data source.

  • Projects — Deleting a project from within this folder deletes the links to any assigned auxiliary files and deletes the project itself from the data source. Deleting just an auxiliary file or view from this folder deletes only the link to the file. Neither the auxiliary file nor the view is deleted from the data source.

  • Open Plan Library — Deleting an auxiliary file or view from within this folder deletes the actual data from the data source.


Editing a Custom Symbol

To edit a custom symbol:

1. From the Manage Symbols dialog box, select a symbol to edit.

2. Click Edit.

3. On the Edit Symbol dialog box, enter a new description and shape category for the symbol.

You can create a new shape category by entering a unique name in the Shape Category field. Otherwise, entering an existing category name places the symbol in that category.

4. Click OK.

Related Topics and Procedures


Editing a Data Source Connection

To edit a data source connection:

  1. On the Tools menu, click Data Sources.

  2. On the Data Sources dialog box, select the data source that you want to edit.

  3. Click Edit.

  4. In the Edit Data Source dialog box, make any needed modifications.

  5. Click DataLink Properties.

  6. In the Windows DataLink Properties dialog box, enter the appropriate settings for the data source.

  7. Click OK to return to the Edit Data Source dialog box.

  8. Click OK.

Related Topics and Procedures


Enabling Editing of Read-Only Files (Procedure)

Enabling Editing of Read-Only Files

To enable users to edit read-only files and save to another name:

  1. From the Tools menu, select Options.

  2. On the Options dialog box, select the Advanced tab.

  3. Click the Defaults button.

  4. On the System Preferences Defaults dialog box, scroll to the end of the grid.

  5. On the next available row in the grid, enter '_ALLOW_EDIT_READONLY' in the Category column.

  6. Enter '1' in the Default Value column to enable editing (enter '0' to disable).

  7. Click OK twice.

This is a system option that affects all Open Plan users. Only users with administrator rights can set this option. This option cannot be overridden by individual Open Plan users.

Related Topics and Procedures


see_also_enabling_editing_of_read_only_filesqcom

Related Topics:

Using the System Preferences Defaults Dialog Box

Using the Options Dialog Box — Advanced Tab

Related Procedure:

Setting System Preferences


seealso_adding_a_column_to_the_contents_paneqcom

Related Topic:

Using the Contents Pane of the Open Plan Explorer

Related Procedures:

Creating a User Folder

Creating a Link in My Folder to an Object

Removing a Column from the Contents Pane

Renaming a Column in the Contents Pane

Sorting the Data in the Contents Pane

Resizing a Column in the Contents Pane

Rearranging Column Order in the Contents Pane


seealso_adding_a_custom_item_to_the_add-ins_menuqcom

Related Procedures:

Customizing the Add-Ins Tool Bars

Changing an Add-Ins Button Icon

Related Topics:

Custom Tools

Using the Customize Add-Ins Tool Bars Dialog Box

Using the Customize Toolbar Dialog Box


seealso_adding_a_custom_symbolqcom

Related Topics:

Using the Manage Symbols Dialog Box

Using the Edit Symbol Dialog Box

Using the Options Dialog Box

Related Procedure:

Editing a Custom Symbol


seealso_adding_a_data_source_connectionqcom

Related Topic:

Using the Data Sources Dialog Box

Related Procedures:

Selecting a Data Source

Editing a Data Source Connection

Deleting a Data Source Connection


seealso_assigning_a_title_block_to_a_viewqcom

Related Topics

Using the Title Blocks Dialog Box

Using the Title Block Definition Dialog Box

Related Procedures:

Defining a Title Block

Copying a Title Block

Editing a Title Block


seealso_backing_up_open_plan_dataqcom

Related Topic:

Using the Backup File Dialog Box

Related Procedures:

Restoring Data From a Backup File

Deleting a File

Checking Out a Project

Undoing a Project Checkout

Checking In a Project

Viewing the Checked Out Status of a Project

Changing the Access Mode of a File

Changing the Ownership and Access Rights of a File


seealso_changing_an_add_ins_button_iconqcom

Related Topic:

Custom Tools

Using the Customize Add-Ins Toolbars Dialog Box

Using the Customize Toolbar Dialog Box

Using the Customize Toolbar Icons Dialog Box

Related Procedures:

Adding a Custom Item to the Add-Ins Menu

Customizing the Add-Ins Toolbars


seealso_changing_the_access_mode_of_a_fileqcom

Related Topic:

Using the Change Access Mode Dialog Box

Related Procedures:

Backing Up Open Plan Data

Restoring Data From a Backup File

Deleting a File

Checking Out a Project

Undoing a Project Checkout

Checking In a Project

Viewing the Checked Out Status of a Project

Changing the Ownership and Access Rights of a File


seealso_changing_the_access_rights_of_an_objectqcom

Related Topic:

Using the Change Ownership and Access Rights Dialog Box

Using the Change Owner Dialog Box

Using the Change Access Rights Dialog Box

Using the Properties Dialog Box — Access Control Tab

Related Procedures

Changing the Owner of an Object


seealso_changing_the_center_setting_for_the_displayqcom

Related Procedures:

Changing the orientation of the display

Changing the display of resource and code IDs

Changing the hierarchy display layout settings

Using the Zoom In Command

Using the Zoom Out command


seealso_changing_the_default_access_mode_of_a_fileqcom

Related Topic:

Using the Change Access Mode Dialog Box

Related Procedures:

Backing Up Open Plan Data

Restoring Data From a Backup File

Deleting an Open Plan File


seealso_changing_the_display_of_resource_and_code_idsqcom

Related Procedures:

Changing the Orientation of the Display

Changing the Center Setting for the Display

Changing the Hierarchy Display Layout Settings

Using the Zoom In Command

Using the Zoom Out Command


seealso_changing_the_hierarchy_display_layout_settingsqcom

Related Procedures:

Changing the Orientation of the Display

Changing the Center Setting for the Display

Changing the Display of Resource and Code IDs

Using the Zoom In Command

Using the Zoom Out Command


seealso_changing_the_orientation_of_the_displayqcom

Related Procedures:

Changing the Center Setting for the Display

Changing the Display of Resource and Code IDs

Changing the Hierarchy Display Layout Settings

Using the Zoom In Command

Using the Zoom Out Command


seealso_changing_the_owner_of_an_objectqcom

Related Topic:

Using the Change Ownership and Access Rights Dialog Box

Using the Change Owner Dialog Box

Using the Change Access Rights Dialog Box

Related Procedures

Changing the Access Rights of an Object


seealso_changing_the_properties_of_a_shortcutqcom

Related Topics:

Using the Properties Dialog Box for a Shortcut

Using the Properties Dialog Box

Using the Project Properties Dialog Box

Related Procedures:

Changing the Properties of an Auxiliary File

Changing the Properties of a View


seealso_changing_the_properties_of_a_viewqcom

Related Topic:

Using the Properties Dialog Box

Related Procedures:

Changing the Properties of an Auxiliary File

Changing the Properties of a Shortcut


seealso_changing_the_properties_of_an_auxiliary_fileqcom

Related Topic:

Using the Properties Dialog Box

Related Procedures:

Changing the Properties of a View

Changing the Properties of a Shortcut


seealso_changing_your_login_passwordqcom

Related Topic:

Using the Set Password Dialog Box

Related Procedure:

Granting File Access Rights


seealso_checking_in_a_projectqcom

Related Topics:

Understanding the Open Plan Briefcasing Feature

Using a Briefcase Data Source

Using the Check Out Dialog Box

Using the Check In Dialog Box

Using the Checked Out Projects Dialog Box

Related Procedures:

Checking Out a Project

Undoing a Project Check Out

Viewing the Checked Out Status of a Project


seealso_checking_out_a_projectqcom

Related Topics:

Understanding the Open Plan Briefcasing Feature

Using a Briefcase Data Source

Using the Check Out Dialog Box

Using the Check In Dialog Box

Using the Checked Out Projects Dialog Box

Related Procedures:

Undoing a Project Check Out

Checking in a Project

Viewing the Checked Out Status of a Project


seealso_choosing_a_command_from_a_menuqcom

Related Topic:

Basic Skills

Related Procedures:

Displaying a Menu

Choosing a Command From the Toolbar

Turning Off the Toolbar

Turning Off the Status Bar Display


seealso_choosing_a_command_from_the_toolbarqcom

Related Topic:

Basic Skills

Related Procedures:

Displaying a Menu

Choosing a Command From a Menu

Turning Off the Toolbar

Turning Off the Status Bar Display


seealso_closing_an_open_plan_fileqcom

Related Procedures:

Working with Open Plan Data

Related Procedures:

Creating an Open Plan File

Opening an Open Plan File

Saving an Open Plan File

Copying an Open Plan File

Deleting an Open Plan File


seealso_copying_a_browser_viewqcom

Related Topics

Using the Manage Browser Views Dialog Box

Related Procedures:

Creating a Browser View

Editing a Browser View

Deleting a Browser View


seealso_copying_a_rollup_definitionqcom

Related Topics

Using the Rollups Dialog Box

Using the Rollup Definition Dialog Box

Related Procedures:

Creating a Rollup Definition

Editing a Rollup Definition


seealso_copying_a_title_block_definitonqcom

Related Topics

Using the Title Blocks Dialog Box

Using the Title Block Definition Dialog Box

Related Procedures:

Defining a Title Block

Assigning a Title Block to a View

Editing a Title Block


seealso_copying_an_email_advisoryqcom

Related Topic:

Using the Advisory Definitions Dialog Box

Related Procedures:

Sending an Email Advisory

Setting Up an Email Advisory Address List

Creating a New Email Advisory

Editing an Email Advisory

Deleting an Email Advisory


seealso_copying_an_open_plan_fileqcom

Related Topic:

Saving and Copying Open Plan Files

Related Procedures:

Creating an Open Plan File

Opening an Open Plan File

Saving an Open Plan File

Closing an Open Plan File

Deleting an Open Plan File


seealso_creating_a_batch_global_edit_definitionqcom

Related Topics

Using the Batch Global Edit Dialog Box

Using the Batch Global Edit Definition Dialog Box

Using the Global Edits Dialog Box

Using the Global Edit Definition Dialog Box

Related Procedures:

Creating a New Global Edit Definition

Copying a Global Edit Definition

Editing an Existing Global Edit Definition


seealso_creating_a_browser_viewqcom

Related Topic:

Using the Manage Browser Views Dialog Box

Related Procedures:

Copying a Browser View

Editing a Browser View

Deleting a Browser View


seealso_creating_a_link_in_my_folder_to_an_objectqcom

Related Topic:

Using the Open Plan Explorer

Related Procedures:

Creating a User Folder

Adding a Column to the Contents Pane

Removing a Column from the Contents Pane

Renaming a Column in the Contents Pane

Sorting the Data in the Contents Pane

Resizing a Column in the Contents Pane

Rearranging Column Order in the Contents Pane


seealso_creating_a_new_email_advisoryqcom

Related Topic:

Using the Edit Advisor Emails Dialog Box

Related Procedures:

Sending an Email Advisory

Setting Up an Email Advisory Address List

Copying an Email Advisory

Editing an Email Advisory

Deleting an Email Advisory


seealso_creating_a_new_project_manuallyqcom

Related Topic:

Using the New File Dialog Box

Related Procedures:

Creating a Project Using the New Project Wizard

Creating a New Calendar File

Creating a New Resource File

Creating a New Code File

Opening an Open Plan file


seealso_creating_a_note_categoryqcom

Related Topic:

Using the Manage Note Categories Dialog Box

Related Procedures:

Editing a Note Category

Deleting a Note Category


seealso_creating_a_project_using_the_new_project_wizardqcom

Related Topic:

Using the New File Wizard

Related Procedures:

Creating a New Project Manually

Creating a New Calendar File

Creating a New Resource File

Creating a New Code File

Opening an Open Plan File


seealso_creating_a_rollup_definitionqcom

Related Topics

Using the Rollups Dialog Box

Using the Rollup Definition Dialog Box

Related Procedures:

Editing a Rollup Definition

Copying a Rollup Definition


seealso_creating_a_user_folderqcom

Related Topic:

Using the Open Plan Explorer

Related Procedures:

Creating a Link in My Folder to an Object

Adding a Column to the Contents Pane

Removing a Column from the Contents Pane

Renaming a Column in the Contents Pane

Sorting the Data in the Contents Pane

Resizing a Column in the Contents Pane

Rearranging Column Order in the Contents Pane


seealso_creating_an_open_plan_fileqcom

Related Topic:

Using the New File Dialog Box

Related Procedures:

Opening an Open Plan File

Saving an Open Plan File

Copying an Open Plan File

Closing an Open Plan File

Deleting an Open Plan File


seealso_customizing_the_add_ins_toolbarsqcom

Related Topic:

Custom Tools

Using the Customize Add-Ins Toolbars Dialog Box

Using the Customize Toolbar Dialog Box

Using the Customize Toolbar Icons Dialog Box

Related Procedures:

Adding a Custom Item to the Add-Ins Menu

Changing an Add-Ins Button Icon


seealso_defining_a_title_blockqcom

Related Topic:

Using the Title Blocks Dialog Box

Related Procedures:

Previewing a Report Before Printing

Setting Up a Printer

Setting Print Margins

Printing Notes With a Report

Printing a Report

Preparing a Report for Publication on the Web

Creating a Report Batch

Performing Batch Reporting


seealso_deleting_a_browser_viewqcom

Related Topic:

Using the Manage Browser Views Dialog Box

Related Procedures:

Creating a Browser View

Copying a Browser View

Editing a Browser View


seealso_deleting_a_data_source_connectionqcom

Related Topic:

Using the Data Sources Dialog Box

Related Procedures:

Selecting a Data Source

Adding a Data Source Connection

Editing a Data Source Connection


seealso_deleting_a_group_of_data_recordsqcom

Related Topic:

Using the Group Deletion Dialog Box

Related Procedure:

Deleting an Open Plan File


seealso_deleting_a_note_categoryqcom

Related Topic:

Using the Manage Note Categories Dialog Box

Related Procedures:

Creating a Note Category

Editing a Note Category


seealso_deleting_an_email_advisoryqcom

Related Topic:

Using the Advisory Definitions Dialog Box

Related Procedures:

Sending an Email Advisory

Setting Up an Email Advisory Address List

Creating a New Email Advisory

Copying an Email Advisory

Editing an Email Advisory


seealso_deleting_an_open_plan_fileqcom

Related Topics:

Using the Select File to Delete Dialog Box

Using the Delete Activity Dialog Box

Working with Open Plan Data

Related Procedures:

Creating an Open Plan File

Opening an Open Plan File

Saving an Open Plan File

Copying an Open Plan File

Closing an Open Plan File


seealso_disabling_start_up_clip_notesqcom

Related Topic:

Using the Options Dialog Box

Related Procedures:

Modifying the List of Default Views

Showing Summary Dates on Subprojects

Opening Last File on Startup

Setting the Default Project


seealso_displaying_a_menuqcom

Related Topic:

Basic Skills

Related Procedures:

Choosing a Command From a Menu

Choosing a Command From the Toolbar

Turning Off the Toolbar

Turning Off the Status Bar Display


seealso_editing_a_browser_viewqcom

Related Topic:

Using the Manage Browser Views Dialog Box

Related Procedures:

Creating a Browser View

Copying a Browser View

Deleting a Browser View


seealso_editing_a_custom_symbolqcom

Related Topics:

Using the Manage Symbols Dialog Box

Using the Add Symbol Dialog Box

Using the Options Dialog Box

Related Procedure:

Adding a Custom Symbol


seealso_editing_a_data_source_connectionqcom

Related Topic:

Using the Data Sources Dialog Box

Related Procedures:

Selecting a Data Source

Adding a Data Source Connection

Deleting a Data Source Connection


seealso_editing_a_note_categoryqcom

Related Topic:

Using the Manage Note Categories Dialog Box

Related Procedures:

Creating a Note Category

Deleting a Note Category


seealso_editing_a_rollup_definitionqcom

Related Topics:

Using the Rollups Dialog Box

Using the Rollup Definition Dialog Box

Related Procedures:

Creating a Rollup Definition

Copying a Rollup Definition


seealso_editing_a_title_block_definitionqcom

Related Topics:

Using the Title Blocks Dialog Box

Using the Title Block Definition Dialog Box

Related Procedures:

Defining a Title Block

Assigning a Title Block to a View

Copying a Title Block


seealso_editing_an_email_advisoryqcom

Related Topic:

Using the Edit Advisor Emails Dialog Box

Related Procedures:

Sending an Email Advisory

Setting Up an Email Advisory Address List

Creating a New Email Advisory

Copying an Email Advisory

Deleting an Email Advisory


seealso_granting_file_access_rightsqcom

Related Topics:

Using the Properties Dialog Box Access Control Tab for an Auxiliary File or View

Using the Project Properties Dialog Box Access Control Tab

Related Procedure:

Changing Your Login Password


seealso_modifying_the_list_of_default_viewsqcom

Related Topic:

Using the Options Dialog Box

Related Procedures:

Disabling Start Up Procedures

Showing Summary Dates on Subprojects

Opening Last File on Startup

Setting the Default Project


seealso_opening_a_file_in_a_specified_modeqcom

Related Topic:

Using the File Open Dialog Box

Related Procedures:

Creating an Open Plan File

Saving an Open Plan File

Copying an Open Plan File

Closing an Open Plan File

Deleting an Open Plan File


seealso_opening_an_open_plan_fileqcom

Related Topic:

Using the File Open Dialog Box

Related Procedures:

Creating an Open Plan File

Saving an Open Plan File

Copying an Open Plan File

Closing an Open Plan File

Deleting an Open Plan File


seealso_opening_last_file_on_startupqcom

Related Topic:

Using the Options Dialog Box

Related Procedures:

Modifying the List of Default Views

Disabling Start Up Procedures

Showing Summary Dates on Subprojects

Setting the Default Project


seealso_previewing_a_report_before_printingqcom

Related Topic:

Using Print Preview

Related Procedures:

Setting up a Printer

Setting Print Margins

Printing Notes With a Report

Printing a Report

Printing a Calendar

Preparing a Report for Publication on the Web

Creating a Report Batch

Performing Batch Reporting


seealso_printing_a_reportqcom

Related Topic:

Using the Print Dialog Box

Related Procedures:

Previewing a Report Before Printing

Setting Up a Printer

Setting Print Margins

Printing Notes With a Report

Printing a Calendar

Printing a Barchart

Preparing a Report for Publication on the Web

Creating a Report Batch

Performing Batch Reporting


seealso_printing_notes_with_a_reportqcom

Related Topic:

Using the Print Options General Tab

Related Procedures:

Previewing a Report Before Printing

Setting up a Printer

Setting Print Margins

Printing a Report

Preparing a Report for Publication on the Web

Creating a Report Batch

Performing Batch Reporting


seealso_rearranging_column_order_in_the_contents_paneqcom

Related Topics:

Using the Contents Pane of the Open Plan Explorer

Related Procedures:

Creating a User Folder

Creating a Link in My Folder to an Object

Adding a Column to the Contents Pane

Removing a Column from the Contents Pane

Renaming a Column in the Contents Pane

Sorting the Data in the Contents Pane

Resizing a Column in the Contents Pane


seealso_removing_a_column_from_the_contents_paneqcom

Related Topics:

Using the Contents Pane of the Open Plan Explorer

Related Procedures:

Creating a User Folder

Creating a Link in My Folder to an Object

Adding a Column to the Contents Pane

Renaming a Column in the Contents Pane

Sorting the Data in the Contents Pane

Resizing a Column in the Contents Pane

Rearranging Column Order in the Contents Pane


seealso_renaming_a_column_in_the_contents_paneqcom

Related Topics:

Using the Contents Pane of the Open Plan Explorer

Related Procedures:

Creating a User Folder

Creating a Link in My Folder to an Object

Adding a Column to the Contents Pane

Removing a Column from the Contents Pane

Sorting the Data in the Contents Pane

Resizing a Column in the Contents Pane

Rearranging Column Order in the Contents Pane


seealso_resizing_a_column_in_the_contents_paneqcom

Related Topic:

Using the Contents Pane of the Open Plan Explorer

Related Procedures:

Creating a User Folder

Creating a Link in My Folder to an Object

Adding a Column to the Contents Pane

Removing a Column from the Contents Pane

Renaming a Column in the Contents Pane

Sorting the Data in the Contents Pane

Rearranging Column Order in the Contents Pane


seealso_restoring_data_from_a_backup_fileqcom

Related Topic:

Using the Restore File Dialog Box

Related Procedures:

Backing Up Open Plan Data

Deleting a File

Checking Out a Project

Undoing a Project Checkout

Checking In a Project

Viewing the Checked Out Status of a Project

Changing the Access Mode of a File

Changing the Ownership and Access Rights of a File


seealso_saving_an_open_plan_fileqcom

Related Topic:

Saving Files

Related Procedures:

Creating an Open Plan File

Opening an Open Plan File

Copying an Open Plan File

Closing an Open Plan File

Deleting an Open Plan File


seealso_selecting_a_data_sourceqcom

Related Topic:

Using the Data Sources Dialog Box

Related Procedures:

Adding a Data Source Connection

Editing a Data Source Connection

Deleting a Data Source Connection


seealso_sending_a_message_to_a_userqcom

Related Topic:

Using the Send Message Dialog Box


seealso_sending_an_email_advisoryqcom

Related Topic:

Using the Advisory Definitions Dialog Box

Related Procedures:

Setting Up an Email Advisory Address List

Creating a New Email Advisory

Copying an Email Advisory

Editing an Email Advisory

Deleting an Email Advisory


seealso_sending_an_open_plan_file_as_an_email_attachmentqcom

Related Procedure:

Preparing a Report for Publication on the Web


seealso_setting_print_marginsqcom

Related Topic:

Using the Print Options Dialog Box

Related Procedures:

Setting Up a Printer

Preview a Report Before Printing

Printing Notes With a Report

Printing a Report

Printing a Barchart

Printing a Calendar


seealso_setting_system_preferencesqcom

Related Topic:

Using the Options Dialog Box

Related Procedures:

Modifying the List of Default Views

Disabling Start Up Procedures

Showing Summary Dates on Subprojects

Opening Last File on Startup

Setting the Default Project


seealso_setting_the_default_projectqcom

Related Topic:

Using the Options Dialog Box

Related Procedures:

Modifying the List of Default Views

Disabling Start Up Procedures

Showing Summary Dates on Subprojects

Opening Last File on Startup


seealso_setting_up_a_printerqcom

Related Topic:

Using the Print Setup Dialog Box

Related Procedures:

Setting Print Margins

Preview a Report Before Printing

Printing Notes With a Report

Printing a Report

Printing a Barchart

Printing a Calendar

Preparing a Report for Publication on the Web

Creating a Report Batch

Performing Batch Reporting


seealso_setting_up_an_email_advisory_address_listqcom

Related Topic:

Using the Edit Advisor Emails Dialog Box

Related Procedures:

Sending an Email Advisory

Creating a New Email Advisory

Copying an Email Advisory

Editing an Email Advisory

Deleting an Email Advisory


seealso_showing_summary_dates_on_subprojectsqcom

Related Topic:

Using the Options Tab of the Time Analysis Dialog Box

Related Procedures:

Modifying the List of Default Views

Disabling Start Up Procedures

Opening Last File on Startup

Setting the Default Project


seealso_sorting_the_data_in_the_contents_paneqcom

Related Topic:

Using the Contents Pane of the Open Plan Explorer

Related Procedures:

Creating a User Folder

Creating a Link in My Folder to an Object

Adding a Column to the Contents Pane

Removing a Column from the Contents Pane

Renaming a Column in the Contents Pane

Resizing a Column in the Contents Pane

Rearranging Column Order in the Contents Pane


seealso_turning_off_the_status_bar_displayqcom

Related Topic:

Basic Skills

Related Procedures:

Displaying a Menu

Choosing a Command From a Menu

Choosing a Command From the Toolbar

Turning Off the Toolbar Display


seealso_turning_off_the_toolbar_displayqcom

Related Topic:

Basic Skills

Related Procedures:

Displaying a Menu

Choosing a Command From a Menu

Choosing a Command From the Toolbar

Turning Off the Status Bar Display


seealso_undoing_a_project_checkoutqcom

Related Topics:

Understanding the Open Plan Briefcasing Feature

Using a Briefcase Data Source

Using the Check Out Dialog Box

Using the Check In Dialog Box

Using the Checked Out Projects Dialog Box

Related Procedures:

Checking Out a Project

Checking in a Project

Viewing the Checked Out Status of a Project


seealso_using_the_zoom_in_commandqcom

Related Procedures:

Using the Zoom Out Command

Changing the Orientation of the Display

Changing the Center Setting for the Display

Changing the Display of Resource and Code IDs

Changing the Hierarchy Display Layout Settings


seealso_using_the_zoom_out_commandqcom

Related Procedures:

Using the Zoom In Command

Changing the Orientation of the Display

Changing the Center Setting for the Display

Changing the Display of Resource and Code IDs

Changing the Hierarchy Display Layout Settings


seealso_viewing_the_checked_out_status_of_a_projectqcom

Related Topics:

Understanding the Open Plan Briefcasing Feature

Using a Briefcase Data Source

Using the Check Out Dialog Box

Using the Check In Dialog Box

Using the Checked Out Projects Dialog Box

Related Procedures:

Checking Out a Project

Undoing a Project Check Out

Checking in a Project


Selecting a Data Source

To select a data source:

  1. On the Tools menu, click Data Sources.

  2. On the Data Sources dialog box, select the appropriate data source.

  3. Click OK.

Your selection will take effect the next time you start Open Plan.

Related Topics and Procedures


seealso_displaying_a_resource_histogram_on_a_barchartqhist

Related Topic:

Using the Resource Selection Dialog Box

Related Procedures:

Displaying a Resource Histogram View

Selecting Resources to Display on a Resource Histogram

Performing Time Analysis

Performing Resource Scheduling


seealso_displaying_a_resource_histogram_viewqhist

Related Topic:

Using the Resource Selection Dialog Box

Related Procedures:

Displaying a Resource Histogram on a Barchart

Selecting Resources to Display on a Resource Histogram

Performing Time Analysis

Performing Resource Scheduling


seealso_displaying_a_risk_histogram_viewqhist

Related Topic:

Risk Analysis Histogram View

Related Procedures:

Selecting a Key Activity to Display on a Risk Histogram View

Defining Probability Distributions for an Activity Duration

Performing Risk Analysis


seealso_displaying_actual_resource_usage_on_a_resource_histogramqhist

Related Topic:

Customizing a Resource Histogram View

Related Procedures:

Displaying a Resource Histogram View

Displaying a Resource Histogram on a Barchart

Displaying Resource Usage on a Resource Histogram

Displaying Resource Assignment Levels on a Resource Histogram

Displaying Earned Value on a Resource Histogram


seealso_displaying_earned_value_on_a_resource_histogramqhist

Related Topic:

Customizing a Resource Histogram View

Related Procedures:

Displaying a Resource Histogram View

Displaying a Resource Histogram on a Barchart

Displaying Resource Usage on a Resource Histogram

Displaying Resource Assignment Levels on a Resource Histogram


seealso_displaying_resource_assignments_on_a_resource_histogramqhist

Related Topic:

Customizing a Resource Histogram View

Related Procedures:

Displaying a Resource Histogram View

Displaying a Resource Histogram on a Barchart

Displaying Resource Usage on a Resource Histogram

Displaying Earned Value on a Resource Histogram


seealso_selecting_a_key_activity_to_display_on_a_risk_histogram_viewqhist

Related Topic:

Risk Analysis Histogram View

Related Procedures:

Displaying a Risk Histogram View

Defining Probability Distributions for an Activity Duration

Performing Risk Analysis


seealso_selecting_resources_to_display_on_a_resource_histogramqhist

Related Topic:

Using the Resource Selection Dialog Box

Related Procedures:

Displaying a Resource Histogram View

Displaying a Resource Histogram on a Barchart

Performing Time Analysis

Performing Resource Scheduling


directpoputqnet

Direct

Open Plan draws the relationship lines as straight lines between the predecessor and successor activities.


finish_to_finishqnet

Finish-to-Finish

Drag the relationship line from the right edge of the predecessor activity to the right edge of the successor.


finish_to_startqnet

Finish-to-Start

Drag the relationship line from the right edge of the predecessor activity to the left edge of the successor.


routedpopupqnet

Routed

Open Plan draws the relationship lines in a series of horizontal and vertical segments.


seealso_aligning_activity_boxes_network_viewqnet

Related Topic:

Network Preferences — Options Tab

Related Procedures:

Changing the Shape of a Relationship line

Defining the Relationship Line Style

Changing the Size of an Activity Box

Showing Page Breaks on a Network View

Highlighting Controlling Relationships in a Network View

Setting Box Legend Options


seealso_changing_the_font_on_a_network_viewqnet

Related Topic:

Using the Font Dialog Box

Related Procedures:

Changing the Font on a Network View

Changing the Font on Activity Boxes

Changing the Font on an Annotation

Changing the Default Font on a Spreadsheet

Changing the Font on a Bar

Changing the Font on a Date Scale

Changing the Font on a Calendar

Changing the Font on a Code View

Changing the Font on a Resource View


seealso_changing_the_font_on_activity_boxesqnet

Related Topic:

Using the Font Dialog Box

Related Procedures:

Changing the Font on a Network View

Changing the Font on an Annotation

Changing the Default Font on a Spreadsheet

Changing the Font on a Bar

Changing the Font on a Date Scale

Changing the Font on a Calendar

Changing the Font on a Code View

Changing the Font on a Resource View


seealso_changing_the_font_on_an_annotationqnet

Related Topic:

Using the Font Dialog Box

Related Procedures:

Changing the Font on a Network View

Changing the Font on Activity Boxes

Changing the Default Font on a Spreadsheet

Changing the Font on a Bar

Changing the Font on a Date Scale

Changing the Font on a Calendar

Changing the Font on a Code View

Changing the Font on a Resource View


seealso_changing_the_shape_of_a_relationship_lineqnet

Related Topic:

Network Preferences — Options Tab

Related Procedures:

Defining the Relationship Line Style

Changing the Size of an Activity Box

Defining Activity Box Attributes

Setting Box Layout Options


seealso_changing_the_size_of_an_activity_boxqnet

Related Topic:

How a Network View Displays Information

Related Procedures:

Changing the Shape of a Relationship line

Restoring an Activity Box to its Previous Size

Setting a New Default for the Size of the Activity Box


seealso_creating_a_relationship_keyboardqnet

Related Topic:

Activity Details — Relationship Tab

Related Procedures:

Creating a Relationship in a Network View Using a Mouse

Editing a Relationship in a Network View

Deleting a Relationship in a Network View

Creating a Relationship in a Barchart View Using the Mouse

Creating a Relationship in a Spreadsheet View

Creating Interproject Relationships in a Network View

Creating a Relationship in a Split Network view


seealso_creating_a_relationship_mouseqnet

Related Topic:

Activity Details — Relationship Tab

Related Procedures:

Creating a Relationship Using the Keyboard

Editing a Relationship in a Network view

Deleting a Relationship in a Network View

Creating a Relationship in a Barchart View

Creating a Relationship in a Spreadsheet View

Creating Interproject Relationships in a Network View

Creating a Relationship in a Split Network view


seealso_creating_a_relationship_using_a_split_network_viewqnet

Related Topic:

Activity Details — Relationship Tab

Related Procedures:

Creating a Relationship Using a Mouse

Creating a Relationship Using the Keyboard

Editing a Relationship in a Network View

Creating Interproject Relationships in a Network View

Splitting a Network View into Two Panes


seealso_creating_an_activity_network_viewqnet

Related Topic:

Creating and Editing Activities

Related Procedures:

Editing an Activity

Deleting an Activity

Moving an Activity in a Network View

Cutting an Activity

Copying an Activity

Pasting an Activity From the Clipboard

Selecting Multiple Activities in a Network View

Creating a Relationship Using a Mouse

Creating a Relationship Using the Keyboard


seealso_creating_an_approval_box_network

Related Topic:

Using the Network View Annotation Dialog Box

Related Procedures:

Entering an Annotation in a Network View

Changing How an Annotation is Displayed

Editing an Annotation

Deleting an Annotation

Changing the Font on an Annotation


seealso_creating_child_activities_networkqnet

Related Topic:

How a Network View Displays Information

Related Procedures:

Creating Child Activities in a Spreadsheet View

Displaying a Network at Different Magnifications

Displaying Child Activities on a Network View

Expanding a Subproject on a Network View

Displaying Multiple Levels in a Project

Splitting a Network View into Two Panes


seealso_creating_interproject_relationships_networkqnet

Related Topic:

Inter-Project Relationships

Related Procedures:

Creating a Relationship Using a Mouse

Using External Subprojects in a Hierarchy

Editing a Relationship in a Network View

Deleting a Relationship in a Network View

Creating a Relationship in a Barchart Using the Mouse

Creating a Relationship in a Spreadsheet View


seealso_defining_activity_box_attributesqnet

Related Topic:

Network Preferences — Box Attributes Tab

Related Tasks

Creating a New Filter

Defining Activity Box Attributes

Defining the Relationship Line Style

Showing Page Breaks on a Network View

Setting Box Layout Options

Setting Box Legend Options


seealso_defining_custom_zoningqnet

Related Topic:

Using the Zone Attributes Dialog Box

Related Procedures:

Performing Automatic Placements

Turning Automatic Placements Off

Saving Automatic Placements

Displaying a Semi Time-Phased Network View

Displaying a Network at Different Magnifications

Expanding a Subproject on a Network View

Displaying Child Activities on a Network View

Filtering Data in a Network View


seealso_defining_the_relationship_line_styleqnet

Related Topic:

Network Preferences — Options Tab

Related Procedures:

Changing the Shape of a Relationship line

Defining the Relationship Line Style

Changing the Size of an Activity Box

Showing Page Breaks on a Network View

Highlighting Controlling Relationships in a Network View

Setting Box Legend Options


seealso_deleting_a_relationship_network_viewqnet

Related Topic:

Activity Details — Relationship Tab

Related Procedures:

Creating a Relationship Using a Mouse

Creating a Relationship Using the Keyboard

Editing a Relationship in a Network View

Creating Interproject Relationships in a Network View

Creating a Relationship in a Split Network view


seealso_deleting_an_annotationqnet

Related Topic:

Using the Network View Annotation Dialog Box

Related Procedures:

Entering an Annotation in a Network View

Creating an Approval Box

Changing How an Annotation is Displayed

Editing an Annotation

Changing the Font on an Annotation


seealso_displaying_a_network_at_different_magnificationsqnet

Related Topic:

How a Network View Displays Information

Related Procedures:

Finding an activity

Performing Automatic Placements on a Network View

Defining Custom Zoning


seealso_displaying_a_semi_time_phased_network_viewqnet

Related Topic:

Using the Placements Dialog Box

Related Procedures:

Performing Automatic Placements

Turning Automatic Placements Off

Saving Automatic Placements

Displaying a Network at Different Magnifications

Expanding a Subproject on a Network View

Displaying Child Activities on a Network View

Defining Custom Zoning

Filtering Data in a Network View


seealso_displaying_child_activities_networkqnet

Related Topic:

How a Network View Displays Information

Related Procedures:

Creating Child Activities in a Spreadsheet

Displaying a Network at Different Magnifications

Expanding a Subproject on a Network View

Moving Up the Hierarchy


seealso_displaying_multiple_project_levels_networkqnet

Related Topic:

How a Network View Displays Information

Related Procedures:

Displaying Child Activities on a Network View

Creating Child Activities in a Spreadsheet

Displaying a Network at Different Magnifications

Expanding a Subproject on a Network View

Moving Up the Hierarchy


seealso_editing_a_relationship_network_viewqnet

Related Topic:

Activity Details — Relationship Tab

Related Procedures:

Creating a Relationship Using a Mouse

Creating a Relationship Using the Keyboard

Deleting a Relationship in a Network View

Creating Interproject Relationships in a Network View

Creating a Relationship in a Split Network view


seealso_editing_an_annotationqnet

Related Topic:

Using the Network View Annotation Dialog Box

Related Procedures:

Entering an Annotation in a Network View

Creating an Approval Box

Changing How an Annotation is Displayed

Deleting an Annotation

Changing the Font on an Annotation


seealso_entering_an_annotationqnet

Related Topic:

Using the Network View Annotation Dialog Box

Related Procedures:

Creating an Approval Box

Changing How an Annotation is Displayed

Editing an Annotation

Deleting an Annotation

Changing the Font on an Annotation


seealso_expanding_a_subproject_networkqnet

Related Topic:

How a Network View Displays Information

Related Procedures:

Displaying Child Activities on a Network View

Displaying a Network at Different Magnifications

Moving Up the Hierarchy


seealso_filtering_data_in_a_network_viewqnet

Related Topic:

Using the Placements Dialog Box

Related Procedures:

Performing Automatic Placements

Turning Automatic Placements Off

Saving Automatic Placements

Displaying a Semi Time-Phased Network View

Displaying a Network at Different Magnifications

Expanding a Subproject on a Network View

Displaying Child Activities on a Network View

Defining Custom Zoning


seealso_highlighting_controlling_relationships_network_viewqnet

Related Topic:

Network Preferences — Options Tab

Related Procedures:

Aligning Activity Boxes

Changing the Shape of a Relationship line

Defining the Relationship Line Style

Changing the Size of an Activity Box

Showing Page Breaks on a Network View

Setting Box Legend Options


seealso_moving_a_legendqnet

Related Topic:

Network Preferences — Legend Tab

Related Procedures:

Setting Network Legend Options

Reshaping a Legend Box

Defining the Relationship Line Style

Showing Page Breaks on a Network View


seealso_moving_an_activity_networkqnet

Related Topic:

Working with Activities in a Network View

Related Procedures:

Finding an Activity

Editing an Activity

Deleting an Activity

Cutting an Activity

Copying an Activity

Pasting an Activity From the Clipboard

Selecting Multiple Activities in a Network View

Splitting a Network View into Two Panes


seealso_moving_up_the_hierarchy_networkqnet

Related Topic:

How a Network View Displays Information

Related Procedures:

Displaying Child Activities on a Network View

Displaying a Network at Different Magnifications

Expanding a Subproject on a Network View


seealso_performing_automatic_placementsqnet

Related Topic:

Using the Placements Dialog Box

Related Procedures:

Turning Automatic Placements Off

Saving Automatic Placements

Displaying a Semi Time-Phased Network View

Displaying a Network at Different Magnifications

Expanding a Subproject on a Network View

Displaying Child Activities on a Network View

Defining Custom Zoning

Filtering Data in a Network View


seealso_reshaping_a_legendqnet

Related Topic:

Network Preferences — Legend Tab

Related Procedures:

Setting Network Legend Options

Moving a Legend on a Network View

Defining the Relationship Line Style

Showing Page Breaks on a Network View


seealso_restoring_an_activity_box_to_its_previous_sizeqnet

Related Topic:

How a Network View Displays Information

Related Procedures:

Changing the Shape of a Relationship line

Changing the Size of an Activity Box

Setting a New Default for the Size of the Activity Box


seealso_saving_automatic_placementsqnet

Related Topic:

Using the Placements Dialog Box

Related Procedures:

Performing Automatic Placements

Turning Automatic Placements Off

Displaying a Semi Time-Phased Network View

Displaying a Network at Different Magnifications

Expanding a Subproject on a Network View

Displaying Child Activities on a Network View

Defining Custom Zoning

Filtering Data in a Network View


seealso_selecting_multiple_activities_networkqnet

Related Topic:

Working with Activities in a Network View

Related Procedures:

Deleting an Activity

Moving an Activity in a Network View

Cutting an Activity

Copying an Activity

Splitting a Network View into Two Panes


seealso_setting_a_new_default_for_the_size_of_the_activity_boxqnet

Related Topic:

How a Network View Displays Information

Related Procedures:

Changing the Shape of a Relationship line

Changing the Size of an Activity Box

Restoring an Activity Box to its Previous Size


seealso_setting_box_layout_optionsqnet

Related Topic:

Network Preferences — Box Attributes Tab

Related Procedures

Creating a New Filter

Defining Activity Box Attributes

Defining the Relationship Line Style

Showing Page Breaks on a Network View

Setting Box Legend Options


seealso_setting_network_legend_optionsqnet

Related Topic:

Network Preferences — Legend Tab

Related Procedures:

Setting Network Legend Options

Moving a Legend on a Network View

Reshaping a Legend Box

Defining the Relationship Line Style

Showing Page Breaks on a Network View


seealso_showing_page_breaks_on_a_network_viewqnet

Related Topic:

Network Preferences — Options Tab

Related Procedures:

Aligning Activity Boxes

Changing the Shape of a Relationship line

Defining the Relationship Line Style

Changing the Size of an Activity Box

Showing Page Breaks on a Network View

Highlighting Controlling Relationships in a Network View

Setting Box Legend Options


seealso_splitting_a_network_view_into_two_panesqnet

Related Topic:

Working with Activities in a Network View

Related Procedures:

Deleting an Activity

Moving an Activity in a Network View

Cutting an Activity

Copying an Activity

Selecting Multiple Activities in a Network View


seealso_turning_automatic_placements_offqnet

Related Topic:

Using the Placements Dialog Box

Related Procedures:

Performing Automatic Placements

Saving Automatic Placements

Displaying a Semi Time-Phased Network View

Displaying a Network at Different Magnifications

Expanding a Subproject on a Network View

Displaying Child Activities on a Network View

Defining Custom Zoning

Filtering Data in a Network View


seealsochanging_how_an_annotation_is_displayedqnet

Related Topic:

Using the Network View Annotation Dialog Box

Related Procedures:

Entering an Annotation in a Network View

Creating an Approval Box

Editing an Annotation

Deleting an Annotation

Changing the Font on an Annotation


start_to_finishqnet

Start-to-Finish

Drag the relationship line from the left edge of the predecessor activity to the right edge of the successor.


start_to_startqnet

Start-to-Start

Drag the relationship line from the left edge of the predecessor activity to the left edge of the successor.


Exporting a File to an MSP Database (Procedure)

Exporting a File to an MSP Database

To export a file to an MSProject database:

Microsoft Project does not need to be present on your computer in order for you to export a file to an MSP database (.mpd format).

  1. Open the project that you want to export.

  2. On the File menu, point to Export.

  3. On the Export submenu, click Export MSP File.

  4. In the Save as type field of the Save Project dialog box, select MSProject databases.

  5. Provide a name and location for the MSProject database, and click Save.

    6. Open Plan saves the file with a default extension of .mpd. If you choose an existing file name for the database, Open Plan adds the exported file to the selected database; otherwise, the export utility creates a new MSProject database with the name you specify.

  6. In the Project Name dialog box, provide a name for the project to be added to the MSProject database.

  7. Click OK.

  8. If the Save Options dialog box is displayed, select the options you want to set for the export process, and click OK.

    9. The Save Options dialog box is not displayed if an option has previously been set that inhibits its display.

  9. When the export utility displays a message indicating that the transfer has been completed successfully, click OK.

Related Topics and Procedures


saimporting_a_p3_fileqproj

Related Topic:

Working with P3 Files

Related Procedures:

Importing Data from Another Application

Exporting Data to Another Application

Importing an MSP File

Exporting a File to an MSP Project

Exporting a File to an MSP Database

Opening an Open Plan File


seealso_attaching_a_note_to_a_projectqproj

Related Topic:

Using the Project Properties Notes Tab

Related Procedures:

Editing a Project Note

Deleting a Project Note

Entering Project Summary Information

Setting Project Preferences

Reviewing Project Status

Setting Time Now

Entering a Project Start Date

Setting a Project's Priority

Setting a Project Target Finish Date

Setting a Target Cost for the Project


seealso_copying_a_crosstable_export_specificationqproj

Related Topics:

Using the Crosstable Exports Dialog Box

Using the Copy Export Specification Dialog Box

Using the Crosstable Export Definition Dialog Box

Related Procedures:

Creating a Crosstable Export Specification

Editing a Crosstable Export Specification

Deleting a Crosstable Export Specification


seealso_creating_a_crosstable_export_specificationqproj

Related Topics:

Using the Crosstable Exports Dialog Box

Using the New Export Specification Dialog Box

Using the Crosstable Export Definition Dialog Box

Related Procedures:

Copying a Crosstable Export Specification

Editing a Crosstable Export Specification

Deleting a Crosstable Export Specification


seealso_creating_a_new_baselineqproj

Related Topic:

Using the Add Baseline Dialog Box

Related Procedures:

Selecting a Baseline

Updating a Baseline

Deleting a Baseline


seealso_deleting_a_baselineqproj

Related Topic:

Using the Baselines Dialog Box

Related Procedures:

Selecting a Baseline

Creating a New Baseline

Updating a Baseline


seealso_deleting_a_crosstable_export_specificationqproj

Related Topic:

Using the Crosstable Exports Dialog Box

Related Procedures:

Creating a Crosstable Export Specification

Copying a Crosstable Export Specification

Editing a Crosstable Export Specification


seealso_deleting_a_project_noteqproj

Related Topic:

Using the Project Properties Notes Tab

Related Procedures:

Attaching a Note to a Project

Editing a Project Note

Creating a Note Category

Editing a Note Category

Deleting a Note Category


seealso_editing_a_crosstable_export_specificationqproj

Related Topics:

Using the Crosstable Exports Dialog Box

Using the Copy Export Specification Dialog Box

Using the Crosstable Export Definition Dialog Box

Related Procedures:

Creating a Crosstable Export Specification

Copying a Crosstable Export Specification

Deleting a Crosstable Export Specification


seealso_editing_a_project_noteqproj

Related Topic:

Using the Project Properties Notes Tab

Related Procedures:

Attaching a Note to a Project

Deleting a Project Note

Creating a Note Category

Editing a Note Category

Deleting a Note Category


seealso_entering_a_project_start_dateqproj

Related Topic:

Using the Project Properties Status Tab

Related Procedures:

Entering Project Summary Information

Setting Project Preferences

Reviewing Project Status

Setting Time Now

Setting a Project's Priority

Setting a Project Target Finish Date

Setting a Target Cost for the Project

Attaching a Note to a Project


seealso_entering_project_summary_informationqproj

Related Topic:

Using the Project Properties Summary Tab

Related Procedures:

Setting Project Preferences

Reviewing Project Status

Setting Time Now

Entering a Project Start Date

Setting a Project's Priority

Setting a Project Target Finish Date

Setting a Target Cost for the Project

Attaching a Note to a Project


seealso_exporting_data_to_another_applicationqproj

Related Topic:

Using the Export Dialog Box

Related Procedures:

Importing Data from Another Application

Importing an MSP File

Exporting a File to an MSP Project

Importing a P3 File

Opening an Open Plan File


seealso_importing_data_from_another_applicationqproj

Related Topic:

Using the Import Dialog Box

Related Procedures:

Exporting Data to Another Application

Importing an MSP File

Exporting a File to an MSP Project

Importing a P3 File

Opening an Open Plan File


seealso_reviewing_project_statusqproj

Related Topic:

Using the Project Properties Status Tab

Related Procedures:

Entering Project Summary Information

Setting Project Preferences

Setting Time Now

Entering a Project Start Date

Setting a Project's Priority

Setting a Project Target Finish Date

Setting a Target Cost for the Project

Attaching a Note to a Project


seealso_selecting_a_baselineqproj

Related Topic:

Using the Baselines Dialog Box

Related Procedures:

Creating a New Baseline

Updating a Baseline

Deleting a Baseline


seealso_setting_a_project_target_finish_dateqproj

Related Topic:

Using the Project Properties Status Tab

Related Procedures:

Entering Project Summary Information

Setting Project Preferences

Reviewing Project Status

Setting Time Now

Entering a Project Start Date

Setting a Project's Priority

Setting a Target Cost for the Project

Attaching a Note to a Project


seealso_setting_a_project_target_start_dateqproj

Related Topic:

Using the Project Properties Status Tab

Related Procedures:

Entering Project Summary Information

Setting Project Preferences

Reviewing Project Status

Setting Time Now

Setting a Project's Priority

Setting a Project Target Finish Date

Setting a Target Cost for the Project

Attaching a Note to a Project


seealso_setting_a_target_cost_for_the_projectqproj

Related Topic:

Using the Project Properties Cost Tab

Related Procedures:

Entering Project Summary Information

Setting Project Preferences

Reviewing Project Status

Setting Time Now

Entering a Project Start Date

Setting a Project's Priority

Setting a Project Target Finish Date

Attaching a Note to a Project


seealso_setting_project_preferencesqproj

Related Topic:

Using the Project Properties Preferences Tab

Related Procedures:

Entering Project Summary Information

Reviewing Project Status

Setting Time Now

Entering a Project Start Date

Setting a Project's Priority

Setting a Project Target Finish Date

Setting a Target Cost for the Project

Attaching a Note to a Project


seealso_setting_project_referencesqproj

Related Topic:

Using the Project Properties References Tab

Related Procedures:

Entering Project Summary Information


seealso_updating_a_baselineqproj

Related Topic:

Using the Baselines Dialog Box

Related Procedures:

Selecting a Baseline

Creating a New Baseline

Deleting a Baseline


seealsosetting_a_project_priorityqproj

Related Topic:

Using the Project Properties Scheduling Tab

Related Procedures:

Entering Project Summary Information

Setting Project Preferences

Reviewing Project Status

Setting Time Now

Entering a Project Start Date

Setting a Project Target Finish Date

Setting a Target Cost for the Project

Attaching a Note to a Project


copyassignresourcefilepopupres

Copying a Resource File

Do one of the following:

  • Select the resource file and take one of the following actions:

    • Press the Ctrl+C keys.

    • From the Edit menu, click Copy.

  • Right-click the resource file, and click Copy on the context menu.


pasteassignresourcefilepopupres

Pasting a Resource File

Do one of the following:

  • Position your cursor on the appropriate project folder, and take one of the following actions:

    • Press the Ctrl+V keys.

    • From the Edit menu, click Paste.

  • Right-click the appropriate project folder, and click Paste on the context menu.


seealso_adding_a_child_resourceqres

Related Topic:

Resource Details — General Tab

Related Procedures:

Using the Open Plan Explorer to Assign a Resource File to a Project

Using Project Properties to Assign a Resource File to a Project

Changing the Resource File Assigned to a Project

Assigning Resource Requirements to an Activity

Adding Resources to a File

Editing a Resource

Finding a Resource

Deleting a Resource


seealso_adding_resources_to_a_resource_fileqres

Related Topic:

Resource Details — General Tab

Related Procedures:

Using the Open Plan Explorer to Assign a resource file to a project

Assigning resource requirements to an activity

Assigning Skills to a Resource

Adding a child resource to a pool

Editing a resource

Finding a resource

Deleting a resource


seealso_adding_skills_to_a_resource_fileqres

Related Topic:

Using the Manage Skills Dialog Box

Related Procedures:

Editing Skills in a Resource File

Deleting Skills from a Resource File

Assigning Skills to a Resource


seealso_assigning_a_resource_file_to_a_projectqres

Related Topic:

Using the Open Plan Explorer

Related Procedures:

Creating a Resource File

Opening a Resource File

Copying a Resource File

Saving a Resource File

Deleting a Resource File

Using Project Properties to Assign a Resource File to a Project

Changing the Resource File Assigned to a Project

Adding Resources to a File

Assigning Resource Requirements to an Activity


seealso_assigning_skills_to_a_resourceqres

Related Topic:

Resource Details — Skills Tab

Related Procedures:

Using the Open Plan Explorer to Assign a Resource File to a Project

Assigning resource requirements to an activity

Adding Skills to a Resource File

Editing Skills in a Resource File

Adding Resources to a Resource File

Adding a child resource to a pool

Editing a resource

Finding a resource

Deleting a resource


seealso_attaching_a_note_to_a_resourceqres

Related Topic:

Resource Details — Notes Tab

Related Procedures:

Editing a Resource Note

Deleting a Resource Note

Creating a Note Category

Editing a Note Category

Deleting a Note Category


seealso_changing_the_font_on_a_resource_viewqres

Related Topic:

Using the Font Dialog Box

Related Procedures:

Changing the Font on a Date Scale

Changing the Font on a Bar

Changing the Default Font on a Spreadsheet

Changing the Font on a Network View

Changing the Font on an Annotation

Changing the Font on a Calendar

Changing the Font on a Code View


seealso_collapsing_a_poolqres

Related Topic:

How a Resource View Displays Information

Related Procedures:

Moving a Resource in the Hierarchy

Expanding a Pool

Expanding All Pools

Displaying Full Resource IDs

Displaying Resource Descriptions


seealso_copying_a_resource_fileqres

Related Topic:

Saving and Copying Open Plan Files

Related Procedures:

Creating a Resource File

Opening a Resource File

Saving a Resource File

Deleting a Resource File

Using the Open Plan Explorer to Assign a Resource File to a Project

Using Project Properties to Assign a Resource File to a Project

Changing the Resource File Assigned to a Project

Adding Resources to a File

Assigning Resource Requirements to an Activity


seealso_creating_a_resource_fileqres

Related Topic:

Using the New File Dialog Box

Related Procedures:

Opening a Resource File

Copying a Resource File

Saving a Resource File

Deleting a Resource File

Using the Open Plan Explorer to Assign a Resource File to a Project

Using Project Properties to Assign a Resource File to a Project

Changing the Resource File Assigned to a Project

Adding Resources to a File

Assigning Resource Requirements to an Activity


seealso_defining_cost_resourcesqres

Related Topic:

Resource Details — General Tab

Related Procedure:

Assigning Costs to an Activity


seealso_deleting_a_resource_fileqres

Related Topic:

Using the Delete File Dialog Box

Related Procedures:

Creating a Resource File

Opening a Resource File

Copying a Resource File

Saving a Resource File

Using the Open Plan Explorer to Assign a Resource File to a Project

Using Project Properties to Assign a Resource File to a Project

Changing the Resource File Assigned to a Project

Adding Resources to a File

Assigning Resource Requirements to an Activity


seealso_deleting_a_resource_noteqres

Related Topic:

Resource Details — Notes Tab

Related Procedures:

Attaching a Note to a Resource

Editing a Resource Note

Creating a Note Category

Editing a Note Category

Deleting a Note Category


seealso_deleting_a_resourceqres

Related Topic:

Resource Details — General Tab

Related Procedures:

Adding a Child Resource to a Pool

Using the Open Plan Explorer to Assign a Resource File to a Project

Using Project Properties to Assign a Resource File to a Project

Changing the Resource File Assigned to a Project

Assigning Resource Requirements to an Activity

Adding Resources to a File

Editing a Resource

Finding a Resource


seealso_deleting_skills_from_a_resource_fileqres

Related Topic:

Using the Manage Skills Dialog Box

Related Procedures:

Adding Skills to a Resource File

Editing Skills in a Resource File

Assigning Skills to a Resource


seealso_displaying_full_resource_idsqres

Related Topic:

How a Resource View Displays Information

Related Procedures:

Moving a Resource in the Hierarchy

Collapsing a Pool

Expanding a Pool

Expanding All Pools

Displaying Resource Descriptions


seealso_displaying_resource_descriptionsqres

Related Topic:

Resource Display Preferences — Box Layout Tab

Related Procedures:

Moving a Resource in the Hierarchy

Collapsing a Pool

Expanding a Pool

Expanding All Pools

Displaying Full Resource IDs

Setting Resource Box Layout Options


seealso_editing_a_resource_noteqres

Related Topic:

Resource Details — Notes Tab

Related Procedures:

Attaching a Note to a Resource

Deleting a Resource Note

Creating a Note Category

Editing a Note Category

Deleting a Note Category


seealso_editing_a_resourceqres

Related Topic:

Resource Details — General Tab

Related Procedures:

Adding a Child Resource to a Pool

Using the Open Plan Explorer to Assign a Resource File to a Project

Using Project Properties to Assign a Resource File to a Project

Changing the Resource File Assigned to a Project

Assigning Resource Requirements to an Activity

Adding Resources to a File

Finding a Resource

Deleting a Resource


seealso_editing_skills_in_a_resource_fileqres

Related Topic:

Using the Manage Skills Dialog Box

Related Procedures:

Adding Skills to a Resource File

Deleting Skills from a Resource File

Assigning Skills to a Resource


seealso_expanding_a_poolqres

Related Topic:

How a Resource View Displays Information

Related Procedures:

Moving a Resource in the Hierarchy

Collapsing a Pool

Expanding All Pools

Displaying Full Resource IDs

Displaying Resource Descriptions


seealso_expanding_all_poolsqres

Related Topic:

How a Resource View Displays Information

Related Procedures:

Moving a Resource in the Hierarchy

Collapsing a Pool

Expanding a Pool

Displaying Full Resource IDs

Displaying Resource Descriptions


seealso_finding_a_resourceqres

Related Topic:

Using the Find Node Dialog Box

Related Procedures:

Adding a Child Resource to a Pool

Using the Open Plan Explorer to Assign a Resource File to a Project

Using Project Properties to Assign a Resource File to a Project

Changing the Resource File Assigned to a Project

Assigning Resource Requirements to an Activity

Adding Resources to a File

Editing a Resource

Deleting a Resource


seealso_moving_a_resource_in_the_hierarchyqres

Related Topic:

How a Resource View Displays Information

Related Procedures:

Collapsing a Pool

Expanding a Pool

Expanding All Pools

Displaying Full Resource IDs

Displaying Resource Descriptions


seealso_opening_a_resource_fileqres

Related Topic:

Using the Resource Details Dialog Box

Related Procedures:

Creating a Resource File

Copying a Resource File

Saving a Resource File

Deleting a Resource File

Using the Open Plan Explorer to Assign a Resource File to a Project

Using Project Properties to Assign a Resource File to a Project

Changing the Resource File Assigned to a Project

Adding Resources to a File

Assigning Resource Requirements to an Activity


seealso_removing_summary_resource_usage_information_for_projectsqres

Related Topic:

Using the Project Properties — Scheduling Tab

Related Procedures:

Reserving a Resource Pool for a Project

Reserving an Individual Resource for One or More Projects


seealso_reserving_a_resource_pool_for_a_projectqres

Related Topic:

Resource Details — General Tab

Related Procedures:

Reserving an Individual Resource for One or More Projects

Removing Summary Resource Usage Information for Projects


seealso_reserving_an_individual_resource_for_one_or_more_projectsqres

Related Topic:

Resource Details — General Tab

Related Procedures:

Reserving a Resource Pool for a Project

Reserving an Individual Resource for One or More Projects

Removing Summary Resource Usage Information for Projects


seealso_saving_a_resource_fileqres

Related Topic:

Saving and Copying Open Plan Files

Related Procedures:

Creating a Resource File

Opening a Resource File

Copying a Resource File

Deleting a Resource File

Using the Open Plan Explorer to Assign a Resource File to a Project

Using Project Properties to Assign a Resource File to a Project

Changing the Resource File Assigned to a Project

Adding Resources to a File

Assigning Resource Requirements to an Activity


seealso_setting_resource_box_layout_optionsqres

Related Topic:

Resource Display Preferences — Box Layout Tab

Related Procedures:

Moving a Resource in the Hierarchy

Collapsing a Pool

Expanding a Pool

Expanding All Pools

Displaying Full Resource IDs

Displaying Resource Descriptions


seealso_using_project_properties_to_assign_a_resource_fileqres

Related Topic:

Using the Project Properties Files Tab

Related Procedures:

Creating a Resource File

Opening a Resource File

Copying a Resource File

Saving a Resource File

Deleting a Resource File

Using the Open Plan Explorer to Assign a Resource File to a Project

Changing the Resource File Assigned to a Project

Adding Resources to a File

Assigning Resource Requirements to an Activity


sasorting_the_data_in_a_spreadsheetqspread

Related Topic:

Spreadsheet View

Related Procedures:

Adjusting Width of a Column in a Spreadsheet

Adding a New Column

Inserting a Column

Removing a Column

Editing a Column Heading

Moving a Column

Splitting a Spreadsheet into Two Panes

Inserting Rows in a Spreadsheet

Deleting Rows in a Spreadsheet


sasplitting_a_spreadsheet_into_two_panesqspread

Related Topic:

Spreadsheet View

Related Procedures:

Adjusting Width of a Column in a Spreadsheet

Adding a New Column

Inserting a Column

Removing a Column

Editing a Column Heading

Moving a Column

Sorting Data in a Spreadsheet

Inserting Rows in a Spreadsheet

Deleting Rows in a Spreadsheet


see_also_setting_a_column_or_row_attribute

Related Topics:

Using the Set Column/Row Attributes Dialog Box

Using Calculated Fields

Using the Add Column Dialog Box

Using the Edit Column Dialog Box

Using the Insert Column Dialog Box

Using the Spreadsheet Preferences dialog box

Related Procedures:

Enabling Subsections

Customizing Display Options

Editing a Column

Adding a Column

Inserting a Column

Sorting Spreadsheet Data


seealso_adding_a_new_column_spreadsheetqspread

Related Topic:

Using the Add Column Dialog Box

Related Procedures:

Adjusting Width of a Column in a Spreadsheet

Inserting a Column

Removing a Column

Editing a Column Heading

Moving a Column

Splitting a Spreadsheet into Two Panes

Sorting Data in a Spreadsheet

Inserting Rows in a Spreadsheet

Deleting Rows in a Spreadsheet


seealso_adjusting_column_widthqspread

Related Topic:

Spreadsheet View

Related Procedures:

Adding a New Column

Inserting a Column

Removing a Column

Editing a Column Heading

Moving a Column

Splitting a Spreadsheet into Two Panes

Sorting Data in a Spreadsheet


seealso_assigning_resources_in_a_spreadsheet

Related Topic:

Activity Details — Resources Tab

Related Procedure:

Assigning Resource Requirements to an Activity


seealso_changing_the_default_font_on_a_spreadsheetqspread

Related Topic:

Using the Font Dialog Box

Related Procedures:

Changing the Font on a Date Scale

Changing the Font on a Bar

Changing the Font on a Network View

Changing the Font on an Annotation

Changing the Font on a Calendar

Changing the Font on a Resource View

Changing the Font on a Code View


seealso_creating_a_relationship_in_a_spreadsheet_viewqspread

Related Topic:

Activity Details — Relationships Tab

Related Procedures:

Creating a Relationship in a Barchart View Using the Mouse

Creating a Relationship in a Network View Using a Mouse

Creating Interproject Relationships in a Network View


seealso_creating_an_activity_spreadsheet_viewqspread

Related Topic:

Spreadsheet View

Related Procedures:

Creating Child Activities in a Spreadsheet View

Displaying Child Activities in a Network

Creating Child Activities in a Network View

Deleting an Activity

Cutting an Activity

Copying an Activity

Pasting an Activity


seealso_creating_child_activities_spreadsheetqspread

Related Topic:

Working with Hierarchical Projects

Related Procedures:

Creating an Activity in a Spreadsheet View

Displaying Child Activities in a Network

Creating Child Activities in a Network View

Deleting an Activity

Cutting an Activity

Copying an Activity

Pasting an Activity


seealso_customizing_display_optionsqspread

Related Topic:

Spreadsheet Preferences — Options Tab

Related Procedures:

Enabling Outlining

Enabling Subsections

Defining Outlining

Defining Subsections

Linking Fields on a Spreadsheet


seealso_defining_outliningqspread

Related Topic:

Spreadsheet Preferences — Outlining Tab

Related Procedures:

Enabling Outlining

Enabling Subsections

Customizing Spreadsheet Display Options

Defining Subsections

Linking Fields on a Spreadsheet


seealso_defining_subsectionsqspread

Related Topic:

Spreadsheet Preferences — Subsections Tab

Related Procedures:

Enabling Outlining

Enabling Subsections

Customizing Spreadsheet Display Options

Defining Outlining

Linking Fields on a Spreadsheet


seealso_deleting_rows_in_a_spreadsheetqspread

Related Topic:

Spreadsheet View

Related Procedures:

Adjusting Width of a Column in a Spreadsheet

Adding a New Column

Inserting a Column

Removing a Column

Editing a Column Heading

Moving a Column

Splitting a Spreadsheet into Two Panes

Sorting Data in a Spreadsheet

Inserting Rows in a Spreadsheet


seealso_editing_a_column_spreadsheetqspread

Related Topic:

Using the Edit Column Dialog Box

Related Procedures:

Adjusting Width of a Column in a Spreadsheet

Adding a New Column

Inserting a Column

Removing a Column

Editing a Column Heading

Moving a Column

Splitting a Spreadsheet into Two Panes

Sorting Data in a Spreadsheet

Inserting Rows in a Spreadsheet

Deleting Rows in a Spreadsheet


seealso_enabling_outliningqspread

Related Topic:

Spreadsheet Preferences — Options Tab

Related Procedures:

Enabling Subsections

Customizing Spreadsheet Display Options

Defining Outlining

Defining Subsections

Linking Fields on a Spreadsheet


seealso_enabling_subsectionsqspread

Related Topic:

Spreadsheet Preferences — Options Tab

Related Procedures:

Enabling Outlining

Customizing Spreadsheet Display Options

Defining Outlining

Defining Subsections

Linking Fields on a Spreadsheet


seealso_inserting_a_column_spreadsheetqspread

Related Topic:

Using the Insert Column Dialog Box

Related Procedures:

Adjusting Width of a Column in a Spreadsheet

Adding a New Column

Removing a Column

Editing a Column Heading

Moving a Column

Splitting a Spreadsheet into Two Panes

Sorting Data in a Spreadsheet

Inserting Rows in a Spreadsheet

Deleting Rows in a Spreadsheet


seealso_inserting_rows_in_a_spreadsheetqspread

Related Topic:

Using the Insert Rows Dialog Box

Related Procedures:

Adjusting Width of a Column in a Spreadsheet

Adding a New Column

Inserting a Column

Removing a Column

Editing a Column Heading

Moving a Column

Splitting a Spreadsheet into Two Panes

Sorting Data in a Spreadsheet

Deleting Rows in a Spreadsheet


seealso_linking_fields_on_a_spreadsheetqspread

Related Topic:

Spreadsheet Preferences — Define Link Tab

Related Procedures:

Enabling Outlining

Enabling Subsections

Customizing Spreadsheet Display Options

Defining Outlining

Defining Subsections


seealso_moving_a_column_spreadsheetqspread

Related Topic:

Spreadsheet View

Related Procedures:

Adjusting Width of a Column in a Spreadsheet

Adding a New Column

Inserting a Column

Removing a Column

Editing a Column Heading

Splitting a Spreadsheet into Two Panes

Sorting Data in a Spreadsheet

Inserting Rows in a Spreadsheet

Deleting Rows in a Spreadsheet


seealso_printing_a_spreadsheetqspread

Related Topic:

Using the Print Options Dialog Box

Related Procedures:

Previewing a Report Before Printing

Setting Up a Printer

Printing a Calendar

Printing a Report


seealso_removing_a_column_spreadsheetqspread

Related Topic:

Spreadsheet View

Related Procedures:

Adjusting Width of a Column in a Spreadsheet

Adding a New Column

Inserting a Column

Editing a Column Heading

Moving a Column

Splitting a Spreadsheet into Two Panes

Sorting Data in a Spreadsheet

Insert Rows in a Spreadsheet

Delete Rows in a Spreadsheet


assign_a_calendar_filepopupqstart

Assign a Calendar File

If you assign a calendar file to the project before creating activities, you can assign calendars to activities as you create them.

If a calendar file does not exist, you must first create one before you can assign it to the project.

If no calendar file is assigned to the project, Open Plan performs all calculations based on a 5-day work week with an 8-hour day and no holidays.

To learn how to create and assign a calendar file, click See Also on this Procedure and select the appropriate topic.


assign_a_resource_filepopupqstart

Assign a Resource File

If you assign a resource file to the project before creating activities, you can assign resources to activities as you create them.

If a resource file does not exist, you must first create one before you can assign it to the project.

To learn how to create and assign a resource file, click See Also on this Procedure and select the appropriate topic.


clip_notespopupqstart

Procedures

Procedures provide step-by-step instructions for creating and using an Open Plan project.

Think of Procedures as handy sticky notes that stay on your computer monitor to give you help as you work.

On the Contents tab of the Help Topics dialog box, Procedures are listed in appropriate books.

When you search for a topic using either the Index or the Find tab of the Help Topics dialog box, you will find Procedures clearly identified as such.


Creating Activities in a Barchart (Quick Start)

Creating Activities in a Barchart

To create activities in a barchart view:

  1. In the spreadsheet portion of the view, enter activity IDs and durations for each activity you want to create.

The easiest way is do this is to enter all the activity IDs, and then go back and enter the durations.

Open Plan assumes the current date to be Time Now and places the activity bars on the barchart portion of the view. However, until you create relationships between the activities, all the activity bars are lined up at the Time Now date.

If you want to change the Time Now date or disable automatic time analysis, click Time Analysis on the Tools menu and make the appropriate changes.

  2. Click the Relationship Mode button.

  3. Drag a relationship line to connect the activities.


Creating Activities in a Network (Quick Start)

Creating Activities in a Network

To create an activity:

Double-click on an empty area in the workspace.

To create the next activity:

Drag a line from the right edge of the activity box out into an empty area in the workspace.

To create a relationship between two activities:

Draw a line connecting the activities.


Creating Activities in a Spreadsheet (Quick Start)

Creating Records in a Spreadsheet

To create records in a spreadsheet view:

Enter information for the desired fields for each record you want to create.


Creating Codes in a Code File (Quick Start)

Creating Codes in a Code File

To create codes in the code window:

  1. Double-click an empty area of the workspace.

  2. In the Code Information dialog box, enter a code ID and a description.

  3. When the information is complete, click OK.

To convert a code into a pool and enter child codes:

  1. Right-click the code to which you want to add a child.

  2. From the context menu, click Add Child.

  3. In the Code Information dialog box, enter a code ID and a description.

  4. When the information is complete, click OK.


Creating Resources in a Resource File (Quick Start)

Creating Resources in a Resource File

To create resources in the resource window:

  1. Double-click an empty area of the workspace.

  2. In the Resource Details dialog box, enter the information about the resource.

  3. When the information is complete, click OK.

To convert a resource into a resource pool and enter child resources:

  1. Right-click the resource to which you want to add a child.

  2. On the shortcut menu, click Add Child.

  3. In the Resource Details dialog box, enter the information about the resource.

  4. When the information is complete, click OK.


demonstration_projectpopupqstart

Demonstration Projects

Open Plan features demonstration projects that illustrate how the software may be used in some situations. Some of these demonstration projects have associated resource, code, and calendar files that you can review as well.


Displaying Probability in a Risk Analysis View (Quick Start)

Displaying Probability in a Risk Analysis View

To display probability information in a risk analysis view:

  1. On the View menu, click Select Activity.

  2. From the Key Activity Selection dialog box, select the key activity for which you want to display probability information.

In order for Open Plan to display key activities in the Key Activity Selection dialog box, both of the following conditions must be met:

  3. Risk analysis must have been performed on the project

  4. At least one activity must be identified as a key activity on the Risk tab of the Activity Details dialog box

  3. Click OK.


Displaying Resources in a Histogram (Quick Start)

Displaying Resources in a Histogram

To display resources in a histogram view:

  1. On the View menu, click Select Resource.

  2. On the Resource Selection dialog box, select the resources that you want to display on the histogram.

  3. If you select multiple resources, choose whether to display the resource data as a total or stacked.

  4. Click OK.


displaying_the_new_file_dialog_boxprojqstart

To display the New File dialog box, do one of the following:

  • On the File menu, click New.

  • Press the Ctrl+N keys.

  • Click the New [image] button on the toolbar.

  • Double-click an empty area of the Open Plan Explorer.


getting_startedpopupqstart

Getting Started

Open Plan features a complete user's guide that you can view online.

To display the Getting Started chapter of the User's Guide:

  1. Double-click the User's Guide icon in your Deltek Applications group window.

  2. In the User's Guide outline window, click Getting Started.


Getting Started

Welcome to Open Plan.

Open Plan project management software represents a comprehensive solution to project planning, scheduling, and resource management in the Windows environment.

Open Plan provides three tools to help you get up and running very quickly:

  • Getting Started chapter in the Deltek Open Plan User's Guide

  • Demonstration projects

  • Procedures

To use Procedures to create your first project, click See Also, and select a task from the list.

Related Procedures


relationship_mode_buttonqstart

Relationship Mode Button

This button [image] is located on the Open Plan toolbar.


seealso_creating_a_new_project_quickstartqstart

Related Procedures:

Creating a Calendar File

Using the Open Plan Explorer to Assign a Calendar File to a Project

Creating a Resource File

Using the Open Plan Explorer to Assign a Resource File to a Project

Creating a Code File

Using the Open Plan Explorer to Assign a Code File to a Project

Reviewing a Demonstration Project

Creating an Activity in a Spreadsheet View

Creating an Activity in a Barchart View

Creating an Activity in a Network View


seealso_getting_startedqstart

Related Procedures:

Creating a New Project

Creating a Calendar File

Using the Open Plan Explorer to Assign a Calendar File to a Project

Creating a Resource File

Using the Open Plan Explorer to Assign a Resource File to a Project

Reviewing a Demonstration Project


seealso_reviewing_a_demonstration_projectqstart

Related Procedures:

Creating a New Project

Creating a Calendar File

Using the Open Plan Explorer to Assign a Calendar File to a Project

Creating a Resource File

Using the Open Plan Explorer to Assign a Resource File to a Project


why_the_default_project_does_not_openqstart

Why the Default Project Does Not Open

Open Plan does not open the default project under the following circumstances:

  • When the option to use the default project is not selected on the System Preferences dialog box

  • When the default project cannot be found

  • If you do not have rights to access the project


Assigning a View to a Code File (Procedure)

Assigning a View to a Code File

To assign a view to a code file using drag-and-drop:

From the Views folder in the Open Plan Library, drag the view you want to use onto the code file.

To assign a view to a code file using copy-and-paste:

  1. In the Views folder in the Open Plan Library, copy the view that you want to assign to a code file.

  2. Paste the view onto the code file.

To assign a view to a code file using the Choose a Code File dialog box:

Open Plan displays the Choose a Code File dialog box only when multiple code files are open.

  1. In the Open Plan Library, double-click click the view that you want to assign to a code file.

  2. From the list of open code files, select the one to which you want to assign the view.

  3. Select the Make Permanent Link to Code File option.

  4. Click OK.

Assigning the view to a code file in the Open Plan Library also assigns it in all projects and resource files where the code file is used. Similarly, assigning a view to a code file in a project or resource file also assigns it to that code file in the Open Plan Library.

Related Topics and Procedures


Assigning a View to a Resource Pool (Procedure)

Assigning a View to a Resource Pool

To assign a view to a resource pool using drag-and-drop:

From the Views folder in the Open Plan Library, drag the view you want to use onto the resource file.

To assign a view to a resource pool using copy-and-paste:

  1. In the Views folder in the Open Plan Library, copy the view that you want to assign to a resource pool.

  2. Paste the view onto the resource pool.

To assign a view to a resource pool using the Choose a Resource Pool dialog box:

Open Plan displays the Choose a Resource Pool dialog box only when multiple resource pools are open.

  1. In the Open Plan Library, double-click click the view that you want to assign to a resource pool.

  2. From the list of open resource pools, select the one to which you want to assign the view.

  3. Select the Make Permanent Link to Resource Pool option.

  4. Click OK.

Assigning the view to a resource pool in the Open Plan Library also assigns it in all projects where the resource pool is used. Similarly, assigning a view to a resource pool in a project folder also assigns it to that resource pool in the Open Plan Library.

Related Topics and Procedures


copyassignviewpopupqview

Copying a View

Do one of the following:

  • Select the view and do one of the following:

  • Press the Ctrl+C keys.

  • From the Edit menu, click Copy.

  • Right-click the view and click Copy on the context menu.


Copying a User Defined Field

To copy a user defined field:

  1. On the Tools menu, click User Defined Fields.

  2. In the User Defined Fields dialog box, select the table containing the user defined field that you want to copy.

  3. Click Copy.

  4. In the Name field of the Copy User Defined Field dialog box, enter a name for the new user defined field. This step is mandatory as Open Plan does not permit two user defined fields in a table to have the same name.

  5. From the Data Type list, select a data type.

  6. In the Description field, enter a description for the new user defined field. This step is optional.

  7. Click OK.

Related Topics and Procedures


Creating a New User Defined Field

To create a new user defined field:

  1. 1. On the Tools menu, click User Defined Fields.

  2. 2. In the User Defined Fields dialog box, select the table for which you want to create a user defined field.

  3. 3. Click New.

  4. In the Name field of the New User Defined Field dialog box, enter a name for the new user defined field.

  5. From the Data Type list, select a data type.

  6. In the Description field, enter a description for the new user defined field. This step is optional.

If are creating a user defined field for the Activity table, you also have the option to create the field for a baseline.

  7. If you want Open Plan to create the new user defined field for the baseline, select the Also Create Field for Baseline option.

  8. Click OK.

Related Topics and Procedures


Deleting a User Defined Field

To delete a user defined field:

  1. On the Tools menu, click User Defined Fields.

  2. In the User Defined Fields dialog box, select the user defined field that you want to delete.

  3. Click Delete.

  4. When Open Plan asks you to confirm the deletion, click Yes.

Related Topics and Procedures


Editing a User Defined Field

To edit a user defined field:

  1. On the Tools menu, click User Defined Fields.

  2. In the User Defined Fields dialog box, select the table containing the user defined field that you want to modify.

  3. Click Edit.

  4. In the Description field, enter a new description for the user defined field.

  5. Click OK.

Related Topics and Procedures


paste_view_on_code_filepopupqview

Pasting a View Onto a Code File

Do one of the following:

  • Position your cursor on the icon representing the code file, and do one of the following:

  • Press the Ctrl+V keys.

  • From the Edit menu, click Paste.

  • Right-click the icon representing the code file, and click Paste on the shortcut menu.


paste_view_on_resource_filepopupqview

Pasting a View Onto a Resource File

Do one of the following:

  • Position your cursor on the icon representing the resource file, and do one of the following:

  • Press the Ctrl+V keys.

  • From the Edit menu, click Paste.

  • Right-click the icon representing the resource file, and click Paste on the shortcut menu.


pasteassignviewpopupqview

Pasting a View

Do one of the following:

  • Position your cursor in the folder in which you want to paste the view, and do one of the following:

  • Press the Ctrl+V keys.

  • From the Edit menu, click Paste.

  • Right-click the folder in which you want to paste the view and click Paste on the shortcut menu.


sadeleting_a_calculated_field_on_which_a_temporary_calculated_field_is_basedqview

Related Topic:

Using the Calculated Fields Dialog Box

Related Procedures:

Creating a New Calculated Field

Editing a Calculated Field

Copying a Calculated Field

Deleting a Calculated Field


seealso_adjusting_a_date_scale_manuallyqview

Related Topic:

Customizing a Date Scale

Related Procedure:

Customizing a Date Scale


seealso_applying_a_filter_to_a_viewqview

Related Topic:

Using the Filters Dialog Box

Related Procedures:

Filtering Data on a Code Level

Filtering Data on a Calculated Field

Creating a New Filter

Editing a Filter

Copying a Filter


seealso_applying_a_global_edit_to_a_project_or_resource_fileqview

Related Topic:

Using the Global Edits Dialog Box

Related Procedures:

Creating a New Global Edit Definition

Copying a Global Edit Definition

Editing an Existing Global Edit Definition

Deleting a Global Edit Definition


seealso_assigning_a_view_to_a_code_fileqview

Related Topic:

Using the Open Plan Explorer

Related Procedures:

Opening a view

Deleting a view


seealso_assigning_a_view_to_a_projectqview

Related Topic:

Using the Open Plan Explorer

Related Procedures:

Opening a view

Deleting a view


seealso_assigning_a_view_to_a_resource_poolqview

Related Topic:

Using the Open Plan Explorer

Related Procedures:

Opening a view

Deleting a view


seealso_changing_the_font_on_a_date_scaleqview

Related Topic:

Using the Font Dialog Box

Related Procedures:

Changing the Font on a Bar

Changing the Default Font on a Spreadsheet

Changing the Font on a Network View

Changing the Font on an Annotation

Changing the Font on a Calendar

Changing the Font on a Resource View

Changing the Font on a Code View


seealso_copying_a_calculated_fieldqview

Related Topic:

Using the Calculated Field Expression Dialog Box

Related Procedures:

Creating a New Calculated Field

Editing a Calculated Field

Deleting a Calculated Field

Deleting a Calculated Field on Which a Temporary Calculated Field is Based


seealso_copying_a_filterqview

Related Topic:

Using the Filter Expression Dialog Box

Related Procedures:

Creating a New Filter

Applying a Filter to a View

Editing a Filter

Deleting a Filter


seealso_copying_a_global_edit_definitionqview

Related Topic:

Using the Global Edit Definition Dialog Box

Related Procedures:

Applying a Global Edit to a Project or Resource File

Creating a New Global Edit Definition

Editing an Existing Global Edit Definition

Deleting a Global Edit Definition


seealso_copying_a_reporting_calendarqview

Related Topic:

Using the Manage Reporting Calendars Dialog Box

Related Procedures:

Creating a New Reporting Calendar

Editing a Reporting Calendar

Deleting a Reporting Calendar


seealso_copying_a_sort_criterionqview

Related Topic:

Using the Sorts Dialog Box

Related Procedures:

Sorting Data in a View

Sorting Data on a Calculated Field

Creating a New Sort Criterion

Editing a Sort Criterion

Deleting a Sort Criterion


seealso_copying_a_user_defined_fieldqview

Related Topics:

Using User Defined Fields

Using the User Defined Fields Dialog Box

Using the New User Defined Field Dialog Box

Using the Copy User Defined Field Dialog Box

Using the Edit User Defined Field Dialog Box

Related Procedures:

Creating a New User Defined Field

Copying a User Defined Field

Editing a User Defined Field

Deleting a User Defined Field


seealso_copying_a_viewqview

Related Topic:

Using the Save Current View As Dialog Box

Related Procedures:

Opening a View

Assigning a View to a Project

Saving a View

Deleting a View


seealso_copying_an_activityqview

Related Topic:

Creating and Editing Activities

Related Procedures:

Finding an Activity

Finding Another Activity

Finding the Predecessor of an Activity

Finding the Successor of an Activity

Editing an Activity

Deleting an Activity

Cutting an Activity

Pasting an Activity


seealso_creating_a_new_calculated_fieldqview

Related Topic:

Using the Calculated Field Expression Dialog Box

Related Procedures:

Editing a Calculated Field

Copying a Calculated Field

Deleting a Calculated Field

Deleting a Calculated Field on Which a Temporary Calculated Field is Based


seealso_creating_a_new_filterqveiw

Related Topic:

Using the Filter Expression Dialog Box

Related Procedures:

Applying a Filter to a View

Editing a Filter

Copying a Filter

Deleting a Filter


seealso_creating_a_new_global_edit_definitionqview

Related Topic:

Using the Global Edit Definition Dialog Box

Related Procedures:

Applying a Global Edit to a Project or Resource File

Copying a Global Edit Definition

Editing an Existing Global Edit Definition

Deleting a Global Edit Definition


seealso_creating_a_new_reporting_calendarqview

Related Topic:

Using the Manage Reporting Calendars Dialog Box

Related Procedures:

Copying a Reporting Calendar

Editing a Reporting Calendar

Deleting a Reporting Calendar


seealso_creating_a_new_sort_criterionqview

Related Topic:

Using the Sort Expression Dialog Box

Related Procedures:

Sorting Data in a View

Sorting Data on a Calculated Field

Editing a Sort Criterion

Copying a Sort Criterion

Deleting a Sort Criterion


seealso_creating_a_new_user_defined_field

Related Topics:

Using User Defined Fields

Using the User Defined Fields Dialog Box

Using the New User Defined Field Dialog Box

Related Procedures:

Copying a User Defined Field

Editing a User Defined Field

Deleting a User Defined Field


seealso_creating_a_temporary_filterqview

Related Topic:

Using the Filters Dialog Box

Related Procedure:

Applying a Filter to a View


seealso_creating_a_temporary_sortqview

Related Topic:

Using the Sorts Dialog Box

Related Procedure:

Sorting Data in a View


seealso_customizing_a_date_scaleqview

Related Topic:

Customizing a Date Scale

Related Procedure:

Adjusting a Date Scale Manually


seealso_cutting_an_activityqview

Related Topic:

Creating and Editing Activities

Related Procedures:

Finding an Activity

Finding Another Activity

Finding the Predecessor of an Activity

Finding the Successor of an Activity

Editing an Activity

Deleting an Activity

Copying an Activity

Pasting an Activity


seealso_deleting_a_calculated_fieldqview

Related Topic:

Using the Calculated Fields Dialog Box

Related Procedures:

Creating a New Calculated Field

Editing a Calculated Field

Copying a Calculated Field

Deleting a Calculated Field on Which a Temporary Calculated Field is Based


seealso_deleting_a_filterqview

Related Topic:

Using the Filters Dialog Box

Related Procedures:

Creating a New Filter

Applying a Filter to a View

Editing a Filter

Copying a Filter


seealso_deleting_a_global_edit_definitionqview

Related Topic:

Using the Global Edits Dialog Box

Related Procedures:

Applying a Global Edit to a Project or Resource File

Creating a New Global Edit Definition

Copying a Global Edit Definition

Editing an Existing Global Edit Definition

Deleting a Global Edit Definition


seealso_deleting_a_reporting_calendarqview

Related Topic:

Using the Manage Reporting Calendars Dialog Box

Related Procedures:

Creating a New Reporting Calendar

Copying a Reporting Calendar

Editing a Reporting Calendar


seealso_deleting_a_sort_criterionqview

Related Topic:

Using the Sorts Dialog Box

Related Procedures:

Sorting Data in a View

Sorting Data on a Calculated Field

Creating a New Sort Criterion

Editing a Sort Criterion

Copying a Sort Criterion


seealso_deleting_a_user_defined_fieldqview

Related Topics:

Using User Defined Fields

Using the User Defined Fields Dialog Box

Using the New User Defined Field Dialog Box

Using the Copy User Defined Field Dialog Box

Using the Edit User Defined Field Dialog Box

Related Procedures:

Creating a New User Defined Field

Copying a User Defined Field

Editing a User Defined Field

Deleting a User Defined Field


seealso_deleting_a_viewqview

Related Topic:

Using the Open Plan Explorer

Related Procedures:

Opening a View

Assigning a View to a Project

Saving a View

Copying a View


seealso_deleting_an_activityqview

Related Topic:

Creating and Editing Activities

Related Procedures:

Finding an Activity

Finding Another Activity

Finding the Predecessor of an Activity

Finding the Successor of an Activity

Editing an Activity

Cutting an Activity

Copying an Activity

Pasting an Activity


seealso_editing_a_calculated_fieldqview

Related Topic:

Using the Calculated Field Expression Dialog Box

Related Procedures:

Creating a New Calculated Field

Copying a Calculated Field

Deleting a Calculated Field

Deleting a Calculated Field on Which a Temporary Calculated Field is Based


seealso_editing_a_filterqview

Related Topic:

Using the Filter Expression Dialog Box

Related Procedures:

Creating a New Filter

Applying a Filter to a View

Copying a Filter

Deleting a Filter


seealso_editing_a_reporting_calendaqview

Related Topic:

Using the Manage Reporting Calendars Dialog Box

Related Procedures:

Creating a New Reporting Calendar

Copying a Reporting Calendar

Deleting a Reporting Calendar


seealso_editing_a_sort_criterionqview

Related Topic:

Using the Sort Expression Dialog Box

Related Procedures:

Sorting Data in a View

Sorting Data on a Calculated Field

Creating a New Sort Criterion

Copying a Sort Criterion

Deleting a Sort Criterion


seealso_editing_a_user_defined_fieldqview

Related Topics:

Using User Defined Fields

Using the User Defined Fields Dialog Box

Using the New User Defined Field Dialog Box

Using the Copy User Defined Field Dialog Box

Using the Edit User Defined Field Dialog Box

Related Procedures:

Creating a New User Defined Field

Copying a User Defined Field

Editing a User Defined Field

Deleting a User Defined Field


seealso_editing_an_activityqview

Related Topic:

Creating and Editing Activities

Related Procedures:

Finding an Activity

Finding Another Activity

Finding the Predecessor of an Activity

Finding the Successor of an Activity

Deleting an Activity

Cutting an Activity

Copying an Activity

Pasting an Activity


seealso_editing_an_existing_global_edit_definitionqview

Related Topic:

Using the Global Edit Definition Dialog Box

Related Procedures:

Applying a Global Edit to a Project or Resource File

Creating a New Global Edit Definition

Copying a Global Edit Definition

Deleting a Global Edit Definition


seealso_filtering_a_multi_table_view_on_a_secondary_tableqview

Related Topic:

Spreadsheet Preferences — Define Link

Related Procedure:

Sorting a Multi-Table View on a Secondary Table


seealso_filtering_data_on_a_calculated_fieldqview

Related Topic:

Using the Filters Dialog Box

Related Procedures:

Applying a Filter to a View

Filtering Data on a Code Level

Creating a New Filter

Editing a Filter

Copying a Filter


seealso_filtering_data_on_a_code_levelqview

Related Topic:

Using the Filters Dialog Box

Related Procedures:

Applying a Filter to a View

Filtering Data on a Calculated Field

Creating a New Filter

Editing a Filter

Copying a Filter


seealso_finding_an_activityqview

Related Topic:

Using the Find Dialog Box

Related Procedures:

Finding Another Activity

Finding the Predecessor of an Activity

Finding the Successor of an Activity

Editing an Activity

Deleting an Activity

Cutting an Activity

Copying an Activity

Pasting an Activity


seealso_finding_another_activityqview

Related Topic:

Using the Find Dialog Box

Related Procedures:

Finding the Predecessor of an Activity

Finding the Successor of an Activity

Editing an Activity

Deleting an Activity

Cutting an Activity

Copying an Activity

Pasting an Activity


seealso_finding_the_predecessor_of_an_activityqview

Related Topic:

Creating and Editing Activities

Related Procedures:

Finding an Activity

Finding Another Activity

Finding the Successor of an Activity

Editing an Activity

Deleting an Activity

Cutting an Activity

Copying an Activity

Pasting an Activity


seealso_finding_the_successor_of_an_activityqview

Related Topic:

Creating and Editing Activities

Related Procedures:

Finding an Activity

Finding Another Activity

Finding the Predecessor of an Activity

Editing an Activity

Deleting an Activity

Cutting an Activity

Copying an Activity

Pasting an Activity


seealso_indenting_an_activity_resource_or_code_idqview

Related Topic:

Understanding Indented IDs

Related Procedures:

Outdenting an Activity, Resource, or Code ID

Sorting Data in a View


seealso_opening_a_viewqview

Related Topic:

Using the Open Plan Explorer

Related Procedures:

Assigning a View to a Project

Saving a View

Copying a View

Deleting a View


seealso_outdenting_an_activity_resource_or_code_idqview

Related Topic:

Understanding Outdented IDs

Related Procedures:

Indenting an Activity, Resource, or Code ID

Sorting Data in a View


seealso_pasting_an_activityqview

Related Topic:

Creating and Editing Activities

Related Procedures:

Finding an Activity

Finding Another Activity

Finding the Predecessor of an Activity

Finding the Successor of an Activity

Editing an Activity

Deleting an Activity

Cutting an Activity

Copying an Activity


seealso_saving_a_viewqview

Related Topic:

Using the Save Current View As Dialog Box

Related Procedures:

Opening a View

Assigning a View to a Project

Copying a View

Deleting a View


seealso_sorting_a_multi_table_view_on_a_secondary_tableqview

Related Topic:

Spreadsheet View

Related Procedure:

Filtering a Multi-Table View on a Secondary Table


seealso_sorting_data_in_a_viewqview

Related Topic:

Using the Sorts Dialog Box

Related Procedures:

Sorting Data on a Calculated Field

Creating a New Sort Criterion

Editing a Sort Criterion

Copying a Sort Criterion

Deleting a Sort Criterion


seealso_sorting_data_on_a_calculated_fieldqview

Related Topic:

Using the Sorts Dialog Box

Related Procedures:

Sorting Data in a View

Creating a New Sort Criterion

Editing a Sort Criterion

Copying a Sort Criterion

Deleting a Sort Criterion


actual_cost_based_on_progressed_quantityres

Actual Cost Based on Progressed Quantity

If selected, this option allows Open Plan to calculate actual cost for this resource based on resource progress.


availabilitypopupres

Availability

Provides information about the quantity of the resource that is available within the specified dates using the named calendar.


availabilityres

Availability

The level of resource units available for a specified period. The way in which the level is interpreted depends on the resource type. For example:

  • If the resource type is Normal and the resource units are defined as days, an availability of 4 would mean that 4 man-days of the resource are available each day in the period defined by the From Date and To Date fields.

  • If the resource type is Consumable and the resource units are defined as tons, an availability of 4 would mean that 4 tons are delivered on the From Date and are available until used up.

You can define multiple availabilities for a single resource. This allows you to create a detailed profile of availability when necessary. By defining a multi-level availability profile, you can represent more complex resource availabilities. This allows you, for example, to model how vacation schedules affect the staffing levels of a particular department.


box_colorresourcedisplayoptionspopupres

Box Color

You can define the color that Open Plan should use for the resource box lines as well as for any text that is displayed within the box by selecting from the following options:

  • Default — Selecting this option instructs Open Plan to use the default color.

  • Select Color — Selecting this option displays a Color dialog box that you can use to select a color. The Color dialog box offers a choice of 48 standard colors and up to 16 additional custom colors.

    • You can define custom colors using an enhanced version of the Color dialog box accessed from the Color tab of the Options dialog box.

  • If a color has already been defined for the box color but is not currently used, you can also select that color from the list.


box_styleresourcedisplayoptionspopupres

Box Style

You can select a style for the resource boxes from the list.

Notice that one of the styles has a triangle at the lower-right corner. This triangle is displayed in the selected box color. If you add a note to a resource, the resource box for that resource displays a second triangle that is always black.


calendarpopupres

Calendar

Each resource availability can use its own calendar from the calendar file assigned to the project or resource. During resource scheduling, Open Plan uses this calendar to control when the resource can be scheduled. If you do not enter a calendar in this field, Open Plan performs all calculations based on the default calendar in the calendar file.


cancelselectcodepopupres

Cancel

Clicking this button (before clicking OK) closes the dialog box without inserting the code into the Code tab.


categorypopupres

Category

Open Plan supports the following types of resource category:

  • Other Direct Costs (ODC)

  • Labor

  • Material

  • Subcontract

Open Plan uses Other Direct Costs to monitor costs that are directly attributable to the activity as opposed to the resources.

For a complete description of each of the Category options, see the Activity Information Cost Tab.


centeredresourcedisplaypopupres

Centered

The resource pool is centered relative to its child resources.

In a vertical orientation, the resource pool is centered above its child resources:

In a sideways orientation, the resource pool is centered to the left of its child resources:


codepopupres

Code

Provides information about the codes assigned to the resource. Resource codes are designed to summarize or manage an entire group of resources.


compressionresourcedisplayoptionspopupres

Compression

You can choose whether to enable compression:

  • When compression is not selected, the structure may be easier to visualize but will take up more space.

  • When compression is selected, space on the screen is conserved by placing individual resources belonging to one pool in empty space under another pool.


consider_in_cost_calculationsgentabpopupres

Consider in Cost Calculations

If this option is selected, Open Plan includes the resource in cost calculations.


consumable_typepopupres

Type

  • Normal

  • Consumable — A resource that is consumed or "used up," such as the bricks in a construction project. The available quantity of a consumable resource is reduced as it is used up. Units that are not required during one period of availability are carried forward to the next period.

    • Open Plan assumes that the total quantity of a consumable resource is available on the date specified in the From Date field on the Availability tab, and that some quantity of the resource is available until it has been totally consumed or used up.

  • Perishable

  • Resource Pool


consumablepopupres

Consumable

Open Plan considers the total quantity in the Availability column to be delivered on the date entered in the From Date field and to be available until used up.


cost_resourcespopupres

Cost Resources

Because you can specify profile curves for cost assignments (just as you can for resource assignments), cost resources provide a great deal of flexibility for entering activity costs.


descriptionpopupres

Description

A description can contain up to 60 characters. You may use both upper and lower case characters.


displaying_a_resource_viewres

To display a resource view, do one of the following:

Double-click the resource view file in the resource Views folder of the project

Click New on the File menu, and use the File Open dialog box to open the resource file


displaying_the_add_skill_dialog_boxres

You can display the Add Skill dialog box by clicking New on the Manage Skills dialog box.


displaying_the_edit_skill_dialog_boxres

You can display the Edit Skill dialog box by selecting a skill from the Manage Skills dialog box and clicking Edit.


displaying_the_manage_skills_dialog_boxres

You can display the Manage Skills dialog box by opening a resource file and clicking Manage Skills on the Tools menu.


displaying_the_manage_summary_usage_dialog_boxres

You can display the Manage Summary Usage dialog box by opening a resource file and following these steps:

  1. Ensure that summary usage data has been created for at least one project that uses the resource file.

    2. The summary usage data is updated when you save a project for which the option to Create Summary Usage Upon Saving Project is selected on the Scheduling tab of the Project Properties dialog box.

  2. On the Tools menu, click Manage Summary Usage.


displaying_the_resource_details_availability_tabres

You can display the Resource Details Availability tab by clicking Availability on the Resource Details dialog box.


displaying_the_resource_details_code_tabres

You can display the Resource Details Code tab by clicking Code on the Resource Details dialog box.


displaying_the_resource_details_dialog_boxres

You can display the Resource Details dialog box in any of the following ways:

  • By displaying a resource window and clicking Add Resource on the Edit menu

  • By double-clicking an empty area of a resource window

  • By selecting a resource box in the resource window and clicking Edit Resource on the Edit menu

  • By right-clicking a resource box in the resource window and clicking Add Child or Edit from the context menu


displaying_the_resource_details_escalation_tabres

You can display the Resource Details Escalation tab by clicking Escalation on the Resource Details dialog box.


displaying_the_resource_details_general_tabres

Open Plan displays the Resource Details General tab by default when you access the Resource Details dialog box.


displaying_the_resource_details_notes_tabres

You can display the Resource Details Notes tab by clicking Notes on the Resource Details dialog box.


displaying_the_resource_details_skills_tabres

You can display the Resource Details Skills tab by clicking Skills on the Resource Details dialog box.


displaying_the_resource_details_user_fields_tabres

You can display the Resource Details User Fields tab by clicking User Fields on the Resource Details dialog box.


displaying_the_resource_display_preferences_box_layout_tabres

You can display the Box Layout tab by clicking Box Layout on the Resource Display Preferences dialog box.

This feature is available with only the Professional edition of Open Plan.


displaying_the_resource_display_preferences_options_tabres

You can display the Resource Display Preferences dialog box in either of the following ways:

  • By right-clicking a resource view and clicking Preferences on the shortcut menu

  • By displaying a resource view and clicking Preferences on the Tools menu

Open Plan displays the Resource Display Preferences Options tab by default when you access this dialog box.


displaying_the_select_code_dialog_boxres

You can display the Select Code dialog box by following these steps:

  1. Open a resource file to which a code file is assigned.

  2. Display the Resource Details dialog box for a resource.

  3. Click the ellipsis on the Code tab.


effort_factorgentabpopupres

Effort Factor

The effort factor represents the maximum quantity of the resource that can be assumed to be available for any one activity. Open Plan uses this information to calculate the duration of effort-driven activities.

Effort factor does not indicate efficiency and has no impact on resource scheduling.


email_addresspopupres

Email Address

You can use this field to store an email address for the resource. This information can be used as an Address field in the Email Advisor.


employee_idgentabpopupres

Employee ID

You can enter the Employee ID used by the Human Resources Department in this field.


escalationpopupres

Escalation

Provides information about changes in the resource unit cost.


expand_allselectcodepopupres

Expand All

Clicking this button fully expands the code hierarchy.

You can selectively expand portions of the hierarchy by clicking the appropriate [image] icon.


find_nextselectcodepopupres

Find Next

Once you have located a code using the Find button, clicking the Find Next button locates the next code that meets the same search criteria.


findselectcodepopupres

Find

Clicking this button displays the Find Code dialog box that you can use to find a code with a specified ID or description.


from_datepopupres

From Date

The first date on which the resource is available.


general_orientationresourcedisplayoptionspopupres

General Orientation

You can enable either or both of the following general orientation options:

  • Sideways — If enabled, the structure is displayed in a sideways orientation. Otherwise, the structure is displayed in a vertical orientation.

  • Centered — If enabled, a parent resource is centered above its children in a vertical orientation and to the left of its children in a sideways orientation. If this option is not enabled, the structure is displayed as offset.


generalpopupres

General

Provides general information about the resource, including ID, description, type, unit, unit cost, threshold, and category.


helpselectcodepopupres

Help

Clicking this button displays this Help topic.


layoutresourcedisplayoptionspopupres

Layout

You can choose between the following two layout options:

  • Spread — The way in which the spread layout option displays depends on whether or not the Sideways option is also selected.

  • Ladder — The way in which the ladder layout option displays depends on whether or not the Sideways option is also selected.


minimum_heightresourcedisplayoptionspopupres

Minimum Height

This option controls the minimum height of the resource boxes in pixels. You can enter any value between 8 and 100. The default value is 30.


minimum_widthresourcedisplayoptionspopupres

Minimum Width

This option controls the minimum width of the resource boxes in pixels. You can enter any value between 20 and 200. The default value is 80.


normal_typepopupres

Type

  • Normal — An individual resource that does not get "used up." For example, a person or a facility.

  • Consumable

  • Perishable

  • Resource Pool


normalpopupres

Normal

Open Plan considers the quantity in the Availability column to be available for each default duration unit. Both the From Date and the To Date are required.


notespopupres

Notes

Allows you to create, edit, or delete a note attached to the resource.


offsetresourcedisplaypopupres

Offset

The resource pool is offset relative to its child resources.

In a vertical orientation, the resource pool is displayed above its topmost child resource:

In a sideways orientation, the resource pool is displayed to the left of its leftmost child resource:


okselectcodepopupres

OK

Clicking this button inserts the selected code as a value for the code on the Code tab.


perishable_typepopupres

Type

  • Normal

  • Consumable

  • Perishable — A consumable resource with an expiration date. This type of resource is sometimes called "use it or lose it" and is frequently used in instances where budgets cannot be carried forward into the following fiscal year.

    • Open Plan assumes that the total quantity of a perishable resource is available on the date specified in the From Date field on the Availability tab. Like the consumable resource, the available quantity is reduced as it is consumed. In contrast to the consumable resource, however, any quantity of a perishable resource remaining is no longer available after the date specified in the To Date field on the Availability tab.

  • Resource Pool


perishablepopupres

Perishable

A consumable resource with an expiration date. This type of resource is sometimes called "use it or lose it" and is frequently used in instances where budgets cannot be carried forward into the following fiscal year. Both the From Date and the To Date are required.


progress_based_on_activity_progresspopupgenres

Progress Based on Activity Progress

If selected, this option specifies that Open Plan should base progress for this resource on the progress information for those activities to which the resource is assigned.

The resource progress calculation takes into account offsets, periods, and profile curves.


projectavailabilitypopupres

Project

Selecting a field in this column displays a list of projects stored in the same data source for which the resource can be reserved for the date range.

If you do not specify a project for a particular period, Open Plan reserves the resource for that period to the project specified on the General tab of the Resource Details dialog box.


projectpopupres

Project

This field contains a list of projects to which the resource file containing the selected resource is assigned. If you select a project from the list, Open Plan reserves 100 percent of the resource's availability to the project.

Lower level reservations can override higher level ones. This allows you to reserve an entire resource pool for one project and then override this for resources at a lower level in the resource hierarchy.

If the selected resource is an individual resource (as contrasted with a pool) you can use the Availability tab to apportion the availability to multiple projects.


resource_idpopupres

Resource ID

A resource ID can consist of from 1 to 59 characters, including periods that are used to indicate hierarchical levels.

IDs containing the following four symbols " , | ; are used as delimiters in Open Plan and may cause problems when importing or exporting data.

When you enter a resource ID on the Resource Details dialog box, enter only the local portion of the resource ID. Open Plan automatically enters the parent portion of the ID.

Open Plan does not distinguish between upper and lower case characters in an ID and will flag resource R0001 as a duplicate of resource r0001.


resource_pool_typepopupres

Type

  • Normal

  • Consumable

  • Perishable

  • Resource Pool — Open Plan uses this resource to represent a group of resources at a lower level of the same pool. It is important to be aware of which resources serve as pools because of the following ramifications:

    • Information defined at the pool level is ignored by the child resources belonging to the pool.

    • If you delete a pool, you delete all child resources as well.


resource_poolpopupres

Resource Pool

Open Plan ignores availability for a pool.


roll_up_for_schedulingpopupgenres

Roll Up for Scheduling

Roll-up resource scheduling allows you to look at resources and schedule the activities from a summary perspective.

If selected, this option specifies that all availabilities and assignments for this resource should be treated as availabilities and assignments for the first parent of the resource in the hierarchy that does not have this option selected.

For example, assume that MARY and JANE are resources in the following hierarchy:

Resource | Availability | Roll-up Option Selected
PEB |  |
PEB.MENG |  |
PEB.MENG.MARY | 3 hours/day | Y
PEB.MENG.JANE | 5 hours/day | Y

PEB.MENG is the first parent of MARY and JANE that does not have the roll-up option selected. Therefore, Open Plan considers that PEB.MENG has an availability of 8 hours per day since it combines the availabilities of both MARY and JANE.


seealso_adding_resources_to_a_resource_fileres

Related Topics:

Using Resources in Open Plan

Resource Structures in Open Plan

Using Resource Files

Adding Skills to a Resource File

How a Resource View Displays Information

Using the Resource Details Dialog Box

Related Procedures:

Adding Resources to a Resource File

Adding a Child Resource to a Resource File

Editing a Resource

Finding a Resource

Deleting a Resource


seealso_adding_skills_to_a_resource_fileres

Related Topic:

Resource Details Skills Tab

Related Procedures

Adding Skills to a Resource File

Assigning Skills to a Resource


seealso_customizing_a_resource_windowres

Related Topics:

How a Resource View Displays Information

Resource Display Preferences Options Tab

Resource Display Preferences Box Layout Tab

Related Procedures:

Changing the Orientation of the Display

Changing the Center Setting for the Display

Changing the Display of Resource and Code IDs

Changing the Hierarchy Display Layout Settings

Using the Zoom Out Command

Displaying Full Resource IDs

Displaying Resource Descriptions


seealso_how_a_resource_view_displays_informationres

Related Topics:

Customizing a Resource Window

Using Resources in Open Plan

Resource Structures in Open Plan

Using Resource Files

Adding Resources to a Resource File

Resource Display Preferences Options Tab

Resource Display Preferences Box Layout Tab

Related Procedures:

Moving a Resource in the Hierarchy

Collapsing a Pool

Expanding a Pool

Expanding All Pools


seealso_planning_costsres

Related Topics:

Cost Control Features in Open Plan

Cost Forecasting

Resource Details General Tab

Resource Details Escalation Tab

Related Procedures:

Defining Cost Resources

Assigning Costs to an Activity

Calculating Project Costs

Calculating Actual Resource Costs


seealso_ramifications_of_zero_availabilityres

Related Topics:

Resource Scheduling Processing Options

Hard Zeros Processing Option

Resource Details Availability Tab

Related Procedures:

Performing Resource Scheduling

Assigning Resources to an Activity

Adding Resources to a Resource File

Adding a Child Resource to a Resource File

Editing a Resource

Finding a Resource

Deleting a Resource


seealso_reserving_resources_for_use_by_a_specified_projectres

Related Topics:

Using the Resource Details Dialog Box

Resource Details General Tab

Resource Details Availability Tab

Related Procedures:

Creating a Resource-Based Schedule

Performing Resource Scheduling

Changing the Attached Resource File

Using Resource Scheduling Information

Removing Summary Resource Usage Information for Projects


seealso_resource_details_availability_tabres

Related Topics:

Using the Resource Details Dialog Box

Ramifications of Zero Availability

Using Resource Files

Resource Details General Tab

Resource Details Code Tab

Resource Details Escalation Tab

Resource Details Skills Tab

Resource Details User Fields Tab

Resource Details Notes Tab

Related Procedures:

Assigning Resources to an Activity

Adding Resources to a Resource File

Adding a Child Resource to a Resource File

Editing a Resource

Finding a Resource

Deleting a Resource


seealso_resource_details_code_tabres

Related Topics:

Using Resource Files

Resource Details General Tab

Resource Details Availability Tab

Resource Details Escalation Tab

Resource Details Skills Tab

Resource Details User Fields Tab

Resource Details Notes Tab

Using the Select Code Dialog Box


seealso_resource_details_escalation_tabres

Related Topics:

Using the Resource Details Dialog Box

Resource Details General Tab

Resource Details Code Tab

Resource Details Availability Tab

Resource Details Skills Tab

Resource Details User Fields Tab

Resource Details Notes Tab

Related Procedures:

Assigning Resources to an Activity

Adding Resources to a Resource File

Adding a Child Resource to a Resource File

Editing a Resource

Finding a Resource

Deleting a Resource


seealso_resource_details_general_tabres

Related Topics:

Using Resource Files

Resource Details Code Tab

Resource Details Availability Tab

Resource Details Escalation Tab

Resource Details Skills Tab

Resource Details User Fields Tab

Resource Details Notes Tab

Related Procedures:

Adding Resources to a Resource File

Adding a Child Resource to a Resource File

Assigning Resources to an Activity

Editing a Resource

Finding a Resource

Deleting a Resource

Calculating Resource Progress Based on Activity Progress

Calculating Resource Cost Based on Progressed Quantity


seealso_resource_details_notes_tabres

Related Topics:

Using the Resource Details Dialog Box

Resource Details General Tab

Resource Details Code Tab

Resource Details Availability Tab

Resource Details Escalation Tab

Resource Details Skills Tab

Resource Details User Fields Tab

Related Procedures:

Attaching a Note to a Resource

Editing a Resource Note

Deleting a Resource Note

Creating a Note Category

Editing a Note Category

Deleting a Note Category


seealso_resource_details_skills_tabres

Related Topics:

Adding Skills to a Resource File

Using the Resource Details Dialog Box

Resource Details General Tab

Resource Details Code Tab

Resource Details Availability Tab

Resource Details Escalation Tab

Resource Details User Fields Tab

Resource Details Notes Tab

Related Procedures:

Assigning Resources to an Activity

Adding Skills to a Resource File

Assigning Skills to a Resource


seealso_resource_details_user_fields_tabres

Related Topics:

Using the Resource Details Dialog Box

Resource Details General Tab

Resource Details Code Tab

Resource Details Availability Tab

Resource Details Escalation Tab

Resource Details Skills Tab

Resource Details Notes Tab


seealso_resource_display_preferences_box_layout_tabres

Related Topics:

How a Resource View Displays Information

Customizing a Resource Window

Resource Display Preferences Options Tab

Related Procedures:

Displaying Resource Descriptions

Setting Resource Box Layout Options


seealso_resource_display_preferences_options_tabres

Related Topics:

How a Resource View Displays Information

Customizing a Resource Window

Resource Display Preferences Box Layout Tab

Related Procedures:

Changing the Orientation of the Display

Changing the Center Setting for the Display

Changing the Display of Resource and Code IDs

Changing the Hierarchy Display Layout Settings

Using the Zoom Out Command

Displaying Full Resource IDs


seealso_resource_structures_in_open_planres

Related Topics:

Using Resources in Open Plan

Using Resource Files

How a Resource View Displays Information

Adding Resources to a Resource File

Adding Skills to a Resource File

Using the Resource Details Dialog Box

Related Procedures:

Adding Resources to a Resource File

Adding a Child Resource to a Resource File

Creating a Resource File

Opening a Resource File

Using the Open Plan Explorer to Assign a Resource File to a Project

Moving a Resource in the Hierarchy

Collapsing a Pool

Expanding a Pool

Expanding All Pools


seealso_using_resource_filesres

Related Topics:

Using Resources in Open Plan

Resource Structures in Open Plan

Reserving Resources for Use by a Specified Project

How a Resource View Displays Information

Adding Resources to a Resource File

Adding Skills to a Resource File

Using the Resource Details Dialog Box

Related Procedures:

Creating a Resource File

Opening a Resource File

Copying a Resource File

Deleting a Resource File

Using the Open Plan Explorer to Assign a Resource File to a Project

Changing the Resource File Assigned to a Project


seealso_using_resources_in_open_planres

Related Topics:

Resource Structures in Open Plan

Using Resource Files

How a Resource View Displays Information

Adding Resources to a Resource File

Adding Skills to a Resource File

Using the Resource Details Dialog Box

Planning

Using the Project Properties Files Tab

Activity Details Resources Tab

Related Procedures:

Creating a Resource File

Opening a Resource File

Copying a Resource File

Deleting a Resource File

Using the Open Plan Explorer to Assign a Resource File to a Project

Using Project Properties to Assign a Resource File

Assigning Activity Resource Requirements

Assigning Resources in a Spreadsheet

Displaying Resource Assignments on a Barchart


seealso_using_skills_in_open_planres

Related Topics:

Using the Manage Skills Dialog Box

Resource Details Skills Tab

Related Procedures:

Adding Skills to a Resource File

Editing Skills in a Resource File

Deleting Skills From a Resource File

Assigning Skills to a Resource


seealso_using_the_add_skill_dialog_boxres

Related Topics:

Using Skills in Open Plan

Using the Manage Skills Dialog Box

Using the Edit Skill Dialog Box

Related Procedures:

Adding Skills to a Resource File

Editing Skills in a Resource File

Deleting Skills From a Resource File

Assigning Skills to a Resource


seealso_using_the_edit_skill_dialog_boxres

Related Topics:

Using Skills in Open Plan

Using the Manage Skills Dialog Box

Using the Add Skill Dialog Box

Related Procedures:

Adding Skills to a Resource File

Editing Skills in a Resource File

Deleting Skills From a Resource File

Assigning Skills to a Resource


seealso_using_the_manage_skills_dialog_boxres

Related Topics:

Using Skills in Open Plan

Using the Add Skill Dialog Box

Using the Edit Skill Dialog Box

Related Procedures:

Adding Skills to a Resource File

Editing Skills in a Resource File

Deleting Skills From a Resource File

Assigning Skills to a Resource


seealso_using_the_manage_summary_usage_dialog_boxres

Related Topics:

Using the Project Properties Scheduling Tab

Multiple Project Resource Scheduling

Effect of Reservations on Resource Scheduling

Related Procedures:

Removing Summary Resource Usage Information for Projects


seealso_using_the_resource_details_dialog_boxres

Related Topics:

Using Resource Files

Resource Details General Tab

Resource Details Code Tab

Resource Details Availability Tab

Resource Details Escalation Tab

Resource Details Skills Tab

Resource Details User Fields Tab

Resource Details Notes Tab

Related Procedures:

Adding Resources to a Resource File

Adding a Child Resource to a Resource File

Editing a Resource

Finding a Resource

Deleting a Resource

Assigning Resources to an Activity


seealso_using_the_select_code_dialog_boxres

Related Topics:

Using Resource Files

Resource Details General Tab

Resource Details Code Tab

Resource Details Availability Tab

Resource Details Escalation Tab

Resource Details Skills Tab

Resource Details User Fields Tab

Resource Details Notes Tab


show_full_idresourcedisplayoptionspopupres

Show Full ID

Unless this option is selected, only the local portion of the resource ID is displayed in the resource box.


show_skillsresourcedisplayoptionspopupres

Show Skills

If this option is selected, any skills that a resource may possess are shown in boxes immediately below the resource.


sidewayspopupres

Sideways

The top resource pools are displayed at the left or a resource structure, with the child resources arranged to the right of them.

You can display resources in a horizontal orientation as a ladder:

And, you can display resources in a horizontal orientation as a spread:


skill_costpopupres

Unit Cost

You can enter a unit cost for the skill that you can use for budgeting purposes.


skill_descriptionpopupres

Skill Description

A description can contain up to 60 characters. You may use both upper and lower case characters.


skill_idpopupres

Skill ID

A skill ID can consist of from 1 to 10 characters.

Open Plan does not distinguish between upper and lower case characters in an ID and will flag skill "VBasic" as a duplicate of skill "vbasic."

IDs containing the following four symbols " , | ; are used as delimiters in Open Plan and may cause problems when importing or exporting data.


skillspopupres

Skills

Provides information about the skills assigned to the resource.

Before you can assign a skill to a resource, that skill must exist in the resource file.


suppress_for_listsgeneralpopupres

Suppress for Lists

If selected, this option suppresses the inclusion of this resource in all lists. While the resource is not deleted from the file (and, thus, does not affect cost calculations), the resource cannot be used in resource assignments, nor is it included in any list of resources.


suppress_for_schedulingpopupgenres

Suppress for Scheduling

If selected, this option suppresses resource scheduling for this resource. During resource scheduling, Open Plan treats suppressed resources as though they were unconstrained.


thresholdpopupres

Threshold

Thresholds specify an additional number of units of availability for a resource that can be used to avoid project delays if necessary. The value of a resource threshold represents an incremental amount on top of all existing availabilities for that resource. Open Plan ignores thresholds for consumable and perishable resources.


to_datepopupres

To Date

The last date on which the resource is available.


typepopuptype

Type

The type of a resource can be one of the following:

  • Normal

  • Consumable

  • Perishable

  • Resource Pool


unit_costpopupres

Unit Cost

A cost for each unit of the resource.


unitpopupres

Unit

A description of how you measure the resource – for example, labor-hr, tons, and so on.


user_fieldspopupres

User Fields

Provides information about the values that Open Plan includes for user-defined fields on the resource table.


verticalres

Vertical

The top resource pools are displayed at the top of the structure, with the child resources arranged beneath them.

You can display resources in a vertical orientation as a ladder:

And, you can display resources in a vertical orientation as a spread:


using_the_check_spelling_dialog_box

— Causes the reported word to be added to the dictionary selected in Add words to. Use Add if a correctly-spelled word you use often is reported as a misspelling (for example, your family name). If the word is not used frequently, you may want to select Ignore or Ignore All instead. This option is enabled only if a user dictionary has been selected in Add words to.

— Indicates which user dictionary words will be added to when you select Add. Add words to shows all user dictionaries currently open. You can open or close other dictionaries using the Dictionaries dialog. To open the Dictionaries dialog, select Dictionaries.

— Stops the current spelling check.

— Contains an uncapitalized word that exists in the dictionaries in capitalized form only. You can edit the word in this box or select a suggestion from the list, and then click Change to correct the word or click Ignore to skip the word.

— Causes the reported word to be replaced. If the problem word was edited, the edited word is used as the replacement. Otherwise, the selected suggestion is used as the replacement. Only this occurrence of the reported word is replaced. If you want this and all following occurrences of the word replaced, click Change All.

— Causes this and all following occurrences of the reported word to be replaced. If the problem word was edited, the edited word is used as the replacement. Otherwise, the selected suggestion is used as the replacement. If you want only this occurrence of the word to be replaced, select Change. If the reported word is one you frequently misspell, you might consider adding it to a user dictionary via the Dictionaries Dialog. You can display the Dictionaries dialog by selecting Dictionaries.

— Contains a word which may be misspelled or otherwise incorrect, and is presented with a candidate replacement word. You can change the word by selecting Change, or skip it by selecting Ignore.

— Removes the highlighted word from the text. This option appears when a doubled word has been detected, or when the contents of the problem-word box are deleted.

— Displays the Dictionaries dialog. You can use the Dictionaries dialog to open or close user dictionaries, and to edit the contents of user dictionaries.

— Causes this occurrence of a misspelled word to be skipped. If the same misspelled word appears later, it will be reported again.

— Causes this and all further occurrences of a word to be skipped. You might use this button if the word reported as a misspelling is actually spelled correctly. If the word is one you use frequently, you may wish to ignore it permanently by selecting Add.

— Indicates that a misspelled word was detected. The word is considered misspelled because it could not be located in any open dictionaries, or was marked with an exclude action. You can edit the word in this box or select a suggestion from the list, then select Change to correct the word, or press Ignore to skip the word.

— Displays the Options dialog. You can use the Options dialog to set spelling-checker options.

— Search more thoroughly for suggested replacements for the current misspelled word. Each time you select Suggest, a "deeper" search is made. Suggest is disabled once all possible suggestions have been located.

— Contains a list of suggested replacements for the word reported as misspelled. Subsequent selection of Suggest may yield more suggestions. The word selected in Suggestions will be used as the replacement when Change or Change All are selected, unless the word in the problem box was edited.

— Removes the last change. Undo can be pressed several times to remove the last several changes.

— Remove any changes made to the text in the problem box. This option appears only if the text in the problem box has been changed.

To display the Check Spelling dialog box, do the following:

  1. Open a project.

  2. Open a view that contains text (for example, Activity Barchart view).

  3. Open the Activity Details dialog box.

  4. Click the Notes tab.

  5. Initiate a spell-check by clicking [image].

Using the Check Spelling - Options Dialog Box

Using the Dictionaries Dialog Box

Using the New Dictionary Dialog Box

Using the Check Spelling Dialog Box

The Check-Spelling dialog box displays if a word requiring your attention is detected. You can use the dialog box to specify whether the word should be ignored or replaced.

Note that the labels of some buttons and text boxes in the dialog box change according to the context.

The following options are available:

  • Add

  • Add words to

  • Cancel

  • Capitalization

  • Change

  • Change All

  • Consider Changing

  • Delete

  • Dictionaries

  • Ignore

  • Ignore All

  • Not in dictionary

  • Options

  • Suggest

  • Suggestions

  • Undo

  • Undo Edit

Location

Related Topics and Procedures


using_the_check_spelling_options_dialog_box

— When enabled, any words beginning with a capital letter are ignored (that is, are skipped without being checked). You might enable this option if the text being checked contains many proper names.

— When enabled, any words containing all capital letters are ignored (that is, are skipped without being checked). You might enable this option if the text being checked contains many acronyms.

— When enabled, any words containing embedded digits are ignored (that is, are skipped without being checked). Examples of such words include Win95 and Q4. You might enable this option if the text being checked contains many code words or other symbols containing digits.

— When enabled, any words containing an unusual mixture of upper- and lower-case letters are ignored (i.e., are skipped without being checked). Examples of such words include MicroHouse and CapsLock. You might enable this option if the text being checked contains many variable names or other symbols which use case changes to distinguish words.

— When enabled, any words that appear to be Internet domain names (such as wintertree-software.com) are ignored (that is, they are skipped without being checked).

— When enabled, any word appearing twice in a row is reported via the Check-Spelling Dialog.

— When enabled, a distinction is made between capitalized and non-capitalized words. For example, canada is considered to be different from Canada, so canada would be reported as a misspelling. When the option is disabled, canada and Canada are considered identical. Note that the performance of the spelling checker will be reduced if this option is disabled.

— When enabled, suggestions are made based on phonetic (sounds-like) similarity to the misspelled word. This option tends to improve suggestions for badly misspelled words. Enabling this option will increase the time required to locate suggestions. Note that either this option or the Typographical Suggestions option must be enabled or no suggestions will be offered.

— When enabled, suggestions are made based on typographical (looks-like) similarity to the misspelled word. This option is appropriate for people who are generally good spellers. Note that either this option or the Phonetic Suggestions option must be enabled or no suggestions will be offered.

— When enabled, two separate words will be suggested as a replacement for a misspelling containing two joined words. For example, "is the" would be suggested as a replacement for "isthe".

— When enabled, words marked with Auto Change actions will automatically be changed to their specified replacements. When disabled, you will be prompted before the words are changed.

— Determines the speed and accuracy of the initial search for suggested replacements for misspelled words. When a misspelled word is detected, a search is automatically made for suggestions. This option controls the speed and accuracy of this automatic search. Pressing Suggest in the Check-Spelling Dialog causes an increasingly more accurate (but slower) search for suggestions.

— Closes the Options Dialog, and saves any changes made to the option settings.

— Closes the Options Dialog, and discards any changes made to the option settings.

To display the Check Spelling - Options dialog box, do the following:

  1. Open a project.

  2. Open a view that contains text (in this example, Activity Barchart view).

  3. Open the Activity Details dialog.

  4. Select the Notes tab.

  5. Initiate a spell-check by clicking [image].

  6. Click Options.

Using the Check Spelling Dialog Box

Using the Dictionaries Dialog Box

Using the New Dictionary Dialog Box

Using the Check Spelling - Options Dialog Box

You can use the Options Dialog to specify various spelling-checker options. These options affect the way the spelling checker operates. The following options are available:

  • Ignore Capitalized Words

  • Ignore All-Caps Words

  • Ignore Words with Numbers

  • Ignore Words with Mixed Case

  • Ignore Domain Names

  • Report Doubled Words

  • Case Sensitive

  • Phonetic Suggestions

  • Typographical Suggestions

  • Suggest Split Words

  • Auto Correct

  • Suggestions

  • OK

  • Cancel

Location

Related Topics and Procedures


using_the_dictionaries_dialog_box

Used to select an action that is associated with words in the dictionary. The action tells the spelling checker what to do when it finds a word in the dictionary. The following options are available:

  • Auto change (use case of checked word)

  • Auto change (use case of other word)

  • Conditionally change (use case of checked word)

  • Conditionally change (use case of other word)

  • Exclude (treat as misspelled)

  • Ignore (skip)

— This option allows you to automatically replace one word with another. For example, if you often type recieve instead of receive, you might enter the word recieve with receive as the other word and Auto change (use case of checked word) as the action. The spelling checker will automatically correct recieve wherever it appears. If recieve was capitalized (Recieve), the spelling checker would automatically replace it with Receive. Note that the replacement is made automatically only if the Auto Change option is enabled (see the Options Dialog for information on the Auto Change option).

— This option allows you to automatically replace one word with another, always with the same case pattern as the other word. This action is useful for automatically expanding abbreviations. For example, you could enter the word TBD with "to be determined" as the other word and Auto change (use case of other word) as the option. The spelling checker will automatically replace TBD with "to be determined" wherever it appears. Note that the replacement is made automatically only if the Auto Change option is enabled (see the Options Dialog for information on the Auto Change option).

— This option allows you to optionally replace one word with another. For example, if you often type recieve instead of receive, you might enter the word recieve with receive as the other word and Auto change (use case of checked word) as the option. The spelling checker will ask if you want to replace recieve with receive. If recieve was capitalized (Recieve), the spelling checker would ask if you wanted to replace it with Receive.

— This option allows you to optionally replace one word with another, always with the same case pattern as the other word. This action is useful for optionally expanding abbreviations. For example, you could enter the word TBD with "to be determined" as the other word and Conditionally change (use case of other word) as the option. The spelling checker will ask if you want to replace TBD with to be determined.

— This option tells the spelling checker that the word is misspelled, even if it is listed in another dictionary. Words marked with this option will never be offered as suggestions for misspelled words, and they will be reported as misspellings when they are encountered by the spelling checker. Note that the spelling checker looks up words in user dictionaries in the order in which they appear in the Files list. If you want to exclude a word, make sure it doesn't appear in a previous user dictionary.

— This option tells the spelling checker that the word is spelled correctly, and so can be skipped over. This is the most common action.

Opens a user dictionary file. When you select Add File, a dialog appears which you can use to select the dictionary file to open. The set of open dictionary files is remembered, so once you add a dictionary file you don't need to add it again. If you need to create a new user dictionary, use New. You can open other applications' user dictionary files.

Causes the word entered in the edit area of the Words list to be added to the currently selected dictionary. The currently selected option and other word are associated with the word. You can use Add Word to change the option or other word associated with a word. Note that Add Word is enabled only when a new word is typed in the edit area of the Words list. The words you add may contain virtually any character, but only words which contain embedded periods should have trailing periods (for example, U.S.A. is OK, but USA. is not).

Closes the Dictionaries dialog.

Causes the word appearing in the edit area of the Words list to be removed from the currently selected dictionary. The associated option and other word are also removed.

Saves the contents of the currently selected dictionary to a text file. When you select Export, a dialog appears which you can use to select the name of the text file to which words in the dictionary will be exported. The words are written to the file one per line.

Contains the list of open dictionary files. When you select a file from the list, its contents are displayed in the Words list.

Adds the words contained within a text file to the currently selected dictionary. When you select Import, a dialog box appears which you can use to select the text file to be imported. Each word in the selected file is loaded into the dictionary. Note that importing a large list of words may take some time.

Displays the language (for example, English or French) of the currently selected dictionary.

Creates a new user dictionary file. When you select New, a dialog appears which you can use to specify attributes of the new dictionary. See the New Dictionary Dialog for details.

Contains an alternate word associated with the currently selected word. The other word is used in the "Auto change" and "Conditionally change" options to supply a replacement word. You can enter more than one word in Other Word, but the total length should be limited to 63 characters.

Closes the currently selected dictionary file. Closed dictionaries are not checked during a spelling check. Although the file is closed, it is not deleted. Closed dictionary files can be reopened later using Add File.

Contains the list of words in the currently selected user dictionary.

To display the Dictionaries dialog box, do the following:

  1. Open a project.

  2. Open a view that contains text (for example, Activity Barchart view).

  3. Open the Activity Details dialog.

  4. Select the Notes tab.

  5. Initiate a spell-check by clicking [image].

  6. Click Dictionaries.

Using the Check Spelling Dialog Box

Using the Check Spelling - Options Dialog Box

Using the New Dictionary Dialog Box

Using the Dictionaries Dialog Box

The Dictionaries Dialog allows you to open and close user dictionaries and to edit the contents of an open user dictionary. The contents of dictionaries are saved in disk files. You can open some or all of your user dictionary files at any time. Only open dictionaries are searched during a spelling check.

The following options are available:

  • Action

  • Add File

  • Add Word

  • Close

  • Delete Word

  • Export

  • Files

  • Import

  • Language

  • New

  • Other Word

  • Remove File

  • Words

Location

Related Topics and Procedures


using_the_new_dictionary_dialog_box

— Displays a dialog that shows the names of other user dictionary files. You can use the dialog to view the names of existing dictionary files, and to enter the name of the new dictionary file.

— Closes the New Dictionary Dialog without creating a new dictionary.

— Contains the name of the disk file used to hold the contents of the new dictionary. You can enter a name here or use Browse to display a dialog showing the names of other dictionary files.

— Specifies the language (for example, French) the new user dictionary will contain. If the language you want to use is not listed, select Any.

— Closes the New Dictionary Dialog and creates the new dictionary.

To display the New Dictionary dialog box, do the following:

  1. Open a project.

  2. Open a view that contains text (in this example, Activity Barchart view).

  3. Open the Activity Details dialog.

  4. Select the Notes tab.

  5. Initiate a spell-check by clicking [image].

  6. Click Dictionaries.

  7. Click New File.

Using the Check Spelling Dialog Box

Using the Check Spelling - Options Dialog Box

Using the Dictionaries Dialog Box

Using the New Dictionary Dialog Box

You can use the New Dictionary Dialog to specify the attributes of a new user dictionary. The following options are available:

  • Browse

  • Cancel

  • File Name

  • Language

  • OK

Location

Related Topics and Procedures


advanced_buttonspread

Advanced Button

Clicking the Advanced button opens the Set Column/Row Attributes dialog box, which gives you control over the look and feel of the spreadsheet as a whole, including the ability to specify conditional formatting.


backgroundpopupspread

Background

This field controls the background color used by the subhead and subtotal lines. You can select a color for the background from a standard palette of 48 colors as well as 16 custom colors.


betweenfilterpopupspread

BETWEEN

Purpose:

This function returns all records where a specified field contains a value that is greater than one specified value and less than another specified value.

Syntax:

BETWEEN(<value1>[,<value2>&ldots;])

where:

<value1>, <value2> are to be compared against values in a specified field

The comma symbol (,) is used as a separator between the desired fields.

Example:

Assuming that the assignment table contains records where the resource level is between 3 and 5, the statement:

RES_LEVEL BETWEEN (3,5)

returns all records containing a resource level that is equal to or greater than 3.00 and equal to or less than 5.00.


break_levelpopupspread

Break Level

If you elect to break on a hierarchical field (for example, a code field representing a work breakdown structure), you can use the Break Level field to indicate which hierarchical level (1, 2, 3, and so on) triggers a subsection.


break_onpopupspread

Break On

This field defines the criterion by which members of the subsection are grouped. When this field is selected, Open Plan displays a list containing fields from the current table. If a hierarchical field is selected from the list, you can further define the level in the hierarchy that determines the grouping.

You may subsection on data items from different tables with multi-table spreadsheet views. In this case, when you select the subsection data item, it appears in the form [TABLE]FIELD.


calculated_fieldsfieldpopupspread

Calculated Fields

Expressions defining filters can include references to previously defined calculated fields. Use an underscore character ( _ ) to represent embedded spaces in a calculated field name (for example, Schedule_Variance).


character_operatorsfilterpopupspread

Character Operators

You can include the following character operators in the filter expression:

  • Concatenate (+)

Sample Usage | Result
"Quick" + "Brown Fox" | "Quick Brown Fox"

  • Contained in ($)

Sample Usage | Result
"ABC" $ "123ABCDEF" | TRUE


collapse_allpopupspread

Collapse All

This button, located only on the toolbar, collapses the entire project to display only to top level in the hierarchy.


collapsepopupspread

Collapse

This button collapses the selected level in the spreadsheet to hide the current level in the hierarchy. It is displayed at the left of a spreadsheet line only if the data can be collapsed.

Open Plan also features a Collapse button on the toolbar that is enabled only when data that can be collapsed is displayed


constantsfilterpopupspread

Constants

You can include text, date, numeric, and logical constants in a calculated field or global edit:

  • All text must be enclosed in either single or double quotes.

  • Dates must be enclosed in curly brackets ({ and }).

  • Durations must be enclosed between piping symbols ( | ).

  • Numeric constants can include any positive or negative value and can appear with or without decimal places.

  • Valid logical constants are True and False. You can also use the abbreviations (.T. and .F.) of these logical constraints.

  • Values for enumerated fields (that is, fields with a limited number of valid values) must be enclosed between square brackets ([ and ]). Open Plan recognizes the following enumeration types:

Enumeration Type | Description
ACTS | Activity status
ACTT | Activity type
BOOL | Boolean
CRIT | Critical flag
CURV | Curve
PROG | Progress
RELT | Relationship type
RESC | Resource class
REST | Resource type
RSCL | Resource scheduling type
TARG | Target type


containsfilterpopupspread

CONTAINS

Purpose: | This function returns all records containing a specified string of characters within a specified field.
Syntax: | CONTAINS(<string>) where: <string> is a set of characters.
Example: | Assuming that a resource description contains the name Paul, the statement: RES_DESC CONTAINS("Paul") Returns all the records where the characters Paul appear in the resource description.


decimalspopupspread

Decimals

Where appropriate, you can use the Decimals field to indicate a level of precision for the display of data.

Because Open Plan uses the decimal settings for your installation of Windows, the Decimal field is disabled for currency.


define_link_exampleexamplespread

Return

Assume that you want to display the durations of all activities assigned to the resources in your department. Because the resource ID descriptions and activity durations are stored on different tables, the only way to display this information on a single spreadsheet is by using the multi-table spreadsheet feature. (The resource ID description is stored on the Resource Description table; the activity duration is stored on the Activity table.)

To show the activity durations on the same spreadsheet with the resource IDs, you must link the Resource Description table with the Activity table. This is done on the Define Link tab of the Spreadsheet Preferences dialog box in two steps:

Step 1 — Define a link between the Resource Description table and the Assignment table using the Resource ID as the connecting field.

Step 2 — Define a link between the Assignment table and the Activity table using the Activity ID as the connecting field.

This is shown in the following illustration:

You can then define the spreadsheet columns to display the required information.


define_link_tab_popupspread

Define Link Tab

The Define Link tab allows you to select information from multiple tables to be displayed on a single spreadsheet. This tab is only available for multi-table spreadsheets.


displaying_the_add_column_dialog_boxspread

To display the Add Column dialog box, do one of the following:

  • Right-click the column heading to the left of where you want to add a column and click Add Column on the shortcut menu.

  • Position your cursor in the column to the left of where you want to add a column, click Spreadsheet on the View menu, and then click Add Column on the Spreadsheet submenu.


displaying_the_choose_a_value_dialog_boxspread

To display the Choose a Value dialog box, click the ellipsis [image] button at the right edge of a spreadsheet edit box under the following circumstances:

  • In an activity spreadsheet, when the cursor is in a code field

  • In an assignment spreadsheet, when the cursor is in an Activity ID or Resource Code field

  • In a relationship spreadsheet, when the cursor is in a Predecessor or Successor field

  • In a predecessor/successor spreadsheet, when the cursor is in the Activity ID or Successor field

  • In a resource/activity spreadsheet, when the cursor is in a Resource ID or Activity ID field


displaying_the_edit_column_dialog_boxspread

To display the Edit Column dialog box, do one of the following:

  • Double-click a column heading.

  • Right-click on a column and click Edit Column from the context menu.

  • Position your cursor in a column, click Spreadsheet on the View menu, and then click Edit Column on the Spreadsheet submenu.


displaying_the_insert_column_dialog_boxspread

To display the Insert Column dialog box, do one of the following:

  • Right-click the column heading to the right of where you want to insert a column and click Insert Column on the shortcut menu.

  • Position your cursor in the column to the right of where you want to insert a column, click Spreadsheet on the View menu, and then click Insert Column on the Spreadsheet submenu.


displaying_the_insert_rows_dialog_boxspread

To display the Insert Rows dialog box, do one of the following:

  • Right-click an activity selector and click Insert Rows on the shortcut menu.

  • Select a row, click Spreadsheet on the View menu, and then click Insert Rows on the Spreadsheet submenu.


displaying_the_predecessor_successor_spreadsheetspread

To display the Predecessor/Successor spreadsheet, select Predecessor/Successor from the project’s Views folder.


displaying_the_spreadsheet_preferences_define_link_tabspread

To display the Define Link tab, click Define Link on the Spreadsheet Preferences dialog box when a multi-table spreadsheet view is displayed.

This feature is available with only the Professional edition of Open Plan.


displaying_the_spreadsheet_preferences_options_tabspread

To display the Spreadsheet Preferences Options tab, do one of the following:

  • Display a spreadsheet view and click Preferences on the Tools menu.

  • Display a barchart view and click Spreadsheet Preferences on the Tools menu.


displaying_the_spreadsheet_preferences_outlining_tabspread

To display the Outlining tab, click Enable Outlining on the Options tab of the Spreadsheet Preferences dialog box and then click the Outlining tab. This option is available only when an activity spreadsheet is displayed.

This feature is available with only the Professional edition of Open Plan.


displaying_the_spreadsheet_preferences_subsections_tabspread

To display the Subsections tab, click Enable Subsections on the Options tab of the Spreadsheet Preferences dialog box and then click the Subsections tab. This option is available only when an activity spreadsheet is displayed.

This feature is available with only the Professional edition of Open Plan.


displaying_the_spreadsheet_viewspread

To display a spreadsheet view, select it from the project’s Views folder.


duration_operatorsfilterpopupspread

Duration Operators

You can include the following duration operators in a filter expression:

 | Expression | Result
Add (+) | Duration + Duration | Duration
 | Date + Duration | Date
Subtract (-) | Duration - Duration | Duration
 | Date - Duration | Date
Divide (/) | Duration / Duration | Decimal
 | Duration / Number | Duration
Multiply (*) | Duration * Number | Duration


expand_allpopupspread

Expand All

This button, located only on the toolbar, expands the entire project to display all levels in the hierarchy.

In the Desktop edition of Open Plan, the Expand All button does not expand activities representing external subprojects.


expandpopupspread

Expand

This button expands the selected level in the spreadsheet to display the data one level downward in the hierarchy. This button is displayed at the left of a spreadsheet line only if the data can be expanded.

Open Plan also features an Expand button on the toolbar that is enabled only when data that can be expanded is displayed.


field_namepopupspread

Field Name

The Field Name specifies the fields to be displayed. This field can be either one of the standard Open Plan fields or a calculated field that has been added to a file.

In addition, you can simply type a calculated field that you create "on-the-fly" in this field.


field_namesfilterpopupspread

Field Names

When including a field in a filter expression, you must enter the name of the field and not the descriptive name that is displayed in spreadsheet column headings. For example, if you want to define a calculated field expression that references the field containing early start dates, you must identify the field as ESDATE, not Early Start.


filterlinkspread

Filter

Return

You can use this field to apply a filter to the linked spreadsheet.

When you select a cell in the <Filter> column, the list displays the predefined filters from which you can select. You can also type the filter expression directly into the cell using either actual fields or predefined calculated fields within the appropriate table.

Any filter you define using this tab is applied only to the secondary table identified in the To Table column.

When defining the filter you can use any of the following expressions that can be used with calculated fields and global edits:

  • Character operators

  • Constants

  • Duration operators

  • Field names

  • Logical operators

  • Mathematical operators

  • Calculated fields

  • Relational operators

  • Functions

In addition, you can use any of the following additional functions:

  • Between

  • Contains

  • Not Between

  • Not Contains


fontpopupspread

Font

This field displays the currently selected font that Open Plan uses for the subhead and summary lines. You can change this value by clicking the ellipsis [image] button . This button displays a dialog box where you can select the font and its attributes.


formatting_add_popupspread

Formatting

The Formatting options control how date, duration, or numeric data in the column is displayed. If you change the formatting of a column that already contains data, Open Plan displays the data in the new format. The available formatting options depend on the Field Name field:

  • If the field is a date field, the formatting options include date formats.

  • If the field is a duration, the formatting options include minutes (t), hours (h), days (d), weeks (w), and months (m). Open Plan displays as a decimal any remainder that results from converting a smaller unit into a larger unit. For example, a duration of 90 minutes becomes 1.5 when converted into hours. When you click a cell, the duration is displayed in the default format. You can then enter a new duration value in any format that you wish.

  • If the field is a numeric, the options include integers, percents, decimals, or monetary units. All options may be displayed with or without the separator used to indicate thousands.

More Info


formatting_edit_popupspread

Formatting

The Formatting options control how date, duration, or numeric data in the column is displayed. If you change the formatting of a column that already contains data, Open Plan displays the data in the new format. The available formatting options depend on the Field Name field:

  • If the field is a date field, the formatting options include date formats.

  • If the field is a duration, the formatting options include minutes (t), hours (h), days (d), weeks (w), and months (m). Open Plan displays as a decimal any remainder that results from converting a smaller unit into a larger unit. For example, a duration of 90 minutes becomes 1.5 when converted into hours. When you click a cell, the duration is displayed in the default format. You can then enter a new duration value in any format that you wish.

  • If the field is a numeric, the options include integers, percents, decimals, or monetary units. All options may be displayed with or without the separator used to indicate thousands.

Where appropriate, you can use the Decimals field to indicate a level of precision for the display of data.

More Info


formatting_insert_popupspread

Formatting

The Formatting options control how date, duration, or numeric data in the column is displayed. If you change the formatting of a column that already contains data, Open Plan displays the data in the new format. The available formatting options depend on the Field Name field:

  • If the field is a date field, the formatting options include date formats.

  • If the field is a duration, the formatting options include minutes (t), hours (h), days (d), weeks (w), and months (m). Open Plan displays as a decimal any remainder that results from converting a smaller unit into a larger unit. For example, a duration of 90 minutes becomes 1.5 when converted into hours. When you click a cell, the duration is displayed in the default format. You can then enter a new duration value in any format that you wish.

  • If the field is a numeric, the options include integers, percents, decimals, or monetary units. All options may be displayed with or without the separator used to indicate thousands.

Where appropriate, you can use the Decimals field to indicate a level of precision for the display of data.

More Info


from_fieldpopupspread

From Field

The From Table and From Field combine to define the source location for the link that will be established.

In order for Open Plan to be able to make the link between the two tables, this field must represent similar data to that in the To Field. For example, because the Alternate Res. ID field on the Assignment table and the Res. ID field on the Availability table both represent a resource ID, they can be used as linking fields between the data tables.


from_tablepopoupspread

From Table

The From Table and From Field combine to define the source location for the link that will be established.


functionsfieldpopupspread

Functions

Filter expressions can contain any of the functions that are used for calculated fields and global edits. For more information, refer to the topic "Using the Functions Dialog Box."


grid_colorspreadsheetprefsoptionspopupspread

Grid Color

This field controls the color of the grid lines that Open Plan displays on the spreadsheet. Clicking the Grid Color down arrow displays a Color dialog box that you can use to select a color for the grid. The Color dialog box offers a choice of 48 standard colors and up to 16 additional custom colors.

You can define custom colors using an enhanced version of the Color dialog box accessed from the Color tab of the Options dialog box.


grid_linesspreadsheetprefsoptionspopupspread

Grid Lines

This field controls the display of grid lines on the spreadsheet. By selecting an option from the list that is displayed, you can specify whether Open Plan should display vertical, horizontal, both, or no gridlines on the spreadsheet.


heading_fieldpopupspread

Heading Field

This field setting determines which field Open Plan displays in the heading line. When you select the field on which to break the spreadsheet view, Open Plan enters < Default > as the heading field. This typically matches the Break On field. For hierarchical code fields, however, the default heading field is the ID and description field appropriate to the level on which the subsectioning is based.

To set up a subsection heading that includes a descriptive label (for example, "Total Float ="), create a calculated field that contains the text string and assign it as the heading field.


headingpopupspread

Heading

This field controls whether or not Open Plan displays a heading line at the beginning of a subsection. If you select Yes, Open Plan enables the Heading Field column.


headingspreadsheetprefsoptionspopupspread

Heading

You can specify the following elements of a spreadsheet heading:

  • Text Color — Clicking the down arrow at the right edge of this field displays a Color dialog box that you can use to specify the color that the spreadsheet should use for when displaying text in the heading row.

  • Background Color – This field controls the default color for the spreadsheet heading.

  • Font – Clicking this button displays the Font dialog box that controls the default font for the spreadsheet heading.


linked_sort_examplepopupspread

Linked Sort Example

The following example is part of an activity/resource spreadsheet.

Since the Duration field is located on the Activity (primary) table, the data is sorted on this field before it is sorted on the Resource Description field that is located on the Resource Description (secondary) table.


logical_operatorsfieldpopupspread

Logical Operators

You can include the following logical operators in a filter expression: AND; NOT; OR; AND NOT; Group (( ))


mathematical_operatorsfieldpopupspread

Mathematical Operators

You can include the following mathematical operators in a filter expression: Add (+); Subtract (-);Multiply (*);Divide (/);Group (( )); Exponentiate (^ or **)

Expressions containing mathematical operators are evaluated according to the normal rules of precedence:

  • Grouping operations are performed before multiplication and division operations.

  • Multiplication and division operations are performed before addition and subtraction operations.


minimum_row_heightspread

Minimum Row Height

Select the minimum height for the rows in your spreadsheet view. Enter any number between 6 and 200. When a cell contains additional content, the row height will continue to expand to display the information, but this option simply defines the lower limit for the row height.


More Info About Formatting (Add)

More Info About Formatting

Return

The formatting of currency has ramifications for the international user.

While the spreadsheet stores the currency symbol as well as its position (before or after the numeric value), it does not control other aspects of how currency is formatted. Some aspects of currency formatting, such as the symbols used for the thousands separator and decimal, depend on your installation of Windows.

For example, if a user in the United States formats the value 1000 as $1,000.00, the French user will see it displayed as $1 000,00. Both the $ symbol and its position before the numeric value are retained. Open Plan does, however, allow Windows to replace the U.S. decimal character (.) with the French decimal character (,), and the U.S. thousands separator (,) with the French equivalent (a space).


More Info About Formatting (Edit)

More Info About Formatting

Return

The formatting of currency has ramifications for the international user.

While the spreadsheet stores the currency symbol as well as its position (before or after the numeric value), it does not control other aspects of how currency is formatted. Some aspects of currency formatting, such as the symbols used for the thousands separator and decimal, depend on your installation of Windows.

For example, if a user in the United States formats the value 1000 as $1,000.00, the French user will see it displayed as $1 000,00. Both the $ symbol and its position before the numeric value are retained. Open Plan does, however, allow Windows to replace the U.S. decimal character (.) with the French decimal character (,), and the U.S. thousands separator (,) with the French equivalent (a space).

Because Open Plan uses the decimal settings for your installation of Windows, the Decimal field is disabled for currency.


More Info About Formatting (Insert)

More Info About Formatting

Return

The formatting of currency has ramifications for the international user.

While the spreadsheet stores the currency symbol as well as its position (before or after the numeric value), it does not control other aspects of how currency is formatted. Some aspects of currency formatting, such as the symbols used for the thousands separator and decimal, depend on your installation of Windows.

For example, if a user in the United States formats the value 1000 as $1,000.00, the French user will see it displayed as $1 000,00. Both the $ symbol and its position before the numeric value are retained. Open Plan does, however, allow Windows to replace the U.S. decimal character (.) with the French decimal character (,), and the U.S. thousands separator (,) with the French equivalent (a space).

Because Open Plan uses the decimal settings for your installation of Windows, the Decimal field is disabled for currency.


not_betweenfilterpopupspread

NOT BETWEEN

Purpose: | This function returns all records where a specified field does not contain a value that is greater than one specified value and less than another specified value.
Syntax: | NOT_BETWEEN(<value1>[ ,<value2>&ldots;]) where: <value1>, <value2> are to be compared against values in a specified field The comma (,) is used as a separator between the desired fields.
Example: | Assuming that the assignment table contains some records where the resource level is less than 3.00 and some where the resource level is greater than 5.00, the statement: RES_LEVEL NOT_BETWEEN (3,5) returns all records containing a resource level that is less than 3.00 or greater than 5.00.


not_containsfilterpopupspread

NOT CONTAINS

Purpose: | This function returns all records not containing a specified string of characters within a specified field.
Syntax: | NOT_CONTAINS(<string>) where: <string> is a set of characters.
Example: | Assuming that a resource description contains the name Paul, the statement: RES_DESC NOT_CONTAINS("Paul") Returns all the records where the characters Paul do not appear in the resource description.


outlining_tabpopupspread

Outlining Tab

The Outlining tab allows you to select a color and font used to display outlining and summarization. You can also indicate the default level for expanding information.

To use outlining in a spreadsheet view, you must first enable the feature by clicking Enable Outlining on the Options tab of the Spreadsheet Preferences dialog box.

The Outlining tab is not available for multi-table spreadsheets.


outliningspread

Outlining

Outlining allows you to use the hierarchical information implicit in an activity or resource ID to expand or collapse the display of detail information.


page_breakpopupspread

Page Break

By selecting Yes or No in this field, you can specify whether or not Open Plan should start a new page for each new subsection value when printing a report.


relational_operatorsfieldpopupspread

Relational Operators

Expressions for filters can include the following relational operators: Equal to (=);Not equal to (<>);Greater than (>);Greater than or equal to (>=);Less than (<);Less than or equal to (<=);Contained in ($)


seealso_customizing_a_spreadsheet_viewspread

Related Topics:

Spreadsheet Preferences Options Tab

Spreadsheet Preferences Subsections Tab

Spreadsheet Preferences Outlining Tab

Spreadsheet Preferences Define Link Tab

Related Procedures:

Customizing Display Options

Enabling Outlining

Enabling Subsections

Defining Outlining

Defining Subsections

Sorting the Data in a Spreadsheet


seealso_linkingspread

Related Topics:

Spreadsheet Preferences Outlining Tab

Using the Resource/Activity Spreadsheet

Using the Predecessor/Successor Spreadsheet

Related Procedures:

Customizing Display Options

Linking Fields on a Spreadsheet


seealso_spreadsheet_preferences_define_link_tabspread

Related Topics:

Linking

Spreadsheet Preferences Options Tab

Spreadsheet Preferences Subsections Tab

Spreadsheet Preferences Outlining Tab

Using the Resource/Activity Spreadsheet

Using the Predecessor/Successor Spreadsheet

Using the Functions Dialog Box

Related Procedures:

Customizing Display Options

Linking Fields on a Spreadsheet

Sorting a Multi-Table View on a Secondary Table

Filtering a Multi-Table View on a Secondary Table


seealso_spreadsheet_preferences_options_tabspread

Related Topics:

Customizing a Spreadsheet View

Spreadsheet Preferences Subsections Tab

Spreadsheet Preferences Outlining Tab

Spreadsheet Preferences Define Link Tab

Related Procedures:

Customizing Display Options

Enabling Outlining

Enabling Subsections

Defining Outlining

Defining Subsections

Splitting a Spreadsheet into Two Panes

Sorting the Data in a Spreadsheet


seealso_spreadsheet_preferences_outlining_tabspread

Related Topics:

Spreadsheet Preferences Options Tab

Spreadsheet Preferences Subsections Tab

Spreadsheet Preferences Define Link Tab

Using the Resource/Activity Spreadsheet

Using the Predecessor/Successor Spreadsheet

Related Procedures:

Customizing Display Options

Enabling Outlining


seealso_spreadsheet_preferences_subsections_tabspread

Related Topics:

Spreadsheet Preferences Options Tab

Spreadsheet Preferences Outlining Tab

Spreadsheet Preferences Define Link Tab

Using the Set Column/Row Attributes Dialog Box

Related Procedures:

Customizing Display Options

Enabling Subsections

Setting a Column or Row Attribute


seealso_spreadsheet_viewmultispread

Related Topics:

Linking

Spreadsheet Preferences Define Link Tab

Customizing a Spreadsheet View

Using the Add Column Dialog Box

Using the Insert Column Dialog Box

Using the Edit Column Dialog Box

Using the Insert Rows Dialog Box

Using the Choose a Value Dialog Box

Using the Resource/Activity Spreadsheet

Using the Predecessor/Successor Spreadsheet

Related Procedures:

Adjusting Column Width

Adding a Column

Inserting a Column

Removing a Column

Editing a Column

Moving a Column

Splitting a Spreadsheet into Two Panes

Sorting the Data in a Spreadsheet

Creating an Activity in a Spreadsheet View


seealso_spreadsheet_viewspread

Related Topics:

Customizing a Spreadsheet View

Using the Add Column Dialog Box

Using the Insert Column Dialog Box

Using the Edit Column Dialog Box

Using the Insert Rows Dialog Box

Using the Choose a Value Dialog Box

Using the Resource/Activity Spreadsheet

Using the Predecessor/Successor Spreadsheet

Related Procedures:

Adjusting Column Width

Adding a Column

Inserting a Column

Removing a Column

Editing a Column

Moving a Column

Splitting a Spreadsheet into Two Panes

Sorting the Data in a Spreadsheet

Creating an Activity in a Spreadsheet View


seealso_using_the_add_column_dialog_boxspread

Related Topics:

Using the Insert Column Dialog Box

Using the Edit Column Dialog Box

Using the Insert Rows Dialog Box

Using the Set Column/Row Attributes Dialog Box

Related Procedures:

Adding a Column

Adjusting Column Width

Inserting a Column

Removing a Column

Editing a Column

Moving a Column

Setting a Column or Row Attribute


seealso_using_the_choose_a_value_dialog_boxspread

Related Topics:

Spreadsheet View

Using the Resource/Activity Spreadsheet

Using the Predecessor/Successor Spreadsheet

Related Procedures:

Adding a Column

Inserting a Column

Editing a Column


seealso_using_the_edit_column_dialog_boxspread

Related Topics:

Using the Add Column Dialog Box

Using the Insert Column Dialog Box

Using the Insert Rows Dialog Box

Using the Set Column/Row Attributes Dialog Box

Related Procedures:

Editing a Column

Adjusting Column Width

Adding a Column

Inserting a Column

Removing a Column

Moving a Column

Sorting the Data in a Spreadsheet

Setting a Column or Row Attribute


seealso_using_the_insert_a_new_column_dialog_boxspread

Related Topics:

Using the Add Column Dialog Box

Using the Edit Column Dialog Box

Using the Insert Rows Dialog Box

Using the Set Column/Row Attributes Dialog Box

Related Procedures:

Inserting a Column

Adjusting Column Width

Adding a Column

Removing a Column

Editing a Column

Moving a Column

Sorting the Data in a Spreadsheet

Setting a Column or Row Attribute


seealso_using_the_insert_rows_dialog_boxspread

Related Topics:

Using the Add Column Dialog Box

Using the Insert Column Dialog Box

Using the Edit Column Dialog Box

Using the Resource/Activity Spreadsheet

Using the Predecessor/Successor Spreadsheet

Related Procedures:

Inserting Rows in a Spreadsheet


seealso_using_the_predecessor_successor_spreadsheetspread

Related Topics:

Spreadsheet View

Using the Resource/Activity Spreadsheet

Using the Choose a Value Dialog Box

Related Procedures:

Creating a Relationship in a Spreadsheet View

Inserting Rows in a Spreadsheet


seealso_using_the_resource_activity_spreadsheet

Related Topics:

Spreadsheet View

Using the Predecessor/Successor Spreadsheet

Using the Choose a Value Dialog Box

Related Procedures:

Assigning Resources in a Spreadsheet

Inserting Rows in a Spreadsheet


show_skills_as_resourcesspreadsheetprefsoptionspopupspread

Show Skills as Resources

If this option is selected, Open Plan displays skills as resources on a resource spreadsheet.


sortlinkpopupspread

Sort

Return

You can use this field to apply a sort to the linked spreadsheet.

When you select a cell in the <Sort> column, the list displays the predefined sorts from which you can select. You can also define a temporary sort by typing the sort expression directly into the cell using the following format:

[-]<sort_field1>[,[-]<sort_field2>[,&ldots;

where:

  • Square brackets indicate that the contents are optional.

  • Each of the <sort_fieldx> values is either the name of an existing field on the appropriate table or the definition of a calculated field for that table.

  • Negative signs indicate a descending rather than an ascending sort.

Any sort you define using this tab is applied only to the secondary table identified in the To Table column.

You may notice that sometimes your sort expression moves from one row to another. This can happen if you inadvertently enter the sort expression for the wrong table. Under these circumstances, Open Plan attempts to correct the error by moving the sort expression to the row where it needs to be when you click OK.


spreadsheet_keyboard_shortcutspopupspread

Spreadsheet Keyboard Shortcuts

The effect of using keyboard shortcuts depends on the type of field that has focus:

Key | Editable Field | Non-editable Field | Enumerated Field
Up arrow | Move focus up one cell | Move focus up one cell | Move focus up one cell
Down arrow | Move focus down one cell | Move focus down one cell | Move focus down one cell
Right arrow | Next character in cell | Next cell in row | Changes value
Left arrow | Prev. character in cell | Prev. cell in row | Changes value
PgUp | Scroll up one page | Scroll up one page | Scroll up one page
PgDn | Scroll down one page | Scroll down one page | Scroll down one page
Home | First character in cell | First cell in row | First value
End | Last character in cell | Last cell in row | Last value
Ctrl+Up | Top visible row | Top visible row | Top visible row
Ctrl+Down | Bottom visible row | Bottom visible row | Bottom visible row
Ctrl+Right | Rightmost visible column | Rightmost visible column | Rightmost visible column
Ctrl+Left | Leftmost visible column | Leftmost visible column | Leftmost visible column
Ctrl+PgUp | First cell in row | First cell in row | First cell in row
Ctrl+PgDn | Last cell in row | Last cell in row | Last cell in row
Ctrl+Home | Top left cell of table | Top left cell of table | Top left cell of table
Ctrl+End | Bottom right cell of table | Bottom right cell of table | Bottom right cell of table


subsections_tabpopupspread

Subsections Tab

The Subsections tab allows you to control how a spreadsheet displays information about a subsection. Using this tab, you can define subsections for the spreadsheet portion of a barchart view as well as for a stand-alone spreadsheet view.

To use subsections in a spreadsheet view, you must first enable the feature by clicking Enable Subsections on the Options tab of the Spreadsheet Preferences dialog box. If you define subsections for a view that has a sort order in effect, Open Plan sorts the activities within the defined subsections.

The Subsections tab is not available for multi-table spreadsheets.


subsectionsspread

Subsections

A subsection consists of a block of data that begins with a subhead. The subsection feature groups related data for presentation in a spreadsheet view based on the contents of an activity field.

The type of summarization Open Plan performs for a column depends on the data displayed in the column. For example, if the column displays a numeric value, then the summary represents the total of all the values for that subsection. On the other hand, a column displaying start dates summarizes as the earliest date in that group. (A column displaying finish dates summarizes as the latest date in the group.) Some columns (for example, activity IDs or descriptions) do not summarize at all.

If you display subsections for a view that has a sort order in effect, Open Plan sorts the activities within the defined subsections.


summarypopupspread

Summary

This field controls if and where Open Plan displays a summary line. The options for this field are:

  • Bottom — Displays the summary at the bottom of the subsection.

  • Heading — Displays the summary on the same row as the heading.

  • Top — Displays the summary at the top of the subsection.

  • <None> — Inhibits the display of a summary line.

When you include a summary row, information appears only for the following field types:

  • Numeric fields — Displays the total in a given subsection.

  • Early Finish — Displays the latest date in the subsection.

  • Early Start — Displays the earliest date in the subsection.

    • If any of the start dates in a subsection are blank, the summary date will be blank as well.


table_namepopupspread

Table Name

This field is enabled for spreadsheets and specifies the table on which the field to be displayed is located.


table_namespreadsheetprefsoptionspopupspread

Table Name

This field contains a list from which you can select a data table that the spreadsheet should use. If you select a different table (for example, change from an activity table to a resource table) Open Plan replaces the selection of fields displayed in the spreadsheet with a default set based on the new table.

When you change the data table, double-clicking the selection box on the spreadsheet displays the relevant Details dialog box.

Because all code tables have the same structure, changing between code tables does not affect the columns that are displayed in the spreadsheet.


tablespreadsheetprefsoptionspopupspread

Table

You can specify the following elements of the table section of a spreadsheet:

  • Text Color — Clicking the down arrow at the right edge of these fields displays a Color dialog box that you can use to specify the color that the spreadsheet should use for when displaying text in the table section of the spreadsheet.

  • Background Color – This field controls the default background color for the table section of the spreadsheet.

  • Font – Clicking this button displays the Font dialog box that controls the default font for the table section of the spreadsheet.


text_alignmentpopupspread

Text — Alignment

This option allows you to specify how data in the column should be aligned:

  • <Default> The settings that are enabled when you select <Default> depend on the data type:

    • Alphanumeric fields are left-aligned .

    • Numeric fields are right-aligned.

  • Left

  • Center

  • Right


text_colorpopupspread

Text — Color

This option allows you to override the default color for the text with a specific color that has been predefined for the application.


text_indentpopupspread

Text — Indent

Selecting this option indents the data in the column to indicate the hierarchical level of the item.


text_override_default_font_settingspopupspread

Text — Override Default Font Settings

Selecting this option enables the following options:

  • Italics

  • Bold


textpopupspread

Text

This field controls the text color used by the subhead and subtotal lines. You can select a color for the text from a standard palette of 48 colors as well as 16 custom colors.


titlepopupspread

Title

The Title field displays the text used to identify the field. While you can enter any text you wish in this field, the default provided by Open Plan is the field name that is stored in the data dictionary.


to_fieldpopupspread

To Field

The To Table and To Field combine to define the record that will be linked in the spreadsheet.

In order for Open Plan to be able to make the link between the two tables, this must be the same data as defined in the From Field column. For example, because the Alternate Res. ID field on the Assignment table and the Res. ID field on the Availability table both represent a resource ID, they can be used as linking fields between the data tables.


to_tablepopupspread

To Table

The selection you make in this column defines the table that will be linked on the spreadsheet.


width_best_fitpopupspread

Width — Best Fit

Selecting this option automatically resizes the column width to allow just enough space for the longer of either the column heading or the contents of any row in the column.


width_specificpopupspread

Width — Specific

This option allows you to specify the maximum number of characters to be allowed. The default value for this field is the larger of the following:

  • The number of characters allowed in the data dictionary

  • The number of characters entered in the Title column


wrap_text_in_cellspopupspread

Wrap Text — In Cells

Selecting this option enables text wrapping within the cells of the spreadsheet.

The Wrap in cells option must be selected if you want to display multiple lines within a cell.


wrap_text_in_column_headingpopupspread

Wrap Text — In Column Heading

Selecting this option enables wrapping in the column headings.


Access Rights (Definition)

Access Rights

The rights that a user may have to a file. Open Plan recognizes the following types of rights:

  • Read Only — The user may read and copy the file, but may not edit or delete it.

  • Write — The user may make any desired changes to the file.

  • Owner — The user may make any desired changes to the file and may also define the rights other users may have to the file.


Activity File (Definition)

Activity File

The data tables corresponding to the ACT file in other versions of Open Plan.


Activity ID (Definition)

Activity ID

A unique code identifying each activity in a project.


Activity Status (Definition)

Activity Status

The state of completion of an activity:

  • Planned — The activity has not yet started.

  • In Progress — The activity is in progress.

  • Complete — The activity is complete.


Activity (Definition)

Activity

The smallest self-contained unit of work used to define the logic of a project.

In general, activities share the following characteristics:

  • They have a definite duration.

  • They may have logical relationships to other activities in a project.

  • They use resources such as people, materials, or facilities.

  • They have an associated cost.


Actual Cost of Work Performed (ACWP) (Definition)

Actual Cost of Work Performed (ACWP)

Actual cost expended on an activity, a part of a project, or an entire project.


Actual Finish (Definition)

Actual Finish

Date on which an activity was completed.


Actual Start (Definition)

Actual Start

Date on which an activity was started.


Alternate Resource (Definition)

Alternate Resource

A resource that Open Plan may substitute for an activity requirement during resource scheduling if the requested resource is not available. An alternate resource may be an individual, a pool, or a skill.


As-Late-As-Possible (ALAP) (Definition)

As-Late-As-Possible (ALAP)

An activity for which Open Plan sets the early dates to be as late as possible without delaying the early dates of any successor.


As-Soon-As-Possible (ASAP) (Definition)

As-Soon-As-Possible (ASAP)

An activity for which Open Plan sets the early dates to be as soon as possible. This is the default activity type.


Assignment Profile Curve (Definition)

Assignment Profile Curve

A profile that describes how a resource assignment is spread through the duration of an activity. Open Plan provides seven standard assignment profile curves: back load, double peak, early peak, front load, late peak, linear, and normal (bell).


Asymmetrical Distribution (Definition)

Asymmetrical Distribution

A probability distribution not symmetrical about its central tendency. Same as skewed distribution


Auxiliary File (Definition)

Auxiliary File

A file that is assigned to a project. Open Plan uses three types of auxiliary files:

  • Resource files — A project may have only one assigned resource file. The resource file, however, may contain any number of resources.

  • Calendar files — A project must have a calendar file. The calendar file, however, may contain any number of calendars.

  • Code files — A project and/or a resource file may have up to 90 assigned code files. Each code file may contain any number of codes.


Availability Threshold (Definition)

Availability Threshold

In resource-limited scheduling, it is possible to specify that a particular resource may be exceeded, if necessary, by an amount not to exceed the specified threshold for that resource.


Average (Definition)

Average

A measure of central tendency of a sample or a probability distribution, obtained by adding the individual values in a sample and dividing by the sample size. Same as mean or expected value.


Backward Pass (Definition)

Backward Pass

A procedure within time analysis to calculate the late start and late finish dates of all activities in a project.


Barchart View (Definition)

Barchart View

A project view that uses horizontal bars on a time scale to depict activity information. In Open Plan, a barchart view is a composite view that can display an activity barchart, a spreadsheet, and, if resources are assigned to the project, a histogram.

A barchart is frequently called a Gantt chart.


Baseline Dates (Definition)

Baseline Dates

Original planned start and finish dates for an activity.


Baseline (Definition)

Baseline

A copy of the project schedule at a particular time that is used for comparison with the current schedule.


Beta Distribution (Definition)

Beta Distribution

A family of continuous probability distributions in which the random variable varies in the range of 0 to 1 and with a skew and kurtosis ("peakedness") that depends on a pair of parameters. In the context of Open Plan, the definition of the beta distribution has been expanded to allow random variables distributed between any pair of user-specified values, instead of always between 0 and 1.


Breakdown Structure (Definition)

Breakdown Structure

A hierarchical structure for codes that allows you to summarize project data for reporting.


Budget at Completion (BAC) (Definition)

Budget at Completion (BAC)

The total budget for a project or part of the project. (When the project is complete, both the BCWS and the BCWP are equal to the BAC.)


Budgeted Cost of Work Performed (BCWP) (Definition)

Budgeted Cost of Work Performed (BCWP)

A measure used in cost control that allows you to quantify the overall progress of the project in monetary terms. BCWP is calculated by multiplying the physical percent complete by the planned cost. Another term for BCWP is "earned value." (Comparison with ACWP indicates how far the project is above or below budget.)


Budgeted Cost of Work Scheduled (BCWS) (Definition)

Budgeted Cost of Work Scheduled (BCWS)

Planned cost multiplied by the percentage of completion that should have been achieved according to the project baseline dates. (Comparison with BCWP gives a monetary measure of how far the project is ahead of or behind schedule.)


Budget (Definition)

Budget

Planned cost for an activity or project.


Calendar File (Definition)

Calendar File

A file containing calendar information for one or more calendars.


Calendar System Defaults (Definition)

Calendar System Defaults

If no calendar is assigned to a project, Open Plan performs all calculations based on a 5-day work week with no holidays and an 8-hour work day.


Calendar (Definition)

Calendar

A definition of valid working periods for a group of project activities or resources.


Central Tendency (Definition)

Central Tendency

The central area of a probability distribution, usually corresponding to the mode ("most likely") or mean ("average") value of the random variable. Most of the results of Open Plan processing use the mean to measure central tendency.


Child (Definition)

Child

A lower-level element in a hierarchical structure.


Code File (Definition)

Code File

A file used in reporting that contains information associated with codes entered on an activity record or a resource record.


Confidence Interval

A pair of values bracketing an estimate (usually derived from sampled data), indicating that there is some stated percentage probability that the true value falls within that range. It is generally implicit that the interval is symmetrical, in the sense that there is an equal probability of the true value being outside the interval in either direction.

For example, a 99% confidence interval would be a pair of values such that there is a 0.5% chance of the true value being less than the lower value and a 0.5% chance that the true value is greater than the higher value.


Confidence

The likelihood of a statistical deduction from empirical data. Confidence is usually expressed as a percentage and applied to a range of possibilities.


Consumable Resource

A type of resource that remains available until consumed (for example, a material).


Controlling Critical Activity

An activity that has float due to its own calendar but that causes a successor to be critical.


Controlling Relationship

A relationship that controls the early date of the successor activity. In Open Plan, a controlling relationship can be detected by its free float being zero.


Cost Escalation

The feature that allows you to specify different resource unit costs and the date on which each new cost takes effect.


Cost Variance

The difference between the earned value and the actual cost of work performed. (BCWP – ACWP)


Critical Activity

An activity is termed critical when it has zero or negative float.


Critical Path

Series of consecutive activities that represent the longest path through the project.


Criticality Index

Used in risk analysis, the criticality index represents the percentage of simulation trials that resulted in the activity being placed on the critical path.


Cumulative Distribution

The representation of a probability distribution as a cumulative curve. Each point on the curve represents the probability that the random variable will be no greater than the value represented by that point. By definition, the height of such a curve must be non-decreasing, starting at zero and increasing to one.


Default Calendar (Definition)

Default Calendar

If no user-created calendar file is associated with the project, the default calendar is used for date calculations. The default calendar is defined as Monday through Friday, 8 A.M. to 4 P.M., and no holidays.


Delaying Resource (Definition)

Delaying Resource

In resource scheduling, inadequate availability of one or more resources may require that the completion of an activity be delayed beyond the date on which it could otherwise be completed.

The delaying resource is the first resource on an activity that causes the activity to be delayed.


Discontinuous Activity (Definition)

Discontinuous Activity

An activity in which the interval between the start and finish dates is allowed to exceed its duration in order to satisfy start-to-start and finish-to-finish relationships with other activities.


Duration (Definition)

Duration

The number of working periods required to perform the work represented by an activity. In risk analysis, this can correspond to the "most likely" duration.


Earliest Feasible Date (Definition)

Earliest Feasible Date

The earliest date on which the activity could be scheduled to start based on the scheduled dates of all its predecessors but in the absence of any resource constraints on the activity itself. This date is calculated by resource scheduling.


Early Dates (Definition)

Early Dates

Calculated in the forward pass of time analysis. Early dates are the earliest dates on which an activity can start and finish.


Early Finish (Definition)

Early Finish

The earliest date on which an activity can finish. This date is calculated by time analysis.


Early Start (Definition)

Early Start

The earliest date on which an activity can start. This date is calculated by time analysis.


Earned Value (Definition)

Earned Value

A cost control that allows you to quantify the overall progress of the project in monetary terms. Earned value is calculated by multiplying the physical percent complete by the planned cost. Another term for earned value is budgeted cost of work performed (BCWP).


End Activity (Definition)

End Activity

An activity (for example, A) is treated as an end activity if it meets all of the following conditions:

  • It has no logical successors.

  • Its parent is an end activity.

  • None of its descendents has a successor that is not also a descendent of A.

An end activity is also known as a finish activity.


Escalation (Definition)

Escalation

A feature that allows you to specify different resource unit costs and the date on which each new cost takes effect.


External Subproject (Definition)

External Subproject

A complete project represented as a single activity in a higher-level project. The Professional edition of Open Plan uses external subprojects for multi-project processing.


Extra Work Day (Definition)

Extra Work Day

An exception to the standard non-working day. For example, assume that a calendar defines Monday through Friday as days on which work is normally performed. In this case, a specific Saturday might be identified as an extra work day if work is to be performed on that day.


Finish Activity (Definition)

Finish Activity

An activity that has no successor. Also known as an end activity.


Finish Float (Definition)

Finish Float

The number of work periods between the early finish date and the late finish date.


Finish Milestone (Definition)

Finish Milestone

A milestone activity signifying the end of a project phase.


Finish-to-Finish (Definition)

Finish-to-Finish

The relationship between activities that specifies that the finish of the successor activity depends on the completion of the predecessor activity.

In most cases, this means that the successor activity cannot be completed before the predecessor activity is completed.


Finish-to-Start (Definition)

Finish-to-Start

The relationship between activities that specifies that the start of the successor activity depends on the completion of the predecessor activity.

In most cases, this means that the successor activity cannot start until the predecessor activity is completed. This is the default relationship.


Fixed-Form Significant Coding Structure (Definition)

Fixed-Form Significant Coding Structure

A coding structure that relies on the length of the code to represent the structure level.


Float (Definition)

Float

The number of time periods by which an activity can be delayed without affecting other activities in a project. (See Free Float and Total Float.)


Foreign Activity (Definition)

Foreign Activity

A placeholder activity that represents an activity in a different project that has a relationship to an activity in the currently open project.


Foreign Subproject (Definition)

Foreign Subproject

If a foreign activity is not at the top of the hierarchy in its project, Open Plan validates the structure by creating a foreign subproject.


Forward Pass (Definition)

Forward Pass

A procedure within time analysis to determine the early start and early finish dates of activities.


Free Float (Definition)

Free Float

The maximum amount by which an activity can be delayed beyond its early dates without delaying any successor activity beyond its early dates. In the absence of finish targets, free float is always less than or equal to total float.


Hammock (Definition)

Hammock

An activity that plays no part in time analysis but which provides the means to report on the start and finish of a group of activities.


Hard Zeros (Definition)

Hard Zeros

In resource scheduling, there is a distinction made between resource availabilities specified as zero but which can be exceeded under certain circumstances and hard zeros, which can never be exceeded.


Hierarchical Coding Structure (Definition)

Hierarchical Coding Structure

A coding system that can be represented as a multi-level tree structure in which every code except those at the top of the tree has a parent code.


Hierarchical Project (Definition)

Hierarchical Project

A project that allows you to break down project information into multiple levels using the activity ID. With hierarchical projects, you enter project data at the lowest level of the project hierarchy, then summarize it to appropriate levels for reporting purposes.


Hierarchical Resource Structure (Definition)

Hierarchical Resource Structure

Resource definitions organized in a hierarchical structure in which every resource except those at the top of the tree has a parent.


Histogram View (Definition)

Histogram View

A view in which data is shown as vertical bars, S-curves, or tables against a time scale. In Open Plan, two types of histograms are available:

  • Resource histograms

  • Risk analysis histograms


Holiday (Definition)

Holiday

An exception to the standard working day. For example, assume that a calendar defines Monday through Friday as days on which work is normally performed. In this case, a specific Monday (such as September 5, 1994) might be identified as a holiday if the office would be closed on that day.


Immediate Activity (Definition)

Immediate Activity

An activity that can be forced to start on its earliest feasible date by resource scheduling, even if that means overloading a resource.


In Progress (Definition)

In Progress

An activity partially completed.


Internal Subproject (Definition)

Internal Subproject

A group of activities represented as a single activity in a higher level of the same project.


Iteration (Definition)

Iteration

In Open Plan, one complete trial of Monte Carlo simulation of a project (that is, sampling a value for each activity duration, performing a time analysis with this sampled data, and storing the results). The Monte Carlo technique accumulates the results from a large number of these iterations.


Key Activity (Definition)

Key Activity

In Open Plan, an activity specified by a user about which the program is to store detailed information generated by risk analysis


Kurtosis (Definition)

Kurtosis

A technical term used to define a characteristic of the shape of a probability distribution, identified with the thickness of the tails of the distribution.


Labor Resources (Definition)

Labor Resources

Open Plan permits certain resources to be flagged as representing labor. The significance of this is that only resources so flagged will be included in the labor percent complete calculations.


Ladder (Definition)

Ladder

A style for displaying children in a breakdown structure.


Lag (Definition)

Lag

A time delay associated with a relationship in a project. Lag can be either positive or negative. Negative lag is sometimes called "lead."


Late Dates (Definition)

Late Dates

Calculated in the backward pass of time analysis. Late dates are the latest dates on which an activity can start and finish.


Late Finish (Definition)

Late Finish

The latest date on which an activity must be completed if the project completion date and any finish targets are to be met. This date is calculated by time analysis.


Late Start (Definition)

Late Start

The latest date on which an activity must start if the project completion date and finish targets are to be met. This date is calculated by time analysis.


Loop (Definition)

Loop

In networks, a consecutive set of activities that are mutually dependent.


Master Project (Definition)

Master Project

A project with activities representing external subprojects.


Milestone (Definition)

Milestone

Activity with zero duration — must be designated as either a start milestone or a finish milestone.

While Open Plan does not prevent you from placing a duration on an activity with a milestone activity type, this is not recommended.


Military Time (Definition)

Military Time

A means of representing time by use of a 24-hour clock.


Mode (Definition)

Mode

A measure of central tendency for a probability distribution, being the most likely single value for a variable sampled from that distribution. For a theoretical distribution, the mode is represented by the peak of the curve. The mode is the same as the "most likely" value.


Monte Carlo Simulation (Definition)

Monte Carlo Simulation

The technique used by Open Plan to estimate the likely range of outcomes from a complex random process by simulating the process a large number of times. Monte Carlo simulation is used as an alternative to analytical statistical techniques when the process is too complex to be readily treated by such techniques.


Multiple End Option (Definition)

Multiple End Option

The multiple end option causes time analysis to treat each end activity as if it was the end of an independent project, so that the float would normally be zero.


Negative Float (Definition)

Negative Float

The amount of time by which the early date of an activity exceeds its late date.


Network View (Definition)

Network View

A project drawing in which the project logic is the sole determinant of the placements of the activities in the drawing. Frequently called a flowchart, PERT chart, logic drawing, or logic diagram.


Non-Linear Date Scale (Definition)

Non-Linear Date Scale

A date scale in which the divisions represent varying time spans. In Open Plan, non-linear date scale is defined using reporting calendars.


Non-Working Day (Definition)

Non-Working Day

The standard non-working day on the calendar. For example, assume that a calendar defines Monday through Friday as days on which work is normally performed. In this case, a Saturday that has not been identified as an extra work day would be a non-working day.


Normal Distribution (Definition)

Normal Distribution

A family of symmetrical continuous probability distributions defined by two parameters representing the mean and standard deviation of the distribution. In Open Plan, the sampling method for normal distributions is an approximation that curtails the curve at three standard deviations either side of the mean. (In theory there would be approximately a 1% chance of values falling outside of this range.)


Organizational Breakdown Structure (OBS) (Definition)

Organizational Breakdown Structure (OBS)

A hierarchical structure designed to pinpoint the area of an organization responsible for each part of a project.


Out-of-Sequence Progress (Definition)

Out-of-Sequence Progress

Progress that has been reported even though activities that have been deemed predecessors in project logic have not been completed.


Pad Character (Definition)

Pad Character

A character that is used to fill out a code in a fixed-form significant breakdown structure so that all codes are the same length.


Parent (Definition)

Parent

A higher-level element in a hierarchical structure that summarizes lower-level elements.


Percent Complete (Definition)

Percent Complete

One measure of completion used in Open Plan to determine the remaining duration of a partially completed activity.


Perishable Resource (Definition)

Perishable Resource

A consumable resource with an expiration date.


Physical Percent Complete (Definition)

Physical Percent Complete

The percentage of the work content of an activity that has been achieved. See also Budgeted Cost of Work Performed.


Placements (Definition)

Placements

The automatic calculation of coordinates for activities in a network view.


Planned Activity (Definition)

Planned Activity

An activity not yet started.


Precedence Diagram Method (PDM) (Definition)

Precedence Diagram Method (PDM)

One of the two methods of representing projects as networks, in which the activities are represented by nodes and the relationships between them by arcs.


Predecessor (Definition)

Predecessor

An activity that logically precedes another activity. Normally, this term refers to an immediate predecessor; that is, one directly implied by the project data.


Priority Rule (Definition)

Priority Rule

A rule used to determine the order of processing in resource scheduling algorithms.


Probability Distribution (Definition)

Probability Distribution

The representation of the range and relative probabilities of the possible outcomes from a random process. A probability distribution may be in the form of a table, a curve, or a histogram.


Probability (Definition)

Probability

The measure of the chance of a particular outcome resulting from a random process. If the process can be performed a number of times, then as the number of trials increases, the proportion of times that a particular outcome results should converge on a value called the probability.


Progress (Definition)

Progress

The partial completion of a project or a measure of same. Also, the act of entering progress information for a project.


Project Logic (Definition)

Project Logic

The relationships between the various activities in a project.


Project Templates (Definition)

Project Templates

The feature that allows projects or parts of a project to be stored and used as building blocks in creating new projects.


Project (Definition)

Project

A set of activities directed to an overall goal. Also, the collection of data relating to the achievement of that goal. More specifically, a network of activities or the file(s) containing such a network.


Punctuated Significant Coding Structure (Definition)

Punctuated Significant Coding Structure

A coding structure in which a specific character (usually a period) is used to separate the part of the code that corresponds to the different levels in the breakdown structure.


Re-Profiling (Definition)

Reprofiling

In resource scheduling, it is possible to indicate that the specified resource requirement profile may be modified to fit the availability without changing the total amount required.


Relationship Float (Definition)

Relationship Float

Open Plan permits the calculation of both free and total float on relationships, which are analogous to the float fields on the activities.


Relationship (Definition)

Relationship

A logical connection between two activities.


Remaining Duration (Definition)

Remaining Duration

The remaining portion of an in-progress activity’s duration.


Requested Resource (Definition)

Requested Resource

The preferred resource requirement for an activity.


Resource Allocation (Definition)

Resource Allocation

An option used in conjunction with alternate resources, pools, and skills, that allows you to selectively replace a requested resource with one suggested by Open Plan. During resource allocation, you can also selectively lock the allocation of either your requested resource or the one suggested by Open Plan.


Resource Assignment (Definition)

Resource Assignment

The requirement for a particular resource by a particular activity or part of an activity. Sometimes called a resource requirement.


Resource Availability (Definition)

Resource Availability

The level of availability of a resource, which may vary over time.


Resource Breakdown Structure (Definition)

Resource Breakdown Structure

A feature of hierarchical resources that facilitates both roll-up reporting and summary resource scheduling by enabling you to schedule at the detailed requirements level and roll up both requirements and availabilities to a higher level.


Resource Histogram View (Definition)

Resource Histogram View

A view in which resource requirements, usage, and availabilities are shown against a time scale. In Open Plan, a resource histogram can be displayed both alone and in combination with a barchart view.


Resource Leveling (Definition)

Resource Leveling

The resource scheduling process of determining scheduled dates such that neither the project completion date nor any target finishes are jeopardized while minimizing the maximum extent to which any resource availability is exceeded.


Resource Level (Definition)

Resource Level

A specified level of resource units required by an activity per time unit.


Resource-Limited Resource Scheduling (Definition)

Resource-Limited Resource Scheduling

The production of scheduled dates in which the resource constraints are considered as absolute and project completions are delayed as necessary to avoid exceeding resource requirements.


Resource Locking (Definition)

Resource Locking

The objective of resource locking is to inhibit future alternate resource scheduling.


Resource Offset (Definition)

Resource Offset

The number of work periods between the start of the activity and when the resource is first required.


Resource Period (Definition)

Resource Period

The number of work periods for which a resource is required.


Resource Pool (Definition)

Resource Pool

A higher level resource in a resource breakdown structure.


Resource Roll-Up (Definition)

Resource Roll-Up

An option that allows you to look at resources and schedule the activities from a summary perspective.


Resource Scheduling (Definition)

Resource Scheduling

The process of calculating a set of scheduled dates that takes into account the resource requirements of each activity and the availability of these resources.


Resource Total (Definition)

Resource Total

A specified total of resource units required by an activity over a period of time.


Resource (Definition)

Resource

An item required to accomplish an activity. Resources can be people, equipment, facilities, funding — anything needed to perform the work of a project.


Risk Analysis Histogram View (Definition)

Risk Analysis Histogram View

A view in which the results of risk analysis are displayed as vertical bars, S-curves, or tables against a date scale.


Risk Analysis (Definition)

Risk Analysis

A technique designed to quantify the impact of uncertainty. Usually, but not necessarily, associated with the Monte Carlo simulation technique used in Open Plan.


Schedule Dates (Definition)

Schedule Dates

The start and finish dates calculated by the resource scheduling program, having regard to resource constraints as well as project logic.


Schedule Variance (Definition)

Schedule Variance

The difference between the budgeted cost of work performed and the budgeted cost of work scheduled at this point in time. (BCWP – BCWS)


Scheduled Actions (Definition)

Scheduled Actions

The scheduled actions are calculated by resource scheduling and indicate if an activity has been split, stretched, or reprofiled.


Scheduled Duration (Definition)

Scheduled Duration

The scheduled duration of an activity is calculated by resource scheduling and takes into account such advanced activity management techniques as activity splitting, stretching, or reprofiling.


Scheduled Finish (Definition)

Scheduled Finish

The date calculated by the resource scheduling program as the earliest date on which an activity can finish, having regard to resource constraints as well as project logic.


Scheduled Float (Definition)

Scheduled Float

Calculated during resource scheduling, the scheduled float of an activity is the difference between the late finish date and the scheduled finish date of the activity. In some circumstances, scheduled float may be shared with other activities in the logical flow of the project.


Scheduled Start (Definition)

Scheduled Start

The date calculated by the resource scheduling program as the earliest date on which an activity can start, having regard to resource constraints as well as project logic.


Skew (Definition)

Skew

A measure of the degree of asymmetry in a probability distribution. For symmetrical distributions, the skew is zero.


Skills (Definition)

Skills

A feature of hierarchical resources that allows you to assign an attribute to a resource and to define the resource requirement for an activity in terms of that attribute.


Smoothing (Definition)

Smoothing

A resource-scheduling option that attempts to even out or "smooth" the way in which resources are assigned to activities in the following circumstances:

  • During time-limited resource scheduling

  • During resource-limited resource scheduling when thresholds are in use

With the smoothing option, Open Plan assumes that even though a resource availability has been exceeded on a preceding activity, available float should be used in preference to overloading the resource again.


Splitting (Definition)

Splitting

In resource scheduling, it is possible to indicate that the specified duration may be divided into two or more pieces, while retaining the specified profile for resource requirements relative to this split duration.


Spread Curve (Definition)

Spread Curve

A profile that describes how the resource requirement is spread through the duration of an activity.


Spreadsheet View (Definition)

Spreadsheet View

A view in which data is shown in a tabular format. There are single-table spreadsheets and multi-table spreadsheets. Single-table spreadsheets can be based on any of the following tables:

  • Activity

  • Baseline Activity (PMB)

  • Baseline Usage (PMB)

  • OBS

  • Project Directory (Main Project)

  • Project Summary Usage

  • Relationship

  • Resource

  • Resource Assignment

  • Resource Availability

  • Resource Cost

  • Resource Escalation

  • Resource Usage

  • Risk Detail

  • Subproject

  • WBS

An activity spreadsheet is always shown as one of the windows in a barchart view.


Standard Calendar (Definition)

Standard Calendar

The default calendar in a calendar file.


Standard Deviation (Definition)

Standard Deviation

A measure of the amount of random variation in a random variable, calculated as the square root of the variance. Same as root mean square deviation.


Standard Work Week (Definition)

Standard Work Week

The working hours and days defining the basic work pattern for a calendar.


Start Activity (Definition)

Start Activity

An activity that is not logically dependent on any predecessor activity.


Start Milestone (Definition)

Start Milestone

A milestone activity signifying the start of a project phase.


Start-to-Finish (Definition)

Start-to-Finish

The relationship between activities that specifies that the finish of the successor activity depends on the start of the predecessor activity.

In most cases, this means that the successor activity cannot be completed before the start of the predecessor activity.


Start-to-Start (Definition)

Start-to-Start

The relationship between activities that specifies that the start of the successor activity depends on the start of the predecessor activity.

In most cases, this means that the successor activity cannot be started before the start of the predecessor activity.


Stochastic (Definition)

Stochastic

Random variation that cannot be predicted other than in statistical terms.


Stretching (Definition)

Stretching

In resource scheduling, it is possible to indicate that the specified duration may be increased, while the specified profile is reduced proportionately.


Subproject (Definition)

Subproject

A group of activities represented as a single activity in a higher level of the same project.


Subsection (Definition)

Subsection

A block of data in a spreadsheet that begins with a subheading and ends with a subtotal.


Successor (Definition)

Successor

An activity that logically follows another activity. Normally, this term refers to an immediate successor; that is, one directly implied by the project data.


Suggested Resource (Definition)

Suggested Resource

The suggested resource is the resource requirement for an activity that Open Plan suggests during resource scheduling


Summary Resource (Definition)

Summary Resource

A group of resources represented as a single resource in a higher level of the same resource pool.


Symmetrical Distribution (Definition)

Symmetrical Distribution

A probability distribution in which variations from the central tendency by a given amount in either direction is equally likely.


Target Date (Definition)

Target Date

Date imposed on an activity or project by the user. There are two types of target dates: target start dates and target finish dates.


Target Finish (Definition)

Target Finish

A finish date imposed on an activity or project by the user.


Target Start (Definition)

Target Start

A start date imposed on an activity or project by the user.


Target Type (Definition)

Target Type

Open Plan allows you to specify three types of target dates for activity start and finish dates:

  • Not Earlier Than — The earliest date on which the activity can start or finish. This constraint affects the early dates calculated by time analysis.

  • Not Later Than — The latest date on which the activity can start or finish. This constraint affects the late dates calculated by time analysis.

  • On Target — Combines the effects of both Not Earlier Than and Not Later Than target dates and affects both the early and late dates calculated by time analysis.


Threshold (Definition)

Threshold

The level to which Open Plan may exceed the availability of a resource during resource-limited resource scheduling.


Time Analysis (Definition)

Time Analysis

The process of calculating the early and late dates for each activity on a project, based on the Time Now date, the duration of the activities, and the logical relationships between them.


Time Now (Definition)

Time Now

The status date of a project. All progress information entered for a project should be correct as of this status date. No work will be scheduled by the time analysis or resource scheduling programs prior to this date.


Total Float (Definition)

Total Float

The maximum number of work periods by which an activity can be delayed without delaying project completion or violating a target finish date.


Triangular Distribution (Definition)

Triangular Distribution

A family of probability distributions that is triangular in shape when represented as a frequency distribution.


Uncertainty (Definition)

Uncertainty

The lack of precision in estimating or predicting the outcome of some process.


Uniform Distribution (Definition)

Uniform Distribution

A family of probability distributions characterized by two parameters, representing the minimum and maximum possible values. Any allowable outcome between the two extreme values is equally likely. For example, the distribution of the outcome from the throwing of a single die is uniform in the range of 1 to 6.


Variance (Definition)

Variance

A discrepancy between the actual and planned performance on a project — either in terms of schedule or cost.


Whole Relationship (Definition)

Whole Relationship

A relationship in which both the predecessor and the successor activities are visible in the displayed area or printed page.


Work Breakdown Structure (WBS) (Definition)

Work Breakdown Structure (WBS)

The breakdown of a project from the client's point of view in terms of deliverables.


Working Day (Definition)

Working Day

The standard working day on the calendar. For example, assume that a calendar defines Monday through Friday as days on which work is normally performed. In this case, a Monday that has not been identified as a holiday would be a working day.


Zoning (Definition)

Zoning

A feature of Open Plan that causes activities on a network view to be grouped into horizontal bands based on one or more criteria that you specify.


Add to Filter

To apply the Add to Filter option, follow these steps:

  1. Open a project.

  2. Use one of the following methods:

  • From the Tools menu, click Filters » Add to Filter

  • On the toolbar, click

Related Topics:

Using Filters

Using the New Filter Dialog Box

Using the Filter Expression Dialog Box

Using the Sorts Dialog Box

Using the Calculated Fields Dialog Box

Using the Placements Dialog Box

Related Procedures:

Remove from Filter

Clear Filter

Toggle Filter

Edit Expression...

Reapply Filter/Sort

Add to Filter

This option takes a selection range and adds the selection values to the currently selected filter based on the following rules:

  • Multiple selections within a column are added to the filter with an OR EQUALS condition

  • Multiple selections across columns are added to the filter with an AND EQUALS condition

Location

Related Topics and Procedures


Bar Sets (Tools Menu)

To issue the Bar Sets command, click Bar Sets on the Tools menu.

A bar set is a group of activity or resource assignment bars that you can assign to a barchart view. For example, you might have a particular style of bar to show a critical activity and another bar to show an activity that is not critical.

Related Topics and Procedures


Barchart Preferences (Tools Menu)

To issue the Barchart Preferences command on a barchart view, do either of the following:

  • Click Barchart Preferences on the Tools menu.

  • Right-click the barchart pane and click Preferences from the context menu.

This command displays a dialog box that allows you to customize how the barchart portion of a barchart view presents information. (You customize the spreadsheet and histogram portions of the view separately.)

Related Topics and Procedures


Batch Global Edit (Tools Menu)

To issue the Batch Global Edit command, click Batch Global Edit on the Tools menu.

A global edit allows you to modify multiple activities or resources with a single operation. The Batch Global Edit command allows you to create groups of global edits (batches) that can be applied to a file in a single operation.

Related Topics and Procedures


Browser Views (Tools Menu)

To issue the Browser Views command, click Browser Views on the Tools menu.

A browser view allows a Windows shortcut, Internet shortcut, or Open Plan Add-In to be stored as a view in the Views folder of the Open Plan Library. The browser view can then be accessed directly from this folder. It can also be assigned to a project, resource, or code so that it is opened in a particular context. Once created, a browser view can be used in the same way as any other view.

Related Topics and Procedures


Calculated Fields (Tools Menu)

To issue the Calculated Fields command, click Calculated Fields on the Tools menu.

User-defined calculated fields allow you to calculate data not stored in the standard versions of the project database tables. With this powerful reporting feature, you can extend the flexibility of any view by displaying data that is the result of a custom calculation.

The Calculated Fields command displays a dialog box that allows you to select a calculated field from a list of calculated fields already included in the project file.

While users of either edition of Open Plan can use a previously created calculated field, only users of the Professional edition can create, copy, edit, or delete one.

Related Topics and Procedures


Calendar Preferences (Tools Menu)

To issue the Calendar Preferences command, display a calendar view and click Preferences on the Tools menu.

This command displays a tabbed dialog box that allows you to customize how a calendar displays information.

Related Topics and Procedures


Clear Filter

To apply the Clear Filter option, follow these steps:

  1. Open a project.

  2. Use one of the following methods:

    • From the Tools menu, click Filters » Clear Filter

    • On the toolbar, click

Related Topics:

Using Filters

Using the New Filter Dialog Box

Using the Filter Expression Dialog Box

Using the Sorts Dialog Box

Using the Calculated Fields Dialog Box

Using the Placements Dialog Box

Related Procedures:

Add to Filter

Remove from Filter

Toggle Filter

Edit Expression...

Reapply Filter/Sort

Clear Filter

This option removes the currently selected filter. It is equivalent to displaying the Manage Filters dialog box and choosing Cancel Filter.

Location

Related Topics and Procedures


Custom Menu Item (Add-Ins Menu)

To execute this program, do any of the following:

  • Click this item on the Tools menu.

  • Press the accelerator key, if one has been defined for the item.

You can also access the first nine items by pressing Ctrl+x where x represents a number key. To access the first custom tool on the list, you would press Ctrl+1. To access the second custom tool, you would press Ctrl+2, and so on.

Because this is a custom menu item, any Help that is available comes from the program itself, rather than from Open Plan.

For detailed information on the pre-defined tools shipped with Open Plan, refer to Chapter 4, "The Open Plan Configuration Files," in the Deltek Open Plan Developer’s Guide.

Related Topics and Procedures


Customize Add-Ins Toolbar (Add-Ins Menu)

To issue the Customize Add-Ins Toolbar command, to one of the following:

  • Click Customize Add-Ins Toolbar on the Tools menu.

  • Click the Customize Add-Ins Toolbar button on the toolbar.

Each custom tool in the Add-Ins menu can be displayed as an icon on a toolbar. Tools defined in the addins.dat file located in the Open Plan Professional root directory can be displayed on the System Add-Ins toolbar. Tools defined in the addins.dat file located in the User directory of the Open Plan Professional directory can be displayed on the User Add-Ins toolbar. You can display all or just some of the custom tools on the toolbars.

Related Topics and Procedures


Data Sources (Tools Menu)

To issue the Data Sources command, click Data Sources on the Tools menu.

This command displays a list of data sources to which you can connect.

Related Topics and Procedures


Delete File (Tools Menu)

Delete File (File Menu)

To issue the Delete File command, point to Manage Files on the File menu and then click Delete File.

This command displays a dialog box that allows you to select a file to delete.

Related Topics and Procedures


Edit Expression

To apply the Edit Expression option, follow these steps:

  1. Open a project.

  2. Use one of the following methods:

    • From the Tools menu, click Filters » Edit Expression

    • On the toolbar, click

Related Topics:

Using Filters

Using the New Filter Dialog Box

Using the Filter Expression Dialog Box

Using the Sorts Dialog Box

Using the Calculated Fields Dialog Box

Using the Placements Dialog Box

Related Procedures:

Add to Filter

Remove from Filter

Clear Filter

Toggle Filter

Reapply Filter/Sort

Edit Expression

This option displays the Filter Expression dialog box while bypassing the Manage Filters dialog box.

Location

Related Topics and Procedures


Email Advisor (Tools Menu)

The Email Advisor allows you to send messages automatically from within Open Plan. While the email advisory can contain any information and can be sent to any person with a valid email address, it is typically used to convey information to team members and to facilitate communication between departments and project managers.

To access the Email Advisor from an open project, click Email Advisor on the Tools menu.

While all Open Plan users can send a previously created email advisory, only users of the Professional edition can create, modify, or delete one.

Related Topics and Procedures


Filters (Tools Menu)

To issue the Filters command, open a project and click Filters on the Tools menu.

Filters limit the display of activities in a view based on a specific criterion.

The Filters command displays a dialog box that allows you to select a filter from a list of filters already included in the project file.

Buttons across the bottom of the dialog box allow you to add new filters to the list, edit existing filters, or delete filters from the list.

You can also reapply the current filter and refresh the display simply by clicking the Refresh button [image] on the toolbar.

Related Topics and Procedures


Font (Tools Menu)

To issue the Font command, click Font on the Tools menu.

This command displays a dialog box where you can select a typeface and its attributes.

Related Topics and Procedures


Global Edit (Tools Menu)

To issue the Global Edit command, open a project and click Global Edit on the Tools menu.

Using the global editing feature of Open Plan, you can modify multiple activity, resource description, or resource assignment records with a single operation by applying previously created global edits to your project.

For example, you can increase all the durations in a project by 10% or increase all the costs by 5%. Global edits can modify all the records in a file or selected records based on a filter. Global edits can be created for either standard or custom fields and can be applied to records matching both standard and custom filters.

While users of either edition of Open Plan can use a previously created global edit, only users of the Professional edition can create, copy, edit, or delete a global edit.

Related Topics and Procedures


Group Delete (Tools Menu)

To issue the Group Delete command, open a project and click Group Delete on the Tools menu.

This command allows you to delete a group of data records in an open project that share a common characteristic.

Related Topics and Procedures


Manage Skills (Tools Menu)

To issue the Manage Skills command, open a resource file and click Manage Skills on the Tools menu.

The skills feature of Open Plan allows you to schedule a resource that can perform different jobs. It also allows you to specify a certain skill as a requirement for an activity. For example, JANE is a drafter, MARY is a mechanical engineer who can also draft, and FRED is an electrical engineer who can also draft. If a certain activity requires a skill of drafting, either JANE, MARY, or FRED could be assigned to that activity.

The Manage Skills command displays a dialog box that allows you to select a skill from a list of skills currently included in the resource file.

Buttons across the bottom of the dialog box allow you to add new skills to the list, edit existing skills, or delete skills from the list.

Related Topics and Procedures


Manage Summary Usage (Tools Menu)

To issue the Manage Summary Usage command, click Manage Summary Usage on the Tools menu while in a resource view.

The Manage Summary Usage dialog box displays a list of all the projects that have stored resource usage data for the open resource file.

Related Topics and Procedures


Note Categories (Tools Menu)

To issue the Note Categories command, click Note Categories on the Tools menu.

The note categories feature of Open Plan allows to attach multiple notes to an activity, resource, or code and to organize your notes into categories.

The Note Categories command displays a dialog box that displays all the note categories currently set up for the file.

Buttons across the bottom of the dialog box allow you to add new categories to the list and to edit or delete existing categories.

Related Topics and Procedures


Options (Tools Menu)

The General tab of the Options dialog box allows you to specify whether the following features should be enabled:

  • Startup Clip Notes

  • Opening Splash Screen

  • Startup Tips

  • Status Bar

  • Toolbar

In addition, you can specify whether the last file used should open automatically when you start Open Plan.

A Symbols button provides access to the Manage Symbols dialog box that you can use to add and delete symbols that Open Plan should use.

An Edit Briefcase button provides access to the Edit Data Source dialog box that you can use to specify the data source to be used as your Briefcasing data source.

You can also specify the following options:

  • Default Times — The default start and stop times for a day.

  • Language — The language that Open Plan should use on all menus and dialog boxes

  • Default Open Mode — The selection you make from this list sets the default access mode (Exclusive, Shared, or Read-Only) for new projects and auxiliary files.

  • Week Starts On — The day of the week that Open Plan should use as the starting day of each week.

For detailed information about these options, click the See Also button and select the Using the Options Dialog Box — General Tab topic from the list that is displayed.

The Edit tab of the Options dialog box allows you to specify whether the following options features should be enabled:

  • Navigating One Dialog Box Navigates All Open Dialog Boxes

  • Do Not Clear Contents of the Dialog Box when Creating a New Activity

  • Request Confirmation of Save When Navigating to Another Record

For detailed information about these options, click the See Also button and select the Using the Options Dialog Box — Edit Tab topic from the list that is displayed.

The Project tab of the Options dialog box allows you to set the following project-level options:

  • Show Process Log Message Only if Errors Occur During Processing

  • Create New Projects Using Default Project

For detailed information about these options, click the See Also button and select the Using the Options Dialog Box — Project Tab topic from the list that is displayed.

The Views tab of the Options dialog box allows you to specify the views that Open Plan should show assign to new projects by default. You can also specify the view that Open Plan should display when opening a project.

For detailed information about these options, click the See Also button and select the Using the Options Dialog Box — Views Tab topic from the list that is displayed.

The Codes tab of the Options dialog box allows you to specify codes that should be assigned to projects by default.

For detailed information about these options, click the See Also button and select the Using the Options Dialog Box — Codes Tab topic from the list that is displayed.

The Color tab of the Options dialog box allows you to specify the theme colors that are used to identify the following:

  • Cost Color

  • Cost Color – Locked

  • Quantity Color

  • Quantity Color – Locked

  • Label Color

  • Lock Color

You can also use this tab to set custom colors and to reset the theme colors.

For detailed information about these options, click the See Also button and select the Using the Options Dialog Box — Color Tab topic from the list that is displayed.

The Email tab of the Options dialog box allows you to select either MAPI or SMTP mail support.

For detailed information about these options, click the See Also button and select the Using the Options Dialog Box — Email Tab topic from the list that is displayed.

The Advanced tab of the Options dialog box allows you to specify how Open Plan should display information such as the following:

  • Risk

  • Calendar information

  • Histogram Arrays

For detailed information about these options, click the See Also button and select the Using the Options Dialog Box — Advanced Tab topic from the list that is displayed.

Options (Tools Menu)

To issue the Options command, click Options on the Tools menu.

This command displays a tabbed dialog box that allows you to set a number of user and system preferences. The Options dialog box contains the following tabs:

  • General

  • Edit

  • Project

  • Views

  • Codes

  • Color

  • Email

  • Advanced

Related Topics and Procedures


Preferences (Tools Menu)

To issue the Preferences command, do one of the following:

  • Display a code, network, resource, or risk histogram view and click Preferences on the Tools menu.

  • Right-click the view and click Preferences on the context menu.

This command displays a dialog box that allows you to customize how the view displays information.

Related Topics and Procedures


Reapply Filter/Sort

To apply the Reapply Filter/Sort option, follow these steps:

  1. Open a project.

  2. Use one of the following methods:

  3. From the Tools menu, click Filters » Reapply Filter/Sort

  4. On the toolbar, click

Related Topics:

Using Filters

Using the New Filter Dialog Box

Using the Filter Expression Dialog Box

Using the Sorts Dialog Box

Using the Calculated Fields Dialog Box

Using the Placements Dialog Box

Related Procedures:

Add to Filter

Remove from Filter

Clear Filter

Toggle Filter

Edit Expression...

Reapply Filter/Sort

Select this option to apply the last filter or sort again.

Location

Related Topics and Procedures


Reload Add-Ins (Add-Ins Menu)

You can edit the Addins.dat configuration file while Open Plan is running. After saving the edited file, you can use the Reload Add-Ins command to load the changes into Open Plan. The other alternative is to close Open Plan and then reopen it for the changes to take effect.

Open Plan comes with a pre-defined custom Add-Ins tool that opens the Addins.dat configuration file in Windows Notepad. You can use this command to easily edit the configuration file. For detailed information on the pre-defined tools shipped with Open Plan, refer to Chapter 4, "The Open Plan Configuration Files," in the Deltek Open Plan Developer’s Guide.

Related Topics and Procedures


Remove from Filter

To apply the Remove from Filter option, follow these steps:

  1. Open a project.

  2. Use one of the following methods:

  3. From the Tools menu, click Filters » Remove from Filter

  4. On the toolbar, click

Related Topics:

Using Filters

Using the New Filter Dialog Box

Using the Filter Expression Dialog Box

Using the Sorts Dialog Box

Using the Calculated Fields Dialog Box

Using the Placements Dialog Box

Related Procedures:

Add to Filter

Clear Filter

Toggle Filter

Edit Expression...

Reapply Filter/Sort

Remove from Filter

This option takes a selection range and adds the selection values to the currently selected filter based on the following rules:

  • Multiple selections within a column are added to the filter with an OR NOT EQUALS condition

  • Multiple selections across columns are added to the filter with an AND NOT EQUALS condition

Location

Related Topics and Procedures


Reporting Calendars (Tools Menu)

You can issue the Reporting Calendars command by clicking Reporting Calendars on the Tools Menu.

Reporting calendars allows you to view time-based data against a non-linear date scale with varying degrees of granularity.

For example, you could use a date scale based on reporting calendars to view a histogram or barchart report that shows data in weeks for the current month, in months for the remainder of the quarter, and then in quarters for the rest of the year. You might then only want to look at reports that show data in years for the remainder of the project.

The Reporting Calendars command displays a dialog box that allows you to select a from a list of reporting calendars.

Buttons across the bottom of the dialog box allow you to add new reporting calendars to the list, edit existing reporting calendars, or delete reporting calendars from the list.

Related Topics and Procedures


Resource Histogram Preferences (Tools Menu)

To issue the Resource Histogram Preferences command, do any of the following:

  • Display a resource histogram view and click Preferences on the Tools menu.

  • Display a barchart view and click Histogram Preferences on the Tools menu.

  • Right-click a resource histogram or the histogram pane of a barchart view and click Preferences on the shortcut menu.

This command displays a tabbed dialog box that allows you to customize how the resource histogram view or histogram pane of a barchart view presents information. (You customize the barchart and spreadsheet portions of the view separately.)

Related Topics and Procedures


Risk Analysis Histogram Preferences (Tools Menu)

To issue the Risk Analysis Histogram Preferences command, do one of the following:

  • Display a risk analysis histogram view and click Preferences on the Tools menu.

  • Right-click a risk analysis histogram view and click Preferences on the shortcut menu.

This command allows you to customize how the risk analysis histogram view presents information.

Related Topics and Procedures


Rollup (Tools Menu)

To issue the Rollup command, click Rollup on the Tools menu.

This command allows you to perform a rollup of selected numeric and date fields for Activities, Resources, and Codes. For numeric fields, the parent object is the sum of its children. For date fields, the Start date of the parent object is the earliest date of its children, and the Finish date is the latest date of its children.

Related Topics and Procedures


sa_web_publisher_tools_menu

Related Topics:

Reporting with the Open Plan Web Publisher

Using the Select Project Dialog Box

Using the Open Plan Web Publisher Dialog Box

Related Procedures:

Preparing a Report for Publication on the Web

Performing Batch Reporting

Creating a Report Batch


seealso_addins_menutool

Related Topics:

Custom Add-Ins Tools

Using the Customize Toolbar Icons Dialog Box

Using the Customize Toolbar Dialog Box

Using the Customize Toolbar Icons Dialog Box

Related Procedures:

Customizing the Add-Ins Tool Bars

Adding a Custom Item to the Add-Ins Menu

Adding a Custom Add-Ins Icon


seealso_bar_sets_tools_menu

Related Topics:

Using the Bar Set Preferences Dialog Box

Bar Set Preferences Bar Attributes Tab

Bar Set Preferences Crosstable Tab

Related Procedures:

Displaying Relationships on a Barchart View

Highlighting Controlling Relationships in a Barchart View

Defining Activity Bar Attributes

Creating a New Bar Type


seealso_barchart_preferences_tools_menu

Related Topic:

Customizing a Barchart View

Related Procedures:

Displaying Relationships on a Barchart View

Highlighting Controlling Relationships in a Barchart View

Defining Activity Bar Attributes

Creating a New Bar Type


seealso_batch_global_edit_tools_menu

Related Topics:

Using the Batch Global Edit Dialog Box

Using the Batch Global Edit Definition Dialog Box

Related Procedure:

Creating a Batch Global Edit Definition


seealso_browser_views_tools_menu

Related Topics:

Using the Browser Views Dialog Box

Using the New Browser View Dialog Box

Using the Browser View Definition Dialog Box

Related Procedures:

Creating a Browser View

Copying a Browser View

Editing a Browser View

Deleting a Browser View


seealso_calculated_fields_tools_menu

Related Topic:

Using the Calculated Field Dialog Box

Related Procedures:

Filtering Data on a Calculated Field

Sorting Data on a Calculated Field


seealso_calendar_preferences_tools_menu

Related Topic:

Using the Calendar Preferences Dialog Box

Related Procedures:

Setting Calendar Color Preferences

Setting Calendar Options


seealso_customize_add_ins_toolbar_add_ins_menu

Related Topics:

Custom Tools

Using the Customize Toolbar Icons Dialog Box

Using the Customize Toolbar Dialog Box

Using the Customize Toolbar Icons Dialog Box

Related Procedures:

Customizing the Add-Ins Toolbars

Adding a Custom Item to the Add-Ins Menu

Adding a Custom Add-Ins Icon


seealso_data_sources_data_sources

Related Topic:

Using the Data Sources Dialog Box

Related Procedures:

Selecting a Data Source

Adding a Data Source Connection

Editing a Data Source Connection

Deleting a Data Source Connection


seealso_delete_file_tools_menu

Related Topic:

Using the Select File to Delete Dialog Box

Related Procedure:

Deleting an Open Plan File


seealso_email_advisor_tools_menu

Related Topics:

Using the Email Advisor

Using the Advisory Definitions Dialog Box

Using the Edit Advisor Emails Dialog Box

Related Procedures:

Sending an Email Advisory

Setting Up an Email Advisory Address List

Creating a New Email Advisory

Copying an Email Advisory

Editing an Email Advisory

Deleting an Email Advisory


seealso_filters_tools_menu

Related Topic:

Using the Filters Dialog Box

Related Procedures:

Applying a Filter to a View

Filtering Data on a Code Level

Filtering Data on a Calculated Field

Creating a New Filter

Copying a Filter

Editing a Filter

Deleting a Filter


seealso_font_tools_menu

Related Topic:

Using the Font Dialog Box

Related Procedures:

Changing the Font on a Date Scale

Changing the Font on a Bar

Changing the Default Font on a Spreadsheet

Changing the Font on a Network View

Changing the Font on an Annotation

Changing the Font on a Calendar

Changing the Font on a Resource View

Changing the Font on a Code View


seealso_global_edit_tools_menu

Related Topics:

Using the Global Edits Dialog Box

Using the Global Edit Definition Dialog Box

Related Procedures:

Applying a Global Edit to a Project or Resource File

Creating a New Global Edit Definition


seealso_group_delete_tools_menu

Related Topic:

Using the Group Deletion Dialog Box

Related Procedure:

Deleting a Group of Data Records


seealso_manage_skills_tools_menu

Related Topic:

Using the Manage Skills Dialog Box

Related Procedures:

Adding Skills to a Resource File

Editing Skills in a Resource File

Deleting Skills From a Resource File

Assigning Skills to a Resource


seealso_manage_summary_usage_tools_menu

Related Topics:

Using the Project Properties Scheduling Tab

Multiple Project Resource Scheduling

Effect of Reservations on Resource Scheduling

Related Procedure:

Removing Summary Resource Usage Information for Projects


seealso_note_categories_tools_menu

Related Topics:

Using Note Categories

Using the Manage Note Categories Dialog Box

Related Procedures:

Creating a Note Category

Editing a Note Category

Deleting a Note Category


seealso_options_tools_menu

Related Topics:

Using the Options Dialog Box — General Tab

Using the Options Dialog Box — Edit Tab

Using the Options Dialog Box — Project Tab

Using the Options Dialog Box — Views Tab

Using the Options Dialog Box — Codes Tab

Using the Options Dialog Box — Color Tab

Using the Options Dialog Box — Advanced Tab


seealso_preferences_tools_menu

Related Topics:

Customizing a Network View

Customizing a Resource Window

Customizing a Code Window

Related Procedures:

Showing Page Breaks on a Network View

Highlighting Controlling Relationships in the Network View

Defining the Relationship Line Style

Changing the Shape of a Relationship Line

Defining Activity Box Attributes

Setting Box Layout Options


seealso_reporting_calendars_tools_menu

Related Topic:

Using the Manage Reporting Calendars Dialog Box

Related Procedures:

Creating a New Reporting Calendar

Editing a Reporting Calendar

Copying a Reporting Calendar

Deleting a Reporting Calendar


seealso_resource_histogram_preferences_tools_menu

Related Topic:

Customizing a Resource Histogram View

Related Procedures:

Displaying Resource Assignments on a Resource Histogram

Displaying Actual Resource Usage on a Histogram


seealso_risk_analysis_histogram_preferences_tools_menu

Related Topics:

Risk Analysis Histogram Requirements

Customizing a Risk Analysis Histogram View

Related Procedure:

Displaying a Risk Histogram View


seealso_rollup_tools_menu

Related Topics:

Using the Rollups Dialog Box

Using the Rollup Definition Dialog Box

Related Procedures:

Creating a Rollup Definition

Editing a Rollup Definition

Copying a Rollup Definition


seealso_send_message_tools_menu

Related Topic:

Using the Send Message Dialog Box

Related Procedure:

Sending a Message to a User


seealso_sorts_tools_menu

Related Topic:

Using the Sorts Dialog Box

Related Procedures:

Sorting Data in a View

Sorting Data on a Calculated Field


seealso_spread_curve_tools_menu

Related Topics:

Using Spread Curves to Define Resource Assignments

Using the New Spread Curve Dialog Box

Using the Edit Spread Curve Dialog Box

Activity Details Resources Tab

Related Procedures:

Creating a New Spread Curve

Modifying a Spread Curve

Deleting a Spread Curve


seealso_spreadsheet_preferences_tools_menu

Related Topic:

Customizing a Spreadsheet View

Related Procedures:

Customizing Display Options

Enabling Outlining

Enabling Subsections

Defining Outlining

Defining Subsections


seealso_title_blocks_tools_menu

Related Topics:

Using the Title Blocks Dialog Box

Using the Title Block Definition Dialog Box

Related Procedures:

Defining a Title Block

Assigning a Title Block to a View

Copying a Title Block

Editing a Title Block


seealso_user_defined_fields_tools_menu

Related Topics:

Using the User Defined Fields Dialog Box

Using the New User Defined Field Dialog Box

Using the Copy User Defined Field Dialog Box

Using the Edit User Defined Field Dialog Box

Related Procedures:

Creating a New User Defined Field

Copying a User Defined Field

Editing a User Defined Field

Deleting a User Defined Field


Send Message (Tools Menu)

To issue the Send Message command, click Send Message on the Tools menu.

This command allows you to send a pop-up message to any user who is logged into the same Open Plan data source as you.

Related Topics and Procedures


Sorts (Tools Menu)

To issue the Sorts command, open a project and click Sorts on the Tools menu.

This command allows you to sort both activities and resources according to specified criteria. While Open Plan provides a number of predefined sorts common to many project management reports, you can also define custom sorts of your own.

The Sorts command displays a dialog box that allows you to select a sort criterion from a list of sort criteria already included in the project file.

Buttons across the bottom of the dialog box allow you to add new sort criteria to the list, edit existing sort criteria, or delete sort criteria from the list.

You can also reapply the current sort and refresh the display simply by clicking the Refresh button [image] on the toolbar.

Related Topics and Procedures


Spread Curve (Tools Menu)

To issue the Spread Curve command, click Spread Curve on the Tools menu.

The Spread Curve dialog box displays a list of spread curves that you can use when assigning resources to an activity.

Spread curves allow you to define the manner in which a resource assignment is distributed over the duration of an activity. When assigning a resource to an activity, you can use the Curve field on the Resources tab of the Activity Details dialog box to select a predefined spread curve.

Related Topics and Procedures


Spreadsheet Preferences (Tools Menu)

To issue the Spreadsheet Preferences command, do one of the following:

  • Display a spreadsheet view and click Preferences on the Tools menu.

  • Display a barchart view and click Spreadsheet Preferences on the Tools menu.

  • Right-click a spreadsheet view or the spreadsheet pane of a barchart view and click Preferences on the shortcut menu.

This command displays a tabbed dialog box that allows you to customize how the spreadsheet view or spreadsheet pane of a barchart view presents information. (You customize the barchart and histogram portions of the view separately.)

Related Topics and Procedures


Title Blocks (Tools Menu)

To issue the Title Blocks command, click Title Blocks on the Tools menu.

The Title Blocks dialog box features a list of all the title block definitions currently stored in your data source. Each title block definition can include up to six title blocks that can be included in each report. (Three title blocks may be defined for the header of the report, and three for the footer.)

Related Topics and Procedures


Toggle Filter

To apply the Toggle Filter option, follow these steps:

  1. Open a project.

  2. Use one of the following methods:

  3. From the Tools menu, click Filters » Toggle Filter

  4. On the toolbar, click

Related Topics:

Using Filters

Using the New Filter Dialog Box

Using the Filter Expression Dialog Box

Using the Sorts Dialog Box

Using the Calculated Fields Dialog Box

Using the Placements Dialog Box

Related Procedures:

Add to Filter

Remove from Filter

Clear Filter

Edit Expression...

Reapply Filter/Sort

Toggle Filter

Once a filter has been applied, this option turns the filter on or off while still remembering it.

Location

Related Topics and Procedures


User Defined Fields (Tools Menu)

To issue the User Defined Fields command, click User Defined Fields on the Tools menu.

The User Defined Field command allows you to create and use data fields that are not included in Open Plan as delivered by Deltek. Because these fields can be used by most tables and are available in any view where you can select fields for display, they provide a great deal of flexibility and customizability.

Data entered on interproject links for user defined fields created on the Relationship table is not saved by Open Plan.

Related Topics and Procedures


Web Publisher (Tools Menu)

You can use the Open Plan Web Publisher to publish any Open Plan view or report as a document that can be viewed by most common Web browsers.

By producing reports using the industry-standard HTML and Adobe Acrobat .PDF formats, you can provide electronic versions of the most up-to-date project information to any project member with access to your Web site.

You can also use the Open Plan Web Publisher to define and run report batches that can be produced on any output device defined for your Windows system.

To produce reports for publication on the Web, you must have the Adobe Acrobat PDFWriter installed as an output device for your Windows system. This utility is included in software packages such as Adobe Acrobat Exchange or Adobe Acrobat Distiller.

Related Topics and Procedures


abs_popuputils

ABS()

Purpose: | This function returns the absolute value of a numeric variable.
Data Type: | Decimal or integer
Syntax: | ABS(<value>) where: <value> is a numeric variable.
Example: | If y contains the value [4] or [-4], the statement: ABS(y) returns the value [4]


access_controlpopuputils

Access Control

This item is initially accessible only to the user who created it. If you wish to share this item with other users, click the Access Control button to display the Access Control dialog box.


accesscontrolpopuputils

The Access Control option allows you to grant permission for other users to use the filter that you are creating. This option is enabled only for permanent filters that you create. You cannot share a temporary filter.


also_create_field_for_baselinenewudfieldpopuputils

Also Create Field for Baseline

This option is enabled only if you are creating a user defined field for the Activity table. If you select this option, Open Plan adds the new user defined field to the Baseline table.


applies_to_tablebatchglobaleditutils

Applies to Table

If you are creating a new batch definition, this field displays the table you selected in the Display for list on the Batch Global Edit dialog box before you clicked New. The batch definition you create will use global edits created for that table. If you are copying or editing an existing batch definition, this field displays the table to which the batch applies.


applies_to_tablecalcfieldpopuputils

Applies to Table

The data table to which the new calculated field applies. The choices from which you can select depend on whether you are creating a calculated field for a project or for a resource file:

Project

Resource

  • Activity

  • Code Data

  • Notes

  • Relationship

  • Resource Assignment

  • Resource Cost

  • Resource Usage

  • Risk Detail

  • Subproject

  • Code Data

  • Notes

  • Resource Availability

  • Resource Description

  • Resource Escalation


applies_to_tableglobaleditdefpopuputils

Applies to Table

Controls the data table to which the new global edit applies. The choices from which you can select depend on whether you are creating a global edit for a project or for a resource file:

Project

Resource

  • Activity

  • Baseline Activity

  • Baseline Usage

  • Code Data

  • Relationship

  • Resource Assignment

  • Resource Cost

  • Resource Data

  • Resource Usage

  • Risk Detail

  • Resource Availability

  • Resource Escalation

  • Project Summary Usage


applies_to_tablenewcfpopuputils

Applies to Table

The data table to which the new calculated field applies. You can select from the following tables:

  • Activity

  • Baseline Activity

  • Baseline Usage

  • Code Data

  • Project Directory (Main Project)

  • Project Summary Usage

  • Relationship

  • Resource

  • Resource Assignment

  • Resource Availability

  • Resource Cost

  • Resource Escalation

  • Resource Usage

  • Risk Detail

  • Subproject


applies_to_tablepopuprolluputils

Applies to Table

The table name that appears in this field is the table that was chosen on the Rollups dialog box. The rollup definition will use the fields contained within the selected table.


assigned_fieldspopuprolluputils

Assigned Fields

This list contains the fields that have been assigned for rollup. The rollup definition can contain as many fields as you wish to roll up. You can remove a field from the assigned list and place it back in the Available Fields list by selecting it and clicking the left arrow button.

You can select multiple fields to remove at one time by Ctrl+clicking or Shift+clicking the fields you want and then clicking the left arrow button.


assigned_global_editsbatchglobaleditutils

Assigned Global Edits

This field lists the global edits that the batch definition will use and the order in which the global edits will be executed.

You can change the order in which the global edits are executed by rearranging them using the up and down arrow buttons

You can also remove a global edit from the list by selecting it and clicking the left arrow button. When it is removed, it is placed back in the Available Global Edits list.

You can select multiple global edits to remove at once by Ctrl+clicking or Shift+clicking the desired global edits.


available_fieldspopuprolluputils

Available Fields

This list contains all of the data and numeric fields for the selected table that are available for roll up. When you select a field and click the right arrow button, the field is moved to the Assigned Fields list.

You can select multiple fields to move at one time by Ctrl+clicking or Shift+clicking the fields you want and then clicking the right arrow button.


available_global_editsbatchglobaleditutils

Available Global Edits

This field lists the available global edits created for the selected table. When you select a global edit and click the right arrow button, the global edit is moved to the Assigned Global Edits field.

You can select multiple global edits to move at once by Ctrl+clicking or Shift+clicking the desired global edits.


baseline_field(_)popuputils

BASELINE_FIELD(,)

Purpose: | This function returns a field value for a selected baseline directory record.
Data Type: | Any
Syntax: | BASELINE_FIELD(<Selection Index>, <Field Name>) where: <Selection Index> is an integer between 1 - 3 designating the index of the baseline in the current project. (0 may also be entered, in which case it is equivalent to 1, and returns the first selected baseline).
Example: | BASELINE_FIELD(2, "DESCRIPTION"). For the baseline selected at position 2 for the current project, this statement returns a character string with the description that was entered when the baseline was created.


calculate_summary_rows_horizontallycalcfldexppopuputils

Calculate Summary Rows Horizontally

This option controls how Open Plan treats a calculated field in a summary row:

  • If selected, Open Plan calculates at the summary level based on the rolled-up values of its source fields. For example, if this option is selected, the expression DATEDIFFERENCE(ASDATE,BSTART) calculates the difference between the summaries of the actual start and baseline start columns.

  • If not selected, Open Plan calculates summary rows vertically. The data that is displayed depends on the data type returned by the calculated field. Using the same example, DATEDIFFERENCE(ASDATE,BSTART), the calculated field is not displayed in a summary row since it results in a duration which is one of the data types that do not roll up to the subsection summary.

    • There are also other data types that do not roll up to the subsection summary such as strings and some calculated fields.


calculated_fields_popupcalcfldglobeditutils

Calculated Fields

Expressions defining calculated fields can include references to previously defined calculated fields.

A calculated field cannot include a reference to itself.


cdow_popuputils

CDOW()

Purpose: | This function returns the full day of the week (for example, Tuesday).
Data Type: | Character
Syntax: | CDOW(<date>) where: <date> is a date variable or user-entered date.
Example: | Assuming that ESDATE is 05OCT04 (Tuesday), the statement: CDOW(ESDATE) returns Tuesday.


character_operators_popupcalcfldglobeditutils

Character Operators

You can include the following character operators in a calculated field or global edit expression:

  • Concatenate (+)

Sample Usage | Result
"Quick" + "Brown Fox" | "Quick Brown Fox"

  • Contains in ($)

Sample Usage | Result
"ABC" $ "123ABCDEF" | TRUE


closeglobaleditdefpopuputils

Close

Closes the dialog box without applying the global edit.


cmonth_popuputils

CMONTH()

Purpose: | This function returns the full month of the year (for example, October).
Data Type: | Character
Syntax: | CMONTH(<date>) where: <date> is a date variable or user-entered date.
Example: | Assuming ESDATE is 05OCT04, the statement: MONTH(ESDATE) returns October.


commandbrowserviewpopuputils

Command

This field displays the command line to be executed when the browser view is run. For example, the command line could be the path to an executable file or a WebWindow. It may also be a URL to a specific Webpage.

You can enter a fully realized command line or you can make the command relative to either the Open Plan System folder or User folder. To make the command relative to the System folder, you would preface the command with <SYSDIR>. To make the command relative to the User folder, you would preface the command with <USERDIR>.

For example, assume you want to make the Add-In command Trace Logic into a browser view. You could enter the command in one of the following ways:

  • C:\Program Files\Deltek\Open Plan Professional\sampletools\vbapps\trace\trace.exe

  • <SYSDIR>sampletools\vbapps\trace\trace.exe

Looking at the Trace Logic command in the addins.dat file, you will notice that there are two arguments added to the end of the command line: %P and %A. These command-line arguments are entered in the Arguments field.

If you wanted to create a browser view to your company Web site, you would enter a fully realized URL address for the command. For example,

http://deltek.com/

To make the Web site open in an internal Open Plan window, add %i in the Arguments field.


constants_popupcalcfldglobeditutils

Constants

You can include text, date, numeric, and logical constants in a calculated field or global edit according to the following guidelines:

  • Text — Text must be enclosed in either single or double quotes.

  • Dates — Dates must be enclosed in curly brackets ({ and }) and can be expressed in any valid date format.

  • Durations — Durations must be enclosed between piping symbols ( | ) and can be expressed in any valid duration format.

  • Numerics — Numeric constants can include any positive or negative value and can appear with or without decimal places.

  • Logical values — Valid logical constants are [True] and [False].

  • Enumerated values — Values for enumerated fields (that is, fields with a limited number of valid values) must be enclosed between square brackets ([ and ]). Open Plan recognizes the following enumeration types:

Enumeration Type | Description
ACTS | Activity status
ACTT | Activity type
BOOL | Boolean
CRIT | Critical flag
CURV | Curve
PROG | Progress
RELT | Relationship type
RESC | Resource class
REST | Resource type
RSCL | Resource scheduling type
TARG | Target type


ctod_popuputils

CTOD()

Purpose: | This function (Calendar to Date) converts a character string to a value with a DATE data type. This is useful in calculated field expressions where we want to coerce the result of an operation to type DATE.
Data Type: | Date
Syntax: | CTOD (<String Expression>) where: <String Expression> is a quotation-mark delimited string with a valid date format.
Example: | CTOD(STR(USER_NUM01) + "/" + STR(USER_NUM02) + STR(YEAR(TIMENOW()))) If USER_NUM01 = 12, USER_NUM02 = 31, and Time Now = 1/1/2006, the date result returned will be {12/31/2006}.


data_typecalcfieldpopuputils

Data Type

The type of data that the calculated field will return:

  • Date — Returns a date to the calculated field.

  • Decimal — Returns a decimal number (for example, 7.89) to the calculated field.

  • Duration — Returns a duration to the calculated field.

  • Finish Date — Returns an activity finish date to the calculated field.

  • Integer — Returns a whole number to the calculated field.

  • Character — Returns a character string to the calculated field.

  • Logical — Returns True or False to the calculated field.


data_typecopyudfieldpopuputils

Data Type (Copy)

You can select from the following data types:

  • Character

  • Date

  • Finish Date

  • Decimal

  • Duration


data_typenewcfpopuputils

Data Type

The type of data that the calculated field will return:

  • Character — Returns a character string to the calculated field.

  • Date — Returns a date to the calculated field.

  • Decimal — Returns a decimal number (for example, 7.89) to the calculated field.

  • Duration — Returns a duration to the calculated field.

  • Finish Date — Returns an activity finish date to the calculated field.

  • Integer — Returns a whole number to the calculated field.

  • Logical — Returns True or False to the calculated field.


data_typenewudfieldpopuputils

Data Type

You can select from the following data types:

  • Character

  • Date

  • Finish Date

  • Decimal

  • Duration


date_popuputils

DATE()

Purpose: | This function returns the current date.
Data Type: | Date
Syntax: | DATE ()
Example: | Assuming the current date is October 5, 2004, the statement: DATE() returns 05OCT04.


dateadd_popuputils

DATEADD()

Purpose:

This function allows you to add a duration to a date and returns a date.

Data Type:

Date

Syntax:

DATEADD (<start date>, <duration>, <calendar>)

where:

  • <start date> is a date field or user-entered date.

  • <duration> is a duration field or user-entered value.

  • <calendar name> is the name of the calendar to be used in the calculation. This parameter is optional; if no calendar is specified, Open Plan uses the default calendar for the project.

If the temporary filter, temporary sort, calculated field or global edit is based on the activity table, you can also specify the word clh_id to have Open Plan use the calendar assigned to the specific activity. However, if the global edit is based on the assignment table, specify act_id.clh_id instead of clh_id.

Example:

Assuming that ESDATE is 04OCT04, the statement:

DATEADD(ESDATE,|2d|, "CAL1")

returns 05OCT04 based on calculations using the calendar named CAL1.


datedifference_popuputils

DATEDIFFERENCE()

Purpose:

This function returns the difference between two dates as a duration.

Data Type:

Duration

Syntax:

DATEDIFFERENCE (<date1>, <date2>, <calendar>)

where:

  • <date1> is a date field or user-entered date.

  • <date2> is a date field or user-entered date.

  • <calendar name> is the name of the calendar to be used in the calculation. This parameter is optional; if no calendar is specified, Open Plan uses the default calendar for the project.

If the temporary filter, temporary sort, calculated field or global edit is based on the activity table, you can also specify the word clh_id to have Open Plan use the calendar assigned to the specific activity. However, if the global edit is based on the assignment table, specify act_id.clh_id instead of clh_id.

Example:

Assuming that ESDATE is 05OCT04 and EFDATE is 06OCT04, the statement:

DATEDIFFERENCE(ESDATE, EFDATE, "CAL1")

returns 2d based on calculations using the calendar named CAL1.


dateformat_popuputils

DATEFORMAT()

Purpose:

This function returns a date in a specified format.

Data Type:

Character

Syntax:

DATEFORMAT (<date field>, <format string>)

where:

  • <date field> is a date field or user-entered date.

  • <format string> is the date format.

DATEFORMAT() uses the same date formats as those used when specifying dates on the Manual tab of the Date Scale Preferences dialog box.

Example:

Assuming that ESDATE is October 5, 2004, the statement:

DATEFORMAT(ESDATE, "%D%A%Y")

returns 05OCT04.


datereportingcalendarpopuputils

Date

The date displayed in this column is the ending date in the reporting period.


day_popuputils

DAY()

Purpose: | This function returns a numeric value 1 through 31 for the day of the month.
Data Type: | Integer
Syntax: | DAY(<date>) where: <date> is a date variable or user-entered date.
Example: | Assuming that ESDATE is 05OCT04, the statement: DAY(ESDATE) returns 5.


descriptionbrowserviewpopuputils

Description

This field displays the description entered for the browser view. You can edit the description at any time.


descriptioncopyudfieldpopuputils

Description

You can use this field to assign a longer, more meaningful description to the user defined field.


descriptionnewudfieldpopuputils

Description

You can use this field to assign a longer, more meaningful description to the user defined field.


disiplaying_the_global_edit_definition_dialog_boxutils

To display the Global Edit Definition dialog box, do one of the following:

  • Click Display on the Global Edits dialog box. In this case, you can view, but not change, any of the global edit settings. Only the OK, Close, Apply, and Help buttons are enabled.

  • Click New on the Global Edit dialog box.

  • Select a global edit on the Global Edits dialog box, and click Copy or Edit. In this case the Name field of this dialog box displays the name of the global edit you are copying or editing. The table section of the dialog box displays the edit expression.


displaying_the_add_reporting_calendar_dialog_boxutils

To display the Add Reporting Calendar dialog box, click New on the Manage Reporting Calendars dialog box.

This feature is available with only the Professional edition of Open Plan.


displaying_the_batch_global_edit_definition_dialog_boxutils

To display this dialog box:

  1. From the Tools menu, select Batch Global Edit.

  2. Do one of the following:

    • Click New.

    • Select an existing batch definition, and click Copy or Edit.


displaying_the_batch_global_edit_dialog_boxutils

To display this dialog box, select Batch Global Edit from the Tools menu.


displaying_the_browser_view_definition_dialog_boxutils

To display the Browser View Definition dialog box:

  1. From the Tools menu, click Browser Views.

  2. On the Browser Views dialog box, do one of the following:

    • Click New, enter a name for the browser view, and click OK.

    • Select an existing browser view, and click Copy or Edit.


displaying_the_browser_views_dialog_boxutils

To display the Browser Views dialog box, click Browser Views on the Tools menu.


displaying_the_calculated_field_expression_dialog_boxutils

To display the Calculated Field Expression dialog box, do either of the following:

  • Click New on the Calculated Fields dialog box and complete the New Calculated Field dialog box that is displayed. In this case, the Name field of this dialog box displays the name of the new calculated field. The table section of the dialog box is blank.

  • Select a calculated field on the Calculated Fields dialog box and click Copy or Edit. In this case the Name field of this dialog box displays the name of the calculated field you are copying or editing. The table section of the dialog box displays the filter expression.

This feature is available with only the Professional edition of Open Plan.


displaying_the_calculated_fields_dialog_boxutils

To display the Calculated Fields dialog box, click Calculated Fields on the Tools menu. This dialog box allows you to create fields that you can use to display information that Open Plan does not automatically provide but that it can calculate.

This feature is available with only the Professional edition of Open Plan.


displaying_the_change_password_dialog_boxutils

To display the Change Password dialog box, click Change Password on the File menu.


displaying_the_copy_reporting_calendar_dialog_boxutils

To display the Copy Reporting Calendar dialog box, select the reporting calendar you want to copy on the Manage Reporting Calendars dialog box and click Copy.

This feature is available with only the Professional edition of Open Plan.


displaying_the_copy_user_defined_field_dialog_boxutils

To display the Copy User Defined Field dialog box:

  1. On the Tools menu, click User Defined Fields.

  2. On the User Defined Fields dialog box, select the table containing the user defined field that you want to copy.

  3. Select the user defined field that you want copy.

  4. Click Copy.


displaying_the_edit_reporting_calendar_dialog_boxutils

To display the Edit Reporting Calendar dialog box, select the reporting calendar you want to edit on the Manage Reporting Calendars dialog box and click Edit.

This dialog box is also displayed automatically when you click OK on either the Add Reporting Calendar dialog box or the Copy Reporting Calendar dialog box.

This feature is available with only the Professional edition of Open Plan.


displaying_the_edit_user_defined_field_dialog_boxutils

To display the Edit User Defined Field dialog box:

  1. On the Tools menu, click User Defined Fields.

  2. On the User Defined Fields dialog box, select the table containing the user defined field that you want to modify.

  3. Select the user defined field to be modified.

  4. Click Edit.


displaying_the_fields_dialog_boxutils

To display the Fields dialog box, click Fields on one of the following:

  • Temporary Sort Expression dialog box

  • Temporary Filter Expression dialog box

  • Calculated Field Expression dialog box

  • Global Edit Definition dialog box

  • Edit Advisor Emails dialog box

  • Title Block Definition dialog box


displaying_the_filter_expression_dialog_boxutils

To display the Filter Expression dialog box, do any of the following:

  • Click New on the Filters dialog box and complete the New Filter dialog box that displays.

  • Select a filter from the Filters dialog box and click Copy or Edit.

  • Display the Filters dialog box from an open spreadsheet or barchart view, select <Temporary Filter>, and click Edit.


displaying_the_filters_dialog_boxutils

To display the Filters dialog box, open a project and do one of the following:

  • From the Tools menu, click Filters » Manage Filters.

  • Right-click an open spreadsheet or barchart view, and click Filters on the shortcut menu.

  • From an open network view, right-click the view, click Placements on the shortcut menu, and then click Filters.


displaying_the_functions_dialog_boxutils

To display the Functions dialog box, click Functions on one of the following:

  • Temporary Sort Expression dialog box

  • Temporary Filter Expression dialog box

  • Calculated Field Expression dialog box

  • Global Edit Definition dialog box


displaying_the_global_edits_dialog_boxutils

To display the Global Edits dialog box, click Global Edit on the Tools menu.

This option is available in the Desktop edition of Open Plan only when the project has global edits.


displaying_the_group_deletion_dialog_boxutils

To display the Group Deletion dialog box, click Group Delete on the Tools menu.


displaying_the_manage_note_categories_dialog_boxutils

To display the Manage Note Categories dialog box, click Note Categories on the Tools menu.


displaying_the_manage_reporting_calendars_dialog_boxutils

To display the Manage Reporting Calendars dialog box, open a project file and click Reporting Calendars on the Tools menu.

This feature is available with only the Professional edition of Open Plan.


displaying_the_new_browser_view_dialog_boxutils

To display the New Browser View dialog box:

  1. From the Tools menu, click Browser Views.

  2. On the Browser Views dialog box, click New.


displaying_the_new_calculated_field_dialog_boxutils

To display the New Calculated Field dialog box, click New on the Calculated Fields dialog box.

This feature is available with only the Professional edition of Open Plan.


displaying_the_new_filter_dialog_boxutils

To display the New Filter dialog box, click New on the Filters dialog box.


displaying_the_new_sort_dialog_boxutils

To display the New Sort dialog box, click New on the Sorts dialog box.


displaying_the_new_user_defined_field_dialog_boxutils

To display the New User Defined Field dialog box:

  1. On the Tools menu, click User Defined Fields.

  2. On the User Defined Fields dialog box, select a table to which you want the new user defined fields added.

  3. Click New.


displaying_the_note_category_dialog_boxutils

To display the Note Category dialog box, do one of the following:

  • Click New on the Manage Note Categories dialog box.

  • Select a note category on the Manage Note Categories dialog box and then click Edit.


displaying_the_open_plan_log_viewerutils

To display the Log Viewer from within Open Plan, select Log Viewer from the View menu.

To display the Log Viewer outside the context of Open Plan, follow these steps:

  1. Using Windows Explorer, navigate to the Open Plan Professional folder.

    2. By default, this is C:\Program Files\Deltek\Open Plan Professional.

  2. Double-click the file OPPLogViewer.exe.


displaying_the_open_plan_login_dialog_boxcommon

The Open Plan Login dialog box displays automatically whenever you attempt to access Open Plan.


displaying_the_rollup_definition_dialog_boxutils

To display the Rollup Definition dialog box:

  1. On the Tools menu, click Rollup.

  2. On the Rollups dialog box, do one of the following:

    • Click New.

    • Select an existing rollup definition, and click Copy or Edit.


displaying_the_rollups_dialog_boxutils

To display the Rollups dialog box, click Rollup on the Tools menu.


displaying_the_select_a_value_dialog_boxutils

To display the Select a Value dialog box:

  1. On the Tools menu, click Global Edits.

  2. From the Global Edits dialog box, do one of the following:

    • Click New.

    • Select a global edit definition and click Edit.

  3. On the Global Edit Definition dialog box, click Values.

The Values button is enabled only when the database contains values that are appropriate to your selection in the Replace Values in field.


displaying_the_sort_expression_dialog_boxutils

To display the Sort Expression dialog box, do either of the following:

  • Click New on the Sorts dialog box and complete the New Sort dialog box that is displayed. In this case, the Name field of this dialog box displays the name of the new sort. The expression builder section of the dialog box is blank.

  • Select a sort criterion from the Sorts dialog box and click Copy or Edit. In this case the Name field of this dialog box displays the name of the sort criterion you are copying or editing. The expression builder section of the dialog box displays the sort expression.


displaying_the_sorts_dialog_boxutils

To display the Sorts dialog box, open a project and click Sorts on the Tools menu.


displaying_the_temporary_sort_expression_dialog_boxutils

To display the Temporary Sort Expression dialog box, display the Sorts dialog box and do one of the following:

  • Select <Temporary Sort>, and click Edit.

  • Double-click <Temporary Sort>.


displaying_the_user_defined_fields_dialog_boxutils

To display the User Defined Fields dialog box, click User Defined Fields on the Tools menu.


dow_popuputils

DOW()

Purpose: | This function returns a numeric value 1 through 7 for the day of the week. The actual number returned depends on settings on the General tab of the Options dialog box for the first day of the week.
Data Type: | Integer
Syntax: | DOW(<date>) where: <date> is a date variable or user-entered date.
Example: | Assuming that ESDATE is 05OCT04 (Tuesday), the statement: DOW(ESDATE) returns 3.


duration_operators_popupcalcfldglobeditutils

Duration Operators

You can include the following duration operators in a calculated field or global edit expression:

  • Add (+)

    • Expression

    Duration + Duration

    Date + Duration

    Result

    Duration

    Date

  • Subtract (-)

    • Expression

    Duration – Duration

    Date – Date

    Date – Duration

    Result

    Duration

    Duration

    Date

  • Divide (/)

    • Expression

    Duration / Duration

    Duration / Number

    Result

    Decimal

    Duration

  • Multiply (*)

    • Expression

    Duration * Number

    Result

    Duration


duration_popuputils

DURATION()

Purpose: | This function returns the number of minutes corresponding to a given duration.
Data Type: | Integer
Syntax: | DURATION(<Duration Value>) where: <Duration Value> is a duration variable or user-entered duration
Example: | Assuming an 8-hour workday, the statement: Duration(|2d|) returns 960 (8 hours x 2 days x 60 minutes/hour).


eval_popuputils

EVAL()

Purpose: | This function evaluates its string expression argument as a dynamic calculated field rather than as a string literal. The data type that is returned depends on the contents of the string expression and can be of any type.
Data Type: | Character
Syntax: | EVAL(<exp>) where: <exp> evaluates to a string expression argument to be calculated as a dynamic calculated field rather than as a string literal.
Example: | Assuming that the value of USER_CHR01 is "ESDATE" and USER_CHR02 is "EFDATE" and that ESDATE is 04OCT04 and EFDATE is 06OCT04, the statement: EVAL(USER_CHR02+"-"+USER_CHR01) returns 2d. EVAL first evaluates the expression in this example as the following string expression: "EFDATE" + "-" +"ESDATE" The function then resolves the string expression as an embedded calculated field. Since we are effectively subtracting two dates, the resulting value "2" is a duration.


expression_character_operatorspopuputils

Expression

An expression defining a calculated field or global edit can include the following elements:

  • Character operators — You can include the following character operators in a calculated field or global edit expression:

    • Concatenate (+)

      • Sample Usage

      "Quick" + "Brown Fox"

      Result

      "Quick Brown Fox"

    • Contained in ($)

      • Sample Usage

      "ABC" $ "123ABCDEF"

      Result

      TRUE

  • Constants

  • Duration operators

  • Field names

  • Functions

  • Logical operators

  • Mathematical operators

  • Calculated fields

  • Relational operators


expression_constantspopuputils

Value | Syntax
None | [LOGI. ]
Start Activity | [LOGI.S]
Finish Activity | [LOGI.F]
Start and Finish Activity | [LOGI.SF]
Isolated Activity | [LOGI.I]

Value | Syntax
Planned | [ACTS.0]
In Progress | [ACTT.1]
Complete | [ACTT.2]

Value | Syntax
ASAP | [ACTT.N]
ALAP | [ACTT.L]
Start Milestone | [ACTT.S]
Finish Milestone | [ACTT.F]
Discontinuous | [ACTT.D]
Subproject | [ACTT.P]
Hammock | [ACTT.H]
Effort Driven | [ACTT.R]
External Subproject | [ACTT.E]
Foreign Project | [ACTT.Z]
Foreign Subproject | [ACTT.G]
Foreign Activity | [ACTT.G]

Value | Syntax
True | [BOOL.T]
False | [BOOL.F]

Value | Syntax
Not Critical | [CRIT.0]
Critical | [CRIT.1]
Most Critical | [CRIT.2]
Controlling Critical | [CRIT.3]

Value | Syntax
Level of Effort | [EVTE.A]
Percent Complete | [EVTE.C]
50 - 50 | [EVTE.E]
0 - 100 | [EVTE.F]
100 - 0 | [EVTE.G]
User Defined Percentage | [EVTE.H]
Planning Package | [EVTE.K]
Resource % Complete | [EVTE.L]

Value | Syntax
Constant | [DIST. ]
Uniform | [DIST.U]
Normal | [DIST.N]
Beta | [DIST.B]
Triangular | [DIST.T]

Value | Syntax
None | [PROG. ]
Remaining Duration | [PROG.R]
Percent Complete | [PROG.P]
Elapsed Duration | [PROG.E]
Complete | [PROG.C]

Value | Syntax
Proposed | [PRJS.P]
Open | [PRJS.O]
Closed | [PRJS.C]

Value | Syntax
Finish to Start | [RELT.FS]
Start to Start | [RELT.SS]
Start to Finish | [RELT.SF]
Finish to Finish | [RELT.FF]

Value | Syntax
Normal | [RSCL. ]
Splittable | [RSCL.P]
Stretchable | [RSCL.T]
Reprofileable | [RSCL.R]
Immediate | [RSCL.I]

Value | Syntax
Labor | [RESC.L]
Material | [RESC.M]
Other Direct Cost | [RESC.C]
Subcontract | [RESC.S]

Value | Syntax
Normal | [REST. ]
Consumable | [REST.C]
Perishable | [REST.D]
Pool | [REST.P]
Skill | [REST.S]

Value | Syntax
None | [TARG. ]
Not Earlier Than | [TARG.NE]
Not Later Than | [TARG.NL]
On | [TARG.ON]
Fixed | [TARG.FX]

Expression

An expression defining a calculated field or global edit can include the following elements:

  • Character operators

  • Constants — You can include text, date, numeric, and logical constants in a calculated field or global edit:

    • All text must be enclosed in either single or double quotes.

    • Dates must be enclosed in curly brackets ({ and }).

    • Durations must be enclosed between piping symbols ( | ).

    • Numeric constants can include any positive or negative value and can appear with or without decimal places.

    • Valid logical constants are [True] and [False].

    • Values for enumerated fields (that is, fields with a limited number of valid values) must be enclosed between square brackets ([ and ]). The following fields are enumerated in Open Plan:

      • Activity Logic Flag

      • Activity Status

      • Activity Type

      • Boolean

      • Critical Flag

      • Earned Value Technique

      • Probability Distribution

      • Progress

      • Project Status

      • Relationship Type

      • Resource Scheduling Type

      • Resource Class

      • Resource Type

      • Target Type

  • Duration operators

  • Field names

  • Functions

  • Logical operators

  • Mathematical operators

  • Calculated fields

  • Relational operators


expression_duration_operatorspopuputils

Expression

An expression defining a calculated field or global edit can include the following elements:

  • Character operators

  • Constants

  • Duration operators — You can include the following duration operators in a calculated field or global edit expression:

 | Expression | Result
Add (+) | Duration + Duration | Duration
 | Date + Duration | Date
Subtract (-) | Duration - Duration | Duration
 | Date - Duration | Date
Divide (/) | Duration / Duration | Decimal
 | Duration / Number | Duration
Multiply (*) | Duration * Number | Duration

  • Field names

  • Functions

  • Logical operators

  • Mathematical operators

  • Calculated fields

  • Relational operators


expression_field_namespopuputils

Expression

An expression defining a calculated field or global edit can include the following elements:

  • Character operators

  • Constants

  • Duration operators

  • Field names — When including a field in an expression for a calculated field or global edit, you must enter the name of the field and not the descriptive name that is displayed in spreadsheet column headings. For example, if you want to define a calculated field expression that references the field containing early start dates, you must identify the field as ESDATE, not Early Start.

  • Functions

  • Logical operators

  • Mathematical operators

  • Calculated fields

  • Relational operators


expression_fuctionspopuputils

Expression

An expression defining a calculated field or global edit can include the following elements:

  • Character operators

  • Constants

  • Duration operators

  • Field names

  • Functions — Calculated field and global edit expressions can contain a number of functions. For more information, refer to the topic "Using the Functions Dialog Box" accessed by clicking See Also on this Help topic.

  • Logical operators

  • Mathematical operators

  • Calculated fields

  • Relational operators


expression_logical_operatorspopuputils

Expression

An expression defining a calculated field or global edit can include the following elements:

  • Character operators

  • Constants

  • Duration operators

  • Field names

  • Functions

  • Logical operators — You can include the following logical operators in a calculated field or global edit expression: AND; NOT; OR; AND NOT; Group (( ))

  • Mathematical operators

  • Calculated fields

  • Relational operators


expression_mathematical_operatorspopuoputils

Expression

An expression defining a calculated field or global edit can include the following elements:

  • Character operators

  • Constants

  • Duration operators

  • Field names

  • Functions

  • Logical operators

  • Mathematical operators — You can include the following mathematical operators in a calculated field or global edit expression: Add (+); Subtract (-);Multiply (*);Divide (/);Group (( )); Exponentiate (^ or **)

    • Expressions containing mathematical operators are evaluated according to the normal rules of precedence:

    • Grouping operations are performed before multiplication and division operations.

    • Multiplication and division operations are performed before addition and subtraction operations.

  • Calculated fields

  • Relational operators


expression_other_calculated_fieldspopuputils

Expression

An expression defining a calculated field or global edit can include the following elements:

  • Character operators

  • Constants

  • Duration operators

  • Field names

  • Functions

  • Logical operators

  • Mathematical operators

  • Calculated fields — Expressions defining calculated fields or global edits can include references to previously defined calculated fields. Note that a calculated field cannot include a reference to itself.

  • Relational operators


expression_relational_operatorspopuputils

Expression

An expression defining a calculated field or global edit can include the following elements:

  • Character operators

  • Constants

  • Duration operators

  • Field names

  • Functions

  • Logical operators

  • Mathematical operators

  • Calculated fields

  • Relational operators — Expressions for calculated fields or global edits can include the following relational operators: Equal to (=);Not equal to (<>);Greater than (>);Greater than or equal to (>=);Less than (<);Less than or equal to (<=);Contained in ($)


expressioncalcexppopuputils

Expression

An expression defining a calculated field or global edit can include the following elements:

  • Character operators

  • Constants

  • Duration operators

  • Field names

  • Functions

  • Logical operators

  • Mathematical operators

  • Calculated fields

  • Relational operators


fail_evaluate_popuputils

FAIL_EVALUATE()

Purpose: | This function tests for a condition that normally would cause the calculated field to return either a blank value or an invalid result (the latter would keep the remainder of the expression from being evaluated).
Data Type: | Boolean
Syntax: | FAIL_EVALUATE(<String Expression>) where: <String Expression> is an expression in string format.
Example: | FAIL_EVALUATE("C25") If there is no code file assigned at index 25, this calculated field will return True. Note that if we substituted the expression "C25 IS_EMPTY" as an alternative to using FAIL_EVALUATE, the returned value would be True whether C25 does not exist or C25 exists but is blank.


field_namepopuputils

Field Name

Filter expressions can include any field from the selected data table, including calculated fields, and any filters already defined for that table.

In addition, you can simply type a calculated field that you create "on-the-fly" in this field.

Previously defined filters specified as fields can have one of two values:

  • True

  • False


field_names_popupcalcfldglobeditutils

Field Names

When including a field in an expression for a calculated field or global edit, you must enter the name of the field and not the descriptive name that is displayed in spreadsheet column headings. For example, if you want to define a calculated field expression that references the field containing early start dates, you must identify the field as ESDATE, not Early Start.


format_heading_item_popuputils

FORMAT_HEADING_ITEM()

Purpose:

This function is used to create custom subsection headings with summary rows (i.e., the summary type for the subsection row is marked as "Heading").

Data Type:

Character

Syntax:

FORMAT_HEADING_ITEM (<expression>,<widthincharunits>,<wordwrap>,<summarize>)

where:

  • <expression> is the character string to be formatted

  • <widthincharunits> is the width of the expression in character units

  • <wordwrap> is the numeric value 1 (wrap active) or 0 (inactive)

  • <summarize> is an OPTIONAL argument indicating whether <expression> (if not a constant) should or should not be summarized (0 = do not summarize, 1 = summarize). The default value is 1.

Example:

Given the following calculated field expression: FORMAT_HEADING_ITEM(C2 + " - ",20,0,0) + FORMAT_HEADING_ITEM(C2.DESCRIPTION,40,1,0) + FORMAT_HEADING_ITEM(C2.< Default >,20,1,0)

The output in a spreadsheet subsectioned on C2, using the above calculated field as the Heading Field would look something like this:


functions_popupcalcfldglobeditutils

Functions

Calculated field and global edit expressions can contain a number of functions. For more information, refer to the topic "Using the Functions Dialog Box."


get_assgnspopuputils

GET_ASSGNS()

Purpose:

This function returns assignment data for an activity.

Data Type:

Character

Syntax:

GET_ASSGNS(<fieldname1>[ |<fieldname2>&ldots;])

where:

<fieldname1>, <fieldname2> are names of fields in the Resource Assignment table.

Because the GET_ASSGNS() function works within a specific data table, it is important that the table portion of the fieldname be removed when using this function.

The pipe symbol (|) is used as a separator between the desired fields. The entire expression within the set of () must be enclosed by quotation marks.

The text string returned for this function uses commas (,) to separate the different data items within each record and semi-colons (;) to separate each record.

Example:

Assuming that the resource assignments for the activity are ENG (a level 1 resource pool) and TECH.MARY (a level 2 resource) the statement:

GET_ASSGNS(_ASG.RES_ID|_ASG.RES_LEVEL)

must be edited to read: GET_ASSGNS("RES_ID|RES_LEVEL")

It then returns ENG,1.00;TECH.MARY,2.00.


get_children_popuputils

GET_CHILDREN()

Purpose: | This function returns a list of fields for the top level of children (i.e., grandchildren are not included) of the current hierarchical record (activities, resources, and codes).
Data Type: | String
Syntax: | GET_CHILDREN(<FieldList>) where: <FieldList> is a pipe-delimited string containing the list of fields to be returned. Fields are separated by commas, and records are separated by semi-colons in the returned data.
Example: | GET_CHILDREN("ACT_ID|DESCRIPTION") Given an activity "1.01", with children, "1.01.01" and "1.01.02", the returned string would be the following: "1.01.01,First child of 1.01;1.01.02,Second child of 1.01"


get_costspopuputils

GET_COSTS()

Purpose:

This function returns cost records for an activity.

Data Type:

Character

Syntax:

GET_COSTS(<fieldname1>[ |<fieldname2>&ldots;])

where:

<fieldname1>, <fieldname2> are names of fields in the Cost table.

Because the GET_COSTS() function works within a specific data table, it is important that the table portion of the fieldname be removed when using this function.

The pipe symbol (|) is used as a separator between the desired fields. The entire expression within the set of () must be enclosed by quotation marks.

The text string returned for this function uses commas (,) to separate the different data items within each record, and semi-colons (;) to separate each record.

Example:

Assuming that there are two cost records for the activity, that the actual costs are 1,000 and 4,000, and that the actual quantities are 1 and 2 the statement:

GET_COSTS(_CST.ACTUAL_CST|_CST.ACTUAL_QTY)

must be edited to read: GET_COSTS("ACTUAL_CST|ACTUAL_QTY")

It then returns 1000.00,1.00;4000.00,2.00.


get_fieldutils

GET_FIELD()

Purpose:

To allow users to display data from other tables or data from other records in the same table.

Data Type:

String

Syntax:

GET_FIELD(<TableType>, <UniqueID>, <FieldName>)

where:

  • <TableType> = "Activity," "Resource," "Calendar," (Selected Baseline Activity Tables "B1," "B2," "B3"), "ProjDir," "CodeDir," "ResDir," "CalDir"

  • <UniqueID> = A constant, expression, or field name that identifies a look-up key for the table type.

    • The only acceptable table types are those that have unique identifiers (for example, the Activity ID on the activity table, or the Project Name on the Project Directory).

  • <FieldName> = The field in Table <TableType> whose value you want returned.

    • The field name must be enclosed in quotation marks (otherwise the VALUE of the field, not the field name itself, will be passed as the argument).

Example:

GET_FIELD("C2", PARENT(C2), "DESCRIPTION")

On the Activity table, if the current Activity has a code 2 value of "1.2.1.3", the returned string would be "1.2.1. System Engineering".


get_first_record_in_summarypopuputils

GET_FIRST_RECORD_IN_SUMMARY()

Purpose:

This function returns the value for the requested field. For a subsection summary row, it returns the value of the requested field for the first child record.

Data Type:

Same data type as input field

Syntax:

GET_FIRST_RECORD_IN_SUMMARY (<TableType>, <UniqueID>,<FieldName>)

Where:

FieldName = the field in Table TableType whose value we want returned. Note that the field name MUST be enclosed in quotation marks. Otherwise, the VALUE of the field, not the field name itself, will be passed as the argument.

Example:

The purpose of the GET_FIRST_RECORD_IN_SUMMARY function is to allow the user to construct a calculated field result in a summary row that uses a break column value rather than a summary value. For example, given the following filter in a barchart (with a visibility setting of "All levels of Rollup and Detail"), with a spreadsheet pane subsectioned on TOTALFLOAT:

TOTALFLOAT > |2d|

The filter would evaluate to TRUE for all child rows of subsections where the TOTALFLOAT break-on value is greater than |2d|. However, the filter would evaluate to FALSE on the subsection summary rows since the value of the TOTALFLOAT field on the summary row is undefined (durations cannot be summarized). Even for a numeric or date field (which can be summarized), the filter would have to be written differently to account for a summarized value on a summary row. To work around this problem, the following syntax will give us the result we want:

GET_FIRST_RECORD_IN_SUMMARY("TOTALFLOAT") > |2d|


get_notepopuputils

GET_NOTE()

Purpose: | This function returns the first 1024 characters of an activity note or resource note. If the note exceeds 1024 characters, the note is truncated at the limit and an ellipsis (&ldots;) is displayed.
Data Type: | Character
Syntax: | GET_NOTE(<category>) where: <category> is the name of a note category. This field is optional. If you leave <category> blank, the function assumes the default category.
Example: | Assuming that a category <Document> has been set up for an activity table, the statement: GET_NOTE("Document") returns the Document category note about the activity.
Example: | Assuming that you want to use the default category for an activity note, the statement: GET_NOTE("") returns the default category note about the activity.


get_predspopuputils

GET_PREDS()

Purpose:

This function returns predecessor data for an activity.

Data Type:

Character

Syntax:

GET_PREDS(<fieldname1>[ |<fieldname2>&ldots;])

where:

<fieldname1>, <fieldname2> are names of fields in the Relationship table.

Because the GET_PREDS() function works within a specific data table, it is important that the table portion of the fieldname be removed when using the function.

The pipe symbol (|) is used as a separator between the desired fields. The entire expression within the set of () must be enclosed by quotation marks.

The text string returned for this function uses commas (,) to separate the different data items within each record, and semi-colons (;) to separate each record.

Example:

Assuming that the predecessor to an activity is A100, and that the relationship type is Finish to Start, the statement:

GET_PREDS(_SUCC.PRED_ACT_ID|_SUCC.REL_TYPE)

must be edited to read: GET_PREDS("PRED_ACT_ID|REL_TYPE")

It then returns A100,Finish to Start.


get_related_popuputils

GET_RELATED()

Purpose:

This function returns a list of fields for each member of a child collection related to the main collection. This is a more generic version of the more specialized functions, GET_PREDS(), GET_SUCCS(), GET_ASSGNS(), and so on.

Data Type:

String

Syntax:

GET_RELATED(<CollectionType>, <FieldList>)

where:

  • < CollectionType > is a quotation-mark-delimited identifier.

    • Main Collection = "Activity"

    • "A01", "A02", "A03" (Selected Baseline Activity Collection)

    • "ASG" (assignment collection)

    • "CST" (cost collection)

    • "PRD" (predecessor collection)

    • "RSK" (risk collection)

    • "SUB" (subproject collection)

    • "SUC" (successor collection)

    • "U01", "U02", "U03" (Selected Baseline Usage Collection)

    • "USE" (usage collection)

    Main Collection = "Baseline Activity"

    • "SUB" (subproject collection)

    • "USE" or "BSU" (baseline usage)

    Main Collection = "Resource Data"

    • "PSU" (Project Summary Usage)

    • "RSL" (Resource Escalations)

    • "SKL" (All skill assignments for the given resource record)

    • "SKR" (All skill assignments for the given skill record)

  • <FieldList> is a pipe-delimited string containing the list of fields to be returned. Fields are separated by commas, and records are separated by semicolons in the returned data.


get_riskspopuputils

GET_RISKS()

Purpose:

This function returns the percentile points for each of the requested fields on a key activity. (By default, 21 percentile points are returned. These are 0,5,10,15,&ldots;100.)

Data Type:

Character

Syntax:

GET_RISKS("<fieldname1>[ |<fieldname2>&ldots;"])

where:

<fieldname1>, <fieldname2> are names of fields in the Risk table.

The pipe symbol (|) is used as a separator between the desired fields. The entire expression within the set of () must be enclosed by quotation marks.

The text string returned for this function uses commas (,) to separate the different data items within each record and semi-colons (;) to separate each record.

Example:

The statement:

GET_RISKS("ESDATE1")

returns the percentile points for each early start date calculated during risk analysis. For example, Open Plan might show that risk analysis has calculated that the early start date for a key activity falls on or before Jan 15 during 5% of simulations, on or before Jan 16 10% during 10% of the simulations, and so on.


get_succspopuuputils

GET_SUCCS()

Purpose:

This function returns successor data for an activity.

Data Type:

Character

Syntax:

GET_SUCCS(<fieldname1>[ |<fieldname2>&ldots;])

where:

<fieldname1>, <fieldname2> are names of fields in the Relationship table.

Because the GET_SUCCS() function works within a specific data table, it is important that the table portion of the fieldname be removed when using this function.

The pipe symbol (|) is used as a separator between the desired fields. The entire expression within the set of () must be enclosed by quotation marks.

The text string returned for this function uses commas (,) to separate the different data items within each record, and semi-colons (;) to separate each record.

Example:

Assuming that the successor to an activity is A200, and that the relationship type is Finish to Start, the statement:

GET_SUCCS(_SUCC.SUCC_ACT_ID|_SUCC.REL_TYPE)

must be edited to read: GET_SUCCS("SUCC_ACT_ID|REL_TYPE")

It then returns A200,Finish to Start.


get_usagespopuputils

GET_USAGES()

Purpose:

This function returns use records for an activity.

Data Type:

Character

Syntax:

GET_USAGES(<fieldname1>[ |<fieldname2>&ldots;])

where:

<fieldname1>, <fieldname2> are names of fields in the Use table.

Because the GET_USAGES() function works within a specific data table, it is important that the table portion of the fieldname be removed when using this function.

The pipe symbol (|) is used as a separator between the desired fields. The entire expression within the set of () must be enclosed by quotation marks.

The text string returned for this function uses commas (,) to separate the different data items within each record, and semi-colons (;) to separate each record.

Example:

Assuming that an activity having a single use record shows that 24 units of the resource ENG have been used, the statement:

GET_USAGES(_USE.RES_CODE|_USE.RES_USED)

must be edited to read: GET_USAGES("RES_CODE|RES_USED")

It then returns ENG,24.


global_editsbatchglobaleditutils

Global Edits

If the global edit you want to include in the batch definition does not exist or you need to modify an existing global edit before including it in the batch, you can do this easily by clicking the Global Edits button. This will display the Global Edits dialog box that you can use to create, copy, or modify global edits.


gomonth_popuputils

GOMONTH()

Purpose:

This function returns a date that is the specified number of months before or after a specified date.

Data Type:

Date

Syntax:

GOMONTH(<date>,<integer>)

where:

  • <date> is a date variable or user-entered date.

  • <integer> is a positive or negative integer.

Example:

Assuming that ESDATE is 05OCT04, the statement:

GOMONTH(ESDATE , -2)

returns 05AUG04.


groupsecuritypopuputils

Group

The group of which the user is a part. While groups are frequently functional entities within the organization, this is not necessarily the case, and a user may be a member of any number of groups.


has_notepopuputils

HAS_NOTE()

Purpose: | This function returns a logical value indicating whether a note is attached to an object. You can also determine whether a note with a specified category is attached to the object.
Data Type: | Logical
Syntax: | HAS_NOTE(<"string">) where: <string> is any character. This string is optional.
Example: | Assuming that an activity has a note attached, the statement HAS_NOTE() returns TRUE.
Example: | Assuming that an activity has a note in the category "Scope," the statement: HAS_NOTE("Scope") returns TRUE.


iif_popuputils

IIF()

Purpose:

This function (Immediate If) provides a means of defining conditional processing in a report.

Data Type:

Any

Syntax:

IIF(<logicexp>,<iftrue>,<iffalse>)

where:

  • <logicexp> is a logical expression.

  • <iftrue> is any valid expression.

  • <iffalse> is any valid expression.

Example:

If <logicexp> evaluates to true, the calculated field or global edit is set to the value of <iftrue>; otherwise, the calculated field or global edit is set to the value of <iffalse>.

Example: Assuming that ESDATE is 21JUN04, the statement:

IIF(ESDATE>{01JUL04}, "Underway", "Planned")

returns Planned.


inlist_popuputils

INLIST()

Purpose:

This function returns a logical value indicating whether a value is included in a list.

Data Type:

Logical

Syntax:

NLIST(<search>,<value1>, <value2>, ...)

where:

  • <search> is a variable or constant for which the function searches in the list.

  • <value1> is a variable or constant.

  • <value2> is a variable or constant.

Open Plan interprets a character argument as a comma-delimited list of items.

Example:

Assuming that the early start date month is June, the statement:

INLIST(MONTH(ESDATE),1, 4, 7, 10)

returns FALSE.

Example:

Assuming that "CHRIS" is the local portion of a resource code, the statement:

INLIST("CHRIS",GET_ASSGNS("LOCAL(RES_CODE)"))

returns TRUE for the activities to which CHRIS is assigned.


instr_popuputils

INSTR()

Purpose:

This function returns the position of the first occurrence of one string from within another string. If the string that is sought is not found, this function returns 0.

Data Type:

Integer

Syntax:

INSTR(<start>,<string1>,<string2>)

where:

  • <start> is an integer that sets the starting position for the search.

  • <string1> is the string expression being searched.

  • <string2> is the string expression being sought.

The string expressions are case sensitive.

Example:

Assuming the following string expression to be searched:

SITE COORDINATION AND DESIGN

and the following string being sought:

COORDINATION

The statement:

INSTR(1, "SITE COORDINATION AND DESIGN", "COORDINATION")

returns 6.


labelreportingcalendarpopuputils

Label

A label is used to identify each reporting period. Without a label, it would be difficult to determine, for example, whether 6/30/04 refers to the month of June 2004, the second quarter of 2004, or a fiscal year that ends on June 30, 2004.


left_popuputils

LEFT()

Purpose:

This function returns a specified number of leftmost characters in a string.

Data Type:

Character

Syntax:

LEFT(<string>,<int>)

where:

  • <string> is the string expression being searched.

  • <int> is the number of characters to be returned.

The string expression is case sensitive.

Example:

The statement:

LEFT("SITE COORDINATION AND DESIGN",4)

returns SITE.


len_popuputils

LEN()

Purpose: | This function returns a numeric value that is the length of a variable or constant.
Data Type: | Integer
Syntax: | LEN(<data>) where: <data> is a character, date, or numeric variable, or a character or numeric constant.
Example: | The statement: LEN("Dig Hole") returns 8.
Example: | Assuming the field Act_Desc is 30 characters long and contains the string "EXCAVATION", then the statement: LEN(Act_Desc) returns 10. Note that it is irrelevant that the field width is 30 characters.


level_popuputils

LEVEL()

Purpose: | This function returns the hierarchical level of an ID or code.
Data Type: | Integer
Syntax: | LEVEL(<ID>) where: <ID> is a character variable or constant.
Example: | Assuming that a code named C1 is assigned to the project, then the statement: LEVEL(C1) returns the level of the activity in the code structure.


link_field_to_lookup_tablepopuputils

Link Field To Lookup Table

Selecting this option will link the field to a Lookup Table by selecting from the lists of options below:

  • Lookup Table Type — Select the type of Lookup Table from the list.

  • Lookup Field Name — After selecting the Type, you can now select the specific field.

  • Lookup Table Name — This option is available if you previously selected a Resource or Code Table Type


list_of_tablesutils

  • Activity

  • Baseline Activity

  • Baseline Usage

  • Code Data

  • Relationship

  • Resource Data

  • Resource Assignment

  • Resource Availability

  • Resource Cost

  • Resource Escalation

  • Resource Usage


local_popuputils

LOCAL()

Purpose:

This function returns the "local" portion of an ID or code (that is, the portion of the ID or code that is not shared by other children of the same parent).

Data Type:

Character

Syntax:

LOCAL(<ID>, <level>)

where:

  • <ID> is a character variable or constant.

  • <level> is optional, specifying the level at which you want the local portion.

Example:

Assuming that a code named C1 is assigned to the project, then the statement:

LOCAL(C1)

returns the local (rightmost) portion of C1 at the current level code structure.


logical_operators_popupcalcfldglobeditutils

Logical Operators

You can include the following logical operators in a calculated field or global edit expression:

  • AND

  • NOT

  • AND NOT

  • OR

  • Group (( ))


logicpopuputils

Logic

The Logic column allows you to enter a connecting operator between the lines in the spreadsheet — a feature that enables you to build complex filters. The logic connectors include:

  • And

  • And Not

  • Or

Open Plan displays the logic connectors in the list when the cursor is in the Logic column of the spreadsheet.


lower_popuputils

LOWER()

Purpose: | This function converts alphabetic characters from uppercase to lowercase.
Data Type: | Character
Syntax: | LOWER(<string>) where: <string> is a character variable or constant.
Example: | The statement: LOWER("Dig Hole") returns dig hole.


ltrim_popuputils

LTRIM()

Purpose: | This function trims leading spaces from a string.
Data Type: | Character
Syntax: | LTRIM(<string>) where: string is a character string.
Example: | Assuming that the activity description is "^^^^^^Administration", the statement: LTRIM(ACT_DESC) returns Administration. In this example, each caret symbol (^) is used to represent a space.


matching_filterglobaleditdefpopuputils

Matching Filter

Changes to data in this field can be made only with the Professional edition of Open Plan.

The ellipsis [image] button at the right edge of this field displays the Filters dialog box that you can use to apply a filter to the global edit. In this way, you can limit the records that will be affected by the global edit.


mathematical_operators_popupcalcfldglobeditutils

Mathematical Operators

You can include the following mathematical operators in a calculated field or global edit expression:

  • Add (+)

  • Subtract (-)

  • Multiply (*)

  • Divide (/)

  • Group (( ))

  • Exponentiate (^ or **)

Expressions containing mathematical operators are evaluated according to the normal rules of precedence:

  • Grouping operations are performed before multiplication and division operations.

  • Multiplication and division operations are performed before addition and subtraction operations.


max_popuputils

MAX()

Purpose: | This function returns the maximum value from a list of variables.
Data Type: | Decimal, integer, character, date, or duration
Syntax: | MAX(<value1> [,<value 2>, ...]) where: <value1>, <value2> are decimals, integers, characters, or dates. Open Plan interprets a character argument as a comma-delimited list of items.
Example: | Assuming that value1 is 4, value2 is 25, and value3 is 66, the statement: MAX(4, 25, 66) returns 66.
Example: | Assuming that USER_CHR01 contains a comma-delimited list of the values 5, 1, 8, and 3, the statement: MAX(USER_CHR01) returns 8.


mid_popuputils

MID()

Purpose:

Beginning at a specified location within a string, this function returns a specified number of characters in a string. If the number of characters to extract is not specified, this function returns all remaining characters in the string.

Data Type:

Character

Syntax:

MID(<string>,<start>,<int>)

where:

  • <string> is the string expression being searched.

  • <start> is the beginning location of the characters to be returned.

  • <int> is optional; specifying the number of characters to be returned; if omitted, all remaining characters are returned.

The string expression is case sensitive.

Example:

The statement:

MID("SITE COORDINATION AND DESIGN", 5, 12)

returns COORDINATION.


min_popuputils

MIN()

Purpose: | This function returns the minimum value from a list of variables.
Data Type: | Decimal, integer, character, date, or duration
Syntax: | MIN(<value1>,<value 2>, ...) where: <value1>, <value2> are decimals, integers, characters, or dates. Open Plan interprets a character argument as a comma-delimited list of items.
Example: | Assuming that value1 is 4, value2 is 25, and value3 is 66, the statement: MIN(4, 25, 66) returns 4.
Example: | Assuming that USER_CHR01 contains a comma-delimited list of the values 5, 1, 2, and 3, the statement: MIN(USER_CHR01) returns 1.


month_popuputils

MONTH()

Purpose: | This function returns a 2-digit numeric value for the month.
Data Type: | Integer
Syntax: | MONTH(<date>) where: <date> is a date variable or user-entered date.
Example: | Assuming ESDATE is 05JUL04, the statement: MONTH(ESDATE) returns 7.


morepopuputils

Clicking this button expands the dialog box to display the following controls:

    • Expression — This field reflects the actual expression that is displayed in the grid. If you prefer, you can enter the filter expression directly in the text box.

    • Fields — Clicking this button displays the Fields dialog box. You can use this dialog box to select fields to include in the filter expression.

    • Functions — Clicking this button displays the Functions dialog box. You can use this dialog box to select functions to use in the filter expression.

    • Validate —When you have created a filter expression, you can click this button to have Open Plan validate the expression. If the filter expression is valid, Open Plan populates the grid with the appropriate values.

    • Less — Clicking this button hides the dialog box extension.


namebatchglobaleditutils

Name

If you are creating a new batch definition or copying an existing one, you can type in the name of the batch in this field. If you are editing an existing definition, you cannot change its name.


namebrowserviewpopuputils

Name

This field displays the name of the browser view and cannot be edited unless you are copying a browser view. If you are copying a browser view, the default name displayed is Copy_<name>, where <name> is the name of the existing browser view.

While you cannot use this dialog box to change the name of an existing browser view, you can change the name in the Open Plan Explorer. Right-click the browser view in the Open Plan Explorer that you wish to change, and click Rename on the context menu.


namecalcexppopuputils

Name

The name you enter here is displayed on all lists where you can select the calculated field.


namecopyudfieldpopuputils

Name

When the Copy User Defined Field dialog box is displayed, this field contains the name of the selected user defined field. You must change this name in order to create the new user defined field.


nameglobaleditdefpopuputils

Name

Changes to data in this field can be made only with the Professional edition of Open Plan.

This field controls the name for the global edit.

When a project is open, the default value in this field is <temporary>. By leaving this default value, you can create global edits without saving them.

In order to save a temporary global edit, you must change the <temporary> value to a different name. When you then save the global edit, the name you entered is displayed on the Global Edits dialog box.


namenewcfpopuputils

Name

The name you enter here is displayed on all lists where you can select the calculated field.


namenewudfieldpopuputils

Name

The name of the new user defined field. This is the internal name that Open Plan associates with the user defined field.


namepopuprolluputils

Name

If you are creating a new rollup definition, you can enter the name for the definition in this field.

If you are creating a copy of an existing rollup definition, the copy is given the default name of Copy_<existing name>. You can change the name if you wish.

If you are editing an existing rollup definition, its name appears in the field, but you cannot change it.


newline_popuputils

NEWLINE()

Purpose:

This function inserts one or more lines in the calculated field expression.

While this function is available for both calculated fields and global edits, it is used in only calculated fields.

The effect of the NEWLINE() function is displayed only in spreadsheet columns where wrapping is enabled.

Data Type:

Integer

Syntax:

NEWLINE(<value>)

where:

<value> is an integer representing the number of lines to be added to the expression.

<value> cannot be blank.

Example:

The expression:

" Early:"+DATEFORMAT(ESDATE,"%D%A%Y")+NEWLINE(1)+" Late: "+DATEFORMAT(LSDATE,"%D%A%Y")+NEWLINE(1)+
"Sched:"+DATEFORMAT(SSDATE,"%D%A%Y")

returns a string similar to the following:

Early:12Apr04
Late:16Apr04
Sched:14Apr04

Notice that the NEWLINE() function has forced the Late and Scheduled dates to be moved to the next line.


number_format_popuputils

NUMBER_FORMAT()

Purpose:

Returns a formatted string from a list of parameters.

Data Type:

Number

Syntax:

NUMBER_FORMAT(<integer>, <string>, <int>)

Where:

  • <integer> is the number to be formatted

  • <string> is a set of characters defining how the number should be formatted. The following characters can be used in combination with one another (except where restrictions apply):

    • "$" — Displays the native currency symbol. (This character should not be used in conjunction with "%")

    • "." — Displays a decimal point within the number. The amount of decimal places can be indicated in the optional third argument <integer>.

    • "," — Displays "thousands" separators.

    • "%" — Displays the resulting number as a percentage. (This character should not be used in conjunction with "$")

  • <int> is optional; specifying the number of decimal places to be returned. Up to 20 decimal places are allowed. If the number is set to 0, the decimal display is overridden.

If there are any unrecognized characters in the format string or if the format string contains both "$" and "%," the format string will be returned instead of a value.

A blank <string> is interpreted as a DEFAULT format, but the argument cannot be omitted.

Example:

The expression:

NUMBER_FORMAT(1000, "$.", 2)

Returns $1,000.00


number_of_decimal_placescalcfieldpopuputils

Number of Decimal Places

Defines the level of precision to be used in calculations. This field is only available for calculated fields with a Decimal data type.


objectsecuritypopuputils

Object

The items to which a group (and ultimately, the user) can have rights. For example, an object may be a project, an auxiliary file, or a view.


occurs_popuputils

OCCURS()

Purpose:

This function returns the number of times a string occurs within another string.

Data Type:

Integer

Syntax:

OCCURS(<string1>,<string2>)

where:

  • <string1> is the string expression to be searched.

  • <string2> is the substring to be searched.

The string expressions are case sensitive.

Example:

The statement:

OCCURS("Bright light circuits","ight")

returns 2.


of_typeglobaleditdefpopuputils

Of Type

Displays which of the following types of data is stored in the selected field of the data table:

  • Date

  • Decimal

  • Duration

  • Finish Date

  • Integer

  • Character

  • Logical

  • Enumerated values. Open Plan recognizes the following enumeration types:

ACTS | Activity status | RELT | Relationship type
ACTT | Activity type | RESC | Resource class
BOOL | Boolean | REST | Resource type
CRIT | Critical flag | RSCL | Resource scheduling type
CURV | Curve | TARG | Target type
PROG | Progress |  |


operatorpopuputils

Operator

The Operator column lets you include a variable to evaluate whether a given activity meets the requirements of the filter expression.

In the following example, the operator Less Than tells Open Plan to select activities with total float less than 10:

Field Name | Operator | Value 1
Total Float | Less than | 10

You can choose from the following list of operators:

  • Between

  • Contains

  • Equals

  • Greater or Equals

  • Greater Than

  • Is Empty

  • Less or Equals

  • Less Than

  • Not Between

  • Not Contains

  • Not Empty

  • Not Equals

The choices available from this list are dependent on the field entered in the Field Name column.

The Contains operator is case-sensitive. Criteria entered using this expression must be typed in the same case as the original value. If the same case is not used, no results will be displayed.


ownerbrowserviewpopuputils

Owner

This field displays the user name of the browser view’s owner and cannot be edited using this dialog box.

If you are the owner of a browser view or you have system administrator access, you can use the Access Control tab of the view’s Properties dialog box to change the owner.


parent_popuputils

PARENT()

Purpose:

This function returns the parent ID of a specified level for an ID or code.

Data Type:

Character

Syntax:

PARENT(<ID>, <level>)

where:

  • <ID> is a character variable or constant.

  • <level> is optional; specifying the level at which you want the local portion.

Example:

Assuming that a code named C1 is assigned to the project, then the statement:

PARENT(C1)

returns the ID of the immediate parent of the selected activity in the code structure.


project_level_variables_popupcalcfldglobeditutils

Project Level Variables

You can instruct Open Plan to use project-level data from the current project or external subproject by specifying _proj. or _subp. as a prefix to the field. For example:

  • _proj.manager_email_address returns the email address of the project manager to the calculated field or global edit

  • _subp.project_name returns the name of the subproject to the calculated field or global edit


record_number_popuputils

RECORD_NUMBER()

Purpose: | This function provides a unique number that can be used to identify a particular record.
Data Type: | Integer
Syntax: | RECORD_NUMBER() where: < No arguments >
Example: | FIELD RECORD_NUMBER() (Most useful during general Export)


referencespropertiespopupcommon

References

This tab is displayed for all auxiliary files.

In addition to information about the file type, name, description, and owner of the file, the References tab provides a list of projects that reference the file. In the case of calendar and code files, the References tab also lists the resource files that reference the file.


relational_operators_popupcalcfldglobeditutils

Relational Operators

Expressions for calculated fields or global edits can include the following relational operators:

  • Equal to (=)

  • Not equal to (<>)

  • Greater than (>)

  • Greater than or equal to (>=)

  • Less than (<)

  • Less than or equal to (<=)

  • Contained in ($)


replace_values_inglobaleditdefpopuputils

Replace Values In

Changes to data in this field can be made only with the Professional edition of Open Plan.

Controls the field of the data table to which the global edit applies.


right_popuputils

RIGHT()

Purpose:

This function returns a specified number of rightmost characters in a string.

Data Type:

Character

Syntax:

RIGHT(<string>,<int>)

where:

  • <string> is the string expression being searched.

  • <int> is the number of characters to be returned.

The string expression is case sensitive.

Example:

The statement:

RIGHT("SITE COORDINATION AND DESIGN",6)

returns DESIGN.


rolesecuritypopuputils

Role

The functional role that the group or user has under a given set of circumstances.


round_popuputils

ROUND()

Purpose:

This function returns a numeric or duration value rounded to a specified precision.

Data Type:

Decimal, integer, or duration

Syntax:

ROUND(<value>, <precision>, <type>)

where:

  • <value> is a numeric variable or constant.

  • <precision> is a positive or negative number. If positive, it represents the number of decimal places. A negative precision represents rounding that occurs to the left of the decimal point. In other words, it is integer rounding with the decimal point being at precision 0 and that -1 represents units of 10, -2 represents units of 100, and –3 represents units of 1000 (10 to the first, second, and third powers, respectively). For example, with a precision of -1, the last two digits of a given number will be rounded to the nearest multiple of 10.

    • You can also modify the precision of a duration using one of the following codes:

    • – t — (minutes)

    • – h — (hours)

    • – d — (days)

    • – w — (weeks)

    • – m — (months)

    This parameter is optional. If used, the code indicating the duration precision is a string and must be placed within quotation marks.

  • <type> is an optional argument indicating how Open Plan should round. Valid values are "up" (rounds all decimals up), "down" (rounds all decimals down), or the field can be empty (rounds up values ³.5, and rounds down values <.5). This parameter is optional.

Example:

The statement:

ROUND(458.9763, 2, "up")

returns 458.98.

Example:

The statement:

ROUND(orig_dur /3.0, "d")

returns the original duration divided by 3.0 and rounded up to the nearest day.

Example:

The statement:

ROUND(4589, -2)

returns 4600.


sasort_expression_syntaxutils

Related Topics:

Using Sorts

Using the New Sort Dialog Box

Using the Sort Expression Dialog Box

Related Procedures:

Sorting Data in a View

Sorting Data on a Calculated Field

Sorting the Data in a Spreadsheet


sausing_sortsutils

Related Topics:

Sort Expression Syntax

Using the New Sort Dialog Box

Using the Sort Expression Dialog Box

Related Procedures:

Sorting Data in a View

Sorting Data on a Calculated Field

Sorting the Data in a Spreadsheet


seealso_login_lockoututils

Related Topics:

Basic Skills

Understanding the Security Administrator Login Message Function

Understanding the Security Administrator Session Termination Function

Understanding the Security Administrator User Notification Function


seealso_login_messageutils

Related Topics:

Basic Skills

Understanding the Security Administrator Login Lockout Function

Understanding the Security Administrator Session Termination Function

Understanding the Security Administrator User Notification Function


seealso_session_terminationutils

Related Topics:

Basic Skills

Understanding the Security Administrator Login Lockout Function

Understanding the Security Administrator Login Message Function

Understanding the Security Administrator User Notification Function


seealso_user_notificationutils

Related Topics:

Basic Skills

Using the Send Message Dialog Box

Understanding the Security Administrator Login Lockout Function

Understanding the Security Administrator Login Message Function

Understanding the Security Administrator Session Termination Function


seealso_using_calculated_fieldsutils

Related Topics:

Using the Calculated Fields Dialog Box

Using the New Calculated Field Dialog Box

Using the Calculated Field Expression Dialog Box

Using the Functions Dialog Box

Related Procedures:

Filtering Data on a Calculated Field

Sorting Data on a Calculated Field

Creating a New Calculated Field

Copying a Calculated Field

Editing a Calculated Field

Deleting a Calculated Field

Deleting a Calculated Field on which a Temporary Calculated Field is Based


seealso_using_filtersutils

Related Topics:

Using the Filters Dialog Box

Using the New Filter Dialog Box

Using the Filter Expression Dialog Box

Using the Calculated Fields Dialog Box

Related Procedures:

Applying a Filter to a View

Filtering Data on a Code Level

Filtering Data on a Calculated Field


seealso_using_global_editsutils

Related Topics:

Using the Global Edits Dialog Box

Using the Global Edit Definition Dialog Box

Using the Fields Dialog Box

Using the Batch Global Edit Dialog Box

Using the Batch Global Edit Definition Dialog Box

Using the Functions Dialog Box

Using the Select a Value Dialog Box

Using the Filters Dialog Box

Related Procedures:

Applying a Global Edit to a Project or Resource File

Creating a New Global Edit Definition

Copying a Global Edit Definition

Editing an Existing Global Edit Definition

Deleting a Global Edit Definition

Creating a Batch Global Edit Definition


seealso_using_note_categoriesutils

Related Topics:

Activity Details Notes Tab

Using the Activity Progress Notes Tab

Resource Details Notes Tab

Using the Code Details Dialog Box

Using the Project Properties Notes Tab

Using the Manage Note Categories Dialog Box

Using the Note Category Dialog Box

Related Procedures:

Attaching a Note to an Activity

Attaching a Note to a Resource

Attaching a Note to a Code

Printing Notes With a Report

Creating a Note Category

Editing a Note Category

Deleting a Note Category


seealso_using_open_plan_securityutils

Related Topics:

Using the Change Password Dialog Box

Using the Open Plan Login Dialog Box

Using the Project Properties Access Control Tab

Related Procedures:

Changing Your Login Password

Granting File Access Rights


seealso_using_reporting_calendarsutils

Related Topics:

Date Scale Preferences Report Calendar Tab

Using the Manage Reporting Calendars Dialog Box

Using the Add Reporting Calendar Dialog Box

Using the Copy Reporting Calendar Dialog Box

Using the Edit Reporting Calendar Dialog Box

Related Procedures:

Customizing a Date Scale

Creating a New Reporting Calendar

Editing a Reporting Calendar

Copying a Reporting Calendar

Deleting a Reporting Calendar


seealso_using_the_add_reporting_calendar_dialog_boxutils

Related Topics:

Using Reporting Calendars

Using the Manage Reporting Calendars Dialog Box

Using the Copy Reporting Calendar Dialog Box

Using the Edit Reporting Calendar Dialog Box

Related Procedures:

Creating a New Reporting Calendar

Editing a Reporting Calendar

Copying a Reporting Calendar

Deleting a Reporting Calendar


seealso_using_the_batch_global_edit_definition_dialog_boxutils

Related Topics:

Using Global Edits

Using the Global Edits Dialog Box

Using the Global Edit Definition Dialog Box

Using the Batch Global Edit Dialog Box

Using the Fields Dialog Box

Using the Functions Dialog Box

Using the Select a Value Dialog Box

Using the Filters Dialog Box

Related Procedures:

Creating a Batch Global Edit Definition

Applying a Global Edit to a Project or Resource File

Creating a New Global Edit Definition

Editing an Existing Global Edit Definition

Deleting a Global Edit Definition


seealso_using_the_batch_global_edit_dialog_boxutils

Related Topics:

Using Global Edits

Using the Global Edits Dialog Box

Using the Global Edit Definition Dialog Box

Using the Batch Global Edit Definition Dialog Box

Using the Fields Dialog Box

Using the Functions Dialog Box

Using the Select a Value Dialog Box

Using the Filters Dialog Box

Related Procedures:

Creating a Batch Global Edit Definition

Applying a Global Edit to a Project or Resource File

Creating a New Global Edit Definition

Editing an Existing Global Edit Definition

Deleting a Global Edit Definition


seealso_using_the_browser_view_definition_dialog_boxutils

Related Topics:

Using the Browser Views Dialog Box

Using the New Browser View Dialog Box

Related Procedures:

Creating a Browser View

Copying a Browser View

Editing a Browser View

Deleting a Browser View


seealso_using_the_browser_views_dialog_boxutils

Related Topics:

Using the New Browser View Dialog Box

Using the Browser View Definition Dialog Box

Related Procedures:

Creating a Browser View

Copying a Browser View

Editing a Browser View

Deleting a Browser View


seealso_using_the_calculated_field_expression_dialog_boxutils

Related Topics:

Using the Calculated Fields Dialog Box

Using the Fields Dialog Box

Using the Functions Dialog Box

Using the Sorts Dialog Box

Using the Filters Dialog Box

Related Procedures:

Creating a New Calculated Field

Copying a Calculated Field

Editing a Calculated Field

Deleting a Calculated Field

Deleting a Calculated Field on which a Temporary Calculated Field is Based

Filtering Data on a Code Level

Filtering Data on a Calculated Field

Sorting Data on a Calculated Field


seealso_using_the_calculated_fields_dialog_boxutils

Related Topics:

Using the New Calculated Field Dialog Box

Using the Calculated Field Expression Dialog Box

Using the Functions Dialog Box

Related Procedures:

Creating a New Calculated Field

Copying a Calculated Field

Editing a Calculated Field

Deleting a Calculated Field

Deleting a Calculated Field on which a Temporary Calculated Field is Based


seealso_using_the_change_password_dialog_boxutils

Related Topics:

Using Open Plan Security

Using the Open Plan Login Dialog Box

Related Procedure:

Changing Your Login Password


seealso_using_the_copy_reporting_calendar_dialog_boxutils

Related Topics:

Using Reporting Calendars

Using the Manage Reporting Calendars Dialog Box

Using the Add Reporting Calendar Dialog Box

Using the Edit Reporting Calendar Dialog Box

Related Procedures:

Creating a New Reporting Calendar

Editing a Reporting Calendar

Copying a Reporting Calendar

Deleting a Reporting Calendar


seealso_using_the_copy_user_defined_field_dialog_boxutils

Related Topics:

Using User Defined Fields

Using the User Defined Fields Dialog Box

Using the New User Defined Field Dialog Box

Using the Edit User Defined Field Dialog Box

Related Procedure:

Copying a User Defined Field


seealso_using_the_edit_reporting_calendar_dialog_boxutils

Related Topics:

Using Reporting Calendars

Using the Manage Reporting Calendars Dialog Box

Using the Add Reporting Calendar Dialog Box

Using the Copy Reporting Calendar Dialog Box

Related Procedures:

Creating a New Reporting Calendar

Editing a Reporting Calendar

Copying a Reporting Calendar

Deleting a Reporting Calendar


seealso_using_the_edit_user_defined_field_dialog_boxutils

Related Topics:

Using User Defined Fields

Using the User Defined Fields Dialog Box

Using the New User Defined Field Dialog Box

Using the Copy User Defined Field Dialog Box

Related Procedure:

Editing a User Defined Field


seealso_using_the_fields_dialog_boxutils

Related Topics:

Using the Calculated Fields Dialog Box

Using the Calculated Field Expression Dialog Box

Using the Global Edits Dialog Box

Using the Global Edit Definition Dialog Box

Using the Functions Dialog Box

Using the Spreadsheet Preferences Dialog Box

Related Procedures:

Creating a New Calculated Field

Copying a Calculated Field

Editing a Calculated Field

Deleting a Calculated Field

Deleting a Calculated Field on which a Temporary Calculated Field is Based


seealso_using_the_filter_expression_dialog_boxutils

Related Topics:

Using the Filters Dialog Box

Using the New Filter Dialog Box

Related Procedures:

Creating a New Filter

Copying a Filter

Editing a Filter

Deleting a Filter


seealso_using_the_filters_dialog_boxutils

Related Topics:

Using Filters

Using the New Filter Dialog Box

Using the Filter Expression Dialog Box

Using the Sorts Dialog Box

Using the Calculated Fields Dialog Box

Using the Placements Dialog Box

Related Procedures:

Add to Filter

Applying a Filter to a View

Clear Filter

Creating a New Filter

Copying a Filter

Deleting a Filter

Edit Expression

Editing a Filter

Filtering Data on a Code Level

Filtering Data on a Calculated Field

Reapply Filter/Sort

Remove from Filter

Toggle Filter


seealso_using_the_functions_dialog_boxutils

Related Topics:

Using the Calculated Fields Dialog Box

Using the Calculated Field Expression Dialog Box

Using the Global Edits Dialog Box

Using the Global Edit Definition Dialog Box

Using the Fields Dialog Box

Related Procedures:

Creating a New Calculated Field

Copying a Calculated Field

Editing a Calculated Field

Deleting a Calculated Field

Deleting a Calculated Field on which a Temporary Calculated Field is Based


seealso_using_the_global_edit_definition_dialog_boxutils

Related Topics:

Using Global Edits

Using the Global Edits Dialog Box

Using the Batch Global Edit Dialog Box

Using the Global Edit Definition Dialog Box

Using the Fields Dialog Box

Using the Functions Dialog Box

Using the Select a Value Dialog Box

Using the Filters Dialog Box

Related Procedures:

Applying a Global Edit to a Project or Resource File

Creating a New Global Edit Definition

Editing an Existing Global Edit Definition

Deleting a Global Edit Definition

Creating a Batch Global Edit Definition


seealso_using_the_global_edits_dialog_boxutils

Related Topics:

Using Global Edits

Using the Global Edit Definition Dialog Box

Using the Batch Global Edit Dialog Box

Using the Fields Dialog Box

Using the Functions Dialog Box

Using the Select a Value Dialog Box

Using the Filters Dialog Box

Related Procedures:

Applying a Global Edit to a Project or Resource File

Creating a New Global Edit Definition

Editing an Existing Global Edit Definition

Deleting a Global Edit Definition

Creating a Batch Global Edit Definition


seealso_using_the_group_deletion_dialog_boxutils

Related Topic:

Using the Select File to Delete Dialog Box

Related Procedure:

Deleting a Group of Data Records


seealso_using_the_manage_note_categories_dialog_boxutils

Related Topics:

Using Note Categories

Using the Note Category Dialog Box

Related Procedures:

Attaching a Note to an Activity

Attaching a Note to a Resource

Attaching a Note to a Code

Creating a Note Category

Editing a Note Category

Deleting a Note Category


seealso_using_the_manage_reporting_calendars_dialog_boxutils

Related Topics:

Using Reporting Calendars

Using the Add Reporting Calendar Dialog Box

Using the Copy Reporting Calendar Dialog Box

Using the Edit Reporting Calendar Dialog Box

Related Procedures:

Creating a New Reporting Calendar

Editing a Reporting Calendar

Copying a Reporting Calendar

Deleting a Reporting Calendar


seealso_using_the_new_browser_view_dialog_boxutils

Related Topics:

Using the Browser Views Dialog Box

Using the Browser View Definition Dialog Box

Related Procedures:

Creating a Browser View

Copying a Browser View

Editing a Browser View

Deleting a Browser View


seealso_using_the_new_calculated_field_dialog_boxutils

Related Topics:

Using the Calculated Fields Dialog Box

Using the Calculated Field Expression Dialog Box

Related Procedures:

Creating a New Calculated Field

Copying a Calculated Field

Editing a Calculated Field

Deleting a Calculated Field

Deleting a Calculated Field on which a Temporary Calculated Field is Based


seealso_using_the_new_filter_dialog_boxutils

Related Topics:

Using the Filter Expression Dialog Box

Using the Filters Dialog Box

Related Procedures:

Creating a New Filter

Copying a Filter


seealso_using_the_new_sort_dialog_boxutils

Related Topics:

Using the Sorts Dialog Box

Using the Sort Expression Dialog Box

Related Procedure:

Creating a New Sort Criterion


seealso_using_the_new_user_defined_field_dialog_boxutils

Related Topics:

Using User Defined Fields

Using the User Defined Field Dialog Box

Using the Copy User Defined Field Dialog Box

Using the Edit User Defined Field Dialog Box

Related Procedure:

Creating a New User Defined Field


seealso_using_the_note_category_dialog_boxutils

Related Topics:

Using Note Categories

Using the Manage Note Categories Dialog Box

Related Procedures:

Attaching a Note to an Activity

Attaching a Note to a Resource

Attaching a Note to a Code

Creating a Note Category

Editing a Note Category

Deleting a Note Category


seealso_using_the_open_plan_log_viewerutils

Related Topics:

Using Reporting Calendars

Using Filters

Using Sorts

Using Calculated Fields

Using User Defined Fields

Using the Spread Curve Dialog Box

Using Global Edits

Using the Email Advisor

Using the Options Dialog Box

Using Note Categories

Custom Tools

Using Open Plan Security


seealso_using_the_open_plan_login_dialog_boxutils

Related Topics:

Using Open Plan Security

Using the Change Password Dialog Box

Using the Data Sources Dialog Box

Related Procedure:

Changing Your Login Password


seealso_using_the_rollup_definition_dialog_boxutils

Related Topic:

Using the Rollups Dialog Box

Related Procedures:

Creating a Rollup Definition

Editing a Rollup Definition

Copying a Rollup Definition


seealso_using_the_rollups_dialog_boxutils

Related Topic:

Using the Rollup Definition Dialog Box

Related Procedures:

Creating a Rollup Definition

Editing a Rollup Definition

Copying a Rollup Definition


seealso_using_the_select_a_value_dialog_boxutils

Related Topics:

Using Global Edits

Using the Global Edits Dialog Box

Using the Global Edit Definition Dialog Box

Using the Fields Dialog Box

Using the Functions Dialog Box

Using the Filters Dialog Box

Related Procedures:

Applying a Global Edit to a Project or Resource File

Creating a New Global Edit Definition

Editing an Existing Global Edit Definition

Deleting a Global Edit Definition


seealso_using_the_sort_expression_dialog_boxutils

Related Topics:

Using the New Sort Dialog Box

Using the Sorts Dialog Box

Using the Filters Dialog Box

Using the Calculated Fields Dialog Box

Sort Expression Syntax

Related Procedures:

Creating a New Sort Criterion

Copying a Sort Criterion

Editing a Sort Criterion

Deleting a Sort Criterion


seealso_using_the_sorts_dialog_boxutils

Related Topics:

Using the New Sort Dialog Box

Using the Sort Expression Dialog Box

Using the Temporary Sort Expression Dialog box

Using the Filters Dialog Box

Using the Calculated Fields Dialog Box

Related Procedures:

Sorting Data in a View

Sorting Data on a Calculated Field


seealso_using_the_temporary_sort_expression_dialog_boxutils

Related Topics:

Using the Sorts Dialog Box

Using the Fields Dialog Box

Using the Functions Dialog Box

Sort Expression Syntax

Related Procedure:

Creating a Temporary Sort


seealso_using_the_user_defined_fields_dialog_boxutils

Related Topics:

Using User Defined Fields

Using the New User Defined Field Dialog Box

Using the Copy User Defined Field Dialog Box

Using the Edit User Defined Field Dialog Box

Related Procedures:

Creating a New User Defined Field

Copying a User Defined Field

Editing a User Defined Field

Deleting a User Defined Field


seealso_using_user_defined_fieldsutils

Related Topics:

Using the User Defined Fields Dialog Box

Using the New User Defined Field Dialog Box

Using the Copy User Defined Field Dialog Box

Using the Edit User Defined Field Dialog Box

Related Procedures:

Creating a New User Defined Field

Copying a User Defined Field

Editing a User Defined Field

Deleting a User Defined Field


Sort Expression Syntax

The syntax for a sort expression is:

<sort_field1>,<sort order>|<sort_field2>,<sort order>|…

where:

  • Each of the <sort_fieldx> values is either the name of an existing field on the appropriate table or the definition of a calculated field for that table.

  • The sort order indicates an ascending (0) or a descending (1) sort.

  • The piping symbol (|) separates the sorts you create.

For example, the following expression:

ORIG_DUR,0|ACT_ID,1

would first sort ascending the original duration field and then within that would sort descending the activity ID field.

Related Topics and Procedures


space_popuputils

SPACE()

Purpose: | This function returns a specified number of space characters.
Data Type: | Character
Syntax: | SPACE(<int>) where: <int> is the number of space characters to be returned.
Example: | The statement: SPACE(6) returns six space characters.


sqrt_popuputils

SQRT()

Purpose: | This function returns the square root of the absolute value of a numeric value.
Data Type: | Decimal or integer
Syntax: | SQRT(<value>) where: <value> is a numeric variable or constant.
Example: | The statement: SQRT(4) returns 2.


standard_date_formats

Return

The following table lists the parameters that can be included in the DATEFORMAT function:

Parameter | Definition | Example
%T | Minute | 15
%H | Hour | 08
%Z | AM or PM | AM or PM
%OZ | AM or PM (lower case) | am or pm
%D | Day of the month | 31
%V | Day | Tuesday
%OV | Day (lower case) | tuesday
%UV | Day (upper case) | TUESDAY
%W | Day abbreviation | Tues
%OW | Day abbreviation (lower case) | tues
%UW | Day abbreviation (upper case) | TUES
%F | First letter of name of day of the week | T
%OF | First letter of the name of day of the week (lower case) | t
%UF | First letter of the name of day of the week (upper case) | T
%K | Numeric week | 22
%M | Numeric month | 10
%L | Month | October
%OL | Month (lower case) | october
%UL | Month (upper case) | OCTOBER
%A | Month abbreviation | Oct
%OA | Month abbreviation (lower case) | oct
%UA | Month abbreviation (upper case) | OCT
%S | First letter of name of month | O
%OS | First letter of name of month (lower case) | o
%US | First letter of name of month (upper case) | O
%Q | Numeric quarter | 4
%C | Year | 2004
%Y | Two-digit year | 04

You can combine parameters to define date formats provided that you do not include two parameters that represent the same time unit. You can also include spaces and literal characters in the format text box, as shown in the following examples:

Format | Example
%H:%T %Z. | 07:15 PM
%W %D %A %H:%T | Mon 13 Sep 19:15
%M/%D/%Y | 09/13/04
Q%Q | Q1


str_popuputils

STR()

Purpose:

This function converts a numeric to a character variable. It can also be used to return a date in a specified date field.

Data Type:

Character

Syntax:

STR(<value>, <length>, <decimal>)

where:

  • <value> is a decimal, integer, or duration.

  • <length> is a numeric or constant representing the length of the resultant character string including the decimal point and decimal places. This parameter is optional.

  • <decimal> is a numeric variable or constant representing the number of decimal places. This parameter is optional.

While the second and third parameters are optional, if you enter one, you must enter the other. The string is specified with the desired number of decimal places; then if needed, spaces are added as pad characters to the beginning of the string to fulfill the string length requirement.

Example:

The statement:

STR(1.2345, 3, 1)

returns 1.2.

Syntax:

STR(<date field>)

where:

<date field> is a date field.

Example:

Assuming that ESDATE is October 5, 2004, the statement:

STR(ESDATE)

returns 05OCT04.


strtran_popuputils

STRTRAN()

Purpose:

Within a string, this function replaces one substring with another substring and returns the revised string.

Data Type:

Character

Syntax:

STRTRAN(<string1>,<string2>,<string3>)

where:

  • <string1> is the string expression being searched.

  • <string2> is the substring to be replaced.

  • <string3> optional; is the replacement string; if omitted, a null string is assumed and <string2> is simply deleted.

The string expressions are case sensitive.

Example:

The statement:

STRTRAN("SITE MANAGEMENT","MANAGEMENT","SPECIFICATION")

returns SITE SPECIFICATION.


stuff_popuputils

STUFF()

Purpose:

Beginning with a specified location within a string, this function replaces a specified number of characters with another substring and returns the revised string.

Data Type:

Character

Syntax:

STUFF(<string1>,<start>,<int>,<string2>)

where:

  • <string1> is the string expression being searched.

  • <start> is the position in the string expression where the replacement should begin.

  • <int> is the number of characters to be removed before a replacement string is inserted; if 0, no characters are removed.

  • <string2> optional; specifies the replacement string; if omitted, a null string is assumed and the characters specified by <int1> and <int2> are simply deleted.

The string expressions are case-sensitive.

Example:

The statement:

STUFF("SITE MANAGEMENT",6,10,"SPECIFICATION")

returns SITE SPECIFICATION.


substr_popuputils

SUBSTR()

Purpose:

This function copies a specified part of a character string.

Data Type:

Character

Syntax:

SUBSTR(<string>, <start>, <length>)

where:

  • <string> is a character string.

  • <start> is a numeric variable or constant representing the first character to be copied.

  • <length> is a numeric variable or constant representing the length of the character string to be copied. This parameter is optional.

Example:

The statement:

SUBSTR("ABCDEF", 3, 2)

returns CD.

Example:

Assuming the ID = "P100", the statement:

SUBSTR(ID, 1, 2)

returns P1.


temporary_filterspopuputils

Temporary Filters

Temporary filters are used when you want a filter for a one-time use. For example, assume that you want a list of the activities scheduled to start "today." While you would be able to do this with a filter, it would not be a filter that you would necessarily want to save or use another time. In this case, a temporary filter is a good solution.

Open Plan requires that you define "today" as a specific date and time range. Therefore, if "today" were May 4, 2004, you would enter one of the following expressions in the Filter Expression dialog box:

  • ESDATE>{03MAY04 23:59} AND ESDATE<{05MAY04 00}

  • ESDATE BETWEEN({03MAY04 23:59},{05MAY04 00})

The temporary filter that you create is available only in the view in which it was defined and only until superseded by another filter.

In the case of a multi-table spreadsheet, the temporary filter expression you create in this dialog box can be applied only to fields in the primary table. To filter the spreadsheet based on a field in a secondary table, you must create the temporary filter expression using the Filters column of the Define Link tab of the Spreadsheet Preferences dialog box.

If you save a view while a temporary filter is in effect, Open Plan saves the view with the filter applied.


timenow_popuputils

TIMENOW()

Purpose: | This function returns the currently set Time Now date.
Data Type: | Date
Syntax: | TIMENOW()
Example: | Assuming the currently set Time Now date is October 5, 2004, the statement: TIMENOW() returns 05OCT04.


trim_popuputils

TRIM()

Purpose: | This function removes trailing blanks from a character variable or constant.
Data Type: | Character
Syntax: | TRIM(<string>) where: <string> is a character variable or constant.
Example: | Assuming that the activity description is "Administration^^^^^^^^^^", the statement: TRIM(ACT_DESC)+"!!!" returns Administration!!!. In this example, each caret symbol (^) is used to represent a space.


upper_popuputils

UPPER()

Purpose: | This function converts alphabetic characters from lowercase to uppercase.
Data Type: | Character
Syntax: | UPPER(<string>) where: <string> is a character variable or constant.
Example: | The statement: UPPER("Dig Hole") returns DIG HOLE.


user_id_popuputils

USER_ID()

Purpose: | Returns name of current user.
Data Type: | String
Syntax: | USER_ID(<string>)
Example: | USER_ID() returns "SYSADMIN."


usersecuritypopuputils

User

The individual


val_popuputils

VAL()

Purpose: | This function converts a character string to a numeric value. It can also be used to convert durations to minutes.
Data Type: | Decimal or integer
Syntax: | VAL(<string>) where: <string> is a character or duration. If <string> is not a valid numeric value, VAL converts the string starting at the leftmost character until an invalid numeric is encountered. Integer zero is returned if the string does not start with a valid numeric value.
Example: | The statement: VAL("1678") returns 1678.
Example: | Assuming that the original duration of an activity is 100 days, the statement: VAL(ORIG_DUR) returns 48000 based on conversion preferences set for the project of 8 hours per work day.


value_1popuputils

Value 1

The values available for a filter expression depend on the type of field used in the expression. For example:

  • If you select a text, numeric, or date field, Open Plan allows you to choose another field from the table (including calculated fields and previously defined filters), or you can enter a text, numeric, or date constant.

    • If you enter a constant for a filter expression based on a text field, you must enter the text string using quotation marks.

  • If you select an enumerated field for the expression, Open Plan displays a list of valid choices from which you can select. For example, the Activity Type field is an enumerated field whose valid values include ASAP, ALAP, Subproject, and so on.

  • If you select a logical field for the expression, Open Plan allows you to select either True or False as a value.


value_2popuputils

Value 2

You can enter a value in this column when any of the following conditions exists:

  • The operator in the expression is Between

  • The operator in the expression is Not Between

  • You are inserting a closing parenthesis in a complex filter expression

The Value 2 column allows you to build an expression such as the following:

Field Name

Total Float

Operator

Between

Value 1

5

Value 2

10

This filter tells Open Plan to select activities with total float between 5 and 10 inclusive.

The values available for a filter expression depend on the type of field used in the expression.

When entering a duration, be sure to enclose the value with the pipe (|) symbol (for example, |4|)


with_expressionglobaleditdefpopuputils

With Expression

Controls the expression that will replace the data in the selected data table field. The expression must create data of the same type as the data it will replace. For example, if the global edit replaces a date, the global expression must also create a date.

An expression defining a global edit can include the following elements:

  • Character operators

  • Constants

  • Duration operators

  • Field names

  • Functions

  • Logical operators

  • Mathematical operators

  • Calculated fields

  • Relational operators


year_popuputils

YEAR()

Purpose: | This function returns a 4-digit numeric value for the year.
Data Type: | Integer
Syntax: | YEAR(<date>) where: <date> is a date variable or user-entered date.
Example: | Assuming ESDATE is 12JUL04, the statement: YEAR(ESDATE) returns 2004.


_of_axesdatescalepopupview

# of Axes

The # of Axes option controls the number of lines in the date scale.


actual_cost_of_work_performed_acwpcumpopupview

Actual Cost of Work Performed (cumulative)

This value represents the actual cost of the work performed on the activity or project from its inception to Time Now.

The Actual Cost of Work Performed (cumulative) is calculated according to the following formula:

ACWP_LAB + ACWP_MAT + ACWP_ODC + ACWP_SUB

Open Plan has two methods for acquiring actual quantity:

  • You may enter the actual quantity directly into the Resources tab of the Activity Progress dialog box.

  • You may allow Open Plan to calculate the actual quantity based on the activity status.

The method used depends on settings made on the General tab of the Resource Details dialog box.


autoscalingdatescalepopupview

Autoscaling

This button displays the Automatic Scaling dialog box that you can use to control the date range to be displayed on a single screen.


axis_heightdatescalepopupview

Axis Height

Controls the height of the axis.


axis_number_popupview

Axis Number

Identifies the axis for which you are setting a date scale. When you click within the date scale in the preview window, Open Plan displays the axis number of the selected row.


budget_at_completion_bacpopupview

Budget At Completion (cumulative)

This value represents the total budgeted cost of the activity or project and is calculated from the costs of the Project Measurement Baseline (PMB) using the following formula:

BAC_LAB + BAC_MAT + BAC_ODC + BAC_SUB

If the PMB does not exist, Open Plan uses the currently selected baseline, or, in the case of multiple baselines, the first selected baseline.


budgeted_cost_of_work_performed_bcwpcumpopupview

Budgeted Cost of Work Performed (cumulative)

This value represents the sum of the budgets for the completed work PMB. The cumulative budgeted cost of work performed (BCWP) is frequently referred to as earned value (EV). This value is calculated according to the following formula:

BCWP_LAB + BCWP_MAT + BCWP_ODC + BCWP_SUB


controlling_axisreportcalendarpopupdatescaleview

Controlling Axis

This field controls which axis should determine how the time scale is drawn. Each axis contains a single reporting calendar. The remaining reporting calendars defined for the date scale are drawn based on the controlling reporting calendar.

For example if the controlling axis contains a date each quarter, a resource histogram would display quarterly values even if another axis contains a date each month.


cost_performance_index_cpipopupview

Cost Performance Index (CPI)

This value represents the cost efficiency factor representing the relationship between the actual costs expended and the value of the physical work performed. This value is calculated according to the following formula:

BCWPcum / ACWPcum

Where:

BCWPcum is a standard calculated field representing the cumulative calculated budgeted cost of the work performed on the activity or project.

ACWPcum is a standard calculated field that represents the cumulative actual cost of the work performed on the activity or project.

The resource category (labor, material, other direct cost, or subcontract) is defined in the Category field of the Resource Details dialog box.


cost_variance_cvpopupview

Cost Variance (CV)

This value represents the numerical difference between the earned value (BCWP) and the actual cost (ACWP) and is calculated according to the following formula:

BCWPcum – ACWPcum

Where:

BCWPcum is a standard calculated field that represents the cumulative budgeted cost of the work performed on the activity or project.

ACWPcum is a standard calculated field that represents the cumulative actual cost of the work performed on the activity or project.


countdatescalepopupview

Count

This field controls the frequency with which Open Plan should mark the time unit. For example, if the time unit is months and the count is 3, Open Plan would mark every third month.


date_formats_exampleview

Return

You can specify the appearance of the dates in the date scale by entering a format for the date. The following table lists the parameters that can be included:

Parameter | Definition | Example
%T | Minute | 15
%H | Hour | 08
%Z | AM or PM | AM or PM
%OZ | AM or PM (lower case) | am or pm
%D | Day of the month | 31
%V | Day | Tuesday
%OV | Day (lower case) | tuesday
%UV | Day (upper case) | TUESDAY
%W | Day abbreviation | Tues
%OW | Day abbreviation (lower case) | tues
%UW | Day abbreviation (upper case) | TUES
%F | First letter of name of day of the week | T
%OF | First letter of the name of day of the week (lower case) | t
%UF | First letter of the name of day of the week (upper case) | T
%K | Numeric week | 22
%M | Numeric month | 10
%L | Month | October
%OL | Month (lower case) | october
%UL | Month (upper case) | OCTOBER
%A | Month abbreviation | Oct
%OA | Month abbreviation (lower case) | oct
%UA | Month abbreviation (upper case) | OCT
%S | First letter of name of month | O
%OS | First letter of name of month (lower case) | o
%US | First letter of name of month (upper case) | O
%Q | Numeric quarter | 4
%C | Year | 2004
%Y | Two-digit year | 04
%R%H | Relative hours | 100
%R%D | Relative days | 3
%R%K | Relative weeks | 22
%R%M | Relative months | 4
%R%Q | Relative quarters | 2
%R%Y | Relative years | 1

Because the %R parameters return only a numeric value, combine them with literal characters to make them more informative.

You can combine parameters to define date formats provided that you do not include two parameters that represent the same time unit. You can also include spaces and literal characters in the format text box, as shown in the following examples:

Format | Example
%H:%T %Z | 07:15 PM
%W %D %A %H:%T | Mon 15 Sep 19:15
%M/%D/%C | 09/15/04
Q%Q | Q1
%R%H Hours | 100 Hours
Day %R%D | Day 3


displaying_the_automatic_scaling_dialog_boxview

To display the Automatic Scaling dialog box, click Autoscaling on the Manual tab of the Date Scale Preferences dialog box.


displaying_the_date_formats_dialog_boxview

To display the Date Formats dialog box from the Manual tab of the Date Scale Preferences dialog box, click the ellipsis button [image] at the right edge of the Format edit box.


displaying_the_date_scale_preferences_dialog_boxview

To display the Date Scale Preferences dialog box, do either of the following:

  • Display the View menu and click Edit Date Scale.

  • Right-click anywhere in the date scale of a barchart or histogram and click Edit Date Scale.


displaying_the_date_scale_preferences_manual_tabview

To display the Manual tab of the Date Scale Preferences dialog box, select Manual on the Options tab and then click the Manual tab.


displaying_the_date_scale_preferences_options_tabview

To display the Date Scale Preferences dialog box, do either of the following:

  • Display the View menu and click Edit Date Scale.

  • Right-click anywhere in the date scale of a barchart or histogram and click Edit Date Scale.


displaying_the_date_scale_preferences_report_calendar_tabview

To display the Report Calendar tab of the Date Scale Preferences dialog box, select Report Calendar on the Options tab and click the Report Calendar tab.


displaying_the_find_dialog_boxview

You can access the Find dialog box from several different views:

  • From any view, you can right-click an empty area of the workspace and click Find on the shortcut menu.

  • From a spreadsheet view, you can right-click a column header and click Find on the shortcut menu.

  • From a barchart view, you can right-click a column header in the spreadsheet portion of the view and click Find on the context menu.

In addition, if a spreadsheet or barchart based on the Activity, Code, or Resource Description table is displayed, you can display the Find dialog box by clicking Find on the Edit menu.


displaying_the_find_node_dialog_boxview

To display the Find Node dialog box, do any of the following:

  • Open a code file and click Find on the Edit menu.

  • Open a resource file and click Find on the Edit menu.

  • Right-click the code or resource workspace and click Find on the shortcut menu.

  • Open a code file or a resource file, and press Ctrl+F.


displaying_the_find_record_dialog_boxview

To display the Find Record dialog box, display a Network or a Spreadsheet view of a project and do one of the following:

  • Right-click the network view and click Find on the context menu.

  • Press the Ctrl+F keys.

  • From the Edit menu, click Find.


displaying_the_go_to_date_dialog_boxview

To access the Go To Date dialog box, from the View menu, click Go To Date. This dialog box is available from any time-phased view, including barcharts and histograms.


estimate_at_complete_eacpopupview

Estimate At Complete (EAC)

This value represents the final costs of the activity or project when completed and is calculated from the current resource assignments. This value is calculated according to the following formula:

ACWPcum + ETC

Where:

ACWPcum is a standard calculated field that represents the cumulative actual cost of the work performed on the activity or project.

ETC is a standard calculated field that represents the cost of the work required to complete the activity or project.


estimate_to_complete_etcpopupview

Estimate To Complete (ETC)

This calculated field shows the total ETC for an activity by combining the ETC for each resource category:

ETC_LAB + ETC_MAT + ETC_ODC + ETC_SUB


format_exampleview

Return

You can specify the appearance of the dates in the date scale by entering a format for the date. (These date formats are also used in calculated fields and global edits.) The following table lists the parameters that can be included:

Parameter | Definition | Example
%T | Minute | 15
%H | Hour | 08
%Z | AM or PM | AM or PM
%OZ | AM or PM (lower case) | am or pm
%D | Day of the month | 31
%V | Day | Tuesday
%OV | Day (lower case) | tuesday
%UV | Day (upper case) | TUESDAY
%W | Day abbreviation | Tues
%OW | Day abbreviation (lower case) | tues
%UW | Day abbreviation (upper case) | TUES
%F | First letter of name of day of the week | T
%OF | First letter of the name of day of the week (lower case) | t
%UF | First letter of the name of day of the week (upper case) | T
%K | Numeric week | 22
%M | Numeric month | 10
%L | Month | October
%OL | Month (lower case) | october
%UL | Month (upper case) | OCTOBER
%A | Month abbreviation | Oct
%OA | Month abbreviation (lower case) | oct
%UA | Month abbreviation (upper case) | OCT
%S | First letter of name of month | O
%OS | First letter of name of month (lower case) | o
%US | First letter of name of month (upper case) | O
%Q | Numeric quarter | 4
%UW | Day abbreviation (upper case) | TUES
%K | Numeric week | 22
%M | Numeric month | 10
%L | Month | October
%OL | Month (lower case) | october
%UL | Month (upper case) | OCTOBER
%A | Month abbreviation | Oct
%OA | Month abbreviation (lower case) | oct
%UA | Month abbreviation (upper case) | OCT
%Q | Numeric quarter | 4
%C | Year | 2004
%Y | Two-digit year | 04
%R%H | Relative hours | 100
%R%D | Relative days | 3
%R%K | Relative weeks | 22
%R%M | Relative months | 4
%R%Q | Relative quarters | 2
%R%Y | Relative years | 1

Because the %R parameters return only a numeric value, combine them with literal characters to make them more informative.

You can combine parameters to define date formats provided that you do not include two parameters that represent the same time unit. You can also include spaces and literal characters in the format text box, as shown in the following examples:

Format | Example
%H:%T %Z | 07:15 PM
%W %D %A %H:%T | Mon 15 Sep 19:15
%M/%D/%Y | 09/15/04
Q%Q | Q1
%R%H Hours | 100 Hours
Day %R%D | Day 3


formatpopupview

Format

You can specify the appearance of the dates in the date scale by entering a format for the date. The Examples button on this Help topic provides a full list of parameters you can include.

Two methods are available for building a format expression:

  • Enter the format codes by typing the codes and literals directly into the edit box.

  • Click the ellipsis [image] button to display a dialog box where you can select format codes from a text list.

It is also possible to build a format expression using a combination of the two methods.

The actual date displayed on the date scale is displayed in the format you choose.

Because relative dates return only a numeric value, they are usually combined with literal values to make them more informative.


full_scalepopupview

Full Scale

By selecting this option, you extend the vertical tick marks on the scale down into the workspace of the barchart or histogram view. These vertical tick marks are always drawn behind other elements in the view such as bars, relationship lines, and text.


line_widthpopupview

Line Width

When the Full Scale option is selected, the list in this field allows you to specify the width of the lines in the date scale. You can select a value between 1 and 8.


manual_scaledatescalepopupview

Manual Scale

This tab controls the format of the date ribbon that Open Plan uses to display data.


optionsdatescalepopupview

Options

This tab controls which of the remaining tabs on the dialog box is enabled. You can also use this tab to select colors for both the text and the background of the date scale.


planned_baseline_progresspopupview

Planned Baseline Progress

For activities with a duration greater than zero:

For activities with zero duration, Open Plan compares the baseline finish date with Time Now, and takes one of the following actions:

  • If the baseline finish date is before Time Now, Open Plan sets the value of planned baseline progress to 100%.

  • If the baseline finish date is after Time Now, Open Plan sets the value of planned baseline progress to 0%.

When subtracting the baseline start from Time Now, Open Plan takes into account the effect of calendars.


positionpopupview

Position

This field controls how the date label should be aligned within the vertical tick marks. You can choose Left, Center, or Right.


reference_datedatescalepopupview

Reference Date

Open Plan calculates relative dates based on the date entered in the Reference Date field. The default for the Reference Date is the project start date.

You can combine absolute dates (for example, Oct 20) with relative dates (for example, Week 1) on a date scale.

Open Plan displays relative dates occurring before the reference date as negative values.


report_calendarreportcalendarpopupdatescaleview

Report Calendar

This field contains a list of previously created reporting calendars. The dates and labels of the selected reporting calendar are displayed in the Preview window.


reporting_calendardatescalepopupview

Reporting Calendar

This tab allows you to select one or more previously defined reporting calendars to be displayed on the date scale.


schedule_performance_index_spipopupview

Schedule Performance Index (SPI)

This value is the planned schedule efficiency factor representing the relationship between the value of the initial planned schedule and the value of the physical work performed, earned value. This value is calculated according to the following formula:

BCWPcum / BCWScum

Where:

BCWPcum is a standard calculated field that represents the cumulative calculated budgeted cost of the work performed on the activity or project.

BCWScum is a field on the Activity table that is calculated during cost calculations based on the baseline resource assignments.


schedule_variance_svpopupview

Schedule Variance (SV)

This value is used as an indicator of how much a program is ahead or behind schedule and is calculated according to the following formula:

BCWPcum – BCWScum

Where:

BCWPcum is a standard calculated field that represents the cumulative calculated budgeted cost of the work performed on the activity or project.

BCWScum is a field on the Activity table that is calculated during cost calculations based on the baseline resource assignments.


seealso_automatic_numberingview

Related Topics:

Understanding Indented IDs

Understanding Outdented IDs

Related Procedures:

Indenting an Activity, Resource, or Code ID

Outdenting an Activity, Resource, or Code ID


seealso_cost_reportingview

Related Topics:

Cost Control Features in Open Plan

Understanding Open Plan Cost Calculations

Cost Forecasting

Related Procedures:

Filtering Data on a Calculated Field

Sorting Data on a Calculated Field


seealso_customizing_a_date_scaleview

Related Topics:

Customizing a Barchart View

Customizing a Resource Histogram View

Customizing a Risk Analysis Histogram View

Date Scale Preferences Options Tab

Date Scale Preferences Manual Tab

Date Scale Preferences Report Calendar Tab

Related Procedures:

Customizing a Date Scale

Adjusting a Date Scale Manually

Changing the Font on a Date Scale


seealso_date_scale_preferences_manual_scale_tabview

Related Topics:

Customizing a Date Scale

Date Scale Preferences Options Tab

Date Scale Preferences Report Calendar Tab

Using the Automatic Scaling Dialog Box

Using the Date Formats Dialog Box

Related Procedures:

Adjusting a Date Scale Manually

Customizing a Date Scale

Changing the Font on a Date Scale


seealso_date_scale_preferences_options_tabview

Related Topics:

Customizing a Date Scale

Date Scale Preferences Manual Tab

Date Scale Preferences Report Calendar Tab

Related Procedure:

Customizing a Date Scale


seealso_date_scale_preferences_report_calendar_tabview

Related Topics:

Using Reporting Calendars

Customizing a Date Scale

Date Scale Preferences Options Tab

Date Scale Preferences Manual Tab

Related Procedure:

Customizing a Date Scale


seealso_understanding_indented_idsview

Related Topics:

Automatic Numbering

Understanding Outdented IDs

Related Procedures:

Indenting an Activity, Resource, or Code ID

Outdenting an Activity, Resource, or Code ID


seealso_understanding_outdented_ids

Related Topics:

Automatic Numbering

Understanding Indented IDs

Related Procedures:

Indenting an Activity, Resource, or Code ID

Outdenting an Activity, Resource, or Code ID


seealso_using_clipboard_operationsview

Related Topics:

Using the Confirm Paste Dialog Box

Working with Activities in a Network View

Working with Activities in a Barchart View

Related Procedures:

Deleting an Activity

Cutting an Activity

Copying an Activity

Pasting an Activity

Moving an Activity in a Network


seealso_using_the_automatic_scaling_dialog_boxview

Related Topic:

Date Scale Preferences Manual Tab

Related Procedure:

Customizing a Date Scale


seealso_using_the_date_formats_dialog_boxview

Related Topic:

Date Scale Preferences Manual Tab

Related Procedure:

Customizing a Date Scale


seealso_using_the_find_dialog_boxview

Related Topics:

Using the Go To Date Dialog Box

Using the Find Node Dialog Box

Related Procedures:

Finding an Activity

Finding Another Activity


seealso_using_the_find_node_dialog_boxview

Related Topic:

Using the Find Dialog Box

Related Procedures:

Finding a Code

Finding a Resource


seealso_using_the_find_record_dialog_boxview

Related Topics:

Using the Find Dialog Box

Using the Find Node Dialog Box

Using the Find Code Dialog Box


seealso_using_the_go_to_date_dialog_boxview

Related Topic:

Using the Find Dialog Box

Related Procedures:

Finding an Activity

Finding Another Activity


time_unitpopupview

Time Unit

This field controls the frequency with which date labels and vertical tick marks appear on the date scale. Possible units include: hours, days, weeks, months, quarters, and years.

The smallest time interval in the date scale also controls how Open Plan aggregates and displays values in the histogram.


variance_at_complete_vacpopupview

Variance At Complete (VAC)

This value represents the algebraic difference between Budget at Complete and Estimate at Complete and is calculated according to the following formula:

BACcum – EAC

Where:

BACcum is a standard calculated field that represents the total budgeted cost of the activity or project. This value is calculated from the costs of the current resource assignments.

EAC is a standard calculated field that represents the final costs of the activity or project when completed. This value is calculated from the current resource assignments.


Bar Data Mode (View Menu)

To issue the Bar Data Mode command, do either of the following:

  • Click Bar Data Mode on the View menu.

  • Click the Bar Data [image] button on the toolbar.

This command lets you edit the following information about a selected activity on the barchart:

  • Target start date

  • Duration

  • Percent complete

Related Topics and Procedures


Collapse All (View Menu)

To issue the Collapse All command from an expanded view, click Collapse All on the View menu.

This command collapses all expanded items and displays only the top level of the hierarchy.

Related Topics and Procedures


Collapse Barchart and Spreadsheet (View Menu)

Collapse (View Menu)

To issue the Collapse command from a barchart or spreadsheet view, do either of the following:

  • Select a subproject and click Collapse on the View menu.

  • Select a subproject and click the Collapse [image] button on the toolbar.

This command hides the children of the subproject and allows you to work with the data at a summary level.

Related Topics and Procedures


Collapse Codes and Pools (View Menu)

Collapse (View Menu)

To issue the Collapse command, do either of the following:

  • Select a parent code or resource and click Collapse on the View menu.

  • Select a parent code or resource and click the Collapse [image] button on the toolbar.

This command hides the children of the parent code or resource and allows you to work with the data at a summary level.

Related Topics and Procedures


Edit Date Scale (View Menu)

To issue the Edit Date Scale command, click Edit Date Scale on the View menu.

This command displays the Date Scale Preferences dialog box, which lets you control how the date scale is displayed on the barchart and histogram views.

Related Topics and Procedures


Expand All (View Menu)

To issue the Expand All command, do either of the following:

  • Click Expand All on the View menu.

  • Click the Expand All [image] button on the toolbar.

This command expands all summary data on the view.

This command is not available in the Desktop edition of Open Plan if the selected item represents an external subproject.

Related Topics and Procedures


Expand Barchart, Spreadsheet, and Network (View Menu)

Expand (View Menu)

To issue the Expand command from a barchart, spreadsheet, or network view, do either of the following:

  • Select a subproject and click Expand on the View menu.

  • Select a subproject and click the Expand [image] button on the toolbar.

This command expands the data on the hierarchical level immediately below the one selected.

This command is not available in the Desktop edition of Open Plan if the selected item represents an external subproject.

Related Topics and Procedures


Expand Codes and Resources (View Menu)

Expand (View Menu)

To issue the Expand command, do either of the following:

  • Select a parent code or resource and click Expand on the View menu.

  • Select a parent code or resource and click the Expand [image] button on the toolbar.

This command expands the data on the hierarchical level immediately below the one selected.

Related Topics and Procedures


Filter (View Menu)

When the Contents pane of the Open Plan Explorer contains like objects (for example, all views, all projects, etc), you can apply a filter to the folder to help locate a specific item.

Issuing the Filter command displays the Filter Settings dialog box, which you can use to apply a filter to the selected folder.

Related Topics and Procedures


Find (View Menu)

To issue the Find command from the Open Plan Explorer, do either of the following:

  • Click Find on the Edit menu.

  • Press the Ctrl+F keys.

This command lets you find an object in any subfolder of the folder that is currently selected in the Open Plan Explorer. You can search for an object based on its name or on any field that is available in the Details format. Because this dialog box is modeless, you can keep it open while you initiate any number of searches.

Related Topics and Procedures


Go to Date in a Barchart or Histogram (View Menu)

Go to Date (View Menu)

To issue the Go to Date command from a barchart or histogram view, click Go to Date on the View menu.

This command displays the Go To Date dialog box, which lets you specify a date. Open Plan then scrolls the view to make the specified date visible.

Related Topics and Procedures


Go to Date in a Calendar (View Menu)

Go to Date (View Menu)

To issue the Go to Date command, click Go to Date on the View menu.

This command displays the Go To Date dialog box, which lets you specify a date for Open Plan to select on the calendar.

Related Topics and Procedures


Go to Parent (View Menu)

To issue the Go to Parent command from a network view, click Go to Parent on the View menu.

This command selects the parent of the current subproject.

Related Topics and Procedures


Go to Subproject (View Menu)

To issue the Go to Subproject command from a network view, select a subproject activity and click Go to Subproject on the View menu.

This command allows you to drill down to the next lower level in the project hierarchy.

This command is not available in the Desktop edition of Open Plan if the selected item represents an external subproject.

Related Topics and Procedures


Go to Top Level (View Menu)

To issue the Go to Top Level command from a network view, click Go to Top Level on the View menu.

This command returns you to the top level of a project hierarchy after you have navigated to a lower level.

Related Topics and Procedures


Hide Histogram (View Menu)

When in a barchart view with a histogram displayed, this command hides the histogram pane.

Related Topics and Procedures


Log Viewer (View Menu)

This command displays the Log Viewer, which you can use to view the logs created in Open Plan.

Related Topics and Procedures


Network View: Split View (View Menu)

To issue the Split View command, click Split View on the View menu when in a network view.

This command divides the view into two panes. You can drag the divider between the panes to adjust the amount of space each occupies. Each pane features a horizontal scroll bar allowing you to adjust the amount of data displayed in each pane.

You can drag a relationship between the two split panes by pressing and holding the ALT key while dragging the relationship from one pane to the other.

Related Topics and Procedures


Next Year (View Menu)

To issue the Next Year command, do any of the following:

  • Click Next Year on the View menu.

  • Press the Page Down key.

  • Click the down arrow [image] button on the toolbar.

This command displays the year following the currently displayed year.

Related Topics and Procedures


Open Plan Explorer (View Menu)

This command toggles the display of the Open Plan Explorer window on and off.

Related Topics and Procedures


Placements (View Menu)

To issue the Placements command from a network view, do any of the following:

  • Click Placements on the View menu.

  • Press the Shift+P keys.

  • Right-click an empty area of the view and then click Placements on the shortcut menu.

This command displays the Placements dialog box that controls how Open Plan places activity boxes in the network view.

Related Topics and Procedures


Previous Year (View Menu)

To issue the Previous Year command, do any of the following:

  • Click Previous Year on the View menu.

  • Press the Page Up key.

  • Click the up arrow [image] button on the toolbar.

This command displays the year prior to the currently displayed year.

Related Topics and Procedures


Relationship Mode (View Menu)

To issue the Relationship Mode command, do either of the following:

  • Click Relationship Mode on the View menu.

  • Click the Relationship [image] button on the toolbar.

This command lets you edit relationships between activities displayed on the barchart.

Related Topics and Procedures


seealso_bar_data_mode_view_menu

Related Topic:

Relationship Mode

Related Procedures:

Setting a Target Start Date

Changing the Duration of an Activity

Entering Activity Progress in a Barchart


seealso_collapse_all_view_menu

Related Topics:

Go to Top Level

Go to Parent

Go to Subproject


seealso_collapse_barchart_and_spreadsheet_view_menu

Related Topics:

Expand

Expand All

Collapse All


seealso_collapse_codes_and_pools_view_menu

Related Topics:

Expand

Expand All

Collapse All


seealso_edit_date_scale_view_menu

Related Topics:

Customizing a Date Scale

Date Scale Preferences Options Tab

Date Scale Preferences Manual Tab

Date Scale Preferences Report Calendar Tab

Related Procedures:

Customizing a Date Scale

Adjusting a Date Scale Manually

Changing the Font on a Date Scale


seealso_expand_barchart_spreadsheet_and_network_view_menu

Related Topics:

Collapse

Expand All

Collapse All


seealso_expand_codes_and_resources_view_menu

Related Topics:

Collapse

Expand All

Collapse All


seealso_filter_view_menu

Related Topics:

Using the Filter Settings Dialog Box

Using the Open Plan Explorer

Basic Skills

Using the Contents Pane of the Open Plan Explorer


seealso_go_to_date_in_a_barchart_or_histogram_view_menu

Related Topic:

Using the Go To Date Dialog Box

Related Procedures:

Finding an Activity

Finding Another Activity


seealso_go_to_date_in_a_calendar_view_menu

Related Topic:

Using the Go to Date Dialog Box

Related Procedures:

Selecting Dates on a Calendar

Changing the Work Status of a Day

Changing the Displayed Year


seealso_go_to_parent_view_menu

Related Topics:

Go to Top Level

Go to Subproject

Collapse All


seealso_go_to_subproject_view_menu

Related Topics:

Go to Top Level

Go to Parent

Collapse All


seealso_go_to_top_level_view_menu

Related Topics:

Go to Parent

Go to Subproject

Collapse All


seealso_hide_histogram_view_menu

Related Topic:

How a Barchart Displays Information


seealso_network_view_split_view_view_menu

Related Topic:

Network Preferences Options Tab

Related Procedure:

Creating an Activity in a Network View


seealso_next_year_view_menu

Related Topic:

How the Calendar Displays Information

Related Procedure:

Changing the Displayed Year


seealso_open_plan_explorer_view_menu

Related Topics:

Using the Open Plan Explorer

Basic Skills

Using the Contents Pane of the Open Plan Explorer


seealso_placements_view_menu

Related Topic:

Using the Placements Dialog Box

Related Procedures:

Performing Automatic Placements

Turning Automatic Placements Off

Saving Automatic Placements


seealso_previous_year_view_menu

Related Topic:

How the Calendar Displays Information

Related Procedure:

Changing the Displayed Year


seealso_relationship_mode_view_menu

Related Topic:

Bar Data Mode

Related Procedures:

Displaying Relationships on a Barchart View

Creating a Relationship Using the Mouse

Editing a Relationship in a Barchart View

Deleting a Relationship in a Barchart View


seealso_select_activity_view_menu

Related Topics:

Using the Key Activity Selection Dialog Box

Risk Analysis Histogram View

Related Procedures:

Displaying a Risk Histogram View

Selecting a Key Activity to Display on a Risk histogram View


seealso_select_resource_view_menu

Related Topic:

Using the Resource Selection Dialog Box

Related Procedure:

Selecting Resources to Display on a Resource Histogram


seealso_show_page_breaks_view_menu

Related Topic:

Network Preferences — Options Tab

Related Procedure:

Showing Page Breaks on a Network View


seealso_spreadsheet_add_column_view_menu

Related Topic:

Using the Add Column Dialog Box

Related Procedure:

Adding a New Column


seealso_spreadsheet_click_to_sort_view_menu

Related Topic:

Spreadsheet View

Related Procedure:

Sorting the Data in a Spreadsheet


seealso_spreadsheet_delete_rows_view_menu

Related Topic:

Spreadsheet: Insert Rows

Related Procedure:

Deleting Rows in a Spreadsheet


seealso_spreadsheet_edit_column_view_menu

Related Topic:

Using the Edit Column Dialog Box

Related Procedure:

Editing a Column


seealso_spreadsheet_insert_column_view_menu

Related Topic:

Using the Insert Column Dialog Box

Related Procedure:

Inserting a Column


seealso_spreadsheet_insert_rows_view_menu

Related Topic:

Using the Insert Rows Dialog Box

Related Procedure:

Inserting Rows in a Spreadsheet


seealso_spreadsheet_remove_column_view_menu

Related Topics:

Spreadsheet: Add Column

Spreadsheet: Insert Column

Related Procedure:

Removing a Column


seealso_spreadsheet_size_column_for_best_fit_view_menu

Related Topics:

Spreadsheet: Add Column

Spreadsheet: Insert Column

Related Procedure:

Adjusting Column Width


seealso_spreadsheet_split_view_view_menu

Related Topics:

Spreadsheet: Add Column

Spreadsheet: Insert Column

Related Procedure:

Splitting a Spreadsheet into Two Panes


seealso_status_bar_view_menu

Related Topic:

Basic Skills

Related Procedure:

Turning Off the Status Bar Display


SeeAlso Suppress Activity Dialog Box (View Menu)

Related Topic:

Creating and Editing Activities

Related Procedure:

Creating an Activity in a Network View


seealso_toolbar_view_menu

Related Topic:

Basic Skills

Related Procedures:

Turning Off the Toolbar Display

Choosing a Command From the Toolbar


seealso_zoom_in_view_menu

Related Topic:

Zoom Out

Related Procedure:

Displaying a Network at Different Magnifications


seealso_zoom_out_in_a_network_view_menu

Related Topic:

Zoom In

Related Procedure:

Displaying a Network at Different Magnifications


seealso_zoom_out_in_code_and_resource_views_view_menu

Related Topics:

How a Resource View Displays Information

How a Code Window Displays Information

Related Procedure:

Using the Zoom Out Command


Select Activity (View Menu)

This command displays the Key Activity Selection dialog box. which you can use to select the key activity that is displayed in a risk histogram view.

Related Topics and Procedures


Select Resource (View Menu)

To issue the Select Resource command from a histogram or barchart view, click Select Resource on the View menu.

This command displays the Resource Selection dialog box, which lets you select resources to be displayed on the histogram view or histogram pane of a barchart view.

Related Topics and Procedures


Show Page Breaks (View Menu)

To issue the Show Page Breaks command, click Show Page Breaks on the View menu.

This command displays a dotted line to indicate where page breaks would occur when printing the network view.

Related Topics and Procedures


Spreadsheet: Add Column (View Menu)

To issue the Add Column command, position your cursor in the column to the left of where you want to add a column, click Spreadsheet on the View menu, and then click Add Column on the Spreadsheet submenu.

This command displays the Add Column dialog box, which lets you add a new column in the spreadsheet.

Related Topics and Procedures


Spreadsheet: Click to Sort (View Menu)

This command lets you quickly sort a spreadsheet column by simply clicking the heading of the column you wish to sort. You can also sort on multiple columns by Ctrl+clicking the desired columns.

Clicking the same column again toggles the sort operation between ascending and descending.

Related Topics and Procedures


Spreadsheet: Delete Rows (View Menu)

To issue the Delete Rows command, select one or more rows in a spreadsheet, click Spreadsheet on the View menu, and then click Delete Rows on the Spreadsheet submenu.

This command deletes the selected rows from the spreadsheet. If the selected row represents a subproject, resource pool, or parent code, all the children of the selected item are deleted with their parent.

Related Topics and Procedures


Spreadsheet: Edit Column (View Menu)

To issue the Edit Column command, select a column in a spreadsheet, click Spreadsheet on the View menu, and then click Edit Column on the Spreadsheet submenu.

This command displays the Edit Column dialog box, which lets you change the attributes of the selected spreadsheet column.

Related Topics and Procedures


Spreadsheet: Insert Column (View Menu)

To issue the Insert Column command, position your cursor in the column to the right of where you want to insert a column, click Spreadsheet on the View menu, and then click Insert Column on the Spreadsheet submenu.

This command displays the Insert Column dialog box, which lets you insert a new column in the spreadsheet.

Related Topics and Procedures


Spreadsheet: Insert Rows (View Menu)

To issue the Insert Rows command, select a cell in a spreadsheet, click Spreadsheet on the View menu, and then click Insert Rows on the Spreadsheet submenu.

This command displays the Insert Rows dialog box, which lets you insert one or more rows above the selected row.

Related Topics and Procedures


Spreadsheet: Remove Column (View Menu)

To issue the Remove Column command, select a column in a spreadsheet, click Spreadsheet on the View menu, and then click Remove Column on the Spreadsheet submenu.

This command removes the selected column from the spreadsheet.

Related Topics and Procedures


Spreadsheet: Size Column for Best Fit (View Menu)

To issue the Size Column for Best Fit command, select one or more columns in a spreadsheet, click Spreadsheet on the View menu, and then click Size Column for Best Fit on the Spreadsheet submenu.

This command resizes the selected columns to the size required by the data the columns contain.

Related Topics and Procedures


Spreadsheet: Split View (View Menu)

To issue the Split View command, select one or more columns in a spreadsheet, click Spreadsheet on the View menu, and then click Split View on the Spreadsheet submenu.

This command divides the view into two panes. You can drag the divider between the panes to adjust the amount of space each occupies. Each pane features a horizontal scroll bar allowing you to adjust the amount of data displayed in each pane. The vertical scrollbar is synchronized between the two panes.

Related Topics and Procedures


Status Bar (View Menu)

To issue the Status Bar command, click Status Bar on the View menu.

This command is a toggle, alternately displaying and hiding the Open Plan status bar located at the bottom of the workspace.

The status bar provides information about the current command. For example, if you position the cursor on a button on the toolbar and press the left mouse button, the status bar displays a description of that command.

Related Topics and Procedures


Suppress Activity Dialog (View Menu)

This option lets you add new activities to a network view without displaying the Activity Details dialog box. When selected, simply double-click an empty area of the network view to add a new activity.

Related Topics and Procedures


Toolbar (View Menu)

To issue the Toolbar command, click Toolbar on the View menu.

This command is a toggle, alternately displaying and hiding the Open Plan toolbar located beneath the menu bar.

Many of the most commonly used commands are available as buttons on the toolbar. To choose a command from the toolbar, simply click the button representing the command. If a button is dimmed, the command is not available at the time.

By default, Open Plan displays the toolbar in the application window.

Related Topics and Procedures


Zoom In (View Menu)

To issue the Zoom In command, do either of the following:

  • Click Zoom In on the View menu.

  • Click the Zoom In [image] button on the toolbar.

This command displays the network at a greater magnification, allowing you to see the full detail of each item, but possibly requiring you to scroll to view some items.

Open Plan can display a network at three zoom levels.

Related Topics and Procedures


Zoom Out in a Network (View Menu)

Zoom Out (View Menu)

To issue the Zoom Out command, do either of the following:

  • Click Zoom Out on the View menu.

  • Click the Zoom Out [image] button on the toolbar.

This command displays the network at a much smaller magnification, allowing you to see the full structure of the network, but with much less detail.

Open Plan can display a network at two zoom levels, and the Zoom Out command is available only if the entire structure cannot be displayed at once.

Related Topics and Procedures


Zoom Out in Code and Resource Views (View Menu)

Zoom Out (View Menu)

To issue the Zoom Out command, do either of the following:

  • Click Zoom Out on the View menu.

  • Click the Zoom Out [image] button on the toolbar.

This command is used to show code and resource structures that cannot be displayed on a single screen. If you click Zoom Out from the normal display mode, Open Plan applies a reduced display mode to the window. In this display mode, the code or resource boxes are reduced so that only the codes or resources in the structure are visible. You can continue to work with the codes or resources just as though you were in the normal display mode.

If the entire structure can be displayed at once in a given window, the Zoom Out command is not available.

Related Topics and Procedures


batchwebpubpopupweb

Batch

This field contains a list of reporting batches that have already been created for this project.

You can add to the list by clicking New to display the Create New Batch dialog box.


current_devicewebpubpopupweb

Current Device

This field contains a list of output devices currently set up for your Windows system.

The following controls are enabled only when the Acrobat PDFWriter is selected as the output device:

  • Destination Directory

  • Generate HTML File

  • Web Site Address

In addition, the Web Site Address control is enabled only when the Generate HTML File option is selected.

When running a batch using a device other than the Acrobat PDFWriter, the device driver determines if user intervention is required to produce each report in the batch.


destination_directorywebpubpopupweb

Destination Directory

This field controls the location of the directory for storing the .pdf files generated by the batch. Open Plan also uses this location for storing the HTML file and the .gif files for the various icons it includes.

Because the Open Plan Web Publisher conserves disk space by using the project name in the HTML and .pdf files, these files are overwritten each time you run a batch file. Therefore, if you want to send a different set of reports to different people within your organization, create a separate destination directory for each recipient.


displaying_the_add_or_remove_views_dialog_boxweb

To display the Add or Remove Views dialog box, click Views on the Open Plan Web Publisher dialog box.


displaying_the_create_new_batch_dialog_boxweb

To display the Create New Batch dialog box, click New on the Open Plan Web Publisher dialog box.


displaying_the_destination_directory_dialog_boxweb

To display this dialog box, click the ellipsis at the right edge of the Destination Directory field on the Open Plan Web Publisher dialog box.


displaying_the_open_plan_web_publisher_dialog_boxweb

To display this dialog box, do either of the following:

  • Click Web Publisher on the Tools menu.

  • Click the Open Plan Web Publisher icon from the Deltek Applications group in Windows.


displaying_the_select_project_dialog_boxweb

This dialog box is automatically displayed when you click Web Publisher on the Tools menu when no Open Plan project has focus.


generate_html_filewebpubpopupweb

Generate HTML file

Select this option if you want Open Plan to create an HTML file containing links to the .pdf files created by the batch. If you choose to create this file, Open Plan stores it in the destination directory.


projectwebpubpopupweb

Project

This field displays the name of the project on which to report. The ellipsis [image] button to the right of the text box displays the Select Project dialog box.


sa_creating_a_report_batchweb

Related Procedures:

Preparing a Report for Publication on the Web

Performing Batch Reporting

Previewing a Report Before Printing

Setting Up a Printer

Setting Print Margins

Printing Notes with a Report

Printing a Report

Related Topic:

Using the Open Plan Web Publisher Dialog Box


sa_performing_batch_reportingweb

Related Procedures:

Preparing a Report for Publication on the Web

Creating a Report Batch

Previewing a Report Before Printing

Setting Up a Printer

Setting Print Margins

Printing Notes with a Report

Printing a Report

Related Topic:

Using the Open Plan Web Publisher Dialog Box


sa_preparing_a_report_for_publication_on_the_webweb

Related Procedures:

Performing Batch Reporting

Creating a Report Batch

Previewing a Report Before Printing

Setting Up a Printer

Setting Print Margins

Printing Notes with a Report

Printing a Report

Related Topic:

Using the Open Plan Web Publisher Dialog Box


sa_reporting_with_the_open_plan_web_publisherweb

Related Topics:

Using the Select Project Dialog Box

Using the Open Plan Web Publisher Dialog Box

Related Procedures:

Preparing a Report for Publication on the Web

Performing Batch Reporting

Creating a Report Batch


sa_using_the_add_or_remove_views_dialog_boxweb

Related Topics:

Reporting with the Open Plan Web Publisher

Using the Select Project Dialog Box

Using the Create New Batch Dialog Box

Using the Destination Directory Dialog Box

Related Procedures:

Preparing a Report for Publication on the Web

Performing Batch Reporting

Creating a Report Batch


sa_using_the_create_new_batch_dialog_boxweb

Related Topics:

Reporting with the Open Plan Web Publisher

Using the Select Project Dialog Box

Using the Add or Remove Views Dialog Box

Using the Destination Directory Dialog Box

Related Procedures:

Preparing a Report for Publication on the Web

Performing Batch Reporting

Creating a Report Batch


sa_using_the_destination_directory_dialog_boxweb

Related Topics:

Reporting with the Open Plan Web Publisher

Using the Select Project Dialog Box

Using the Create New Batch Dialog Box

Using the Add or Remove Views Dialog Box

Related Procedures:

Preparing a Report for Publication on the Web

Performing Batch Reporting

Creating a Report Batch


sa_using_the_open_plan_web_publisher_dialog_boxweb

Related Topics:

Reporting with the Open Plan Web Publisher

Using the Select Project Dialog Box

Using the Create New Batch Dialog Box

Using the Add or Remove Views Dialog Box

Using the Destination Directory Dialog Box

Related Procedures:

Preparing a Report for Publication on the Web

Performing Batch Reporting

Creating a Report Batch


sa_using_the_select_project_dialog_boxweb

Related Topics:

Reporting with the Open Plan Web Publisher

Using the Open Plan Web Publisher Dialog Box

Related Procedures:

Preparing a Report for Publication on the Web

Performing Batch Reporting

Creating a Report Batch


view_descriptionwebpubpopupweb

View Description

This column of the views grid is displayed by default. The View Description field contains a list of views that are included in the reporting batch. To preview a view in the batch, simply select it, and click Preview.

You can add views to the list by clicking Views to display the Add or Remove Views dialog box.


view_filenamewebpubpopupweb

View Filename

To display this field, click the horizontal scroll bar beneath the list of view descriptions. The View Filename column contains the names of the files in the View Description column.


web_site_addresswebpubpopupweb

Web Site Address

If you are generating an HTML file for the batch, and want the URL links to include the address of a specific Web site, you can specify the address of the Web site with this setting. (If you do not specify the Web site address with this setting, you can still manually update the URL addresses contained in the HTML file produced by the batch.)

If you are not currently connected to the Internet and want to view your HTML file using your Web browser, leave this field blank.


Cascade (Window Menu)

The Cascade command resizes and layers open windows so that each title bar is visible.

Related Topics and Procedures


List of Open Windows (Window Menu)

Open Plan displays the list of windows open at the current time.

Related Topics and Procedures


seealso_cascade_window_menu

Related Topics:

Tile (Window Menu)

List of Open Windows (Window Menu)


seealso_list_of_open_windows_window_menu

Related Topics:

Cascade (Window Menu)

Tile (Window Menu)


seealso_tile_window_menu

Related Topics:

Cascade (Window Menu)

List of Open Windows (Window Menu)


Tile (Window Menu)

The Tile command resizes and arranges the open windows.

Related Topics and Procedures